<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Prueba_BD_Fachada {

function &getListadoPrueba_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_PRUEBA_BD",
	"where", $where
	);
	}
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_prueba = $RecordSet -> Fields("id_prueba");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido = $RecordSet -> Fields("apellido");
		$observacion = $RecordSet -> Fields("observacion");
		
		$temp = new Prueba_BD ($nombre, $apellido, $observacion, $id_prueba);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getPrueba_BD($id_prueba)
	{
	
		global $conn;
		$query = expandir("GET_PRUEBA_BD",
		"id_prueba", $id_prueba
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_prueba = $RecordSet -> Fields("id_prueba");
	$nombre = $RecordSet -> Fields("nombre");
	$apellido = $RecordSet -> Fields("apellido");
	$observacion = $RecordSet -> Fields("observacion");
	
	
	$temp = new Prueba_BD ($nombre, $apellido, $observacion, $id_prueba);
	return $temp;
	}
	
	
	function &guardarPrueba_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_PRUEBA_BD",
		"apellido", $objeto->get_apellido(),
		"observacion", $objeto->get_observacion(),
		"nombre", $objeto->get_nombre());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarPrueba_BD(Prueba_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_PRUEBA_BD",
		"nombre", $objeto->get_nombre(),
		"apellido", $objeto->get_apellido(),
		"observacion", $objeto->get_observacion(),
		"id_prueba", $objeto->get_id_prueba());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarPrueba_BD($id_prueba){
		global $conn;
		$query = expandir("ELIMINAR_PRUEBA_BD",
		"id_prueba", $id_prueba
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadPrueba_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_PRUEBA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
