<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cliente_proveedor{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	var $id_cliente_proveedor;
	var $id_cliente;
	var $id_empresa;
	var $id_ciudad;
	var $tipo_cliente_proveedor;
	var $tipo_natural_empresa;
	var $rut;
	var $nombre;
	var $razon_social;
	var $giro;
	var $direccion;
	var $telefono;
	var $telefono2;
	var $movil;
	var $fax;
	var $website;
	var $email;
	var $fecha_ingreso;
	var $monto_credito;
	var $estado;
	var $observacion;
	var $condicion_venta;
	var $req_orden_compra;
	var $observacion_economica;
	
	var $telefono_full;
	var $telefono_full2;
	var $fax_full;
	
	var $ciudad_nombre;
	
	var $tipo_empresa_selected;
	var $tipo_persona_selected;
	var $tipo_cliente_selected;
	var $tipo_proveedor_selected;
	var $tipo_ambos_selected;
	var $tipo_natural_empresa_nombre;
	var $tipo_cliente_proveedor_nombre;
	
	var $info_economica;
	var $motivo_bloqueo;
	
	var $display_motivo_bloqueo;
	
	//CONSTRUCTOR
	public function __construct ($Cliente_proveedor_BD)
	{
		if ($Cliente_proveedor_BD){
			$this->id_cliente_proveedor = $Cliente_proveedor_BD->get_id_cliente_proveedor();
			$this->id_cliente = $Cliente_proveedor_BD->get_id_cliente_proveedor();
			$this->id_empresa = $Cliente_proveedor_BD->get_id_empresa();
			$this->id_ciudad = $Cliente_proveedor_BD->get_id_ciudad();
			$this->tipo_cliente_proveedor = $Cliente_proveedor_BD->get_tipo_cliente_proveedor();
			$this->tipo_natural_empresa = $Cliente_proveedor_BD->get_tipo_natural_empresa();
			$this->rut = $Cliente_proveedor_BD->get_rut();
			$this->nombre = $Cliente_proveedor_BD->get_nombre();
			$this->razon_social = $Cliente_proveedor_BD->get_razon_social();
			$this->giro = $Cliente_proveedor_BD->get_giro();
			$this->direccion = $Cliente_proveedor_BD->get_direccion();
			$this->telefono = $Cliente_proveedor_BD->get_telefono();
			$this->telefono2 = $Cliente_proveedor_BD->get_telefono2();
			$this->movil = $Cliente_proveedor_BD->get_movil();
			$this->fax = $Cliente_proveedor_BD->get_fax();
			$this->website = $Cliente_proveedor_BD->get_website();
			$this->email = $Cliente_proveedor_BD->get_email();
			$this->fecha_ingreso = $Cliente_proveedor_BD->get_fecha_ingreso();
			$this->monto_credito = $Cliente_proveedor_BD->get_monto_credito();
			$this->estado = $Cliente_proveedor_BD->get_estado();
			$this->observacion = $Cliente_proveedor_BD->get_observacion();
			$this->condicion_venta = $Cliente_proveedor_BD->get_condicion_venta();
			$this->req_orden_compra = $Cliente_proveedor_BD->get_req_orden_compra();
			$this->observacion_economica = $Cliente_proveedor_BD->get_observacion_economica();
			
			switch ($this->tipo_cliente_proveedor) {
				case "1":
					$this->tipo_cliente_proveedor_nombre = "Cliente";
					$this->tipo_cliente_selected = "selected";
				break;
				case "2":
					$this->tipo_cliente_proveedor_nombre = "Proveedor";
					$this->tipo_proveedor_selected = "selected";
				break;
				case "4":
					$this->tipo_cliente_proveedor_nombre = "Ambos";
					$this->tipo_ambos_selected = "selected";
				break;
			}
			
			switch ($this->tipo_natural_empresa) {
				case "1":
					$this->tipo_natural_empresa_nombre = "Empresa";
					$this->tipo_empresa_selected = "selected";
				break;
				case "2":
					$this->tipo_natural_empresa_nombre = "Proveedor";
					$this->tipo_persona_selected = "selected";
				break;
			}
		
			$ciudad = new Ciudad();
			$ciudad	  = Ciudad_getCiudad($this->id_ciudad);
			if ($ciudad){
				$this->ciudad_nombre = $ciudad->get_nombre();
				$this->telefono_full = "($ciudad->codigo_area) $this->telefono";
				$this->telefono_full2 = "($ciudad->codigo_area) $this->telefono2";
				$this->fax_full = "($ciudad->codigo_area) $this->fax_full";
			}
			$money = money_php($this->monto_credito);
			$condicion_venta = $this->condicion_venta;
			if ($condicion_venta == "0")
				$condicion_venta = "Crdito Bloqueado";
			else
				$condicion_venta .= " Das";
			
			$clog_obs_comercial = new Controlador_Logico_Cont_observacion_comercial();
			$filtro_obs_comercial["id_cliente_proveedor"] = $this->id_cliente_proveedor;
			$listado_obs_comercial = $clog_obs_comercial->getListadoCont_observacion_comercial($filtro_obs_comercial);
			$obs_comercial = $listado_obs_comercial[0];
			
			if ($obs_comercial && $this->condicion_venta == "0"){
				$this->motivo_bloqueo = $obs_comercial->get_observacion_bloqueo();
				$this->display_motivo_bloqueo = "";
			}
			else
				$this->display_motivo_bloqueo = "none";			
			
			if ($this->motivo_bloqueo != ""){
				$motivo_bloqueo = "Motivo Bloqueo:$this->motivo_bloqueo<br>";	
			}
			
			$this->info_economica = "Condicin de Venta:$condicion_venta<br>".$motivo_bloqueo."Requiere Orden de Compra:$this->req_orden_compra<br>Monto de Crdito:$money<br>Observacin Econmica:$this->observacion_economica";
			
			
	
		}
		
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_display_motivo_bloqueo(){
		return ($this->display_motivo_bloqueo);
	}
	
	public function get_motivo_bloqueo(){
		return ($this->motivo_bloqueo);
	}
	
	public function get_info_economica(){
		return ($this->info_economica);
	}

	public function get_id_cliente_proveedor(){
		return ($this->id_cliente_proveedor);
	}

	public function get_id_empresa(){
		return ($this->id_empresa);
	}

	public function get_id_ciudad(){
		return ($this->id_ciudad);
	}

	public function get_tipo_cliente_proveedor(){
		return ($this->tipo_cliente_proveedor);
	}

	public function get_tipo_natural_empresa(){
		return ($this->tipo_natural_empresa);
	}

	public function get_rut(){
		return ($this->rut);
	}

	public function get_nombre(){
		return ($this->nombre);
	}

	public function get_razon_social(){
		if ($this->razon_social)
			return ($this->razon_social);
		else
			return ($this->nombre);
	}

	public function get_giro(){
		return ($this->giro);
	}

	public function get_direccion(){
		return ($this->direccion);
	}

	public function get_telefono(){
		return ($this->telefono);
	}

	public function get_telefono2(){
		return ($this->telefono2);
	}	
	
	public function get_movil(){
		return ($this->movil);
	}

	public function get_fax(){
		return ($this->fax);
	}

	public function get_website(){
		return ($this->website);
	}

	public function get_email(){
		return ($this->email);
	}

	public function get_fecha_ingreso(){
		return ($this->fecha_ingreso);
	}

	public function get_monto_credito(){
		return ($this->monto_credito);
	}

	public function get_estado(){
		return ($this->estado);
	}

	public function get_observacion(){
		return ($this->observacion);
	}

	public function get_condicion_venta(){
		return ($this->condicion_venta);
	}

	public function get_req_orden_compra(){
		return ($this->req_orden_compra);
	}

	public function get_observacion_economica(){
		return ($this->observacion_economica);
	}

	public function get_telefono_full(){
		return ($this->telefono_full);
	}
	
	public function get_telefono_full2(){
		return ($this->telefono_full2);
	}
	
	public function get_fax_full(){
		return ($this->fax_full);
	}
	
	public function get_tipo_natural_empresa_nombre(){
		return ($this->tipo_natural_empresa_nombre);
	}
	
	public function get_tipo_cliente_proveedor_nombre(){
		return ($this->tipo_cliente_proveedor_nombre);
	}
	
	public function get_tipo_persona_selected(){
		return ($this->tipo_persona_selected);
	}
	
	public function get_tipo_empresa_selected(){
		return ($this->tipo_empresa_selected);
	}
	
	public function get_tipo_cliente_selected(){
		return ($this->tipo_cliente_selected);
	}
	
	public function get_tipo_proveedor_selected(){
		return ($this->tipo_proveedor_selected);
	}

	public function get_tipo_ambos_selected(){
		return ($this->tipo_ambos_selected);
	}	
	
	
	public function get_tipo_ambos_nombre(){
		return ($this->tipo_ambos_nombre);
	}	
	
	
	public function get_ciudad_nombre(){
		return ($this->ciudad_nombre);
	}
	
	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------
	public function set_tipo_cliente_selected($selected){
		$this->tipo_cliente_selected = $selected;
	}

	public function set_tipo_proveedor_selected($selected){
		$this->tipo_proveedor_selected = $selected;
	}

	public function set_tipo_ambos_selected($selected){
		$this->tipo_ambos_selected = $selected;
	}

	public function set_id_cliente_proveedor($id_cliente_proveedor){
		$this->id_cliente_proveedor = $id_cliente_proveedor;
	}

	public function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}

	public function set_id_ciudad($id_ciudad){
		$this->id_ciudad = $id_ciudad;
	}

	public function set_tipo_cliente_proveedor($tipo_cliente_proveedor){
		$this->tipo_cliente_proveedor = $tipo_cliente_proveedor;
	}

	public function set_tipo_natural_empresa($tipo_natural_empresa){
		$this->tipo_natural_empresa = $tipo_natural_empresa;
	}

	public function set_rut($rut){
		$this->rut = $rut;
	}

	public function set_nombre($nombre){
		$this->nombre = $nombre;
	}

	public function set_razon_social($razon_social){
		$this->razon_social = $razon_social;
	}

	public function set_giro($giro){
		$this->giro = $giro;
	}

	public function set_direccion($direccion){
		$this->direccion = $direccion;
	}

	public function set_telefono($telefono){
		$this->telefono = $telefono;
	}

	public function set_telefono2($telefono2){
		$this->telefono2 = $telefono2;
	}	
	
	public function set_movil($movil){
		$this->movil = $movil;
	}

	public function set_fax($fax){
		$this->fax = $fax;
	}

	public function set_website($website){
		$this->website = $website;
	}

	public function set_email($email){
		$this->email = $email;
	}

	public function set_fecha_ingreso($fecha_ingreso){
		$this->fecha_ingreso = $fecha_ingreso;
	}

	public function set_monto_credito($monto_credito){
		$this->monto_credito = $monto_credito;
	}

	public function set_estado($estado){
		$this->estado = $estado;
	}

	public function set_observacion($observacion){
		$this->observacion = $observacion;
	}

	public function set_condicion_venta($condicion_venta){
		$this->condicion_venta = $condicion_venta;
	}

	public function set_req_orden_compra($req_orden_compra){
		$this->req_orden_compra = $req_orden_compra;
	}

	public function set_observacion_economica($observacion_economica){
		$this->observacion_economica = $observacion_economica;
	}



}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
