<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_detalle_tipo_centralizacion{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_detalle_tipo_centralizacion;
	private $id_tipo_centralizacion;
	private $tipo_comprobante_control;
	private $extra1;
	private $extra2;
	private $extra3;
	
	private $nombre_tipo_cc;
	private $cc_selected;
	private $cv_selected;
	private $ch_selected;
	private $cr_selected;
	
	//CONSTRUCTOR
	public function __construct ($Cont_detalle_tipo_centralizacion_BD)
	{
	if ($Cont_detalle_tipo_centralizacion_BD){
		$this->id_detalle_tipo_centralizacion = $Cont_detalle_tipo_centralizacion_BD->get_id_detalle_tipo_centralizacion();
		$this->id_tipo_centralizacion = $Cont_detalle_tipo_centralizacion_BD->get_id_tipo_centralizacion();
		$this->tipo_comprobante_control = $Cont_detalle_tipo_centralizacion_BD->get_tipo_comprobante_control();
		$this->extra1 = $Cont_detalle_tipo_centralizacion_BD->get_extra1();
		$this->extra2 = $Cont_detalle_tipo_centralizacion_BD->get_extra2();
		$this->extra3 = $Cont_detalle_tipo_centralizacion_BD->get_extra3();
		
		switch($this->tipo_comprobante_control){
			case "4":
				$this->nombre_tipo_cc = "Control Compras";
				$this->cc_selected = "selected";
			break;
			case "5":
				$this->nombre_tipo_cc = "Control Ventas";
				$this->cv_selected = "selected";
			break;
			case "6":
				$this->nombre_tipo_cc = "Control Honorarios";
				$this->ch_selected = "selected";
			break;
			case "7":
				$this->nombre_tipo_cc = "Control Remuneraciones";
				$this->cr_selected = "selected";
			break;
			case "8":
				$this->nombre_tipo_cc = "Control Boletas de Venta";
				$this->cb_selected = "selected";
			break;			
		}
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------
	public function get_nombre_tipo_cc(){
		return ($this->nombre_tipo_cc);
	}
	
	public function get_cb_selected(){
		return ($this->cb_selected);
	}	
	
	public function get_cc_selected(){
		return ($this->cc_selected);
	}
	
	public function get_cv_selected(){
		return ($this->cv_selected);
	}
	
	public function get_ch_selected(){
		return ($this->ch_selected);
	}
	
	public function get_cr_selected(){
		return ($this->cr_selected);
	}

	public function get_id_detalle_tipo_centralizacion(){
		return ($this->id_detalle_tipo_centralizacion);
	}
	
	public function get_id_tipo_centralizacion(){
		return ($this->id_tipo_centralizacion);
	}
	
	public function get_tipo_comprobante_control(){
		return ($this->tipo_comprobante_control);
	}
	
	public function get_extra1(){
		return ($this->extra1);
	}
	
	public function get_extra2(){
		return ($this->extra2);
	}
	
	public function get_extra3(){
		return ($this->extra3);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_detalle_tipo_centralizacion($id_detalle_tipo_centralizacion){
		$this->id_detalle_tipo_centralizacion = $id_detalle_tipo_centralizacion;
	}
	
	public function set_id_tipo_centralizacion($id_tipo_centralizacion){
		$this->id_tipo_centralizacion = $id_tipo_centralizacion;
	}
	
	public function set_tipo_comprobante_control($tipo_comprobante_control){
		$this->tipo_comprobante_control = $tipo_comprobante_control;
	}
	
	public function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	public function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
