<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Comuna_Fachada {

	function &getListadoComuna($filtro,$extra)
	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}


		}

		if ($extra["order"]){
			$where .= "ORDER BY ".$extra["order"];
		}
		if ($extra["sort"]){
			$where .= $extra["sort"];
		}
		if ($extra["limit"]){
			$where .= "LIMIT ".$extra["limit"];
		}


		$query = expandir("GET_LISTADO_COMUNA",
		"where",	$where
		);

		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_comuna = $RecordSet -> Fields("id_comuna");
			$id_ciudad = $RecordSet -> Fields("id_ciudad");
			$nombre = $RecordSet -> Fields("nombre");

			$temp = new Comuna ($id_ciudad, $nombre, $id_comuna);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getComuna($id_comuna)
	{
		global $conn;
		$query = expandir("GET_COMUNA",
		"id_comuna", $id_comuna
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_comuna = $RecordSet -> Fields("id_comuna");
		$id_ciudad = $RecordSet -> Fields("id_ciudad");
		$nombre = $RecordSet -> Fields("nombre");


		$temp = new Comuna ($id_ciudad, $nombre, $id_comuna);
		return $temp;
	}


	function &guardarComuna($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_COMUNA",
		"nombre", $objeto->nombre,
		"id_ciudad", $objeto->id_ciudad);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return $conn->Insert_Id();


	}

	function &actualizarComuna($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_COMUNA",
		"id_ciudad", $objeto->id_ciudad,
		"nombre", $objeto->nombre,
		"id_comuna", $objeto->id_comuna);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarComuna($id_comuna){
		global $conn;
		$query = expandir("ELIMINAR_COMUNA",
		"id_comuna", $id_comuna
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}


}//Fin Clase
?>
