<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_comportamiento_cuenta_BD_Fachada {

function &getListadoCont_comportamiento_cuenta_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_COMPORTAMIENTO_CUENTA_BD",
	"where",$where
	);
	
	//debug($query);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_comportamiento_cuenta = $RecordSet -> Fields("id_comportamiento_cuenta");
		$id_seccion = $RecordSet -> Fields("id_seccion");
		$id_cuenta = $RecordSet -> Fields("id_cuenta");
		$descripcion = $RecordSet -> Fields("descripcion");
		$debe = $RecordSet -> Fields("debe");
		$haber = $RecordSet -> Fields("haber");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_comportamiento_cuenta_BD ($id_seccion, $id_cuenta, $descripcion, $debe, $haber, $id_sucursal, $id_empresa, $extra3, $id_comportamiento_cuenta);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_comportamiento_cuenta_BD($id_comportamiento_cuenta)
	{
		global $conn;
		$query = expandir("GET_CONT_COMPORTAMIENTO_CUENTA_BD",
		"id_comportamiento_cuenta", $id_comportamiento_cuenta
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_comportamiento_cuenta = $RecordSet -> Fields("id_comportamiento_cuenta");
	$id_seccion = $RecordSet -> Fields("id_seccion");
	$id_cuenta = $RecordSet -> Fields("id_cuenta");
	$descripcion = $RecordSet -> Fields("descripcion");
	$debe = $RecordSet -> Fields("debe");
	$haber = $RecordSet -> Fields("haber");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_comportamiento_cuenta_BD ($id_seccion, $id_cuenta, $descripcion, $debe, $haber, $id_sucursal, $id_empresa, $extra3, $id_comportamiento_cuenta);
	return $temp;
	}
	
	
	function &guardarCont_comportamiento_cuenta_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_COMPORTAMIENTO_CUENTA_BD",
		"id_cuenta", $objeto->get_id_cuenta(),
		"descripcion", $objeto->get_descripcion(),
		"debe", $objeto->get_debe(),
		"haber", $objeto->get_haber(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_empresa", $objeto->get_id_empresa(),
		"extra3", $objeto->get_extra3(),
		"id_seccion", $objeto->get_id_seccion());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_comportamiento_cuenta_BD(Cont_comportamiento_cuenta_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_COMPORTAMIENTO_CUENTA_BD",
		"id_seccion", $objeto->get_id_seccion(),
		"id_cuenta", $objeto->get_id_cuenta(),
		"descripcion", $objeto->get_descripcion(),
		"debe", $objeto->get_debe(),
		"haber", $objeto->get_haber(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_empresa", $objeto->get_id_empresa(),
		"extra3", $objeto->get_extra3(),
		"id_comportamiento_cuenta", $objeto->get_id_comportamiento_cuenta());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_comportamiento_cuenta_BD($id_comportamiento_cuenta){
		global $conn;
		$query = expandir("ELIMINAR_CONT_COMPORTAMIENTO_CUENTA_BD",
		"id_comportamiento_cuenta", $id_comportamiento_cuenta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_comportamiento_cuenta_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_COMPORTAMIENTO_CUENTA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
