<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_cuota_BD_Fachada {

function &getListadoCont_cuota_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_CUOTA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_cuota = $RecordSet -> Fields("id_cuota");
		$id_banco = $RecordSet -> Fields("id_banco");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		$id_documento = $RecordSet -> Fields("id_documento");
		$tipo_documento = $RecordSet -> Fields("tipo_documento");
		$numero_cuota = $RecordSet -> Fields("numero_cuota");
		$valor = $RecordSet -> Fields("valor");
		$fecha = $RecordSet -> Fields("fecha");
		$numero_cheque = $RecordSet -> Fields("numero_cheque");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_cuota_BD ($id_banco, $id_cliente_proveedor, $id_documento, $tipo_documento, $numero_cuota, $valor, $fecha, $numero_cheque, $estado, $observacion, $extra1, $extra2, $extra3, $id_cuota);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_cuota_BD($id_cuota)
	{
		global $conn;
		$query = expandir("GET_CONT_CUOTA_BD",
		"id_cuota", $id_cuota
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_cuota = $RecordSet -> Fields("id_cuota");
	$id_banco = $RecordSet -> Fields("id_banco");
	$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
	$id_documento = $RecordSet -> Fields("id_documento");
	$tipo_documento = $RecordSet -> Fields("tipo_documento");
	$numero_cuota = $RecordSet -> Fields("numero_cuota");
	$valor = $RecordSet -> Fields("valor");
	$fecha = $RecordSet -> Fields("fecha");
	$numero_cheque = $RecordSet -> Fields("numero_cheque");
	$estado = $RecordSet -> Fields("estado");
	$observacion = $RecordSet -> Fields("observacion");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_cuota_BD ($id_banco, $id_cliente_proveedor, $id_documento, $tipo_documento, $numero_cuota, $valor, $fecha, $numero_cheque, $estado, $observacion, $extra1, $extra2, $extra3, $id_cuota);
	return $temp;
	}
	
	
	function &guardarCont_cuota_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_CUOTA_BD",
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_documento", $objeto->get_id_documento(),
		"tipo_documento", $objeto->get_tipo_documento(),
		"numero_cuota", $objeto->get_numero_cuota(),
		"valor", $objeto->get_valor(),
		"fecha", $objeto->get_fecha(),
		"numero_cheque", $objeto->get_numero_cheque(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_banco", $objeto->get_id_banco());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_cuota_BD(Cont_cuota_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_CUOTA_BD",
		"id_banco", $objeto->get_id_banco(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_documento", $objeto->get_id_documento(),
		"tipo_documento", $objeto->get_tipo_documento(),
		"numero_cuota", $objeto->get_numero_cuota(),
		"valor", $objeto->get_valor(),
		"fecha", $objeto->get_fecha(),
		"numero_cheque", $objeto->get_numero_cheque(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_cuota", $objeto->get_id_cuota());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_cuota_BD($id_cuota){
		global $conn;
		$query = expandir("ELIMINAR_CONT_CUOTA_BD",
		"id_cuota", $id_cuota
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_cuota_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_CUOTA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
