<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_tipo_centralizacion_BD_Fachada {

function &getListadoCont_tipo_centralizacion_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_TIPO_CENTRALIZACION_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_tipo_centralizacion = $RecordSet -> Fields("id_tipo_centralizacion");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$dia_centralizar = $RecordSet -> Fields("dia_centralizar");
		$tipo = $RecordSet -> Fields("tipo");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_tipo_centralizacion_BD ($nombre, $descripcion, $dia_centralizar, $tipo, $extra1, $extra2, $extra3, $id_tipo_centralizacion);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_tipo_centralizacion_BD($id_tipo_centralizacion)
	{
		global $conn;
		$query = expandir("GET_CONT_TIPO_CENTRALIZACION_BD",
		"id_tipo_centralizacion", $id_tipo_centralizacion
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_tipo_centralizacion = $RecordSet -> Fields("id_tipo_centralizacion");
	$nombre = $RecordSet -> Fields("nombre");
	$descripcion = $RecordSet -> Fields("descripcion");
	$dia_centralizar = $RecordSet -> Fields("dia_centralizar");
	$tipo = $RecordSet -> Fields("tipo");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_tipo_centralizacion_BD ($nombre, $descripcion, $dia_centralizar, $tipo, $extra1, $extra2, $extra3, $id_tipo_centralizacion);
	return $temp;
	}
	
	
	function &guardarCont_tipo_centralizacion_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_TIPO_CENTRALIZACION_BD",
		"descripcion", $objeto->get_descripcion(),
		"dia_centralizar", $objeto->get_dia_centralizar(),
		"tipo", $objeto->get_tipo(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"nombre", $objeto->get_nombre());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_tipo_centralizacion_BD(Cont_tipo_centralizacion_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_TIPO_CENTRALIZACION_BD",
		"nombre", $objeto->get_nombre(),
		"descripcion", $objeto->get_descripcion(),
		"dia_centralizar", $objeto->get_dia_centralizar(),
		"tipo", $objeto->get_tipo(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_tipo_centralizacion", $objeto->get_id_tipo_centralizacion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_tipo_centralizacion_BD($id_tipo_centralizacion){
		global $conn;
		$query = expandir("ELIMINAR_CONT_TIPO_CENTRALIZACION_BD",
		"id_tipo_centralizacion", $id_tipo_centralizacion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_tipo_centralizacion_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_TIPO_CENTRALIZACION_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
