<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cuenta_Fachada {

	function &getListadoCuenta($filtro,$extra)

	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}
		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}


		$query = expandir("GET_LISTADO_CUENTA",
		"where",	$where
		);
		//debug($query);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_cuenta = $RecordSet -> Fields("id_cuenta");
			$id_nivel_plan_cuenta = $RecordSet -> Fields("id_nivel_plan_cuenta");
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$codigo = $RecordSet -> Fields("codigo");
			$nombre = $RecordSet -> Fields("nombre");
			$descripcion = $RecordSet -> Fields("descripcion");
			$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
			$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
			$imp = $RecordSet -> Fields("imp");
			$hab = $RecordSet -> Fields("hab");
			$cc = $RecordSet -> Fields("cc");
			$nro_documento = $RecordSet -> Fields("nro_documento");
			$cliente = $RecordSet -> Fields("cliente");
			$proveedor = $RecordSet -> Fields("proveedor");
			$rut = $RecordSet -> Fields("rut");
			$inv = $RecordSet -> Fields("inv");
			$impuesto = $RecordSet -> Fields("impuesto");
			$iva_debito_fiscal = $RecordSet -> Fields("iva_debito_fiscal");
			$codigo_unitario = $RecordSet -> Fields("codigo_unitario");
			$iva_credito_fiscal = $RecordSet -> Fields("iva_credito_fiscal");
			$id_plan_cuenta = $RecordSet -> Fields("id_plan_cuenta");
			$bco = $RecordSet -> Fields("bco");

			$temp = new Cuenta ($id_nivel_plan_cuenta, $id_usuario, $codigo, $nombre, $descripcion, $fecha_creacion, $fecha_modificacion, $imp, $hab, $cc, $nro_documento, $cliente, $proveedor, $rut, $inv, $impuesto, $iva_debito_fiscal, $codigo_unitario, $iva_credito_fiscal, $id_plan_cuenta, $bco, $id_cuenta);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getCuenta($id_cuenta)
	{
		global $conn;
		$query = expandir("GET_CUENTA",
		"id_cuenta", $id_cuenta
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_cuenta = $RecordSet -> Fields("id_cuenta");
		$id_nivel_plan_cuenta = $RecordSet -> Fields("id_nivel_plan_cuenta");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$codigo = $RecordSet -> Fields("codigo");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
		$imp = $RecordSet -> Fields("imp");
		$hab = $RecordSet -> Fields("hab");
		$cc = $RecordSet -> Fields("cc");
		$nro_documento = $RecordSet -> Fields("nro_documento");
		$cliente = $RecordSet -> Fields("cliente");
		$proveedor = $RecordSet -> Fields("proveedor");
		$rut = $RecordSet -> Fields("rut");
		$inv = $RecordSet -> Fields("inv");
		$impuesto = $RecordSet -> Fields("impuesto");
		$iva_debito_fiscal = $RecordSet -> Fields("iva_debito_fiscal");
		$codigo_unitario = $RecordSet -> Fields("codigo_unitario");
		$iva_credito_fiscal = $RecordSet -> Fields("iva_credito_fiscal");
		$id_plan_cuenta = $RecordSet -> Fields("id_plan_cuenta");
		$bco = $RecordSet -> Fields("bco");


		$temp = new Cuenta ($id_nivel_plan_cuenta, $id_usuario, $codigo, $nombre, $descripcion, $fecha_creacion, $fecha_modificacion, $imp, $hab, $cc, $nro_documento, $cliente, $proveedor, $rut, $inv, $impuesto, $iva_debito_fiscal, $codigo_unitario, $iva_credito_fiscal, $id_plan_cuenta, $bco, $id_cuenta);
		return $temp;
	}


	function &guardarCuenta($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CUENTA",
		"id_usuario", $objeto->id_usuario,
		"codigo", $objeto->codigo,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"fecha_creacion", $objeto->fecha_creacion,
		"fecha_modificacion", $objeto->fecha_modificacion,
		"imp", $objeto->imp,
		"hab", $objeto->hab,
		"cc", $objeto->cc,
		"nro_documento", $objeto->nro_documento,
		"cliente", $objeto->cliente,
		"proveedor", $objeto->proveedor,
		"rut", $objeto->rut,
		"inv", $objeto->inv,
		"impuesto", $objeto->impuesto,
		"iva_debito_fiscal", $objeto->iva_debito_fiscal,
		"codigo_unitario", $objeto->codigo_unitario,
		"iva_credito_fiscal", $objeto->iva_credito_fiscal,
		"id_plan_cuenta", $objeto->id_plan_cuenta,
		"bco", $objeto->bco,
		"id_nivel_plan_cuenta", $objeto->id_nivel_plan_cuenta);

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();


	}

	function &actualizarCuenta($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CUENTA",
		"id_nivel_plan_cuenta", $objeto->id_nivel_plan_cuenta,
		"id_usuario", $objeto->id_usuario,
		"codigo", $objeto->codigo,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"fecha_creacion", $objeto->fecha_creacion,
		"fecha_modificacion", $objeto->fecha_modificacion,
		"imp", $objeto->imp,
		"hab", $objeto->hab,
		"cc", $objeto->cc,
		"nro_documento", $objeto->nro_documento,
		"cliente", $objeto->cliente,
		"proveedor", $objeto->proveedor,
		"rut", $objeto->rut,
		"inv", $objeto->inv,
		"impuesto", $objeto->impuesto,
		"iva_debito_fiscal", $objeto->iva_debito_fiscal,
		"codigo_unitario", $objeto->codigo_unitario,
		"iva_credito_fiscal", $objeto->iva_credito_fiscal,
		"id_plan_cuenta", $objeto->id_plan_cuenta,
		"bco", $objeto->bco,
		"id_cuenta", $objeto->id_cuenta);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCuenta($id_cuenta){
		global $conn;
		$query = expandir("ELIMINAR_CUENTA",
		"id_cuenta", $id_cuenta
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadCuenta($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_CUENTA_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}
}//Fin Clase
?>
