<script>
{$sajax_functions}
{literal}

/*******************************************************************/
/***                                                             ***/
/***   Tokenizer.js - JavaScript String Tokenizer Function       ***/
/***                                                             ***/
/***   Version   : 0.2                                           ***/
/***   Date      : 01.05.2005                                    ***/
/***   Copyright : 2005 Adrian Zentner                           ***/
/***   Website   : http://www.adrian.zentner.name/               ***/
/***                                                             ***/
/***   This library is free software. It can be freely used as   ***/
/***   long as this this copyright notice is not removed.        ***/
/***                                                             ***/
/*******************************************************************/

String.prototype.tokenize = tokenize;

function tokenize()
  {
     var input             = "";
     var separator         = " ";
     var trim              = "";
     var ignoreEmptyTokens = true;

     try {
       String(this.toLowerCase());
     }
     catch(e) {
       window.alert("Tokenizer Usage: string myTokens[] = myString.tokenize(string separator, string trim, boolean ignoreEmptyTokens);");
       return;
     }

     if(typeof(this) != "undefined")
       {
          input = String(this);
       }

     if(typeof(tokenize.arguments[0]) != "undefined")
       {
          separator = String(tokenize.arguments[0]);
       }

     if(typeof(tokenize.arguments[1]) != "undefined")
       {
          trim = String(tokenize.arguments[1]);
       }

     if(typeof(tokenize.arguments[2]) != "undefined")
       {
          if(!tokenize.arguments[2])
            ignoreEmptyTokens = false;
       }

     var array = input.split(separator);

     if(trim)
       for(var i=0; i<array.length; i++)
         {
           while(array[i].slice(0, trim.length) == trim)
             array[i] = array[i].slice(trim.length);
           while(array[i].slice(array[i].length-trim.length) == trim)
             array[i] = array[i].slice(0, array[i].length-trim.length);
         }

     var token = new Array();
     if(ignoreEmptyTokens)
       {
          for(var i=0; i<array.length; i++)
            if(array[i] != "")
              token.push(array[i]);
       }
     else
       {
          token = array;
       }

     return token;
  }

function tokenizeString(separator,string)
{


    var output = string.tokenize(separator);

	return (output);
}

function getString()
  {
     var myString = getString.arguments[0];

     while(myString.indexOf("\\n") != -1)
       myString = myString.replace("\\n","\n");

     while(myString.indexOf("\\f") != -1)
       myString = myString.replace("\\f","\f");

     while(myString.indexOf("\\b") != -1)
       myString = myString.replace("\\b","\b");

     while(myString.indexOf("\\r") != -1)
       myString = myString.replace("\\r","\r");

     while(myString.indexOf("\\t") != -1)
       myString = myString.replace("\\t","\t");

     return myString;
  }

function mostrar_imprimir(value){
	switch(value){
		case "0"  : custom_showhide_mml('imprimir','0');break;
		case "1"  : custom_showhide_mml('imprimir','1');break;
	}
	
}

var state = "none";

function custom_showhide_mml(layer_ref,vis) {
	
	if (vis == '0') {
		state = 'none';
	}else{
		state = 'block';
	}
	
	if (document.all) { //IS IE 4 or 5 (or 6 beta)
		eval( "document.all." + layer_ref + ".style.display = state");
	}

	if (document.layers) { //IS NETSCAPE 4 or below
		document.layers[layer_ref].display = state;
	}
	
	if (document.getElementById &&!document.all) {
		hza = document.getElementById(layer_ref);
		hza.style.display = state;
	}
}
// *********************************************************************************************
// Consulta por Nmero Documento
function consulta_numero(){
	
	var tipo_documento 	  = document.getElementById("tipo_documento").value;
	var numero_documento  = document.getElementById("numero_dcto").value;
	var id_empresa        = document.getElementById("id_empresa").value;
	x_verificar_numero_impresion(numero_documento, tipo_documento, id_empresa, set_consulta_numero);
}

function set_consulta_numero(z){
	
	tokens = tokenizeString("#",z);

	estado = tokens[0];
	ok     = tokens[1];
	
	document.getElementById("estado").value = estado;
	if (ok)
		mostrar_imprimir("1");
}

// *********************************************************************************************
// Consulta por RUT
function consulta_rut(){
	
	var rut 	  = document.getElementById("rut").value;
	
	x_obtener_cliente_por_rut(rut, set_consulta_rut);
}

function set_consulta_rut(z){
		
		tokens = tokenizeString("@?",z);

		if (tokens[0])
			razon_social = tokens[0];
		else
			razon_social = "Ingrese nueva informacin";
		
		if (tokens[1])
			giro  = tokens[1];
		else
			giro  = "";
			
		if (tokens[2])
			ciudad = tokens[2];
		else
			ciudad = "";

		if (tokens[3])	
			direccion = tokens[3];
		else
			direccion = "";
			
		if (tokens[4])
			telefono = tokens[4];
		else
			telefono = "";
		
		if (tokens[5])
			id_cliente_proveedor = tokens[5];
		else
			id_cliente_proveedor = "";
		
		if (tokens[6])
			condicion_venta = tokens[6];
		else
			condicion_venta = "";	
			
		document.getElementById("razon_social").value = razon_social;
		document.getElementById("giro").value = giro;
		document.getElementById("ciudad").value = ciudad;
		document.getElementById("direccion").value = direccion;
		document.getElementById("telefono").value = telefono;
		document.getElementById("id_cliente_proveedor").value = id_cliente_proveedor;
		document.getElementById("condicion_venta").value = condicion_venta;
}

function clickheretoprint()
{ 

  var disp_setting="toolbar=yes,location=no,directories=yes,menubar=yes,"; 
      disp_setting+="scrollbars=yes,width=1100, height=600, left=100, top=25"; 
  var content_vlue = document.getElementById("print_content").innerHTML; 
  
  var docprint=window.open("","",disp_setting); 
  docprint.document.open(); 
  docprint.document.write('<html><head><title>ITEK Chile</title><style>.Estilo17{font-family: Verdana, Arial, Helvetica, sans-serif;font-size: 12px;}</style>'); 
  docprint.document.write('</head><body onLoad="self.print()"><center>');          
  docprint.document.write(content_vlue);          
  docprint.document.write('</center></body></html>'); 
  docprint.document.close(); 
  docprint.focus();
  
  var id_documento  = document.getElementById("id_documento").value;
  var numero_dcto = document.getElementById("numero_dcto").value;
  var id_sucursal = document.getElementById("id_sucursal").value;
  var id_empresa = document.getElementById("id_empresa").value;  
 
  x_cambiar_estado_impresion(id_documento , numero_dcto, id_empresa, id_sucursal, null);  
  self.close();
  opener.location.reload();
  
}
{/literal}
</script>