<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Bodega{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_bodega;
	var $id_sucursal;
	var $descripcion;
	var $estado;
	
	//CONSTRUCTOR
	/**
	* @return Bodega
	* @param $id_bodega;
	* @param $id_sucursal;
	* @param $descripcion;
	* @param $estado;
	* @desc Constructor de la Clase
	*/
	
	function Bodega ($id_sucursal, $descripcion, $estado, $id_bodega=0)
	{
		$this->id_bodega = $id_bodega;
		$this->id_sucursal = $id_sucursal;
		$this->descripcion = $descripcion;
		$this->estado = $estado;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

/**
* @return id_bodega
* @desc Retorna la variable id_bodega
*/

	function get_id_bodega(){
		return ($this->id_bodega);
	}
	
	/**
	* @return id_sucursal
	* @desc Retorna la variable id_sucursal
	*/
	
	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	/**
	* @return descripcion
	* @desc Retorna la variable descripcion
	*/
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	/**
	* @return estado
	* @desc Retorna la variable estado
	*/
	
	function get_estado(){
		return ($this->estado);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

/**
* @return void
* @desc Setea la variable id_bodega
*/

	function set_id_bodega($id_bodega){
		$this->id_bodega = $id_bodega;
	}
	
	/**
	* @return void
	* @desc Setea la variable id_sucursal
	*/
	
	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	/**
	* @return void
	* @desc Setea la variable descripcion
	*/
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	/**
	* @return void
	* @desc Setea la variable estado
	*/
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Bodega_getListadoBodega($id=0){
		return Bodega_Fachada::getListadoBodega($id);
	}
	
	function Bodega_getListadoBodega_filtro($filtro,$extra){
		return Bodega_Fachada::getListadoBodega_filtro($filtro,$extra);
	}

	function Bodega_getBodega($id_bodega){
		return Bodega_Fachada::getBodega($id_bodega);
	}
	
	function Bodega_guardarBodega($objeto){
		return Bodega_Fachada::guardarBodega($objeto);
	}
	
	function Bodega_actualizarBodega($objeto){
		return Bodega_Fachada::actualizarBodega($objeto);
	}
	
	function Bodega_eliminarBodega($id_bodega){
		return Bodega_Fachada::eliminarBodega($id_bodega);
	}
	
	
	
?>
