<?
	include_once("validate_session.php");
	
	$id_cotizacion = checkGET("id_cotizacion");
	$op = checkGET("op","");
	
	$cotizacion = Cotizacion_getCotizacion($id_cotizacion);
	
	switch ($op){
		case "activar":
					$cotizacion->set_estado_cotizacion(5);
					$fecha_activacion_cotizacion = date("Ymdhms");
					$cotizacion->set_fecha_activacion_cotizacion($fecha_activacion_cotizacion);
					$detalle_cotizacion = Detalle_cotizacion_getListadoDetalle_cotizacion($cotizacion->id_cotizacion);
					foreach ($detalle_cotizacion as $key => $value)
					{
						$id_detalle_cotizacion = $value->id_detalle_cotizacion;
						$id_cliente = $cotizacion->get_id_cliente();
						$descripcion_ot = $value->descripcion_detalle_cotizacion;
						$fecha_activacion = date("Ymdhms");
						$estado = 1;
						$ot = new Orden_trabajo($id_detalle_cotizacion, $id_cliente, $descripcion_ot, $fecha_activacion, $fecha_finalizacion, $estado, $observacion);
						$id_orden_trabajo = Orden_trabajo_guardarOrden_trabajo($ot);
						
						$id_servicio_por_solicitud = $value->id_servicio;
						$actividades = Actividad_getListadoActividad($id_servicio_por_solicitud);
						
						foreach ($actividades as $key2 => $value2)
						{
							
							$nombre_act = $value2->nombre_act;
							$observacion_act = $value2->observacion_act;
							$estado_ot_act = 1;
							$ot_actividad = new Ot_actividad($id_orden_trabajo, $nombre_act, $observacion_act, $fecha_inicio, $fecha_termino, $estado_ot_act);							
							
							$id_ot_actividad = Ot_actividad_guardarOt_actividad($ot_actividad);
							
							$id_actividad = $value2->id_actividad;
														
							$actividad_item = Actividad_item_getListadoActividad_item($id_actividad);
							
							foreach ($actividad_item as $key3 => $value3)
							{
								$id_item = $value3->id_item;
								$valor_real_act_item = $value3->valor_real_act_item;
								$cantidad_act_item = $value3->cantidad_act_item;
								$observacion_act_item = $value3->observacion_act_item;
								$estado_act_item = 1;
								$ot_actividad_item = new Ot_actividad_item($id_ot_actividad, $id_item, $valor_real_act_item, $cantidad_act_item, $observacion_act_item, $estado_act_item, $fecha_inicio, $fecha_termino);
								Ot_actividad_item_guardarOt_actividad_item($ot_actividad_item);
							}
							
						}
					}
					break;
			case "rechazar":
					$cotizacion->set_estado_cotizacion(6);
					$fecha_rechazo_cotizacion = date("Ymdhms");
					$cotizacion->set_fecha_rechazo_cotizacion($fecha_rechazo_cotizacion);
					break;
	}
	
	
	
	
	
	Cotizacion_actualizarCotizacion($cotizacion);
	
	$valor_ini		= checkPOST("valor_ini", 0, "num");
	$res_por_pag 	= checkPOST("res_por_pag", 0, "num");	
	
	//DEBUG($_POST);
	
	if (isset($_POST ["submit_x"])){
		$valor_ini = 0;
	}
	
	$filtro["valor_ini"]	= $valor_ini;
	$filtro["id_cliente"]	= checkPOST("id_cliente", 0, "num");
	$filtro["descripcion"]	= checkPOST("descripcion", "");
	$filtro["res_por_pag"]	= $res_por_pag;
	$filtro["order_by"]		= checkPOST("order_by", "id_cotizacion");
	$filtro["estado"] = "3 or estado_cotizacion = 4 or estado_cotizacion = 5 or estado_cotizacion = 6";
	
	$cant_cotizaciones_total = Cotizacion_getCantidadCotizacion();
	$cant_cotizaciones_query = Cotizacion_getCantidadCotizacion($filtro);	
	
	//debug($cant_cotizaciones_query);
	
	if (isset($_POST["bpage"])){
		$bpage = $_POST["bpage"];
		
		if ($bpage == "<<") $valor_ini = 0;
		if ($bpage == "<") 	$valor_ini -= $res_por_pag;
		if ($bpage == ">") 	$valor_ini += $res_por_pag;
		if ($bpage == ">>") $valor_ini = $cant_cotizaciones_query - $cant_cotizaciones_query%$res_por_pag;
		
		if ($valor_ini > $cant_cotizaciones_query) $valor_ini = $cant_cotizaciones_query - $cant_cotizaciones_query%$res_por_pag;
		if ($valor_ini < 0) $valor_ini = 0;
		$filtro["valor_ini"]	= $valor_ini;
	}
	
	$clientes  = Cliente_getListadoCliente();	
	$cotizaciones = Cotizacion_getListadoCotizacion($filtro);
	$cant_cotizaciones_total = sizeof($cotizaciones);
	
	//debug($cotizaciones);
	
	include_once("seleccionar_cotizacion_a_activar.dibujar");
?>