<?


function buscar_cuenta_extra($codigo_cuenta,$id_empresa)
	{
		$cuenta = new Cuenta();
		$empresa = Empresa_getEmpresa($id_empresa);
		$id_plan_cuenta = $empresa->get_id_plan_cuenta();
		$filtro_cuenta["codigo"] = $codigo_cuenta;
		$filtro_cuenta["id_plan_cuenta"] = $id_plan_cuenta;
		$cuenta = Cuenta_getListadoCuenta($filtro_cuenta,$extra_cuenta);
		$cuenta = $cuenta[0];
		
		
		if ($cuenta) {
			$texto 		= $cuenta->get_nombre();
			$rut   		= $cuenta->get_rut();
			$ndoc  		= $cuenta->get_nro_documento();
			$cliente 	= $cuenta->get_cliente();
			$proveedor  = $cuenta->get_proveedor();
			return ($texto."#".$rut."#".$ndoc."#".$cliente."#".$proveedor);
		}else{
			return "Cuenta Inexistente";
		}
	}
	
	function buscar_cuenta($codigo_cuenta)
	{
		$cuenta = new Cuenta();
		$filtro_cuenta["codigo"] = $codigo_cuenta;
		$cuenta = Cuenta_getListadoCuenta($filtro_cuenta,$extra_cuenta);
		$cuenta = $cuenta[0];
		
		
		if ($cuenta) {
			$texto = $cuenta->get_nombre();
			
			return ($texto);
		}else{
			return "Cuenta Inexistente";
		}
	}
	
	function consulta_documento($id_tipo_documento,$nro_documento,$analisis_cuenta){
		$clog_tipo_documento = new Controlador_Logico_Cont_tipo_documento();
		$tipo_documento      = $clog_tipo_documento->getCont_tipo_documento($id_tipo_documento);
		
		$filtro_documento["numero_documento"] = $nro_documento;
		 
		switch($analisis_cuenta){
			case "01": 
				$proveedor = true;
				$listado_documentos = Documento_compra_getListadoDocumento_compra($filtro_documento);
				foreach ($listado_documentos as $documento){
					$listado_proveedores .= $documento->get_rut_proveedor()."$".$documento->get_id_proveedor()."%";
				}
				return("listado#$id_tipo_documento#$listado_proveedores");
			break;
			case "10":
				$cliente   = true;
				$listado_documentos = Documento_venta_getListadoDocumento_venta($filtro_documento);
				$documento = $listado_documentos[0];
				
				if ($documento){
					$rut = $documento->get_rut_proveedor();
					if ($rut == "")
						$rut = "Sin RUT";
				}
				return ("uno#$id_tipo_documento#$rut");
			break;
		}
	}
	
	function mostrar_documento($id_tipo_documento, $numero_documento, $analisis_cuenta, $id_cliente_proveedor, $rut_solo){
		$clog_cliente_proveedor = new Controlador_Logico_Cliente_proveedor();
		if ($id_cliente_proveedor == 0){
			$filtro_cliente_proveedor["rut"] = $rut_solo;
			$cliente_proveedor = $clog_cliente_proveedor->getListadoCliente_proveedor($filtro_cliente_proveedor);
			$cliente_proveedor = $cliente_proveedor[0];
			$id_cliente_proveedor = $cliente_proveedor->get_id_cliente_proveedor();
		}else{
			$cliente_proveedor = $clog_cliente_proveedor->getCliente_proveedor($id_cliente_proveedor);
		}
		$nombre_cliente_proveedor = $cliente_proveedor->get_nombre();
		$rut_cliente_proveedor	  = format_rut_php($cliente_proveedor->get_rut());
		
		$filtro_documento["id_proveedor"] 		= $id_cliente_proveedor;
		$filtro_documento["numero_documento"] 	= $numero_documento;
		switch($analisis_cuenta){
			case "01": 
				$proveedor = true;
				$listado_documentos = Documento_compra_getListadoDocumento_compra($filtro_documento);
				$documento = $listado_documentos[0];
			break;
			case "10":
				$cliente   = true;
				$listado_documentos = Documento_venta_getListadoDocumento_venta($filtro_documento);
				$documento = $listado_documentos[0];
			break;
		}
		if ($documento){
			$fecha_docum = convertirFechaBD_fecha($documento->get_fecha_documento());
			$total_bruto = money_php($documento->get_total_bruto());
			$total_iva   = money_php($documento->get_total_iva());
			$total_neto  = money_php($documento->get_total_neto());
			$total_saldo = money_php($documento->get_total_saldos());
			$documento = "1";
		}else
			$documento = "0";
		return ($documento."#".$total_bruto."#".$total_iva."#".$total_neto."#".$total_saldo."#".$nombre_cliente_proveedor."#".$rut_cliente_proveedor."#".$fecha_docum);	
	}
	
	function verificar_numero_impresion($numero_documento, $tipo_documento, $id_empresa) {

	$clog_correlativo_documento = new Controlador_Logico_Cont_correlativo_documento();
	
	$extra_correlativo_documento["sql"] = "WHERE '$numero_documento' Between cont_correlativo_documento.desde AND  cont_correlativo_documento.hasta AND '$tipo_documento' Like cont_correlativo_documento.tipo_documento AND cont_correlativo_documento.en_uso = '1'";

	$correlativo_documento = $clog_correlativo_documento->getListadoCont_correlativo_documento("", $extra_correlativo_documento);
	$ok = false;

	if ($correlativo_documento) {
		switch ($tipo_documento) {
			case "7":
				$filtro_documento_venta["id_empresa"] = $id_empresa;
				$filtro_documento_venta["numero_documento"] = $numero_documento;
				$filtro_documento_venta["guia_despacho"] = 1;
				$documento_venta = Documento_venta_getListadoDocumento_venta($filtro_documento_venta);
				$documento_venta = $documento_venta[0];

				if ($documento_venta) {
					$msg = "Ya existe un documento con ese nmero";
				} else {
					$msg = "Nmero Aprobado";
					$ok = true;
				}
				break;			
				
			break;
			
			case "6" :
				$clog_vtas_boleta = new Controlador_Logico_Vtas_boleta_venta();
				
				$filtro_boleta_venta["numero_impresion"] = $numero_documento;
				$filtro_boleta_venta["id_empresa"] 		 = $id_empresa;
				$listado_boleta_venta = $clog_vtas_boleta->getListadoVtas_boleta_venta($filtro_boleta_venta);
				$boleta_venta = $listado_boleta_venta[0];
				
				if ($boleta_venta) {
					$msg = "Ya existe un documento con ese nmero";
				} else {
					$msg = "Nmero Aprobado";
					$ok = true;
				}				
				break;

			case "1" :

				$filtro_documento_venta["id_empresa"] = $id_empresa;
				$filtro_documento_venta["numero_documento"] = $numero_documento;
				$filtro_documento_venta["tipo_documento"] = $tipo_documento;

				$documento_venta = Documento_venta_getListadoDocumento_venta($filtro_documento_venta);
				$documento_venta = $documento_venta[0];

				if ($documento_venta) {
					$msg = "Ya existe un documento con ese nmero";
				} else {
					$msg = "Nmero Aprobado";
					$ok = true;
				}
				break;
		}
	} else {
		$msg = "El N $numero_documento no se encuentra disponible.";
	}

	return $msg."#".$ok;
}	

//Listado de las funciones a utilizar por ajax
	sajax_export("buscar_cuenta");
	sajax_export("buscar_cuenta_extra");
	sajax_export("consulta_documento");
	sajax_export("mostrar_documento");
	sajax_export("verificar_numero_impresion");

?>