<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Bitacora{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_bitacora;
	var $id_sobre;
	var $fecha_ingreso;
	var $id_responsable;
	var $observacion;
	var $estado;
	var $extra1;
	var $extra2;
	var $extra3;
	var $extra4;
	
	var $nombre_responsable;
	
	//CONSTRUCTOR
	function Bitacora ($id_sobre, $fecha_ingreso, $id_responsable, $observacion, $estado, $extra1, $extra2, $extra3, $extra4, $id_bitacora=0)
	{
		$this->id_bitacora = $id_bitacora;
		$this->id_sobre = $id_sobre;
		$this->fecha_ingreso = $fecha_ingreso;
		$this->id_responsable = $id_responsable;
		$this->observacion = $observacion;
		$this->estado = $estado;
		$this->extra1 = $extra1;
		$this->extra2 = $extra2;
		$this->extra3 = $extra3;
		$this->extra4 = $extra4;
		
		if ($id_responsable == 0){
			$this->nombre_responsable = "Informacin de Sistema";
		}else{
			$responsable = new Usuario();
			$responsable = Usuario_getUsuario($id_responsable);
			if ($responsable){
				$this->nombre_responsable = $responsable->login;
			}else{
				$this->nombre_responsable = "Laboratorista de Prueba";
			}	
		}
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_bitacora(){
		return ($this->id_bitacora);
	}
	
	function get_id_sobre(){
		return ($this->id_sobre);
	}
	
	function get_fecha_ingreso(){
		return ($this->fecha_ingreso);
	}
	
	function get_id_responsable(){
		return ($this->id_responsable);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_extra1(){
		return ($this->extra1);
	}
	
	function get_extra2(){
		return ($this->extra2);
	}
	
	function get_extra3(){
		return ($this->extra3);
	}
	
	function get_extra4(){
		return ($this->extra4);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_bitacora($id_bitacora){
		$this->id_bitacora = $id_bitacora;
	}
	
	function set_id_sobre($id_sobre){
		$this->id_sobre = $id_sobre;
	}
	
	function set_fecha_ingreso($fecha_ingreso){
		$this->fecha_ingreso = $fecha_ingreso;
	}
	
	function set_id_responsable($id_responsable){
		$this->id_responsable = $id_responsable;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	function set_extra4($extra4){
		$this->extra4 = $extra4;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Bitacora_getListadoBitacora($filtro,$extra){
		return Bitacora_Fachada::getListadoBitacora($filtro,$extra);
	}
	
	function Bitacora_getBitacora($id_bitacora){
		return Bitacora_Fachada::getBitacora($id_bitacora);
	}
	
	function Bitacora_guardarBitacora($objeto){
		return Bitacora_Fachada::guardarBitacora($objeto);
	}
	
	function Bitacora_actualizarBitacora($objeto){
		return Bitacora_Fachada::actualizarBitacora($objeto);
	}
	
	function Bitacora_eliminarBitacora($id_bitacora){
		return Bitacora_Fachada::eliminarBitacora($id_bitacora);
	}
	
	
	
?>
