<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_cobranza{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_cobranza;
	private $id_factura;
	private $fecha_cobro;
	private $observacion;
	private $hora_inicio;
	private $hora_termino;
	private $extra3;
	
	private $nombre_cliente;
	
	//CONSTRUCTOR
	public function __construct ($Cont_cobranza_BD)
	{
	if ($Cont_cobranza_BD){
		$this->id_cobranza = $Cont_cobranza_BD->get_id_cobranza();
		$this->id_factura = $Cont_cobranza_BD->get_id_factura();
		$this->fecha_cobro = $Cont_cobranza_BD->get_fecha_cobro();
		$this->observacion = $Cont_cobranza_BD->get_observacion();
		$this->hora_inicio = $Cont_cobranza_BD->get_hora_inicio();
		$this->hora_termino = $Cont_cobranza_BD->get_hora_termino();
		$this->extra3 = $Cont_cobranza_BD->get_extra3();
		

	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	public function get_id_cobranza(){
		return ($this->id_cobranza);
	}
	
	public function get_nombre_cliente(){
		$factura = Documento_venta_getDocumento_venta($this->id_factura);
		if ($factura){
			$clog_cp = new Controlador_Logico_Cliente_proveedor();
			$cp = $clog_cp->getCliente_proveedor($factura->get_id_proveedor());
			$this->nombre_cliente = $cp->get_nombre();
			if ($this->nombre_cliente == ""){
				$this->nombre_cliente = $cp->get_razon_social();
			}
		}
		return ($this->nombre_cliente);		
	}
	
	public function get_id_factura(){
		return ($this->id_factura);
	}
	
	public function get_fecha_cobro(){
		return ($this->fecha_cobro);
	}
	
	public function get_observacion(){
		return ($this->observacion);
	}
	
	public function get_hora_inicio(){
		return ($this->hora_inicio);
	}
	
	public function get_hora_termino(){
		return ($this->hora_termino);
	}
	
	public function get_extra3(){
		return ($this->extra3);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_cobranza($id_cobranza){
		$this->id_cobranza = $id_cobranza;
	}
	
	public function set_id_factura($id_factura){
		$this->id_factura = $id_factura;
	}
	
	public function set_fecha_cobro($fecha_cobro){
		$this->fecha_cobro = $fecha_cobro;
	}
	
	public function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	public function set_hora_inicio($hora_inicio){
		$this->hora_inicio = $hora_inicio;
	}
	
	public function set_hora_termino($hora_termino){
		$this->hora_termino = $hora_termino;
	}
	
	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
