<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------
if (!class_exists('Cont_detalle_comprobante')){
	$extra_var = null;
	// ================= Atributos Extras Provenientes de otras tablas
	// $extra_var["nombre_var"] = "tabla_externa | atributo | id_interno | id_externo";
	$extra_var["codigo_cuenta"] = "cont_cuenta | codigo | id_cuenta | id_cuenta";
	$extra_var["descripcion_cuenta"] = "cont_cuenta | nombre | id_cuenta | id_cuenta";

	$extra_var["nombre_tipo_documento"] = "cont_tipo_documento | nombre | id_tipo_documento | id_tipo_documento";

	$extra_var["numero_comprobante"] = "cont_comprobante | numero | id_comprobante | id_comprobante";
	$extra_var["tipo_comprobante_contable"] = "cont_comprobante | tipo_comprobante | id_comprobante | id_comprobante";
	$extra_var["fecha_comprobante"] = "cont_comprobante | fecha_creacion | id_comprobante | id_comprobante";
	$extra_var["glosa_comprobante"] = "cont_comprobante | descripcion | id_comprobante | id_comprobante";

	$extra_var["nombre_centro_costo"] = "cont_sub_centro_costo | nombre | id_centro_costo | id_sub_centro_costo";
	$extra_var["codigo_centro_costo"] = "cont_sub_centro_costo | codigo | id_centro_costo | id_sub_centro_costo";
	// ================= Atributos Extras Provenientes de otras tablas
	$MAPEOS["CONT_DETALLE_COMPROBANTE"] = $extra_var;

	class Cont_detalle_comprobante{
		//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

		var $id_detalle_comprobante;
		var $id_comprobante;
		var $id_detalle_comprobante_pago;
		var $id_cuenta;
		var $id_cliente_proveedor;
		var $id_tipo_documento;
		var $id_documento;
		var $rut;
		var $descripcion;
		var $debe;
		var $haber;
		var $estado;
		var $tipo_comprobante;
		var $id_centro_costo;
		var $id_banco;
		var $activo_fijo;
		var $producto_inventario;

		var $id_cont_item_gasto;
		var $oth;
		var $nro_documento;
		var $fecha_documento;
		var $tipo_documento_respaldo;
								
		var $codigo_cuenta;
		var $descripcion_cuenta;

		var $nombre_tipo_documento;

		var $numero_comprobante;
		var $tipo_comprobante_contable;
		var $fecha_comprobante;
		var $nombre_tipo_comprobante_contable;

		var $nombre_centro_costo;
		var $codigo_centro_costo;

		var $glosa_comprobante;
		
		

		// ================= Atributos Extras Provenientes de otras tablas
		// HERE
		// ================= Atributos Extras Provenientes de otras tablas

		//CONSTRUCTOR
		function Cont_detalle_comprobante($Cont_detalle_comprobante_arr)
		{
			if ($Cont_detalle_comprobante_arr){
				$this->id_detalle_comprobante = $Cont_detalle_comprobante_arr["id_detalle_comprobante"];
				$this->id_comprobante = $Cont_detalle_comprobante_arr["id_comprobante"];
				$this->id_detalle_comprobante_pago = $Cont_detalle_comprobante_arr["id_detalle_comprobante_pago"];
				$this->id_cuenta = $Cont_detalle_comprobante_arr["id_cuenta"];
				$this->id_cliente_proveedor = $Cont_detalle_comprobante_arr["id_cliente_proveedor"];
				$this->id_tipo_documento = $Cont_detalle_comprobante_arr["id_tipo_documento"];
				$this->id_documento = $Cont_detalle_comprobante_arr["id_documento"];
				$this->rut = $Cont_detalle_comprobante_arr["rut"];
				$this->descripcion = $Cont_detalle_comprobante_arr["descripcion"];
				$this->debe = $Cont_detalle_comprobante_arr["debe"];
				$this->haber = $Cont_detalle_comprobante_arr["haber"];
				$this->estado = $Cont_detalle_comprobante_arr["estado"];
				$this->tipo_comprobante = $Cont_detalle_comprobante_arr["tipo_comprobante"];
				$this->id_centro_costo = $Cont_detalle_comprobante_arr["id_centro_costo"];
				$this->id_banco = $Cont_detalle_comprobante_arr["id_banco"];
				$this->activo_fijo = $Cont_detalle_comprobante_arr["activo_fijo"];
				$this->producto_inventario = $Cont_detalle_comprobante_arr["producto_inventario"];

				$this->id_cont_item_gasto  = $Cont_detalle_comprobante_arr["id_cont_item_gasto"];
				$this->oth				   = $Cont_detalle_comprobante_arr["oth"];
				$this->nro_documento = $Cont_detalle_comprobante_arr["nro_documento"];
				$this->fecha_documento = $Cont_detalle_comprobante_arr["fecha_documento"];				
				$this->tipo_documento_respaldo = $Cont_detalle_comprobante_arr["tipo_documento_respaldo"];

				$filtro["id_cuenta"]=$this->id_cuenta;
				$cuenta=Cuenta_Fachada::getListadoCuenta($filtro);
				$cuenta=$cuenta[0];
//				debug($cuenta);
				//Atributos Extras Provenientes de otras tablas
				// HERE


				if($cuenta)
				{
					$this->codigo_cuenta = $cuenta->get_codigo();// $Cont_detalle_comprobante_arr["codigo_cuenta"];
					$this->descripcion_cuenta = $cuenta->get_nombre();// $Cont_detalle_comprobante_arr["descripcion_cuenta"];
				}
				$this->nombre_tipo_documento = $Cont_detalle_comprobante_arr["numero_comprobante"];
				$this->tipo_comprobante_contable = $Cont_detalle_comprobante_arr["tipo_comprobante_contable"];
				$this->fecha_comprobante = $Cont_detalle_comprobante_arr["fecha_comprobante"];
				$this->glosa_comprobante = $Cont_detalle_comprobante_arr["glosa_comprobante"];
				
				$this->nombre_centro_costo = $Cont_detalle_comprobante_arr["nombre_centro_costo"];
				$this->codigo_centro_costo = $Cont_detalle_comprobante_arr["codigo_centro_costo"];
				
				
				//Atributos Extras Provenientes de otras tablas

				switch ($this->tipo_comprobante_contable) {
					case 1:$this->nombre_tipo_comprobante = "Ingreso";break;
					case 2:$this->nombre_tipo_comprobante = "Egreso";break;
					case 3:$this->nombre_tipo_comprobante = "Traspaso";break;
					case 4:$this->nombre_tipo_comprobante = "CC";break;
					case 5:$this->nombre_tipo_comprobante = "CV";break;
					case 6:$this->nombre_tipo_comprobante = "CH";break;
					case 7:$this->nombre_tipo_comprobante = "CR";break;
					case 8:$this->nombre_tipo_comprobante = "CB";break;
				}
				
				
			}
		}

		//------------------------------------------------------------------------------
		//	FUNCIONES GET PARA OBTENER ATRIBUTOS
		//------------------------------------------------------------------------------
		function  display(){
			$permisos 	= "123456789012345678901234567";
			//$permisos 	= "";
			$formato	= "";
			$titulo		= "Detalles";
			return (mostrar_detalles_objeto($this, $permisos, $formato, $nombres, $titulo));
		}

		function get_codigo_centro_costo(){
			return $this->codigo_centro_costo;
		}

		public function get_valor(){
			if ($this->debe > 0)
			return ($this->debe);
			else
			return ($this->haber);
		}

		public function get_glosa_comprobante(){
			return ($this->glosa_comprobante);
		}

		public function get_fecha_comprobante(){
			return ($this->fecha_comprobante);
		}

		public function get_nombre_centro_costo(){
			return ($this->nombre_centro_costo);
		}

		public function get_numero_comprobante(){
			return ($this->numero_comprobante);
		}

		public function get_tipo_comprobante_contable(){
			return ($this->tipo_comprobante_contable);
		}

		public function get_nombre_tipo_comprobante_contable(){
			return ($this->nombre_tipo_comprobante_contable);
		}

		public function get_nombre_tipo_documento(){
			return ($this->nombre_tipo_documento);
		}

		public function get_codigo_cuenta(){
			return ($this->codigo_cuenta);
		}

		public function get_descripcion_cuenta(){
			return ($this->descripcion_cuenta);
		}

		public function get_id_detalle_comprobante(){
			return ($this->id_detalle_comprobante);
		}

		public function get_id_comprobante(){
			return ($this->id_comprobante);
		}

		public function get_id_cuenta(){
			return ($this->id_cuenta);
		}

		public function get_id_tipo_documento(){
			return ($this->id_tipo_documento);
		}

		public function get_id_documento(){
			return ($this->id_documento);
		}

		public function get_rut(){
			return ($this->rut);
		}

		public function get_descripcion(){
			return ($this->descripcion);
		}

		public function get_debe(){
			return ($this->debe);
		}

		public function get_haber(){
			return ($this->haber);
		}

		public function get_estado(){
			return ($this->estado);
		}

		public function get_tipo_comprobante(){
			return ($this->tipo_comprobante);
		}

		public function get_id_cliente_proveedor(){
			return ($this->id_cliente_proveedor);
		}

		public function get_id_centro_costo(){
			return ($this->id_centro_costo);
		}

		public function get_id_detalle_comprobante_pago(){
			return ($this->id_detalle_comprobante_pago);
		}

		public function get_id_banco(){
			return ($this->id_banco);
		}

		public function get_activo_fijo(){
			return ($this->activo_fijo);
		}

		public function get_producto_inventario(){
			return ($this->producto_inventario);
		}

		public function get_id_cont_item_gasto(){
			return ($this->id_cont_item_gasto);
		}
		public function get_oth(){
			return ($this->oth);
		}
		public function get_nro_documento(){
			return ($this->nro_documento);
		}
		public function get_fecha_documento(){
			return ($this->fecha_documento);
		}
		public function get_tipo_documento_respaldo(){
			return ($this->tipo_documento_respaldo);
		}				


		//------------------------------------------------------------------------------
		//	FUNCIONES SET PARA SETEAR ATRIBUTOS
		//------------------------------------------------------------------------------

		function set_id_detalle_comprobante($id_detalle_comprobante){
			$this->id_detalle_comprobante = $id_detalle_comprobante;
		}

		function set_id_comprobante($id_comprobante){
			$this->id_comprobante = $id_comprobante;
		}

		function set_id_detalle_comprobante_pago($id_detalle_comprobante_pago){
			$this->id_detalle_comprobante_pago = $id_detalle_comprobante_pago;
		}

		function set_id_cuenta($id_cuenta){
			$this->id_cuenta = $id_cuenta;
		}

		function set_id_cliente_proveedor($id_cliente_proveedor){
			$this->id_cliente_proveedor = $id_cliente_proveedor;
		}

		function set_id_tipo_documento($id_tipo_documento){
			$this->id_tipo_documento = $id_tipo_documento;
		}

		function set_id_documento($id_documento){
			$this->id_documento = $id_documento;
		}

		function set_rut($rut){
			$this->rut = $rut;
		}

		function set_descripcion($descripcion){
			$this->descripcion = $descripcion;
		}

		function set_debe($debe){
			$this->debe = $debe;
		}

		function set_haber($haber){
			$this->haber = $haber;
		}

		function set_estado($estado){
			$this->estado = $estado;
		}

		function set_tipo_comprobante($tipo_comprobante){
			$this->tipo_comprobante = $tipo_comprobante;
		}

		function set_id_centro_costo($id_centro_costo){
			$this->id_centro_costo = $id_centro_costo;
		}

		function set_id_banco($id_banco){
			$this->id_banco = $id_banco;
		}

		function set_activo_fijo($activo_fijo){
			$this->activo_fijo = $activo_fijo;
		}

		function set_producto_inventario($producto_inventario){
			$this->producto_inventario = $producto_inventario;
		}
		function set_id_cont_item_gasto($id_cont_item_gasto){
			$this->id_cont_item_gasto = $id_cont_item_gasto;
		}
		function set_oth($oth){
			$this->oth = $oth;
		}
		function set_nro_documento($nro_documento){
			$this->nro_documento = $nro_documento;
		}
		function set_fecha_documento($fecha_documento){
			$this->fecha_documento = $fecha_documento;
		}
		function set_tipo_documento_respaldo($tipo_documento_respaldo){
			$this->tipo_documento_respaldo = $tipo_documento_respaldo;
		}
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
