<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------
	$extra_var = null;
	$extra_var["nombre_empresa"] = "cont_cliente_proveedor|nombre|id_empresa|id_cliente_proveedor";
	$MAPEOS["CONVENIO"] = $extra_var;
	
class Convenio{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_convenio;
	var $id_empresa;
	var $id_documento;
	var $id_ciudad;
	var $fecha_creacion;
	var $representante;
	var $rut_representante;
	var $domicilio_comercial;
	var $estado;
	var $habilitado;
	var $telefono;
	var $orden_inicial;
	var $orden_final;
	var $fecha_cierre;
	var $extra1;
	var $extra2;
	
	var $nombre_empresa;
	var $nombre_ciudad;
	
	//CONSTRUCTOR
	function Convenio ($id_empresa, $id_documento, $id_ciudad, $fecha_creacion, $representante, $rut_representante, $domicilio_comercial, $estado, $habilitado, $telefono, $orden_inicial, $orden_final, $fecha_cierre, $extra1, $extra2, $id_convenio=0)
	{
		$this->id_convenio = $id_convenio;
		$this->id_empresa = $id_empresa;
		$this->id_documento = $id_documento;
		$this->id_ciudad = $id_ciudad;
		$this->fecha_creacion = $fecha_creacion;
		$this->representante = $representante;
		$this->rut_representante = $rut_representante;
		$this->domicilio_comercial = $domicilio_comercial;
		$this->estado = $estado;
		$this->habilitado = $habilitado;
		$this->telefono = $telefono;
		$this->orden_inicial = $orden_inicial;
		$this->orden_final = $orden_final;
		$this->fecha_cierre = $fecha_cierre;
		$this->extra1 = $extra1;
		$this->extra2 = $extra2;
		
		$clog_Cont_cliente_proveedor = new Controlador_Logico_Cont_cliente_proveedor();
		$cont_cliente_proveedor = $clog_Cont_cliente_proveedor->getCont_cliente_proveedor($this->id_empresa); 

		if ($cont_cliente_proveedor){
			$this->nombre_empresa = $cont_cliente_proveedor->razon_social;
		}
		
		$ciudad = new Ciudad();
		if ($id_ciudad) $ciudad = Ciudad_getCiudad($id_ciudad);
		if ($ciudad){
			$this->nombre_ciudad = $ciudad->nombre_ciudad;
		}
		if ($this->estado == 0)
			$this->nombre_estado = "Vigente";

		if ($this->estado == 1)
			$this->nombre_estado = "No vigente";

	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_convenio(){
		return ($this->id_convenio);
	}
	
	function get_descuento_familia($id_detalle, $id_familia){
		if (!$id_familia) $id_familia = 8; //Cristales
		
		$detalle = Detalle_convenio_getDetalle_convenio($id_detalle);
		$listado_descuentos = $detalle->descuentos;
		foreach ($listado_descuentos as $descuento){
			if($descuento->id_familia == $id_familia){
				return  $descuento->descuento;
			}
		}
		return (0);
	}
	
	function get_id_empresa(){
		return ($this->id_empresa);
	}
	
	function get_id_documento(){
		return ($this->id_documento);
	}
	
	function get_id_ciudad(){
		return ($this->id_ciudad);
	}
	
	function get_fecha_creacion(){
		return ($this->fecha_creacion);
	}
	
	function get_representante(){
		return ($this->representante);
	}
	
	function get_rut_representante(){
		return ($this->rut_representante);
	}
	
	function get_domicilio_comercial(){
		return ($this->domicilio_comercial);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_habilitado(){
		return ($this->habilitado);
	}
	
	function get_telefono(){
		return ($this->telefono);
	}
	
	function get_orden_inicial(){
		return ($this->orden_inicial);
	}
	
	function get_orden_final(){
		return ($this->orden_final);
	}
	
	function get_fecha_cierre(){
		return ($this->fecha_cierre);
	}
	
	function get_extra1(){
		return ($this->extra1);
	}
	
	function get_extra2(){
		return ($this->extra2);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_convenio($id_convenio){
		$this->id_convenio = $id_convenio;
	}
	
	function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}
	
	function set_id_documento($id_documento){
		$this->id_documento = $id_documento;
	}
	
	function set_id_ciudad($id_ciudad){
		$this->id_ciudad = $id_ciudad;
	}
	
	function set_fecha_creacion($fecha_creacion){
		$this->fecha_creacion = $fecha_creacion;
	}
	
	function set_representante($representante){
		$this->representante = $representante;
	}
	
	function set_rut_representante($rut_representante){
		$this->rut_representante = $rut_representante;
	}
	
	function set_domicilio_comercial($domicilio_comercial){
		$this->domicilio_comercial = $domicilio_comercial;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_habilitado($habilitado){
		$this->habilitado = $habilitado;
	}
	
	function set_telefono($telefono){
		$this->telefono = $telefono;
	}
	
	function set_orden_inicial($orden_inicial){
		$this->orden_inicial = $orden_inicial;
	}
	
	function set_orden_final($orden_final){
		$this->orden_final = $orden_final;
	}
	
	function set_fecha_cierre($fecha_cierre){
		$this->fecha_cierre = $fecha_cierre;
	}
	
	function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Convenio_getListadoConvenio($filtro,$extra){
		return Convenio_Fachada::getListadoConvenio($filtro,$extra);
	}
	
	function Convenio_getConvenioPorEmpresa($id_empresa){
	  // --> NO SE ESTA OCUPANDO ESTO --> MSK 0609
		return Convenio_Fachada::getConvenio($id_convenio);
	}
	
	function Convenio_getConvenio($id_convenio){
		return Convenio_Fachada::getConvenio($id_convenio);
	}
	
	function Convenio_guardarConvenio($objeto){
		return Convenio_Fachada::guardarConvenio($objeto);
	}
	
	function Convenio_actualizarConvenio($objeto){
		return Convenio_Fachada::actualizarConvenio($objeto);
	}
	
	function Convenio_eliminarConvenio($id_convenio){
		return Convenio_Fachada::eliminarConvenio($id_convenio);
	}
	
	function Convenio_cantidadConvenio($filtro){
		return Convenio_Fachada::get_cantidad($filtro);
	}
	
	
?>
