<?

//------------------------------------------------------------------------------
//	CLASE
//------------------------------------------------------------------------------

class Cuota_credito{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	var $id_cuota_credito;
	var $id_documento_credito;
	var $numero_cuota;
	var $monto_cuota;
	var $fecha_vence;
	var $estado;
	var $abono;
	var $saldo;

	var $fecha_credito;
	var $monto_credito;
	var $numero_cuotas;

	var $id_vale_venta;
	var $nombre_estado;
	var $nombre_cliente_particular;
	var $nombre_cliente_empresa;
	var $nombre_sucursal;


	//CONSTRUCTOR
	function Cuota_credito ($id_documento_credito, $numero_cuota, $monto_cuota, $fecha_vence, $estado, $abono, $saldo, $id_cuota_credito=0)
	{
		$this->id_cuota_credito = $id_cuota_credito;
		$this->id_documento_credito = $id_documento_credito;
		$this->numero_cuota = $numero_cuota;
		$this->monto_cuota = $monto_cuota;
		$this->fecha_vence = $fecha_vence;
		$this->estado = $estado;
		$this->abono = $abono;
		$this->saldo = $saldo;
		
			
		switch ($this->estado) {
			case 0:$this->nombre_estado = "Solcitada";break;
			case 1:$this->nombre_estado = "Digitada";break;
			case 2:$this->nombre_estado = "Impaga";break;
			case 3:$this->nombre_estado = "Abonada";break;
			case 4:$this->nombre_estado = "Pagada";break;
			case 5:$this->nombre_estado = "Vencida";break;
			case 9:$this->nombre_estado = "Nula";break;
		}

		$documento =  Documento_credito_getDocumento_credito($id_documento_credito);
		$this->id_vale_venta = $documento->id_vale_venta;
		
		//debug($documento);

		$this->nombre_cliente_particular = $documento->nombre_cliente;
		$this->nombre_cliente_empresa = $documento->nombre_cliente_empresa;
		$this->nombre_sucursal = $documento->nombre_sucursal;
		$this->numero_cuotas = $documento->numero_cuotas;

		/*
		$this->fecha_vencimiento = calcular_fecha($this->vencimiento,convertirFechaBD_fecha($this->fecha_documento),"futuro");
		
		$cuenta_impuesto = Cuenta_getCuenta($this->abono);
		if ($cuenta_impuesto)
			$this->nombre_impuesto = $cuenta_impuesto->get_nombre();
		*/
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	
	
	public function chequeaVencimiento(){
	if ($this->estado != "5" && $this->estado != "9"){
		$hoy = substr(hoy(),0,8);
		
		if ($this->fecha_vence < $hoy && $this->saldo > 0){
			$this->estado = 5;
			Cuota_credito_actualizarCuota_credito($this);
			
			$dc = Documento_credito_getDocumento_credito($this->id_documento_credito);
			if($dc->estado != 3) {
				$dc->estado = 3;
				Documento_credito_actualizarDocumento_credito($dc);
			}
		}
		
		
	}
	}	
	
	public function get_nombre_monto_cuota(){
		return ($this->nombre_monto_cuota);
	}
	
	public function get_nombre_impuesto(){
		return ($this->nombre_impuesto);
	}
	
	public function get_nombre_estado(){
		if ($this->estado_compra == 1)
		{
			if ($this->total_pagos == 0){
				return "Impaga";
			}
			else
				return "Abonada";
		}
		else 
			return $this->nombre_estado;
		
	}
	
		
	function get_id_cuota_credito(){
		return ($this->id_cuota_credito);
	}

	function get_id_documento(){
		return ($this->id_cuota_credito);
	}


	function get_id_documento_credito(){
		return ($this->id_documento_credito);
	}

	function get_numero_cuota(){
		return ($this->numero_cuota);
	}

	function get_monto_cuota(){
		return ($this->monto_cuota);
	}

	function get_fecha_vence(){
		return ($this->fecha_vence);
	}

	function get_fecha_credito(){
		return ($this->fecha_credito);
	}

	function get_monto_credito (){
		return ($this->monto_credito );
	}

	function get_numero_cuotas(){
		return ($this->numero_cuotas);
	}

	function get_estado(){
		return ($this->estado);
	}

	function get_abono(){
		return ($this->abono);
	}

	function get_saldo(){
		return ($this->saldo);
	}

	
	function get_fecha_vencimiento(){
		return ($this->fecha_vencimiento);
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	function set_id_cuota_credito($id_cuota_credito){
		$this->id_cuota_credito = $id_cuota_credito;
	}

	function set_id_documento_credito($id_documento_credito){
		$this->id_documento_credito = $id_documento_credito;
	}

	function set_numero_cuota($numero_cuota){
		$this->numero_cuota = $numero_cuota;
	}

	function set_fecha_vence($fecha_vence){
		$this->fecha_vence = $fecha_vence;
	}

	function set_fecha_credito($fecha_credito){
		$this->fecha_credito = $fecha_credito;
	}

	function set_monto_credito ($monto_credito ){
		$this->monto_credito  = $monto_credito ;
	}

	function set_monto_cuota($monto_cuota){
		$this->monto_cuota = $monto_cuota;
	}

	function set_numero_cuotas($numero_cuotas){
		$this->numero_cuotas = $numero_cuotas;
	}

	function set_estado($estado){
		$this->estado = $estado;
	}

	function set_abono($abono){
		$this->abono = $abono;
	}

	function set_saldo($saldo){
		$this->saldo = $saldo;
	}

	function set_vencimiento($vencimiento){
		$this->vencimiento = $vencimiento;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

function Cuota_credito_getListadoCuota_credito($filtro,$extra){
	return Cuota_credito_Fachada::getListadoCuota_credito($filtro,$extra);
}

function Cuota_credito_getCuota_credito($id_cuota_credito){
	return Cuota_credito_Fachada::getCuota_credito($id_cuota_credito);
}

function Cuota_credito_guardarCuota_credito($objeto){
	return Cuota_credito_Fachada::guardarCuota_credito($objeto);
}

function Cuota_credito_actualizarCuota_credito($objeto){
	return Cuota_credito_Fachada::actualizarCuota_credito($objeto);
}

function Cuota_credito_eliminarCuota_credito($id_cuota_credito){
	return Cuota_credito_Fachada::eliminarCuota_credito($id_cuota_credito);
}

function Cuota_credito_cantidadCuota_credito($filtro){
	return Cuota_credito_Fachada::get_cantidad($filtro);
}

function Cuota_credito_estado_pagosCuota_credito($filtro,$extra){
	return Cuota_credito_Fachada::get_estado_pagos_compra($filtro,$extra);
}

?>
