<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Devolucion{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_devolucion;
	var $id_orden_compra;
	var $id_documento;
	var $numero_documento;
	var $fecha_documento;
	var $fecha_devolucion;
	var $total;
	var $observacion;
	var $extra2;
	var $extra3;
	
	//CONSTRUCTOR
	function Devolucion ($id_orden_compra, $id_documento, $numero_documento, $fecha_documento, $fecha_devolucion, $total, $observacion, $extra2, $extra3, $id_devolucion=0)
	{
		$this->id_devolucion = $id_devolucion;
		$this->id_orden_compra = $id_orden_compra;
		$this->id_documento = $id_documento;
		$this->numero_documento = $numero_documento;
		$this->fecha_documento = $fecha_documento;
		$this->fecha_devolucion = $fecha_devolucion;
		$this->total = $total;
		$this->observacion = $observacion;
		$this->extra2 = $extra2;
		$this->extra3 = $extra3;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_devolucion(){
		return ($this->id_devolucion);
	}
	
	function get_id_orden_compra(){
		return ($this->id_orden_compra);
	}
	
	function get_id_documento(){
		return ($this->id_documento);
	}
	
	function get_numero_documento(){
		return ($this->numero_documento);
	}
	
	function get_fecha_documento(){
		return ($this->fecha_documento);
	}
	
	function get_fecha_devolucion(){
		return ($this->fecha_devolucion);
	}
	
	function get_total(){
		return ($this->total);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_extra2(){
		return ($this->extra2);
	}
	
	function get_extra3(){
		return ($this->extra3);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_devolucion($id_devolucion){
		$this->id_devolucion = $id_devolucion;
	}
	
	function set_id_orden_compra($id_orden_compra){
		$this->id_orden_compra = $id_orden_compra;
	}
	
	function set_id_documento($id_documento){
		$this->id_documento = $id_documento;
	}
	
	function set_numero_documento($numero_documento){
		$this->numero_documento = $numero_documento;
	}
	
	function set_fecha_documento($fecha_documento){
		$this->fecha_documento = $fecha_documento;
	}
	
	function set_fecha_devolucion($fecha_devolucion){
		$this->fecha_devolucion = $fecha_devolucion;
	}
	
	function set_total($total){
		$this->total = $total;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Devolucion_getListadoDevolucion($id=0){
		return Devolucion_Fachada::getListadoDevolucion($id);
	}
	
	function Devolucion_getDevolucion($id_devolucion){
		return Devolucion_Fachada::getDevolucion($id_devolucion);
	}
	
	function Devolucion_guardarDevolucion($objeto){
		return Devolucion_Fachada::guardarDevolucion($objeto);
	}
	
	function Devolucion_actualizarDevolucion($objeto){
		return Devolucion_Fachada::actualizarDevolucion($objeto);
	}
	
	function Devolucion_eliminarDevolucion($id_devolucion){
		return Devolucion_Fachada::eliminarDevolucion($id_devolucion);
	}
	
	
	
?>
