<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Forma_pago{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_forma_pago;
	var $descripcion;
	var $estado;
	var $guia_despacho;
	var $id_cuenta;
	var $nombre_cuenta;
	var $guia_despacho_checked;
	
	//CONSTRUCTOR
	function Forma_pago ($descripcion, $estado, $guia_despacho, $id_cuenta, $id_forma_pago=0)
	{
		$this->id_forma_pago = $id_forma_pago;
		$this->descripcion = $descripcion;
		$this->estado = $estado;
		$this->guia_despacho = $guia_despacho;
		$this->id_cuenta = $id_cuenta;

		$cuenta = Cuenta_getCuenta($this->id_cuenta);
		if ($cuenta)
		{
			$this->nombre_cuenta = $cuenta->nombre;
			$this->codigo_cuenta = $cuenta->codigo;
		}
		if($guia_despacho){
			$this->guia_despacho_checked = "checked";
		}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_forma_pago(){
		return ($this->id_forma_pago);
	}
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_guia_despacho(){
		return ($this->guia_despacho);
	}
	
	function get_id_cuenta(){
		return ($this->id_cuenta);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_forma_pago($id_forma_pago){
		$this->id_forma_pago = $id_forma_pago;
	}
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_guia_despacho($guia_despacho){
		$this->guia_despacho = $guia_despacho;
	}
	
	function set_id_cuenta($id_cuenta){
		$this->id_cuenta = $id_cuenta;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Forma_pago_getListadoForma_pago($id=0){
		return Forma_pago_Fachada::getListadoForma_pago($id);
	}
	
	function Forma_pago_getListadoForma_pago_filtro($filtro, $extra){		
		return Forma_pago_Fachada::getListadoForma_pago_filtro($filtro, $extra);
	}


	function Forma_pago_getForma_pago($id_forma_pago){
		return Forma_pago_Fachada::getForma_pago($id_forma_pago);
	}
	
	function Forma_pago_guardarForma_pago($objeto){
		return Forma_pago_Fachada::guardarForma_pago($objeto);
	}
	
	function Forma_pago_actualizarForma_pago($objeto){
		return Forma_pago_Fachada::actualizarForma_pago($objeto);
	}
	
	function Forma_pago_eliminarForma_pago($id_forma_pago){
		return Forma_pago_Fachada::eliminarForma_pago($id_forma_pago);
	}
	
	
	
?>
