<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Libro_venta{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_documento;
	private $id_cliente;
	private $nombre_cliente;
	private $rut_cliente;
	private $tipo_documento;
	private $numero_documento;
	private $desde_numero_boleta;
	private $hasta_numero_boleta;
	private $correlativo;
	private $folio;
	private $fecha_documento;
	private $exento;
	private $total_neto;
	private $total_iva;
	private $total_bruto;

	private $nombre_tipo_documento;
	private $nombre_tipo_documento_corto;

	private $estado;
	//CONSTRUCTOR
	public function __construct ($Libro_venta_BD)
	{
		if ($Libro_venta_BD){
			$this->id_documento = $Libro_venta_BD->get_id_documento();
			$this->id_cliente = $Libro_venta_BD->get_id_cliente();
			$this->nombre_cliente = $Libro_venta_BD->get_nombre_cliente();
			$this->rut_cliente = $Libro_venta_BD->get_rut_cliente();
			$this->tipo_documento = $Libro_venta_BD->get_tipo_documento();
			$this->numero_documento = $Libro_venta_BD->get_numero_documento();
			$this->desde_numero_boleta = $Libro_venta_BD->get_desde_numero_boleta();
			$this->hasta_numero_boleta = $Libro_venta_BD->get_hasta_numero_boleta();
			$this->correlativo = $Libro_venta_BD->get_correlativo();
			$this->folio = $Libro_venta_BD->get_folio();
			$this->fecha_documento = $Libro_venta_BD->get_fecha_documento();
			$this->exento = $Libro_venta_BD->get_exento();
			$this->total_neto = $Libro_venta_BD->get_total_neto();
			$this->total_iva = $Libro_venta_BD->get_total_iva();
			$this->total_bruto = $Libro_venta_BD->get_total_bruto();

			switch ($this->tipo_documento){
				case "0": $this->nombre_tipo_documento_corto = "B";$this->nombre_tipo_documento = "Boleta"; break;
				case "1": $this->nombre_tipo_documento_corto = "F";$this->nombre_tipo_documento = "Factura"; break;
				case "2": $this->nombre_tipo_documento_corto = "NC";$this->nombre_tipo_documento = "Nota de Crdito"; break;
				case "3": $this->nombre_tipo_documento_corto = "ND";$this->nombre_tipo_documento = "Nota de Dbito"; break;
			}

			$this->fecha_documento_no_bd = convertirFechaBD_fecha($this->fecha_documento);
			
			$documento_original = Documento_venta_getDocumento_venta($this->id_documento);
			if ($documento_original)
				$this->estado = $documento_original->get_estado();
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_estado(){
		return ($this->estado);
	}
	
	public function get_fecha_documento_no_bd(){
		return ($this->fecha_documento_no_bd);
	}

	public function get_nombre_tipo_documento(){
		return ($this->nombre_tipo_documento);
	}

	public function get_nombre_tipo_documento_corto(){
		return ($this->nombre_tipo_documento_corto);
	}
	public function get_id_documento(){
		return ($this->id_documento);
	}

	public function get_id_cliente(){
		return ($this->id_cliente);
	}

	public function get_nombre_cliente(){
		return ($this->nombre_cliente);
	}

	public function get_rut_cliente(){
		return ($this->rut_cliente);
	}

	public function get_tipo_documento(){
		return ($this->tipo_documento);
	}

	public function get_numero_documento(){
		return ($this->numero_documento);
	}

	public function get_desde_numero_boleta(){
		return ($this->desde_numero_boleta);
	}

	public function get_hasta_numero_boleta(){
		return ($this->hasta_numero_boleta);
	}

	public function get_correlativo(){
		return ($this->correlativo);
	}

	public function get_folio(){
		return ($this->folio);
	}

	public function get_fecha_documento(){
		return ($this->fecha_documento);
	}

	public function get_exento(){
		return ($this->exento);
	}

	public function get_total_neto(){
		return ($this->total_neto);
	}

	public function get_total_iva(){
		return ($this->total_iva);
	}

	public function get_total_bruto(){
		return ($this->total_bruto);
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_documento($id_documento){
		$this->id_documento = $id_documento;
	}

	public function set_id_cliente($id_cliente){
		$this->id_cliente = $id_cliente;
	}

	public function set_nombre_cliente($nombre_cliente){
		$this->nombre_cliente = $nombre_cliente;
	}

	public function set_rut_cliente($rut_cliente){
		$this->rut_cliente = $rut_cliente;
	}

	public function set_tipo_documento($tipo_documento){
		$this->tipo_documento = $tipo_documento;
	}

	public function set_numero_documento($numero_documento){
		$this->numero_documento = $numero_documento;
	}

	public function set_desde_numero_boleta($desde_numero_boleta){
		$this->desde_numero_boleta = $desde_numero_boleta;
	}

	public function set_hasta_numero_boleta($hasta_numero_boleta){
		$this->hasta_numero_boleta = $hasta_numero_boleta;
	}

	public function set_correlativo($correlativo){
		$this->correlativo = $correlativo;
	}

	public function set_folio($folio){
		$this->folio = $folio;
	}

	public function set_fecha_documento($fecha_documento){
		$this->fecha_documento = $fecha_documento;
	}

	public function set_exento($exento){
		$this->exento = $exento;
	}

	public function set_total_neto($total_neto){
		$this->total_neto = $total_neto;
	}

	public function set_total_iva($total_iva){
		$this->total_iva = $total_iva;
	}

	public function set_total_bruto($total_bruto){
		$this->total_bruto = $total_bruto;
	}



}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
