<?

class Reporte{
	
	var $datos;
	var $debug;
	
	function reporte($datos){
		$this->debug = false;
		$this->datos = $datos;
	}
	
	function get_inventario_stock_critico($filtro){
		$extra["query"] = "GET_LISTADO_INVENTARIO_STOCK_CRITICO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);	
	}
	
	function get_reporte_ventas_empresa($filtro){
		$extra["query"] = "GET_LISTADO_EMPRESAS_TOP";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}
	
	function get_reporte_produccion($filtro){
		$extra["query"] = "GET_REPORTE_PRODUCCION";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_produccion_tecnico($filtro){
		$extra["query"] = "GET_REPORTE_PRODUCCION_TECNICO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_reporte_produccion_tecnico_extra($filtro){
		$extra["query"] = "GET_REPORTE_PRODUCCION_TECNICO_EXTRA";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_ventas_vendedor($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_sucursal"]) $filtro["id_sucursal"] = "%";
		if (!$filtro["tipo_documento"]) $filtro["tipo_documento"] = "%";
		$extra["query"] = "GET_REPORTE_VENTAS_VENDEDOR_BOLETAS";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_reporte_ventas_vendedor_boletas($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_sucursal"]) $filtro["id_sucursal"] = "%";
		if (!$filtro["id_vendedor"]) $filtro["id_vendedor"] = "%";
		$extra["query"] = "GET_REPORTE_VENTAS_VENDEDOR_BOLETAS";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_reporte_ventas_vendedor_guias($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_sucursal"]) $filtro["id_sucursal"] = "%";
		if (!$filtro["id_vendedor"]) $filtro["id_vendedor"] = "%";

		$extra["query"] = "GET_REPORTE_VENTAS_VENDEDOR_GUIAS";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_nc_vendedor_boletas($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_sucursal"]) $filtro["id_sucursal"] = "%";
		if (!$filtro["id_vendedor"]) $filtro["id_vendedor"] = "%";
		$extra["query"] = "GET_REPORTE_NC_VENDEDOR_BOLETAS";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_reporte_ventas_vendedor_boletas2($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_vendedor"]) $filtro["id_vendedor"] = "%";
		$extra["query"] = "GET_REPORTE_VENTAS_VENDEDOR_BOLETAS2";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_reporte_ventas_vendedor_guias2($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_vendedor"]) $filtro["id_vendedor"] = "%";
		if (!$filtro["id_sucursal"]) $filtro["id_sucursal"] = "%";

		$extra["query"] = "GET_REPORTE_VENTAS_VENDEDOR_GUIAS2";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_nc_vendedor_boletas2($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_vendedor"]) $filtro["id_vendedor"] = "%";
		$extra["query"] = "GET_REPORTE_NC_VENDEDOR_BOLETAS2";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}



	function get_nc_vendedor_guias($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_sucursal"]) $filtro["id_sucursal"] = "%";
		if (!$filtro["id_vendedor"]) $filtro["id_vendedor"] = "%";
		$extra["query"] = "GET_REPORTE_NC_VENDEDOR_GUIAS";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}
	


	function get_reporte_ventas_forma_pago($filtro){
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_sucursal"]) $filtro["id_sucursal"] = "%";
		if (!$filtro["tipo_documento"]) $filtro["tipo_documento"] = "%";
		$extra["query"] = "GET_REPORTE_VENTAS_FORMA_PAGO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	

	function get_reporte_productos_sin_movimiento($filtro){
		$extra["query"] = "GET_LISTADO_PRODUCTOS_NO_VENDIDOS";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_productos_sin_movimiento_consolidado($filtro){
		$extra["query"] = "GET_LISTADO_PRODUCTOS_NO_VENDIDOS_CONSOLIDADO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_reporte_general($filtro){
		$extra["query"] = "GET_REPORTE_GENERAL";
		if (!$filtro["fecha1"]) $filtro["fecha1"] = 19000101;
		if (!$filtro["fecha2"]) $filtro["fecha2"] = 29000101;
		if (!$filtro["id_sucursal"]) $filtro["id_sucursal"] = "%";
		if (!$filtro["estado"]) $filtro["estado"] = "%";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}
	
	function get_inventario_valorizado($filtro_tmp){
		
		$filtro["id_familia"] 		= "%";
		$filtro["id_subfamilia"] 	= "%";
		$filtro["id_bodega"] 		= "-1";
		
		if ($filtro_tmp["id_familia"] 	 != 0) 	$filtro["id_familia"]		= $filtro_tmp["id_familia"];
		if ($filtro_tmp["id_subfamilia"] != 0) 	$filtro["id_subfamilia"] 	= $filtro_tmp["id_subfamilia"];
		if ($filtro_tmp["id_bodega"] 	 != 0) 	$filtro["id_bodega"] 		= $filtro_tmp["id_bodega"];
		if ($filtro_tmp["descripcion"] != "")	$filtro["descripcion"] 		= $filtro_tmp["descripcion"];
		if ($filtro_tmp["codigo_barra"]!= "")	$filtro["codigo_barra"]		= $filtro_tmp["codigo_barra"];

		$extra["query"] = "GET_INVENTARIO_VALORIZADO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_ventas_por_familia($filtro){
		$extra["query"] = "GET_LISTADO_VENTAS_POR_FAMILIA";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_ventas_por_subfamilia($filtro){
		$extra["query"] = "GET_LISTADO_VENTAS_POR_SUBFAMILIA";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_ventas_por_producto($filtro){
		$extra["query"] = "GET_LISTADO_VENTAS_POR_PRODUCTO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_detalle_ventas_por_subfamilia($filtro){
		$extra["query"] = "GET_LISTADO_DETALLE_VENTAS_POR_SUBFAMILIA";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_stock_por_familia($filtro){
		$extra["query"] = "GET_LISTADO_STOCK_POR_FAMILIA";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_stock_por_subfamilia($filtro){
		$extra["query"] = "GET_LISTADO_STOCK_POR_SUBFAMILIA";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_detalle_stock_por_subfamilia($filtro){
		$extra["query"] = "GET_LISTADO_DETALLE_STOCK_POR_SUBFAMILIA";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_cantidad_compras_producto($filtro){
		$extra["query"] = "GET_CANTIDAD_COMPRAS_POR_PRODUCTO";
		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_costo_bajas_tecnico($filtro){
		$extra["query"] = "GET_COSTO_BAJAS_TECNICO";
		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_cantidad_bajas_tecnico($filtro){
		$extra["query"] = "GET_CANTIDAD_BAJAS_TECNICO";
		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_cantidad_compra_cristales($filtro){
		$extra["query"] = "GET_CANTIDAD_COMPRA_CRISTALES";		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_cantidad_cristales_oc($filtro){
		$extra["query"] = "GET_CANTIDAD_CRISTALES_OC";		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_monto_neto_oc($filtro){
		$extra["query"] = "GET_MONTO_NETO_OC";		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_cantidad_cumplen_plazo($filtro){
		$extra["query"] = "GET_CANTIDAD_CUMPLEN_PLAZO";		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_cantidad_no_cumplen_plazo($filtro){
		$extra["query"] = "GET_CANTIDAD_NO_CUMPLEN_PLAZO";		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


	function get_monto_compras_producto($filtro){
		$extra["query"] = "GET_MONTO_COMPRAS_POR_PRODUCTO";
		
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}
	

	
	function get_cantidad_ventas_producto($filtro){
		$extra["query"] = "GET_CANTIDAD_VENTAS_POR_PRODUCTO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_monto_ventas_producto($filtro){
		$extra["query"] = "GET_MONTO_VENTAS_POR_PRODUCTO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_reporte_ventas_por_proveedor($filtro){
		$extra["query"] = "GET_LISTADO_VENTAS_POR_PROVEEDOR";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

//	function get_reporte_productos_sin_movimiento($filtro){
//		$extra["query"] = "GET_LISTADO_PRODUCTOS_SIN_MOVIMIENTO";
//		return Reporte_Fachada::getDatosReporte($filtro, $extra);
//	}

	function get_reporte_detalle_ventas_por_proveedor($filtro){
		$extra["query"] = "GET_LISTADO_DETALLE_VENTAS_POR_PROVEEDOR";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_precio_compra_mas_alto($filtro){
		$extra["query"] = "GET_PRECIO_COMPRA_MAS_ALTO";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_codigo_barra_small($filtro){
		$extra["query"] = "GET_CODIGO_BARRA_SMALL";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_stock_actual($filtro){
		$extra["query"] = "GET_STOCK_ACTUAL";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}

	function get_armazon_vale_venta($filtro){
		$extra["query"] = "GET_ARMAZON_VALE_VENTA";
		return Reporte_Fachada::getDatosReporte($filtro, $extra);
	}


}
