<?
//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Salud{
	
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	var $id_salud;
	var $id_empresa;
	var $descripcion;
	var $elimina;
	var $id_cuenta;
	var $codigo_previred;
	
	//CONSTRUCTOR
	function Salud ($id_empresa, $descripcion, $elimina, $id_cuenta, $codigo_previred, $id_salud=0)
	{
		$this->id_salud 	= $id_salud;
		$this->id_empresa	= $id_empresa;
		$this->descripcion 	= $descripcion;
		$this->elimina		= $elimina;	
		$this->id_cuenta	= $id_cuenta;
		$this->codigo_previred	= $codigo_previred;
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_salud(){
		return ($this->id_salud);
	}
	
	function get_id_empresa(){
		return ($this->id_empresa);
	}

	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_elimina(){
		return ($this->elimina);
	}
	
	function get_id_cuenta(){
		return ($this->id_cuenta);
	}

	function get_codigo_previred(){
		return ($this->codigo_previred);
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_salud($id_salud){
		$this->id_salud = $id_salud;
	}
	
	function set_id_empresa($id_id_empresa){
		$this->id_empresa = $id_empresa;
	}

	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_elimina($elimina){
		$this->elimina = $elimina;
	}
	
	function set_id_cuenta($id_cuenta){
		$this->id_cuenta = $id_cuenta;
	}
	
	function set_codigo_previred($codigo_previred){
		$this->codigo_previred = $codigo_previred;
	}

	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Salud_getCantidadSalud($filtro){
		return Salud_Fachada::getCantidadSalud($filtro);
	}

	function Salud_getListadoSalud($filtro,$extra){
		return Salud_Fachada::getListadoSalud($filtro,$extra);
	}
	
	function Salud_getSalud($id_salud){
		return Salud_Fachada::getSalud($id_salud);
	}
	
	function Salud_guardarSalud($objeto){
		return Salud_Fachada::guardarSalud($objeto);
	}
	
	function Salud_actualizarSalud($objeto){
		return Salud_Fachada::actualizarSalud($objeto);
	}
	
	function Salud_eliminarSalud($id_salud){
		return Salud_Fachada::eliminarSalud($id_salud);
	}	
?>
