<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Sucursal{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_sucursal;
	var $rut;
	var $descripcion;
	var $direccion;
	var $ciudad;
	var $telefono;
	var $fax;
	var $email;
	var $responsable;
	var $estado;
	var $observacion;
	var $id_bodega_ventas;
	var $id_bodega_cristales;
	var $clave;
	var $id_cuenta;
	var $ex5;
	var $ex6;
	var $codigo_integracion;
	
	//CONSTRUCTOR
	function Sucursal ($rut, $descripcion, $direccion, $ciudad, $telefono, $fax, $email, $responsable, $estado, $observacion, $id_bodega_ventas, $id_bodega_cristales, $clave, $id_cuenta, $ex5, $ex6, $codigo_integracion, $id_sucursal=0)
	{
		$this->id_sucursal = $id_sucursal;
		$this->rut = $rut;
		$this->descripcion = $descripcion;
		$this->direccion = $direccion;
		$this->ciudad = $ciudad;
		$this->telefono = $telefono;
		$this->fax = $fax;
		$this->email = $email;
		$this->responsable = $responsable;
		$this->estado = $estado;
		$this->observacion = $observacion;
		$this->id_bodega_ventas = $id_bodega_ventas;
		$this->id_bodega_cristales = $id_bodega_cristales;
		$this->clave = $clave;
		$this->id_cuenta = $id_cuenta;
		$this->ex5 = $ex5;
		$this->ex6 = $ex6;
		$this->codigo_integracion = $codigo_integracion;
//		$this->cantidad_cristales = $this->get_cantidad_cristales($fecha,$fecha2);
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------


	function get_cantidad_no_cumplen_plazo($fecha,$fecha2)
	{
		$reporte = new Reporte();
		$filtro["fecha1"] = convertirFecha_fechabd($fecha);
		$filtro["fecha2"] = convertirFecha_fechabd($fecha2);
		$filtro["id_sucursal"] = $this->id_sucursal;

		$res = $reporte->get_cantidad_no_cumplen_plazo($filtro);	
		return $res[0]["TOTAL"]|0;

	}

	function get_cantidad_cumplen_plazo($fecha,$fecha2)
	{
		$reporte = new Reporte();
		$filtro["fecha1"] = convertirFecha_fechabd($fecha);
		$filtro["fecha2"] = convertirFecha_fechabd($fecha2);
		$filtro["id_sucursal"] = $this->id_sucursal;

		$res = $reporte->get_cantidad_cumplen_plazo($filtro);	
		return $res[0]["TOTAL"]|0;

	}


	function get_cantidad_cristales($fecha,$fecha2,$id_proveedor)
	{
		$reporte = new Reporte();
		$filtro["fecha1"] = convertirFecha_fechabd($fecha);
		$filtro["fecha2"] = convertirFecha_fechabd($fecha2);
		if ($id_proveedor <> 0)	
			$filtro["id_proveedor"] = $id_proveedor;
		else
			$filtro["id_proveedor"] = "%";

		$filtro["id_sucursal"] = $this->id_sucursal;

		$res = $reporte->get_cantidad_compra_cristales($filtro);	
		return $res[0]["TOTAL"]|0;

	}
	function get_nombre_bodega_cristales(){
		$bodega = Bodega_getBodega($this->id_bodega_cristales);
		return ($bodega->descripcion);
	}
	
	function get_nombre_bodega_ventas(){
		$bodega = Bodega_getBodega($this->id_bodega_ventas);
		return ($bodega->descripcion);
	}
	
	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	function get_rut(){
		return ($this->rut);
	}
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_direccion(){
		return ($this->direccion);
	}
	
	function get_ciudad(){
		return ($this->ciudad);
	}
	
	function get_telefono(){
		return ($this->telefono);
	}
	
	function get_fax(){
		return ($this->fax);
	}
	
	function get_email(){
		return ($this->email);
	}
	
	function get_responsable(){
		return ($this->responsable);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_id_bodega_ventas(){
		return $this->id_bodega_ventas;
	}
	
	function get_id_bodega_cristales(){
		return $this->id_bodega_cristales;
	}
	
	function get_clave(){
		return $this->clave;
	}
	
	function get_id_cuenta(){
		return $this->id_cuenta;
	}
	
	function get_ex5(){
		return $this->ex5;
	}
	
	function get_ex6(){
		return $this->ex6;
	}

	function get_codigo_integracion(){
		return $this->codigo_integracion;
	}

	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	function set_rut($rut){
		$this->rut = $rut;
	}
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_direccion($direccion){
		$this->direccion = $direccion;
	}
	
	function set_ciudad($ciudad){
		$this->ciudad = $ciudad;
	}
	
	function set_telefono($telefono){
		$this->telefono = $telefono;
	}
	
	function set_fax($fax){
		$this->fax = $fax;
	}
	
	function set_email($email){
		$this->email = $email;
	}
	
	function set_responsable($responsable){
		$this->responsable = $responsable;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_codigo_integracion($codigo_integracion){
		$this->codigo_integracion = $codigo_integracion;
	}

	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Sucursal_getListadoSucursal($filtro,$extra){
		return Sucursal_Fachada::getListadoSucursal($filtro,$extra);
	}
	
	function Sucursal_getSucursal($id_sucursal){
		return Sucursal_Fachada::getSucursal($id_sucursal);
	}
	
	function Sucursal_guardarSucursal($objeto){
		return Sucursal_Fachada::guardarSucursal($objeto);
	}
	
	function Sucursal_actualizarSucursal($objeto){
		return Sucursal_Fachada::actualizarSucursal($objeto);
	}
	
	function Sucursal_eliminarSucursal($id_sucursal){
		return Sucursal_Fachada::eliminarSucursal($id_sucursal);
	}
	
	
	
?>
