<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

	$extra_var = null;
	// ================= Atributos Extras Provenientes de otras tablas
	// $extra_var["nombre_var"] = "tabla_externa | atributo | id_interno | id_externo";
	$extra_var["nombre_bodega_desde"] 	= "bodega|descripcion|id_bodega_desde|id_bodega";
	$extra_var["nombre_bodega_hasta"] 	= "bodega|descripcion|id_bodega_hasta|id_bodega|b2";
	$extra_var["nombre_funcionario"] 	= "usuario|nombre|id_usuario";
	$extra_var["apellido_funcionario"] 	= "usuario|apellido|id_usuario";
	// ================= Atributos Extras Provenientes de otras tablas
	$MAPEOS["TRASPASO_INVENTARIO"] = $extra_var;
	
class Traspaso_inventario{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_traspaso_inventario;
	var $id_bodega_desde;
	var $id_bodega_hasta;
	var $id_usuario;
	var $fecha_traspaso;
	var $observacion;
	var $estado;
	var $fecha_envio;
	var $id_usuario_envio;
	var $tipo;
	
	// ================= Atributos Extras Provenientes de otras tablas
	var $nombre_bodega_desde;
	var $nombre_bodega_hasta;
	var $nombre_estado;
	var $nombre_funcionario;

	// ================= Atributos Extras Provenientes de otras tablas
	
	//CONSTRUCTOR
	function Traspaso_inventario($Traspaso_inventario_arr)
	{
		if ($Traspaso_inventario_arr){
			$this->id_traspaso_inventario = $Traspaso_inventario_arr["id_traspaso_inventario"];
			$this->id_bodega_desde = $Traspaso_inventario_arr["id_bodega_desde"];
			$this->id_bodega_hasta = $Traspaso_inventario_arr["id_bodega_hasta"];
			$this->id_usuario = $Traspaso_inventario_arr["id_usuario"];
			$this->fecha_traspaso = $Traspaso_inventario_arr["fecha_traspaso"];
			$this->observacion = $Traspaso_inventario_arr["observacion"];
			$this->estado = $Traspaso_inventario_arr["estado"];
			$this->fecha_envio = $Traspaso_inventario_arr["fecha_envio"];
			$this->id_usuario_envio = $Traspaso_inventario_arr["id_usuario_envio"];
			$this->tipo = $Traspaso_inventario_arr["tipo"];
			

			//Atributos Extras Provenientes de otras tablas
			$this->nombre_bodega_desde 	= $Traspaso_inventario_arr["nombre_bodega_desde"];
			$this->nombre_bodega_hasta 	= $Traspaso_inventario_arr["nombre_bodega_hasta"];
			$this->nombre_funcionario 	= $Traspaso_inventario_arr["nombre_funcionario"] . " " . $Traspaso_inventario_arr["apellido_funcionario"];
			//Atributos Extras Provenientes de otras tablas
			
			switch ($this->estado){
				case 0: $this->nombre_estado = "Traspaso Pendiente"; break;
				case 2: 
					$this->nombre_estado = "Enviado (en trnsito)"; break;
				case 3: $this->nombre_estado = "Recepcin Incompleta"; break;
				case 1: $this->nombre_estado = "Completo"; break;
				case 9: $this->nombre_estado = "Anulado"; break;
			}

			$usuario_envio = Usuario_getUsuario($this->id_usuario_envio);
			if ($usuario_envio)
				$this->nombre_envio = $usuario_envio->nombre." ".$usuario_envio->apellido;

			if ($this->tipo == 1)
				$this->nombre_tipo = "Inventario";
			
			if ($this->tipo == 2)
				$this->nombre_tipo = "Insumos";

			$clog_Recepcion_traspaso = new Controlador_Logico_Recepcion_traspaso();

			$filtro_recepcion_traspaso["id_traspaso_inventario"] = $this->id_traspaso_inventario;
			$listado_recepcion_traspaso = $clog_Recepcion_traspaso->getListadoRecepcion_traspaso($filtro_recepcion_traspaso, $extra_recepcion_traspaso);

			foreach ($listado_recepcion_traspaso as $rt)
			{
				$fecha_r = ($rt->fecha_recepcion)." - ";
			}
			$this->fecha_recepcion = $fecha_r;

		}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_nombre_bodega_desde(){
		return ($this->nombre_bodega_desde);
	}
	
	function get_nombre_bodega_hasta(){
		return ($this->nombre_bodega_hasta);
	}
	
	function get_nombre_estado(){
		return ($this->nombre_estado);
	}
	
	function get_nombre_funcionario(){
		return ($this->nombre_funcionario);
	}
	
	function anular_traspaso(){
		$clog_mov = new Controlador_Logico_Movimiento_inventario();
		$ok = true;
		
		$listado_traspaso_inventario = Detalle_traspaso_getListadoDetalle_traspaso($this->id_traspaso_inventario);
		foreach ($listado_traspaso_inventario as $detalle_traspaso){

			$inv = Inventario_getProductoInventario($this->id_bodega_hasta, $detalle_traspaso->id_producto);
			if ($inv->stock_actual >= $detalle_traspaso->cantidad){

				// Rebajar desde bodega de destino			
				$inv->stock_actual -= $detalle_traspaso->cantidad;
				Inventario_actualizarInventario($inv);

				
				// Aumentar en Bodega de Origen
				$inv = Inventario_getProductoInventario($this->id_bodega_desde, $detalle_traspaso->id_producto);
				$inv->stock_actual += $detalle_traspaso->cantidad;
				Inventario_actualizarInventario($inv);
				
				
				// Anular Movimientos Inventario
				$mov = $clog_mov->getMovimiento_inventario_por_tipo($this->id_tipo_movimiento, $this->id_traspaso_inventario, $this->id_bodega_desde);
				$clog_mov->eliminarMovimiento_inventario($mov->get_id_movimiento_inventario());
				
				$mov = $clog_mov->getMovimiento_inventario_por_tipo($this->id_tipo_movimiento, $this->id_traspaso_inventario, $this->id_bodega_hasta);
				$clog_mov->eliminarMovimiento_inventario($mov->get_id_movimiento_inventario());
				
				Detalle_traspaso_eliminarDetalle_traspaso($detalle_traspaso->id_detalle_traspaso);
			}else{
				$ok = false;
			}
		}
		return $ok;
	}
	
	function anular_traspaso_en_transito(){
		$clog_mov = new Controlador_Logico_Movimiento_inventario();
		$ok = true;
		
		$listado_traspaso_inventario = Detalle_traspaso_getListadoDetalle_traspaso($this->id_traspaso_inventario);
		foreach ($listado_traspaso_inventario as $detalle_traspaso){

			$inv = Inventario_getProductoInventario($this->id_bodega_hasta, $detalle_traspaso->id_producto);
				// Aumentar en Bodega de Origen
				$inv = Inventario_getProductoInventario($this->id_bodega_desde, $detalle_traspaso->id_producto);
				$inv->stock_actual += $detalle_traspaso->cantidad;
				Inventario_actualizarInventario($inv);
				
				
				// Anular Movimientos Inventario
		
				$mov = $clog_mov->getMovimiento_inventario_por_tipo(2, $this->id_traspaso_inventario, $this->id_bodega_desde);
				if($mov) $clog_mov->eliminarMovimiento_inventario($mov->get_id_movimiento_inventario());				
//				Detalle_traspaso_eliminarDetalle_traspaso($detalle_traspaso->id_detalle_traspaso);
		}
		return $ok;
	}

//------------------------------------------------------------------------------
	
	function get_id_traspaso_inventario(){
		return ($this->id_traspaso_inventario);
	}
	
	function get_id_bodega_desde(){
		return ($this->id_bodega_desde);
	}
	
	function get_id_bodega_hasta(){
		return ($this->id_bodega_hasta);
	}
	
	function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	function get_fecha_traspaso(){
		return ($this->fecha_traspaso);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_fecha_envio(){
		return ($this->fecha_envio);
	}

	function get_id_usuario_envio(){
		return ($this->id_usuario_envio);
	}
	
	function get_tipo(){
		return ($this->tipo);
	}


	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_traspaso_inventario($id_traspaso_inventario){
		$this->id_traspaso_inventario = $id_traspaso_inventario;
	}
	
	function set_id_bodega_desde($id_bodega_desde){
		$this->id_bodega_desde = $id_bodega_desde;
	}
	
	function set_id_bodega_hasta($id_bodega_hasta){
		$this->id_bodega_hasta = $id_bodega_hasta;
	}
	
	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	function set_fecha_traspaso($fecha_traspaso){
		$this->fecha_traspaso = $fecha_traspaso;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_fecha_envio($fecha_envio){
		$this->fecha_envio = $fecha_envio;
	}
	
	function set_id_usuario_envio($id_usuario_envio){
		$this->id_usuario_envio = $id_usuario_envio;
	}
	
	function set_tipo($tipo){
		$this->tipo = $tipo;
	}

	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------


	function Traspaso_inventario_getListadoTraspaso_inventario($id=0){
		$clog_traspaso = new Controlador_Logico_Traspaso_inventario();
		return $clog_traspaso->getListadoTraspaso_inventario($id_traspaso_inventario);
	}
	
	function Traspaso_inventario_getTraspaso_inventario($id_traspaso_inventario){
		$clog_traspaso = new Controlador_Logico_Traspaso_inventario();
		return $clog_traspaso->getTraspaso_inventario($id_traspaso_inventario);
	}
	
	function Traspaso_inventario_guardarTraspaso_inventario($objeto){
		$clog_traspaso = new Controlador_Logico_Traspaso_inventario();
		return $clog_traspaso->guardarTraspaso_inventario($objeto);
	}
	
	function Traspaso_inventario_actualizarTraspaso_inventario($objeto){
		$clog_traspaso = new Controlador_Logico_Traspaso_inventario();
		return $clog_traspaso->actualizarTraspaso_inventario($objeto);
	}
	
	function Traspaso_inventario_eliminarTraspaso_inventario($id_traspaso_inventario){
		$clog_traspaso = new Controlador_Logico_Traspaso_inventario();
		return $clog_traspaso->eliminarTraspaso_inventario($id_traspaso_inventario);
	}

	function Traspaso_inventario_getSaldoTraspaso_inventario($id=0){
		return Traspaso_inventario_Fachada::getSaldoTraspaso_inventario($id, "");
	}


?>
