<?

//------------------------------------------------------------------------------
	//	CLASE BD
//------------------------------------------------------------------------------

class Boleta_BD {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_boleta;
	private $id_profesional;
	private $id_contribuyente;
	private $correlativo;
	private $id_comprobante;
	private $descripcion;
	private $id_centro_costo;
	private $id_item_gasto;
	private $numero_boleta;
	private $fecha_creacion;
	private $fecha_emision;
	private $fecha_proceso;
	private $total_neto;
	private $impuesto;
	private $total_bruto;
	private $total_saldos;
	private $id_sucursal;

	//CONSTRUCTOR
	public function __construct ($id_profesional, $id_contribuyente, $correlativo, $id_comprobante, $descripcion, $id_centro_costo, $id_item_gasto, $numero_boleta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $total_saldos, $estado, $fecha_cancelacion, $id_sucursal, $id_boleta=0)
	{
		$this->id_boleta = $id_boleta;
		$this->id_profesional = $id_profesional;
		$this->id_contribuyente = $id_contribuyente;
		$this->correlativo = $correlativo;
		$this->id_comprobante = $id_comprobante;
		$this->descripcion = $descripcion;
		$this->id_centro_costo = $id_centro_costo;
		$this->id_item_gasto = $id_item_gasto;
		$this->numero_boleta = $numero_boleta;
		$this->fecha_creacion = $fecha_creacion;
		$this->fecha_emision = $fecha_emision;
		$this->fecha_proceso = $fecha_proceso;
		$this->total_neto = $total_neto;
		$this->impuesto = $impuesto;
		$this->total_bruto = $total_bruto;
		$this->total_saldos = $total_saldos;
		$this->estado = $estado;
		$this->fecha_cancelacion = $fecha_cancelacion;
		$this->id_sucursal = $id_sucursal;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------
	public function get_estado(){
		return ($this->estado);
	}	
	
	public function get_fecha_cancelacion(){
		return ($this->fecha_cancelacion);
	}	
	
	public function get_total_saldos(){
		return ($this->total_saldos);
	}

	public function get_id_boleta(){
		return ($this->id_boleta);
	}
	
	public function get_id_profesional(){
		return ($this->id_profesional);
	}
	
	public function get_id_contribuyente(){
		return ($this->id_contribuyente);
	}
	
	public function get_correlativo(){
		return ($this->correlativo);
	}
	
	public function get_id_comprobante(){
		return ($this->id_comprobante);
	}
	
	public function get_descripcion(){
		return ($this->descripcion);
	}
	
	public function get_id_centro_costo(){
		return ($this->id_centro_costo);
	}
	
	public function get_id_item_gasto(){
		return ($this->id_item_gasto);
	}
	
	public function get_numero_boleta(){
		return ($this->numero_boleta);
	}
	
	public function get_fecha_creacion(){
		return ($this->fecha_creacion);
	}
	
	public function get_fecha_emision(){
		return ($this->fecha_emision);
	}
	
	public function get_fecha_proceso(){
		return ($this->fecha_proceso);
	}
	
	public function get_total_neto(){
		return ($this->total_neto);
	}
	
	public function get_impuesto(){
		return ($this->impuesto);
	}
	
	public function get_total_bruto(){
		return ($this->total_bruto);
	}
	
	public function get_id_sucursal(){
		return ($this->id_sucursal);
	}	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------
	public function set_estado($estado){
		$this->estado = $estado;
	}
	
	public function set_fecha_cancelacion($fecha_cancelacion){
		$this->fecha_cancelacion = $fecha_cancelacion;
	}	
	
	public function set_total_saldos($total_saldos){
		$this->total_saldos = $total_saldos;
	}

	public function set_id_boleta($id_boleta){
		$this->id_boleta = $id_boleta;
	}
	
	public function set_id_profesional($id_profesional){
		$this->id_profesional = $id_profesional;
	}
	
	public function set_id_contribuyente($id_contribuyente){
		$this->id_contribuyente = $id_contribuyente;
	}
	
	public function set_correlativo($correlativo){
		$this->correlativo = $correlativo;
	}
	
	public function set_id_comprobante($id_comprobante){
		$this->id_comprobante = $id_comprobante;
	}
	
	public function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	public function set_id_centro_costo($id_centro_costo){
		$this->id_centro_costo = $id_centro_costo;
	}
	
	public function set_id_item_gasto($id_item_gasto){
		$this->id_item_gasto = $id_item_gasto;
	}
	
	public function set_numero_boleta($numero_boleta){
		$this->numero_boleta = $numero_boleta;
	}
	
	public function set_fecha_creacion($fecha_creacion){
		$this->fecha_creacion = $fecha_creacion;
	}
	
	public function set_fecha_emision($fecha_emision){
		$this->fecha_emision = $fecha_emision;
	}
	
	public function set_fecha_proceso($fecha_proceso){
		$this->fecha_proceso = $fecha_proceso;
	}
	
	public function set_total_neto($total_neto){
		$this->total_neto = $total_neto;
	}
	
	public function set_impuesto($impuesto){
		$this->impuesto = $impuesto;
	}
	
	public function set_total_bruto($total_bruto){
		$this->total_bruto = $total_bruto;
	}
	
	public function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE BD
//------------------------------------------------------------------------------




?>
