<?

//------------------------------------------------------------------------------
	//	CLASE BD
//------------------------------------------------------------------------------

class Libro_venta_BD {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_documento;
	private $id_cliente;
	private $nombre_cliente;
	private $rut_cliente;
	private $tipo_documento;
	private $numero_documento;
	private $desde_numero_boleta;
	private $hasta_numero_boleta;
	private $correlativo;
	private $folio;
	private $fecha_documento;
	private $exento;
	private $total_neto;
	private $total_iva;
	private $total_bruto;
	
	
	//CONSTRUCTOR
	public function __construct ($id_cliente, $nombre_cliente, $rut_cliente, $tipo_documento, $numero_documento, $desde_numero_boleta, $hasta_numero_boleta, $correlativo, $folio, $fecha_documento, $exento, $total_neto, $total_iva, $total_bruto, $id_documento=0)
	{
		$this->id_documento = $id_documento;
		$this->id_cliente = $id_cliente;
		$this->nombre_cliente = $nombre_cliente;
		$this->rut_cliente = $rut_cliente;
		$this->tipo_documento = $tipo_documento;
		$this->numero_documento = $numero_documento;
		$this->desde_numero_boleta = $desde_numero_boleta;
		$this->hasta_numero_boleta = $hasta_numero_boleta;
		$this->correlativo = $correlativo;
		$this->folio = $folio;
		$this->fecha_documento = $fecha_documento;
		$this->exento = $exento;
		$this->total_neto = $total_neto;
		$this->total_iva = $total_iva;
		$this->total_bruto = $total_bruto;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	public function get_id_documento(){
		return ($this->id_documento);
	}
	
	public function get_id_cliente(){
		return ($this->id_cliente);
	}
	
	public function get_nombre_cliente(){
		return ($this->nombre_cliente);
	}
	
	public function get_rut_cliente(){
		return ($this->rut_cliente);
	}
	
	public function get_tipo_documento(){
		return ($this->tipo_documento);
	}
	
	public function get_numero_documento(){
		return ($this->numero_documento);
	}
	
	public function get_desde_numero_boleta(){
		return ($this->desde_numero_boleta);
	}
	
	public function get_hasta_numero_boleta(){
		return ($this->hasta_numero_boleta);
	}
	
	public function get_correlativo(){
		return ($this->correlativo);
	}
	
	public function get_folio(){
		return ($this->folio);
	}
	
	public function get_fecha_documento(){
		return ($this->fecha_documento);
	}
	
	public function get_exento(){
		return ($this->exento);
	}
	
	public function get_total_neto(){
		return ($this->total_neto);
	}
	
	public function get_total_iva(){
		return ($this->total_iva);
	}
	
	public function get_total_bruto(){
		return ($this->total_bruto);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_documento($id_documento){
		$this->id_documento = $id_documento;
	}
	
	public function set_id_cliente($id_cliente){
		$this->id_cliente = $id_cliente;
	}
	
	public function set_nombre_cliente($nombre_cliente){
		$this->nombre_cliente = $nombre_cliente;
	}
	
	public function set_rut_cliente($rut_cliente){
		$this->rut_cliente = $rut_cliente;
	}
	
	public function set_tipo_documento($tipo_documento){
		$this->tipo_documento = $tipo_documento;
	}
	
	public function set_numero_documento($numero_documento){
		$this->numero_documento = $numero_documento;
	}
	
	public function set_desde_numero_boleta($desde_numero_boleta){
		$this->desde_numero_boleta = $desde_numero_boleta;
	}
	
	public function set_hasta_numero_boleta($hasta_numero_boleta){
		$this->hasta_numero_boleta = $hasta_numero_boleta;
	}
	
	public function set_correlativo($correlativo){
		$this->correlativo = $correlativo;
	}
	
	public function set_folio($folio){
		$this->folio = $folio;
	}
	
	public function set_fecha_documento($fecha_documento){
		$this->fecha_documento = $fecha_documento;
	}
	
	public function set_exento($exento){
		$this->exento = $exento;
	}
	
	public function set_total_neto($total_neto){
		$this->total_neto = $total_neto;
	}
	
	public function set_total_iva($total_iva){
		$this->total_iva = $total_iva;
	}
	
	public function set_total_bruto($total_bruto){
		$this->total_bruto = $total_bruto;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE BD
//------------------------------------------------------------------------------




?>
