<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cond_venta {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadCond_venta($filtro){
		$cbd = new controlador_bd_Cond_venta();
		return $cbd->getCantidadCond_venta_BD($filtro);
	}
	
	function getListadoCond_venta($filtro,$extra){
		$cbd = new controlador_bd_Cond_venta();
		$listado_Cond_venta_arr = $cbd->getListadoCond_venta_BD($filtro,$extra);
	foreach ($listado_Cond_venta_arr as $Cond_venta_arr){
		$listado_Cond_venta[] = new Cond_venta($Cond_venta_arr);
	}
	return $listado_Cond_venta;
	}
	
	function getCond_venta($id_forma_pago){
		$cbd = new controlador_bd_Cond_venta();
		$filtro["id_forma_pago"] = $id_forma_pago;
		$listado_Cond_venta_arr = $cbd->getListadoCond_venta_BD($filtro,$extra);
		if ($listado_Cond_venta_arr) return new Cond_venta($listado_Cond_venta_arr[0]);
		return null;
	}
	
	function guardarCond_venta($Cond_venta){
		$cbd = new controlador_bd_Cond_venta();
		$id_forma_pago = $Cond_venta->get_id_forma_pago();
		$descripcion = $Cond_venta->get_descripcion();
		$estado = $Cond_venta->get_estado();
		$guia_despacho = $Cond_venta->get_guia_despacho();
		$dias_vencimiento = $Cond_venta->get_dias_vencimiento();
		$codigo = $Cond_venta->get_codigo();
		
		$Cond_venta_bd = new Cond_venta_BD ($descripcion, $estado, $guia_despacho, $dias_vencimiento, $codigo, $id_forma_pago);
		return $cbd->guardarCond_venta_BD($Cond_venta_bd);
	}
	
	function actualizarCond_venta($Cond_venta){
		$cbd = new controlador_bd_Cond_venta();
		$id_forma_pago = $Cond_venta->get_id_forma_pago();
		$descripcion = $Cond_venta->get_descripcion();
		$estado = $Cond_venta->get_estado();
		$guia_despacho = $Cond_venta->get_guia_despacho();
		$dias_vencimiento = $Cond_venta->get_dias_vencimiento();
		$codigo = $Cond_venta->get_codigo();

		$Cond_venta_bd = new Cond_venta_BD ($descripcion, $estado, $guia_despacho, $dias_vencimiento, $codigo, $id_forma_pago);
		return $cbd->actualizarCond_venta_BD($Cond_venta_bd);
	}
	
	function eliminarCond_venta($id_forma_pago){
		$cbd = new controlador_bd_Cond_venta();
		return $cbd->eliminarCond_venta_BD($id_forma_pago);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
