<?


//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_centralizacion {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Cont_centralizacion;

	//CONSTRUCTOR
	public function __construct() {
		$this->controlador_bd_Cont_centralizacion = new controlador_bd_Cont_centralizacion;
	}

	// DESTRUCTOR
	public function __destruct() {

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getCantidadCont_centralizacion($filtro) {
		return $this->controlador_bd_Cont_centralizacion->getCantidadCont_centralizacion_BD($filtro);
	}

	function getListadoCont_centralizacion($filtro, $extra) {
		$listado_Cont_centralizacion_bd = $this->controlador_bd_Cont_centralizacion->getListadoCont_centralizacion_BD($filtro, $extra);
		$Cont_centralizacion_bd = new Cont_centralizacion_bd();
		foreach ($listado_Cont_centralizacion_bd as $Cont_centralizacion_bd) {
			$listado_Cont_centralizacion[] = new Cont_centralizacion($Cont_centralizacion_bd);
		}
		return $listado_Cont_centralizacion;
	}

	function getCont_centralizacion($id_cont_centralizacion) {
		$Cont_centralizacion_bd = $this->controlador_bd_Cont_centralizacion->getCont_centralizacion_BD($id_cont_centralizacion);
		if ($Cont_centralizacion_bd)
			return (new Cont_centralizacion($Cont_centralizacion_bd));
		else
			return null;
	}

	function guardarCont_centralizacion(Cont_centralizacion $Cont_centralizacion) {
		$id_cont_centralizacion = $Cont_centralizacion->get_id_cont_centralizacion();
		$id_comprobante_contable = $Cont_centralizacion->get_id_comprobante_contable();
		$id_tipo_centralizacion = $Cont_centralizacion->get_id_tipo_centralizacion();
		$id_usuario = $Cont_centralizacion->get_id_usuario();
		$descripcion = $Cont_centralizacion->get_descripcion();
		$fecha_centralizacion = $Cont_centralizacion->get_fecha_centralizacion();
		$mes_proceso = $Cont_centralizacion->get_mes_proceso();
		$ano_proceso = $Cont_centralizacion->get_ano_proceso();
		$estado = $Cont_centralizacion->get_estado();
		$id_empresa = $Cont_centralizacion->get_id_empresa();
		$id_sucursal = $Cont_centralizacion->get_id_sucursal();
		$extra3 = $Cont_centralizacion->get_extra3();
		$extra4 = $Cont_centralizacion->get_extra4();
		$Cont_centralizacion_bd = new Cont_centralizacion_BD($id_comprobante_contable, $id_tipo_centralizacion, $id_usuario, $descripcion, $fecha_centralizacion, $mes_proceso, $ano_proceso, $estado, $id_empresa, $id_sucursal, $extra3, $extra4, $id_cont_centralizacion);
		return $this->controlador_bd_Cont_centralizacion->guardarCont_centralizacion_BD($Cont_centralizacion_bd);
	}

	function actualizarCont_centralizacion(Cont_centralizacion $Cont_centralizacion) {
		$id_cont_centralizacion = $Cont_centralizacion->get_id_cont_centralizacion();
		$id_comprobante_contable = $Cont_centralizacion->get_id_comprobante_contable();
		$id_tipo_centralizacion = $Cont_centralizacion->get_id_tipo_centralizacion();
		$id_usuario = $Cont_centralizacion->get_id_usuario();
		$descripcion = $Cont_centralizacion->get_descripcion();
		$fecha_centralizacion = $Cont_centralizacion->get_fecha_centralizacion();
		$mes_proceso = $Cont_centralizacion->get_mes_proceso();
		$ano_proceso = $Cont_centralizacion->get_ano_proceso();
		$estado = $Cont_centralizacion->get_estado();
		$id_empresa = $Cont_centralizacion->get_id_empresa();
		$id_sucursal = $Cont_centralizacion->get_id_sucursal();
		$extra3 = $Cont_centralizacion->get_extra3();
		$extra4 = $Cont_centralizacion->get_extra4();
		$Cont_centralizacion_bd = new Cont_centralizacion_BD($id_comprobante_contable, $id_tipo_centralizacion, $id_usuario, $descripcion, $fecha_centralizacion, $mes_proceso, $ano_proceso, $estado, $id_empresa, $id_sucursal, $extra3, $extra4, $id_cont_centralizacion);
		return $this->controlador_bd_Cont_centralizacion->actualizarCont_centralizacion_BD($Cont_centralizacion_bd);
	}

	function eliminarCont_centralizacion($id_cont_centralizacion) {
		$centralizacion = $this->getCont_centralizacion($id_cont_centralizacion);
		$clog_cc  = new Controlador_Logico_Cont_comprobante();
		$clog_cc->eliminarCont_comprobante($centralizacion->get_id_comprobante_contable());
		return $this->controlador_bd_Cont_centralizacion->eliminarCont_centralizacion_BD($id_cont_centralizacion);
	}
	
	function generarComprobante_contable($id_centralizacion,$id_sucursal){
		$clog_cc  = new Controlador_Logico_Cont_comprobante();
		$clog_dc  = new Controlador_Logico_Cont_detalle_comprobante();
		$clog_dtc = new Controlador_Logico_Cont_detalle_tipo_centralizacion();
		$centralizacion = $this->getCont_centralizacion($id_centralizacion);
		$filtro_dtc["id_tipo_centralizacion"] = $centralizacion->get_id_tipo_centralizacion();
		$listado_dtc = $clog_dtc->getListadoCont_detalle_tipo_centralizacion($filtro_dtc);
		$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
		$comprobante_contable = new Cont_comprobante();
		$comprobante_contable->set_id_empresa($id_empresa_seleccionada);
		$comprobante_contable->set_tipo_comprobante(3);
		
		
		if ($id_sucursal){
			$filtro_sucursal = " AND cont_comprobante.id_sucursal = '$id_sucursal' ";
			$clog_sucursal = new Controlador_Logico_Cont_sucursal();
			$sucursal = $clog_sucursal->getCont_sucursal($id_sucursal);
			$nombre_sucursal = $sucursal->get_descripcion();
			
		}		
		
		$comprobante_contable->set_descripcion("Centralizacin de ".$centralizacion->get_nombre_tipo_centralizacion()." ".$nombre_sucursal);
		$comprobante_contable->set_fecha_creacion($centralizacion->get_fecha_centralizacion());
		$comprobante_contable->set_fecha_proceso($centralizacion->get_ano_proceso().$centralizacion->get_mes_proceso());
		$comprobante_contable->set_estado(2);
		$comprobante_contable->set_ano_proceso($centralizacion->get_ano_proceso());
		$comprobante_contable->set_mes_proceso($centralizacion->get_mes_proceso());
		$comprobante_contable->set_id_sucursal($id_sucursal);
		$mes_proceso = $comprobante_contable->get_mes_proceso();
		$ao_proceso = $comprobante_contable->get_ano_proceso();
		//$cont_comprobante_nuevo->set_estado_antiguo(0);

		$filtro_ultimo_numero["ano_proceso"] = $centralizacion->get_ano_proceso();
		$filtro_ultimo_numero["tipo_comprobante"] = "1' or tipo_comprobante LIKE '2' or tipo_comprobante LIKE '3";
		$ultimo_numero = $clog_cc->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero);
		$comprobante_contable->set_numero($ultimo_numero + 1);
		
		$id_comprobante_contable = $clog_cc->guardarCont_comprobante($comprobante_contable);		
		$centralizacion->set_id_comprobante_contable($id_comprobante_contable);
		$centralizacion->set_descripcion($comprobante_contable->get_descripcion());
		$this->actualizarCont_centralizacion($centralizacion);
		

		
		foreach ($listado_dtc as $dtc){
			$tipo_comprobante_control = $dtc->get_tipo_comprobante_control();
			$extra_dc["new_sql"] = "Select distinct cont_detalle_comprobante.id_detalle_comprobante,cont_detalle_comprobante.id_comprobante,cont_detalle_comprobante.id_cuenta,cont_detalle_comprobante.id_centro_costo, Sum(cont_detalle_comprobante.debe) AS debe,Sum(cont_detalle_comprobante.haber) AS haber,cont_detalle_comprobante.tipo_comprobante FROM cont_detalle_comprobante , cont_comprobante Where cont_comprobante.tipo_comprobante = '$tipo_comprobante_control' AND cont_comprobante.mes_proceso = $mes_proceso AND cont_comprobante.ano_proceso = $ao_proceso AND cont_detalle_comprobante.id_comprobante = cont_comprobante.id_comprobante AND cont_comprobante.estado = 2 $filtro_sucursal Group By cont_detalle_comprobante.id_cuenta"; 
			$listado_dc = $clog_dc->getListadoCont_detalle_comprobante(null,$extra_dc);
			foreach ($listado_dc as $dc){
				//debug($dc);
				if ($dc->get_debe() > 0){
					$detalle_comprobante = new Cont_detalle_comprobante();
					$detalle_comprobante->set_id_comprobante($id_comprobante_contable);
					$detalle_comprobante->set_id_cuenta($dc->get_id_cuenta());
					//$detalle_comprobante->set_descripcion($dc->get_descripcion());
					$detalle_comprobante->set_debe($dc->get_debe());
					$detalle_comprobante->set_tipo_comprobante(3);
					$detalle_comprobante->set_id_centro_costo($dc->get_id_centro_costo());
					//debug($detalle_comprobante);
					$clog_dc->guardarCont_detalle_comprobante($detalle_comprobante);
				}
			}
			
			foreach ($listado_dc as $dc){
				//debug($dc);			
				if ($dc->get_haber() > 0){
					$detalle_comprobante = new Cont_detalle_comprobante();
					$detalle_comprobante->set_id_comprobante($id_comprobante_contable);
					$detalle_comprobante->set_id_cuenta($dc->get_id_cuenta());
					//$detalle_comprobante->set_descripcion($dc->get_descripcion());
					$detalle_comprobante->set_haber($dc->get_haber());
					$detalle_comprobante->set_tipo_comprobante(3);
					$detalle_comprobante->set_id_centro_costo($dc->get_id_centro_costo());
					$clog_dc->guardarCont_detalle_comprobante($detalle_comprobante);					
				}
			}
		}
	}
	
	function eliminar_comprobante_asociado($id_centralizacion){
		$centralizacion = $this->getCont_centralizacion($id_centralizacion);
		$clog_cc  = new Controlador_Logico_Cont_comprobante();
		$clog_cc->eliminarCont_comprobante($centralizacion->get_id_comprobante_contable());
	}
	
	function comprobar_existencia_centralizacion($id_tipo_centralizacion,$mes_proceso,$ao_proceso,$id_sucursal){
		$filtro_centralizacion["id_tipo_centralizacion"] = $id_tipo_centralizacion;
		$filtro_centralizacion["mes_proceso"] = $mes_proceso;
		$filtro_centralizacion["ano_proceso"] = $ao_proceso;
		$filtro_centralizacion["id_sucursal"] = $ao_proceso;
		$listado_centralizacion = $this->getListadoCont_centralizacion($filtro_centralizacion);
		if ($listado_centralizacion){
			return $listado_centralizacion[0];
		}else{
			return null;
		}
		
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>