<?


//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_comprobante {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Cont_comprobante;

	//CONSTRUCTOR
	public function __construct() {
		$this->controlador_bd_Cont_comprobante = new controlador_bd_Cont_comprobante;
	}

	// DESTRUCTOR
	public function __destruct() {

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------
	function getUltimo_NumeroCont_comprobante($filtro, $extra) {
		return $this->controlador_bd_Cont_comprobante->getUltimo_NumeroCont_comprobante_BD($filtro, $extra);
	}

	function getTotal_DebeCont_comprobante($filtro) {
		return $this->controlador_bd_Cont_comprobante->getTotal_DebeCont_comprobante_BD($filtro);
	}

	function getTotal_HaberCont_comprobante($filtro) {
		return $this->controlador_bd_Cont_comprobante->getTotal_HaberCont_comprobante_BD($filtro);
	}

	function getCantidadCont_comprobante($filtro, $extra) {
		return $this->controlador_bd_Cont_comprobante->getCantidadCont_comprobante_BD($filtro, $extra);
	}

	function getListadoCont_comprobante($filtro, $extra) {
		$listado_Cont_comprobante_bd = $this->controlador_bd_Cont_comprobante->getListadoCont_comprobante_BD($filtro, $extra);
		$Cont_comprobante_bd = new Cont_comprobante_bd();
		foreach ($listado_Cont_comprobante_bd as $Cont_comprobante_bd) {
			$listado_Cont_comprobante[] = new Cont_comprobante($Cont_comprobante_bd);
		}
		return $listado_Cont_comprobante;
	}

	function getCont_comprobante($id_comprobante) {
		$Cont_comprobante_bd = $this->controlador_bd_Cont_comprobante->getCont_comprobante_BD($id_comprobante);
		if ($Cont_comprobante_bd)
			return (new Cont_comprobante($Cont_comprobante_bd));
		else
			return null;
	}

	function guardarCont_comprobante(Cont_comprobante $Cont_comprobante) {
		$id_comprobante = $Cont_comprobante->get_id_comprobante();
		$id_empresa = $Cont_comprobante->get_id_empresa();
		$tipo_comprobante = $Cont_comprobante->get_tipo_comprobante();
		$numero = $Cont_comprobante->get_numero();
		$descripcion = $Cont_comprobante->get_descripcion();
		$fecha_creacion = $Cont_comprobante->get_fecha_creacion();
		$fecha_modificacion = $Cont_comprobante->get_fecha_modificacion();
		$fecha_proceso = $Cont_comprobante->get_fecha_proceso();
		$estado = $Cont_comprobante->get_estado();
		$id_centro_costo = $Cont_comprobante->get_id_centro_costo();
		$id_documento = $Cont_comprobante->get_id_documento();
		$ano_proceso = $Cont_comprobante->get_ano_proceso();
		$mes_proceso = $Cont_comprobante->get_mes_proceso();
		$fecha_anulacion = $Cont_comprobante->get_fecha_anulacion();
		$id_sucursal = $Cont_comprobante->get_id_sucursal();
		$Cont_comprobante_bd = new Cont_comprobante_BD($id_empresa, $tipo_comprobante, $numero, $descripcion, $fecha_creacion, $fecha_modificacion, $fecha_proceso, $estado, $id_centro_costo, $id_documento, $ano_proceso, $mes_proceso, $fecha_anulacion, $id_sucursal, $id_comprobante);
		//debug($Cont_comprobante_bd);
		return $this->controlador_bd_Cont_comprobante->guardarCont_comprobante_BD($Cont_comprobante_bd);
	}

	function actualizarCont_comprobante(Cont_comprobante $Cont_comprobante) {
		$id_comprobante = $Cont_comprobante->get_id_comprobante();
		$id_empresa = $Cont_comprobante->get_id_empresa();
		$tipo_comprobante = $Cont_comprobante->get_tipo_comprobante();
		$numero = $Cont_comprobante->get_numero();
		$descripcion = $Cont_comprobante->get_descripcion();
		$fecha_creacion = $Cont_comprobante->get_fecha_creacion();
		$fecha_modificacion = $Cont_comprobante->get_fecha_modificacion();
		$fecha_proceso = $Cont_comprobante->get_fecha_proceso();
		$estado = $Cont_comprobante->get_estado();
		$id_centro_costo = $Cont_comprobante->get_id_centro_costo();
		$id_documento = $Cont_comprobante->get_id_documento();
		$ano_proceso = $Cont_comprobante->get_ano_proceso();
		$mes_proceso = $Cont_comprobante->get_mes_proceso();
		$fecha_anulacion = $Cont_comprobante->get_fecha_anulacion();
		$id_sucursal = $Cont_comprobante->get_id_sucursal();
		$Cont_comprobante_bd = new Cont_comprobante_BD($id_empresa, $tipo_comprobante, $numero, $descripcion, $fecha_creacion, $fecha_modificacion, $fecha_proceso, $estado, $id_centro_costo, $id_documento, $ano_proceso, $mes_proceso, $fecha_anulacion, $id_sucursal, $id_comprobante);
		return $this->controlador_bd_Cont_comprobante->actualizarCont_comprobante_BD($Cont_comprobante_bd);
	}

	function eliminarCont_comprobante($id_comprobante) {
		return $this->controlador_bd_Cont_comprobante->eliminarCont_comprobante_BD($id_comprobante);
	}

	// FUNCIONES CUSTOM
	function crear_movimiento_contable_productos($array_productos, $glosa) {
		$id_empresa = $_SESSION["id_empresa_seleccionada"];
		$comprobante = new Cont_comprobante();
		$comprobante->set_tipo_comprobante(3);
		$comprobante->set_descripcion($glosa);

		$filtro_ultimo_numero["ano_proceso"] = $ao_proceso;
		$filtro_ultimo_numero["tipo_comprobante"] = "1' or tipo_comprobante LIKE '2' or tipo_comprobante LIKE '3";

		$ultimo_numero = $clog_comprobante->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero);

		$comprobante_contable->set_numero($ultimo_numero +1);
		$comprobante_contable->set_id_empresa($id_empresa);
		$comprobante_contable->set_descripcion($glosa);
		$comprobante_contable->set_fecha_creacion(hoy());
		$comprobante_contable->set_ano_proceso(substr(hoy(), 0, 4));
		$comprobante_contable->set_mes_proceso(substr(hoy(), 4, 2));
		$comprobante_contable->set_estado(2);

		$id_comprobante_contable = $clog_comprobante->guardarCont_comprobante($comprobante_contable);

		$clog_cuenta_producto = new Controlador_Logico_Cont_cuenta_producto();
		$clog_detalle = new Controlador_Logico_Cont_detalle_comprobante();

		foreach ($array_productos as $producto) {
			$filtro_cuenta_producto["id_producto"] = $producto["id_producto"];
			$listado_cuenta_producto = $clog_cuenta_producto->getListadoCont_cuenta_producto($filtro_cuenta_producto);
			$cuenta_producto = $listado_cuenta_producto[0];
			$id_cuenta = $cuenta_producto->get_id_cuenta();

			$detalle = new Cont_detalle_comprobante();
			$detalle->set_id_comprobante($id_comprobante_contable);
			$detalle->set_id_cuenta($id_cuenta);
			switch ($producto["tipo"]) {
				case "0" :
					$detalle->set_debe($producto["monto"]);
					break;
				case "1" :
					$detalle->set_haber($producto["monto"]);
					break;
			}
			$clog_detalle->guardarCont_detalle_comprobante($detalle);
		}
	}

	function crear_comprobante_control_especial($tipo, $id_centro_costo, $voucher, $fecha_proceso, $fecha_creacion, $glosa, $fecha_documento, $id_sucursal) {

		$clog_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();

		$id_empresa = $_SESSION["id_empresa_seleccionada"];

		$filtro_ultimo_numero["ano_proceso"] = substr($fecha_proceso, 0, 4);
		$filtro_ultimo_numero["tipo_comprobante"] = "4' or tipo_comprobante LIKE '5' or tipo_comprobante LIKE '6' or tipo_comprobante LIKE '7";

		$ultimo_numero = $this->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero);

		$comprobante = new Cont_comprobante();
		$comprobante->set_id_empresa($id_empresa);
		$comprobante->set_fecha_proceso($fecha_proceso);
		$comprobante->set_descripcion($glosa);
		$comprobante->set_id_centro_costo($id_centro_costo);
		$comprobante->set_tipo_comprobante($tipo);
		$comprobante->set_numero($ultimo_numero +1);
		$comprobante->set_fecha_creacion($fecha_creacion);
		$comprobante->set_estado("2");
		$comprobante->set_mes_proceso(substr($fecha_proceso, 4, 2));
		$comprobante->set_ano_proceso(substr($fecha_proceso, 0, 4));
		$comprobante->set_id_sucursal($id_sucursal);
		$id_comprobante = $this->guardarCont_comprobante($comprobante);

		foreach ($voucher as $item_voucher) {
			$detalle_comprobante = new Cont_detalle_comprobante();
			$detalle_comprobante->set_id_comprobante($id_comprobante);
			$detalle_comprobante->set_descripcion($glosa);
			$detalle_comprobante->set_tipo_comprobante($tipo);
			$detalle_comprobante->set_id_centro_costo($id_centro_costo);
			$detalle_comprobante->set_id_cuenta($item_voucher["id_cuenta"]);
			switch ($item_voucher["asiento"]) {
				case "0" :
					$detalle_comprobante->set_debe($item_voucher["valor"]);
					break;
				case "1" :
					$detalle_comprobante->set_haber($item_voucher["valor"]);
					break;
			}
			$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante);
		}

		return ($id_comprobante);
	}

	function crear_comprobante_control($tipo, $seccion, $lacuenta, $id_centro_costo, $totales, $fecha_proceso, $glosa, $fecha_creacion, $id_sucursal) {
		$int = 0;
		$clog_comportamiento_cuenta = new Controlador_Logico_Cont_comportamiento_cuenta();

		$clog_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();

		$id_empresa = $_SESSION["id_empresa_seleccionada"];

		$filtro_ultimo_numero["ano_proceso"] = substr($fecha_proceso, 0, 4);
		$filtro_ultimo_numero["tipo_comprobante"] = "4' or tipo_comprobante LIKE '5' or tipo_comprobante LIKE '6' or tipo_comprobante LIKE '7' or tipo_comprobante LIKE '8";

		$ultimo_numero = $this->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero);

		$comprobante = new Cont_comprobante();
		$comprobante->set_id_empresa($id_empresa);
		$comprobante->set_fecha_proceso($fecha_proceso);
		$comprobante->set_descripcion($glosa);
		$comprobante->set_id_centro_costo($id_centro_costo);
		$comprobante->set_tipo_comprobante($tipo);
		$comprobante->set_numero($ultimo_numero + 1);
		$comprobante->set_fecha_creacion($fecha_creacion);
		$comprobante->set_estado("2");
		$comprobante->set_mes_proceso(substr($fecha_proceso, 4, 2));
		$comprobante->set_ano_proceso(substr($fecha_proceso, 0, 4));
		$comprobante->set_id_sucursal($id_sucursal);
		$id_comprobante = $this->guardarCont_comprobante($comprobante);

		$filtro_comportamiento["id_seccion"] = $seccion;
		$filtro_comportamiento["id_empresa"] = $id_empresa;
		$extra_comportamiento["order"] = "id_comportamiento_cuenta";
		$listado_comportamiento = $clog_comportamiento_cuenta->getListadoCont_comportamiento_cuenta($filtro_comportamiento, $extra_comportamiento);

		$detalle_comprobante = new Cont_detalle_comprobante();
		$detalle_comprobante->set_id_comprobante($id_comprobante);
		$detalle_comprobante->set_descripcion($glosa);
		$detalle_comprobante->set_tipo_comprobante($tipo);
		$detalle_comprobante->set_id_centro_costo($id_centro_costo);
		$detalle_comprobante->set_id_cuenta($lacuenta["id"]);
		switch ($lacuenta["asiento"]) {
			case "0" :
				$detalle_comprobante->set_debe($totales[$int]);
				break;
			case "1" :
				$detalle_comprobante->set_haber($totales[$int]);
				break;
		}
		$int ++;

		$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante);

		foreach ($listado_comportamiento as $comportamiento) {
			if ($totales[$int] > 0) {
				$id_cuenta = $comportamiento->get_id_cuenta();
				$detalle_comprobante = new Cont_detalle_comprobante();
				$detalle_comprobante->set_id_comprobante($id_comprobante);
				$detalle_comprobante->set_descripcion($glosa);
				$detalle_comprobante->set_tipo_comprobante($tipo);
				$detalle_comprobante->set_id_centro_costo($id_centro_costo);
				$detalle_comprobante->set_id_cuenta($id_cuenta);

				switch ($lacuenta["asiento"]) {
					case "0" :
						$detalle_comprobante->set_haber($totales[$int]);
					break;
					case "1" :
						$detalle_comprobante->set_debe($totales[$int]);
					break;
				}	



				$int ++;
				$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante);
			}
		}
			
		return ($id_comprobante);
	}

	function modificar_comprobante_control($id_comprobante, $seccion, $lacuenta, $id_centro_costo, $totales, $glosa, $fecha_creacion) {
		$int = 0;
		$clog_comportamiento_cuenta = new Controlador_Logico_Cont_comportamiento_cuenta();

		$clog_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();

		$id_empresa = $_SESSION["id_empresa_seleccionada"];

		$comprobante = $this->getCont_comprobante($id_comprobante);

		$comprobante->set_descripcion($glosa);
		$comprobante->set_id_centro_costo($id_centro_costo);
		$comprobante->set_fecha_creacion($fecha_creacion);
		$comprobante->set_estado("2");
		$tipo = $comprobante->get_tipo_comprobante();
		$this->actualizarCont_comprobante($comprobante);
		$this->eliminarDetalles($id_comprobante);

		$filtro_comportamiento["id_seccion"] = $seccion;
		$filtro_comportamiento["id_empresa"] = $id_empresa;
		$extra_comportamiento["order"] = "id_comportamiento_cuenta";
		$listado_comportamiento = $clog_comportamiento_cuenta->getListadoCont_comportamiento_cuenta($filtro_comportamiento, $extra_comportamiento);

		$detalle_comprobante = new Cont_detalle_comprobante();
		$detalle_comprobante->set_id_comprobante($id_comprobante);
		$detalle_comprobante->set_descripcion($glosa);
		$detalle_comprobante->set_tipo_comprobante($tipo);
		$detalle_comprobante->set_id_centro_costo($id_centro_costo);
		$detalle_comprobante->set_id_cuenta($lacuenta["id"]);
		switch ($lacuenta["asiento"]) {
			case "0" :
				$detalle_comprobante->set_debe($totales[$int]);
				break;
			case "1" :
				$detalle_comprobante->set_haber($totales[$int]);
				break;
		}
		$int ++;

		$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante);

		foreach ($listado_comportamiento as $comportamiento) {
			if ($totales[$int] > 0) {
				$id_cuenta = $comportamiento->get_id_cuenta();
				$detalle_comprobante = new Cont_detalle_comprobante();
				$detalle_comprobante->set_id_comprobante($id_comprobante);
				$detalle_comprobante->set_descripcion($glosa);
				$detalle_comprobante->set_tipo_comprobante($tipo);
				$detalle_comprobante->set_id_centro_costo($id_centro_costo);
				$detalle_comprobante->set_id_cuenta($id_cuenta);

				if ($comportamiento->get_debe() == "1") {
					$detalle_comprobante->set_debe($totales[$int]);
				}

				if ($comportamiento->get_haber() == "1") {
					$detalle_comprobante->set_haber($totales[$int]);
				}

				$int ++;
				$clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante);
			}
		}
	}

	function eliminarDetalles($id_comprobante) {
		$filtro_dc["id_comprobante"] = $id_comprobante;
		$clog_dc = new Controlador_Logico_Cont_detalle_comprobante();
		$detalles = $clog_dc->getListadoCont_detalle_comprobante($filtro_dc);
		foreach ($detalles as $dc) {
			$clog_dc->eliminarCont_detalle_comprobante($dc->get_id_detalle_comprobante());
		}
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>