<?


//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_detalle_comprobante_temporal {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Cont_detalle_comprobante_temporal;

	//CONSTRUCTOR
	public function __construct() {
		$this->controlador_bd_Cont_detalle_comprobante_temporal = new controlador_bd_Cont_detalle_comprobante_temporal;
	}

	// DESTRUCTOR
	public function __destruct() {

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function borrarTabla(){
		return $this->controlador_bd_Cont_detalle_comprobante_temporal->borrarTablaBD();
	}

	function getCantidadCont_detalle_comprobante_temporal($filtro) {
		return $this->controlador_bd_Cont_detalle_comprobante_temporal->getCantidadCont_detalle_comprobante_temporal_BD($filtro);
	}

	function getListadoCont_detalle_comprobante_temporal($filtro, $extra) {
		$listado_Cont_detalle_comprobante_temporal_bd = $this->controlador_bd_Cont_detalle_comprobante_temporal->getListadoCont_detalle_comprobante_temporal_BD($filtro, $extra);
		$Cont_detalle_comprobante_temporal_bd = new Cont_detalle_comprobante_temporal_bd();
		foreach ($listado_Cont_detalle_comprobante_temporal_bd as $Cont_detalle_comprobante_temporal_bd) {
			$listado_Cont_detalle_comprobante_temporal[] = new Cont_detalle_comprobante_temporal($Cont_detalle_comprobante_temporal_bd);
		}
		return $listado_Cont_detalle_comprobante_temporal;
	}

	function getCont_detalle_comprobante_temporal($id_detalle_comprobante) {
		$Cont_detalle_comprobante_temporal_bd = $this->controlador_bd_Cont_detalle_comprobante_temporal->getCont_detalle_comprobante_temporal_BD($id_detalle_comprobante);
		if ($Cont_detalle_comprobante_temporal_bd)
			return (new Cont_detalle_comprobante_temporal($Cont_detalle_comprobante_temporal_bd));
		else
			return null;
	}

	function guardarCont_detalle_comprobante_temporal($Cont_detalle_comprobante_temporal) {
		$id_detalle_comprobante = $Cont_detalle_comprobante_temporal->get_id_detalle_comprobante();
		$id_comprobante = $Cont_detalle_comprobante_temporal->get_id_comprobante();
		$id_cuenta = $Cont_detalle_comprobante_temporal->get_id_cuenta();
		$id_tipo_documento = $Cont_detalle_comprobante_temporal->get_id_tipo_documento();
		$id_documento = $Cont_detalle_comprobante_temporal->get_id_documento();
		$rut = $Cont_detalle_comprobante_temporal->get_rut();
		$descripcion = $Cont_detalle_comprobante_temporal->get_descripcion();
		$debe = $Cont_detalle_comprobante_temporal->get_debe();
		$haber = $Cont_detalle_comprobante_temporal->get_haber();
		$estado = $Cont_detalle_comprobante_temporal->get_estado();
		$tipo_comprobante = $Cont_detalle_comprobante_temporal->get_tipo_comprobante();
		$id_cliente_proveedor = $Cont_detalle_comprobante_temporal->get_id_cliente_proveedor();
		$id_centro_costo = $Cont_detalle_comprobante_temporal->get_id_centro_costo();
		$id_detalle_comprobante_pago = $Cont_detalle_comprobante_temporal->get_id_detalle_comprobante_pago();
		$extra3 = $Cont_detalle_comprobante_temporal->get_extra3();
		$extra4 = $Cont_detalle_comprobante_temporal->get_extra4();
		$extra5 = $Cont_detalle_comprobante_temporal->get_extra5();
		$Cont_detalle_comprobante_temporal_bd = new Cont_detalle_comprobante_temporal_BD($id_comprobante, $id_cuenta, $id_tipo_documento, $id_documento, $rut, $descripcion, $debe, $haber, $estado, $tipo_comprobante, $id_cliente_proveedor, $id_centro_costo, $id_detalle_comprobante_pago, $extra3, $extra4, $extra5, $id_detalle_comprobante);
		return $this->controlador_bd_Cont_detalle_comprobante_temporal->guardarCont_detalle_comprobante_temporal_BD($Cont_detalle_comprobante_temporal_bd);
	}

	function actualizarCont_detalle_comprobante_temporal(Cont_detalle_comprobante_temporal $Cont_detalle_comprobante_temporal) {
		$id_detalle_comprobante = $Cont_detalle_comprobante_temporal->get_id_detalle_comprobante();
		$id_comprobante = $Cont_detalle_comprobante_temporal->get_id_comprobante();
		$id_cuenta = $Cont_detalle_comprobante_temporal->get_id_cuenta();
		$id_tipo_documento = $Cont_detalle_comprobante_temporal->get_id_tipo_documento();
		$id_documento = $Cont_detalle_comprobante_temporal->get_id_documento();
		$rut = $Cont_detalle_comprobante_temporal->get_rut();
		$descripcion = $Cont_detalle_comprobante_temporal->get_descripcion();
		$debe = $Cont_detalle_comprobante_temporal->get_debe();
		$haber = $Cont_detalle_comprobante_temporal->get_haber();
		$estado = $Cont_detalle_comprobante_temporal->get_estado();
		$tipo_comprobante = $Cont_detalle_comprobante_temporal->get_tipo_comprobante();
		$id_cliente_proveedor = $Cont_detalle_comprobante_temporal->get_id_cliente_proveedor();
		$id_centro_costo = $Cont_detalle_comprobante_temporal->get_id_centro_costo();
		$id_detalle_comprobante_pago = $Cont_detalle_comprobante_temporal->get_id_detalle_comprobante_pago();
		$extra3 = $Cont_detalle_comprobante_temporal->get_extra3();
		$extra4 = $Cont_detalle_comprobante_temporal->get_extra4();
		$extra5 = $Cont_detalle_comprobante_temporal->get_extra5();
		$Cont_detalle_comprobante_temporal_bd = new Cont_detalle_comprobante_temporal_BD($id_comprobante, $id_cuenta, $id_tipo_documento, $id_documento, $rut, $descripcion, $debe, $haber, $estado, $tipo_comprobante, $id_cliente_proveedor, $id_centro_costo, $id_detalle_comprobante_pago, $extra3, $extra4, $extra5, $id_detalle_comprobante);
		return $this->controlador_bd_Cont_detalle_comprobante_temporal->actualizarCont_detalle_comprobante_temporal_BD($Cont_detalle_comprobante_temporal_bd);
	}

	function eliminarCont_detalle_comprobante_temporal($id_detalle_comprobante) {
		return $this->controlador_bd_Cont_detalle_comprobante_temporal->eliminarCont_detalle_comprobante_temporal_BD($id_detalle_comprobante);
	}
	
	function getTotalesDebeHaber(){
		return $this->controlador_bd_Cont_detalle_comprobante_temporal->getTotalesDebeHaber_BD();
	}
	
	function getHistoricoDebeHaberPorCuentaDT($id_cuenta,$id_empresa,$mes_proceso_desde,$ao_proceso_desde,$mes_proceso_hasta,$ao_proceso_hasta){
		return $this->controlador_bd_Cont_detalle_comprobante_temporal->getHistoricoDebeHaberPorCuenta_DT_BD($id_cuenta,$id_empresa,$mes_proceso_desde,$ao_proceso_desde,$mes_proceso_hasta,$ao_proceso_hasta);
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>