<?
//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_sucursal_cliente_proveedor {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Cont_sucursal_cliente_proveedor;

	//CONSTRUCTOR
	public function __construct() {
		$this->controlador_bd_Cont_sucursal_cliente_proveedor = new controlador_bd_Cont_sucursal_cliente_proveedor;
	}

	// DESTRUCTOR
	public function __destruct() {

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getCantidadCont_sucursal_cliente_proveedor($filtro) {
		return $this->controlador_bd_Cont_sucursal_cliente_proveedor->getCantidadCont_sucursal_cliente_proveedor_BD($filtro);
	}

	function getListadoCont_sucursal_cliente_proveedor($filtro, $extra) {
		$listado_Cont_sucursal_cliente_proveedor_bd = $this->controlador_bd_Cont_sucursal_cliente_proveedor->getListadoCont_sucursal_cliente_proveedor_BD($filtro, $extra);
		$Cont_sucursal_cliente_proveedor_bd = new Cont_sucursal_cliente_proveedor_bd();
		foreach ($listado_Cont_sucursal_cliente_proveedor_bd as $Cont_sucursal_cliente_proveedor_bd) {
			$listado_Cont_sucursal_cliente_proveedor[] = new Cont_sucursal_cliente_proveedor($Cont_sucursal_cliente_proveedor_bd);
		}
		return $listado_Cont_sucursal_cliente_proveedor;
	}

	function getCont_sucursal_cliente_proveedor($id_sucursal_cliente_proveedor) {
		//debug($id_sucursal_cliente_proveedor);
		$Cont_sucursal_cliente_proveedor_bd = $this->controlador_bd_Cont_sucursal_cliente_proveedor->getCont_sucursal_cliente_proveedor_BD($id_sucursal_cliente_proveedor);
		if ($Cont_sucursal_cliente_proveedor_bd)
			return (new Cont_sucursal_cliente_proveedor($Cont_sucursal_cliente_proveedor_bd));
		else
			return null;
	}

	function guardarCont_sucursal_cliente_proveedor(Cont_sucursal_cliente_proveedor $Cont_sucursal_cliente_proveedor) {
		$id_sucursal_cliente_proveedor = $Cont_sucursal_cliente_proveedor->get_id_sucursal_cliente_proveedor();
		
		$id_empresa = $Cont_sucursal_cliente_proveedor->get_id_empresa();
		$id_cliente_proveedor = $Cont_sucursal_cliente_proveedor->get_id_cliente_proveedor();
		$descripcion = $Cont_sucursal_cliente_proveedor->get_descripcion();
		$direccion = $Cont_sucursal_cliente_proveedor->get_direccion();
		$ciudad = $Cont_sucursal_cliente_proveedor->get_ciudad();
		$telefono = $Cont_sucursal_cliente_proveedor->get_telefono();
		$fax = $Cont_sucursal_cliente_proveedor->get_fax();
		$responsable = $Cont_sucursal_cliente_proveedor->get_responsable();
		$email = $Cont_sucursal_cliente_proveedor->get_email();
		$estado = $Cont_sucursal_cliente_proveedor->get_estado();
		$observacion = $Cont_sucursal_cliente_proveedor->get_observacion();
		$Cont_sucursal_cliente_proveedor_bd = new Cont_sucursal_cliente_proveedor_BD($id_empresa, $id_cliente_proveedor, $descripcion, $direccion, $ciudad, $telefono, $fax, $responsable, $email, $estado, $observacion, $id_bodega_ventas, $id_bodega_cristales, $ex3, $ex4, $ex5, $ex6, $id_sucursal_cliente_proveedor);
		return $this->controlador_bd_Cont_sucursal_cliente_proveedor->guardarCont_sucursal_cliente_proveedor_BD($Cont_sucursal_cliente_proveedor_bd);
	}

	function actualizarCont_sucursal_cliente_proveedor(Cont_sucursal_cliente_proveedor $Cont_sucursal_cliente_proveedor) {
		$id_sucursal_cliente_proveedor = $Cont_sucursal_cliente_proveedor->get_id_sucursal_cliente_proveedor();
		$id_empresa = $Cont_sucursal_cliente_proveedor->get_id_empresa();
		$id_cliente_proveedor = $Cont_sucursal_cliente_proveedor->get_id_cliente_proveedor();
		$descripcion = $Cont_sucursal_cliente_proveedor->get_descripcion();
		$direccion = $Cont_sucursal_cliente_proveedor->get_direccion();
		$ciudad = $Cont_sucursal_cliente_proveedor->get_ciudad();
		$telefono = $Cont_sucursal_cliente_proveedor->get_telefono();
		$fax = $Cont_sucursal_cliente_proveedor->get_fax();
		$responsable = $Cont_sucursal_cliente_proveedor->get_responsable();
		$email = $Cont_sucursal_cliente_proveedor->get_email();
		$estado = $Cont_sucursal_cliente_proveedor->get_estado();
		$observacion = $Cont_sucursal_cliente_proveedor->get_observacion();
		$Cont_sucursal_cliente_proveedor_bd = new Cont_sucursal_cliente_proveedor_BD($id_empresa, $id_cliente_proveedor, $descripcion, $direccion, $ciudad, $telefono, $fax, $responsable, $email, $estado, $observacion, $id_bodega_ventas, $id_bodega_cristales, $ex3, $ex4, $ex5, $ex6, $id_sucursal_cliente_proveedor);
		return $this->controlador_bd_Cont_sucursal_cliente_proveedor->actualizarCont_sucursal_cliente_proveedor_BD($Cont_sucursal_cliente_proveedor_bd);
	}

	function eliminarCont_sucursal_cliente_proveedor($id_sucursal_cliente_proveedor) {
		return $this->controlador_bd_Cont_sucursal_cliente_proveedor->eliminarCont_sucursal_cliente_proveedor_BD($id_sucursal_cliente_proveedor);
	}
	
	function fijarSucursal($id_sucursal_cliente_proveedor){
		$filtro["estado"] = 1;
		$listado = $this->getListadoCont_sucursal_cliente_proveedor($filtro);
		$sucursal = $listado[0];
		if ($sucursal){
			$sucursal->set_estado(0);
			$this->actualizarCont_sucursal_cliente_proveedor($sucursal);
		}
		$sucursal_a_fijar = $this->getCont_sucursal_cliente_proveedor($id_sucursal_cliente_proveedor);
		$sucursal_a_fijar->set_estado(1);
		$this->actualizarCont_sucursal_cliente_proveedor($sucursal_a_fijar);
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>