<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Detalle_traspaso {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadDetalle_traspaso($filtro){
		$cbd = new controlador_bd_Detalle_traspaso();
		return $cbd->getCantidadDetalle_traspaso_BD($filtro);
	}
	
	function getListadoDetalle_traspaso($filtro,$extra){
		$cbd = new controlador_bd_Detalle_traspaso();
		$listado_Detalle_traspaso_arr = $cbd->getListadoDetalle_traspaso_BD($filtro,$extra);
	foreach ($listado_Detalle_traspaso_arr as $Detalle_traspaso_arr){
		$listado_Detalle_traspaso[] = new Detalle_traspaso($Detalle_traspaso_arr);
	}
	return $listado_Detalle_traspaso;
	}
	
	function getDetalle_traspaso($id_detalle_traspaso){
		$cbd = new controlador_bd_Detalle_traspaso();
		$filtro["id_detalle_traspaso"] = $id_detalle_traspaso;
		$listado_Detalle_traspaso_arr = $cbd->getListadoDetalle_traspaso_BD($filtro,$extra);
		if ($listado_Detalle_traspaso_arr) return new Detalle_traspaso($listado_Detalle_traspaso_arr[0]);
		return null;
	}
	
	function guardarDetalle_traspaso($Detalle_traspaso){
		$cbd = new controlador_bd_Detalle_traspaso();
		$id_detalle_traspaso = $Detalle_traspaso->get_id_detalle_traspaso();
		$id_traspaso_inventario = $Detalle_traspaso->get_id_traspaso_inventario();
		$id_producto = $Detalle_traspaso->get_id_producto();
		$cantidad = $Detalle_traspaso->get_cantidad();
		$estado = $Detalle_traspaso->get_estado();
		$precio_unitario = $Detalle_traspaso->get_precio_unitario();
		$saldo_recepcion = $Detalle_traspaso->get_saldo_recepcion();
		$descripcion = $Detalle_traspaso->get_descripcion();
		$Detalle_traspaso_bd = new Detalle_traspaso_BD ($id_traspaso_inventario, $id_producto, $cantidad, $estado, $precio_unitario, $saldo_recepcion, $descripcion, $id_detalle_traspaso);
		return $cbd->guardarDetalle_traspaso_BD($Detalle_traspaso_bd);
	}
	
	function actualizarDetalle_traspaso($Detalle_traspaso){
		$cbd = new controlador_bd_Detalle_traspaso();
		$id_detalle_traspaso = $Detalle_traspaso->get_id_detalle_traspaso();
		$id_traspaso_inventario = $Detalle_traspaso->get_id_traspaso_inventario();
		$id_producto = $Detalle_traspaso->get_id_producto();
		$cantidad = $Detalle_traspaso->get_cantidad();
		$estado = $Detalle_traspaso->get_estado();
		$precio_unitario = $Detalle_traspaso->get_precio_unitario();
		$saldo_recepcion = $Detalle_traspaso->get_saldo_recepcion();
		$descripcion = $Detalle_traspaso->get_descripcion();
		
		$Detalle_traspaso_bd = new Detalle_traspaso_BD ($id_traspaso_inventario, $id_producto, $cantidad, $estado, $precio_unitario, $saldo_recepcion, $descripcion, $id_detalle_traspaso);
		return $cbd->actualizarDetalle_traspaso_BD($Detalle_traspaso_bd);
	}
	
	function eliminarDetalle_traspaso($id_detalle_traspaso){
		$cbd = new controlador_bd_Detalle_traspaso();
		return $cbd->eliminarDetalle_traspaso_BD($id_detalle_traspaso);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
