<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Detalle_ventas {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadDetalle_ventas($filtro){
		$cbd = new controlador_bd_Detalle_ventas();
		return $cbd->getCantidadDetalle_ventas_BD($filtro);
	}
	
	function getListadoDetalle_ventas($filtro,$extra){
		$cbd = new controlador_bd_Detalle_ventas();
		$listado_Detalle_ventas_arr = $cbd->getListadoDetalle_ventas_BD($filtro,$extra);
	foreach ($listado_Detalle_ventas_arr as $Detalle_ventas_arr){
		$listado_Detalle_ventas[] = new Detalle_ventas($Detalle_ventas_arr);
	}
	return $listado_Detalle_ventas;
	}
	
	function getDetalle_ventas($id_detalle_venta){
		$cbd = new controlador_bd_Detalle_ventas();
		$filtro["id_detalle_venta"] = $id_detalle_venta;
		$listado_Detalle_ventas_arr = $cbd->getListadoDetalle_ventas_BD($filtro,$extra);
		if ($listado_Detalle_ventas_arr) return new Detalle_ventas($listado_Detalle_ventas_arr[0]);
		return null;
	}
	
	function guardarDetalle_ventas($Detalle_ventas){
		$cbd = new controlador_bd_Detalle_ventas();
		$id_detalle_venta = $Detalle_ventas->get_id_detalle_venta();
		$id_venta = $Detalle_ventas->get_id_venta();
		$precio_unitario = $Detalle_ventas->get_precio_unitario();
		$id_producto = $Detalle_ventas->get_id_producto();
		$id_bodega = $Detalle_ventas->get_id_bodega();
		$cantidad = $Detalle_ventas->get_cantidad();
		$total = $Detalle_ventas->get_total();
		$codigo_producto = $Detalle_ventas->get_codigo_producto();
		$estado = $Detalle_ventas->get_estado();
		$precio_costo = $Detalle_ventas->get_precio_costo();
		$margen_venta = $Detalle_ventas->get_margen_venta();
		$descuento_porc = $Detalle_ventas->get_descuento_porc();
		$descuento_monto = $Detalle_ventas->get_descuento_monto();
		$descripcion = $Detalle_ventas->get_descripcion();
		$NroLinDet = $Detalle_ventas->get_NroLinDet();
		$qbli = $Detalle_ventas->get_qbli();
		
		$Detalle_ventas_bd = new Detalle_ventas_BD ($id_venta, $precio_unitario, $id_producto, $id_bodega, $cantidad, $total, $codigo_producto, $estado, $precio_costo, $margen_venta, $descuento_porc, $descuento_monto, $NroLinDet, $descripcion, $qbli, $id_detalle_venta);
		return $cbd->guardarDetalle_ventas_BD($Detalle_ventas_bd);
	}
	
	function actualizarDetalle_ventas($Detalle_ventas){
		$cbd = new controlador_bd_Detalle_ventas();
		$id_detalle_venta = $Detalle_ventas->get_id_detalle_venta();
		$id_venta = $Detalle_ventas->get_id_venta();
		$precio_unitario = $Detalle_ventas->get_precio_unitario();
		$id_producto = $Detalle_ventas->get_id_producto();
		$id_bodega = $Detalle_ventas->get_id_bodega();
		$cantidad = $Detalle_ventas->get_cantidad();
		$total = $Detalle_ventas->get_total();
		$codigo_producto = $Detalle_ventas->get_codigo_producto();
		$estado = $Detalle_ventas->get_estado();
		$precio_costo = $Detalle_ventas->get_precio_costo();
		$margen_venta = $Detalle_ventas->get_margen_venta();
		$descuento_porc = $Detalle_ventas->get_descuento_porc();
		$descuento_monto = $Detalle_ventas->get_descuento_monto();
		$descripcion = $Detalle_ventas->get_descripcion();
		$NroLinDet = $Detalle_ventas->get_NroLinDet();
		$qbli = $Detalle_ventas->get_qbli();
		
		
		$Detalle_ventas_bd = new Detalle_ventas_BD ($id_venta, $precio_unitario, $id_producto, $id_bodega, $cantidad, $total, $codigo_producto, $estado, $precio_costo, $margen_venta, $descuento_porc, $descuento_monto, $NroLinDet, $descripcion, $qbli, $id_detalle_venta);
		return $cbd->actualizarDetalle_ventas_BD($Detalle_ventas_bd);
	}
	
	function eliminarDetalle_ventas($id_detalle_venta){
		$cbd = new controlador_bd_Detalle_ventas();
		return $cbd->eliminarDetalle_ventas_BD($id_detalle_venta);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
