<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Libro_compra {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Libro_compra;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Libro_compra = new controlador_bd_Libro_compra;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadLibro_compra($filtro){
		return $this->controlador_bd_Libro_compra->getCantidadLibro_compra_BD($filtro);
	}
	
	function getListadoLibro_compra($filtro,$extra){
		$listado_Libro_compra_bd = $this->controlador_bd_Libro_compra->getListadoLibro_compra_BD($filtro,$extra);
		$Libro_compra_bd = new Libro_compra_bd();
	foreach ($listado_Libro_compra_bd as $Libro_compra_bd){
		$listado_Libro_compra[] = new Libro_compra($Libro_compra_bd);
	}
	return $listado_Libro_compra;
	}
	
	function getLibro_compra($id_documento){
		$Libro_compra_bd = $this->controlador_bd_Libro_compra->getLibro_compra_BD($id_documento);
		if ($Libro_compra_bd)
		return (new Libro_compra($Libro_compra_bd));
		else
		return null;
	}
	
	function guardarLibro_compra(Libro_compra $Libro_compra){
		$id_documento = $Libro_compra->get_id_documento();
		$tipo_documento = $Libro_compra->get_tipo_documento();
		$id_proveedor = $Libro_compra->get_id_proveedor();
		$nombre_proveedor = $Libro_compra->get_nombre_proveedor();
		$rut_proveedor = $Libro_compra->get_rut_proveedor();
		$numero_documento = $Libro_compra->get_numero_documento();
		$correlativo = $Libro_compra->get_correlativo();
		$folio = $Libro_compra->get_folio();
		$fecha_documento = $Libro_compra->get_fecha_documento();
		$total_exento = $Libro_compra->get_total_exento();
		$total_neto = $Libro_compra->get_total_neto();
		$total_iva = $Libro_compra->get_total_iva();
		$total_bruto = $Libro_compra->get_total_bruto();
		$Libro_compra_bd = new Libro_compra_BD ($tipo_documento, $id_proveedor, $nombre_proveedor, $rut_proveedor, $numero_documento, $correlativo, $folio, $fecha_documento, $total_exento, $total_neto, $total_iva, $total_bruto, $id_documento);
		return $this->controlador_bd_Libro_compra->guardarLibro_compra_BD($Libro_compra_bd);
	}
	
	function actualizarLibro_compra(Libro_compra $Libro_compra){
		$id_documento = $Libro_compra->get_id_documento();
		$tipo_documento = $Libro_compra->get_tipo_documento();
		$id_proveedor = $Libro_compra->get_id_proveedor();
		$nombre_proveedor = $Libro_compra->get_nombre_proveedor();
		$rut_proveedor = $Libro_compra->get_rut_proveedor();
		$numero_documento = $Libro_compra->get_numero_documento();
		$correlativo = $Libro_compra->get_correlativo();
		$folio = $Libro_compra->get_folio();
		$fecha_documento = $Libro_compra->get_fecha_documento();
		$total_exento = $Libro_compra->get_total_exento();
		$total_neto = $Libro_compra->get_total_neto();
		$total_iva = $Libro_compra->get_total_iva();
		$total_bruto = $Libro_compra->get_total_bruto();
		$Libro_compra_bd = new Libro_compra_BD ($tipo_documento, $id_proveedor, $nombre_proveedor, $rut_proveedor, $numero_documento, $correlativo, $folio, $fecha_documento, $total_exento, $total_neto, $total_iva, $total_bruto, $id_documento);
		return $this->controlador_bd_Libro_compra->actualizarLibro_compra_BD($Libro_compra_bd);
	}
	
	function eliminarLibro_compra($id_documento){
		return $this->controlador_bd_Libro_compra->eliminarLibro_compra_BD($id_documento);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
