<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Movimiento_inventario {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Movimiento_inventario;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Movimiento_inventario = new controlador_bd_Movimiento_inventario;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadMovimiento_inventario($filtro){
		return $this->controlador_bd_Movimiento_inventario->getCantidadMovimiento_inventario_BD($filtro);
	}
	
	function getListadoMovimiento_inventario($filtro,$extra){
		$listado_Movimiento_inventario_bd = $this->controlador_bd_Movimiento_inventario->getListadoMovimiento_inventario_BD($filtro,$extra);
		$Movimiento_inventario_bd = new Movimiento_inventario_bd();
		foreach ($listado_Movimiento_inventario_bd as $Movimiento_inventario_bd){
			$listado_Movimiento_inventario[] = new Movimiento_inventario($Movimiento_inventario_bd);
		}
		return $listado_Movimiento_inventario;
	}
	
	function getMovimiento_inventario_por_tipo($tipo, $nro_doc, $id_bodega, $id_producto = "%"){
		$filtro["id_tipo_movimiento"] = $tipo;
		$filtro["nro_documento"] = $nro_doc;
		$filtro["id_bodega"] = $id_bodega;
		$filtro["id_producto"] = $id_producto;
		$listado =  $this->getListadoMovimiento_inventario($filtro);
		$movimiento_inventario = $listado[0];
		return $movimiento_inventario;
	}
	
	function getMovimiento_inventario($id_movimiento_inventario){
		$Movimiento_inventario_bd = $this->controlador_bd_Movimiento_inventario->getMovimiento_inventario_BD($id_movimiento_inventario);
		if ($Movimiento_inventario_bd)
		return (new Movimiento_inventario($Movimiento_inventario_bd));
		else
		return null;
	}
	
	function guardarMovimiento_inventario(Movimiento_inventario $Movimiento_inventario){
		$id_movimiento_inventario = $Movimiento_inventario->get_id_movimiento_inventario();
		$id_producto = $Movimiento_inventario->get_id_producto();
		$id_bodega = $Movimiento_inventario->get_id_bodega();
		$id_inventario = $Movimiento_inventario->get_id_inventario();
		$id_tipo_movimiento = $Movimiento_inventario->get_id_tipo_movimiento();
		$nro_documento = $Movimiento_inventario->get_nro_documento();
		$fecha = $Movimiento_inventario->get_fecha();
		$descripcion = $Movimiento_inventario->get_descripcion();
		$entrada = $Movimiento_inventario->get_entrada();
		$salida = $Movimiento_inventario->get_salida();
		$id_usuario = $Movimiento_inventario->get_id_usuario();
		$ex1 = $Movimiento_inventario->get_ex1();
		$ex2 = $Movimiento_inventario->get_ex2();
		$ex3 = $Movimiento_inventario->get_ex3();
		$ex4 = $Movimiento_inventario->get_ex4();
		$ex5 = $Movimiento_inventario->get_ex5();
		$Movimiento_inventario_bd = new Movimiento_inventario_BD ($id_producto, $id_bodega, $id_inventario, $id_tipo_movimiento, $nro_documento, $fecha, $descripcion, $entrada, $salida, $id_usuario, $ex1, $ex2, $ex3, $ex4, $ex5, $id_movimiento_inventario);
		return $this->controlador_bd_Movimiento_inventario->guardarMovimiento_inventario_BD($Movimiento_inventario_bd);
	}
	
	function actualizarMovimiento_inventario(Movimiento_inventario $Movimiento_inventario){
		$id_movimiento_inventario = $Movimiento_inventario->get_id_movimiento_inventario();
		$id_producto = $Movimiento_inventario->get_id_producto();
		$id_bodega = $Movimiento_inventario->get_id_bodega();
		$id_inventario = $Movimiento_inventario->get_id_inventario();
		$id_tipo_movimiento = $Movimiento_inventario->get_id_tipo_movimiento();
		$nro_documento = $Movimiento_inventario->get_nro_documento();
		$fecha = $Movimiento_inventario->get_fecha();
		$descripcion = $Movimiento_inventario->get_descripcion();
		$entrada = $Movimiento_inventario->get_entrada();
		$salida = $Movimiento_inventario->get_salida();
		$id_usuario = $Movimiento_inventario->get_id_usuario();
		$ex1 = $Movimiento_inventario->get_ex1();
		$ex2 = $Movimiento_inventario->get_ex2();
		$ex3 = $Movimiento_inventario->get_ex3();
		$ex4 = $Movimiento_inventario->get_ex4();
		$ex5 = $Movimiento_inventario->get_ex5();
		$Movimiento_inventario_bd = new Movimiento_inventario_BD ($id_producto, $id_bodega, $id_inventario, $id_tipo_movimiento, $nro_documento, $fecha, $descripcion, $entrada, $salida, $id_usuario, $ex1, $ex2, $ex3, $ex4, $ex5, $id_movimiento_inventario);
		return $this->controlador_bd_Movimiento_inventario->actualizarMovimiento_inventario_BD($Movimiento_inventario_bd);
	}
	
	function eliminarMovimiento_inventario($id_movimiento_inventario){
		return $this->controlador_bd_Movimiento_inventario->eliminarMovimiento_inventario_BD($id_movimiento_inventario);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
