<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Orden_compra_cliente {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadOrden_compra_cliente($filtro){
		$cbd = new controlador_bd_Orden_compra_cliente();
		return $cbd->getCantidadOrden_compra_cliente_BD($filtro);
	}
	
	function getListadoOrden_compra_cliente($filtro,$extra){
		$cbd = new controlador_bd_Orden_compra_cliente();
		$listado_Orden_compra_cliente_arr = $cbd->getListadoOrden_compra_cliente_BD($filtro,$extra);
	foreach ($listado_Orden_compra_cliente_arr as $Orden_compra_cliente_arr){
		$listado_Orden_compra_cliente[] = new Orden_compra_cliente($Orden_compra_cliente_arr);
	}
	return $listado_Orden_compra_cliente;
	}
	
	function getOrden_compra_cliente($id_orden_compra){
		$cbd = new controlador_bd_Orden_compra_cliente();
		$filtro["id_orden_compra"] = $id_orden_compra;
		$listado_Orden_compra_cliente_arr = $cbd->getListadoOrden_compra_cliente_BD($filtro,$extra);
		if ($listado_Orden_compra_cliente_arr) return new Orden_compra_cliente($listado_Orden_compra_cliente_arr[0]);
		return null;
	}
	
	function guardarOrden_compra_cliente($Orden_compra_cliente){
		$cbd = new controlador_bd_Orden_compra_cliente();
		$id_orden_compra = $Orden_compra_cliente->get_id_orden_compra();
		$id_sucursal = $Orden_compra_cliente->get_id_sucursal();
		$id_proveedor = $Orden_compra_cliente->get_id_proveedor();
		$fecha_documento = $Orden_compra_cliente->get_fecha_documento();
		$fecha_anulacion = $Orden_compra_cliente->get_fecha_anulacion();
		$fecha_recepcion_completa = $Orden_compra_cliente->get_fecha_recepcion_completa();
		$fecha_ultima_modificacion = $Orden_compra_cliente->get_fecha_ultima_modificacion();
		$fecha_digitacion = $Orden_compra_cliente->get_fecha_digitacion();
		$atencion = $Orden_compra_cliente->get_atencion();
		$subtotal = $Orden_compra_cliente->get_subtotal();
		$total_dcto = $Orden_compra_cliente->get_total_dcto();
		$total_neto = $Orden_compra_cliente->get_total_neto();
		$total_exento = $Orden_compra_cliente->get_total_exento();
		$total_bruto = $Orden_compra_cliente->get_total_bruto();
		$iva = $Orden_compra_cliente->get_iva();
		$estado = $Orden_compra_cliente->get_estado();
		$condicion_pago = $Orden_compra_cliente->get_condicion_pago();
		$id_usuario = $Orden_compra_cliente->get_id_usuario();
		$observacion = $Orden_compra_cliente->get_observacion();
		$id_transportista = $Orden_compra_cliente->get_id_transportista();
		$nro_factura_compra = $Orden_compra_cliente->get_nro_factura_compra();
		$id_documento = $Orden_compra_cliente->get_id_documento();
		$plazo = $Orden_compra_cliente->get_plazo();
		$fecha_vencimiento = $Orden_compra_cliente->get_fecha_vencimiento();
		$nro_orden_compra = $Orden_compra_cliente->get_nro_orden_compra();
		$Orden_compra_cliente_bd = new Orden_compra_cliente_BD ($id_sucursal, $id_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $condicion_pago, $id_usuario, $observacion, $id_transportista, $nro_factura_compra, $id_documento, $plazo, $fecha_vencimiento, $nro_orden_compra, $id_orden_compra);
		return $cbd->guardarOrden_compra_cliente_BD($Orden_compra_cliente_bd);
	}
	
	function actualizarOrden_compra_cliente($Orden_compra_cliente){
		$cbd = new controlador_bd_Orden_compra_cliente();
		$id_orden_compra = $Orden_compra_cliente->get_id_orden_compra();
		$id_sucursal = $Orden_compra_cliente->get_id_sucursal();
		$id_proveedor = $Orden_compra_cliente->get_id_proveedor();
		$fecha_documento = $Orden_compra_cliente->get_fecha_documento();
		$fecha_anulacion = $Orden_compra_cliente->get_fecha_anulacion();
		$fecha_recepcion_completa = $Orden_compra_cliente->get_fecha_recepcion_completa();
		$fecha_ultima_modificacion = $Orden_compra_cliente->get_fecha_ultima_modificacion();
		$fecha_digitacion = $Orden_compra_cliente->get_fecha_digitacion();
		$atencion = $Orden_compra_cliente->get_atencion();
		$subtotal = $Orden_compra_cliente->get_subtotal();
		$total_dcto = $Orden_compra_cliente->get_total_dcto();
		$total_neto = $Orden_compra_cliente->get_total_neto();
		$total_exento = $Orden_compra_cliente->get_total_exento();
		$total_bruto = $Orden_compra_cliente->get_total_bruto();
		$iva = $Orden_compra_cliente->get_iva();
		$estado = $Orden_compra_cliente->get_estado();
		$condicion_pago = $Orden_compra_cliente->get_condicion_pago();
		$id_usuario = $Orden_compra_cliente->get_id_usuario();
		$observacion = $Orden_compra_cliente->get_observacion();
		$id_transportista = $Orden_compra_cliente->get_id_transportista();
		$nro_factura_compra = $Orden_compra_cliente->get_nro_factura_compra();
		$id_documento = $Orden_compra_cliente->get_id_documento();
		$plazo = $Orden_compra_cliente->get_plazo();
		$fecha_vencimiento = $Orden_compra_cliente->get_fecha_vencimiento();
		$nro_orden_compra = $Orden_compra_cliente->get_nro_orden_compra();
		$Orden_compra_cliente_bd = new Orden_compra_cliente_BD ($id_sucursal, $id_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $condicion_pago, $id_usuario, $observacion, $id_transportista, $nro_factura_compra, $id_documento, $plazo, $fecha_vencimiento, $nro_orden_compra, $id_orden_compra);
		return $cbd->actualizarOrden_compra_cliente_BD($Orden_compra_cliente_bd);
	}
	
	function eliminarOrden_compra_cliente($id_orden_compra){
		$cbd = new controlador_bd_Orden_compra_cliente();
		return $cbd->eliminarOrden_compra_cliente_BD($id_orden_compra);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
