<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Recepcion {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadRecepcion($filtro){
		$cbd = new controlador_bd_Recepcion();
		return $cbd->getCantidadRecepcion_BD($filtro);
	}
	
	function getListadoRecepcion($filtro,$extra){
		$cbd = new controlador_bd_Recepcion();
		$listado_Recepcion_arr = $cbd->getListadoRecepcion_BD($filtro,$extra);
	foreach ($listado_Recepcion_arr as $Recepcion_arr){
		$listado_Recepcion[] = new Recepcion($Recepcion_arr);
	}
	return $listado_Recepcion;
	}
	
	function getRecepcion($id_recepcion){
		$cbd = new controlador_bd_Recepcion();
		$filtro["id_recepcion"] = $id_recepcion;
		$listado_Recepcion_arr = $cbd->getListadoRecepcion_BD($filtro,$extra);
		if ($listado_Recepcion_arr) return new Recepcion($listado_Recepcion_arr[0]);
		return null;
	}
	
	function guardarRecepcion($Recepcion){
		$cbd = new controlador_bd_Recepcion();
		$id_recepcion = $Recepcion->get_id_recepcion();
		$id_orden_compra = $Recepcion->get_id_orden_compra();
		$id_documento = $Recepcion->get_id_documento();
		$numero_documento = $Recepcion->get_numero_documento();
		$fecha_documento = $Recepcion->get_fecha_documento();
		$fecha_recepcion = $Recepcion->get_fecha_recepcion();
		$total = $Recepcion->get_total();
		$observacion = $Recepcion->get_observacion();
		$id_bodega = $Recepcion->get_id_bodega();
		$id_bodega_fabricacion = $Recepcion->get_id_bodega_fabricacion();
		$fecha_digitacion = $Recepcion->get_fecha_digitacion();
		
		$Recepcion_bd = new Recepcion_BD ($id_orden_compra, $id_documento, $numero_documento, $fecha_documento, $fecha_recepcion, $total, $observacion, $id_bodega, $id_bodega_fabricacion, $id_recepcion);
		return $cbd->guardarRecepcion_BD($Recepcion_bd);
	}
	
	function actualizarRecepcion($Recepcion){
		$cbd = new controlador_bd_Recepcion();
		$id_recepcion = $Recepcion->get_id_recepcion();
		$id_orden_compra = $Recepcion->get_id_orden_compra();
		$id_documento = $Recepcion->get_id_documento();
		$numero_documento = $Recepcion->get_numero_documento();
		$fecha_documento = $Recepcion->get_fecha_documento();
		$fecha_recepcion = $Recepcion->get_fecha_recepcion();
		$total = $Recepcion->get_total();
		$observacion = $Recepcion->get_observacion();
		$id_bodega = $Recepcion->get_id_bodega();
		$id_bodega_fabricacion = $Recepcion->get_id_bodega_fabricacion();
		$fecha_digitacion = $Recepcion->get_fecha_digitacion();
		
		$Recepcion_bd = new Recepcion_BD ($id_orden_compra, $id_documento, $numero_documento, $fecha_documento, $fecha_recepcion, $total, $observacion, $id_bodega, $id_bodega_fabricacion, $id_recepcion);

		return $cbd->actualizarRecepcion_BD($Recepcion_bd);
	}
	
	function eliminarRecepcion($id_recepcion){
		$cbd = new controlador_bd_Recepcion();
		return $cbd->eliminarRecepcion_BD($id_recepcion);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
