<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Calendario_BD_Fachada {

function &getListadoCalendario_BD($filtro,$extra)
	{
		validar_tabla_db("Calendario");
		$extra_var = get_extra_var("CALENDARIO");
		$query = make_query("calendario", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarCalendario_BD($objeto){
		validar_tabla_db("Calendario");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CALENDARIO_BD",
		"anho", $objeto->get_anho(),
		"dias_habiles", $objeto->get_dias_habiles(),
		"semanas", $objeto->get_semanas(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"mes", $objeto->get_mes());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCalendario_BD(Calendario_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CALENDARIO_BD",
		"mes", $objeto->get_mes(),
		"anho", $objeto->get_anho(),
		"dias_habiles", $objeto->get_dias_habiles(),
		"semanas", $objeto->get_semanas(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_calendario", $objeto->get_id_calendario());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCalendario_BD($id_calendario){
		global $conn;
		$query = expandir("ELIMINAR_CALENDARIO_BD",
		"id_calendario", $id_calendario
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCalendario_BD($filtro){
		validar_tabla_db("Calendario");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CALENDARIO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
