<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cliente_BD_Fachada {

function &getListadoCliente_BD($filtro,$extra)
	{
		validar_tabla_db("Cliente");
		$extra_var = get_extra_var("CLIENTE");
		$query = make_query("cliente", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarCliente_BD($objeto){
		validar_tabla_db("Cliente");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CLIENTE_BD",
		"nombre_cliente", $objeto->get_nombre_cliente(),
		"razon_social_cliente", $objeto->get_razon_social_cliente(),
		"giro_cliente", $objeto->get_giro_cliente(),
		"direccion_cliente", $objeto->get_direccion_cliente(),
		"region_cliente", $objeto->get_region_cliente(),
		"ciudad_cliente", $objeto->get_ciudad_cliente(),
		"pais_cliente", $objeto->get_pais_cliente(),
		"telefono_cliente", $objeto->get_telefono_cliente(),
		"movil_cliente", $objeto->get_movil_cliente(),
		"fax_cliente", $objeto->get_fax_cliente(),
		"email_cliente", $objeto->get_email_cliente(),
		"web_cliente", $objeto->get_web_cliente(),
		"fecha_ingreso_cliente", $objeto->get_fecha_ingreso_cliente(),
		"estado_cliente", $objeto->get_estado_cliente(),
		"observacion_cliente", $objeto->get_observacion_cliente(),
		"rut_cliente", $objeto->get_rut_cliente());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCliente_BD(Cliente_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CLIENTE_BD",
		"rut_cliente", $objeto->get_rut_cliente(),
		"nombre_cliente", $objeto->get_nombre_cliente(),
		"razon_social_cliente", $objeto->get_razon_social_cliente(),
		"giro_cliente", $objeto->get_giro_cliente(),
		"direccion_cliente", $objeto->get_direccion_cliente(),
		"region_cliente", $objeto->get_region_cliente(),
		"ciudad_cliente", $objeto->get_ciudad_cliente(),
		"pais_cliente", $objeto->get_pais_cliente(),
		"telefono_cliente", $objeto->get_telefono_cliente(),
		"movil_cliente", $objeto->get_movil_cliente(),
		"fax_cliente", $objeto->get_fax_cliente(),
		"email_cliente", $objeto->get_email_cliente(),
		"web_cliente", $objeto->get_web_cliente(),
		"fecha_ingreso_cliente", $objeto->get_fecha_ingreso_cliente(),
		"estado_cliente", $objeto->get_estado_cliente(),
		"observacion_cliente", $objeto->get_observacion_cliente(),
		"id_cliente", $objeto->get_id_cliente());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCliente_BD($id_cliente){
		global $conn;
		$query = expandir("ELIMINAR_CLIENTE_BD",
		"id_cliente", $id_cliente
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCliente_BD($filtro){
		validar_tabla_db("Cliente");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CLIENTE_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
