<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_bodega_consignacion_BD_Fachada {

function &getListadoCont_bodega_consignacion_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_CONT_BODEGA_CONSIGNACION_BD",
	"where", $where
	);
	}
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_bodega_consignacion = $RecordSet -> Fields("id_bodega_consignacion");
		$id_bodega = $RecordSet -> Fields("id_bodega");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		$estado = $RecordSet -> Fields("estado");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_bodega_consignacion_BD ($id_bodega, $id_cliente_proveedor, $estado, $extra1, $extra2, $extra3, $id_bodega_consignacion);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_bodega_consignacion_BD($id_bodega_consignacion)
	{
		global $conn;
		$query = expandir("GET_CONT_BODEGA_CONSIGNACION_BD",
		"id_bodega_consignacion", $id_bodega_consignacion
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_bodega_consignacion = $RecordSet -> Fields("id_bodega_consignacion");
	$id_bodega = $RecordSet -> Fields("id_bodega");
	$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
	$estado = $RecordSet -> Fields("estado");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_bodega_consignacion_BD ($id_bodega, $id_cliente_proveedor, $estado, $extra1, $extra2, $extra3, $id_bodega_consignacion);
	return $temp;
	}
	
	
	function &guardarCont_bodega_consignacion_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_BODEGA_CONSIGNACION_BD",
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"estado", $objeto->get_estado(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_bodega", $objeto->get_id_bodega());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_bodega_consignacion_BD(Cont_bodega_consignacion_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_BODEGA_CONSIGNACION_BD",
		"id_bodega", $objeto->get_id_bodega(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"estado", $objeto->get_estado(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_bodega_consignacion", $objeto->get_id_bodega_consignacion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_bodega_consignacion_BD($id_bodega_consignacion){
		global $conn;
		$query = expandir("ELIMINAR_CONT_BODEGA_CONSIGNACION_BD",
		"id_bodega_consignacion", $id_bodega_consignacion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_bodega_consignacion_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_BODEGA_CONSIGNACION_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
