<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_cobranza_BD_Fachada {

function &getListadoCont_cobranza_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_CONT_COBRANZA_BD",
	"where", $where
	);
	}
	
	//debug($query);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_cobranza = $RecordSet -> Fields("id_cobranza");
		$id_factura = $RecordSet -> Fields("id_factura");
		$fecha_cobro = $RecordSet -> Fields("fecha_cobro");
		$observacion = $RecordSet -> Fields("observacion");
		$hora_inicio = $RecordSet -> Fields("hora_inicio");
		$hora_termino = $RecordSet -> Fields("hora_termino");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_cobranza_BD ($id_factura, $fecha_cobro, $observacion, $hora_inicio, $hora_termino, $extra3, $id_cobranza);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_cobranza_BD($id_cobranza)
	{
		global $conn;
		$query = expandir("GET_CONT_COBRANZA_BD",
		"id_cobranza", $id_cobranza
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_cobranza = $RecordSet -> Fields("id_cobranza");
	$id_factura = $RecordSet -> Fields("id_factura");
	$fecha_cobro = $RecordSet -> Fields("fecha_cobro");
	$observacion = $RecordSet -> Fields("observacion");
	$hora_inicio = $RecordSet -> Fields("hora_inicio");
	$hora_termino = $RecordSet -> Fields("hora_termino");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_cobranza_BD ($id_factura, $fecha_cobro, $observacion, $hora_inicio, $hora_termino, $extra3, $id_cobranza);
	return $temp;
	}
	
	
	function &guardarCont_cobranza_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_COBRANZA_BD",
		"fecha_cobro", $objeto->get_fecha_cobro(),
		"observacion", $objeto->get_observacion(),
		"hora_inicio", $objeto->get_hora_inicio(),
		"hora_termino", $objeto->get_hora_termino(),
		"extra3", $objeto->get_extra3(),
		"id_factura", $objeto->get_id_factura());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_cobranza_BD(Cont_cobranza_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_COBRANZA_BD",
		"id_factura", $objeto->get_id_factura(),
		"fecha_cobro", $objeto->get_fecha_cobro(),
		"observacion", $objeto->get_observacion(),
		"hora_inicio", $objeto->get_hora_inicio(),
		"hora_termino", $objeto->get_hora_termino(),
		"extra3", $objeto->get_extra3(),
		"id_cobranza", $objeto->get_id_cobranza());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_cobranza_BD($id_cobranza){
		global $conn;
		$query = expandir("ELIMINAR_CONT_COBRANZA_BD",
		"id_cobranza", $id_cobranza
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_cobranza_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_COBRANZA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
