<?


//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_comprobante_BD_Fachada {

	function & getListadoCont_comprobante_BD($filtro, $extra) {
		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}
		if ($extra["sql_especial"]) {
			$where .= $extra["sql_especial"];
		}

		if ($extra["sql"]) {
			$where .= $extra["sql"];
		}

		if ($extra["group"]) {
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]) {
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]) {
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]) {
			if ($extra["desde"]) {
				
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			} else {
				$where .= " LIMIT ".$extra["limit"];
			}
			
		} else {
			
			if ($extra["desde"]) {
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["new_sql"]) {
			$query = $extra["new_sql"];
		} else {
			$query = expandir("GET_LISTADO_CONT_COMPROBANTE_BD", "where", $where);
		}
		//debug($extra);
		//debug($query);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet->EOF) {
			$id_comprobante = $RecordSet->Fields("id_comprobante");
			$id_empresa = $RecordSet->Fields("id_empresa");
			$tipo_comprobante = $RecordSet->Fields("tipo_comprobante");
			$numero = $RecordSet->Fields("numero");
			$descripcion = $RecordSet->Fields("descripcion");
			$fecha_creacion = $RecordSet->Fields("fecha_creacion");
			$fecha_modificacion = $RecordSet->Fields("fecha_modificacion");
			$fecha_proceso = $RecordSet->Fields("fecha_proceso");
			$estado = $RecordSet->Fields("estado");
			$id_centro_costo = $RecordSet->Fields("id_centro_costo");
			$id_documento = $RecordSet->Fields("id_documento");
			$ano_proceso = $RecordSet->Fields("ano_proceso");
			$mes_proceso = $RecordSet->Fields("mes_proceso");
			$fecha_anulacion = $RecordSet->Fields("fecha_anulacion");
			$id_sucursal = $RecordSet->Fields("id_sucursal");
			$temp = new Cont_comprobante_BD($id_empresa, $tipo_comprobante, $numero, $descripcion, $fecha_creacion, $fecha_modificacion, $fecha_proceso, $estado, $id_centro_costo, $id_documento, $ano_proceso, $mes_proceso, $fecha_anulacion, $id_sucursal, $id_comprobante);
			$vector[$cont ++] = $temp;
			$RecordSet->MoveNext();
		}

		return $vector;
	}

	function & getCont_comprobante_BD($id_comprobante) {
		global $conn;
		$query = expandir("GET_CONT_COMPROBANTE_BD", "id_comprobante", $id_comprobante);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_comprobante = $RecordSet->Fields("id_comprobante");
		$id_empresa = $RecordSet->Fields("id_empresa");
		$tipo_comprobante = $RecordSet->Fields("tipo_comprobante");
		$numero = $RecordSet->Fields("numero");
		$descripcion = $RecordSet->Fields("descripcion");
		$fecha_creacion = $RecordSet->Fields("fecha_creacion");
		$fecha_modificacion = $RecordSet->Fields("fecha_modificacion");
		$fecha_proceso = $RecordSet->Fields("fecha_proceso");
		$estado = $RecordSet->Fields("estado");
		$id_centro_costo = $RecordSet->Fields("id_centro_costo");
		$id_documento = $RecordSet->Fields("id_documento");
		$ano_proceso = $RecordSet->Fields("ano_proceso");
		$mes_proceso = $RecordSet->Fields("mes_proceso");
		$fecha_anulacion = $RecordSet->Fields("fecha_anulacion");
		$id_sucursal = $RecordSet->Fields("id_sucursal");
		$temp = new Cont_comprobante_BD($id_empresa, $tipo_comprobante, $numero, $descripcion, $fecha_creacion, $fecha_modificacion, $fecha_proceso, $estado, $id_centro_costo, $id_documento, $ano_proceso, $mes_proceso, $fecha_anulacion, $id_sucursal, $id_comprobante);
		return $temp;
	}

	function & guardarCont_comprobante_BD($objeto) {
		global $conn;
		$conn->debug = CONN_DEBUG;
		//debug($objeto);
		$query = expandir("GUARDAR_CONT_COMPROBANTE_BD",				
		"tipo_comprobante", $objeto->get_tipo_comprobante(), 
		"numero", $objeto->get_numero(), 
		"descripcion", $objeto->get_descripcion(), 
		"fecha_creacion", $objeto->get_fecha_creacion(), 
		"fecha_modificacion", $objeto->get_fecha_modificacion(), 
		"fecha_proceso", $objeto->get_fecha_proceso(), 
		"estado", $objeto->get_estado(), 
		"id_centro_costo", $objeto->get_id_centro_costo(), 
		"id_documento", $objeto->get_id_documento(), 
		"ano_proceso", $objeto->get_ano_proceso(), 
		"mes_proceso", $objeto->get_mes_proceso(), 
		"fecha_anulacion", $objeto->get_fecha_anulacion(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"id_empresa", $objeto->get_id_empresa());
		$RecordSet = & $conn->Execute($query);
		return $conn->Insert_Id();
	}

	function & actualizarCont_comprobante_BD(Cont_comprobante_BD $objeto) {
		global $conn;
		$conn->debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CONT_COMPROBANTE_BD", "id_empresa", $objeto->get_id_empresa(), "tipo_comprobante", $objeto->get_tipo_comprobante(), "numero", $objeto->get_numero(), "descripcion", $objeto->get_descripcion(), "fecha_creacion", $objeto->get_fecha_creacion(), "fecha_modificacion", $objeto->get_fecha_modificacion(), "fecha_proceso", $objeto->get_fecha_proceso(), "estado", $objeto->get_estado(), "id_centro_costo", $objeto->get_id_centro_costo(), "id_documento", $objeto->get_id_documento(), "ano_proceso", $objeto->get_ano_proceso(), "mes_proceso", $objeto->get_mes_proceso(), "fecha_anulacion", $objeto->get_fecha_anulacion(), "id_sucursal", $objeto->get_id_sucursal(), "id_comprobante", $objeto->get_id_comprobante());

		$RecordSet = & $conn->Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function & eliminarCont_comprobante_BD($id_comprobante) {
		global $conn;
		$query = expandir("ELIMINAR_CONT_COMPROBANTE_BD", "id_comprobante", $id_comprobante);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function & cantidadCont_comprobante_BD($filtro,$extra) {
		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}
		if ($extra["sql_especial"]) {
			$where .= $extra["sql_especial"];
		}

		if ($extra["sql"]) {
			$where .= $extra["sql"];
		}

		if ($extra["group"]) {
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]) {
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]) {
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]) {
			if ($extra["desde"]) {
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			} else {
				$where .= " LIMIT ".$extra["limit"];
			}
		} else {
			if ($extra["desde"]) {
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_COMPROBANTE_BD", "where", $where);

		//debug($query);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

	function & total_debeCont_comprobante_BD($filtro) {

		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}

		$query = expandir("GET_TOTAL_DEBE_CONT_COMPROBANTE_BD", "where", $where);

		//debug($query);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["total_debe"]);
	}

	function & total_haberCont_comprobante_BD($filtro) {
		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}

		$query = expandir("GET_TOTAL_HABER_CONT_COMPROBANTE_BD", "where", $where);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["total_haber"]);
	}

	function & ultimo_numeroCont_comprobante_BD($filtro,$extra) {
		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}
		if ($extra["sql"]) {
			$where .= $extra["sql"];
		}

		$query = expandir("ULTIMO_NUMERO_CONT_COMPROBANTE_BD", "where", $where);
		//debug($query);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["ultimo_numero"]);
	}
} //Fin Clase
?>