<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_correlativo_BD_Fachada {

function &getListadoCont_correlativo_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_VTAS_CORRELATIVO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_Cont_correlativo = $RecordSet -> Fields("id_Cont_correlativo");
		$id_documento = $RecordSet -> Fields("id_documento");
		$numero = $RecordSet -> Fields("numero");
		$fecha = $RecordSet -> Fields("fecha");
		$estado = $RecordSet -> Fields("estado");
		$id_Cont_correlativo_documento = $RecordSet -> Fields("id_Cont_correlativo_documento");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");
		
		$temp = new Cont_correlativo_BD ($id_documento, $numero, $fecha, $estado, $id_Cont_correlativo_documento, $extra2, $extra3, $extra4, $id_Cont_correlativo);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_correlativo_BD($id_Cont_correlativo)
	{
		global $conn;
		$query = expandir("GET_VTAS_CORRELATIVO_BD",
		"id_Cont_correlativo", $id_Cont_correlativo
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_Cont_correlativo = $RecordSet -> Fields("id_Cont_correlativo");
	$id_documento = $RecordSet -> Fields("id_documento");
	$numero = $RecordSet -> Fields("numero");
	$fecha = $RecordSet -> Fields("fecha");
	$estado = $RecordSet -> Fields("estado");
	$id_Cont_correlativo_documento = $RecordSet -> Fields("id_Cont_correlativo_documento");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	$extra4 = $RecordSet -> Fields("extra4");
	
	
	$temp = new Cont_correlativo_BD ($id_documento, $numero, $fecha, $estado, $id_Cont_correlativo_documento, $extra2, $extra3, $extra4, $id_Cont_correlativo);
	return $temp;
	}
	
	
	function &guardarCont_correlativo_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_VTAS_CORRELATIVO_BD",
		"numero", $objeto->get_numero(),
		"fecha", $objeto->get_fecha(),
		"estado", $objeto->get_estado(),
		"id_Cont_correlativo_documento", $objeto->get_id_Cont_correlativo_documento(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"id_documento", $objeto->get_id_documento());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_correlativo_BD(Cont_correlativo_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_VTAS_CORRELATIVO_BD",
		"id_documento", $objeto->get_id_documento(),
		"numero", $objeto->get_numero(),
		"fecha", $objeto->get_fecha(),
		"estado", $objeto->get_estado(),
		"id_Cont_correlativo_documento", $objeto->get_id_Cont_correlativo_documento(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"id_Cont_correlativo", $objeto->get_id_Cont_correlativo());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_correlativo_BD($id_Cont_correlativo){
		global $conn;
		$query = expandir("ELIMINAR_VTAS_CORRELATIVO_BD",
		"id_Cont_correlativo", $id_Cont_correlativo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_correlativo_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_VTAS_CORRELATIVO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
