<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_estado_resultado_BD_Fachada {

function &getListadoCont_estado_resultado_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_CONT_ESTADO_RESULTADO_BD",
	"where", $where
	);
	}
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_cont_estado_resultado = $RecordSet -> Fields("id_cont_estado_resultado");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$concepto_cuenta = $RecordSet -> Fields("concepto_cuenta");
		$imputable = $RecordSet -> Fields("imputable");
		$ubicacion = $RecordSet -> Fields("ubicacion");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_estado_resultado_BD ($id_empresa, $concepto_cuenta, $imputable, $ubicacion, $extra1, $extra2, $extra3, $id_cont_estado_resultado);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_estado_resultado_BD($id_cont_estado_resultado)
	{
		global $conn;
		$query = expandir("GET_CONT_ESTADO_RESULTADO_BD",
		"id_cont_estado_resultado", $id_cont_estado_resultado
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_cont_estado_resultado = $RecordSet -> Fields("id_cont_estado_resultado");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$concepto_cuenta = $RecordSet -> Fields("concepto_cuenta");
	$imputable = $RecordSet -> Fields("imputable");
	$ubicacion = $RecordSet -> Fields("ubicacion");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_estado_resultado_BD ($id_empresa, $concepto_cuenta, $imputable, $ubicacion, $extra1, $extra2, $extra3, $id_cont_estado_resultado);
	return $temp;
	}
	
	
	function &guardarCont_estado_resultado_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_ESTADO_RESULTADO_BD",
		"concepto_cuenta", $objeto->get_concepto_cuenta(),
		"imputable", $objeto->get_imputable(),
		"ubicacion", $objeto->get_ubicacion(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_empresa", $objeto->get_id_empresa());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_estado_resultado_BD(Cont_estado_resultado_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_ESTADO_RESULTADO_BD",
		"id_empresa", $objeto->get_id_empresa(),
		"concepto_cuenta", $objeto->get_concepto_cuenta(),
		"imputable", $objeto->get_imputable(),
		"ubicacion", $objeto->get_ubicacion(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_cont_estado_resultado", $objeto->get_id_cont_estado_resultado());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_estado_resultado_BD($id_cont_estado_resultado){
		global $conn;
		$query = expandir("ELIMINAR_CONT_ESTADO_RESULTADO_BD",
		"id_cont_estado_resultado", $id_cont_estado_resultado
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_estado_resultado_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_ESTADO_RESULTADO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
