<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Convenio_Fachada {

function &getListadoConvenio($filtro,$extra)

	{
		global $conn;
		
	$extra_var = get_extra_var("CONVENIO");
	$query = make_query("convenio", $filtro, $extra, $extra_var);
	
	$conn -> debug = CONN_DEBUG;

	$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_convenio = $RecordSet -> Fields("id_convenio");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$id_documento = $RecordSet -> Fields("id_documento");
		$id_ciudad = $RecordSet -> Fields("id_ciudad");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$representante = $RecordSet -> Fields("representante");
		$rut_representante = $RecordSet -> Fields("rut_representante");
		$domicilio_comercial = $RecordSet -> Fields("domicilio_comercial");
		$estado = $RecordSet -> Fields("estado");
		$habilitado = $RecordSet -> Fields("habilitado");
		$telefono = $RecordSet -> Fields("telefono");
		$orden_inicial = $RecordSet -> Fields("orden_inicial");
		$orden_final = $RecordSet -> Fields("orden_final");
		$fecha_cierre = $RecordSet -> Fields("fecha_cierre");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		
		$temp = new Convenio ($id_empresa, $id_documento, $id_ciudad, $fecha_creacion, $representante, $rut_representante, $domicilio_comercial, $estado, $habilitado, $telefono, $orden_inicial, $orden_final, $fecha_cierre, $extra1, $extra2, $id_convenio);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getConvenio($id_convenio)
	{
		global $conn;
		$query = expandir("GET_CONVENIO",
		"id_convenio", $id_convenio
		);
		
		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_convenio = $RecordSet -> Fields("id_convenio");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$id_documento = $RecordSet -> Fields("id_documento");
	$id_ciudad = $RecordSet -> Fields("id_ciudad");
	$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
	$representante = $RecordSet -> Fields("representante");
	$rut_representante = $RecordSet -> Fields("rut_representante");
	$domicilio_comercial = $RecordSet -> Fields("domicilio_comercial");
	$estado = $RecordSet -> Fields("estado");
	$habilitado = $RecordSet -> Fields("habilitado");
	$telefono = $RecordSet -> Fields("telefono");
	$orden_inicial = $RecordSet -> Fields("orden_inicial");
	$orden_final = $RecordSet -> Fields("orden_final");
	$fecha_cierre = $RecordSet -> Fields("fecha_cierre");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	
	
	$temp = new Convenio ($id_empresa, $id_documento, $id_ciudad, $fecha_creacion, $representante, $rut_representante, $domicilio_comercial, $estado, $habilitado, $telefono, $orden_inicial, $orden_final, $fecha_cierre, $extra1, $extra2, $id_convenio);
	return $temp;
	}
	
	
	function &guardarConvenio($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONVENIO",
		"id_documento", $objeto->id_documento,
		"id_ciudad", $objeto->id_ciudad,
		"fecha_creacion", $objeto->fecha_creacion,
		"representante", $objeto->representante,
		"rut_representante", $objeto->rut_representante,
		"domicilio_comercial", $objeto->domicilio_comercial,
		"estado", $objeto->estado,
		"habilitado", $objeto->habilitado,
		"telefono", $objeto->telefono,
		"orden_inicial", $objeto->orden_inicial,
		"orden_final", $objeto->orden_final,
		"fecha_cierre", $objeto->fecha_cierre,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"id_empresa", $objeto->id_empresa);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarConvenio($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONVENIO",
		"id_empresa", $objeto->id_empresa,
		"id_documento", $objeto->id_documento,
		"id_ciudad", $objeto->id_ciudad,
		"fecha_creacion", $objeto->fecha_creacion,
		"representante", $objeto->representante,
		"rut_representante", $objeto->rut_representante,
		"domicilio_comercial", $objeto->domicilio_comercial,
		"estado", $objeto->estado,
		"habilitado", $objeto->habilitado,
		"telefono", $objeto->telefono,
		"orden_inicial", $objeto->orden_inicial,
		"orden_final", $objeto->orden_final,
		"fecha_cierre", $objeto->fecha_cierre,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"id_convenio", $objeto->id_convenio);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarConvenio($id_convenio){
		global $conn;
		$query = expandir("ELIMINAR_CONVENIO",
		"id_convenio", $id_convenio
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadConvenio_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONVENIO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}

	
	}//Fin Clase
?>
