<?

//-----------------------------------------------------------------------------
//	FUNCIONES FACHADA
//-----------------------------------------------------------------------------

class Cuota_credito_Fachada {

	function &getListadoCuota_credito($filtro,$extra)

	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql_especial"]){
			$where .= $extra["sql_especial"];
		}
		
		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}
		
		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}

		if ($extra["razon_social"]){
			$query = expandir("GET_LISTADO_CUOTA_CREDITO_RAZON_SOCIAL","where",	$where, "razon_social", $extra["razon_social"]);
		}else{
			$query = expandir("GET_LISTADO_CUOTA_CREDITO","where",	$where);
		}	
		


		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_cuota_credito = $RecordSet -> Fields("id_cuota_credito");
			$id_documento_credito = $RecordSet -> Fields("id_documento_credito");
			$numero_cuota = $RecordSet -> Fields("numero_cuota");
			$monto_cuota = $RecordSet -> Fields("monto_cuota");
			$fecha_vence = $RecordSet -> Fields("fecha_vence");
			$estado = $RecordSet -> Fields("estado");
			$abono = $RecordSet -> Fields("abono");
			$saldo = $RecordSet -> Fields("saldo");
			
			$temp = new Cuota_credito ($id_documento_credito, $numero_cuota, $monto_cuota, $fecha_vence, $estado, $abono, $saldo, $id_cuota_credito);
			$temp->chequeaVencimiento();
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getCuota_credito($id_cuota_credito)
	{
		global $conn;
		$query = expandir("GET_CUOTA_CREDITO",
		"id_cuota_credito", $id_cuota_credito
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_cuota_credito = $RecordSet -> Fields("id_cuota_credito");
		$id_documento_credito = $RecordSet -> Fields("id_documento_credito");
		$numero_cuota = $RecordSet -> Fields("numero_cuota");
		$monto_cuota = $RecordSet -> Fields("monto_cuota");
		$fecha_vence = $RecordSet -> Fields("fecha_vence");
		$estado = $RecordSet -> Fields("estado");
		$abono = $RecordSet -> Fields("abono");
		$saldo = $RecordSet -> Fields("saldo");

		$temp = new Cuota_credito ($id_documento_credito, $numero_cuota, $monto_cuota, $fecha_vence, $estado, $abono, $saldo, $id_cuota_credito);
		return $temp;
	}


	function &guardarCuota_credito($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CUOTA_CREDITO",
		"numero_cuota", $objeto->numero_cuota,
		"monto_cuota", $objeto->monto_cuota,
		"fecha_vence", $objeto->fecha_vence,
		"id_documento_credito", $objeto->id_documento_credito,
		"fecha_credito", $objeto->fecha_credito,
		"monto_credito", $objeto->monto_credito,
		"abono_inicial", $objeto->abono_inicial,
		"numero_cuotas", $objeto->numero_cuotas,
		"estado", $objeto->estado,
		"abono", $objeto->abono,
		"saldo", $objeto->saldo);

		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();


	}

	function &actualizarCuota_credito($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CUOTA_CREDITO",
		"id_documento_credito", $objeto->id_documento_credito,
		"numero_cuota", $objeto->numero_cuota,
		"monto_cuota", $objeto->monto_cuota,
		"fecha_vence", $objeto->fecha_vence,
		"fecha_credito", $objeto->fecha_credito,
		"monto_credito", $objeto->monto_credito,
		"abono_inicial", $objeto->abono_inicial,
		"numero_cuotas", $objeto->numero_cuotas,
		"estado", $objeto->estado,
		"abono", $objeto->abono,
		"saldo", $objeto->saldo,
		"id_cuota_credito", $objeto->id_cuota_credito);

		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCuota_credito($id_cuota_credito){
		global $conn;
		$query = expandir("ELIMINAR_CUOTA_CREDITO",
		"id_cuota_credito", $id_cuota_credito
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &get_cantidad($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_CUOTA_CREDITO_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

	function &get_estado_pagos_credito($filtro,$extra){
		global $conn;
		
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}

		
		$query = expandir("ESTADO_PAGOS_COMPRA",
		"where",$where
		);
		
		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_cuota_credito = $RecordSet -> Fields("id_cuota_credito");
			$id_documento_credito = $RecordSet -> Fields("id_documento_credito");
			$numero_cuota = $RecordSet -> Fields("numero_cuota");
			$abono_inicial = $RecordSet -> Fields("abono_inicial");
			
			$mes_proceso = $RecordSet -> Fields("mes_proceso");
			$ano_proceso = $RecordSet -> Fields("ano_proceso");
			$total_neto = $RecordSet -> Fields("total_neto");
			$total_iva = $RecordSet -> Fields("total_iva");
			$total_bruto = $RecordSet -> Fields("total_bruto");
			$total_saldos = $RecordSet -> Fields("total_saldos");
			$total_pagos = $RecordSet -> Fields("total_pagos");
			$estado_compra = $RecordSet -> Fields("estado_compra");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$temp = new Cuota_credito ($id_documento_credito, $numero_cuota, $monto_cuota, $fecha_vence, $estado, $abono, $saldo, $id_cuota_credito);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;		
	}
	
	function &get_total_estado_pagos($filtro,$extra){
		global $conn;
		
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}

		
		$query = expandir("TOTAL_PAGOS_COMPRA",
		"where",$where
		);
		
		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		$totales["total_neto"]  = $RecordSet -> Fields("total_neto");
		$totales["total_iva"] = $RecordSet -> Fields("total_iva");
		$totales["total_bruto"] = $RecordSet -> Fields("total_bruto");
		$totales["total_saldos"] = $RecordSet -> Fields("total_saldos");
		$totales["total_pagos"] = $RecordSet -> Fields("total_pagos");
			
		return $totales;		
	}	
}
//Fin Clase
?>
