<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Defontana_fichadto_BD_Fachada {

function &getListadoDefontana_fichadto_BD($filtro,$extra)
	{
	
		$sesion = $_SESSION["Sesion"];

	//	validar_tabla_db("Defontana_fichadto");
	//	$extra_var = get_extra_var("DEFONTANA_FICHADTO");
	//	$query = make_query("defontana_fichadto", $filtro, $extra, $extra_var);
	//	$vector = exec_query($query);
		
		
		$api_link = 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc?wsdl';
		$client = new SoapClient($api_link, array('cache_wsdl' =>  WSDL_CACHE_DISK, 'soap_version' => SOAP_1_2, 'reliable' => 1.2 , 'useWSA' => TRUE ) );
		$headers[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'To', 'https://replgolden.defontana.com/Ventas_Soap/VentaService.svc', true);
		$headers[] = new SoapHeader('http://www.w3.org/2005/08/addressing', 'Action', 'VentaServicio/VentaServicio/ConsultaFichas', true);
		$client->__setSoapHeaders($headers);
		
		if ($filtro)
			$codigo = $filtro["rut"];


		$requestParams = array( 'sesion' => $sesion, 'codigo' => $codigo,
                                               'cantidadRegistros' => '10',
                                            'pagina' => '0');
	

		$vector = $client->ConsultaFichas( $requestParams );
		if ($vector)
		{
			$Defontana_fichadto = new Defontana_fichadto();
			$Defontana_fichadto->ActivoCliente = $vector->ConsultaFichasResult->FichaDTO->ActivoCliente;
			$Defontana_fichadto->ActivoProveedor = $vector->ConsultaFichasResult->FichaDTO->ActivoProveedor;
			$Defontana_fichadto->ApellidoMaterno = $vector->ConsultaFichasResult->FichaDTO->ApellidoMaterno;
			$Defontana_fichadto->ApellidoPaterno = $vector->ConsultaFichasResult->FichaDTO->ApellidoPaterno;
			$Defontana_fichadto->Ciudad = $vector->ConsultaFichasResult->FichaDTO->Ciudad;
			$Defontana_fichadto->Cliente = $vector->ConsultaFichasResult->FichaDTO->Cliente;
			$Defontana_fichadto->CodigoLegal = $vector->ConsultaFichasResult->FichaDTO->CodigoLegal;
			$Defontana_fichadto->Direccion = $vector->ConsultaFichasResult->FichaDTO->Direccion;
			$Defontana_fichadto->Distrito = $vector->ConsultaFichasResult->FichaDTO->Distrito;
			$Defontana_fichadto->Email = $vector->ConsultaFichasResult->FichaDTO->Email;
			$Defontana_fichadto->EnviaEmailDTE = $vector->ConsultaFichasResult->FichaDTO->EnviaEmailDTE;
			$Defontana_fichadto->Estado = $vector->ConsultaFichasResult->FichaDTO->Estado;
			$Defontana_fichadto->IDEmpresa = $vector->ConsultaFichasResult->FichaDTO->IDEmpresa;
			$Defontana_fichadto->IDFichaCliente = $vector->ConsultaFichasResult->FichaDTO->IDFichaCliente;
			$Defontana_fichadto->IDListaPrecio = $vector->ConsultaFichasResult->FichaDTO->IDListaPrecio;
			$Defontana_fichadto->IDMoneda = $vector->ConsultaFichasResult->FichaDTO->IDMoneda;
			$Defontana_fichadto->Nombre = $vector->ConsultaFichasResult->FichaDTO->Nombre;
			$Defontana_fichadto->Pais = $vector->ConsultaFichasResult->FichaDTO->Pais;
			$Defontana_fichadto->Proveedor = $vector->ConsultaFichasResult->FichaDTO->Proveedor;
			$Defontana_fichadto->Telefono = $vector->ConsultaFichasResult->FichaDTO->Telefono;
			$Defontana_fichadto->TieneDescuento = $vector->ConsultaFichasResult->FichaDTO->TieneDescuento;
			$Defontana_fichadto->TipoProducto = $vector->ConsultaFichasResult->FichaDTO->TipoProducto;
			return $Defontana_fichadto;
		}
		else
		{
			return 0;
		}

	}
	
	function &guardarDefontana_fichadto_BD($objeto){
		validar_tabla_db("Defontana_fichadto");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DEFONTANA_FICHADTO_BD",
		"ActivoProveedor", $objeto->get_ActivoProveedor(),
		"ApellidoMaterno", $objeto->get_ApellidoMaterno(),
		"ApellidoPaterno", $objeto->get_ApellidoPaterno(),
		"Ciudad", $objeto->get_Ciudad(),
		"Cliente", $objeto->get_Cliente(),
		"CodigoLegal", $objeto->get_CodigoLegal(),
		"Direccion", $objeto->get_Direccion(),
		"Distrito", $objeto->get_Distrito(),
		"Email", $objeto->get_Email(),
		"EnviaEmailDTE", $objeto->get_EnviaEmailDTE(),
		"Estado", $objeto->get_Estado(),
		"IDEmpresa", $objeto->get_IDEmpresa(),
		"IDFichaCliente", $objeto->get_IDFichaCliente(),
		"IDListaPrecio", $objeto->get_IDListaPrecio(),
		"IDMoneda", $objeto->get_IDMoneda(),
		"Nombre", $objeto->get_Nombre(),
		"Pais", $objeto->get_Pais(),
		"Proveedor", $objeto->get_Proveedor(),
		"Telefono", $objeto->get_Telefono(),
		"TieneDescuento", $objeto->get_TieneDescuento(),
		"TipoProducto", $objeto->get_TipoProducto(),
		"ActivoCliente", $objeto->get_ActivoCliente());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDefontana_fichadto_BD(Defontana_fichadto_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DEFONTANA_FICHADTO_BD",
		"ActivoCliente", $objeto->get_ActivoCliente(),
		"ActivoProveedor", $objeto->get_ActivoProveedor(),
		"ApellidoMaterno", $objeto->get_ApellidoMaterno(),
		"ApellidoPaterno", $objeto->get_ApellidoPaterno(),
		"Ciudad", $objeto->get_Ciudad(),
		"Cliente", $objeto->get_Cliente(),
		"CodigoLegal", $objeto->get_CodigoLegal(),
		"Direccion", $objeto->get_Direccion(),
		"Distrito", $objeto->get_Distrito(),
		"Email", $objeto->get_Email(),
		"EnviaEmailDTE", $objeto->get_EnviaEmailDTE(),
		"Estado", $objeto->get_Estado(),
		"IDEmpresa", $objeto->get_IDEmpresa(),
		"IDFichaCliente", $objeto->get_IDFichaCliente(),
		"IDListaPrecio", $objeto->get_IDListaPrecio(),
		"IDMoneda", $objeto->get_IDMoneda(),
		"Nombre", $objeto->get_Nombre(),
		"Pais", $objeto->get_Pais(),
		"Proveedor", $objeto->get_Proveedor(),
		"Telefono", $objeto->get_Telefono(),
		"TieneDescuento", $objeto->get_TieneDescuento(),
		"TipoProducto", $objeto->get_TipoProducto(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDefontana_fichadto_BD($id_cliente_proveedor){
		global $conn;
		$query = expandir("ELIMINAR_DEFONTANA_FICHADTO_BD",
		"id_cliente_proveedor", $id_cliente_proveedor
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDefontana_fichadto_BD($filtro){
		validar_tabla_db("Defontana_fichadto");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DEFONTANA_FICHADTO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
