<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Detalle_devolucion_producto_BD_Fachada {

function &getListadoDetalle_devolucion_producto_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["query"]){
		$query = expandir($extra["query"],
		"where", $where
		);
	}else{
	$query = expandir("GET_LISTADO_DETALLE_DEVOLUCION_PRODUCTO_BD",
	"where", $where
	);
	}
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_detalle_devolucion = $RecordSet -> Fields("id_detalle_devolucion");
		$id_devolucion = $RecordSet -> Fields("id_devolucion");
		$id_producto = $RecordSet -> Fields("id_producto");
		$cantidad = $RecordSet -> Fields("cantidad");
		$precio = $RecordSet -> Fields("precio");
		$descuento = $RecordSet -> Fields("descuento");
		$observacion = $RecordSet -> Fields("observacion");
		$estado = $RecordSet -> Fields("estado");
		$ex1 = $RecordSet -> Fields("ex1");
		$ex2 = $RecordSet -> Fields("ex2");
		$ex3 = $RecordSet -> Fields("ex3");
		$ex4 = $RecordSet -> Fields("ex4");
		$ex5 = $RecordSet -> Fields("ex5");
		$ex6 = $RecordSet -> Fields("ex6");
		
		$temp = new Detalle_devolucion_producto_BD ($id_devolucion, $id_producto, $cantidad, $precio, $descuento, $observacion, $estado, $ex1, $ex2, $ex3, $ex4, $ex5, $ex6, $id_detalle_devolucion);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getDetalle_devolucion_producto_BD($id_detalle_devolucion)
	{
		global $conn;
		$query = expandir("GET_DETALLE_DEVOLUCION_PRODUCTO_BD",
		"id_detalle_devolucion", $id_detalle_devolucion
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_detalle_devolucion = $RecordSet -> Fields("id_detalle_devolucion");
	$id_devolucion = $RecordSet -> Fields("id_devolucion");
	$id_producto = $RecordSet -> Fields("id_producto");
	$cantidad = $RecordSet -> Fields("cantidad");
	$precio = $RecordSet -> Fields("precio");
	$descuento = $RecordSet -> Fields("descuento");
	$observacion = $RecordSet -> Fields("observacion");
	$estado = $RecordSet -> Fields("estado");
	$ex1 = $RecordSet -> Fields("ex1");
	$ex2 = $RecordSet -> Fields("ex2");
	$ex3 = $RecordSet -> Fields("ex3");
	$ex4 = $RecordSet -> Fields("ex4");
	$ex5 = $RecordSet -> Fields("ex5");
	$ex6 = $RecordSet -> Fields("ex6");
	
	
	$temp = new Detalle_devolucion_producto_BD ($id_devolucion, $id_producto, $cantidad, $precio, $descuento, $observacion, $estado, $ex1, $ex2, $ex3, $ex4, $ex5, $ex6, $id_detalle_devolucion);
	return $temp;
	}
	
	
	function &guardarDetalle_devolucion_producto_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DETALLE_DEVOLUCION_PRODUCTO_BD",
		"id_producto", $objeto->get_id_producto(),
		"cantidad", $objeto->get_cantidad(),
		"precio", $objeto->get_precio(),
		"descuento", $objeto->get_descuento(),
		"observacion", $objeto->get_observacion(),
		"estado", $objeto->get_estado(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"id_devolucion", $objeto->get_id_devolucion());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDetalle_devolucion_producto_BD(Detalle_devolucion_producto_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DETALLE_DEVOLUCION_PRODUCTO_BD",
		"id_devolucion", $objeto->get_id_devolucion(),
		"id_producto", $objeto->get_id_producto(),
		"cantidad", $objeto->get_cantidad(),
		"precio", $objeto->get_precio(),
		"descuento", $objeto->get_descuento(),
		"observacion", $objeto->get_observacion(),
		"estado", $objeto->get_estado(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"ex6", $objeto->get_ex6(),
		"id_detalle_devolucion", $objeto->get_id_detalle_devolucion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDetalle_devolucion_producto_BD($id_detalle_devolucion){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_DEVOLUCION_PRODUCTO_BD",
		"id_detalle_devolucion", $id_detalle_devolucion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDetalle_devolucion_producto_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DETALLE_DEVOLUCION_PRODUCTO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
