<?

//-----------------------------------------------------------------------------
//	FUNCIONES FACHADA
//-----------------------------------------------------------------------------

class Documento_credito_Fachada {

	function &getListadoDocumento_credito($filtro,$extra)

	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		if ($extra["sql_especial"]){
			$where .= $extra["sql_especial"];
		}
		
		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}

		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}

		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
				
		if ($extra["razon_social"]){
			$query = expandir("GET_LISTADO_DOCUMENTO_CREDITO_RAZON_SOCIAL","where",	$where, "razon_social", $extra["razon_social"]);
		}else{
			$query = expandir("GET_LISTADO_DOCUMENTO_CREDITO","where",	$where);
		}	
		
		

		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento_credito = $RecordSet -> Fields("id_documento_credito");
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$numero_documento = $RecordSet -> Fields("numero_documento");
			$tipo_documento_credito = $RecordSet -> Fields("tipo_documento_credito");
			$id_vale_venta = $RecordSet -> Fields("id_vale_venta");
			$fecha_credito = $RecordSet -> Fields("fecha_credito");
			$monto_credito = $RecordSet -> Fields("monto_credito");
			$abono_inicial = $RecordSet -> Fields("abono_inicial");
			$numero_cuotas = $RecordSet -> Fields("numero_cuotas");
			$estado = $RecordSet -> Fields("estado");
			$abono = $RecordSet -> Fields("abono");
			$saldo = $RecordSet -> Fields("saldo");
			
			$temp = new Documento_credito ($id_cliente, $numero_documento, $abono_inicial, $id_vale_venta, $fecha_credito, $monto_credito , $abono_inicial, $numero_cuotas, $estado, $abono, $saldo, $id_documento_credito);
			$temp->chequeaVencimiento();
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getDocumento_credito($id_documento_credito)
	{
		global $conn;
		$query = expandir("GET_DOCUMENTO_CREDITO",
		"id_documento_credito", $id_documento_credito
		);

		//debug($query);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_documento_credito = $RecordSet -> Fields("id_documento_credito");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$numero_documento = $RecordSet -> Fields("numero_documento");
		$tipo_documento_credito = $RecordSet -> Fields("tipo_documento_credito");
		$id_vale_venta = $RecordSet -> Fields("id_vale_venta");
		$fecha_credito = $RecordSet -> Fields("fecha_credito");
		$monto_credito = $RecordSet -> Fields("monto_credito");
		$abono_inicial = $RecordSet -> Fields("abono_inicial");
		$numero_cuotas = $RecordSet -> Fields("numero_cuotas");
		$estado = $RecordSet -> Fields("estado");
		$abono = $RecordSet -> Fields("abono");
		$saldo = $RecordSet -> Fields("saldo");

		$temp = new Documento_credito ($id_cliente, $numero_documento, $abono_inicial, $id_vale_venta, $fecha_credito, $monto_credito , $abono_inicial, $numero_cuotas, $estado, $abono, $saldo, $id_documento_credito);
		//debug($temp);
		return $temp;
	}


	function &guardarDocumento_credito($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_DOCUMENTO_CREDITO",
		"numero_documento", $objeto->numero_documento,
		"tipo_documento_credito", $objeto->tipo_documento_credito,
		"id_vale_venta", $objeto->id_vale_venta,
		"id_cliente", $objeto->id_cliente,
		"fecha_credito", $objeto->fecha_credito,
		"monto_credito", $objeto->monto_credito,
		"abono_inicial", $objeto->abono_inicial,
		"numero_cuotas", $objeto->numero_cuotas,
		"estado", $objeto->estado,
		"abono", $objeto->abono,
		"saldo", $objeto->saldo);

		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();


	}

	function &actualizarDocumento_credito($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_DOCUMENTO_CREDITO",
		"id_cliente", $objeto->id_cliente,
		"numero_documento", $objeto->numero_documento,
		"tipo_documento_credito", $objeto->tipo_documento_credito,
		"id_vale_venta", $objeto->id_vale_venta,
		"fecha_credito", $objeto->fecha_credito,
		"monto_credito", $objeto->monto_credito,
		"abono_inicial", $objeto->abono_inicial,
		"numero_cuotas", $objeto->numero_cuotas,
		"estado", $objeto->estado,
		"abono", $objeto->abono,
		"saldo", $objeto->saldo,
		"id_documento_credito", $objeto->id_documento_credito);

		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarDocumento_credito($id_documento_credito){
		global $conn;
		$query = expandir("ELIMINAR_DOCUMENTO_CREDITO",
		"id_documento_credito", $id_documento_credito
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &get_cantidad($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_DOCUMENTO_CREDITO_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

	function &get_estado_pagos_credito($filtro,$extra){
		global $conn;
		
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}

		
		$query = expandir("ESTADO_PAGOS_COMPRA",
		"where",$where
		);
		
		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento_credito = $RecordSet -> Fields("id_documento_credito");
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$numero_documento = $RecordSet -> Fields("numero_documento");
			$abono_inicial = $RecordSet -> Fields("abono_inicial");
			
			$numero_documento_xxx = $RecordSet -> Fields("numero_documento_xxx");
			$mes_proceso = $RecordSet -> Fields("mes_proceso");
			$ano_proceso = $RecordSet -> Fields("ano_proceso");
			$total_neto = $RecordSet -> Fields("total_neto");
			$total_iva = $RecordSet -> Fields("total_iva");
			$total_bruto = $RecordSet -> Fields("total_bruto");
			$total_saldos = $RecordSet -> Fields("total_saldos");
			$total_pagos = $RecordSet -> Fields("total_pagos");
			$estado_compra = $RecordSet -> Fields("estado_compra");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$temp = new Documento_credito ($id_cliente, $numero_documento, $tipo_documento_credito, $id_vale_venta, $fecha_credito, $monto_credito, $abono_inicial, $numero_cuotas, $estado, $abono, $saldo, $numero_documento_xxx, $fecha_digitacion, $fecha_documento, $fecha_cancelacion, $fecha_modificacion, $mes_proceso, $ano_proceso, $total_descuento, $total_neto, $total_exento, $total_impuesto, $total_iva, $total_bruto, $total_saldos, $total_pagos, $orden_compra, $estado_compra, $forma_pago, $tipo_pago, $observacion, $fecha_vto_cheque, $fecha_proceso, $vencimiento, $id_comprobante, $id_sucursal, $id_documento_credito);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;		
	}
	
function &get_total_estado_pagos($filtro,$extra){
		global $conn;
		
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}

		
		$query = expandir("TOTAL_PAGOS_COMPRA",
		"where",$where
		);
		
		//debug($query);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		$totales["total_neto"]  = $RecordSet -> Fields("total_neto");
		$totales["total_iva"] = $RecordSet -> Fields("total_iva");
		$totales["total_bruto"] = $RecordSet -> Fields("total_bruto");
		$totales["total_saldos"] = $RecordSet -> Fields("total_saldos");
		$totales["total_pagos"] = $RecordSet -> Fields("total_pagos");
			
		return $totales;		
	}	
}
//Fin Clase
?>
