<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Familia_Fachada {

function &getListadoFamilia()
	{
		global $conn;
		$query = expandir("GET_LISTADO_FAMILIA");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}

	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_familia = $RecordSet -> Fields("id_familia");
		$descripcion = $RecordSet -> Fields("descripcion");
		$estado = $RecordSet -> Fields("estado");
		$descuento = $RecordSet -> Fields("descuento");
		$prioridad = $RecordSet -> Fields("prioridad");
		$permitir_mas_descuento = $RecordSet -> Fields("permitir_mas_descuento");
		
		
		$temp = new Familia ($descripcion, $estado, $descuento, $permitir_mas_descuento, $prioridad, $id_familia);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	function &getListadoFamilia_filtro($filtro,$extra)
	{
		global $conn;
		if (!$filtro){
			$where = "";
		}else{
		$where = "WHERE ";
		$count = 0;
		foreach ($filtro as $key => $item)
		{
			$where .= "$key LIKE '$item'";
			if ($count < sizeof($filtro)-1)
			$where .= " AND ";
			$count++;
		}
		
		
		}
		
		if ($extra["order"]){
			$where .= "ORDER BY ".$extra["order"];
		}
		if ($extra["sort"]){
			$where .= $extra["sort"];
		}
		if ($extra["limit"]){
			$where .= "LIMIT ".$extra["limit"];
		}
		
		$query = expandir("GET_LISTADO_FAMILIA_FILTRO",
		"where",	$where
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
//		debug($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		
		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_familia = $RecordSet -> Fields("id_familia");
			$descripcion = $RecordSet -> Fields("descripcion");
			$estado = $RecordSet -> Fields("estado");
			$descuento = $RecordSet -> Fields("descuento");
			$prioridad = $RecordSet -> Fields("prioridad");
			$permitir_mas_descuento = $RecordSet -> Fields("permitir_mas_descuento");
					
			$temp = new Familia ($descripcion, $estado, $descuento, $permitir_mas_descuento, $prioridad, $id_familia);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}
	
		return $vector;
	}

	
	function &getFamilia($id_familia)
	{
		global $conn;
		$query = expandir("GET_FAMILIA",
		"id_familia", $id_familia
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_familia = $RecordSet -> Fields("id_familia");
	$descripcion = $RecordSet -> Fields("descripcion");
	$estado = $RecordSet -> Fields("estado");
	$descuento = $RecordSet -> Fields("descuento");
	$prioridad = $RecordSet -> Fields("prioridad");
	$permitir_mas_descuento = $RecordSet -> Fields("permitir_mas_descuento");
	
	
	$temp = new Familia ($descripcion, $estado, $descuento, $permitir_mas_descuento, $prioridad, $id_familia);
	return $temp;
	}
	
	
	function &guardarFamilia($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_FAMILIA",
		"estado", $objeto->estado,
		"descuento", $objeto->descuento,
		"prioridad", $objeto->prioridad,
		"permitir_mas_descuento", $objeto->permitir_mas_descuento,
		"descripcion", $objeto->descripcion);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarFamilia($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_FAMILIA",
		"descripcion", $objeto->descripcion,
		"estado", $objeto->estado,
		"descuento", $objeto->descuento,
		"prioridad", $objeto->prioridad,
		"permitir_mas_descuento", $objeto->permitir_mas_descuento,
		"id_familia", $objeto->id_familia);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarFamilia($id_familia){
		global $conn;
		$query = expandir("ELIMINAR_FAMILIA",
		"id_familia", $id_familia
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
