<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Folios_BD_Fachada {

function &getListadoFolios_BD($filtro,$extra)
	{
		validar_tabla_db("Folios");
		$extra_var = get_extra_var("FOLIOS");
		$query = make_query("folios", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarFolios_BD($objeto){
		validar_tabla_db("Folios");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_FOLIOS_BD",
		"desde", $objeto->get_desde(),
		"hasta", $objeto->get_hasta(),
		"id_tipo_documento", $objeto->get_id_tipo_documento(),
		"estado", $objeto->get_estado(),
		"folio_actual", $objeto->get_folio_actual(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"fecha", $objeto->get_fecha());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarFolios_BD(Folios_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_FOLIOS_BD",
		"fecha", $objeto->get_fecha(),
		"desde", $objeto->get_desde(),
		"hasta", $objeto->get_hasta(),
		"id_tipo_documento", $objeto->get_id_tipo_documento(),
		"estado", $objeto->get_estado(),
		"folio_actual", $objeto->get_folio_actual(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_folio", $objeto->get_id_folio());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarFolios_BD($id_folio){
		global $conn;
		$query = expandir("ELIMINAR_FOLIOS_BD",
		"id_folio", $id_folio
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadFolios_BD($filtro){
		validar_tabla_db("Folios");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_FOLIOS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
