<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Inventario_Fachada {

	function &getListadoInventario_toma($filtro,$extra)
		{
			global $conn;
		
			if (!$filtro){
				$where = "";
			}else{
				$where = " AND ";
				$count = 0;
				foreach ($filtro as $key => $item)
				{
					if (substr($key,0,2) == "__"){
						$where .= substr($key,2) ." != '$item' ";
					}else{
						$where .= "$key LIKE '$item' ";
					}
					if ($count < sizeof($filtro)-1)
					$where .= " AND ";
					$count++;
				}
			}
	
			if ($extra["sql"]){
				$where .= $extra["sql"];
			}
			if ($extra["group"]){
				$where .= " GROUP BY ".$extra["group"]." ";
			}

			if ($extra["order"]){
				$where .= " ORDER BY ".$extra["order"]." ";
			}
			if ($extra["sort"]){
				$where .= " ".$extra["sort"]." ";
			}

			if ($extra["limit"]){
				if ($extra["desde"]){
					$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
				}else{
					$where .= " LIMIT ".$extra["limit"];
				}
			}else{
				if ($extra["desde"]){
					$where .= " LIMIT ".$extra["desde"].",0";
				}			
			}
			
	
			$query = expandir("GET_LISTADO_INVENTARIO_TOMA",
			"where",$where
			);
			
	//		debug($query);
		
			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);
		
			if ($RecordSet->_numOfRows == 0) {		
				return false;
				exit;
			}
			
			$cont = 0;
		
			while (!$RecordSet -> EOF) {
					$id_inventario = $RecordSet -> Fields("id_inventario");
					$id_sucursal = $RecordSet -> Fields("id_sucursal");
					$id_bodega = $RecordSet -> Fields("id_bodega");
					$id_producto = $RecordSet -> Fields("id_producto");
					$stock_actual = $RecordSet -> Fields("stock_actual");
					$conteo_fisico = $RecordSet -> Fields("conteo_fisico");
					$dif_ult_conteo = $RecordSet -> Fields("dif_ult_conteo");
					$fecha_conteo = $RecordSet -> Fields("fecha_conteo");
					$stock_minimo = $RecordSet -> Fields("stock_minimo");
					$ultimo_precio_compra = $RecordSet -> Fields("ultimo_precio_compra");
					$id_industria = $RecordSet -> Fields("id_industria");
					$nro_orden_compra = $RecordSet -> Fields("nro_orden_compra");
					$margen_utilidad = $RecordSet -> Fields("margen_utilidad");
					$precio_venta_neto = $RecordSet -> Fields("precio_venta_neto");
					$precio_venta_neto2 = $RecordSet -> Fields("precio_venta_neto2");
					$precio_venta_neto3 = $RecordSet -> Fields("precio_venta_neto3");
					$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
					$fecha_ult_mod = $RecordSet -> Fields("fecha_ult_mod");
					$id_usuario = $RecordSet -> Fields("id_usuario");
					$estado = $RecordSet -> Fields("estado");
					$precio_venta_neto_particular = $RecordSet -> Fields("precio_venta_neto_particular");
					$precio_venta_neto_distribuidor = $RecordSet -> Fields("precio_venta_neto_distribuidor");
					$stock_critico = $RecordSet -> Fields("stock_critico");
					$costo_adicional = $RecordSet -> Fields("costo_adicional");
					
					
				$temp = new Inventario ($id_sucursal, $id_bodega, $id_producto, $stock_actual, $conteo_fisico, $dif_ult_conteo, $fecha_conteo, $stock_minimo, $ultimo_precio_compra, $id_industria, $nro_orden_compra, $margen_utilidad, $precio_venta_neto, $fecha_digitacion, $fecha_ult_mod, $id_usuario, $estado, $precio_venta_neto_particular, $precio_venta_neto_distribuidor, $stock_critico, $precio_venta_neto2, $precio_venta_neto3, $costo_adicional, $id_inventario);
				$vector[$cont++] = $temp;
				$RecordSet -> MoveNext();
			}
		
			return $vector;
		}
		
	function &getCantidadInventario($filtro){
			global $conn;

			if (!$filtro){
				$where = "";
			}else{
				$where = " ";
				$count = 0;
				foreach ($filtro as $key => $item)
				{
					$where .= "$key LIKE '$item'";
					if ($count < sizeof($filtro)-1)
						$where .= " AND ";
					$count++;
				}
			}

			if ($where == "") $where = "p.descripcion LIKE '%'";
			
			$query = expandir("GET_CANTIDAD_INVENTARIO_BD",
			"where",$where
			);

//			debug($query);
			
			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);

			if ($RecordSet->_numOfRows == 0) {
				return false;
				exit;
			}
			
			return ($RecordSet->fields["CANTIDAD"]);	
		}

	function &getSumaInventario($filtro){
			global $conn;

			if (!$filtro){
				$where = "";
			}else{
				$where = " ";
				$count = 0;
				foreach ($filtro as $key => $item)
				{
					$where .= "$key LIKE '$item'";
					if ($count < sizeof($filtro)-1)
						$where .= " AND ";
					$count++;
				}
			}

			if ($where == "") $where = "p.descripcion LIKE '%'";
			
			$query = expandir("GET_SUMA_INVENTARIO_BD",
			"where",$where
			);

//			debug($query);
			
			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);

			if ($RecordSet->_numOfRows == 0) {
				return false;
				exit;
			}
			
			return ($RecordSet->fields["SUMA"]);	
		}

	function &ajustarInventario($id_bodega){
			global $conn;
			
			$query = expandir("AJUSTAR_INVENTARIO",	"id_bodega", $id_bodega);
//			debug($query);
			
			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);
			if ($RecordSet->_numOfRows == 0) {
				return false;
				exit;
			}
			return true;	
		}
		
	function &resetearInventario($id_bodega,$id_familia){
			global $conn;
			
			$query = expandir("RESETEAR_INVENTARIO",	"id_bodega",$id_bodega,"id_familia",$id_familia);
//			debug($query);
			
			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);
			if ($RecordSet->_numOfRows == 0) {
				return false;
				exit;
			}
			return true;	
		}
		
	function &getListadoInventario($id, $extra)
	{
		global $conn;
		
	if ($id == 0){
		$where = "";
	}else{
		$where = "id_bodega = '$id' AND ";
	}
	
	
	if ($extra["limit"]){
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else{
			$where .= " LIMIT ".$extra["limit"];
		}
	}else{
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	} 
	
	$query = expandir("GET_LISTADO_INVENTARIO",
	"where",	$where
	);
	
	
	//debug($query);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_inventario = $RecordSet -> Fields("id_inventario");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$id_bodega = $RecordSet -> Fields("id_bodega");
		$id_producto = $RecordSet -> Fields("id_producto");
		$stock_actual = $RecordSet -> Fields("stock_actual");
		$conteo_fisico = $RecordSet -> Fields("conteo_fisico");
		$dif_ult_conteo = $RecordSet -> Fields("dif_ult_conteo");
		$fecha_conteo = $RecordSet -> Fields("fecha_conteo");
		$stock_minimo = $RecordSet -> Fields("stock_minimo");
		$ultimo_precio_compra = $RecordSet -> Fields("ultimo_precio_compra");
		$id_industria = $RecordSet -> Fields("id_industria");
		$nro_orden_compra = $RecordSet -> Fields("nro_orden_compra");
		$margen_utilidad = $RecordSet -> Fields("margen_utilidad");
		$precio_venta_neto = $RecordSet -> Fields("precio_venta_neto");
		$precio_venta_neto2 = $RecordSet -> Fields("precio_venta_neto2");
		$precio_venta_neto3 = $RecordSet -> Fields("precio_venta_neto3");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$fecha_ult_mod = $RecordSet -> Fields("fecha_ult_mod");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$estado = $RecordSet -> Fields("estado");
		$precio_venta_neto_particular = $RecordSet -> Fields("precio_venta_neto_particular");
		$precio_venta_neto_distribuidor = $RecordSet -> Fields("precio_venta_neto_distribuidor");
		$stock_critico = $RecordSet -> Fields("stock_critico");
		$costo_adicional = $RecordSet -> Fields("costo_adicional");
		
		
		$temp = new Inventario ($id_sucursal, $id_bodega, $id_producto, $stock_actual, $conteo_fisico, $dif_ult_conteo, $fecha_conteo, $stock_minimo, $ultimo_precio_compra, $id_industria, $nro_orden_compra, $margen_utilidad, $precio_venta_neto, $fecha_digitacion, $fecha_ult_mod, $id_usuario, $estado, $precio_venta_neto_particular, $precio_venta_neto_distribuidor, $stock_critico, $precio_venta_neto2, $precio_venta_neto3, $costo_adicional, $id_inventario);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	function &getInventario($id_inventario)
	{
		global $conn;
		$query = expandir("GET_INVENTARIO",
		"id_inventario", $id_inventario
		);
		

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_inventario = $RecordSet -> Fields("id_inventario");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$id_bodega = $RecordSet -> Fields("id_bodega");
	$id_producto = $RecordSet -> Fields("id_producto");
	$stock_actual = $RecordSet -> Fields("stock_actual");
	$conteo_fisico = $RecordSet -> Fields("conteo_fisico");
	$dif_ult_conteo = $RecordSet -> Fields("dif_ult_conteo");
	$fecha_conteo = $RecordSet -> Fields("fecha_conteo");
	$stock_minimo = $RecordSet -> Fields("stock_minimo");
	$ultimo_precio_compra = $RecordSet -> Fields("ultimo_precio_compra");
	$id_industria = $RecordSet -> Fields("id_industria");
	$nro_orden_compra = $RecordSet -> Fields("nro_orden_compra");
	$margen_utilidad = $RecordSet -> Fields("margen_utilidad");
	$precio_venta_neto = $RecordSet -> Fields("precio_venta_neto");
	$precio_venta_neto2 = $RecordSet -> Fields("precio_venta_neto2");
	$precio_venta_neto3 = $RecordSet -> Fields("precio_venta_neto3");
	$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
	$fecha_ult_mod = $RecordSet -> Fields("fecha_ult_mod");
	$id_usuario = $RecordSet -> Fields("id_usuario");
	$estado = $RecordSet -> Fields("estado");
	$precio_venta_neto_particular = $RecordSet -> Fields("precio_venta_neto_particular");
	$precio_venta_neto_distribuidor = $RecordSet -> Fields("precio_venta_neto_distribuidor");
	$stock_critico = $RecordSet -> Fields("stock_critico");
	$costo_adicional = $RecordSet -> Fields("costo_adicional");

	
	$temp = new Inventario ($id_sucursal, $id_bodega, $id_producto, $stock_actual, $conteo_fisico, $dif_ult_conteo, $fecha_conteo, $stock_minimo, $ultimo_precio_compra, $id_industria, $nro_orden_compra, $margen_utilidad, $precio_venta_neto, $fecha_digitacion, $fecha_ult_mod, $id_usuario, $estado, $precio_venta_neto_particular, $precio_venta_neto_distribuidor, $stock_critico, $precio_venta_neto2, $precio_venta_neto3, $costo_adicional, $id_inventario);
	return $temp;
	}
	
	function &guardarInventario($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_INVENTARIO",
		"id_bodega", $objeto->id_bodega,
		"id_producto", $objeto->id_producto,
		"stock_actual", $objeto->stock_actual,
		"conteo_fisico", $objeto->conteo_fisico,
		"dif_ult_conteo", $objeto->dif_ult_conteo,
		"fecha_conteo", $objeto->fecha_conteo,
		"stock_minimo", $objeto->stock_minimo,
		"ultimo_precio_compra", $objeto->ultimo_precio_compra,
		"id_industria", $objeto->id_industria,
		"nro_orden_compra", $objeto->nro_orden_compra,
		"margen_utilidad", $objeto->margen_utilidad,
		"precio_venta_neto", $objeto->precio_venta_neto,
		"precio_venta_neto2", $objeto->precio_venta_neto2,
		"precio_venta_neto3", $objeto->precio_venta_neto3,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"fecha_ult_mod", $objeto->fecha_ult_mod,
		"id_usuario", $objeto->id_usuario,
		"estado", $objeto->estado,
		"precio_venta_neto_particular", $objeto->precio_venta_neto_particular,
		"precio_venta_neto_distribuidor", $objeto->precio_venta_neto_distribuidor,
		"stock_critico", $objeto->stock_critico,
		"costo_adicional", $objeto->costo_adicional,
		"id_sucursal", $objeto->id_sucursal);
		
		$RecordSet = &$conn -> Execute($query);
	
		return $conn->Insert_Id();
	
	
	}
	
	function &actualizarInventario($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_INVENTARIO",
		"id_sucursal", $objeto->id_sucursal,
		"id_bodega", $objeto->id_bodega,
		"id_producto", $objeto->id_producto,
		"stock_actual", $objeto->stock_actual,
		"conteo_fisico", $objeto->conteo_fisico,
		"dif_ult_conteo", $objeto->dif_ult_conteo,
		"fecha_conteo", $objeto->fecha_conteo,
		"stock_minimo", $objeto->stock_minimo,
		"ultimo_precio_compra", $objeto->ultimo_precio_compra,
		"id_industria", $objeto->id_industria,
		"nro_orden_compra", $objeto->nro_orden_compra,
		"margen_utilidad", $objeto->margen_utilidad,
		"precio_venta_neto", $objeto->precio_venta_neto,
		"precio_venta_neto2", $objeto->precio_venta_neto2,
		"precio_venta_neto3", $objeto->precio_venta_neto3,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"fecha_ult_mod", $objeto->fecha_ult_mod,
		"id_usuario", $objeto->id_usuario,
		"estado", $objeto->estado,
		"precio_venta_neto_particular", $objeto->precio_venta_neto_particular,
		"precio_venta_neto_distribuidor", $objeto->precio_venta_neto_distribuidor,
		"stock_critico", $objeto->stock_critico,
		"costo_adicional", $objeto->costo_adicional,
		"id_inventario", $objeto->id_inventario);
		
		$RecordSet = &$conn -> Execute($query);

	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarInventario($id_inventario){
		global $conn;
		$query = expandir("ELIMINAR_INVENTARIO",
		"id_inventario", $id_inventario
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &getProductoInventario($id_bodega, $id_producto){
		global $conn;
		$query = expandir("GET_STOCK_INVENTARIO",
		"id_bodega",	$id_bodega,
		"id_producto", 	$id_producto
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		
		$id_inventario = $RecordSet -> Fields("id_inventario");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$id_bodega = $RecordSet -> Fields("id_bodega");
		$id_producto = $RecordSet -> Fields("id_producto");
		$stock_actual = $RecordSet -> Fields("stock_actual");
		$conteo_fisico = $RecordSet -> Fields("conteo_fisico");
		$dif_ult_conteo = $RecordSet -> Fields("dif_ult_conteo");
		$fecha_conteo = $RecordSet -> Fields("fecha_conteo");
		$stock_minimo = $RecordSet -> Fields("stock_minimo");
		$ultimo_precio_compra = $RecordSet -> Fields("ultimo_precio_compra");
		$id_industria = $RecordSet -> Fields("id_industria");
		$nro_orden_compra = $RecordSet -> Fields("nro_orden_compra");
		$margen_utilidad = $RecordSet -> Fields("margen_utilidad");
		$precio_venta_neto = $RecordSet -> Fields("precio_venta_neto");
		$precio_venta_neto2 = $RecordSet -> Fields("precio_venta_neto2");
		$precio_venta_neto3 = $RecordSet -> Fields("precio_venta_neto3");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$fecha_ult_mod = $RecordSet -> Fields("fecha_ult_mod");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$estado = $RecordSet -> Fields("estado");
		$precio_venta_neto_particular = $RecordSet -> Fields("precio_venta_neto_particular");
		$precio_venta_neto_distribuidor = $RecordSet -> Fields("precio_venta_neto_distribuidor");
		$stock_critico = $RecordSet -> Fields("stock_critico");
		$costo_adicional = $RecordSet -> Fields("costo_adicional");
		

		$temp = new Inventario ($id_sucursal, $id_bodega, $id_producto, $stock_actual, $conteo_fisico, $dif_ult_conteo, $fecha_conteo, $stock_minimo, $ultimo_precio_compra, $id_industria, $nro_orden_compra, $margen_utilidad, $precio_venta_neto, $fecha_digitacion, $fecha_ult_mod, $id_usuario, $estado, $precio_venta_neto_particular, $precio_venta_neto_distribuidor, $stock_critico, $precio_venta_neto2, $precio_venta_neto3, $costo_adicional, $id_inventario);
	
		return $temp;
		}
	
	}//Fin Clase
?>
