<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Orden_compra_clientes_BD_Fachada {

function &getListadoOrden_compra_clientes_BD($filtro,$extra)
	{
		validar_tabla_db("Orden_compra_clientes");
		$extra_var = get_extra_var("ORDEN_COMPRA_CLIENTES");
		$query = make_query("orden_compra_clientes", $filtro, $extra, $extra_var);
//debug($query);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarOrden_compra_clientes_BD($objeto){
		validar_tabla_db("Orden_compra_clientes");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_ORDEN_COMPRA_CLIENTES_BD",
		"numero", $objeto->get_numero(),
		"fecha", $objeto->get_fecha(),
		"monto", $objeto->get_monto(),
		"estado", $objeto->get_estado(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_venta", $objeto->get_id_venta(),
		"id_guia_despacho", $objeto->get_id_guia_despacho(),
		"id_contacto", $objeto->get_id_contacto(),
		"monto_utilizado", $objeto->get_monto_utilizado(),
		"id_usuario", $objeto->get_id_usuario(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"fecha_digitacion", $objeto->get_fecha_digitacion(),
		"archivo", $objeto->get_archivo(),
		"id_cond_venta", $objeto->get_id_cond_venta(),
		"tipo_occ", $objeto->get_tipo_occ());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarOrden_compra_clientes_BD(Orden_compra_clientes_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_ORDEN_COMPRA_CLIENTES_BD",
		"tipo_occ", $objeto->get_tipo_occ(),
		"numero", $objeto->get_numero(),
		"fecha", $objeto->get_fecha(),
		"monto", $objeto->get_monto(),
		"estado", $objeto->get_estado(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"id_venta", $objeto->get_id_venta(),
		"id_guia_despacho", $objeto->get_id_guia_despacho(),
		"id_contacto", $objeto->get_id_contacto(),
		"monto_utilizado", $objeto->get_monto_utilizado(),
		"id_usuario", $objeto->get_id_usuario(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"fecha_digitacion", $objeto->get_fecha_digitacion(),
		"archivo", $objeto->get_archivo(),
		"id_cond_venta", $objeto->get_id_cond_venta(),
		"id_orden_compra_cliente", $objeto->get_id_orden_compra_cliente());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarOrden_compra_clientes_BD($id_orden_compra_cliente){
		global $conn;
		$query = expandir("ELIMINAR_ORDEN_COMPRA_CLIENTES_BD",
		"id_orden_compra_cliente", $id_orden_compra_cliente
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadOrden_compra_clientes_BD($filtro){
		validar_tabla_db("Orden_compra_clientes");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_ORDEN_COMPRA_CLIENTES_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
