<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Orden_compra_clientes_vales_BD_Fachada {

function &getListadoOrden_compra_clientes_vales_BD($filtro,$extra)
	{
		validar_tabla_db("Orden_compra_clientes_vales");
		$extra_var = get_extra_var("ORDEN_COMPRA_CLIENTES_VALES");
		$query = make_query("orden_compra_clientes_vales", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarOrden_compra_clientes_vales_BD($objeto){
		validar_tabla_db("Orden_compra_clientes_vales");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_ORDEN_COMPRA_CLIENTES_VALES_BD",
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"monto", $objeto->get_monto(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_orden_compra_cliente", $objeto->get_id_orden_compra_cliente());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarOrden_compra_clientes_vales_BD(Orden_compra_clientes_vales_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_ORDEN_COMPRA_CLIENTES_VALES_BD",
		"id_orden_compra_cliente", $objeto->get_id_orden_compra_cliente(),
		"id_vale_venta", $objeto->get_id_vale_venta(),
		"monto", $objeto->get_monto(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_orden_compra_cliente_vales", $objeto->get_id_orden_compra_cliente_vales());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarOrden_compra_clientes_vales_BD($id_orden_compra_cliente_vales){
		global $conn;
		$query = expandir("ELIMINAR_ORDEN_COMPRA_CLIENTES_VALES_BD",
		"id_orden_compra_cliente_vales", $id_orden_compra_cliente_vales
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadOrden_compra_clientes_vales_BD($filtro){
		validar_tabla_db("Orden_compra_clientes_vales");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_ORDEN_COMPRA_CLIENTES_VALES_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
