<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Presupuesto_por_item_gasto_BD_Fachada {

	function &getListadoPresupuesto_por_item_gasto_BD($filtro,$extra)
	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_LISTADO_PRESUPUESTO_POR_ITEM_GASTO_BD",
		"where",$where
		);

		//debug($query);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_presupuesto_por_item_gasto = $RecordSet -> Fields("id_presupuesto_por_item_gasto");
			$id_presupuesto_por_centro_costo = $RecordSet -> Fields("id_presupuesto_por_centro_costo");
			$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
			$ene_pre = $RecordSet -> Fields("ene_pre");
			$ene_real = $RecordSet -> Fields("ene_real");
			$feb_pre = $RecordSet -> Fields("feb_pre");
			$feb_real = $RecordSet -> Fields("feb_real");
			$mar_pre = $RecordSet -> Fields("mar_pre");
			$mar_real = $RecordSet -> Fields("mar_real");
			$abr_pre = $RecordSet -> Fields("abr_pre");
			$abr_real = $RecordSet -> Fields("abr_real");
			$may_pre = $RecordSet -> Fields("may_pre");
			$may_real = $RecordSet -> Fields("may_real");
			$jun_pre = $RecordSet -> Fields("jun_pre");
			$jun_real = $RecordSet -> Fields("jun_real");
			$jul_pre = $RecordSet -> Fields("jul_pre");
			$jul_real = $RecordSet -> Fields("jul_real");
			$ago_pre = $RecordSet -> Fields("ago_pre");
			$ago_real = $RecordSet -> Fields("ago_real");
			$sep_pre = $RecordSet -> Fields("sep_pre");
			$sep_real = $RecordSet -> Fields("sep_real");
			$oct_pre = $RecordSet -> Fields("oct_pre");
			$oct_real = $RecordSet -> Fields("oct_real");
			$nov_pre = $RecordSet -> Fields("nov_pre");
			$nov_real = $RecordSet -> Fields("nov_real");
			$dic_pre = $RecordSet -> Fields("dic_pre");
			$dic_real = $RecordSet -> Fields("dic_real");
			$sum_valor_presupuestado = $RecordSet -> Fields("sum_valor_presupuestado");
			$sum_valor_real = $RecordSet -> Fields("sum_valor_real");
			$extra1 = $RecordSet -> Fields("extra1");
			$extra2 = $RecordSet -> Fields("extra2");
			$extra3 = $RecordSet -> Fields("extra3");
			$extra4 = $RecordSet -> Fields("extra4");
			$extra5 = $RecordSet -> Fields("extra5");
			$extra6 = $RecordSet -> Fields("extra6");

			$temp = new Presupuesto_por_item_gasto_BD ($id_presupuesto_por_centro_costo, $id_item_gasto, $ene_pre, $ene_real, $feb_pre, $feb_real, $mar_pre, $mar_real, $abr_pre, $abr_real, $may_pre, $may_real, $jun_pre, $jun_real, $jul_pre, $jul_real, $ago_pre, $ago_real, $sep_pre, $sep_real, $oct_pre, $oct_real, $nov_pre, $nov_real, $dic_pre, $dic_real, $sum_valor_presupuestado, $sum_valor_real, $extra1, $extra2, $extra3, $extra4, $extra5, $extra6, $id_presupuesto_por_item_gasto);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getPresupuesto_por_item_gasto_BD($id_presupuesto_por_item_gasto)
	{
		global $conn;
		$query = expandir("GET_PRESUPUESTO_POR_ITEM_GASTO_BD",
		"id_presupuesto_por_item_gasto", $id_presupuesto_por_item_gasto
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_presupuesto_por_item_gasto = $RecordSet -> Fields("id_presupuesto_por_item_gasto");
		$id_presupuesto_por_centro_costo = $RecordSet -> Fields("id_presupuesto_por_centro_costo");
		$id_item_gasto = $RecordSet -> Fields("id_item_gasto");
		$ene_pre = $RecordSet -> Fields("ene_pre");
		$ene_real = $RecordSet -> Fields("ene_real");
		$feb_pre = $RecordSet -> Fields("feb_pre");
		$feb_real = $RecordSet -> Fields("feb_real");
		$mar_pre = $RecordSet -> Fields("mar_pre");
		$mar_real = $RecordSet -> Fields("mar_real");
		$abr_pre = $RecordSet -> Fields("abr_pre");
		$abr_real = $RecordSet -> Fields("abr_real");
		$may_pre = $RecordSet -> Fields("may_pre");
		$may_real = $RecordSet -> Fields("may_real");
		$jun_pre = $RecordSet -> Fields("jun_pre");
		$jun_real = $RecordSet -> Fields("jun_real");
		$jul_pre = $RecordSet -> Fields("jul_pre");
		$jul_real = $RecordSet -> Fields("jul_real");
		$ago_pre = $RecordSet -> Fields("ago_pre");
		$ago_real = $RecordSet -> Fields("ago_real");
		$sep_pre = $RecordSet -> Fields("sep_pre");
		$sep_real = $RecordSet -> Fields("sep_real");
		$oct_pre = $RecordSet -> Fields("oct_pre");
		$oct_real = $RecordSet -> Fields("oct_real");
		$nov_pre = $RecordSet -> Fields("nov_pre");
		$nov_real = $RecordSet -> Fields("nov_real");
		$dic_pre = $RecordSet -> Fields("dic_pre");
		$dic_real = $RecordSet -> Fields("dic_real");
		$sum_valor_presupuestado = $RecordSet -> Fields("sum_valor_presupuestado");
		$sum_valor_real = $RecordSet -> Fields("sum_valor_real");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");
		$extra5 = $RecordSet -> Fields("extra5");
		$extra6 = $RecordSet -> Fields("extra6");


		$temp = new Presupuesto_por_item_gasto_BD ($id_presupuesto_por_centro_costo, $id_item_gasto, $ene_pre, $ene_real, $feb_pre, $feb_real, $mar_pre, $mar_real, $abr_pre, $abr_real, $may_pre, $may_real, $jun_pre, $jun_real, $jul_pre, $jul_real, $ago_pre, $ago_real, $sep_pre, $sep_real, $oct_pre, $oct_real, $nov_pre, $nov_real, $dic_pre, $dic_real, $sum_valor_presupuestado, $sum_valor_real, $extra1, $extra2, $extra3, $extra4, $extra5, $extra6, $id_presupuesto_por_item_gasto);
		return $temp;
	}


	function &guardarPresupuesto_por_item_gasto_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_PRESUPUESTO_POR_ITEM_GASTO_BD",
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"ene_pre", $objeto->get_ene_pre(),
		"ene_real", $objeto->get_ene_real(),
		"feb_pre", $objeto->get_feb_pre(),
		"feb_real", $objeto->get_feb_real(),
		"mar_pre", $objeto->get_mar_pre(),
		"mar_real", $objeto->get_mar_real(),
		"abr_pre", $objeto->get_abr_pre(),
		"abr_real", $objeto->get_abr_real(),
		"may_pre", $objeto->get_may_pre(),
		"may_real", $objeto->get_may_real(),
		"jun_pre", $objeto->get_jun_pre(),
		"jun_real", $objeto->get_jun_real(),
		"jul_pre", $objeto->get_jul_pre(),
		"jul_real", $objeto->get_jul_real(),
		"ago_pre", $objeto->get_ago_pre(),
		"ago_real", $objeto->get_ago_real(),
		"sep_pre", $objeto->get_sep_pre(),
		"sep_real", $objeto->get_sep_real(),
		"oct_pre", $objeto->get_oct_pre(),
		"oct_real", $objeto->get_oct_real(),
		"nov_pre", $objeto->get_nov_pre(),
		"nov_real", $objeto->get_nov_real(),
		"dic_pre", $objeto->get_dic_pre(),
		"dic_real", $objeto->get_dic_real(),
		"sum_valor_presupuestado", $objeto->get_sum_valor_presupuestado(),
		"sum_valor_real", $objeto->get_sum_valor_real(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"extra5", $objeto->get_extra5(),
		"extra6", $objeto->get_extra6(),
		"id_presupuesto_por_centro_costo", $objeto->get_id_presupuesto_por_centro_costo());

		//debug($query);

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarPresupuesto_por_item_gasto_BD(Presupuesto_por_item_gasto_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_PRESUPUESTO_POR_ITEM_GASTO_BD",
		"id_presupuesto_por_centro_costo", $objeto->get_id_presupuesto_por_centro_costo(),
		"id_item_gasto", $objeto->get_id_item_gasto(),
		"ene_pre", $objeto->get_ene_pre(),
		"ene_real", $objeto->get_ene_real(),
		"feb_pre", $objeto->get_feb_pre(),
		"feb_real", $objeto->get_feb_real(),
		"mar_pre", $objeto->get_mar_pre(),
		"mar_real", $objeto->get_mar_real(),
		"abr_pre", $objeto->get_abr_pre(),
		"abr_real", $objeto->get_abr_real(),
		"may_pre", $objeto->get_may_pre(),
		"may_real", $objeto->get_may_real(),
		"jun_pre", $objeto->get_jun_pre(),
		"jun_real", $objeto->get_jun_real(),
		"jul_pre", $objeto->get_jul_pre(),
		"jul_real", $objeto->get_jul_real(),
		"ago_pre", $objeto->get_ago_pre(),
		"ago_real", $objeto->get_ago_real(),
		"sep_pre", $objeto->get_sep_pre(),
		"sep_real", $objeto->get_sep_real(),
		"oct_pre", $objeto->get_oct_pre(),
		"oct_real", $objeto->get_oct_real(),
		"nov_pre", $objeto->get_nov_pre(),
		"nov_real", $objeto->get_nov_real(),
		"dic_pre", $objeto->get_dic_pre(),
		"dic_real", $objeto->get_dic_real(),
		"sum_valor_presupuestado", $objeto->get_sum_valor_presupuestado(),
		"sum_valor_real", $objeto->get_sum_valor_real(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"extra5", $objeto->get_extra5(),
		"extra6", $objeto->get_extra6(),
		"id_presupuesto_por_item_gasto", $objeto->get_id_presupuesto_por_item_gasto());

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarPresupuesto_por_item_gasto_BD($id_presupuesto_por_item_gasto){
		global $conn;
		$query = expandir("ELIMINAR_PRESUPUESTO_POR_ITEM_GASTO_BD",
		"id_presupuesto_por_item_gasto", $id_presupuesto_por_item_gasto
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadPresupuesto_por_item_gasto_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_PRESUPUESTO_POR_ITEM_GASTO_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

	function &totalPresupuestado_Presupuesto_por_item_gasto_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_TOTAL_PRESUPUESTADO_PRESUPUESTO_POR_ITEM_GASTO_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["total_presupuestado"]);
	}
	
	function &totalReal_Presupuesto_por_item_gasto_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_TOTAL_REAL_PRESUPUESTO_POR_ITEM_GASTO_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["total_real"]);
	}	
}//Fin Clase
?>
