<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Salud_Fachada {

function &getCantidadSalud($filtro){
	global $conn;

	if (!$filtro){
		$where = "";
	}else{
		$where = "WHERE ";
		$count = 0;
		foreach ($filtro as $key => $item)
		{
			$where .= "$key LIKE '$item'";
			if ($count < sizeof($filtro)-1)
			$where .= " AND ";
			$count++;
		}
	}

	$query = expandir("GET_CANTIDAD_SALUD",
	"where",$where
	);

	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);

	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}

	return ($RecordSet->fields["CANTIDAD"]);
}

function &getListadoSalud($filtro,$extra)
{
	global $conn;

	if (!$filtro){
		$where = "";
	}else{
		$where = "WHERE ";
		$count = 0;
		foreach ($filtro as $key => $item)
		{
			$where .= "$key LIKE '$item'";
			if ($count < sizeof($filtro)-1)
				$where .= " AND";
			$count++;
		}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}

	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else{
			$where .= " LIMIT ".$extra["limit"];
		}
	}else{
		if ($extra["desde"]){
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}
	
	$query = expandir("GET_LISTADO_SALUD",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_salud = $RecordSet -> Fields("id_salud");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$descripcion = $RecordSet -> Fields("descripcion");
		$elimina = $RecordSet -> Fields("elimina");
		$id_cuenta = $RecordSet -> Fields("id_cuenta");
		$codigo_previred = $RecordSet -> Fields("codigo_previred");
		
		$temp = new Salud ($id_empresa, $descripcion, $elimina, $id_cuenta, $codigo_previred, $id_salud);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getSalud($id_salud)
	{
		global $conn;
		$query = expandir("GET_SALUD",
		"id_salud", $id_salud
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_salud = $RecordSet -> Fields("id_salud");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$descripcion = $RecordSet -> Fields("descripcion");
	$elimina = $RecordSet -> Fields("elimina");
	$id_cuenta = $RecordSet -> Fields("id_cuenta");
	$codigo_previred = $RecordSet -> Fields("codigo_previred");
	
	$temp = new Salud ($id_empresa, $descripcion, $elimina, $id_cuenta, $codigo_previred, $id_salud);
	return $temp;
	}
	
	
	function &guardarSalud($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_SALUD",
		"id_empresa", $objeto->id_empresa,
		"descripcion", $objeto->descripcion,
		"elimina", $objeto->elimina,
		"id_cuenta", $objeto->id_cuenta,
		"codigo_previred", $objeto->codigo_previred);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarSalud($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_SALUD",
		"id_empresa", $objeto->id_empresa,
		"descripcion", $objeto->descripcion,
		"elimina", $objeto->elimina,
		"id_cuenta", $objeto->id_cuenta,
		"codigo_previred", $objeto->codigo_previred,
		"id_salud", $objeto->id_salud);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarSalud($id_salud){
		global $conn;
		$query = expandir("ELIMINAR_SALUD",
		"id_salud", $id_salud
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	}//Fin Clase
?>