<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Sesiones_BD_Fachada {

function &getListadoSesiones_BD($filtro,$extra)
	{
		validar_tabla_db("Sesiones");
		$extra_var = get_extra_var("SESIONES");
		$query = make_query("sesiones", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarSesiones_BD($objeto){
		validar_tabla_db("Sesiones");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_SESIONES_BD",
		"fecha", $objeto->get_fecha(),
		"estado", $objeto->get_estado(),
		"id_sesion_defontana", $objeto->get_id_sesion_defontana(),
		"fecha_desactiva", $objeto->get_fecha_desactiva(),
		"id_usuario_desactiva", $objeto->get_id_usuario_desactiva(),
		"ex3", $objeto->get_ex3(),
		"id_usuario", $objeto->get_id_usuario());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarSesiones_BD(Sesiones_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_SESIONES_BD",
		"id_usuario", $objeto->get_id_usuario(),
		"fecha", $objeto->get_fecha(),
		"estado", $objeto->get_estado(),
		"id_sesion_defontana", $objeto->get_id_sesion_defontana(),
		"fecha_desactiva", $objeto->get_fecha_desactiva(),
		"id_usuario_desactiva", $objeto->get_id_usuario_desactiva(),
		"ex3", $objeto->get_ex3(),
		"id_sesion", $objeto->get_id_sesion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarSesiones_BD($id_sesion){
		global $conn;
		$query = expandir("ELIMINAR_SESIONES_BD",
		"id_sesion", $id_sesion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadSesiones_BD($filtro){
		validar_tabla_db("Sesiones");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_SESIONES_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
