<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Usuario_Fachada {

function &getListadoUsuario($id)
	{
		global $conn;
		
	if ($id == 0){
		$where = "";
	}else{
	$where = "WHERE id_usuario = '$id'";
	}
	
	$query = expandir("GET_LISTADO_USUARIO",
	"where",	$where
	);
	
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;

	while (!$RecordSet -> EOF) {
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido = $RecordSet -> Fields("apellido");
		$email = $RecordSet -> Fields("email");
		$login = $RecordSet -> Fields("login");
		$password = $RecordSet -> Fields("password");
		$privilegio = $RecordSet -> Fields("privilegio");
		$tipo_usuario = $RecordSet -> Fields("tipo_usuario");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		
		$temp = new Usuario ($id_sucursal, $nombre, $apellido, $email, $login, $password, $privilegio, $tipo_usuario, $id_cliente_proveedor, $id_usuario);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	

	function &getListadoUsuario_filtro($filtro,$extra)
	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}


		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"];
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"];
		}
		if ($extra["limit"]){
			$where .= " LIMIT ".$extra["limit"];
		}

		$query = expandir("GET_LISTADO_USUARIO",
		"where",	$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
//debug($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido = $RecordSet -> Fields("apellido");
		$email = $RecordSet -> Fields("email");
		$login = $RecordSet -> Fields("login");
		$password = $RecordSet -> Fields("password");
		$privilegio = $RecordSet -> Fields("privilegio");
		$tipo_usuario = $RecordSet -> Fields("tipo_usuario");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		
		$temp = new Usuario ($id_sucursal, $nombre, $apellido, $email, $login, $password, $privilegio, $tipo_usuario, $id_cliente_proveedor, $id_usuario);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	

	function &getUsuario($id_usuario)
	{
		global $conn;
		$query = expandir("GET_USUARIO",
		"id_usuario", $id_usuario
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	$id_usuario = $RecordSet -> Fields("id_usuario");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$nombre = $RecordSet -> Fields("nombre");
	$apellido = $RecordSet -> Fields("apellido");
	$email = $RecordSet -> Fields("email");
	$login = $RecordSet -> Fields("login");
	$password = $RecordSet -> Fields("password");
	$privilegio = $RecordSet -> Fields("privilegio");
	$tipo_usuario = $RecordSet -> Fields("tipo_usuario");
	$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");

	
	$temp = new Usuario ($id_sucursal, $nombre, $apellido, $email, $login, $password, $privilegio, $tipo_usuario, $id_cliente_proveedor, $id_usuario);
	return $temp;
	}
	
	
	function &guardarUsuario($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_USUARIO",
		"nombre", $objeto->nombre,
		"apellido", $objeto->apellido,
		"email", $objeto->email,
		"login", $objeto->login,
		"password", $objeto->password,
		"privilegio", $objeto->privilegio,
		"tipo_usuario", $objeto->tipo_usuario,
		"id_cliente_proveedor", $objeto->id_cliente_proveedor,
		"id_sucursal", $objeto->id_sucursal);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return $conn->Insert_Id();
	
	
	}
	
	function &actualizarUsuario($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_USUARIO",
		"id_sucursal", $objeto->id_sucursal,
		"nombre", $objeto->nombre,
		"apellido", $objeto->apellido,
		"email", $objeto->email,
		"login", $objeto->login,
		"password", $objeto->password,
		"privilegio", $objeto->privilegio,
		"tipo_usuario", $objeto->tipo_usuario,
		"id_cliente_proveedor", $objeto->id_cliente_proveedor,
		"id_usuario", $objeto->id_usuario);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarUsuario($id_usuario){
		global $conn;
		$query = expandir("ELIMINAR_USUARIO",
		"id_usuario", $id_usuario
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	function isUsuario ($login, $password)
	{
		global $conn;
		$RecordSet = &$conn -> Execute(expandir("GET_PASSWORD", "login", $login));
		// var_dump($password);
		// var_dump(md5($password));
		// var_dump($RecordSet->Fields("password"));
		if (!$RecordSet) {
			return false;
			exit;
		}
		
		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}
		$conn_password = $RecordSet -> Fields("password");
		
		if (!strcmp(md5($password), $conn_password)) {
			
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$id_sucursal = $RecordSet -> Fields("id_sucursal");
			$nombre = $RecordSet -> Fields("nombre");
			$apellido = $RecordSet -> Fields("apellido");
			$email = $RecordSet -> Fields("email");
			$login = $RecordSet -> Fields("login");
			$password = $RecordSet -> Fields("password");
			$privilegio = $RecordSet -> Fields("privilegio");
			$tipo_usuario = $RecordSet -> Fields("tipo_usuario");
			$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");

				
			$temp = new Usuario ($id_sucursal, $nombre, $apellido, $email, $login, $password, $privilegio, $tipo_usuario, $id_cliente_proveedor, $id_usuario);
			//var_dump($temp);
			return $temp;
			// return true;
		} else {
			return false;
		}
	}

	
	}//Fin Clase
?>
