<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Vendedor_BD_Fachada {

function &getListadoVendedor_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_VENDEDOR_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
//	debug($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_vendedor = $RecordSet -> Fields("id_vendedor");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido = $RecordSet -> Fields("apellido");
		$direccion = $RecordSet -> Fields("direccion");
		$fono = $RecordSet -> Fields("fono");
		$observacion = $RecordSet -> Fields("observacion");
		$email = $RecordSet -> Fields("email");
		$codigo = $RecordSet -> Fields("codigo");
		$nombre_corto = $RecordSet -> Fields("nombre_corto");
		$vigente = $RecordSet -> Fields("vigente");

		
		$temp = new Vendedor_BD ($nombre, $apellido, $direccion, $fono, $observacion, $email, $codigo, $nombre_corto, $vigente, $id_vendedor);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getVendedor_BD($id_vendedor)
	{
		global $conn;
		$query = expandir("GET_VENDEDOR_BD",
		"id_vendedor", $id_vendedor
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_vendedor = $RecordSet -> Fields("id_vendedor");
	$nombre = $RecordSet -> Fields("nombre");
	$apellido = $RecordSet -> Fields("apellido");
	$direccion = $RecordSet -> Fields("direccion");
	$fono = $RecordSet -> Fields("fono");
	$observacion = $RecordSet -> Fields("observacion");
	$email = $RecordSet -> Fields("email");
	$codigo = $RecordSet -> Fields("codigo");
	$nombre_corto = $RecordSet -> Fields("nombre_corto");
	$vigente = $RecordSet -> Fields("vigente");
	
	
	
	$temp = new Vendedor_BD ($nombre, $apellido, $direccion, $fono, $observacion, $email, $codigo, $nombre_corto, $vigente, $id_vendedor);
	return $temp;
	}
	
	
	function &guardarVendedor_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_VENDEDOR_BD",
		"apellido", $objeto->get_apellido(),
		"direccion", $objeto->get_direccion(),
		"fono", $objeto->get_fono(),
		"observacion", $objeto->get_observacion(),
		"email", $objeto->get_email(),
		"codigo", $objeto->get_codigo(),
		"nombre_corto", $objeto->get_nombre_corto(),
		"vigente", $objeto->get_vigente(),
		"nombre", $objeto->get_nombre());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarVendedor_BD(Vendedor_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_VENDEDOR_BD",
		"nombre", $objeto->get_nombre(),
		"apellido", $objeto->get_apellido(),
		"direccion", $objeto->get_direccion(),
		"fono", $objeto->get_fono(),
		"observacion", $objeto->get_observacion(),
		"email", $objeto->get_email(),
		"codigo", $objeto->get_codigo(),
		"nombre_corto", $objeto->get_nombre_corto(),
		"vigente", $objeto->get_vigente(),
		"id_vendedor", $objeto->get_id_vendedor());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarVendedor_BD($id_vendedor){
		global $conn;
		$query = expandir("ELIMINAR_VENDEDOR_BD",
		"id_vendedor", $id_vendedor
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadVendedor_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_VENDEDOR_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
