<?

//------------------------------------------------------------------------------
	//	QUERIES DETALLE_VALE_VENTA
//------------------------------------------------------------------------------

$queries["GET_LISTADO_DETALLE_VALE_VENTA"] = "SELECT * FROM detalle_vale_venta %where%";

$queries["GET_LISTADO_PRODUCTOS_VENDIDOS"] = "
SELECT dvv.*, SUM(dvv.cantidad) as cantidad
FROM detalle_vale_venta as dvv, producto as p, vale_venta as vv
WHERE p.id_producto = dvv.id_producto
AND vv.id_vale_venta = dvv.id_vale_venta
AND p.descripcion LIKE '%%descripcion%%'
AND p.codigo_barra LIKE '%%codigo_barra%%'
AND vv.fecha_emision >= '%fecha1%'
AND vv.fecha_emision <= '%fecha2%'
AND vv.id_sucursal LIKE '%id_sucursal%'
GROUP BY dvv.id_producto
ORDER BY cantidad DESC
LIMIT %limit%
";

$queries["GET_PRODUCTOS_POR_VALE_VENTA"] = "
SELECT dvv.*
FROM detalle_vale_venta as dvv, vale_venta as vv
WHERE vv.id_vale_venta = dvv.id_vale_venta
AND vv.id_vale_venta = '%id_vale_venta%'
ORDER BY id_detalle_vale_venta
";

$queries["GET_PRODUCTOS_POR_SOBRE"] = "
SELECT dvv.*
FROM detalle_vale_venta as dvv, sobre as s
WHERE s.id_vale_venta = dvv.id_vale_venta
AND s.nro_sobre = '%nro_sobre%'
ORDER BY id_detalle_vale_venta
";

$queries["GET_DETALLE_VALE_VENTA"] = "SELECT * FROM detalle_vale_venta WHERE id_detalle_vale_venta = '%id_detalle_vale_venta%'";

$queries["GUARDAR_DETALLE_VALE_VENTA"] = "INSERT into detalle_vale_venta (id_producto, cantidad, total, descripcion, estado, extra1, extra2, extra3, extra4, extra5, cantidad_despachada, id_vale_venta, monto_descuento, costo, id_detalle_cotizacion, id_guia_despacho) values ('%id_producto%', '%cantidad%', '%total%', '%descripcion%', '%estado%', '%extra1%', '%extra2%', '%extra3%', '%extra4%', '%extra5%', '%cantidad_despachada%', '%id_vale_venta%', '%monto_descuento%', '%costo%', '%id_detalle_cotizacion%', '%id_guia_despacho%')";

$queries["ACTUALIZAR_DETALLE_VALE_VENTA"] = "UPDATE detalle_vale_venta SET id_producto = '%id_producto%', cantidad = '%cantidad%', total = '%total%', descripcion = '%descripcion%', estado = '%estado%', extra1 = '%extra1%', extra2 = '%extra2%', extra3 = '%extra3%', extra4 = '%extra4%', extra5 = '%extra5%', id_vale_venta = '%id_vale_venta%', cantidad_despachada = '%cantidad_despachada%', monto_descuento = '%monto_descuento%', costo = '%costo%', id_detalle_cotizacion = '%id_detalle_cotizacion%', id_guia_despacho = '%id_guia_despacho%'      WHERE id_detalle_vale_venta = '%id_detalle_vale_venta%'";

$queries["ELIMINAR_DETALLE_VALE_VENTA"] = "DELETE FROM detalle_vale_venta WHERE id_detalle_vale_venta = '%id_detalle_vale_venta%'";

?>
