<?php

function num2letras($num, $fem = true, $dec = true) {
//if (strlen($num) > 14) die("El n?mero introducido es demasiado grande");
   $matuni[2]  = "dos";
   $matuni[3]  = "tres";
   $matuni[4]  = "cuatro";
   $matuni[5]  = "cinco";
   $matuni[6]  = "seis";
   $matuni[7]  = "siete";
   $matuni[8]  = "ocho";
   $matuni[9]  = "nueve";
   $matuni[10] = "diez";
   $matuni[11] = "once";
   $matuni[12] = "doce";
   $matuni[13] = "trece";
   $matuni[14] = "catorce";
   $matuni[15] = "quince";
   $matuni[16] = "dieciseis";
   $matuni[17] = "diecisiete";
   $matuni[18] = "dieciocho";
   $matuni[19] = "diecinueve";
   $matuni[20] = "veinte";
   $matunisub[2] = "dos";
   $matunisub[3] = "tres";
   $matunisub[4] = "cuatro";
   $matunisub[5] = "quin";
   $matunisub[6] = "seis";
   $matunisub[7] = "sete";
   $matunisub[8] = "ocho";
   $matunisub[9] = "nove";

   $matdec[2] = "veint";
   $matdec[3] = "treinta";
   $matdec[4] = "cuarenta";
   $matdec[5] = "cincuenta";
   $matdec[6] = "sesenta";
   $matdec[7] = "setenta";
   $matdec[8] = "ochenta";
   $matdec[9] = "noventa";
   $matsub[3]  = 'mill';
   $matsub[5]  = 'bill';
   $matsub[7]  = 'mill';
   $matsub[9]  = 'trill';
   $matsub[11] = 'mill';
   $matsub[13] = 'bill';
   $matsub[15] = 'mill';
   $matmil[4]  = 'millones';
   $matmil[6]  = 'billones';
   $matmil[7]  = 'de billones';
   $matmil[8]  = 'millones de billones';
   $matmil[10] = 'trillones';
   $matmil[11] = 'de trillones';
   $matmil[12] = 'millones de trillones';
   $matmil[13] = 'de trillones';
   $matmil[14] = 'billones de trillones';
   $matmil[15] = 'de billones de trillones';
   $matmil[16] = 'millones de billones de trillones';

   $num = trim((string)@$num);
   if ($num[0] == '-') {
      $neg = 'menos ';
      $num = substr($num, 1);
   }else
      $neg = '';
   while ($num[0] == '0') $num = substr($num, 1);
   if ($num[0] < '1' or $num[0] > 9) $num = '0' . $num;
   $zeros = true;
   $punt = false;
   $ent = '';
   $fra = '';
   for ($c = 0; $c < strlen($num); $c++) {
      $n = $num[$c];
      if (! (strpos(".,'''", $n) === false)) {
         if ($punt) break;
         else{
            $punt = true;
            continue;
         }

      }elseif (! (strpos('0123456789', $n) === false)) {
         if ($punt) {
            if ($n != '0') $zeros = false;
            $fra .= $n;
         }else

            $ent .= $n;
      }else

         break;

   }
   $ent = '     ' . $ent;
   if ($dec and $fra and ! $zeros) {
      $fin = ' coma';
      for ($n = 0; $n < strlen($fra); $n++) {
         if (($s = $fra[$n]) == '0')
            $fin .= ' cero';
         elseif ($s == '1')
            $fin .= $fem ? ' uno' : ' un';
         else
            $fin .= ' ' . $matuni[$s];
      }
   }else
      $fin = '';
   if ((int)$ent === 0) return 'Cero ' . $fin;
   $tex = '';
   $sub = 0;
   $mils = 0;
   $neutro = false;
   while ( ($num = substr($ent, -3)) != '   ') {
      $ent = substr($ent, 0, -3);
      if (++$sub < 3 and $fem) {
         $matuni[1] = 'una';
         $subcent = 'os';
      }else{
         $matuni[1] = $neutro ? 'un' : 'uno';
         $subcent = 'os';
      }
      $t = '';
      $n2 = substr($num, 1);
      if ($n2 == '00') {
      }elseif ($n2 < 21)
         $t = ' ' . $matuni[(int)$n2];
      elseif ($n2 < 30) {
         $n3 = $num[2];
         if ($n3 != 0) $t = 'i' . $matuni[$n3];
         $n2 = $num[1];
         $t = ' ' . $matdec[$n2] . $t;
      }else{
         $n3 = $num[2];
         if ($n3 != 0) $t = ' y ' . $matuni[$n3];
         $n2 = $num[1];
         $t = ' ' . $matdec[$n2] . $t;
      }
      $n = $num[0];
      if ($n == 1) {
         $t = ' ciento' . $t;
      }elseif ($n == 5){
         $t = ' ' . $matunisub[$n] . 'ient' . $subcent . $t;
      }elseif ($n != 0){
         $t = ' ' . $matunisub[$n] . 'cient' . $subcent . $t;
      }
      if ($sub == 1) {
      }elseif (! isset($matsub[$sub])) {
         if ($num == 1) {
            $t = ' mil';
         }elseif ($num > 1){
            $t .= ' mil';
         }
      }elseif ($num == 1) {
         $t .= ' ' . $matsub[$sub] . 'n';
      }elseif ($num > 1){
         $t .= ' ' . $matsub[$sub] . 'ones';
      }
      if ($num == '000') $mils ++;
      elseif ($mils != 0) {
         if (isset($matmil[$sub])) $t .= ' ' . $matmil[$sub];
         $mils = 0;
      }
      $neutro = true;
      $tex = $t . $tex;
   }
   $tex = $neg . substr($tex, 1) . $fin;
   return ucfirst($tex);
}

function format_array_combobox($arr, $id, $name1, $id_padre, $conector, $name2, $fin){
	$array_tmp = null;
	
	$name1_mod = "get_".$name1;
	$name2_mod = "get_".$name2;
	
	$id_mod = "get_".$id;
	
	$id_padre_mod = "get_".$id_padre;
	
	//debug($id_mod);
		
	foreach ($arr as $item){

		$temp["id"] 		= $item->$id_mod();
		if ($name2)
			$temp["name"] 		= $item->$name1_mod() . $conector . $item->$name2_mod() . $fin;
		else
			$temp["name"] 		= $item->$name1_mod();
		if ($id_padre)
			$temp["id_padre"] 	= $item->$id_padre_mod();
		$array_tmp[] = $temp;
	}

	return $array_tmp;
}

function format_array_combobox2($arr, $id, $name1, $id_padre, $conector, $name2, $name3, $fin){
	$array_tmp = null;
	
	$name1_mod = "get_".$name1;
	$name2_mod = "get_".$name2;
	$name3_mod = "get_".$name3;

	$id_mod = "get_".$id;
	
	$id_padre_mod = "get_".$id_padre;
	
	//debug($id_mod);
		
	foreach ($arr as $item){

		$temp["id"] 		= $item->$id_mod();
		if ($name3)
			$temp["name"] 		= $item->$name1_mod() . $conector . $item->$name2_mod(). $fin . " ". $item->$name3_mod();
		else
		if ($name2)
			$temp["name"] 		= $item->$name1_mod() . $conector . $item->$name2_mod() . $fin ;
		else
			$temp["name"] 		= $item->$name1_mod();
		if ($id_padre)
			$temp["id_padre"] 	= $item->$id_padre_mod();
		$array_tmp[] = $temp;
	}

	return $array_tmp;
}

function get_id_usuario(){
	$user = $_SESSION["usuario"];
	return $user->get_id_usuario();
}

function makebarcode($codigo_barra){
	if (is_numeric($codigo_barra)){
		$codigo_barra = sprintf("%012s",$codigo_barra);
	}else{
		$codigo_barra = "000000000000";
	}
	
	return $codigo_barra;
}

function convertirFecha_fechabd($fecha){
$fecha = explode("/",$fecha);
	return $fecha[2].$fecha[1].$fecha[0];
}

function convertirFechaBD_fecha($fecha){
	return substr($fecha, 6, 2)."/".substr($fecha, 4, 2)."/".substr($fecha, 0, 4);
}

function miniFecha($val){
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	if ($hor){
	return $dia."-".$mes."-".$ao. " (".$hor.":".$min.")";
	}
	
	
	return $dia."-".$mes."-".$ao;
}

function expandirFecha($val){
	
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	
	$fecha = getdate(mktime (0,0,0,$mes,$dia,$ao));
	$wdia = $fecha['wday']; 
	
	// Da de la Semana
	switch ($wdia){
		case "1": $tdia = "Lunes";break;
		case "2": $tdia = "Martes";break;
		case "3": $tdia = "Mi&eacute;rcoles";break;
		case "4": $tdia = "Jueves";break;
		case "5": $tdia = "Viernes";break;
		case "6": $tdia = "S&aacute;bado";break;
		case "0": $tdia = "Domingo";break;
	}
	
	// Mes
	switch ($mes){
		case "01": $mes = "Enero";break;
		case "02": $mes = "Febrero";break;
		case "03": $mes = "Marzo";break;
		case "04": $mes = "Abril";break;
		case "05": $mes = "Mayo";break;
		case "06": $mes = "Junio";break;
		case "07": $mes = "Julio";break;
		case "08": $mes = "Agosto";break;		
		case "09": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}	
	return $tdia.", ".$dia." de ".$mes." de ".$ao;
}
/*** Agregado por Macphisto ***/

function enviarMail($to, $subject, $msg){
	$headers = "From: ITEK Chile <soporte@itekchile.com>\r\n";
	mail($to, $subject, $msg, $headers);
}

function hoy()
{
	$hoy = date("YmdHi", mktime(date("H")-3,date("i"),0,date("m"),date("d"),date("Y")));
	return $hoy;
}

function & format_money($val) { return number_format($val, 0, ',', ' '); }
function & format_rut($val)   { return number_format($val, 0, ',', '.'); }



function debug($var){
	echo "<pre>"; var_dump($var); echo "</pre>";	
	return 1;
}

function eliminar_pos_arreglo($arreglo,$pos_eliminar){
	for ($i=0,$j=0;$i<sizeof($arreglo);$i++,$j++){
		if($i == $pos_eliminar)
			$i++;
		if ($i<sizeof($arreglo)){
			$arreglo_new[$j] = $arreglo[$i];
		}
	}
	return $arreglo_new;
}


function checkPOST($campo, $msg, $tipo=""){
	if (isset($_POST[$campo])){	
		if ($tipo == "num") {			
		    if (is_numeric($_POST[$campo])) {
		        return trim($_POST[$campo]);
		    }else{
				return 0;
			}
			
		}	
		return trim($_POST[$campo]);
	}else{			
		return $msg;
	}
			
}

function checkGET($campo, $msg, $tipo=""){
	if (isset($_GET[$campo])){
		if ($tipo == "num") {			
		    if (is_numeric($_GET[$campo])) {
		        return trim($_GET[$campo]);
		    }else{
				return 0;
			}
			
		}
		return trim($_GET[$campo]);
	}else{			
		return $msg;
	}
			
}


function checkARRAY($array, $campo, $msg, $tipo=""){	
	if (isset($array[$campo])){
		if ($tipo == "num") {			
		    if (is_numeric($array[$campo])) {
		        return trim($array[$campo]);
		    }else{
				return 0;
			}
			
		}
		return trim($array[$campo]);
	}else{			
		return $msg;
	}
			
}


	
function expandir($str)
{
        global $queries;

        $texto = $queries[$str];

        $numargs = func_num_args();
        for($i=1;$i<$numargs;){
                $patron = "%" . func_get_arg($i++) . "%";
                $reemplazo = func_get_arg($i++);

                $texto = str_replace($patron, $reemplazo, $texto);
        }
        return $texto;
}

function getStrError($errno)
{
	switch ($errno) {
	case E_ALL:
		return "E_ALL";		
	case E_ERROR:
		return "E_ERROR";
	case E_WARNING:
		return "E_WARNING";
	case E_PARSE:
		return "E_PARSE";
	case E_NOTICE:
		return "E_NOTICE";
	case E_CORE_ERROR:
		return "E_CORE_ERROR";
	case E_CORE_WARNING:
		return "E_CORE_WARNING";
	case E_COMPILE_ERROR:
		return "E_COMPILE_ERROR";
	case E_COMPILE_WARNING:
		return "E_COMPILE_WARNING";
	case E_USER_ERROR:
		return "E_USER_ERROR";
	case E_USER_WARNING:
		return "E_USER_WARNING";
	case E_USER_NOTICE:
		return "E_USER_NOTICE";
	default:
		return "unknown";
	}
}

function myErrorHandler ($errno, $errstr, $errfile, $errline)
{
	if (!error_reporting()) return;

	$str = getStrError($errno);

	global $ADOLogger;
	if (isset($ADOLogger))
		$ADOLogger->logHTML("<b>$str</b>: <span style='color:red;'>$errstr</span> (on $errfile:$errline)");

}

set_error_handler("myErrorHandler");

function detect_pda()
	{
		// The set of brosers
		$browsers = array(
		"Windows CE",
		"WebTV",
		"AvantGo",
		"Blazer",
		"PalmOS",
		"lynx",
		"Go.Web",
		"Elaine",
		"ProxiNet",
		"ChaiFarer",
		"Digital Paths",
		"UP.Browser",
		"Mazingo",
		"Mobile",
		"T68",
		"Syncalot",
		"NetFront",
		"Danger",
		"Symbian",
		"Nokia",
		"Xiino",
		"AU-MIC",
		"EPOC");
		
		// The test
		if(preg_match('/('.implode('|', $browsers).')/i', $_SERVER['HTTP_USER_AGENT'], $match))
		{
		      return true;
		}
		else if (isset($_SERVER['HTTP_UA_OS']))
		{
		      if (strstr($_SERVER['HTTP_UA_OS'],"POCKET PC") !== false)
		      {
		              return true;
		      }
		}
		else
		{
		      return false;
		}
	
	}

function hoy($format = false)
{
	if ($format) return date("d \d\e F \d\e Y", mktime(date("H"),date("i"),0,date("m"),date("d"),date("Y")));
	return date("YmdHi", mktime(date("H"),date("i"),0,date("m"),date("d"),date("Y")));
}

function money_php($val) {

	$number = $val;
	$decimals = "0";
	$decpoint = ".";
	$thousandsep = ".";

	return "$".number_format($number, $decimals, $decpoint, $thousandsep);
}

function get_nombre_mes_r($numero_mes)
{
	switch ($numero_mes)
	{
		case "1": $mes = "Enero";break;
		case "2": $mes = "Febrero";break;
		case "3": $mes = "Marzo";break;
		case "4": $mes = "Abril";break;
		case "5": $mes = "Mayo";break;
		case "6": $mes = "Junio";break;
		case "7": $mes = "Julio";break;
		case "8": $mes = "Agosto";break;
		case "9": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}	
	return $mes;
}

?>
