<?	
include_once("validate_session.php");

$id_seccion = checkGET("id_seccion","");

$id_empresa = $_SESSION["id_empresa_seleccionada"];
$empresa = Empresa_getEmpresa($id_empresa);
$id_plan_cuenta = $empresa->get_id_plan_cuenta();
$filtro_listado_cuenta_agregar["id_plan_cuenta"] = $id_plan_cuenta;

switch($id_seccion){
	case "1":
		$ayuda = "Aqui usted debe ingresar la cuenta Proveedor, que se encuentra en el Plan de Cuentas.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.";
		$titulo = "Comprobante de Pago - Compra (Proveedores)";
		$filtro_listado_cuenta_agregar["proveedor"] = 1;
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_listado_cuenta_agregar);
		$cant = sizeof($listado_cuenta);
	break;
	case "2":
		$ayuda = "Aqui usted debe ingresar la cuenta Cliente, que se encuentra en el Plan de Cuentas.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.";
		$titulo = "Comprobante de Pago - Venta (Clientes)";
		$filtro_listado_cuenta_agregar["cliente"] = 1;
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_listado_cuenta_agregar);
		$cant = sizeof($listado_cuenta);
	break;
	case "6":
		$ayuda = "Aqui usted debe ingresar la cuenta Honorarios, que se encuentra en el Plan de Cuentas.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.";
		$titulo = "Comprobante de Pago - Honorarios";
		$cant = 10000;
	break;	
	case "3":
		$ayuda = "Aqui usted debe ingresar las cuentas, que permitan la posterior Centralizacion de las Boletas de Honorarios, que se encuentra en el Plan de Cuentas.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.<br><strong>- Debe siempre ingresar primero la cuenta correspondiente al Impuesto de 2da categora y luego Honorarios por Pagar -";
		$titulo = "Boletas de Honorarios - (Comprobante de Control de Ingreso al Sistema)";
		$cant = 10;
	break;
	case "5":
		$ayuda = "Aqui usted debe ingresar las cuentas, que permitan la posterior Centralizacion de las Boletas de Ventas, que se encuentra en el Plan de Cuentas.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.<br><strong>- Debe siempre ingresar primero la cuenta correspondiente al IVA Dbito Fiscal y luego la cuenta Cliente -";
		$titulo = "Boletas de Ventas - (Comprobante de Control de Ingreso al Sistema)";
		$extra_listado_cuenta_agregar["sql"] = " WHERE (cliente LIKE '1' OR iva_debito_fiscal LIKE '1')";
		
		//$filtro_listado_cuenta_agregar["iva_debito_fiscal"] = 1;
		$listado_cuenta = Cuenta_getListadoCuenta(null,$extra_listado_cuenta_agregar);
		$extra_listado_cuenta_agregar["sql"] = " AND (cliente LIKE '1' OR iva_debito_fiscal LIKE '1')";
		$cant = sizeof($listado_cuenta);
	break;
	case "4":
		$ayuda = "Aqui usted debe ingresar las cuentas, que representen a los medios de pago o recaudacin en efectivo. Por ejemplo: caja, caja chica, etc.";
		$titulo = "Medios de Pago o Recaudacin en efectivo";
		$cant = 100;
	break;
	case "7":
		$ayuda = "Aqui usted debe ingresar la cuenta Proveedor, la cual se ver afectada en la centralizacin del libro de compras.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.";
		$titulo = "Facturas de Compra";
		$filtro_listado_cuenta_agregar["proveedor"] = 1;
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_listado_cuenta_agregar);
		$cant = sizeof($listado_cuenta);
	break;
	case "8":
		$ayuda = "Aqui usted debe ingresar la cuenta Cliente, la cual se ver afectada en la centralizacin del libro de ventas.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.";
		$titulo = "Facturas de Venta";
		$filtro_listado_cuenta_agregar["cliente"] = 1;
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_listado_cuenta_agregar);
		$cant = sizeof($listado_cuenta);
	break;	
	case "10":
		$ayuda = "Aqui usted debe ingresar la cuenta Documentos por Cobrar, la cual se ver afectada en la centralizacin del libro de ventas.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.";
		$titulo = "Documentos por Cobrar";
		$filtro_listado_cuenta_agregar["imp"] = 1;
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_listado_cuenta_agregar);
		$cant = sizeof($listado_cuenta);
	break;
	case "11":
		$ayuda = "Aqui usted debe ingresar la cuenta Anticipo Cliente, la cual se ver afectada cuando se ingrese la factura correspondiente.<br> En caso de manejar sucursales, debe indicar a que sucursal pertenece.";
		$titulo = "Pago de Gua de Despacho";
		//$filtro_listado_cuenta_agregar["imp"] = 1;
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_listado_cuenta_agregar);
		$cant = sizeof($listado_cuenta);
	break;	
}

$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$empresa = Empresa_getEmpresa($id_empresa_seleccionada);

$clog_sucursal = new Controlador_Logico_Cont_sucursal();
$filtro_sucursal["id_empresa"] = $id_empresa_seleccionada;
$listado_sucursal = $clog_sucursal->getListadoCont_sucursal($filtro_sucursal);

$filtro_listado_cuenta_agregar["imp"] = 1;
$filtro_listado_cuenta_agregar["id_plan_cuenta"] = $empresa->get_id_plan_cuenta();
$extra_listado_cuenta_agregar["order"] = "codigo";
$listado_cuentas_agregar = Cuenta_getListadoCuenta($filtro_listado_cuenta_agregar,$extra_listado_cuenta_agregar);

$clog_comportamiento = new Controlador_Logico_Cont_comportamiento_cuenta();
$filtro_comportamiento["id_seccion"] = $id_seccion;
$filtro_comportamiento["id_empresa"] = $id_empresa_seleccionada;
$extra_comportamiento["order"] = "id_comportamiento_cuenta";
$listado_cuentas = $clog_comportamiento->getListadoCont_comportamiento_cuenta($filtro_comportamiento,$extra_comportamiento);

$cant_cuentas = sizeof($listado_cuentas);
include_once("comportamiento_detalles.dibujar");
?>