<?

$old = getcwd();
$new = "../../../";
chdir($new);

include_once("validate_session.php");
$url = "../../../index_session.php?i=modulos/contabilidad/admin/";

$operacion = checkGET("op","");

$clog_Cliente_proveedor = new Controlador_Logico_Cliente_proveedor();
$clog_obs_comercial = new Controlador_Logico_Cont_observacion_comercial();

switch ($operacion){
	//-------------------------------------------------- Guarda un Cliente_proveedor en la DB
	case "add":
	
	//debug($_POST);
	
	$id_cliente_proveedor = checkPOST("id_cliente_proveedor", "");
	$id_empresa = checkPOST("id_empresa", "");
	$id_ciudad = checkPOST("id_ciudad", "");
	$tipo_cliente_proveedor = checkPOST("tipo_cliente_proveedor", "");
	$tipo_natural_empresa = checkPOST("tipo_natural_empresa", "");
	$rut = checkPOST("rut", "");
	$nombre = quitarComillas(checkPOST("nombre", ""));
	$razon_social =quitarComillas(checkPOST("razon_social", ""));
	$giro = checkPOST("giro", "");
	$direccion = checkPOST("direccion", "");
	$telefono = checkPOST("telefono", "");
	$telefono2 = checkPOST("telefono2", "");
	$movil = checkPOST("movil", "");
	$fax = checkPOST("fax", "");
	$website = checkPOST("website", "");
	$email = checkPOST("email", "");
	$fecha_ingreso = checkPOST("FR_Day","") . "/" . checkPOST("FR_Month","") . "/" . checkPOST("FR_Year","");
	$fecha_ingreso = convertirFecha_fechabd($fecha_ingreso);
	$cierre_mes = checkPOST("cierre_mes", "");
	$estado = checkPOST("estado", "");
	$observacion = checkPOST("observacion", "");
	$condicion_venta = checkPOST("condicion_venta", "");
	$req_orden_compra = checkPOST("req_orden_compra", "");
	$extra3 = checkPOST("extra3", "");
	
	$motivo_bloqueo = checkPOST("motivo_bloqueo","");
	
	$http_referer = checkPOST("http_referer","");

	$Cliente_proveedor_nuevo = new Cliente_proveedor();
	$Cliente_proveedor_nuevo->set_id_cliente_proveedor($id_cliente_proveedor);
	$Cliente_proveedor_nuevo->set_id_empresa($id_empresa);
	$Cliente_proveedor_nuevo->set_id_ciudad($id_ciudad);
	$Cliente_proveedor_nuevo->set_tipo_cliente_proveedor($tipo_cliente_proveedor);
	$Cliente_proveedor_nuevo->set_tipo_natural_empresa($tipo_natural_empresa);
	$Cliente_proveedor_nuevo->set_rut($rut);
	$Cliente_proveedor_nuevo->set_nombre($nombre);
	$Cliente_proveedor_nuevo->set_razon_social($razon_social);
	$Cliente_proveedor_nuevo->set_giro($giro);
	$Cliente_proveedor_nuevo->set_direccion($direccion);
	$Cliente_proveedor_nuevo->set_telefono($telefono);
	$Cliente_proveedor_nuevo->set_telefono2($telefono2);
	$Cliente_proveedor_nuevo->set_movil($movil);
	$Cliente_proveedor_nuevo->set_fax($fax);
	$Cliente_proveedor_nuevo->set_website($website);
	$Cliente_proveedor_nuevo->set_email($email);
	$Cliente_proveedor_nuevo->set_fecha_ingreso($fecha_ingreso);
	
	$Cliente_proveedor_nuevo->set_estado($estado);
	//$Cliente_proveedor_nuevo->set_observacion($observacion);
	//$Cliente_proveedor_nuevo->set_condicion_venta($condicion_venta);
	//$Cliente_proveedor_nuevo->set_req_orden_compra($req_orden_compra);
	

	$id_cliente_proveedor = $clog_Cliente_proveedor->guardarCliente_proveedor($Cliente_proveedor_nuevo);

	$filtro_obs_comercial["id_cliente_proveedor"] = "id_cliente_proveedor";
	$listado_obs_comercial = $clog_obs_comercial->getListadoCont_observacion_comercial($filtro_obs_comercial);
	$obs_comercial = $listado_obs_comercial[0];
	
	if (!$obs__comercial){
		$obs_comercial = new Cont_observacion_comercial();
		$obs_comercial->set_observacion_bloqueo($motivo_bloqueo);
		$clog_obs_comercial->guardarCont_observacion_comercial($obs_comercial);
	}else{
		$obs_comercial->set_observacion_bloqueo($motivo_bloqueo);
		$clog_obs_comercial->actualizarCont_observacion_comercial($obs_comercial);
	}

 	if ($http_referer != "")
 		$url = "../../index_session.php?$http_referer&id_cliente_proveedor=$id_cliente_proveedor";
 	else
 		$url .= "mantenedor_cliente_proveedor&id_empresa=$id_empresa&tpo=".$Cliente_proveedor_nuevo->get_tipo_cliente_proveedor();
	header("Location: $url");
	break;


	//-------------------------------------------------- Guarda un Cliente_proveedor en la DB
	case "del":
	$id_empresa = checkGET("id_empresa", "");
	$id_cliente_proveedor = checkGET("id_cliente_proveedor", 0, "num");
	
	$tipo_cliente_proveedor = checkGET("tpo","");
	$cliente_proveedor = $clog_Cliente_proveedor->getCliente_proveedor($id_cliente_proveedor);
	
	$filtro_documento_compra["id_proveedor"] = $id_cliente_proveedor;
	$filtro_documento_venta["id_proveedor"] = $id_cliente_proveedor;
	$listado_documento_compra = Documento_compra_getListadoDocumento_compra($filtro_documento_compra);
	$listado_documento_venta  = Documento_venta_getListadoDocumento_venta($filtro_documento_venta);
	//debug($listado_documento_compra);
	if ($listado_documento_compra || $listado_documento_venta){
		$msg = "No es posible eliminar este Cliente/Proveedor, ya que tiene Documentos asociados a l.";
	}else{
		$clog_Cliente_proveedor->eliminarCliente_proveedor($id_cliente_proveedor);	
	}
		
	//debug($msg);
	$url .= "mantenedor_cliente_proveedor&msg=$msg&id_empresa=$id_empresa&tpo=$tipo_cliente_proveedor";
	//debug($url);
	header("Location: $url");
	break;

	//-------------------------------------------------- Modifica un Cliente_proveedor en la DB
	case "mod":

	//debug($_POST);
	
	$id_empresa = checkPOST("id_empresa", "");
	$id_cliente_proveedor= checkPOST("id_cliente_proveedor", 0);
	$cliente_proveedor_mod = $clog_Cliente_proveedor->getCliente_proveedor($id_cliente_proveedor);

	$cliente_proveedor_mod->set_id_cliente_proveedor(checkPOST("id_cliente_proveedor", ""));
	$cliente_proveedor_mod->set_id_empresa(checkPOST("id_empresa", ""));
	$cliente_proveedor_mod->set_id_ciudad(checkPOST("id_ciudad", ""));
	$cliente_proveedor_mod->set_tipo_cliente_proveedor(checkPOST("tipo_cliente_proveedor", ""));
	$cliente_proveedor_mod->set_tipo_natural_empresa(checkPOST("tipo_natural_empresa", ""));
	$cliente_proveedor_mod->set_rut(checkPOST("rut", ""));
	$cliente_proveedor_mod->set_nombre(checkPOST("nombre", ""));
	$cliente_proveedor_mod->set_razon_social(checkPOST("razon_social", ""));
	$cliente_proveedor_mod->set_giro(checkPOST("giro", ""));
	$cliente_proveedor_mod->set_direccion(checkPOST("direccion", ""));
	$cliente_proveedor_mod->set_telefono(checkPOST("telefono", ""));
	$cliente_proveedor_mod->set_telefono2(checkPOST("telefono2", ""));
	$cliente_proveedor_mod->set_movil(checkPOST("movil", ""));
	$cliente_proveedor_mod->set_fax(checkPOST("fax", ""));
	$cliente_proveedor_mod->set_website(checkPOST("website", ""));
	$cliente_proveedor_mod->set_email(checkPOST("email", ""));
	$fecha_ingreso = checkPOST("FR_Day","") . "/" . checkPOST("FR_Month","") . "/" . checkPOST("FR_Year","");
	$fecha_ingreso = convertirFecha_fechabd($fecha_ingreso);
	$cliente_proveedor_mod->set_fecha_ingreso($fecha_ingreso);
	
	//$cliente_proveedor_mod->set_estado(checkPOST("estado", ""));
	//$cliente_proveedor_mod->set_observacion(checkPOST("observacion", ""));
	//$cliente_proveedor_mod->set_condicion_venta(checkPOST("condicion_venta", ""));
	//$cliente_proveedor_mod->set_req_orden_compra(checkPOST("req_orden_compra", ""));
	

	$clog_Cliente_proveedor->actualizarCliente_proveedor($cliente_proveedor_mod);

	$filtro_obs_comercial["id_cliente_proveedor"] = $cliente_proveedor_mod->get_id_cliente_proveedor();
	$listado_obs_comercial = $clog_obs_comercial->getListadoCont_observacion_comercial($filtro_obs_comercial);
	$obs_comercial = $listado_obs_comercial[0];
	
	if (!$obs__comercial){
		$obs_comercial = new Cont_observacion_comercial();
		$obs_comercial->set_observacion_bloqueo($motivo_bloqueo);
		$clog_obs_comercial->guardarCont_observacion_comercial($obs_comercial);
	}else{
		$obs_comercial->set_observacion_bloqueo($motivo_bloqueo);
		$clog_obs_comercial->actualizarCont_observacion_comercial($obs_comercial);
	}

	$url .= "mantenedor_cliente_proveedor&id_empresa=$id_empresa&tpo=".$cliente_proveedor_mod->get_tipo_cliente_proveedor();
	header("Location: $url");

	break;
}

?>
