<?
$old = getcwd();
$new = "../../";
chdir($new);

include_once ("validate_session.php");
$url = "../../admin_session.php?i=modulos/ventas/";
$mes_proceso = $_SESSION["mes_proceso"];
$ao_proceso = $_SESSION["ao_proceso"];

//debug($_POST);
$clog_detalle_documento_venta = new Controlador_Logico_Detalle_documento_venta();
$id_empresa = $_SESSION["id_empresa_seleccionada"];
$empresa = Empresa_getEmpresa($id_empresa);
$id_sucursal_seleccionada = $_SESSION["id_sucursal_seleccionada"];

$id_op_liberar_facturacion = checkPOST("id_op_liberar_facturacion", "");
$id_cliente_proveedor = checkPOST("id_cliente_proveedor", "");
$numero_documento = checkPOST("numero_documento", "");
$fecha_documento = checkPOST("fecha_documento", "");
$fecha_entrega_cliente = checkPOST("fecha_entrega_cliente", "");
$vencimiento = checkPOST("vencimiento", "");
$orden_compra = checkPOST("orden_compra", "");
$descripcion_producto = checkPOST("descripcion_producto", "");
$total_neto = checkPOST("total_neto", "");
$iva = checkPOST("iva", "");
$total = checkPOST("total", "");

$mes_proceso = $_SESSION["mes_proceso"];
$ao_proceso = $_SESSION["ao_proceso"];

$fecha_vencimiento = calcular_fecha($vencimiento, $fecha_entrega_cliente, "futuro");

$documento_venta = new Documento_venta();

$documento_venta->set_id_proveedor($id_cliente_proveedor);
$documento_venta->set_id_empresa($id_empresa);
$documento_venta->set_tipo_documento(1);
$documento_venta->set_numero_documento($numero_documento);
$documento_venta->set_fecha_documento(convertirFecha_fechabd($fecha_documento));
$documento_venta->set_fecha_digitacion(hoy());
$documento_venta->set_fecha_entrega_cliente(convertirFecha_fechabd($fecha_entrega_cliente));
$documento_venta->set_fecha_vencimiento($fecha_vencimiento);
$documento_venta->set_orden_venta($orden_compra);
$documento_venta->set_total_neto($total_neto);
$documento_venta->set_total_iva($iva);
$documento_venta->set_total_bruto($total);
$documento_venta->set_mes_proceso($mes_proceso);
$documento_venta->set_ano_proceso($ao_proceso);
$documento_venta->set_fecha_proceso($ao_proceso.$mes_proceso);
$documento_venta->set_fecha_vencimiento($fecha_vencimiento);
$documento_venta->set_total_saldos($total);
$documento_venta->set_id_sucursal($id_sucursal_seleccionada);

$correlativo = get_proximo_correlativo("venta", $mes_proceso, $ao_proceso);
if ($correlativo == "0")
	$correlativo = 1;

$documento_venta->set_correlativo($correlativo);

$filtro_documento_venta["id_empresa"] = $id_empresa;
$filtro_documento_venta["numero_documento"] = $numero_documento;
$filtro_documento_venta["tipo_documento"] = 1;

if (Documento_venta_getListadoDocumento_venta($filtro_documento_venta)) {
	$msg = "Ya existe un documento con ese nmero";
} else {
	$id_documento_venta = Documento_venta_guardarDocumento_venta($documento_venta);

	$detalle_documento_venta = new Detalle_documento_venta();
	$detalle_documento_venta->set_id_documento_venta($id_documento_venta);
	$detalle_documento_venta->set_cantidad(1);
	$detalle_documento_venta->set_iva($iva);
	$detalle_documento_venta->set_total_neto($total_neto);
	$detalle_documento_venta->set_total($total);
	$detalle_documento_venta->set_descripcion_producto($descripcion_producto);

	$id_detalle_documento_venta = $clog_detalle_documento_venta->guardarDetalle_documento_venta($detalle_documento_venta);

	$clog_Op_liberar_facturacion = new Controlador_Logico_Op_liberar_facturacion();
	//$clog_Op_liberar_facturacion->eliminarOp_liberar_facturacion($id_op_liberar_facturacion);

	$documento_venta = Documento_venta_getDocumento_venta($id_documento_venta);

	/*
	 * SE COMPRUEBA QUE EL DOCUMENTO NO TENGA ASOCIADO UN COMPROBANTE
	 * DE SER ASI SE LLAMA Y SE SIGUE ANEXANDO LOS DETALLES DEL COMPROBANTE.
	 */

	$clog_comprobante = new Controlador_Logico_Cont_comprobante();
	$clog_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();

	$filtro_ultimo_numero["ano_proceso"] = $ao_proceso;
	$filtro_ultimo_numero["tipo_comprobante"] = "4' or tipo_comprobante LIKE '5";
	$ultimo_numero = $clog_comprobante->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero);

	$comprobante_contable = new Cont_comprobante();
	$comprobante_contable->set_tipo_comprobante(5);
	$comprobante_contable->set_numero($ultimo_numero +1);
	$nombre_documento = "Factura";
	$comprobante_contable->set_descripcion("Ingreso de $nombre_documento N ".$documento_venta->get_numero_documento()." a Libro de Ventas");
	$comprobante_contable->set_fecha_creacion($documento_venta->get_fecha_documento());
	$comprobante_contable->set_ano_proceso($ao_proceso);
	$comprobante_contable->set_mes_proceso($mes_proceso);
	$comprobante_contable->set_fecha_proceso($ao_proceso.$mes_proceso);
	$comprobante_contable->set_estado(2);
	$comprobante_contable->set_id_documento($documento_venta->get_id_documento());
	$comprobante_contable->set_id_empresa($id_empresa);
	$comprobante_contable->set_id_sucursal($id_sucursal_seleccionada);
	$id_comprobante_contable = $clog_comprobante->guardarCont_comprobante($comprobante_contable);
	$comprobante_contable = $clog_comprobante->getCont_comprobante($id_comprobante_contable);

	// PRIMERA LINEA DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL DEBE
	$detalle_comprobante_debe = new Cont_detalle_comprobante();
	$detalle_comprobante_debe->set_id_comprobante($id_comprobante_contable);
	$detalle_comprobante_debe->set_descripcion("CARGO CUENTA CLIENTES");
	$detalle_comprobante_debe->set_id_tipo_documento(2);
	$detalle_comprobante_debe->set_tipo_comprobante(5);
	$detalle_comprobante_debe->set_id_documento($documento_venta->get_id_documento());
	$detalle_comprobante_debe->set_id_cliente_proveedor($documento_venta->get_id_proveedor());

	/*
	$filtro_cuenta_1["cliente"] = "1";
	$filtro_cuenta_1["imp"] = "1";
	$filtro_cuenta_1["id_plan_cuenta"] = $empresa->get_id_plan_cuenta();
	$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta_1);
	$cuenta = $listado_cuenta[0];
	*/

	$clog_cmp_cuenta = new Controlador_Logico_Cont_comportamiento_cuenta();
	$filtro_cmp["id_seccion"] = 8;
	$filtro_cmp["id_empresa"] = $id_empresa;
	$filtro_cmp["id_sucursal"] = $id_sucursal_seleccionada;
	$cmp_cuenta_seccion1 = $clog_cmp_cuenta->getListadoCont_comportamiento_cuenta($filtro_cmp);
	$cmp_cuenta_seccion1 = $cmp_cuenta_seccion1[0];
	$cuenta = $cmp_cuenta_seccion1;
	
	$detalle_comprobante_debe->set_id_cuenta($cuenta->get_id_cuenta());
	if ($tipo_documento == "2")
		$detalle_comprobante_debe->set_haber($total);
	else
		$detalle_comprobante_debe->set_debe($total);

	$id_detalle_comprobante_debe = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_debe);
	$detalle_comprobante_debe = $clog_detalle_comprobante->getCont_detalle_comprobante($id_detalle_comprobante_debe);
	//-----------------------

	// SEGUNDA LINEA DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL HABER
	$codigo_cuenta = checkPOST("codigo_cuenta", "");
	//debug($codigo_cuenta);
	$filtro_cuenta["codigo"] = $codigo_cuenta;
	$filtro_cuenta["id_plan_cuenta"] = $empresa->get_id_plan_cuenta();
	
	$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta);
	$cuenta = $listado_cuenta[0];
	//debug($cuenta);
	$id_item_gasto = $cuenta->get_id_cuenta();
	$id_cuenta = $id_item_gasto;
	//debug($id_item_gasto);

	$detalle_comprobante_haber = new Cont_detalle_comprobante();
	$detalle_comprobante_haber->set_id_comprobante($id_comprobante_contable);
	$detalle_comprobante_haber->set_descripcion("");
	$detalle_comprobante_haber->set_id_tipo_documento(2);
	$detalle_comprobante_haber->set_tipo_comprobante(5);
	$detalle_comprobante_haber->set_id_cuenta($id_item_gasto);
	$detalle_comprobante_haber->set_id_centro_costo($id_centro_costo);
	if ($tipo_documento == "2")
		$detalle_comprobante_haber->set_debe($total_neto + $exento);
	else
		$detalle_comprobante_haber->set_haber($total_neto + $exento);
	$detalle_comprobante_haber->set_id_documento($documento_venta->get_id_documento());
	$detalle_comprobante_haber->set_id_cliente_proveedor($documento_venta->get_id_proveedor());
	$id_detalle_comprobante_haber = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_haber);
	$detalle_comprobante_haber = $clog_detalle_comprobante->getCont_detalle_comprobante($id_detalle_comprobante_haber);

	// TERCERA LINEA (IVA  DE DETALLE DE COMPROBANTE CONTABLE CARGADO AL HABER
	$filtro_cuenta_iva["iva_debito_fiscal"] = 1;
	$filtro_cuenta_iva["imp"] = "1";
	$filtro_cuenta_iva["id_plan_cuenta"] = $empresa->get_id_plan_cuenta();
	$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta_iva);
	$cuenta = $listado_cuenta[0];

	$detalle_comprobante_iva = new Cont_detalle_comprobante();
	$detalle_comprobante_iva->set_id_comprobante($id_comprobante_contable);
	$detalle_comprobante_iva->set_descripcion("IVA DEBITO FISCAL");
	$detalle_comprobante_iva->set_id_tipo_documento(2);
	$detalle_comprobante_iva->set_tipo_comprobante(5);
	$detalle_comprobante_iva->set_id_cuenta($cuenta->get_id_cuenta());
	if ($tipo_documento == "2")
		$detalle_comprobante_iva->set_debe($iva);
	else
		$detalle_comprobante_iva->set_haber($iva);
	$detalle_comprobante_iva->set_id_documento($documento_venta->get_id_documento());
	$detalle_comprobante_iva->set_id_cliente_proveedor($documento_venta->get_id_proveedor());

	$id_detalle_comprobante_iva = $clog_detalle_comprobante->guardarCont_detalle_comprobante($detalle_comprobante_iva);
	$detalle_comprobante_iva = $clog_detalle_comprobante->getCont_detalle_comprobante($id_detalle_comprobante_iva);

	$documento_venta->set_id_comprobante($id_comprobante_contable);
	Documento_venta_actualizarDocumento_venta($documento_venta);

}

$url .= "listado_documentos_venta&td=1&msg=$msg";

header("Location: $url");
?>