<?
$old = getcwd();
$new = "../../";
chdir($new);

include_once ("validate_session.php");
$url = "../../admin_session.php?i=modulos/formulario29/";

$operacion = checkGET("op", "");
//debug($_POST);

$clog_Cont_formulario29 = new Controlador_Logico_Cont_formulario29();

switch ($operacion) {
	//-------------------------------------------------- Guarda un Cont_formulario29 en la DB
	case "gen" :
		$clog_libro_compra = new Controlador_Logico_Libro_compra();
		$clog_libro_venta  = new Controlador_Logico_Libro_venta();
		$clog_parametros   = new Controlador_Logico_Cmn_parametro();
		
		$filtro_parametro["nombre"] = "PPM";
		$parametros = $clog_parametros->getListadoCmn_parametro($filtro_parametro);
		$ppm = $parametros[0];
		//debug($ppm);
		if ($ppm)
			$ppm_porcentaje = $ppm->get_valor();
		
		$mes_proceso = $_SESSION["mes_proceso"];
		$ao_proceso = $_SESSION["ao_proceso"];

		$id_empresa = $_SESSION["id_empresa_seleccionada"];
		$fecha_proceso = $ao_proceso.$mes_proceso;		
		
		$mes_anterior = $mes_proceso - 1;
		if ($mes_anterior <10)
			$mes_anterior = "0".$mes_anterior;
		if ($mes_anterior < 1){
			$mes_anterior = 12;
			$ao_anterior = $ao_proceso - 1;
		}else{
			$ao_anterior = $ao_proceso;
		}
		
		$fecha_proceso_anterior = $ao_anterior.$mes_anterior;
			
		$filtro_form29["fecha_proceso"] = $fecha_proceso_anterior;
		$listado_form29 = $clog_Cont_formulario29->getListadoCont_formulario29($filtro_form29);
		$form29_anterior = $listado_form29[0];
		
		//debug($fecha_proceso_anterior);
		if ($form29_anterior)
			$remanente = $form29_anterior->get_remanente();
		
		
		$facturas_recibidas = 0;
		$facturas_emitidas = 0;

		$filtro_documento_compra["extra_libro_compra"] = "AND cont_documento_compra.ano_proceso = '$ao_proceso' AND cont_documento_compra.mes_proceso = '$mes_proceso' AND cont_documento_compra.id_empresa = '$id_empresa' ORDER BY cont_documento_compra.correlativo";
		$listado_documento_compra = $clog_libro_compra->getListadoLibro_compra($filtro_documento_compra);

		//debug($listado_documento_compra);

		foreach ($listado_documento_compra as $documento) {
			//debug($documento);
			$documento_original = Documento_compra_getDocumento_compra($documento->get_id_documento());
			if ($documento_original->get_estado() != "9") {
				
				switch ($documento->get_tipo_documento()) {
					case "1" :
						$total_exento_compras += $documento->get_total_exento();
						$total_iva_credito_fiscal += $documento->get_total_iva();
						$total_neto_compras += $documento->get_total_neto();
						$total_bruto_compras += $documento->get_total_bruto();
						$facturas_recibidas ++;
						break;
					case "2" :
						$total_exento_compras -= $documento->get_total_exento();
						$total_iva_credito_fiscal -= $documento->get_total_iva();
						$total_neto_compras -= $documento->get_total_neto();
						$total_bruto_compras -= $documento->get_total_bruto();
						break;
					case "3" :
						$total_exento_compras += $documento->get_total_exento();
						$total_iva_credito_fiscal += $documento->get_total_iva();
						$total_neto_compras += $documento->get_total_neto();
						$total_bruto_compras += $documento->get_total_bruto();
						break;
					case "0" :
						$total_bruto_compras += $documento->get_total_bruto();
						break;
				}
			}
		}

		//debug($total_neto_compras);

		$filtro_documento_venta["union_1_sql"] = "WHERE cont_boleta_venta.fecha_proceso LIKE '$ao_proceso$mes_proceso%' AND cont_boleta_venta.id_contribuyente = '$id_empresa_seleccionada'";
		$filtro_documento_venta["union_2_sql"] = "AND cont_documento_venta.ano_proceso = '$ao_proceso' AND cont_documento_venta.mes_proceso = '$mes_proceso' AND cont_documento_venta.id_empresa = '$id_empresa' ORDER BY cont_documento_venta.numero_documento DESC";
		$listado_documento_venta = $clog_libro_venta->getListadoLibro_venta($filtro_documento_venta);
		foreach ($listado_documento_venta as $documento) {
			$documento_original = Documento_venta_getDocumento_venta($documento->get_id_documento());
			if ($documento_original->get_estado() != "9") {
				switch ($documento->get_tipo_documento()) {
					case "1" :
						$total_exento_ventas += $documento->get_exento();
						$total_iva_debito_fiscal += $documento->get_total_iva();
						$total_neto_ventas += $documento->get_total_neto();
						$total_bruto_ventas += $documento->get_total_bruto();
						$facturas_emitidas ++;
						break;
					case "2" :
						$total_exento_ventas -= $documento->get_exento();
						$total_iva_debito_fiscal -= $documento->get_total_iva();
						$total_neto_ventas -= $documento->get_total_neto();
						$total_bruto_ventas -= $documento->get_total_bruto();
						break;
					case "3" :
						$total_exento_ventas += $documento->get_exento();
						$total_iva_debito_fiscal += $documento->get_total_iva();
						$total_neto_ventas += $documento->get_total_neto();
						$total_bruto_ventas += $documento->get_total_bruto();
						break;
					case "" :
						$total_neto_ventas += $documento->get_total_neto();
						$total_bruto_ventas += $documento->get_total_bruto();
						break;
				}
			}
		}
		
		$iva_determinado = $total_iva_debito_fiscal - $total_iva_credito_fiscal + $remanente;
	
		if ($iva_determinado > 0){
			//debug($total_exento_ventas);
			
			$total_a_pagar = $iva_determinado;
			$remanente = 0;
		}
		else{
			$total_a_pagar = 0;
			$remanente = $iva_determinado;
		}
		
		$impuesto_unico = round(Liquidacion_encabezado_total_impuesto_unico($id_empresa,$fecha_proceso));
		$impuesto_unico = round($impuesto_unico);
		$clog_boleta = new Controlador_Logico_Boleta();
		$totales = $clog_boleta->get_totales($fecha_proceso,$id_empresa);
		$impuesto_honorarios = $totales["total_impuesto"];
		$impuesto_honorarios = round($impuesto_honorarios);
		//debug($total_exento_ventas);
		$ppm_correspondiente = round($ppm_porcentaje*($total_neto_ventas+$total_exento_ventas)/100);

		$total_a_pagar +=  $ppm_correspondiente + $impuesto_unico + $impuesto_honorarios;

		$form29 = new Cont_formulario29();
		$form29->set_id_empresa($id_empresa);
		$form29->set_fecha_proceso($fecha_proceso);
		$form29->set_facturas_recibidas($facturas_recibidas);
		$form29->set_facturas_emitidas($facturas_emitidas);
		$form29->set_iva_credito_fiscal($total_iva_credito_fiscal);
		$form29->set_iva_debito_fiscal($total_iva_debito_fiscal);
		$form29->set_iva_determinado($iva_determinado);
		$form29->set_ppm_correspondiente($ppm_correspondiente);
		$form29->set_total_a_pagar($total_a_pagar);
		$form29->set_remanente($remanente);
		$form29->set_ppm_porcentaje($ppm_porcentaje);
		$form29->set_retencion($impuesto_honorarios);
		$form29->set_impuesto_unico($impuesto_unico);
		//debug($form29);
		
		$fomr29_search["fecha_proceso"] = $fecha_proceso;
		$listado_form29 = $clog_Cont_formulario29->getListadoCont_formulario29($fomr29_search);
		$form_29_existe = $listado_form29[0];
		
		if ($form_29_existe)
			$clog_Cont_formulario29->eliminarCont_formulario29($form_29_existe->get_id_form29());
			
		$clog_Cont_formulario29->guardarCont_formulario29($form29);
		
		$url .= "mantenedor_cont_formulario29";
		header("Location: $url");

		break;

	case "add" :

		//debug($_POST);

		$id_form29 = checkPOST("id_form29", "");
		$id_empresa = checkPOST("id_empresa", "");
		$id_contador = checkPOST("id_contador", "");
		$fecha_proceso = checkPOST("fecha_proceso", "");
		$facturas_recibidas = checkPOST("facturas_recibidas", "");
		$facturas_emitidas = checkPOST("facturas_emitidas", "");
		$iva_debito_fiscal = checkPOST("iva_debito_fiscal", "");
		$iva_credito_fiscal = checkPOST("iva_credito_fiscal", "");
		$iva_determinado = checkPOST("iva_determinado", "");
		$ppm_correspondiente = checkPOST("ppm_correspondiente", "");
		$total_a_pagar = checkPOST("total_a_pagar", "");
		$extra1 = checkPOST("extra1", "");
		$extra2 = checkPOST("extra2", "");
		$extra3 = checkPOST("extra3", "");
		$fecha_creacion = checkPOST("fecha_creacion", "");
		$guardar_mas = checkPOST("guardar_mas", "no");

		$cont_formulario29_nuevo = new Cont_formulario29();
		$cont_formulario29_nuevo->set_id_form29($id_form29);
		$cont_formulario29_nuevo->set_id_empresa($id_empresa);
		$cont_formulario29_nuevo->set_id_contador($id_contador);
		$cont_formulario29_nuevo->set_fecha_proceso($fecha_proceso);
		$cont_formulario29_nuevo->set_facturas_recibidas($facturas_recibidas);
		$cont_formulario29_nuevo->set_facturas_emitidas($facturas_emitidas);
		$cont_formulario29_nuevo->set_iva_debito_fiscal($iva_debito_fiscal);
		$cont_formulario29_nuevo->set_iva_credito_fiscal($iva_credito_fiscal);
		$cont_formulario29_nuevo->set_iva_determinado($iva_determinado);
		$cont_formulario29_nuevo->set_ppm_correspondiente($ppm_correspondiente);
		$cont_formulario29_nuevo->set_total_a_pagar($total_a_pagar);
		$cont_formulario29_nuevo->set_extra1($extra1);
		$cont_formulario29_nuevo->set_extra2($extra2);
		$cont_formulario29_nuevo->set_extra3($extra3);
		$cont_formulario29_nuevo->set_fecha_creacion($fecha_creacion);

		$id_form29_nuevo = $clog_Cont_formulario29->guardarCont_formulario29($cont_formulario29_nuevo);

		switch ($guardar_mas) {
			case "si" :
				$url .= "mantenedor_cont_formulario29&id_form29=$id_form29_nuevo&op=add";
				break;

			case "no" :
				$url .= "mantenedor_cont_formulario29";
				break;
		}

		header("Location: $url");
		break;

		//-------------------------------------------------- Guarda un Cont_formulario29 en la DB
	case "del" :
		//debug($_GET);

		$id_form29 = checkGET("id_form29", 0, "num");
		$cont_formulario29 = $clog_Cont_formulario29->getCont_formulario29($id_form29);
		$clog_Cont_formulario29->eliminarCont_formulario29($id_form29);
		$url .= "mantenedor_cont_formulario29";
		header("Location: $url");
		break;

		//-------------------------------------------------- Modifica un Cont_formulario29 en la DB
	case "mod" :

		//debug($_POST);
		$id_form29 = checkPOST("id_form29", 0);
		$cont_formulario29_mod = $clog_Cont_formulario29->getCont_formulario29($id_form29);

		$cont_formulario29_mod->set_id_form29(checkPOST("id_form29", ""));
		$cont_formulario29_mod->set_id_empresa(checkPOST("id_empresa", ""));
		$cont_formulario29_mod->set_id_contador(checkPOST("id_contador", ""));
		$cont_formulario29_mod->set_fecha_proceso(checkPOST("fecha_proceso", ""));
		$cont_formulario29_mod->set_facturas_recibidas(checkPOST("facturas_recibidas", ""));
		$cont_formulario29_mod->set_facturas_emitidas(checkPOST("facturas_emitidas", ""));
		$cont_formulario29_mod->set_iva_debito_fiscal(checkPOST("iva_debito_fiscal", ""));
		$cont_formulario29_mod->set_iva_credito_fiscal(checkPOST("iva_credito_fiscal", ""));
		$cont_formulario29_mod->set_iva_determinado(checkPOST("iva_determinado", ""));
		$cont_formulario29_mod->set_ppm_correspondiente(checkPOST("ppm_correspondiente", ""));
		$cont_formulario29_mod->set_total_a_pagar(checkPOST("total_a_pagar", ""));
		$cont_formulario29_mod->set_extra1(checkPOST("extra1", ""));
		$cont_formulario29_mod->set_extra2(checkPOST("extra2", ""));
		$cont_formulario29_mod->set_extra3(checkPOST("extra3", ""));
		$cont_formulario29_mod->set_fecha_creacion(checkPOST("fecha_creacion", ""));

		$clog_Cont_formulario29->actualizarCont_formulario29($cont_formulario29_mod);

		$url .= "mantenedor_cont_formulario29";
		header("Location: $url");

		break;
}
?>

