<?
$old = getcwd();
$new = "../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once("validate_session.php");

$clog_venta = new Controlador_Logico_Vtas_venta();

$id_venta 		= checkGET("idvta","");
$nro_documento 	= checkGET("nro","");

$titulo = "BOLETA DE VENTA";

$venta = $clog_venta->getVtas_venta($id_venta);
$venta->set_id_documento_emitido($nro_documento);
$venta->set_estado(4);
$clog_venta->actualizarVtas_venta($venta);

class PDF_BCI extends PDFTable {

	function Header() {
		parent :: Header();
		$this->setXY(100, 10);
		$this->Image('imagenes/logo.jpg', 10, 4, 15);
		$this->SetFont('Arial', 'B', 12);
		$this->Cell();
		$this->Cell(169, 10, 'EDESA', 0, 0, "C");
		$this->Line(2, 18, 207, 18);
		$this->ln(15);
	}

	function Footer() {
		parent :: Footer();
		$this->SetLeftMargin(25);
		$this->SetY(-25);
		//$this->Line(25, 250, 195, 250); 	
		$this->SetFont('Arial', 'B', 8);
		$this->MultiCell(170, 3, 'ADDCORP S.A', 0, 'C');
		$this->SetFont('Arial', '', 6);
		$this->MultiCell(170, 3, 'Servicios - Asesoras - Capacitacin', 0, 'C');
		$this->MultiCell(170, 3, 'Antonino Toro #1125. Fono 449 072 - 449 200. Fax 449 200. Antofagasta', 0, 'C');
		//$this->MultiCell(170, 3, 'CONTROL INTEGRAL DE PLAGAS', 0, 'C');
		//$this->SetFont('Arial', '', 6);
		//$this->MultiCell(170, 3, 'Medidas Sanitarias - Mecnicas - Fsicas - Biolgicas - Qumicas. Resolucin N5801 del 10.12.2002', 0, 'C');
		//$this->MultiCell(170, 3, 'Av Edmundo Prez Zucovic N8796 Fono - Fax 56-55-773919 Antofagasta', 0, 'C');
				
		//$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
	}
} //fin clase

//Creacin del objeto de la clase heredada
$pdf = new PDF_BCI();
$pdf->AddPage();
$pdf->SetFont('Times', 'U', 10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');
$pdf->SetAutoPageBreak(true, 40);
$pdf->SetMargins(2, 40, 2);

$pdf->setXY(0, 5);
//$pdf->Cell(0, 0, "N ".$comprobante->get_numero(), 0, 1, 'R');
$pdf->setXY(0, 10);
$pdf->Cell(0, 0, $titulo, 0, 1, 'C');
$pdf->setXY(0, 14);
//$pdf->Cell(0, 0, $fecha_proceso, 0, 1, 'C');
$pdf->setXY(0, 20);
$pdf->SetFont('Times', '', 10);


	
$pdf->ln();
$pdf->htmltable($tabla_info_comprobante);

$nombre_archivo = "boleta_venta".$nro_documento.".pdf";
$path_archivo	= "modulos/impresion/pdf/boletas/";
mkdir($path_archivo);

$pdf->Output($path_archivo . $nombre_archivo, I);

return("nombre_archivo=$nombre_archivo");   
?>