<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../admin_session.php?i=modulos/presupuesto/";

$operacion = checkGET("op","");
//debug($_POST);

$clog_Cont_presupuesto = new Controlador_Logico_Cont_presupuesto();
$clog_presupuesto_por_cc = new Controlador_Logico_Cont_presupuesto_por_centro_costo();

switch ($operacion){
	//-------------------------------------------------- Guarda un Cont_presupuesto en la DB
	case "add":

	//debug($_POST);

	$id_presupuesto = checkPOST("id_presupuesto", "");
	$descripcion = checkPOST("descripcion", "");
	$estado = checkPOST("estado", "");
	$ano = checkPOST("fecha_presupuestoYear", "");
	$fecha_cierre = convertirFecha_fechabd(checkPOST("fecha_cierre", ""));
	$fecha_apertura = convertirFecha_fechabd(checkPOST("fecha_apertura",""));
	if(!$fecha_apertura) $fecha_apertura = hoy();
	$total_presupuestado = checkPOST("total_presupuestado", "");
	$total_real = checkPOST("total_real", "");
	$extra1 = checkPOST("extra1", "");
	$extra2 = checkPOST("extra2", "");
	$extra3 = checkPOST("extra3", "");
	$guardar_mas = checkPOST("guardar_mas","");

	$cont_presupuesto_nuevo = new Cont_presupuesto();
	$cont_presupuesto_nuevo->set_id_presupuesto($id_presupuesto);
	$cont_presupuesto_nuevo->set_descripcion($descripcion);
	$cont_presupuesto_nuevo->set_estado($estado);
	$cont_presupuesto_nuevo->set_ano($ano);
	$cont_presupuesto_nuevo->set_fecha_cierre($fecha_cierre);
	$cont_presupuesto_nuevo->set_fecha_apertura($fecha_apertura);
	$cont_presupuesto_nuevo->set_total_presupuestado($total_presupuestado);
	$cont_presupuesto_nuevo->set_total_real($total_real);
	$cont_presupuesto_nuevo->set_extra1($extra1);
	$cont_presupuesto_nuevo->set_extra2($extra2);
	$cont_presupuesto_nuevo->set_extra3($extra3);


	$id_cont_presupuesto_nuevo = $clog_Cont_presupuesto->guardarCont_presupuesto($cont_presupuesto_nuevo);

	$url .= "mantenedor_cont_presupuesto";
	
	header("Location: $url");
	break;


	//-------------------------------------------------- Guarda un Cont_presupuesto en la DB
	case "del":
	//debug($_GET);

	$id_presupuesto = checkGET("id_presupuesto", 0, "num");
	$cont_presupuesto = $clog_Cont_presupuesto->getCont_presupuesto($id_presupuesto);

	$filtro_pcc["id_presupuesto"] = $id_presupuesto;
	$listado_presupuesto_por_cc = $clog_presupuesto_por_cc->getListadoCont_presupuesto_por_centro_costo($filtro_pcc, $extra_pcc);	//debug($listado_documento_venta);
	if ($listado_presupuesto_por_cc){
		$msg = "No es posible eliminar este Presupuesto, ya que tiene Detalles de Centros de costos asociados a l.";
	}else{
		$clog_Cont_presupuesto->eliminarCont_presupuesto($id_presupuesto);	
	}

	
	$url .= "mantenedor_cont_presupuesto&msg=$msg";
	header("Location: $url");
	break;


	//-------------------------------------------------- Modifica un Cont_presupuesto en la DB
	case "mod":

	//debug($_POST);
	$id_presupuesto			= checkPOST("id_presupuesto", 0);
	$cont_presupuesto_mod = $clog_Cont_presupuesto->getCont_presupuesto($id_presupuesto);

	$fecha_cierre = convertirFecha_fechabd(checkPOST("fecha_cierre", ""));
	$fecha_apertura = convertirFecha_fechabd(checkPOST("fecha_apertura", ""));

	$cont_presupuesto_mod->set_descripcion(checkPOST("descripcion", ""));
	$cont_presupuesto_mod->set_estado(checkPOST("estado", ""));
	$cont_presupuesto_mod->set_ano(checkPOST("fecha_presupuestoYear", ""));
	$cont_presupuesto_mod->set_fecha_cierre($fecha_cierre);
	$cont_presupuesto_mod->set_fecha_apertura($fecha_apertura);
	$cont_presupuesto_mod->set_total_presupuestado(checkPOST("total_presupuestado", ""));
	$cont_presupuesto_mod->set_total_real(checkPOST("total_real", ""));
	$cont_presupuesto_mod->set_extra1(checkPOST("extra1", ""));
	$cont_presupuesto_mod->set_extra2(checkPOST("extra2", ""));
	$cont_presupuesto_mod->set_extra3(checkPOST("extra3", ""));

	$clog_Cont_presupuesto->actualizarCont_presupuesto($cont_presupuesto_mod);

	$url .= "mantenedor_cont_presupuesto";
	header("Location: $url");

	break;
}

?>
