<?php
/*
 * Creado el 15-01-2008
 * Por Boris Cea
 */
$old = getcwd();
$new = "../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once("validate_session.php");

$clog_libro_compra= new Controlador_Logico_Libro_compra();
$f = checkGET("f",false);

if ($f){
	$f = explode(".",$f);
	$ao_proceso = $f[0];
	$mes_proceso = $f[1];
}
else{
	if (($_SESSION["mes_proceso"])  && $_SESSION["ao_proceso"])
	{
		$mes_proceso = $_SESSION["mes_proceso"];
		$ao_proceso = $_SESSION["ao_proceso"];
	}else{
		$mes_proceso = substr(hoy(),4,2);
		$ao_proceso = substr(hoy(),0,4);
	}	
}
$year_proceso=$_SESSION["ao_proceso"];//checkGET("year_proceso","");
$id_profesional = checkGET("id_profesional","");

$clog_boleta = new Controlador_Logico_Boleta();
$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$empresa = Empresa_getEmpresa($id_empresa_seleccionada);
$clog_Cliente_proveedor = new Controlador_Logico_Cliente_proveedor();
$cliente_proveedor = $clog_Cliente_proveedor->getCliente_proveedor($id_profesional);
$total_boletas = 0;

$vector_enero=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."01");
$vector_febrero=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."02");
$vector_marzo=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."03");
$vector_abril=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."04");
$vector_mayo=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."05");
$vector_junio=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."06");
$vector_julio=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."07");
$vector_agosto=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."08");
$vector_septiembre=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."09");
$vector_octubre=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."10");
$vector_noviembre=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."11");
$vector_ciciembre=$clog_boleta->getTotalesParaCertificadoPorFechaProceso($id_profesional,$year_proceso."12");

$titulo = "Certificado sobre Honorarios ".$ao_proceso;

//Creacin del objeto de la clase heredada
$pdf = new PDF('P','mm','Letter');
$pdf->SetRightMargin(10);
$pdf->SetLeftMargin(10);

//		$pdf->SetXY(15, 10);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','B',13);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');
$pdf->SetFont('Times','B',12);
$pdf->SetAutoPageBreak(true, 30);

//$pdf->Cell(0,0,$nro_cotizacion,0,1,'R');
$pdf->SetFillColor(255, 204, 066);
$pdf->SetFillColor(192, 255, 255); 
$pdf->SetFont('Times','B',6);
$pdf->Cell(0,0,"Emisin: ".convertirFechaBD_fecha(hoy()),0,1,'R');
$pdf->SetFont('Times',"",14);
$pdf->Cell(0,0,$titulo,0,1,'C');
$pdf->SetFont('Times',"",8);
$pdf->ln(8);

$pdf->SetFillColor(234, 234, 234);

$pdf->Cell(25,5, "Empleador" ,1,0,'L',1);
$pdf->Cell(30,5, $empresa->get_razon_social() ,1,1,'L',1);
$pdf->Cell(25,5, "RUT" ,1,0,'L',1);
$pdf->Cell(30,5, $empresa->get_rut() ,1,1,'L',1);
$pdf->Cell(25,5, "Direccin" ,1,0,'L',1);
$pdf->Cell(30,5, $empresa->get_direccion() ,1,1,'L',1);
$pdf->Cell(25,5, "Giro o Actividad" ,1,0,'L',1);
$pdf->Cell(30,5, $empresa->get_giro() ,1,1,'L',1);
$pdf->ln(8);
$pdf->SetFillColor(255,255,255);
$pdf->Cell(40,5, $empresa->get_razon_social()." certifica que el seor: ".$cliente_proveedor->get_nombre().", RUT ".$cliente_proveedor->get_rut().", en su calidad de prestador de servicios profesionales en forma independiente, durante el ao $year"  ,0,1,'L',1);
//$pdf->Cell(40,5, "RUT ".$cliente_proveedor->get_rut().", en su calidad de prestador de servicios profesionales en forma independiente, durante el ao $year" ,0,1,'L',1);
$pdf->Cell(40,5, "se le han pagado las rentas por concepto de HONORARIOS que se indican y sobre las cuales se le practicaron las retenciones de impuestos que se sealan:" ,0,1,'L',1);
$pdf->ln(8);
$pdf->SetFillColor(234, 234, 234);
$pdf->Cell(20,5, "" ,1,0,'C',1);
$pdf->Cell(20,5, "" ,1,0,'C',1);
$pdf->Cell(20,5, "" ,1,0,'C',1);
$pdf->Cell(23,5, "" ,1,0,'C',1);
$pdf->Cell(46,5, "Montos actualizados" ,1,1,'C',1);

$pdf->Cell(20,5, "Perodo" ,1,0,'C',1);
$pdf->Cell(20,5, "Honorario Bruto" ,1,0,'C',1);
$pdf->Cell(20,5, "Ret.de Impuesto" ,1,0,'C',1);
$pdf->Cell(23,5, "Fact. actualizacin" ,1,0,'C',1);
$pdf->Cell(23,5, "Honorario Bruto" ,1,0,'C',1);
$pdf->Cell(23,5, "Ret. de impuesto" ,1,1,'C',1);
$pdf->SetFillColor(255,255,255);
$total_bruto_enero=$vector_enero["total_neto"]+$vector_enero["impuesto"];
$factor_actualizacion_enero=$clog_boleta->getFactorActualizacion("01",$year_proceso);
$pdf->Cell(20,5, "Enero" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_enero),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_enero["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_enero ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_enero*$factor_actualizacion_enero) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_enero["impuesto"]*$factor_actualizacion_enero) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_enero*$factor_actualizacion_enero;
$total_actualizacion_impuesto=$vector_enero["impuesto"]*$factor_actualizacion_enero+$total_actualizacion_impuesto;

$total_bruto_febrero=$vector_febrero["total_neto"]+$vector_febrero["impuesto"];
$factor_actualizacion_febrero=$clog_boleta->getFactorActualizacion("02",$year_proceso);
$pdf->Cell(20,5, "Febrero" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_febrero),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_febrero["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_febrero ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_febrero*$factor_actualizacion_febrero) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_febrero["impuesto"]*$factor_actualizacion_febrero) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_febrero*$factor_actualizacion_febrero+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_febrero["impuesto"]*$factor_actualizacion_febrero+$total_actualizacion_impuesto;

$total_bruto_marzo=$vector_marzo["total_neto"]+$vector_marzo["impuesto"];
$factor_actualizacion_marzo=$clog_boleta->getFactorActualizacion("03",$year_proceso);
$pdf->Cell(20,5, "Marzo" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_marzo),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_marzo["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_marzo ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_marzo*$factor_actualizacion_marzo) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_marzo["impuesto"]*$factor_actualizacion_marzo) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_marzo*$factor_actualizacion_marzo+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_marzo["impuesto"]*$factor_actualizacion_marzo+$total_actualizacion_impuesto;

$total_bruto_abril=$vector_abril["total_neto"]+$vector_abril["impuesto"];
$factor_actualizacion_abril=$clog_boleta->getFactorActualizacion("04",$year_proceso);
$pdf->Cell(20,5, "Abril" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_abril),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_abril["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_abril ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_abril*$factor_actualizacion_abril) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_abril["impuesto"]*$factor_actualizacion_abril) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_abril*$factor_actualizacion_abril+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_abril["impuesto"]*$factor_actualizacion_abril+$total_actualizacion_impuesto;


$total_bruto_mayo=$vector_mayo["total_neto"]+$vector_mayo["impuesto"];
$factor_actualizacion_mayo=$clog_boleta->getFactorActualizacion("05",$year_proceso);
$pdf->Cell(20,5, "Mayo" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_mayo),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_mayo["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_mayo ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_mayo*$factor_actualizacion_mayo) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_mayo["impuesto"]*$factor_actualizacion_mayo) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_mayo*$factor_actualizacion_mayo+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_mayo["impuesto"]*$factor_actualizacion_mayo+$total_actualizacion_impuesto;

$total_bruto_junio=$vector_junio["total_neto"]+$vector_junio["impuesto"];
$factor_actualizacion_junio=$clog_boleta->getFactorActualizacion("06",$year_proceso);
$pdf->Cell(20,5, "Junio" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_junio),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_junio["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_junio ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_junio*$factor_actualizacion_junio) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_junio["impuesto"]*$factor_actualizacion_junio) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_junio*$factor_actualizacion_junio+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_junio["impuesto"]*$factor_actualizacion_junio+$total_actualizacion_impuesto;

$total_bruto_julio=$vector_julio["total_neto"]+$vector_julio["impuesto"];
$factor_actualizacion_junio=$clog_boleta->getFactorActualizacion("07",$year_proceso);
$pdf->Cell(20,5, "Junio" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_junio),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_julio["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_junio ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_julio*$factor_actualizacion_julio) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_julio["impuesto"]*$factor_actualizacion_julio) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_julio*$factor_actualizacion_julio+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_julio["impuesto"]*$factor_actualizacion_julio+$total_actualizacion_impuesto;

$total_bruto_agosto=$vector_agosto["total_neto"]+$vector_agosto["impuesto"];
$factor_actualizacion_agosto=$clog_boleta->getFactorActualizacion("08",$year_proceso);
$pdf->Cell(20,5, "Agosto" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_agosto),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_agosto["impuesto"]),1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_agosto ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_agosto*$factor_actualizacion_agosto),1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_agosto["impuesto"]*$factor_actualizacion_agosto),1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_agosto*$factor_actualizacion_agosto+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_agosto["impuesto"]*$factor_actualizacion_agosto+$total_actualizacion_impuesto;

$total_bruto_septiembre=$vector_septiembre["total_neto"]+$vector_septiembre["impuesto"];
$factor_actualizacion_septiembre=$clog_boleta->getFactorActualizacion("09",$year_proceso);
$pdf->Cell(20,5, "Septiembre" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_septiembre),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_septiembre["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_septiembre ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_septiembre*$factor_actualizacion_septiembre) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_septiembre["impuesto"]*$factor_actualizacion_septiembre) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_septiembre*$factor_actualizacion_septiembre+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_septiembre["impuesto"]*$factor_actualizacion_septiembre+$total_actualizacion_impuesto;

$total_bruto_octubre=$vector_octubre["total_neto"]+$vector_octubre["impuesto"];
$factor_actualizacion_octubre=$clog_boleta->getFactorActualizacion("10",$year_proceso);
$pdf->Cell(20,5, "Octubre" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_octubre),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_octubre["impuesto"]),1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_octubre ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_octubre*$factor_actualizacion_octubre),1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_octubre["impuesto"]*$factor_actualizacion_octubre),1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_octubre*$factor_actualizacion_octubre+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_octubre["impuesto"]*$factor_actualizacion_octubre+$total_actualizacion_impuesto;

$total_bruto_noviembre=$vector_noviembre["total_neto"]+$vector_noviembre["impuesto"];
$factor_actualizacion_noviembre=$clog_boleta->getFactorActualizacion("11",$year_proceso);
$pdf->Cell(20,5, "Noviembre" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_noviembre),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_noviembre["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_noviembre ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_noviembre*$factor_actualizacion_noviembre) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_noviembre["impuesto"]*$factor_actualizacion_noviembre) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_noviembre*$factor_actualizacion_noviembre+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_noviembre["impuesto"]*$factor_actualizacion_noviembre+$total_actualizacion_impuesto;


$total_bruto_diciembre=$vector_diciembre["total_neto"]+$vector_diciembre["impuesto"];
$factor_actualizacion_diciembre=$clog_boleta->getFactorActualizacion("12",$year_proceso);
$pdf->Cell(20,5, "Diciembre" ,1,0,'L',1);
$pdf->Cell(20,5, money_php($total_bruto_diciembre),1,0,'R',1);
$pdf->Cell(20,5, money_php($vector_diciembre["impuesto"]) ,1,0,'R',1);
$pdf->Cell(23,5, $factor_actualizacion_diciembre,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_bruto_diciembre*$factor_actualizacion_diciembre) ,1,0,'R',1);
$pdf->Cell(23,5, money_php($vector_diciembre["impuesto"]*$factor_actualizacion_diciembre) ,1,1,'R',1);
$total_actualizacion_bruto=$total_bruto_diciembre*$factor_actualizacion_diciembre+$total_actualizacion_bruto;
$total_actualizacion_impuesto=$vector_diciembre["impuesto"]*$factor_actualizacion_diciembre+$total_actualizacion_impuesto;

$total_bruto=$total_bruto_enero+$total_bruto_febrero+$total_bruto_marzo+$total_bruto_abril+$total_bruto_mayo+$total_bruto_junio+$total_bruto_julio+$total_bruto_agosto+$total_bruto_septiembre+$total_bruto_octubre+$total_bruto_noviembre+$total_bruto_diciembre;
$total_impuesto=$vector_enero["impuesto"]+$vector_febrero["impuesto"]+$vector_marzo["impuesto"]+$vector_abril["impuesto"]+$vector_mayo["impuesto"]+$vector_junio["impuesto"]+$vector_julio["impuesto"]+$vector_agosto["impuesto"]+$vector_septiembre["impuesto"]+$vector_octubre["impuesto"]+$vector_noviembre["impuesto"]+$vector_diciembre["impuesto"];  

$pdf->Cell(20,5, "TOTALES" ,1,0,'R',1);
$pdf->Cell(20,5, money_php($total_bruto),1,0,'R',1);
$pdf->Cell(20,5, money_php($total_impuesto) ,1,0,'R',1);
$pdf->Cell(23,5, "--" ,1,0,'R',1);
$pdf->Cell(23,5, money_php($total_actualizacion_bruto),1,0,'R',1);
$pdf->Cell(23,5, money_php($total_actualizacion_impuesto),1,1,'R',1);

$pdf->SetFont('Times','',8);
$pdf->SetFillColor(255, 255, 255);

//
//foreach ($listado_boleta as $item){
//	$alto = 5;
//	$pdf->Cell(15,$alto, $item->get_correlativo() ,1,0,'C',1);
//	$pdf->Cell(15,$alto, $item->get_numero_boleta() ,1,0,'C',1);
//	$pdf->Cell(25,$alto, convertirFechaBD_fecha($item->get_fecha_emision()) ,1,0,'C',1);
//	$pdf->Cell(50,$alto, $item->get_nombre() ,1,0,'C',1);
//	$pdf->Cell(23,$alto, $item->get_rut() ,1,0,'C',1);
//	$pdf->Cell(23,$alto, money_php($item->get_total_neto()) ,1,0,'R',1);
//	$pdf->Cell(23,$alto, money_php($item->get_impuesto()) ,1,0,'R',1);
//	$pdf->Cell(23,$alto, money_php($item->get_total_bruto()) ,1,1,'R',1); 
//}
//
//$pdf->ln(5);
//
//$alto =+ 5;
//$pdf->Cell(105,$alto, "" ,0,0,'C',1);
//$pdf->SetFillColor(234, 234, 234);
//$pdf->Cell(70,$alto, "Cant. de Boletas Recibidas" ,1,0,'C',1);
//$pdf->SetFillColor(255, 255, 255);
//$pdf->Cell(20,$alto, $total_boletas ,1,1,'C',1);
//$pdf->Cell(105,$alto, "" ,0,0,'C',1);
//$pdf->SetFillColor(234, 234, 234);
//$pdf->Cell(30,$alto, "TOTAL LQUIDO" ,1,0,'C',1);
//$pdf->Cell(30,$alto, "RETENCIN" ,1,0,'C',1);
//$pdf->Cell(30,$alto, "TOTAL BRUTO" ,1,1,'C',1);
//$pdf->SetFillColor(255, 255, 255);
//$pdf->Cell(105,$alto, "" ,0,0,'C',1);
//$pdf->Cell(30,$alto, money_php($total_neto) ,1,0,'C',1);
//$pdf->Cell(30,$alto, money_php($total_iva) ,1,0,'C',1);
//$pdf->Cell(30,$alto, money_php($total_bruto) ,1,1,'C',1);
$nombre_archivo = $empresa->get_nombre() . " - libro_honorario"  . $ao_proceso ."-". $mes_proceso . ".pdf";
$path_archivo	= "modulos/reportes/pdf/libro_honorarios/";
mkdir($path_archivo);

//$pdf->Output($path_archivo . $nombre_archivo);
$pdf->Output($path_archivo . $nombre_archivo, I);

return("nombre_archivo=$nombre_archivo");   
?>
?>
