<?
$old = getcwd();
$new = "../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once ("validate_session.php");
include_once ("variables_globales.inc");

// CAPTURA DE DATOS
$id_comprobante = checkGET("idcmp", "");
$fin = checkGET("f", false);
$inicio = checkGET("i", false);
$f = explode("/", convertirFechaBD_fecha($fin));
$i = explode("/", convertirFechaBD_fecha($inicio));
$ao_proceso_fin = $f[2];
$mes_proceso_fin = $f[1];
$dia_proceso_fin = $f[0];

$ao_proceso_ini = $i[2];
$mes_proceso_ini = $i[1];
$dia_proceso_ini = $i[0];

$listado_cont_documento = $_SESSION["listado_documentos"];
$cliente_proveedor 		= $_SESSION["cliente_proveedor"];
$intervalo = $_SESSION["intervalo"];
$estado = $_SESSION["estado_epagos"];
$nombre_impresion = $_SESSION["nombre_impresion"];

switch($estado){
	case "0": $estado = "IMPAGAS";break;
	case "1": $estado = "ABONADAS";break;
	case "2": $estado = "CANCELADAS";break;
	case "3": $estado = "VENCIDAS";break;
	case "99": $estado = "POR VENCER";break;
	case "4": $estado = "TODAS";break;
}

$fecha_array = explode("#",$intervalo);
$fecha_1 = substr($fecha_array[0],4,2)."/".substr($fecha_array[0],0,4);
$fecha_2 = substr($fecha_array[1],4,2)."/".substr($fecha_array[1],0,4);


$titulo = "ESTADO DE PAGOS ($nombre_impresion) - INTERVALO $fecha_1 AL $fecha_2 - FACTURAS: $estado";


$id_empresa = $_SESSION["id_empresa_seleccionada"];
$empresa = Empresa_getEmpresa($id_empresa);


class PDF_BCI extends PDFTable {

	function Header() {
		parent :: Header();
		$this->setXY(100, 10);
		$this->Image(''.$this->conf_empresa_logo_reporte, 5, 4, 15);
		$this->SetFont('Arial', 'B', 12);
		$this->Cell();
	//	$this->Cell(169, 10, 'ADDCORP', 0, 0, "C");
		$this->Line(5, 20, 290, 20);
		$this->ln(15);
	}

	function Footer() {

		parent :: Footer();
		$this->SetLeftMargin(2);
		$this->SetY(-12);
		//$this->Line(25, 250, 195, 250); 	
		$this->SetFont('Arial', 'B', 8);
		//$this->MultiCell(240, 3, 'ADDCORP S.A', 0, 'C');
		$this->SetFont('Arial', '', 6);
		//$this->MultiCell(240, 3, 'Servicios - Asesoras - Capacitacin', 0, 'C');
		//$this->MultiCell(240, 3, 'Antonino Toro #1125. Fono 449 072 - 449 200. Fax 449 200. Antofagasta', 0, 'C');
		//$this->MultiCell(240);
		$this->SetFont('Arial', '', 6);
		$this->MultiCell(240, 3, $this->conf_empresa_pie_1, 0, 'C');
		$this->MultiCell(240, 3, $this->conf_empresa_pie_2, 0, 'C');

		//$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
	}
} //fin clase

//Creacin del objeto de la clase heredada

$pdf = new PDF_BCI("L", "mm", "A4", $conf_empresa_logo_reporte, $conf_empresa_pie_1, $conf_empresa_pie_2);
$pdf->AddPage();
$pdf->SetFont('Times', 'U', 10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');

$pdf->SetRightMargin(5);
$pdf->SetLeftMargin(5);
$pdf->SetAutoPageBreak(true, 200);

$pdf->setXY(0, 5);
//$pdf->Cell(0, 0, "N ".$comprobante->get_numero(), 0, 1, 'R');
$pdf->setXY(0, 10);
$pdf->Cell(0, 0, $titulo, 0, 1, 'C');
$pdf->setXY(0, 14);
//$pdf->Cell(0, 0, $fecha_proceso, 0, 1, 'C');
$pdf->setXY(0, 20);
$pdf->SetFont('Times', '', 7);


$tabla_cliente_proveedor = "
	<table width=267 border=0 align='center'>
		<tr>
			<td width=30>Nombre Cliente</td>
			<td>: ".$cliente_proveedor->get_razon_social()."</td>
		</tr>
		<tr>
			<td width=30>RUT</td>
			<td>: ".$cliente_proveedor->get_rut()."</td>
		</tr>
	</table>	
";
$pdf->ln(2);
$pdf->htmltable($tabla_cliente_proveedor);
$pdf->ln();



$tabla_encabezado = "
	
<table width=286 border=1>
<tr>
<td width='26' align='center'>N Docto</td>
<td width='40' align='center'>Fecha Docto</td>
<td width='40' align='center'>Fecha Cancelacin </td>
<td width='40' align='center'>Fecha Vencimiento </td>
<td width='20' align='center'>Estado </td>
<td width='40' align='center'>Total Bruto </td>
<td width='40' align='center'>Total Pagos </td>
<td width='40' align='center'>Total Saldos </td>
</tr></table>";
$pdf->htmltable($tabla_encabezado);

$tabla_cuerpo = "<table width=286 border=1>";
$total_saldos = 0;
$total_pagos  = 0;
$total_bruto  = 0;
foreach ($listado_cont_documento as $doc){
	$tabla_cuerpo .= "
	<tr>
	<td width='26' align='center'>".$doc->get_numero_documento()."</td>
	<td width='40' align='center'>".convertirFechaBD_fecha($doc->get_fecha_documento())."</td>
	<td width='40' align='center'>".convertirFechaBD_fecha($doc->get_fecha_cancelacion())."</td>
	<td width='40' align='center'>".convertirFechaBD_fecha($doc->get_fecha_vencimiento())."</td>
	<td width='20' align='center'>".$doc->get_nombre_estado()."</td>
	<td width='40' align='right'>".money_php($doc->get_total_bruto())."</td>
	<td width='40' align='right'>".money_php($doc->get_total_pagos())."</td>
	<td width='40' align='right'>".money_php($doc->get_total_saldos())."</td>

	</tr>";
	$total_saldos += $doc->get_total_saldos();
	$total_pagos  += $doc->get_total_pagos();
	$total_bruto  += $doc->get_total_bruto();
}




$tabla_cuerpo .= "</table>";
$pdf->htmltable($tabla_cuerpo);

$pdf->ln();

$tabla_resumen = "<table width=75 border=1 align=right>
		<tr>
			<td width='25' align='center'>Total Bruto </td>
			<td width='25' align='center'>Total Pagos </td>
			<td width='25' align='center'>Total Saldos</td>				
		</tr>
		<tr>
			<td width='25' align='right'>".money_php($total_bruto)."</td>
			<td width='25' align='right'>".money_php($total_pagos)."</td>
			<td width='25' align='right'>".money_php($total_saldos)."</td>
		</tr>		
	</table>";
$pdf->htmltable($tabla_resumen);




$pdf->SetFillColor(234, 234, 234);

$pdf->SetFont('Times', 'B', 8);

$pdf->ln();

$nombre_archivo = $empresa->get_nombre()." - estado ".$dia_proceso."-".$mes_proceso."-".$ao_proceso.".pdf";
$path_archivo = "modulos/reportes/pdf/libro_venta/";
mkdir($path_archivo);

//$pdf->Output($path_archivo . $nombre_archivo);
$pdf->Output($path_archivo/$nombre_archivo, I);

return ("nombre_archivo=$nombre_archivo");
?>