<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once("validate_session.php");

$clog_libro_compra= new Controlador_Logico_Libro_compra();
$f = checkGET("f",false);

if ($f){
	$f = explode(".",$f);
	$ao_proceso = $f[0];
	$mes_proceso = $f[1];
}
else{
	if (($_SESSION["mes_proceso"])  && $_SESSION["ao_proceso"])
	{
		$mes_proceso = $_SESSION["mes_proceso"];
		$ao_proceso = $_SESSION["ao_proceso"];
	}else{
		$mes_proceso = substr(hoy(),4,2);
		$ao_proceso = substr(hoy(),0,4);
	}	
}
$clog_boleta = new Controlador_Logico_Boleta();
$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$empresa = ContEmpresa_getContEmpresa($id_empresa_seleccionada);
$total_boletas = 0;
$extra_boleta["sql"] = "WHERE cont_boleta.fecha_proceso Between '$ao_proceso$mes_proceso' AND '$ao_proceso$mes_proceso' ORDER BY 'cont_boleta.correlativo'";

$listado_boleta = $clog_boleta->getListadoBoleta($filtro_boleta, $extra_boleta);

foreach ($listado_boleta as $boleta) {
	$total_iva += $boleta->get_impuesto();
	$total_neto += $boleta->get_total_neto();
	$total_bruto += $boleta->get_total_bruto();
	$total_boletas ++;
}

$titulo = "Libro de Honorarios ".convertir_fecha_proceso($mes_proceso,$ao_proceso);

//Creacin del objeto de la clase heredada
$pdf = new PDF('P','mm','Letter');
$pdf->SetRightMargin(10);
$pdf->SetLeftMargin(10);

//		$pdf->SetXY(15, 10);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','BU',10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');
$pdf->SetFont('Times','BU',12);
$pdf->SetAutoPageBreak(true, 30);

//$pdf->Cell(0,0,$nro_cotizacion,0,1,'R');
$pdf->SetFillColor(255, 204, 066);
$pdf->SetFillColor(192, 255, 255); 
$pdf->SetFont('Times','BU',10);
$pdf->Cell(0,0,convertirFechaBD_fecha(hoy()),0,1,'R');
$pdf->Cell(0,0,$titulo,0,1,'C');
$pdf->SetFont('Times','BU',8);
$pdf->ln(8);

$pdf->SetFillColor(234, 234, 234);

$pdf->Cell(15,5, "Corr" ,1,0,'C',1);
$pdf->Cell(15,5, "N Doc" ,1,0,'C',1);
$pdf->Cell(25,5, "Fecha Emisin" ,1,0,'C',1);
$pdf->Cell(50,5, "Profesional" ,1,0,'C',1);
$pdf->Cell(23,5, "RUT" ,1,0,'C',1);
$pdf->Cell(23,5, "T.Lquido" ,1,0,'C',1);
$pdf->Cell(23,5, "Retencin" ,1,0,'C',1);
$pdf->Cell(23,5, "T.Bruto" ,1,1,'C',1); 
$pdf->SetFont('Times','',8);
$pdf->SetFillColor(255, 255, 255);


foreach ($listado_boleta as $item){
	$alto = 5;
	$pdf->Cell(15,$alto, $item->get_correlativo() ,1,0,'C',1);
	$pdf->Cell(15,$alto, $item->get_numero_boleta() ,1,0,'C',1);
	$pdf->Cell(25,$alto, convertirFechaBD_fecha($item->get_fecha_emision()) ,1,0,'C',1);
	$pdf->Cell(50,$alto, $item->get_nombre() ,1,0,'C',1);
	$pdf->Cell(23,$alto, $item->get_rut() ,1,0,'C',1);
	$pdf->Cell(23,$alto, money_php($item->get_total_neto()) ,1,0,'R',1);
	$pdf->Cell(23,$alto, money_php($item->get_impuesto()) ,1,0,'R',1);
	$pdf->Cell(23,$alto, money_php($item->get_total_bruto()) ,1,1,'R',1); 
}

$pdf->ln(5);

$alto =+ 5;
$pdf->Cell(105,$alto, "" ,0,0,'C',1);
$pdf->SetFillColor(234, 234, 234);
$pdf->Cell(70,$alto, "Cant. de Boletas Recibidas" ,1,0,'C',1);
$pdf->SetFillColor(255, 255, 255);
$pdf->Cell(20,$alto, $total_boletas ,1,1,'C',1);
$pdf->Cell(105,$alto, "" ,0,0,'C',1);
$pdf->SetFillColor(234, 234, 234);
$pdf->Cell(30,$alto, "TOTAL LQUIDO" ,1,0,'C',1);
$pdf->Cell(30,$alto, "RETENCIN" ,1,0,'C',1);
$pdf->Cell(30,$alto, "TOTAL BRUTO" ,1,1,'C',1);
$pdf->SetFillColor(255, 255, 255);
$pdf->Cell(105,$alto, "" ,0,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_neto) ,1,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_iva) ,1,0,'C',1);
$pdf->Cell(30,$alto, money_php($total_bruto) ,1,1,'C',1);
$nombre_archivo = $empresa->get_nombre() . " - libro_honorario"  . $ao_proceso ."-". $mes_proceso . ".pdf";
$path_archivo	= "modulos/reportes/pdf/libro_honorarios/";
mkdir($path_archivo);

//$pdf->Output($path_archivo . $nombre_archivo);
$pdf->Output($path_archivo . $nombre_archivo, I);

return("nombre_archivo=$nombre_archivo");   
?>