<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

require_once 'Spreadsheet/Excel/Writer.php';	

include_once("validate_session.php");

$clog_libro_compra= new Controlador_Logico_Libro_compra();
$f = checkGET("f",false);

if ($f){
	$f = explode(".",$f);
	$ao_proceso = $f[0];
	$mes_proceso = $f[1];
}
else{
	if (($_SESSION["mes_proceso"])  && $_SESSION["ao_proceso"])
	{
		$mes_proceso = $_SESSION["mes_proceso"];
		$ao_proceso = $_SESSION["ao_proceso"];
	}else{
		$mes_proceso = substr(hoy(),4,2);
		$ao_proceso = substr(hoy(),0,4);
	}	
}
$clog_boleta = new Controlador_Logico_Boleta();
$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$empresa = ContEmpresa_getContEmpresa($id_empresa_seleccionada);
$total_boletas = 0;
$extra_boleta["sql"] = "WHERE cont_boleta.fecha_proceso Between '$ao_proceso$mes_proceso' AND '$ao_proceso$mes_proceso' ORDER BY 'cont_boleta.correlativo'";

$listado_boleta = $clog_boleta->getListadoBoleta($filtro_boleta, $extra_boleta);

foreach ($listado_boleta as $boleta) {
	$total_iva += $boleta->get_impuesto();
	$total_neto += $boleta->get_total_neto();
	$total_bruto += $boleta->get_total_bruto();
	$total_boletas ++;
}



$workbook = new Spreadsheet_Excel_Writer();
$nombre_archivo=str_replace(" ","_","libro_honorarios");
$nombre_archivo=substr($nombre_archivo,0,25); 
$workbook->send("$nombre_archivo.xls");

// **************** Seteo de formatos ************************
$formato_titulo_grande=& $workbook->addFormat();
$formato_titulo_grande->setSize (14);
$formato_titulo_grande->setBold (1);
$formato_titulo_grande->setFgColor("blue");
$formato_titulo_grande->setColor ("white");
$formato_titulo =& $workbook->addFormat();
$formato_titulo->setBold (1);
$formato_titulo->setFgColor("blue");
$formato_titulo->setColor ("white");

// ***************** NOMBRE DE LA HOJA *************************
$worksheet =& $workbook->addWorksheet("$nombre_archivo");
//Registrar ttulo principal
$titulo_principal = "LIBRO DE HONORARIOS: ".convertir_fecha_proceso($mes_proceso,$ao_proceso);
$worksheet->writeString ($count_row, 0, $titulo_principal,$formato_titulo_grande);
$worksheet->writeString ($count_row, 7, convertirFechaBD_fecha(hoy()),$formato_titulo);



// ******************** ENCABEZADOS DE COLUMNAS ************************
$col = 1;
$fila = 3;

$worksheet->writeString($fila, $col++, "CORR",$formato_titulo);
$worksheet->writeString($fila, $col++, "N Doc",$formato_titulo);
$worksheet->writeString($fila, $col++, "Fecha emisin",$formato_titulo);
$worksheet->writeString($fila, $col++, "Profesional",$formato_titulo);
$worksheet->writeString($fila, $col++, "RUT",$formato_titulo);
$worksheet->writeString($fila, $col++, "T. Lquido",$formato_titulo);
$worksheet->writeString($fila, $col++, "Retencin",$formato_titulo);
$worksheet->writeString($fila, $col++, "T.Bruto",$formato_titulo);


foreach ($listado_boleta as $item){
	$col = 1;
	$fila++;

	$worksheet->writeString($fila, $col++, $item->get_correlativo(),$formato);
	$worksheet->writeString($fila, $col++, $item->get_numero_boleta(),$formato);
	$worksheet->writeString($fila, $col++, convertirFechaBD_fecha($item->get_fecha_emision()),$formato);
	$worksheet->writeString($fila, $col++,  $item->get_nombre(),$formato);
	$worksheet->writeString($fila, $col++, $item->get_rut(),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_neto()),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_impuesto()),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_bruto()),$formato);

}


$col = 6;
$fila += 3;
$worksheet->writeString($fila, $col++, "Boletas Recibidas: ",$formato_titulo);
$worksheet->writeString($fila, $col++, $total_boletas,$formato);

$col = 6;
$fila++;
$worksheet->writeString($fila, $col++, "TOTAL LQUIDO",$formato_titulo);
$worksheet->writeString($fila, $col++, "RETENCIN",$formato_titulo);
$worksheet->writeString($fila, $col++, "TOTAL BRUTO",$formato_titulo);

$col = 6;
$fila++;
$worksheet->writeString($fila, $col++, money_php($total_neto), $formato);
$worksheet->writeString($fila, $col++, money_php($total_iva), $formato);
$worksheet->writeString($fila, $col++, money_php($total_bruto), $formato);

$workbook->close(); 

?>