<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

require_once 'Spreadsheet/Excel/Writer.php';	

include_once ("validate_session.php");
include_once ("variables_globales.inc");

// CAPTURA DE DATOS
$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$f = checkGET("f", false);

$f = explode(".", $f);
$ao_proceso = $f[0];
$mes_proceso = $f[1];


$titulo 		= "MAYOR GENERAL";
$fecha_proceso 	= convertir_fecha_proceso($mes_proceso, $ao_proceso);

// INSTANCIACION DE CONTROLADORES LOGICOS
$clog_comprobante = new Controlador_Logico_Cont_comprobante();
$clog_detalle_cc  = new Controlador_Logico_Cont_detalle_comprobante();

// RECUPERACION DE DATOS
$filtro_cc["id_empresa"] 			= $id_empresa_seleccionada;
$extra_cc["sql"] 					= " AND (tipo_comprobante LIKE '1' OR tipo_comprobante LIKE '2' OR tipo_comprobante LIKE '3') AND estado = 2";
$filtro_cc["mes_proceso"] 			= $mes_proceso;
$filtro_cc["ano_proceso"] 			= $ao_proceso;
$listado_cc 						= $clog_comprobante->getListadoCont_comprobante($filtro_cc,$extra_cc);

$empresa 							= ContEmpresa_getContEmpresa($id_empresa_seleccionada);
$filtro_cuenta["id_plan_cuenta"] 	= $empresa->get_id_plan_cuenta();
$filtro_cuenta["imp"] 				= 1;
$extra_cuenta["order"]				= "codigo";
$listado_cuentas 					= Cuenta_getListadoCuenta($filtro_cuenta,$extra_cuenta);

/**************************************************************************************/


/* ENCABEZADO DEL DOCUMENTO */

/*
$pdf->SetRightMargin(2);
$pdf->SetLeftMargin(4);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->setXY(0,10);
$pdf->SetFont('Times','BU',10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');
$pdf->SetAutoPageBreak(false);
$pdf->SetMargins(4, 22, 2);
$pdf->SetFont('Times','',8);
$pdf->Cell(0,0,convertirFechaBD_fecha(hoy()),0,1,'R');
$pdf->SetFont('Times','B',10);
$pdf->Cell(0,0,$titulo,0,1,'C');
$pdf->ln(4);
$pdf->Cell(0,0,$fecha_proceso,0,1,'C');
$pdf->ln(8);
 */

/* FIN ENCABEZADO DEL DOCUMENTO */

$workbook = new Spreadsheet_Excel_Writer();
$nombre_archivo=str_replace(" ","_","libro_mayor");
$nombre_archivo=substr($nombre_archivo,0,25); 
$workbook->send("$nombre_archivo.xls");

// **************** Seteo de formatos ************************
$formato_titulo_grande=& $workbook->addFormat();
$formato_titulo_grande->setSize (14);
$formato_titulo_grande->setBold (1);
$formato_titulo_grande->setFgColor("blue");
$formato_titulo_grande->setColor ("white");
$formato_titulo =& $workbook->addFormat();
$formato_titulo->setBold (1);
$formato_titulo->setFgColor("blue");
$formato_titulo->setColor ("white");

// ***************** NOMBRE DE LA HOJA *************************
$worksheet =& $workbook->addWorksheet("$nombre_archivo");
//Registrar ttulo principal
$titulo_principal = "LIBRO DE MAYOR: ".$fecha_proceso;
$worksheet->writeString ($count_row, 0, $titulo_principal,$formato_titulo_grande);

$fila = 2;

foreach ($listado_cuentas as $cuenta){
	$id_cuenta = $cuenta->get_id_cuenta();
	$extra_detalle["new_sql"] = "SELECT * FROM cont_detalle_comprobante, cont_comprobante WHERE cont_detalle_comprobante.id_comprobante = cont_comprobante.id_comprobante AND cont_detalle_comprobante.id_cuenta = '$id_cuenta' AND cont_comprobante.ano_proceso Like '$ao_proceso' AND cont_comprobante.mes_proceso Like '$mes_proceso' AND (cont_comprobante.tipo_comprobante = '1' OR cont_comprobante.tipo_comprobante = '2' OR cont_comprobante.tipo_comprobante = '3' OR cont_comprobante.tipo_comprobante = '4') AND cont_comprobante.estado NOT LIKE '0' AND cont_comprobante.estado NOT LIKE '1'";
	$listado_detalle_cc = $clog_detalle_cc->getListadoCont_detalle_comprobante($filtro_detalle,$extra_detalle);
	$cantidad_detalles = sizeof($listado_detalle_cc);
	
	



	$codigo = $cuenta->get_codigo();
	$descripcion = $cuenta->get_nombre();
	$linea = "Cuenta: $codigo - $descripcion";
	/*
	$pdf->Cell(0,0,$linea,0,1,'L');
	$pdf->ln(5);
	$nro_lineas++;	
	$pdf->SetFont('Times', '', 8);
	$pdf->Cell(15,0, "FECHA" ,0,0,'C',0);
	$pdf->Cell(15,0, "TIPO" ,0,0,'C',0);
	$pdf->Cell(25,0, "COMPROBANTE" ,0,0,'C',0);
	$pdf->Cell(90,0, "DESCRIPCION" ,0,0,'L',0);
	$pdf->Cell(20,0, "DEBE" ,0,0,'C',0);
	$pdf->Cell(25,0, "HABER" ,0,0,'C',0);
	$pdf->Cell(25,0, "SALDO" ,0,1,'C',0);
	$pdf->ln(5);
	*/

// ******************** ENCABEZADOS DE COLUMNAS ************************
	$fila++;
	$col = 2;
	$worksheet->writeString($fila++, $col, $linea,$formato_titulo);

//	$fila = 3;
//	$col = 2;
	$worksheet->writeString($fila, $col++, "FECHA",$formato_titulo);
	$worksheet->writeString($fila, $col++, "TIPO",$formato_titulo);
	$worksheet->writeString($fila, $col++, "COMPROBANTE",$formato_titulo);
	$worksheet->writeString($fila, $col++, "DESCRIPCION",$formato_titulo);
	$worksheet->writeString($fila, $col++, "DEBE",$formato_titulo);
	$worksheet->writeString($fila, $col++, "HABER",$formato_titulo);
	$worksheet->writeString($fila, $col++, "SALDO",$formato_titulo);


	//$nro_lineas++;
	$debe_anterior  = 0;
	$haber_anterior = 0;
	$totales = $clog_detalle_cc->getHistoricoDebeHaberPorCuenta($cuenta->get_id_cuenta(),$id_empresa_seleccionada,$mes_proceso,$ao_proceso);
	if ($totales[0] != "")
		$debe_anterior = $totales[0];
	if ($totales[1] != "")
		$haber_anterior = $totales[1];
	$saldo_anterior = $debe_anterior - $haber_anterior;
	$saldo_acumulado   = $saldo_anterior;
	$total_debe  = $debe_anterior;
	$total_haber = $haber_anterior;	
	$debe_anterior  = money_php($debe_anterior);
	$haber_anterior = money_php($haber_anterior);
	$saldo_anterior = money_php($saldo_anterior);
	
	
	/*
	$pdf->Cell(15,0, "01/$mes_proceso/$ao_proceso" ,0,0,'C',0);
	$pdf->Cell(15,0, "" ,0,0,'C',0);
	$pdf->Cell(25,0, "" ,0,0,'C',0);
	$pdf->Cell(90,0, " - SALDO ANTERIOR" ,0,0,'L',0);
	$pdf->Cell(20,0, "$debe_anterior" ,0,0,'C',0);
	$pdf->Cell(25,0, "$haber_anterior" ,0,0,'C',0);
	$pdf->Cell(25,0, "$saldo_anterior" ,0,1,'C',0);
	$pdf->ln(4);
	*/
	$fila++;	
	$col = 2;
	$worksheet->writeString($fila, $col++, "01/$mes_proceso/$ao_proceso",$formato);
	$worksheet->writeString($fila, $col++, "",$formato);
	$worksheet->writeString($fila, $col++, "",$formato);
	$worksheet->writeString($fila, $col++, "- SALDO ANTERIOR",$formato);
	$worksheet->writeString($fila, $col++, $debe_anterior,$formato);
	$worksheet->writeString($fila, $col++, $haber_anterior,$formato);
	$worksheet->writeString($fila, $col++, $saldo_anterior,$formato);

	$fila++;
	$col = 2;
	$total_saldo = 0;
	
	foreach($listado_detalle_cc as $detalle_cc){
		
		$fecha_comprobante = $detalle_cc->get_fecha_comprobante();
		$fecha_comprobante = convertirFechaBD_fecha($fecha_comprobante);
		$tipo_comprobante  = $detalle_cc->get_nombre_tipo_comprobante_contable();
		$numero_comprobante= $detalle_cc->get_numero_comprobante();
		$descripcion	   = $detalle_cc->get_descripcion();
		$debe			   = $detalle_cc->get_debe();
		$haber			   = $detalle_cc->get_haber();
		$saldo_acumulado   = ($debe - $haber + $saldo_acumulado);
		$debe_money		   = money_php($debe);
		$haber_money	   = money_php($haber);
		$saldo_acumulado_m = money_php($saldo_acumulado);
		
		$fila++;
		$col = 2;
		
		$total_debe  += $debe;
		$total_haber += $haber;
		$total_saldo = $saldo_acumulado;

		$worksheet->writeString($fila, $col++, $fecha_comprobante,$formato);
		$worksheet->writeString($fila, $col++, $tipo_comprobante,$formato);
		$worksheet->writeString($fila, $col++, $numero_comprobante,$formato);
		$worksheet->writeString($fila, $col++, $descripcion,$formato);
		$worksheet->writeString($fila, $col++, $debe_money,$formato);
		$worksheet->writeString($fila, $col++, $haber_money,$formato);
		$worksheet->writeString($fila, $col++, $saldo_acumulado_m,$formato);


	}
	/***********************/
	
	
	$total_debe  = money_php($total_debe);
	$total_haber = money_php($total_haber);	
	$total_saldo = money_php($total_saldo);
	
}

$workbook->close(); 

?>