<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../admin_session.php?i=modulos/ventas/";

$operacion = checkGET("op","");
//debug($_POST);
$id_empresa = $_SESSION["id_empresa_seleccionada"];
$id_sucursal_seleccionada = $_SESSION["id_sucursal_seleccionada"];
$empresa_seleccionada = Empresa_getEmpresa($id_empresa);
$clog_boleta_venta = new Controlador_Logico_boleta_venta();
$clog_correlativo_libre = new Controlador_Logico_Correlativo_libre();
$clog_cc = new Controlador_Logico_Cont_comprobante();
$mes_proceso = $_SESSION["mes_proceso"];
$ao_proceso = $_SESSION["ao_proceso"];

switch ($operacion){
	//-------------------------------------------------- Guarda un boleta_venta en la DB
	case "add":

	//debug($_POST);

	$id_boleta_venta = checkPOST("id_boleta_venta", "");
	$id_profesional = checkPOST("id_profesional", "");
	$id_contribuyente = checkPOST("id_empresa", "");
	$id_item_gasto = checkPOST("id_item_gasto", "");
	$tipo_distribucion_gastos = checkPOST("tipo_distribucion_gastos","");
	$numero_boleta_desde_venta = checkPOST("numero_boleta_desde_venta", "");
	$numero_boleta_hasta_venta = checkPOST("numero_boleta_hasta_venta", "");
	$total_bruto = checkPOST("total_bruto", "");
	$fecha_emision = checkPOST("fecha_emision", "");
	$fecha_emision = convertirFecha_fechabd($fecha_emision);
	$codigo_centro_costo = checkPOST("codigo_centro_costo","");

	
	// ASOCIACION DE DOCUMENTO DE COMPRA A CENTRO DE COSTO E ITEM DE GASTO
	if (checkPOST("codigo_cuenta", "")){
		$id_centro_costo 	= checkPOST("id_centro_costo", "");
		$codigo_cuenta	 		= checkPOST("codigo_cuenta", "");

		$filtro_cuenta["codigo"] = $codigo_cuenta;
		$filtro_cuenta["id_plan_cuenta"] = $empresa_seleccionada->get_id_plan_cuenta();
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta);
		$cuenta = $listado_cuenta[0];
		$id_item_gasto = $cuenta->get_id_cuenta();
	}	
	
	$correlativo = get_proximo_correlativo("venta",$mes_proceso,$ao_proceso);

	$boleta_venta_nuevo = new boleta_venta();
	$boleta_venta_nuevo->set_id_boleta_venta($id_boleta_venta);
	$boleta_venta_nuevo->set_id_profesional($id_profesional);
	$boleta_venta_nuevo->set_id_contribuyente($id_contribuyente);
	$boleta_venta_nuevo->set_correlativo($correlativo);
	$boleta_venta_nuevo->set_id_empresa($id_empresa);
	$boleta_venta_nuevo->set_id_sucursal($id_sucursal_seleccionada);
	$boleta_venta_nuevo->set_id_centro_costo($id_centro_costo);
	$boleta_venta_nuevo->set_id_item_gasto($id_item_gasto);
	$boleta_venta_nuevo->set_fecha_creacion($fecha_emision);
	$boleta_venta_nuevo->set_numero_boleta_desde_venta($numero_boleta_desde_venta);
	$boleta_venta_nuevo->set_numero_boleta_hasta_venta($numero_boleta_hasta_venta);
	$boleta_venta_nuevo->set_fecha_emision($fecha_emision);
	$boleta_venta_nuevo->set_fecha_proceso($ao_proceso.$mes_proceso."01");
	$boleta_venta_nuevo->set_total_bruto($total_bruto);
	$boleta_venta_nuevo->set_impuesto($total_bruto*0.19);
	$boleta_venta_nuevo->set_total_neto($total_bruto-$boleta_venta_nuevo->get_impuesto());
	
	

	$tipo 			= 8;
	$seccion 		= 5;
	$totales["0"]	= $boleta_venta_nuevo->get_total_neto();
	$totales["1"] 	= $boleta_venta_nuevo->get_total_bruto();
	$totales["2"] 	= $boleta_venta_nuevo->get_impuesto();
	$fecha_proceso	= $ao_proceso.$mes_proceso;
	$lacuenta["id"]   = $id_item_gasto;
	$lacuenta["asiento"] = 1; // 0 = Debe , 1 = Haber   
	$glosa 			= "Ingreso de boleta de ventas desde N $numero_boleta_desde_venta hasta N $numero_boleta_hasta_venta";
	//debug($totales["2"]);
	$id_comprobante = $clog_cc->crear_comprobante_control($tipo,$seccion,$lacuenta,$id_centro_costo,$totales,$fecha_proceso,$glosa,$fecha_emision,$id_sucursal_seleccionada);

	$boleta_venta_nuevo->set_id_comprobante($id_comprobante);
	$id_boleta_venta_nuevo = $clog_boleta_venta->guardarBoleta_venta($boleta_venta_nuevo);
	//$url .= "mantenedor_boleta_venta&id_boleta_venta=$id_boleta_venta_nuevo";
	$url .= "mantenedor_boleta_venta";
	header("Location: $url");
	break;


	//-------------------------------------------------- Guarda un boleta_venta en la DB
	case "del":
	//debug($_GET);

	$id_boleta_venta = checkGET("id_boleta_venta", 0, "num");
	$boleta_venta = $clog_boleta_venta->getboleta_venta($id_boleta_venta);
	$correlativo_libre = new Correlativo_libre();
	$correlativo_libre->set_correlativo($boleta_venta->get_correlativo());
	$correlativo_libre->set_tipo_documento("venta");
	$correlativo_libre->set_mes_proceso($mes_proceso);
	$correlativo_libre->set_ano_proceso($ao_proceso);
	$clog_correlativo_libre->guardarCorrelativo_libre($correlativo_libre);
	
	$id_comprobante = $boleta_venta->get_id_comprobante();
	
	$clog_boleta_venta->eliminarBoleta_venta($id_boleta_venta);
	$clog_cc->eliminarCont_comprobante($id_comprobante);
	$url .= "mantenedor_boleta_venta";
	header("Location: $url");
	break;


	//-------------------------------------------------- Modifica un boleta_venta en la DB
	case "mod":

	//debug($_POST);

	$id_boleta_venta = checkPOST("id_boleta_venta", "");
	$id_profesional = checkPOST("id_profesional", "");
	$id_contribuyente = checkPOST("id_empresa", "");
	$id_item_gasto = checkPOST("id_item_gasto", "");
	$tipo_distribucion_gastos = checkPOST("tipo_distribucion_gastos","");
	$numero_boleta_desde_venta = checkPOST("numero_boleta_desde_venta", "");
	$numero_boleta_hasta_venta = checkPOST("numero_boleta_hasta_venta", "");
	$total_bruto = checkPOST("total_bruto", "");
	$fecha_emision = checkPOST("fecha_emision", "");
	$fecha_emision = convertirFecha_fechabd($fecha_emision);
	$codigo_centro_costo = checkPOST("codigo_centro_costo","");

	
	// ASOCIACION DE DOCUMENTO DE COMPRA A CENTRO DE COSTO E ITEM DE GASTO
	if (checkPOST("codigo_cuenta", "")){
		$id_centro_costo 	= checkPOST("id_centro_costo", "");
		$codigo_cuenta	 		= checkPOST("codigo_cuenta", "");

		$filtro_cuenta["codigo"] = $codigo_cuenta;
		$filtro_cuenta["id_plan_cuenta"] = $empresa_seleccionada->get_id_plan_cuenta();
		$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta);
		$cuenta = $listado_cuenta[0];
		$id_item_gasto = $cuenta->get_id_cuenta();
	}	
	
	$boleta_venta_mod = $clog_boleta_venta->getBoleta_venta($id_boleta_venta);
	
	
	$boleta_venta_mod->set_id_centro_costo($id_centro_costo);
	$boleta_venta_mod->set_id_item_gasto($id_item_gasto);
	$boleta_venta_mod->set_fecha_creacion($fecha_emision);
	$boleta_venta_mod->set_numero_boleta_desde_venta($numero_boleta_desde_venta);
	$boleta_venta_mod->set_numero_boleta_hasta_venta($numero_boleta_hasta_venta);
	$boleta_venta_mod->set_fecha_emision($fecha_emision);
	$boleta_venta_mod->set_total_bruto($total_bruto);
	$boleta_venta_mod->set_impuesto($total_bruto*0.19);
	$boleta_venta_mod->set_total_neto($total_bruto-$boleta_venta_mod->get_impuesto());
	
	$tipo 			= 8;
	$seccion 		= 5;
	$totales["0"]	= $boleta_venta_mod->get_total_neto();
	$totales["1"] 	= $boleta_venta_mod->get_total_bruto();
	$totales["2"] 	= $boleta_venta_mod->get_impuesto();
	$fecha_proceso	= $ao_proceso.$mes_proceso;
	$lacuenta["id"]   = $id_item_gasto;
	$lacuenta["asiento"] = 1; // 0 = Debe , 1 = Haber   
	$glosa 			= "Ingreso de boleta de ventas desde N $numero_boleta_desde_venta hasta N $numero_boleta_hasta_venta";
	//debug($totales["2"]);
	$clog_cc->modificar_comprobante_control($boleta_venta_mod->get_id_comprobante(),$seccion,$lacuenta,$id_centro_costo,$totales,$glosa,$fecha_emision);

	$clog_boleta_venta->actualizarBoleta_venta($boleta_venta_mod);
	//$url .= "mantenedor_boleta_venta&id_boleta_venta=$id_boleta_venta_nuevo";
	$url .= "mantenedor_boleta_venta";
	header("Location: $url");
	break;

	break;
}

?>
