<?
$old = getcwd();
$new = "../../";
chdir($new);
include_once("validate_session.php");
//header("Cache-Control: no-store, no-cache, must-revalidate");
//header("Cache-Control: post-check=0, pre-check=0", false);

require_once 'Spreadsheet/Excel/Writer.php';	

$id_tabla_precio = checkGET("id_tabla_precio", 0, "num");
$tabla_precio = Tabla_precio_getTabla_precio($id_tabla_precio);
	
$listado_tipo_material = Tipo_material_getListadoTipo_material();
$listado_fila 		= Fila_getListadoFila($id_tabla_precio);
$listado_columna	= Columna_getListadoColumna($id_tabla_precio);	
	
$listado_precios	= Detalle_tabla_precio_getListadoDetalle_tabla_precio($id_tabla_precio);

$detalle_precio = new Detalle_tabla_precio();
foreach ($listado_precios as $detalle_precio) 
{
	$array_precios[$detalle_precio->id_fila][$detalle_precio->id_columna] = $detalle_precio->valor;
}

if ($listado_columna and $listado_fila)
{
	$titulo = "Tabla de Precios Cristales";
	$workbook = new Spreadsheet_Excel_Writer();
	$nombre_archivo=str_replace(" ","_","tabla_precios");
	$nombre_archivo=substr($nombre_archivo,0,25); 
	$workbook->send("$nombre_archivo.xls");

	// **************** Seteo de formatos ************************
	$formato_titulo_grande=& $workbook->addFormat();
	$formato_titulo_grande->setSize (14);
	$formato_titulo_grande->setBold (1);
	$formato_titulo_grande->setFgColor("blue");
	$formato_titulo_grande->setColor ("white");
	$formato_titulo =& $workbook->addFormat();
	$formato_titulo->setBold (1);
	$formato_titulo->setFgColor("blue");
	$formato_titulo->setColor ("white");

	// ***************** NOMBRE DE LA HOJA *************************
	$worksheet =& $workbook->addWorksheet("$nombre_archivo");
	//Registrar ttulo principal
	$titulo_principal = "TABLA DE PRECIOS CRISTALES: ".$fecha_proceso;
	$worksheet->writeString ($count_row, 0, $titulo_principal,$formato_titulo_grande);

	// ******************** ENCABEZADOS DE COLUMNAS ************************
	$i = 1;
	$j = 0;
	$worksheet->writeString($i, $j++, "FUERZA",$formato_titulo);
	$worksheet->writeString($i, $j++, "",$formato_titulo);
	foreach ($listado_columna as $columna) 
	{
		$worksheet->writeString($i, $j++, $columna->nombre_tipo_material,$formato_titulo);
	}
	$i++;

	foreach ($listado_fila as $fila)
	{
		$j = 0;
		$id_fila = $fila->id_fila;
		$worksheet->writeString($i, $j++, $fila->valor_inicial."/".$fila->valor_final,$formato);
		$worksheet->writeString($i, $j++, $fila->valor_inicial_b."/".$fila->valor_final_b,$formato);

		foreach ($listado_columna as $columna)
		{
			$id_columna = $columna->id_columna;
			$precio		= $array_precios[$id_fila][$id_columna];
			if ($precio)		
				$worksheet->writeString($i, $j++, format_money($precio),$formato);		
			else
				$worksheet->writeString($i, $j++, "0",$formato);		
		}
	$i++;
	}
}

$workbook->close(); 
return("nombre_archivo=$nombre_archivo");   
?>