<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../index_session.php?i=modulos/punto_venta/";
$clog_Ventas = new Controlador_Logico_Ventas();	
$clog_Detalle_ventas = new Controlador_Logico_Detalle_ventas();
$clog_Documentos_referencia = new Controlador_Logico_Documentos_referencia();
$clog_Guias_traslado = new Controlador_Logico_Guias_traslado();
$operacion = checkGET("op","");
	//debug($_POST);
	
	switch ($operacion){
//-------------------------------------------------- Guarda un venta en la DB
case "add":

//	debug($_POST);
	$fecha_dte = checkPOST("fecha", "");
	$id_sucursal = checkPOST("id_sucursal", "");
	$id_bodega = checkPOST("id_bodega", "");
	$id_bodega = checkPOST("id_bodega", "");
	$chk_bodega = checkPOST("chk_bodega", "");
	$chk_referencia = checkPOST("chk_referencia", "");
	$tipo = checkPOST("tipo_documento", "");
	$numero_venta = checkPOST("numero_venta", "");
	$numero_venta_transbank = checkPOST("numero_venta_transbank", "");
	$id_cliente_proveedor = checkPOST("id_cliente_proveedor", "");
	$fecha = convertirFecha_fechabd($fecha_dte);
	$condicion_venta = checkPOST("condicion_venta", "");
	$GlosaPagos = checkPOST("GlosaPagos", "");
	$id_vendedor = checkPOST("id_vendedor", "");
	$observacion = checkPOST("observacion", "");
	$id_sub_centro_costo = checkPOST("id_sub_centro_costo", "");
	
	
// si es guia de despacho
	if ($tipo == 2)	
	{
		
		$TipoDespacho = checkPOST("TipoDespacho", "");
		$IndTraslado = checkPOST("IndTraslado", "");
		$RUTTrans = checkPOST("RUTTrans", "");
		$RUTChofer = checkPOST("RUTChofer", "");
		$NombreChofer = checkPOST("NombreChofer", "");
		$DirDest = checkPOST("DirDest", "");
		$CmnaDest = checkPOST("CmnaDest", "");
		$CiudadDest = checkPOST("CiudadDest", "");
		$Patente = checkPOST("Patente", "");
	}

	$ok = false;
	$msg= "";
	$clog_Folios = new Controlador_Logico_Folios();
	if ($tipo == "35")
		$filtro_folio["id_tipo_documento"] = "11";
	else
	$filtro_folio["id_tipo_documento"] = $tipo;

	$filtro_folio["estado"] = 1;
	$listado_folios = $clog_Folios->getListadoFolios($filtro_folio);
	if ($listado_folios)
	{
		$folios = $listado_folios[0];
		$numero_venta = $folios->folio_actual;

		// Validar si existe folio en ventas
		$filtro_ventas["tipo"] = $tipo;
		$filtro_ventas["numero_venta"] = $numero_venta;
		$filtro_ventas["estado NOT "] = "9";
		$listado_ventas = $clog_Ventas->getListadoVentas($filtro_ventas, $extra_ventas);

		if ($listado_ventas)
			$msg="Documento NRO. $numero_venta ya ingresado";
		else	
			$ok = true;
	}
	else
	{
		if ($tipo <> 6)
			$msg="No existen folios disponibles para este tipo de documento";
		else
		{
			$ok = true;
			$numero_venta = $numero_venta_transbank;
		}
	}


	if ($ok)
	{
		if ($tipo <> 6)  //TRANSBANK
		{
			$prox_folio = $numero_venta+1;
			$folios->set_folio_actual($prox_folio);
			$clog_Folios->actualizarFolios($folios);
		}

		$ventas = new Ventas();
		$ventas->set_id_sucursal($id_sucursal);
		$ventas->set_id_cliente_proveedor($id_cliente_proveedor);
		$ventas->set_id_vendedor($id_vendedor);
		if ($chk_bodega == "on")	$ventas->set_id_bodega($id_bodega);
		$ventas->set_fecha($fecha."0000");
		$ventas->set_estado(0);
		$ventas->set_iva(0);
		$ventas->set_cond_venta($condicion_venta);
		$ventas->set_numero_venta($numero_venta);
		$ventas->set_tipo($tipo);
		$ventas->set_observacion($observacion);
		$ventas->set_id_sub_centro_costo($id_sub_centro_costo);

		if ($chk_bodega == "on")	
		{
			$ventas->set_chk_bodega(1);
			$ventas->set_id_bodega($id_bodega);
		}
		else
		{
			$ventas->set_chk_bodega(0);
			$ventas->set_id_bodega(0);
		}
		if ($chk_referencia == "on")	
			$ventas->set_chk_referencia(1);
		else
			$ventas->set_chk_referencia(0);

		if ($condicion_venta == 2)  //Crdito
		{
			$forma_pago = Forma_pago_getForma_pago($GlosaPagos);
			if ($forma_pago)
				$dias_vencimiento = $forma_pago->dias_vencimiento;
		}
		else
		{
			$dias_vencimiento = 0;
			$GlosaPagos = 10;
		}
		
		$fecha_vencimiento = calcular_fecha($dias_vencimiento, $fecha_dte, "futuro");

		$ventas->set_FchPago($fecha_vencimiento);
		$ventas->set_GlosaPagos($GlosaPagos);
		if ($tipo == 2)	
		{
			
			$ventas->set_TipoDespacho($TipoDespacho);
			$ventas->set_IndTraslado($IndTraslado);
			$ventas->set_RUTTrans($RUTTrans);
			$ventas->set_RUTChofer($RUTChofer);
			$ventas->set_NombreChofer($NombreChofer);
			$ventas->set_DirDest($DirDest);
			$ventas->set_CmnaDest($CmnaDest);
			$ventas->set_CiudadDest($CiudadDest);
			$ventas->set_Patente($Patente);
		}

		$id_venta_nuevo = $clog_Ventas->guardarVentas($ventas);
		
		//Documetos de Referencia
		$clog_Documentos_referencia = new Controlador_Logico_Documentos_referencia();
		$empresa = Empresa_getEmpresa(1);
		$TpoDocRef = checkPOST("TpoDocRef", "");
		$FolioRef = checkPOST("FolioRef", "");
		$FchRef = checkPOST("FchRef", "");
		$CodRef = checkPOST("CodRef", "");
		$RazonRef = checkPOST("RazonRef", "");
		$RUTEmisor = $empresa->rut;
		if ($tipo == "35")
			$TipoDTE = 11;
		else
			$TipoDTE = $tipo;
		$Folio = $numero_venta;
		if ($FolioRef <> "")
		{
			$documento = Documento_getDocumento($TpoDocRef);
			if ($documento)
				$codigo_dte_ref = $documento->codigo_dte;
			
			$documento = Documento_getDocumento($TipoDTE);

			if ($documento)
				$codigo_dte = $documento->codigo_dte;

			$documentos_referencia = new Documentos_referencia();
			$documentos_referencia->set_id_venta($id_venta_nuevo);
			$documentos_referencia->set_TpoDocRef($TpoDocRef);
			$documentos_referencia->set_FolioRef($FolioRef);
			$documentos_referencia->set_FchRef(convertirFecha_fechaBD($FchRef));
			$documentos_referencia->set_CodRef($CodRef);
			$documentos_referencia->set_RazonRef($RazonRef);
			$documentos_referencia->set_RUTEmisor($RUTEmisor);
			$documentos_referencia->set_TipoDTE($TipoDTE);
			$documentos_referencia->set_Folio($Folio);
			$documentos_referencia->set_codigo_dte($codigo_dte);
			$documentos_referencia->set_codigo_dte_ref($codigo_dte_ref);

			$id_documento_referencia_nuevo = $clog_Documentos_referencia->guardarDocumentos_referencia($documentos_referencia);

			if ($codigo_dte == 60)  //Si es NC ANULAR DOCUMENTO DE REFERENCIA
			{

			}
		}
	}
	if ($ok)
		$url .= "agregar_producto&id_venta=$id_venta_nuevo";
	else
		$url .= "mantenedor_ventas&msg=$msg";

	header("Location: $url");
	break;
	
	
//-------------------------------------------------- Guarda un venta en la DB
case "del":
	//debug($_GET);
	
	$id_venta = checkGET("id_venta", 0, "num");
	venta_eliminarventa($id_venta);
	$url .= "resumen_venta";
	header("Location: $url");
	break;
	
	
//-------------------------------------------------- Modifica un venta en la DB
case "mod":

//	debug($_POST);
	$id_venta			= checkPOST("id_venta", 0);
	$ventas = $clog_Ventas->getVentas($id_venta);
	$fecha_dte = checkPOST("fecha", "");
	$numero_venta = checkPOST("numero_venta", "");
	$id_sucursal = checkPOST("id_sucursal", "");
	$id_bodega = checkPOST("id_bodega", "");
	$observacion = checkPOST("observacion", "");
	$id_cliente_proveedor = checkPOST("id_cliente_proveedor", "");
	$id_vendedor = checkPOST("id_vendedor", "");
	$chk_bodega = checkPOST("chk_bodega", "");
	$chk_referencia = checkPOST("chk_referencia", "");
	$GlosaPagos = checkPOST("GlosaPagos", "");
	$fecha = convertirFecha_fechabd(checkPOST("fecha", ""));
	$condicion_venta = checkPOST("condicion_venta", "");
	$tipo = checkPOST("tipo_documento", "");
	$IndTraslado = checkPOST("IndTraslado", "");
	$id_sub_centro_costo = checkPOST("id_sub_centro_costo", "");

	
	if ($condicion_venta == 2)  //Crdito
	{
		$forma_pago = Forma_pago_getForma_pago($GlosaPagos);
		if ($forma_pago)
			$dias_vencimiento = $forma_pago->dias_vencimiento;
	}
	else
	{
		$dias_vencimiento = 0;
		$GlosaPagos = 10;
	}
	
	$fecha_vencimiento = calcular_fecha($dias_vencimiento, $fecha_dte, "futuro");

	$ventas->set_FchPago($fecha_vencimiento);

	if ($tipo == 2)	
	{
		$RUTTrans = checkPOST("RUTTrans", "");
		$RUTChofer = checkPOST("RUTChofer", "");
		$NombreChofer = checkPOST("NombreChofer", "");
		$DirDest = checkPOST("DirDest", "");
		$CmnaDest = checkPOST("CmnaDest", "");
		$CiudadDest = checkPOST("CiudadDest", "");
		$Patente = checkPOST("Patente", "");
	}
	$ventas->set_id_sucursal($id_sucursal);
	$ventas->set_id_cliente_proveedor($id_cliente_proveedor);
	$ventas->set_id_vendedor($id_vendedor);

	if ($chk_bodega == "on")	
	{
		$ventas->set_chk_bodega(1);
		$ventas->set_id_bodega($id_bodega);
	}
	else
	{
		$ventas->set_chk_bodega(0);
		$ventas->set_id_bodega(0);
	}
	if ($chk_referencia == "on")	
		$ventas->set_chk_referencia(1);
	else
		$ventas->set_chk_referencia(0);

	$ventas->set_fecha($fecha."0000");
	$ventas->set_cond_venta($condicion_venta);
	$ventas->set_numero_venta($numero_venta);
	$ventas->set_tipo($tipo);
	$ventas->set_observacion($observacion);
	$ventas->set_GlosaPagos($GlosaPagos);
	$ventas->set_IndTraslado($IndTraslado);
	$ventas->set_id_sub_centro_costo($id_sub_centro_costo);
	
	if ($tipo == 2)	
	{
		$ventas->set_RUTTrans($RUTTrans);
		$ventas->set_RUTChofer($RUTChofer);
		$ventas->set_NombreChofer($NombreChofer);
		$ventas->set_DirDest($DirDest);
		$ventas->set_CmnaDest($CmnaDest);
		$ventas->set_CiudadDest($CiudadDest);
		$ventas->set_Patente($Patente);
	}

	$clog_Ventas->actualizarVentas($ventas);
	
	//Documetos de Referencia

	$clog_Documentos_referencia = new Controlador_Logico_Documentos_referencia();


	$empresa = Empresa_getEmpresa(1);
	$TpoDocRef = checkPOST("TpoDocRef", "");
	$FolioRef = checkPOST("FolioRef", "");
	$FchRef = checkPOST("FchRef", "");
	$CodRef = checkPOST("CodRef", "");
	$RazonRef = checkPOST("RazonRef", "");
	$RUTEmisor = $empresa->rut;
	$TipoDTE = $tipo;
	$Folio = $numero_venta;
	
// SE BORRA ANTES EL DOCUMENTO DE REFERENCIA

	$filtro_doc_ref["id_venta"] = $id_venta;
	$documentos_referencia = $clog_Documentos_referencia->getListadoDocumentos_referencia($filtro_doc_ref);
	if ($documentos_referencia)
		$clog_Documentos_referencia->eliminarDocumentos_referencia($documentos_referencia[0]->id_documento_referencia);


	$documentos_referencia = new Documentos_referencia();
	$documentos_referencia->set_id_documento_referencia($id_documento_referencia);
	$documentos_referencia->set_id_venta($id_venta);
	$documentos_referencia->set_TpoDocRef($TpoDocRef);
	$documentos_referencia->set_FolioRef($FolioRef);
	$documentos_referencia->set_FchRef(convertirFecha_fechaBD($FchRef));
	$documentos_referencia->set_CodRef($CodRef);
	$documentos_referencia->set_RazonRef($RazonRef);
	$documentos_referencia->set_RUTEmisor($RUTEmisor);
	$documentos_referencia->set_TipoDTE($TipoDTE);
	$documentos_referencia->set_Folio($Folio);
	
	
	$id_documento_referencia_nuevo = $clog_Documentos_referencia->guardarDocumentos_referencia($documentos_referencia);
	

	$url .= "agregar_producto&id_venta=$id_venta";
	header("Location: $url");
	
	break;
	
	
//-------------------------------------------------- Guarda un detalle de la venta en la DB
case "add_prod":
//	debug($_POST);

	$listado_productos 		= $_POST["add_item"];
	$listado_descripcion	= $_POST["desc_item"];
	$listado_cantidad		= $_POST["cant_item"];
	$listado_precios		= $_POST["precio_item"];
	$listado_precios_compra = $_POST["valor_compra_item"];
	$listado_margen			= $_POST["margen_item"];
	$listado_exento			= $_POST["exento"];
	$listado_tipo_dcto		= $_POST["tipo_dcto"];
	$listado_dcto			= $_POST["dcto_item"];
	$id_cliente_proveedor		    = $_POST["id_cliente_proveedor"];
	
	$id_venta		= checkPOST("id_venta", 0);
	$venta = $clog_Ventas->getVentas($id_venta);

	$filtro_documentos_referencia["id_venta"] = $id_venta;
	$listado_documentos_referencia = $clog_Documentos_referencia->getListadoDocumentos_referencia($filtro_documentos_referencia, $extra_documentos_referencia);

	$doc_ref = $listado_documentos_referencia[0];

	$id_bodega = $venta->id_bodega;
	foreach ($listado_productos as $id_producto)
	{
		$producto = new Producto();
		$producto 			= Producto_getProducto($id_producto);
		$cantidad 			= $listado_cantidad[$id_producto];
		$descripcion 		= $listado_descripcion[$id_producto];
		$precio_unitario	= $listado_precios[$id_producto];
		$margen_venta		= $listado_margen[$id_producto];
		$exento				= $listado_exento[$id_producto];
		$tipo_dcto			= $listado_tipo_dcto[$id_producto];
		$descuento			= $listado_dcto[$id_producto];
		$codigo_producto	= $producto->get_codigo_barra();
		$precio_costo		= $listado_precios_compra[$id_producto];
		$total				= round($cantidad*$precio_unitario);
		
//		if (($cantidad > 0) and ($precio_unitario > 0)){

		if ($cantidad > 0)
		{
			$descuento_porc		= 0;
			$descuento_monto 	= 0;
			
			$descuento_porc 	= $descuento; 	
			$total				= $cantidad * $precio_unitario * (1 - ($descuento_porc / 100));
			$descuento_monto	= round($precio_unitario*$descuento/100)*$cantidad;
			$estado 			= 0;
			$filtro_detalle_ventas["id_venta"] = $id_venta;
			$listado_detalle_venta = $clog_Detalle_ventas->getListadoDetalle_ventas($filtro_detalle_ventas, $extra_detalle_ventas);

			
			if (count($listado_detalle_venta) < 15)
			{
				$detalle_ventas = new Detalle_Ventas();
				$detalle_ventas->set_id_venta($id_venta);
				$detalle_ventas->set_precio_unitario($precio_unitario);
				$detalle_ventas->set_id_producto($id_producto);
				$detalle_ventas->set_id_bodega($id_bodega);
				$detalle_ventas->set_cantidad($cantidad);
				$detalle_ventas->set_total($total);
				$detalle_ventas->set_codigo_producto($codigo_producto);
				$detalle_ventas->set_estado($estado);
				$detalle_ventas->set_precio_costo($precio_costo);
				$detalle_ventas->set_margen_venta($margen_venta);
				$detalle_ventas->set_descuento_porc($descuento_porc);
				$detalle_ventas->set_descuento_monto($descuento_monto);
				$detalle_ventas->set_descripcion($descripcion);

				$id_detalle_venta_nuevo = $clog_Detalle_ventas->guardarDetalle_Ventas($detalle_ventas);
				$msg = "";
							// Actualizar totales de venta
				if ($venta->tipo == 34 or $venta->tipo == 35)  // SI ES FACTURA O NC EXENTA 
					$venta->set_iva(null);
				else
					$venta->set_iva(round(($venta->total+$total)*0.19),0);
				$venta->set_total($venta->total+$total);
				$clog_Ventas->actualizarVentas($venta);
			}
			else
				$msg = "Ha superado el nmero mximo de items en el documento";

		}
	}
	
	
	$url .= "agregar_producto&id_venta=$id_venta";
	header("Location: $url");
	break;
	
	
	//-------------------------------------------------- Modifica un Detalle_venta en la DB
	case "mod_detalle":
	
	debug($_POST);
	$id_detalle_venta= checkPOST("id_detalle_venta", 0);
	$detalle_venta = Detalle_venta_getDetalle_venta($id_detalle_venta);
	
	$id_detalle_venta = checkPOST("id_detalle_venta", "");
	$id_venta = checkPOST("id_venta", "");
	$id_producto = checkPOST("id_producto", "");
	$cantidad = checkPOST("cantidad", "");
	$precio_unitario = checkPOST("precio_unitario", "");
	$exento = checkPOST("exento", "");
	$descuento_porc = checkPOST("descuento_porc", "");
	$descuento_monto = checkPOST("descuento_monto", "");
	$total = checkPOST("total", "");
	$estado = checkPOST("estado", "");
	$saldo_recepcion = checkPOST("saldo_recepcion", "");
	$descripcion = checkPOST("descripcion", "");
	$margen_venta = checkPOST("margen_venta", "");
	$extra2 = checkPOST("extra2", "");
	
	$temp = new Detalle_venta ($id_venta, $id_producto, $cantidad, $precio_unitario, $exento, $descuento_porc, $descuento_monto, $total, $estado, $saldo_recepcion, $descripcion, $margen_venta, $extra2, $id_detalle_venta);
	Detalle_venta_actualizarDetalle_venta($temp);
	
	$url .= "mantenedor_detalle_venta";
	header("Location: $url");
	
	break;
	
	//-------------------------------------------------- Modifica un venta en la DB
	case "finalizar":


	$id_venta			= checkGET("id_venta", 0);
	$venta = $clog_Ventas->getVentas($id_venta);

	$venta->set_estado(3);	

	if ($venta->id_bodega <> 0)  //Se debe rebajar Stock
	{
		$id_bodega = $venta->id_bodega;
		$filtro_detalle_ventas["id_venta"] = $id_venta;
		$listado_detalle_venta = $clog_Detalle_ventas->getListadoDetalle_ventas($filtro_detalle_ventas, $extra_detalle_ventas);
		foreach($listado_detalle_venta as $detalle)
		{
			$producto_inventario = new Inventario();
			$producto_inventario 	= Inventario_getProductoInventario($id_bodega, $detalle->id_producto);
			if ($producto_inventario)
			{
				if ($venta->tipo == 11)	// NC
					$producto_inventario->stock_actual 	= $producto_inventario->stock_actual + $detalle->cantidad;
				else
					$producto_inventario->stock_actual 	= $producto_inventario->stock_actual - $detalle->cantidad;
				Inventario_actualizarInventario($producto_inventario);
				//Anotar en la bitacora de Movimientos
				$clog_Movimiento_inventario = new Controlador_Logico_Movimiento_inventario();
				$movimiento_inventario = new Movimiento_inventario();
				$movimiento_inventario->set_id_inventario($producto_inventario->id_inventario);
				$movimiento_inventario->set_id_bodega($producto_inventario->id_bodega);
				$movimiento_inventario->set_id_producto($producto_inventario->id_producto);
				if ($venta->tipo == 11)	// NC
				{
					$movimiento_inventario->set_id_tipo_movimiento(4);
					$movimiento_inventario->set_entrada($detalle->cantidad);
					$movimiento_inventario->set_salida(0);
					$movimiento_inventario->set_descripcion("ANULACIN CON NC");
				}
				else
				{
					$movimiento_inventario->set_id_tipo_movimiento(2);
					$movimiento_inventario->set_entrada(0);
					$movimiento_inventario->set_salida($detalle->cantidad);
					$movimiento_inventario->set_descripcion("VENTA");
				}
				$movimiento_inventario->set_nro_documento($venta->numero_venta);
				$movimiento_inventario->set_id_usuario(get_id_usuario());
				$movimiento_inventario->set_fecha(hoy());
				$movimiento_inventario->set_ex1($producto_inventario->stock_actual);
				$clog_Movimiento_inventario->guardarMovimiento_inventario($movimiento_inventario);
			}
		}
	}
	$filtro_detalle_ventas["id_venta"] = $id_venta;
	$listado_detalle_venta = $clog_Detalle_ventas->getListadoDetalle_ventas($filtro_detalle_ventas, $extra_detalle_ventas);
	$i = 1;
	foreach($listado_detalle_venta as $detalle)
	{
			//Actualiza NroLinDet 
			$id_detalle_venta		= $detalle->id_detalle_venta;		
			$detalle_venta = $clog_Detalle_ventas->getDetalle_ventas($id_detalle_venta);
			$detalle_venta->NroLinDet = $i;	
			$clog_Detalle_ventas->actualizarDetalle_Ventas($detalle_venta);	
			$i = $i+1;
	}
	$clog_Ventas->actualizarVentas($venta);	
	$url .= "detalle_venta&id_venta=".$id_venta;
	header("Location: $url");
	
	break;
	
	case "anular":
	//debug($_GET);
	
	$id_venta = checkGET("id_venta", 0, "num");
	$clog_venta = new Controlador_Logico_Ventas();
	$ventas = $clog_venta->getVentas($id_venta);
	if($ventas)
	{
		$id_bodega = $ventas->id_bodega;
		$ventas->set_estado(9);
		$clog_venta->actualizarVentas($ventas);
		if ($id_bodega)
		{
			$clog_detalle_venta = new Controlador_Logico_Detalle_ventas();
			$filtro_detalle_venta['id_venta'] = $id_venta;
			$listado_detalle_ventas = $clog_detalle_venta->getListadoDetalle_ventas($filtro_detalle_venta);
			$i = 0;
			foreach ($listado_detalle_ventas as $detalle_ventas)
			{		
				//Actualiza el stock de inventario
				$producto_inventario = new Inventario();
				$producto_inventario 	= Inventario_getProductoInventario($id_bodega, $detalle_ventas->id_producto);
				if ($producto_inventario)
				{
					$cantidad = $detalle_ventas->cantidad;
					$producto_inventario->stock_actual 			= $producto_inventario->stock_actual + $cantidad;
					$producto_inventario->fecha_ult_mod			= hoy();
					Inventario_actualizarInventario($producto_inventario);
				
					//Anotar en la bitacora de Movimientos
					$clog_Movimiento_inventario = new Controlador_Logico_Movimiento_inventario();
					$movimiento_inventario = new Movimiento_inventario();
					$movimiento_inventario->set_id_inventario($producto_inventario->id_inventario);
					$movimiento_inventario->set_id_bodega($producto_inventario->id_bodega);
					$movimiento_inventario->set_id_producto($producto_inventario->id_producto);
					$movimiento_inventario->set_id_tipo_movimiento(4);
					$movimiento_inventario->set_entrada($cantidad);
					$movimiento_inventario->set_salida(0);
					$movimiento_inventario->set_nro_documento($ventas->numero_venta);
					$movimiento_inventario->set_descripcion("ANULACIN DOCUMENTO VENTAS");
					$movimiento_inventario->set_id_usuario($_SESSION["usuario"]->id_usuario);
					$movimiento_inventario->set_fecha(hoy());
					$movimiento_inventario->set_ex1($producto_inventario->stock_actual);
					$clog_Movimiento_inventario->guardarMovimiento_inventario($movimiento_inventario);
				}	
			}
		}
	}

	$url .= "mantenedor_ventas";
	header("Location: $url");
	break;
	
	
	//-------------------------------------------------- Modifica un venta en la DB
	case "enviar":

	//debug($_POST);
	$id_venta			= checkGET("id_venta", 0);
	$venta = new venta();
	$venta = venta_getventa($id_venta);
//	debug($venta);
	
	$venta->set_estado(2);	
	venta_actualizarventa($venta);
	
		$url .= "detalle_venta&id_venta=".$id_venta;
	header("Location: $url");
	
	break;
	
	
	
	//-------------------------------------------------- Modifica un venta en la DB
	case "cancelar":

	//debug($_POST);
	$id_venta			= checkGET("id_venta", 0);
	$venta = new venta();
	$venta = venta_getventa($id_venta);
//	debug($venta);
	
	$venta->set_estado(5);	
	venta_actualizarventa($venta);
	
	$url .= "resumen_venta";
	header("Location: $url");
	
	break;

	case "mass_add":

		$id_cliente_proveedor = checkPOST("id_cliente_proveedor", 0);
		$id_sucursal = 1; //------------------------------------------------------------------------------------------cambiar id
		
		$listado_detalle_venta = $_SESSION["detalle_venta"];
		
		
		foreach ($listado_detalle_venta as $id_bodega => $listado){
			$oc = new venta();
			$oc->set_id_cliente_proveedor($id_cliente_proveedor);
			$oc->set_id_sucursal($id_sucursal);
			$oc->set_fecha(substr(hoy(),0,8));
			$oc->set_fecha_digitacion(hoy());
			
			foreach ($listado as $id_producto => $item){
//				debug($item);
				
				if ($item["cantidad"] != 0){
					if (!$oc->get_id_venta()){
						$id_venta = venta_guardarventa($oc);
						$oc->set_id_venta($id_venta);
					}else{
						$id_venta = $oc->get_id_venta();
					}
					$doc = new Detalle_venta();
					$doc->set_id_venta($id_venta);
					$doc->set_cantidad($item["cantidad"]);
					$doc->set_id_producto($id_producto);
					$doc->set_descripcion($item["nombre"]);
					$doc->set_saldo_recepcion($item["cantidad"]);
					$doc->set_precio_unitario($item["precio_unitario"]);
					$doc->set_total($item["precio_unitario"]*$item["cantidad"]);
					Detalle_venta_guardarDetalle_venta($doc);
					
				}
				
//				debug($doc);
			}
		}
		
		$_SESSION["detalle_venta"] = "";
		
		$url .= "resumen_venta";
		header("Location: $url");
	break;
	
	/*
	$id_venta = checkPOST("id_venta", "");
	$id_sucursal = checkPOST("id_sucursal", "");
	$id_cliente_proveedor = checkPOST("id_cliente_proveedor", "");
	$fecha = checkPOST("fecha", "");
	$fecha_anulacion = checkPOST("fecha_anulacion", "");
	$fecha_recepcion_completa = checkPOST("fecha_recepcion_completa", "");
	$fecha_ultima_modificacion = checkPOST("fecha_ultima_modificacion", "");
	$fecha_digitacion = checkPOST("fecha_digitacion", "");
	$atencion = checkPOST("atencion", "");
	$subtotal = checkPOST("subtotal", "");
	$total_dcto = checkPOST("total_dcto", "");
	$total_neto = checkPOST("total_neto", "");
	$total_exento = checkPOST("total_exento", "");
	$total_bruto = checkPOST("total_bruto", "");
	$iva = checkPOST("incluir_iva", "");
	$estado = checkPOST("estado", "");
	$condicion_pago = checkPOST("condicion_pago", "");
	$id_usuario = $_SESSION["usuario"]->id_usuario;
	$observacion = checkPOST("observacion", "");
	
	$temp = new venta ($id_sucursal, $id_cliente_proveedor, $fecha, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $condicion_pago, $id_usuario, $observacion, $id_venta);
	
	$id_venta = venta_guardarventa($temp);
//	debug($id_venta);
			
	$url .= "detalle_venta&id_venta=".$id_venta;
	header("Location: $url");
	break;
	
	
	
	//-----------
	case "mass_add":
		$listado_detalle_venta = $_SESSION["detalle_venta"];
		
		$id_cliente_proveedor = checkPOST("id_cliente_proveedor", 0);
		
		foreach ($listado_detalle_venta as $id_bodega => $detalle_venta) {
			$venta = new venta();
			$venta->set_id_cliente_proveedor($id_cliente_proveedor);
			$venta->set_id_sucursal($id_bodega);
			$venta->set_fecha(hoy());
//			$id_venta = venta_guardarventa($venta);
			
			foreach ($detalle_venta as $id_producto => $item){
				$cantidad = $item["cantidad"];
				if ($cantidad){
					$producto = $item["producto"];
					debug($producto);
					$detalle_venta = new Detalle_venta();
					$detalle_venta->set_id_venta($id_venta);
					$detalle_venta->set_id_producto($id_producto);
					$detalle_venta->set_cantidad($cantidad);
					$detalle_venta->set_saldo_recepcion($cantidad);
//					$id_detalle_venta = Detalle_venta_guardarDetalle_venta($detalle_venta);
				}
			}
		}
		
		$_SESSION["detalle_venta"] = "";
		
		$url .= "resumen_venta";
		header("Location: $url");
	
	break;
	*/
	}


	
?>
