<?

	$old = getcwd();
	$new = "../../";
	chdir($new);
	
	include_once("validate_session.php");
 
	require('../siaweb_system/pdf/fpdf.php');
	class PDF_Rotate extends FPDF
	{
	var $angle=0;

	function Rotate($angle, $x=-1, $y=-1)
	{
		if($x==-1)
			$x=$this->x;
		if($y==-1)
			$y=$this->y;
		if($this->angle!=0)
			$this->_out('Q');
		$this->angle=$angle;
		if($angle!=0)
		{
			$angle*=M_PI/180;
			$c=cos($angle);
			$s=sin($angle);
			$cx=$x*$this->k;
			$cy=($this->h-$y)*$this->k;
			$this->_out(sprintf('q %.5f %.5f %.5f %.5f %.2f %.2f cm 1 0 0 1 %.2f %.2f cm', $c, $s, -$s, $c, $cx, $cy, -$cx, -$cy));
		}
	}

	function _endpage()
	{
		if($this->angle!=0)
	    {
        $this->angle=0;
        $this->_out('Q');
		}
	    parent::_endpage();
	}
}

class PDFR extends PDF_Rotate
{
	function RotatedText($x, $y, $txt, $angle)
	{
		//Text rotated around its origin
		$this->Rotate($angle, $x, $y);
		$this->Text($x, $y, $txt);
		$this->Rotate(0);
	}

	function RotatedImage($file, $x, $y, $w, $h, $angle)
	{
		//Image rotated around its upper-left corner
		$this->Rotate($angle, $x, $y);
		$this->Image($file, $x, $y, $w, $h);
		$this->Rotate(0);
	}
}	



	
	$cantidad_total 			= checkPOST("cantidad_total", 0);
	$margen_superior 			= checkPOST("margen_superior", 0);
	$margen_izquierdo			= checkPOST("margen_superior", 0);
	$alto_imagen				= checkPOST("alto_imagen", 15);
	$ancho_imagen				= checkPOST("ancho_imagen", 20);
	$separacion					= checkPOST("separacion", 5);
	$ancho_etiqueta				= checkPOST("ancho_etiqueta", 40);
	$alto_etiqueta				= checkPOST("alto_etiqueta", 15);
	$x_texto1					= checkPOST("x_texto1", 30);
	$y_texto1					= checkPOST("y_texto1", 5);
	$y_texto2					= checkPOST("y_texto2", 8);
	$tamano_letra				= checkPOST("tamano_letra", 8);
	$x_cb						= checkPOST("x_cb", 4);
	$y_cb						= checkPOST("y_cb", 4);
	$etiqueta_anexa				= checkPOST("etiqueta_anexa", 0);
	$separacion_entre_etiquetas	= checkPOST("separacion_entre_etiquetas", 4);
	$borde_etiqueta				= checkPOST("borde_etiqueta", 0);
	
	$desplazamiento_x = $separacion_entre_etiquetas + $ancho_etiqueta;
	$ancho_descripcion = $margen_izquierdo + $ancho_etiqueta - $x_texto1;
	


	
	//debug($cantidad_total);
	$page_ancho = 2 * ($ancho_etiquta + $margen_izquierdo + 10);
	$page_alto	= $cantidad_total * ($alto_etiqueta + $separacion);
	if ($page_alto >= 5000) $page_alto = 4900;
	
	$page_ancho = 75;
	$page_alto	= 38*$cantidad_total;
	
//	debug($page_ancho);
//	debug($page_alto);
	
	
	$format=array($page_alto,$page_ancho);
	$pdf=new PDFR('P','mm',$format);
	$pdf->AddPage();
	$pdf->SetFont('Arial', '', 20);

	//$pdf=new PDF_CodigoBarra('P','mm',$format);
	//$pdf=new PDF_CodigoBarra('P','mm');

//	$pdf->SetLeftMargin($margen_izquierdo);
//	$pdf->SetTopMargin($margen_superior);
	
//	$pdf->SetXY($margen_izquierdo, $margen_superior);
//	$pdf->AliasNbPages();
//	$pdf->AddPage();
//	$pdf->SetFont('Times','',10);
//	$pdf->SetTitle("LISTADO CODIGOS BARRA");
//	$pdf->SetAuthor('OPTICA ANTOFAGASTA');
//	$pdf->SetAutoPageBreak(1,0);
	
	//debug($_POST);
	$listado_codigos_a_imprimir = $_POST["codigos_a_imprimir"];
	$listado_precios 			= $_POST["precios"];

	$cont=1;

	$x = $margen_izquierdo;
	$y = $margen_superior;
	
	$pdf->SetFont('Times','B',10);
	foreach ($listado_codigos_a_imprimir as $codigo_barra => $cantidad) {
		
		$producto = Producto_getProducto($codigo_barra, "cb");

		if (!$producto){
			$producto = Producto_getProducto(ltrim($codigo_barra,"0"), "cb");
			if (!$producto) $producto = new Producto();
		} 
		$codigo_barra_precio	= $listado_precios[$codigo_barra];	

		$codigo_barra = makebarcode($codigo_barra, 8);

			$x1 = 3;
			$x2 = 34;
		for ($i=1; $i<=$cantidad; $i++)
		{	
			$largo_text = strlen($producto->get_descripcion());

			$cantidad_letras = 18;
			$descripcion_1 = substr($producto->get_descripcion(),0,$cantidad_letras);
			$descripcion_2 = substr($producto->get_descripcion(),$cantidad_letras,$cantidad_letras);
			$descripcion_3 = substr($producto->get_descripcion(),$cantidad_letras+$cantidad_letras,$cantidad_letras);

			$nombre_imagen = "imagenes/barcode/$codigo_barra.jpg";
			$pdf->Image($nombre_imagen, $x1-2, 37,34, 0);
			$pdf->SetFont('Times','B',12);
			$pdf->RotatedText($x2-28, 50, $producto->codigo_barra,0);
			$pdf->RotatedText($x2-8, 55, "$ " . format_money($codigo_barra_precio),180);
			$pdf->SetFont('Times','B',9);
			$pdf->RotatedText($x2, 64, $descripcion_1,180);
			$pdf->RotatedText($x2, 61, $descripcion_2,180);
			$pdf->RotatedText($x2, 58, $descripcion_3,180);
			$x1 = $x1+37;
			$x2 = $x2+37;
		}
	}

	$nro = hoy();	

	$nombre_archivo = "listado_codigos_barra_$nro.pdf";

	$path_archivo	= "modulos/reportes/pdf/";

	mkdir($path_archivo);

	$pdf->Output($path_archivo . $nombre_archivo, I); 


?>