<?php
include_once("../siaweb_system/adodb/adodb.inc.php");
include_once("../common/variables_globales.inc");
include_once("../common/fachada/sistema/connection.php");
include_once("../common/fachada/sistema/valida_privilegios.php");
include_once("../common/fachada/sistema/util_smarty1_common.php");
include_once("../common/fachada/sistema/util_php2.php");
include_once("sistema/util_php1.php");
include_once("sistema/util_php2.php");
include_once("sistema/util_smarty1.php");
include_once("sistema/util_smarty2.php");
include_once("sistema/json.php");
include_once("include_clases.php");
include_once("include_clases_bd.php");
include_once("include_controlador_logico.php");
include_once("include_controlador_bd.php");


include_once("include_inter_sistemas.php");
$conn = &ADONewConnection('mysql');

session_start();
$conn->Connect($DBhost, $DBuser, $DBpass,$_SESSION['bd']);



$debug = checkGET("debug",false);
define('CONN_DEBUG',$debug);
//define('CONN_DEBUG',true);

include_once("include_fachada.php");
include_once("include_queries.php");
include_once("sistema/pdf_table.inc");
include_once("../common/fachada/sistema/valida_privilegios.php");
include_once("queries.php");
include_once("db.inc");
include_once("include_sajax.php");
//include_once("sistema/util_ajax.php");
//include_once("sistema/util_ajax1.php");


class Fachada {
	//------------------------------------------------------------------------------
	// FUNCIONES FACHADA USUARIO
	//------------------------------------------------------------------------------
	function &getListadoUsuario()
	{
		global $conn;
		$query = expandir("GET_LISTADO_USUARIO");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$nombre = $RecordSet -> Fields("nombre");
			$apellido = $RecordSet -> Fields("apellido");
			$email = $RecordSet -> Fields("email");
			$login = $RecordSet -> Fields("login");
			$password = $RecordSet -> Fields("password");
			$privilegio = $RecordSet -> Fields("privilegio");

			$temp = new Usuario ($nombre, $apellido, $email, $login, $password, $privilegio, $id_usuario);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getUsuario($id_usuario)
	{
		global $conn;
		$query = expandir("GET_USUARIO",
		"id_usuario", $id_usuario
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_usuario = $RecordSet -> Fields("id_usuario");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido = $RecordSet -> Fields("apellido");
		$email = $RecordSet -> Fields("email");
		$login = $RecordSet -> Fields("login");
		$password = $RecordSet -> Fields("password");
		$privilegio = $RecordSet -> Fields("privilegio");


		$temp = new Usuario ($nombre, $apellido, $email, $login, $password, $privilegio, $id_usuario);
		return $temp;
	}


	function &guardarUsuario($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_USUARIO",
		"apellido", $objeto->apellido,
		"email", $objeto->email,
		"login", $objeto->login,
		"password", $objeto->password,
		"privilegio", $objeto->privilegio,
		"nombre", $objeto->nombre);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();

	}

	function &actualizarUsuario($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_USUARIO",
		"nombre", $objeto->nombre,
		"apellido", $objeto->apellido,
		"email", $objeto->email,
		"login", $objeto->login,
		"password", $objeto->password,
		"privilegio", $objeto->privilegio,
		"id_usuario", $objeto->id_usuario);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;

	}

	function &eliminarUsuario($id_usuario){
		global $conn;
		$query = expandir("ELIMINAR_USUARIO",
		"id_usuario", $id_usuario
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}
function &CrearBd($nombrebd){
		global $conn;
		$query = expandir("CREAR_BASE_DATOS_ADMIN",
		"nombrebd", $nombrebd
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}


	/*********** MOD ***************************************************************/
	function isUsuario ($login, $password)
	{

		global $conn;
		$RecordSet = &$conn -> Execute(expandir("GET_PASSWORD", "login", $login));
		// var_dump($password);
		// var_dump(md5($password));
		// var_dump($RecordSet->Fields("password"));
		if (!$RecordSet) {
			return false;
			exit;
		}

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}
		$conn_password = $RecordSet -> Fields("password");

		if (!strcmp(md5($password), $conn_password)) {

			$id_usuario = $RecordSet -> Fields("id_usuario");
			$nombre = $RecordSet -> Fields("nombre");
			$apellido = $RecordSet -> Fields("apellido");
			$email = $RecordSet -> Fields("email");
			$login = $RecordSet -> Fields("login");
			$password = $RecordSet -> Fields("password");
			$privilegio = $RecordSet -> Fields("privilegio");

			$usuario = new Usuario ($nombre, $apellido, $email, $login, $password, $privilegio, $id_usuario);
			// var_dump($usuario);
			return $usuario;
			// return true;
		} else {
			return false;
		}
	}
	/*********** MOD ***************************************************************/

	
	//------------------------------------------------------------------------------
	// FUNCIONES FACHADA CLIENTE
	//------------------------------------------------------------------------------

	/*********** MOD ***************************************************************/
	
	/*
	function &getListadoCliente($filtro)
	{
		global $conn;
		$query = expandir("GET_LISTADO_CLIENTE",
		"filtro", $filtro
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$rut_cliente = $RecordSet -> Fields("rut_cliente");
			$nombre_cliente = $RecordSet -> Fields("nombre_cliente");
			$razon_social_cliente = $RecordSet -> Fields("razon_social_cliente");
			$giro_cliente = $RecordSet -> Fields("giro_cliente");
			$direccion_cliente = $RecordSet -> Fields("direccion_cliente");
			$pais_cliente = $RecordSet -> Fields("pais_cliente");
			$region_cliente = $RecordSet -> Fields("region_cliente");
			$ciudad_cliente = $RecordSet -> Fields("ciudad_cliente");
			$telefono_cliente = $RecordSet -> Fields("telefono_cliente");
			$movil_cliente = $RecordSet -> Fields("movil_cliente");
			$fax_cliente = $RecordSet -> Fields("fax_cliente");
			$email_cliente = $RecordSet -> Fields("email_cliente");
			$web_cliente = $RecordSet -> Fields("web_cliente");
			$fecha_ingreso_cliente = $RecordSet -> Fields("fecha_ingreso_cliente");
			$estado_cliente = $RecordSet -> Fields("estado_cliente");
			$observacion_cliente = $RecordSet -> Fields("observacion_cliente");

			$temp = new Cliente ($rut_cliente, $nombre_cliente, $razon_social_cliente, $giro_cliente, $direccion_cliente, $pais_cliente, $region_cliente, $ciudad_cliente, $telefono_cliente, $movil_cliente, $fax_cliente, $email_cliente, $web_cliente, $fecha_ingreso_cliente, $estado_cliente, $observacion_cliente, $id_cliente);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}
		return $vector;
	}

	function &getUltimoCliente(){
		global $conn;
		$query = expandir("GET_ULTIMO_CLIENTE");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_zona = $RecordSet -> Fields("id_zona");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$observacion = $RecordSet -> Fields("observacion");

		$temp = new Zona ($nombre, $descripcion, $observacion, $id_zona);
		return $temp;
	}

	/*********** MOD ***************************************************************

	function &getCliente($id_cliente)
	{
		global $conn;
		$query = expandir("GET_CLIENTE",
		"id_cliente", $id_cliente
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_cliente = $RecordSet -> Fields("id_cliente");
		$rut_cliente = $RecordSet -> Fields("rut_cliente");
		$nombre_cliente = $RecordSet -> Fields("nombre_cliente");
		$razon_social_cliente = $RecordSet -> Fields("razon_social_cliente");
		$giro_cliente = $RecordSet -> Fields("giro_cliente");
		$direccion_cliente = $RecordSet -> Fields("direccion_cliente");
		$pais_cliente = $RecordSet -> Fields("pais_cliente");
		$region_cliente = $RecordSet -> Fields("region_cliente");
		$ciudad_cliente = $RecordSet -> Fields("ciudad_cliente");
		$telefono_cliente = $RecordSet -> Fields("telefono_cliente");
		$movil_cliente = $RecordSet -> Fields("movil_cliente");
		$fax_cliente = $RecordSet -> Fields("fax_cliente");
		$email_cliente = $RecordSet -> Fields("email_cliente");
		$web_cliente = $RecordSet -> Fields("web_cliente");
		$fecha_ingreso_cliente = $RecordSet -> Fields("fecha_ingreso_cliente");
		$estado_cliente = $RecordSet -> Fields("estado_cliente");
		$observacion_cliente = $RecordSet -> Fields("observacion_cliente");


		$temp = new Cliente ($rut_cliente, $nombre_cliente, $razon_social_cliente, $giro_cliente, $direccion_cliente, $pais_cliente, $region_cliente, $ciudad_cliente, $telefono_cliente, $movil_cliente, $fax_cliente, $email_cliente, $web_cliente, $fecha_ingreso_cliente, $estado_cliente, $observacion_cliente, $id_cliente);
		return $temp;
	}


	function &guardarCliente($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CLIENTE",
		"nombre_cliente", $objeto->nombre_cliente,
		"razon_social_cliente", $objeto->razon_social_cliente,
		"giro_cliente", $objeto->giro_cliente,
		"direccion_cliente", $objeto->direccion_cliente,
		"pais_cliente", $objeto->pais_cliente,
		"region_cliente", $objeto->region_cliente,
		"ciudad_cliente", $objeto->ciudad_cliente,
		"telefono_cliente", $objeto->telefono_cliente,
		"movil_cliente", $objeto->movil_cliente,
		"fax_cliente", $objeto->fax_cliente,
		"email_cliente", $objeto->email_cliente,
		"web_cliente", $objeto->web_cliente,
		"fecha_ingreso_cliente", $objeto->fecha_ingreso_cliente,
		"estado_cliente", $objeto->estado_cliente,
		"observacion_cliente", $objeto->observacion_cliente,
		"rut_cliente", $objeto->rut_cliente);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}

	function &actualizarCliente($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CLIENTE",
		"rut_cliente", $objeto->rut_cliente,
		"nombre_cliente", $objeto->nombre_cliente,
		"razon_social_cliente", $objeto->razon_social_cliente,
		"giro_cliente", $objeto->giro_cliente,
		"direccion_cliente", $objeto->direccion_cliente,
		"pais_cliente", $objeto->pais_cliente,
		"region_cliente", $objeto->region_cliente,
		"ciudad_cliente", $objeto->ciudad_cliente,
		"telefono_cliente", $objeto->telefono_cliente,
		"movil_cliente", $objeto->movil_cliente,
		"fax_cliente", $objeto->fax_cliente,
		"email_cliente", $objeto->email_cliente,
		"web_cliente", $objeto->web_cliente,
		"fecha_ingreso_cliente", $objeto->fecha_ingreso_cliente,
		"estado_cliente", $objeto->estado_cliente,
		"observacion_cliente", $objeto->observacion_cliente,
		"id_cliente", $objeto->id_cliente);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCliente($id_cliente){
		global $conn;
		$query = expandir("ELIMINAR_CLIENTE",
		"id_cliente", $id_cliente
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}
	*/
	
/*	

	//------------------------------------------------------------------------------
	//FUNCIONES FACHADA CONTACTO
	//------------------------------------------------------------------------------

	function &getListadoContacto()
	{
		global $conn;
		$query = expandir("GET_LISTADO_CONTACTO");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_contacto = $RecordSet -> Fields("id_contacto");
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$nombre_contacto = $RecordSet -> Fields("nombre_contacto");
			$rut_contacto = $RecordSet -> Fields("rut_contacto");
			$area_contacto = $RecordSet -> Fields("area_contacto");
			$fono_contacto = $RecordSet -> Fields("fono_contacto");
			$movil_contacto = $RecordSet -> Fields("movil_contacto");
			$fax_contacto = $RecordSet -> Fields("fax_contacto");
			$email_contacto = $RecordSet -> Fields("email_contacto");
			$cargo_contacto = $RecordSet -> Fields("cargo_contacto");
			$id_area_trabajo = $RecordSet -> Fields("id_area_trabajo");


			$temp = new Contacto ($id_cliente, $nombre_contacto, $rut_contacto, $area_contacto, $fono_contacto, $movil_contacto, $fax_contacto, $email_contacto, $cargo_contacto, $id_area_trabajo, $id_contacto);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}

	function &getListadoContactoPorCliente($id_cliente)
	{
		global $conn;

		$query = expandir("GET_LISTADO_CONTACTO_POR_CLIENTE",
		"id_cliente", $id_cliente
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_contacto = $RecordSet -> Fields("id_contacto");
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$nombre_contacto = $RecordSet -> Fields("nombre_contacto");
			$rut_contacto = $RecordSet -> Fields("rut_contacto");
			$area_contacto = $RecordSet -> Fields("area_contacto");
			$fono_contacto = $RecordSet -> Fields("fono_contacto");
			$movil_contacto = $RecordSet -> Fields("movil_contacto");
			$fax_contacto = $RecordSet -> Fields("fax_contacto");
			$email_contacto = $RecordSet -> Fields("email_contacto");
			$cargo_contacto = $RecordSet -> Fields("cargo_contacto");
			$id_area_trabajo = $RecordSet -> Fields("id_area_trabajo");

			$temp = new Contacto ($id_cliente, $nombre_contacto, $rut_contacto, $area_contacto, $fono_contacto, $movil_contacto, $fax_contacto, $email_contacto, $cargo_contacto, $id_area_trabajo, $id_contacto);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getContacto($id_contacto)
	{
		global $conn;
		$query = expandir("GET_CONTACTO",
		"id_contacto", $id_contacto
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_contacto = $RecordSet -> Fields("id_contacto");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$nombre_contacto = $RecordSet -> Fields("nombre_contacto");
		$rut_contacto = $RecordSet -> Fields("rut_contacto");
		$area_contacto = $RecordSet -> Fields("area_contacto");
		$fono_contacto = $RecordSet -> Fields("fono_contacto");
		$movil_contacto = $RecordSet -> Fields("movil_contacto");
		$fax_contacto = $RecordSet -> Fields("fax_contacto");
		$email_contacto = $RecordSet -> Fields("email_contacto");
		$cargo_contacto = $RecordSet -> Fields("cargo_contacto");
		$id_area_trabajo = $RecordSet -> Fields("id_area_trabajo");

		$temp = new Contacto ($id_cliente, $nombre_contacto, $rut_contacto, $area_contacto, $fono_contacto, $movil_contacto, $fax_contacto, $email_contacto, $cargo_contacto, $id_area_trabajo, $id_contacto);
		return $temp;
	}


	function &guardarContacto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CONTACTO",
		"nombre_contacto", $objeto->nombre_contacto,
		"rut_contacto", $objeto->rut_contacto,
		"area_contacto", $objeto->area_contacto,
		"fono_contacto", $objeto->fono_contacto,
		"movil_contacto", $objeto->movil_contacto,
		"fax_contacto", $objeto->fax_contacto,
		"email_contacto", $objeto->email_contacto,
		"cargo_contacto", $objeto->cargo_contacto,
		"id_area_trabajo", $objeto->id_area_trabajo,
		"id_cliente", $objeto->id_cliente);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}

	function &actualizarContacto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CONTACTO",
		"id_cliente", $objeto->id_cliente,
		"nombre_contacto", $objeto->nombre_contacto,
		"rut_contacto", $objeto->rut_contacto,
		"area_contacto", $objeto->area_contacto,
		"fono_contacto", $objeto->fono_contacto,
		"movil_contacto", $objeto->movil_contacto,
		"fax_contacto", $objeto->fax_contacto,
		"email_contacto", $objeto->email_contacto,
		"cargo_contacto", $objeto->cargo_contacto,
		"id_area_trabajo", $objeto->id_area_trabajo,
		"id_contacto", $objeto->id_contacto);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarContacto($id_contacto){
		global $conn;
		$query = expandir("ELIMINAR_CONTACTO",
		"id_contacto", $id_contacto
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

*/
	//------------------------------------------------------------------------------
	//FUNCIONES FACHADA RIESGO
	//------------------------------------------------------------------------------

	function &getListadoRiesgo()
	{
		global $conn;
		$query = expandir("GET_LISTADO_RIESGO");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_riesgo = $RecordSet -> Fields("id_riesgo");
			$clase_riesgo = $RecordSet -> Fields("clase_riesgo");
			$nombre_riesgo = $RecordSet -> Fields("nombre_riesgo");
			$descripcion_riesgo = $RecordSet -> Fields("descripcion_riesgo");

			$temp = new Riesgo ($clase_riesgo, $nombre_riesgo, $descripcion_riesgo, $id_riesgo);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getRiesgo($id_riesgo)
	{
		global $conn;
		$query = expandir("GET_RIESGO",
		"id_riesgo", $id_riesgo
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_riesgo = $RecordSet -> Fields("id_riesgo");
		$clase_riesgo = $RecordSet -> Fields("clase_riesgo");
		$nombre_riesgo = $RecordSet -> Fields("nombre_riesgo");
		$descripcion_riesgo = $RecordSet -> Fields("descripcion_riesgo");


		$temp = new Riesgo ($clase_riesgo, $nombre_riesgo, $descripcion_riesgo, $id_riesgo);
		return $temp;
	}


	function &guardarRiesgo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_RIESGO",
		"nombre_riesgo", $objeto->nombre_riesgo,
		"descripcion_riesgo", $objeto->descripcion_riesgo,
		"clase_riesgo", $objeto->clase_riesgo);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarRiesgo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_RIESGO",
		"clase_riesgo", $objeto->clase_riesgo,
		"nombre_riesgo", $objeto->nombre_riesgo,
		"descripcion_riesgo", $objeto->descripcion_riesgo,
		"id_riesgo", $objeto->id_riesgo);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarRiesgo($id_riesgo){
		global $conn;
		$query = expandir("ELIMINAR_RIESGO",
		"id_riesgo", $id_riesgo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	//------------------------------------------------------------------------------
	//FUNCIONES FACHADA CARGA
	//------------------------------------------------------------------------------
	/*********** MOD ***************************************************************/
	function &getListadoCarga($id_servicio_por_solicitud)
	{
		global $conn;
		$query = expandir("GET_LISTADO_CARGA",
		"id_servicio_por_solicitud", $id_servicio_por_solicitud
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_carga = $RecordSet -> Fields("id_carga");
			$id_servicio_por_solicitud = $RecordSet -> Fields("id_servicio_por_solicitud");
			$id_riesgo = $RecordSet -> Fields("id_riesgo");
			$id_sustancia = $RecordSet -> Fields("id_sustancia");
			$tipo_carga = $RecordSet -> Fields("tipo_carga");
			$alto = $RecordSet -> Fields("alto");
			$ancho = $RecordSet -> Fields("ancho");
			$largo = $RecordSet -> Fields("largo");
			$peso = $RecordSet -> Fields("peso");
			$volumen = $RecordSet -> Fields("volumen");
			$densidad = $RecordSet -> Fields("densidad");
			$granulometria = $RecordSet -> Fields("granulometria");
			$observacion = $RecordSet -> Fields("observacion");


			$temp = new Carga ($id_servicio_por_solicitud, $id_riesgo, $id_sustancia, $tipo_carga, $alto, $ancho, $largo, $peso, $volumen, $densidad, $granulometria, $observacion, $id_carga);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}
	/*********** MOD ***************************************************************/

	function &getCarga($id_carga)
	{
		global $conn;
		$query = expandir("GET_CARGA",
		"id_carga", $id_carga
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_carga = $RecordSet -> Fields("id_carga");
		$id_servicio_por_solicitud = $RecordSet -> Fields("id_servicio_por_solicitud");
		$id_riesgo = $RecordSet -> Fields("id_riesgo");
		$id_sustancia = $RecordSet -> Fields("id_sustancia");
		$tipo_carga = $RecordSet -> Fields("tipo_carga");
		$alto = $RecordSet -> Fields("alto");
		$ancho = $RecordSet -> Fields("ancho");
		$largo = $RecordSet -> Fields("largo");
		$peso = $RecordSet -> Fields("peso");
		$volumen = $RecordSet -> Fields("volumen");
		$densidad = $RecordSet -> Fields("densidad");
		$granulometria = $RecordSet -> Fields("granulometria");
		$observacion = $RecordSet -> Fields("observacion");



		$temp = new Carga ($id_servicio_por_solicitud, $id_riesgo, $id_sustancia, $tipo_carga, $alto, $ancho, $largo, $peso, $volumen, $densidad, $granulometria, $observacion, $id_carga);
		return $temp;
	}


	function &guardarCarga($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CARGA",
		"id_riesgo", $objeto->id_riesgo,
		"id_sustancia", $objeto->id_sustancia,
		"tipo_carga", $objeto->tipo_carga,
		"alto", $objeto->alto,
		"ancho", $objeto->ancho,
		"largo", $objeto->largo,
		"peso", $objeto->peso,
		"volumen", $objeto->volumen,
		"densidad", $objeto->densidad,
		"granulometria", $objeto->granulometria,
		"observacion", $objeto->observacion,

		"id_servicio_por_solicitud", $objeto->id_servicio_por_solicitud);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}

	function &actualizarCarga($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CARGA",
		"id_servicio_por_solicitud", $objeto->id_servicio_por_solicitud,
		"id_riesgo", $objeto->id_riesgo,
		"id_sustancia", $objeto->id_sustancia,
		"tipo_carga", $objeto->tipo_carga,
		"alto", $objeto->alto,
		"ancho", $objeto->ancho,
		"largo", $objeto->largo,
		"peso", $objeto->peso,
		"volumen", $objeto->volumen,
		"densidad", $objeto->densidad,
		"granulometria", $objeto->granulometria,
		"observacion", $objeto->observacion,
		"id_carga", $objeto->id_carga);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCarga($id_carga){
		global $conn;
		$query = expandir("ELIMINAR_CARGA",
		"id_carga", $id_carga
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	//------------------------------------------------------------------------------
	//FUNCIONES FACHADA SOLICITUD_COTIZACION
	//------------------------------------------------------------------------------

	function &getCantidadSolicitud_cotizacion($filtro)
	{
		$where = "";

		if ($filtro["id_cliente"] != 0){$where .= "id_cliente = " . $filtro["id_cliente"] . " AND "; }
		if ($filtro["descripcion"] != ""){$where .= "descripcion_solicitud LIKE '%" . $filtro["descripcion"] . "%' AND ";}

		//$where .= " estado_solicitud != 0";
		if ($filtro['estado'] != "-1")
		$where .= " estado_solicitud = ".$filtro['estado'];
		else
		$where .= " estado_solicitud != 0";

		if ($where != "") $where = "WHERE " . $where;	//Adjunta la palabra WHERE al comienzo del string


		global $conn;
		$query = expandir("GET_CANTIDAD_SOLICITUD_COTIZACION",
		"where" , $where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		return $RecordSet -> Fields("cont");
	}

	function &getListadoSolicitud_cotizacion($filtro)
	{
		
		$where = "";

		if ($filtro["id_cliente"] != 0){$where .= "id_cliente = " . $filtro["id_cliente"] . " AND "; }
		if ($filtro["descripcion"] != ""){$where .= "descripcion_solicitud LIKE '%" . $filtro["descripcion"] . "%' AND ";}
		if ($filtro["numero_solicitud"]){$where .= "numero_solicitud = '" . $filtro["numero_solicitud"]."'" ;}

		//$where .= " estado_solicitud != 0";
		if($filtro['estado']){
			if ($filtro['estado'] != "-1" ){

				$int = count($filtro['estado']);
				if($int > 1){
					foreach ($filtro['estado'] as $string){

						$where .= " estado_solicitud = ".$string." OR";
					}
					$where .= substr($where,0,(count($where)-3));
				}else{
					$where .= " estado_solicitud = ".$filtro['estado'];
				}

			}else{
				$where .= " estado_solicitud != 0";
			}
		}
		if ($where != "") $where = "WHERE " . $where;	//Adjunta la palabra WHERE al comienzo del string
		//$where = substr($where, 0, -5);					//Remueve el ultimo 'AND' agregado


		if($filtro["order_by"]){
		//Agrega el filtro de ORDER BY
		$where .= " ORDER BY " . $filtro["order_by"];
		}
		//Delimita el nro de resultados a entregar por pantalla
		if ($filtro["res_por_pag"] != 0) $where .= " LIMIT " . $filtro["valor_ini"] . " , " . $filtro["res_por_pag"];

		global $conn;
		$query = expandir("GET_LISTADO_SOLICITUD_COTIZACION",
		"where", $where
		);

		//var_dump($where);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_ot 	= $RecordSet -> Fields("id_ot");
			$numero_solicitud 			= $RecordSet -> Fields("numero_solicitud");
			$numero_ot					= $RecordSet -> Fields("numero_ot");
			$id_cliente 				= $RecordSet -> Fields("id_cliente");
			$id_contacto 				= $RecordSet -> Fields("id_contacto");
			$id_vendedor 				= $RecordSet -> Fields("id_vendedor");
			$id_usuario 				= $RecordSet -> Fields("id_usuario");
			$fecha_digitacion 			= $RecordSet -> Fields("fecha_digitacion");
			$fecha_solicitud 			= $RecordSet -> Fields("fecha_solicitud");
			$fecha_entrega_solicitada	= $RecordSet -> Fields("fecha_entrega_solicitada");
			$fecha_envio_cotizacion		= $RecordSet -> Fields("fecha_envio_cotizacion");
			$fecha_anulacion 			= $RecordSet -> Fields("fecha_anulacion");
			$fecha_ult_modificacion 	= $RecordSet -> Fields("fecha_ult_modificacion");
			$descripcion_solicitud 		= $RecordSet -> Fields("descripcion_solicitud");
			$medio_solicitud_cotizacion = $RecordSet -> Fields("medio_solicitud_cotizacion");
			$estado_solicitud 			= $RecordSet -> Fields("estado_solicitud");
			$prioridad		 			= $RecordSet -> Fields("prioridad");
			$observacion	 			= $RecordSet -> Fields("observacion");
			$id_centro_costo	 		= $RecordSet -> Fields("id_centro_costo");
			//-------------------------------------------------------------------------
			$requiere_visita            = $RecordSet -> Fields("requiere_visita");
			$cant_persona_visita        = $RecordSet -> Fields("cant_persona_visita");
			$equipamiento_visita        = $RecordSet -> Fields("equipamiento_visita");
	 		$trans_desde_cliente        = $RecordSet -> Fields("trans_desde_cliente");
	 		$trans_desde_maestranza     = $RecordSet -> Fields("trans_desde_maestranza");
	 		$id_arenado                 = $RecordSet -> Fields("id_arenado");
	 		$id_revestimiento           = $RecordSet -> Fields("id_revestimiento");
	 		$envoltorio                 = $RecordSet -> Fields("envoltorio");
	 		$id_embalaje                = $RecordSet -> Fields("id_embalaje");

			$temp = new Solicitud_cotizacion ($numero_solicitud, $numero_ot, $id_cliente, $id_contacto, $id_vendedor, $id_usuario, $fecha_digitacion, $fecha_solicitud, $fecha_entrega_solicitada, $fecha_envio_cotizacion, $fecha_anulacion, $fecha_ult_modificacion, $descripcion_solicitud, $medio_solicitud_cotizacion, $estado_solicitud, $prioridad, $observacion, $id_centro_costo, $requiere_visita, $cant_persona_visita, $equipamiento_visita, $trans_desde_cliente, $trans_desde_maestranza, $id_arenado, $id_revestimiento, $envoltorio, $id_embalaje, $id_ot);

			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getSolicitud_cotizacion($id_ot)
	{
		global $conn;
		$query = expandir("GET_SOLICITUD_COTIZACION",
		"id_ot", $id_ot
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_ot 	= $RecordSet -> Fields("id_ot");
		$numero_solicitud 			= $RecordSet -> Fields("numero_solicitud");
		$numero_ot					= $RecordSet -> Fields("numero_ot");
		$id_cliente 				= $RecordSet -> Fields("id_cliente");
		$id_contacto 				= $RecordSet -> Fields("id_contacto");
		$id_vendedor 				= $RecordSet -> Fields("id_vendedor");
		$id_usuario 				= $RecordSet -> Fields("id_usuario");
		$fecha_digitacion 			= $RecordSet -> Fields("fecha_digitacion");
		$fecha_solicitud 			= $RecordSet -> Fields("fecha_solicitud");
		$fecha_entrega_solicitada	= $RecordSet -> Fields("fecha_entrega_solicitada");
		$fecha_envio_cotizacion		= $RecordSet -> Fields("fecha_envio_cotizacion");
		$fecha_anulacion 			= $RecordSet -> Fields("fecha_anulacion");
		$fecha_ult_modificacion 	= $RecordSet -> Fields("fecha_ult_modificacion");
		$descripcion_solicitud 		= $RecordSet -> Fields("descripcion_solicitud");
		$medio_solicitud_cotizacion = $RecordSet -> Fields("medio_solicitud_cotizacion");
		$estado_solicitud 			= $RecordSet -> Fields("estado_solicitud");
		$prioridad		 			= $RecordSet -> Fields("prioridad");
		$observacion	 			= $RecordSet -> Fields("observacion");
		$id_centro_costo	 		= $RecordSet -> Fields("id_centro_costo");
		//----------------------------------------------------------------------
		$requiere_visita            = $RecordSet -> Fields("requiere_visita");
		$cant_persona_visita        = $RecordSet -> Fields("cant_persona_visita");
		$equipamiento_visita        = $RecordSet -> Fields("equipamiento_visita");
		$trans_desde_cliente        = $RecordSet -> Fields("trans_desde_cliente");
		$trans_desde_maestranza     = $RecordSet -> Fields("trans_desde_maestranza");
		$id_arenado                 = $RecordSet -> Fields("id_arenado");
		$id_revestimiento           = $RecordSet -> Fields("id_revestimiento");
		$envoltorio                 = $RecordSet -> Fields("envoltorio");
		$id_embalaje                = $RecordSet -> Fields("id_embalaje");

		$temp = new Solicitud_cotizacion ($numero_solicitud, $numero_ot, $id_cliente, $id_contacto, $id_vendedor, $id_usuario, $fecha_digitacion, $fecha_solicitud, $fecha_entrega_solicitada, $fecha_envio_cotizacion, $fecha_anulacion, $fecha_ult_modificacion, $descripcion_solicitud, $medio_solicitud_cotizacion, $estado_solicitud, $prioridad, $observacion, $id_centro_costo, $requiere_visita, $cant_persona_visita, $equipamiento_visita, $trans_desde_cliente, $trans_desde_maestranza, $id_arenado, $id_revestimiento, $envoltorio, $id_embalaje, $id_ot);

		return $temp;
	}


	function &guardarSolicitud_cotizacion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		//	debug($objeto);
		$query = expandir("GUARDAR_SOLICITUD_COTIZACION",
		"numero_solicitud", $objeto->numero_solicitud,
		"numero_ot", $objeto->numero_ot,
		"id_cliente", $objeto->id_cliente,
		"id_contacto", $objeto->id_contacto,
		"id_vendedor", $objeto->id_vendedor,
		"id_usuario", $objeto->id_usuario,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"fecha_solicitud", $objeto->fecha_solicitud,
		"fecha_entrega_solicitada", $objeto->fecha_entrega_solicitada,
		"fecha_anulacion", $objeto->fecha_anulacion,
		"fecha_ult_modificacion", $objeto->fecha_ult_modificacion,
		"descripcion_solicitud", $objeto->descripcion_solicitud,
		"estado_solicitud", $objeto->estado_solicitud,
		"prioridad", $objeto->prioridad,
		"id_centro_costo", $objeto->id_centro_costo,
		"observacion", $objeto->observacion);
		
		debug($query);
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarSolicitud_cotizacion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_SOLICITUD_COTIZACION",
		"numero_solicitud", $objeto->numero_solicitud,
		"numero_ot", $objeto->numero_ot,
		"id_cliente", $objeto->id_cliente,
		"id_contacto", $objeto->id_contacto,
		"id_vendedor", $objeto->id_vendedor,
		"id_usuario", $objeto->id_usuario,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"fecha_solicitud", $objeto->fecha_solicitud,
		"fecha_entrega_solicitada", $objeto->fecha_entrega_solicitada,
		"fecha_envio_cotizacion", $objeto->fecha_envio_cotizacion,
		"fecha_anulacion", $objeto->fecha_anulacion,
		"fecha_ult_modificacion", $objeto->fecha_ult_modificacion,
		"descripcion_solicitud", str_ireplace("\\","", $objeto->descripcion_solicitud),
		"medio_solicitud_cotizacion", $objeto->medio_solicitud_cotizacion,
		"estado_solicitud", $objeto->estado_solicitud,
		"prioridad", $objeto->prioridad,
		"observacion", $objeto->observacion,
		"id_centro_costo", $objeto->id_centro_costo,
		"requiere_visita", $objeto->requiere_visita,
		"cant_persona_visita", $objeto->cant_persona_visita,
		"equipamiento_visita", $objeto->equipamiento_visita,
		"trans_desde_cliente", $objeto->trans_desde_cliente,
		"trans_desde_maestranza", $objeto->trans_desde_maestranza,
		"id_arenado", $objeto->id_arenado,
		"id_revestimiento", $objeto->id_revestimiento,
		"envoltorio", $objeto->envoltorio,
		"id_embalaje", $objeto->id_embalaje,
		"id_ot", $objeto->id_ot);
        
		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarSolicitud_cotizacion($id_ot){
		global $conn;
		$query = expandir("ELIMINAR_SOLICITUD_COTIZACION",
		"id_ot", $id_ot
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}


	/*
	Descripcin: Metodo que retorna el ltimo nmero de solicitud de cotizacion
	Agregado por: Mauricio Marchant
	Fecha: 05/02/2004
	Hora: 17:14
	*/
	function &get_ultimaSolicitud_cotizacion(){
		global $conn;
		$query = expandir("GET_ULTIMA_SOLICITUD_INGRESADA");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_ot = $RecordSet -> Fields("id_ot");
		$numero_solicitud = $RecordSet -> Fields("numero_solicitud");
		$numero_ot = $RecordSet -> Fields("numero_ot");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$id_contacto = $RecordSet -> Fields("id_contacto");
		$id_vendedor = $RecordSet -> Fields("id_vendedor");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$fecha_solicitud = $RecordSet -> Fields("fecha_solicitud");
		$fecha_entrega_solicitada = $RecordSet -> Fields("fecha_entrega_solicitada");
		$fecha_envio_cotizacion = $RecordSet -> Fields("fecha_envio_cotizacion");
		$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
		$fecha_ult_modificacion = $RecordSet -> Fields("fecha_ult_modificacion");
		$descripcion_solicitud = $RecordSet -> Fields("descripcion_solicitud");
		$medio_solicitud_cotizacion = $RecordSet -> Fields("medio_solicitud_cotizacion");
		$estado_solicitud = $RecordSet -> Fields("estado_solicitud");
		$prioridad = $RecordSet -> Fields("prioridad");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		//-----------------------------------------------------------------
		$requiere_visita            = $RecordSet -> Fields("requiere_visita");
		$cant_persona_visita        = $RecordSet -> Fields("cant_persona_visita");
		$equipamiento_visita        = $RecordSet -> Fields("equipamiento_visita");
		$trans_desde_cliente        = $RecordSet -> Fields("trans_desde_cliente");
		$trans_desde_maestranza     = $RecordSet -> Fields("trans_desde_maestranza");
		$id_arenado                 = $RecordSet -> Fields("id_arenado");
		$id_revestimiento           = $RecordSet -> Fields("id_revestimiento");
		$envoltorio                 = $RecordSet -> Fields("envoltorio");
		$id_embalaje                = $RecordSet -> Fields("id_embalaje");

		$temp = new Solicitud_cotizacion ($numero_solicitud, $numero_ot, $id_cliente, $id_contacto, $id_vendedor, $id_usuario, $fecha_digitacion, $fecha_solicitud, $fecha_entrega_solicitada, $fecha_envio_cotizacion, $fecha_anulacion, $fecha_ult_modificacion, $descripcion_solicitud, $medio_solicitud_cotizacion, $estado_solicitud, $prioridad, $id_centro_costo, $requiere_visita, $cant_persona_visita, $equipamiento_visita, $trans_desde_cliente, $trans_desde_maestranza, $id_arenado, $id_revestimiento, $envoltorio, $id_embalaje, $id_ot);
		return $temp;
	}

	//------------------------------------------------------------------------------
	//FUNCIONES FACHADA VENDEDOR
	//------------------------------------------------------------------------------

	function &getListadoVendedor($filtro,$extra)
	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}

		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_LISTADO_VENDEDOR",
		"where",$where
		);		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_vendedor = $RecordSet -> Fields("id_vendedor");
			$nombre_vendedor = $RecordSet -> Fields("nombre_vendedor");
			$email_vendedor = $RecordSet -> Fields("email_vendedor");
			$movil_vendedor = $RecordSet -> Fields("movil_vendedor");
			$id_cargo_empleado = $RecordSet -> Fields("id_cargo_empleado");

			$temp = new Vendedor ($nombre_vendedor, $email_vendedor, $movil_vendedor, $id_cargo_empleado, $id_vendedor);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getVendedor($id_vendedor)
	{
		global $conn;
		$query = expandir("GET_VENDEDOR",
		"id_vendedor", $id_vendedor
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_vendedor = $RecordSet -> Fields("id_vendedor");
		$nombre_vendedor = $RecordSet -> Fields("nombre_vendedor");
		$email_vendedor = $RecordSet -> Fields("email_vendedor");
		$movil_vendedor = $RecordSet -> Fields("movil_vendedor");
		$id_cargo_empleado = $RecordSet -> Fields("id_cargo_empleado");
		


		$temp = new Vendedor ($nombre_vendedor, $email_vendedor, $movil_vendedor, $id_cargo_empleado, $id_vendedor);
		return $temp;
	}


	function &guardarVendedor($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_VENDEDOR",
		"email_vendedor", $objeto->email_vendedor,
		"movil_vendedor", $objeto->movil_vendedor,
		"id_cargo_empleado", $objeto->id_cargo_empleado,
		"nombre_vendedor", $objeto->nombre_vendedor);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarVendedor($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_VENDEDOR",
		"nombre_vendedor", $objeto->nombre_vendedor,
		"email_vendedor", $objeto->email_vendedor,
		"movil_vendedor", $objeto->movil_vendedor,
		"id_cargo_empleado", $objeto->id_cargo_empleado,
		"id_vendedor", $objeto->id_vendedor);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarVendedor($id_vendedor){
		global $conn;
		$query = expandir("ELIMINAR_VENDEDOR",
		"id_vendedor", $id_vendedor
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}



	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA ACT LEVANTAMIENTO TECNICO
	//------------------------------------------------------------------------------
	function &getListadoAct_lev_tecnico($id_servicio_por_solicitud)
	{
		global $conn;
		$query = expandir("GET_LISTADO_ACT_LEV_TECNICO",
		"id_servicio_por_solicitud"	,	$id_servicio_por_solicitud
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {

			$id_actividad = $RecordSet -> Fields("id_actividad");
			$id_servicio_por_solicitud = $RecordSet -> Fields("id_servicio_por_solicitud");
			$id_empleado = $RecordSet -> Fields("id_empleado");
			$nombre_empresa_recep = $RecordSet -> Fields("nombre_empresa_recep");
			$funcionario_empresa_recep = $RecordSet -> Fields("funcionario_empresa_recep");
			$ubicacion_act = $RecordSet -> Fields("ubicacion_act");
			$descripcion_act = $RecordSet -> Fields("descripcion_act");
			$hora_presentacion_prog = $RecordSet -> Fields("hora_presentacion_prog");
			$hora_presentacion_real = $RecordSet -> Fields("hora_presentacion_real");
			$fecha_act = $RecordSet -> Fields("fecha_act");
			$estado_act = $RecordSet -> Fields("estado_act");
			$pase_ingreso = $RecordSet -> Fields("pase_ingreso");

			$temp = new Act_lev_tecnico ($id_servicio_por_solicitud, $id_empleado, $nombre_empresa_recep, $funcionario_empresa_recep, $ubicacion_act, $descripcion_act, $hora_presentacion_prog, $hora_presentacion_real, $fecha_act, $estado_act, $pase_ingreso, $id_actividad);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getAct_lev_tecnico($id_actividad)
	{
		global $conn;
		$query = expandir("GET_ACT_LEV_TECNICO",
		"id_actividad", $id_actividad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_actividad = $RecordSet -> Fields("id_actividad");
		$id_servicio_por_solicitud = $RecordSet -> Fields("id_servicio_por_solicitud");
		$id_empleado = $RecordSet -> Fields("id_empleado");
		$nombre_empresa_recep = $RecordSet -> Fields("nombre_empresa_recep");
		$funcionario_empresa_recep = $RecordSet -> Fields("funcionario_empresa_recep");
		$ubicacion_act = $RecordSet -> Fields("ubicacion_act");
		$descripcion_act = $RecordSet -> Fields("descripcion_act");
		$hora_presentacion_prog = $RecordSet -> Fields("hora_presentacion_prog");
		$hora_presentacion_real = $RecordSet -> Fields("hora_presentacion_real");
		$fecha_act = $RecordSet -> Fields("fecha_act");
		$estado_act = $RecordSet -> Fields("estado_act");
		$pase_ingreso = $RecordSet -> Fields("pase_ingreso");

		$temp = new Act_lev_tecnico ($id_servicio_por_solicitud, $id_empleado, $nombre_empresa_recep, $funcionario_empresa_recep, $ubicacion_act, $descripcion_act, $hora_presentacion_prog, $hora_presentacion_real, $fecha_act, $estado_act, $pase_ingreso, $id_actividad);
		return $temp;
	}


	function &guardarAct_lev_tecnico($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_ACT_LEV_TECNICO",
		"id_empleado", $objeto->id_empleado,
		"nombre_empresa_recep", $objeto->nombre_empresa_recep,
		"funcionario_empresa_recep", $objeto->funcionario_empresa_recep,
		"ubicacion_act", $objeto->ubicacion_act,
		"descripcion_act", $objeto->descripcion_act,
		"hora_presentacion_prog", $objeto->hora_presentacion_prog,
		"hora_presentacion_real", $objeto->hora_presentacion_real,
		"fecha_act", $objeto->fecha_act,
		"estado_act", $objeto->estado_act,
		"pase_ingreso", $objeto->pase_ingreso,
		"id_servicio_por_solicitud", $objeto->id_servicio_por_solicitud);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarAct_lev_tecnico($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_ACT_LEV_TECNICO",
		"id_servicio_por_solicitud", $objeto->id_servicio_por_solicitud,
		"id_empleado", $objeto->id_empleado,
		"nombre_empresa_recep", $objeto->nombre_empresa_recep,
		"funcionario_empresa_recep", $objeto->funcionario_empresa_recep,
		"ubicacion_act", $objeto->ubicacion_act,
		"descripcion_act", $objeto->descripcion_act,
		"hora_presentacion_prog", $objeto->hora_presentacion_prog,
		"hora_presentacion_real", $objeto->hora_presentacion_real,
		"fecha_act", $objeto->fecha_act,
		"estado_act", $objeto->estado_act,
		"pase_ingreso", $objeto->pase_ingreso,
		"id_actividad", $objeto->id_actividad);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarAct_lev_tecnico($id_actividad){
		global $conn;
		$query = expandir("ELIMINAR_ACT_LEV_TECNICO",
		"id_actividad", $id_actividad
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}




	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA ARCHIVOS ADJUNTOS
	//------------------------------------------------------------------------------


	function &getListadoArchivo_adjunto($id_actividad, $id_ot)
	{
		global $conn;

		if ($id_actividad == 0){
			$where = "WHERE id_ot = $id_ot AND id_actividad = 0";
		}else{
			$where = "WHERE id_actividad = $id_actividad";
		}

		$query = expandir("GET_LISTADO_ARCHIVO_ADJUNTO",
		"where", 	$where
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_archivo 				= $RecordSet -> Fields("id_archivo");
			$id_actividad 		= $RecordSet -> Fields("id_actividad");
			$id_ot	= $RecordSet -> Fields ("id_ot");
			$nombre 					= $RecordSet -> Fields("nombre");
			$descripcion 				= $RecordSet -> Fields("descripcion");
			$tamano 					= $RecordSet -> Fields("tamano");
			$fecha_ingreso 				= $RecordSet -> Fields("fecha_ingreso");
			$id_responsable 			= $RecordSet -> Fields("id_responsable");

			$temp = new Archivo_adjunto ($id_ot, $id_actividad, $nombre, $descripcion, $tamano, $fecha_ingreso, $id_responsable, $id_archivo);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getArchivo_adjunto($id_archivo)
	{
		global $conn;
		$query = expandir("GET_ARCHIVO_ADJUNTO",
		"id_archivo", $id_archivo
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_archivo = $RecordSet -> Fields("id_archivo");
		$id_actividad = $RecordSet -> Fields("id_actividad");
		$id_ot	= $RecordSet -> Fields ("id_ot");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$tamano = $RecordSet -> Fields("tamano");
		$fecha_ingreso = $RecordSet -> Fields("fecha_ingreso");
		$id_responsable = $RecordSet -> Fields("id_responsable");

		$temp = new Archivo_adjunto ($id_ot, $id_actividad, $nombre, $descripcion, $tamano, $fecha_ingreso, $id_responsable, $id_archivo);

		return $temp;
	}


	function &guardarArchivo_adjunto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_ARCHIVO_ADJUNTO",
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"tamano", $objeto->tamano,
		"fecha_ingreso", $objeto->fecha_ingreso,
		"id_responsable", $objeto->id_responsable,
		"id_actividad", $objeto->id_actividad,
		"id_ot", $objeto->id_ot);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarArchivo_adjunto($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_ARCHIVO_ADJUNTO",
		"id_actividad", $objeto->id_actividad,
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"tamano", $objeto->tamano,
		"fecha_ingreso", $objeto->fecha_ingreso,
		"id_responsable", $objeto->id_responsable,
		"id_archivo", $objeto->id_archivo,
		"id_ot", $objeto->id_ot);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarArchivo_adjunto($id_archivo){
		global $conn;
		$query = expandir("ELIMINAR_ARCHIVO_ADJUNTO",
		"id_archivo", $id_archivo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}





	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA ZONA
	//------------------------------------------------------------------------------

	function &getListadoZona()
	{
		global $conn;
		$query = expandir("GET_LISTADO_ZONA");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_zona = $RecordSet -> Fields("id_zona");
			$nombre = $RecordSet -> Fields("nombre");
			$descripcion = $RecordSet -> Fields("descripcion");
			$observacion = $RecordSet -> Fields("observacion");

			$temp = new Zona ($nombre, $descripcion, $observacion, $id_zona);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getZona($id_zona)
	{
		global $conn;
		$query = expandir("GET_ZONA",
		"id_zona", $id_zona
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_zona = $RecordSet -> Fields("id_zona");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$observacion = $RecordSet -> Fields("observacion");


		$temp = new Zona ($nombre, $descripcion, $observacion, $id_zona);
		return $temp;
	}


	function &guardarZona($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_ZONA",
		"descripcion", $objeto->descripcion,
		"observacion", $objeto->observacion,
		"nombre", $objeto->nombre);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarZona($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_ZONA",
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"observacion", $objeto->observacion,
		"id_zona", $objeto->id_zona);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarZona($id_zona){
		global $conn;
		$query = expandir("ELIMINAR_ZONA",
		"id_zona", $id_zona
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	function &getUltimaZona(){
		global $conn;
		$query = expandir("GET_ULTIMA_ZONA");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_zona = $RecordSet -> Fields("id_zona");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$observacion = $RecordSet -> Fields("observacion");

		$temp = new Zona ($nombre, $descripcion, $observacion, $id_zona);
		return $temp;
	}



	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA SUSTANCIAS
	//------------------------------------------------------------------------------

	function &getListadoSustancia($filtro)
	{
		$order = "";

		switch($filtro){
			case "nombre":
			$order = "ORDER BY 'nombre'";
			break;
			default:
			$order = "ORDER BY 'descripcion','nombre'";
			break;
		}

		global $conn;
		$query = expandir("GET_LISTADO_SUSTANCIA",
		"order", $order
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_sustancia = $RecordSet -> Fields("id_sustancia");
			$nombre = $RecordSet -> Fields("nombre");
			$descripcion = $RecordSet -> Fields("descripcion");
			$observacion = $RecordSet -> Fields("observacion");

			$temp = new Sustancia ($nombre, $descripcion, $observacion, $id_sustancia);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getSustancia($id_sustancia)
	{
		global $conn;
		$query = expandir("GET_SUSTANCIA",
		"id_sustancia", $id_sustancia
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_sustancia = $RecordSet -> Fields("id_sustancia");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$observacion = $RecordSet -> Fields("observacion");


		$temp = new Sustancia ($nombre, $descripcion, $observacion, $id_sustancia);
		return $temp;
	}


	function &guardarSustancia($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_SUSTANCIA",
		"descripcion", $objeto->descripcion,
		"observacion", $objeto->observacion,
		"nombre", $objeto->nombre);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}

	function &actualizarSustancia($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_SUSTANCIA",
		"nombre", $objeto->nombre,
		"descripcion", $objeto->descripcion,
		"observacion", $objeto->observacion,
		"id_sustancia", $objeto->id_sustancia);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarSustancia($id_sustancia){
		global $conn;
		$query = expandir("ELIMINAR_SUSTANCIA",
		"id_sustancia", $id_sustancia
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	/*
	//------------------------------------------------------------------
	//	FUNCIONES FACHADA ACTIVIDAD
	//------------------------------------------------------------------------------

	function &getListadoActividad($id_servicio_por_solicitud)
	{
		global $conn;
		$query = expandir("GET_LISTADO_ACTIVIDAD",
		"id_servicio_por_solicitud", $id_servicio_por_solicitud
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_actividad = $RecordSet -> Fields("id_actividad");
			$id_servicio_por_solicitud = $RecordSet -> Fields("id_servicio_por_solicitud");
			$nombre_act = $RecordSet -> Fields("nombre_act");
			$observacion_act = $RecordSet -> Fields("observacion_act");

			$temp = new Actividad ($id_servicio_por_solicitud, $nombre_act, $observacion_act, $id_actividad);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getActividad($id_actividad)
	{
		global $conn;
		$query = expandir("GET_ACTIVIDAD",
		"id_actividad", $id_actividad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_actividad = $RecordSet -> Fields("id_actividad");
		$id_servicio_por_solicitud = $RecordSet -> Fields("id_servicio_por_solicitud");
		$nombre_act = $RecordSet -> Fields("nombre_act");
		$observacion_act = $RecordSet -> Fields("observacion_act");


		$temp = new Actividad ($id_servicio_por_solicitud, $nombre_act, $observacion_act, $id_actividad);
		return $temp;
	}


	function &guardarActividad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_ACTIVIDAD",
		"nombre_act", $objeto->nombre_act,
		"observacion_act", $objeto->observacion_act,
		"id_servicio_por_solicitud", $objeto->id_servicio_por_solicitud);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarActividad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_ACTIVIDAD",
		"id_servicio_por_solicitud", $objeto->id_servicio_por_solicitud,
		"nombre_act", $objeto->nombre_act,
		"observacion_act", $objeto->observacion_act,
		"id_actividad", $objeto->id_actividad);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarActividad($id_actividad){
		global $conn;
		$query = expandir("ELIMINAR_ACTIVIDAD",
		"id_actividad", $id_actividad
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}
	*/
	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA ACTIVIDAD_ITEM
	//------------------------------------------------------------------------------

	function &getListadoActividad_item($id_actividad)
	{
		global $conn;
		$query = expandir("GET_LISTADO_ACTIVIDAD_ITEM",
		"id_actividad", $id_actividad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_actividad_item = $RecordSet -> Fields("id_actividad_item");
			$id_actividad = $RecordSet -> Fields("id_actividad");
			$id_item = $RecordSet -> Fields("id_item");
			$valor_real_act_item = $RecordSet -> Fields("valor_real_act_item");
			$cantidad_act_item = $RecordSet -> Fields("cantidad_act_item");
			$observacion_act_item = $RecordSet -> Fields("observacion_act_item");
			$cant_por_unidad = $RecordSet -> Fields("cant_por_unidad");

			$temp = new Actividad_item ($id_actividad, $id_item, $valor_real_act_item, $cantidad_act_item, $observacion_act_item,$cant_por_unidad, $id_actividad_item);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getActividad_item($id_actividad_item)
	{
		global $conn;
		$query = expandir("GET_ACTIVIDAD_ITEM",
		"id_actividad_item", $id_actividad_item
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$id_actividad_item = $RecordSet -> Fields("id_actividad_item");
		$id_actividad = $RecordSet -> Fields("id_actividad");
		$id_item = $RecordSet -> Fields("id_item");
		$valor_real_act_item = $RecordSet -> Fields("valor_real_act_item");
		$cantidad_act_item = $RecordSet -> Fields("cantidad_act_item");
		$observacion_act_item = $RecordSet -> Fields("observacion_act_item");
        $cant_por_unidad = $RecordSet -> Fields("cant_por_unidad");

		$temp = new Actividad_item ($id_actividad, $id_item, $valor_real_act_item, $cantidad_act_item, $observacion_act_item, $cant_por_unidad, $id_actividad_item);
		return $temp;
	}


	function &guardarActividad_item($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_ACTIVIDAD_ITEM",
		"id_actividad", $objeto->id_actividad,
		"id_item", $objeto->id_item,
		"valor_real_act_item", $objeto->valor_real_act_item,
		"cantidad_act_item", $objeto->cantidad_act_item,
		"observacion_act_item", $objeto->observacion_act_item,
		"observacion_act_item", $objeto->observacion_act_item,
		"cant_por_unidad", $objeto->cant_por_unidad);	
		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarActividad_item($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_ACTIVIDAD_ITEM",
		"id_actividad", $objeto->id_actividad,
		"id_item", $objeto->id_item,
		"valor_real_act_item", $objeto->valor_real_act_item,
		"cantidad_act_item", $objeto->cantidad_act_item,
		"observacion_act_item", $objeto->observacion_act_item,
		"cant_por_unidad", $objeto->cant_por_unidad,
		"id_actividad_item", $objeto->id_actividad_item);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarActividad_item($id_actividad_item){
		global $conn;
		$query = expandir("ELIMINAR_ACTIVIDAD_ITEM",
		"id_actividad_item", $id_actividad_item
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	function &getTotalActividad_item($id_actividad){
		global $conn;
		$query = expandir("GET_TOTAL_ACTIVIDAD_ITEM",
		"id_actividad", $id_actividad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return $RecordSet -> Fields("suma_total");;
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA RECURSO
	//------------------------------------------------------------------------------
	function &getListadoRecursoPorTipoRecurso($id_tipo_recurso)
	{
		global $conn;
		$query = expandir("GET_LISTADO_RECURSO_POR_TIPO_RECURSO",
		"id_tipo_recurso", $id_tipo_recurso
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_recurso = $RecordSet -> Fields("id_recurso");
			$id_tipo_recurso = $RecordSet -> Fields("id_tipo_recurso");
			$nombre_recurso = $RecordSet -> Fields("nombre_recurso");
			$observacion_recurso = $RecordSet -> Fields("observacion_recurso");

			$temp = new Recurso ($id_tipo_recurso, $nombre_recurso, $observacion_recurso, $id_recurso);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}

	function &getListadoRecurso()
	{
		global $conn;
		$query = expandir("GET_LISTADO_RECURSO");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_recurso = $RecordSet -> Fields("id_recurso");
			$id_tipo_recurso = $RecordSet -> Fields("id_tipo_recurso");
			$nombre_recurso = $RecordSet -> Fields("nombre_recurso");
			$observacion_recurso = $RecordSet -> Fields("observacion_recurso");

			$temp = new Recurso ($id_tipo_recurso, $nombre_recurso, $observacion_recurso, $id_recurso);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getRecurso($id_recurso)
	{
		global $conn;
		$query = expandir("GET_RECURSO",
		"id_recurso", $id_recurso
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$id_recurso = $RecordSet -> Fields("id_recurso");
		$id_tipo_recurso = $RecordSet -> Fields("id_tipo_recurso");
		$nombre_recurso = $RecordSet -> Fields("nombre_recurso");
		$observacion_recurso = $RecordSet -> Fields("observacion_recurso");


		$temp = new Recurso ($id_tipo_recurso, $nombre_recurso, $observacion_recurso, $id_recurso);
		return $temp;
	}


	function &guardarRecurso($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_RECURSO",
		"nombre_recurso", $objeto->nombre_recurso,
		"observacion_recurso", $objeto->observacion_recurso,
		"id_tipo_recurso", $objeto->id_tipo_recurso);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarRecurso($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_RECURSO",
		"id_tipo_recurso", $objeto->id_tipo_recurso,
		"nombre_recurso", $objeto->nombre_recurso,
		"observacion_recurso", $objeto->observacion_recurso,
		"id_recurso", $objeto->id_recurso);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarRecurso($id_recurso){
		global $conn;
		$query = expandir("ELIMINAR_RECURSO",
		"id_recurso", $id_recurso
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarRecursoPorTipoRecurso($id_tipo_recurso){
		global $conn;
		$query = expandir("ELIMINAR_RECURSO_POR_TIPO_RECURSO",
		"id_tipo_recurso", $id_tipo_recurso
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA TIPO_ACTIVIDAD
	//------------------------------------------------------------------------------

	function &getListadoTipo_actividad()
	{
		global $conn;
		$query = expandir("GET_LISTADO_TIPO_ACTIVIDAD");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_tipo_actividad = $RecordSet -> Fields("id_tipo_actividad");
			$nombre_tr = $RecordSet -> Fields("nombre_tr");
			$tipo_actualizacion_stock = $RecordSet -> Fields("tipo_actualizacion_stock");
			$tipo_bodega = $RecordSet -> Fields("tipo_bodega");
			

			$temp = new Tipo_actividad ($nombre_tr, $tipo_actualizacion_stock, $tipo_bodega, $id_tipo_actividad);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getTipo_actividad($id_tipo_actividad)
	{
		global $conn;
		$query = expandir("GET_TIPO_ACTIVIDAD",
		"id_tipo_actividad", $id_tipo_actividad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$id_tipo_actividad = $RecordSet -> Fields("id_tipo_actividad");
		$nombre_tr = $RecordSet -> Fields("nombre_tr");
		$tipo_actualizacion_stock = $RecordSet -> Fields("tipo_actualizacion_stock");
		$tipo_bodega = $RecordSet -> Fields("tipo_bodega");


		$temp = new Tipo_actividad ($nombre_tr, $tipo_actualizacion_stock, $tipo_bodega, $id_tipo_actividad);
		return $temp;
	}


	function &guardarTipo_actividad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_TIPO_ACTIVIDAD",
		"tipo_actualizacion_stock", $objeto->tipo_actualizacion_stock,
		"tipo_bodega", $objeto->tipo_bodega,
		"nombre_tr", $objeto->nombre_tr);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarTipo_actividad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_TIPO_ACTIVIDAD",
		"nombre_tr", $objeto->nombre_tr,
		"tipo_actualizacion_stock", $objeto->tipo_actualizacion_stock,
		"tipo_bodega", $objeto->tipo_bodega,
		"id_tipo_actividad", $objeto->id_tipo_actividad);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarTipo_actividad($id_tipo_actividad){
		global $conn;
		$query = expandir("ELIMINAR_TIPO_ACTIVIDAD",
		"id_tipo_actividad", $id_tipo_actividad
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	//------------------------------------------------------------------------------
	// FUNCIONES FACHADA ITEM
	//------------------------------------------------------------------------------

	function &getListadoItemPorRecurso($id_recurso)
	{
		global $conn;
		$query = expandir("GET_LISTADO_ITEM_POR_RECURSO",
		"id_recurso", $id_recurso
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_item = $RecordSet -> Fields("id_item");
			$id_recurso = $RecordSet -> Fields("id_recurso");
			$nombre_item = $RecordSet -> Fields("nombre_item");
			$valor_referencial_item = $RecordSet -> Fields("valor_referencial_item");
			$unidad_item = $RecordSet -> Fields("unidad_item");
			$observacion_item = $RecordSet -> Fields("observacion_item");
			$agendable = $RecordSet -> Fields("agendable");

			$temp = new Item ($id_recurso, $nombre_item, $valor_referencial_item, $unidad_item, $observacion_item, $agendable, $id_item);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getListadoItem()
	{
		global $conn;
		$query = expandir("GET_LISTADO_ITEM");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_item = $RecordSet -> Fields("id_item");
			$id_recurso = $RecordSet -> Fields("id_recurso");
			$nombre_item = $RecordSet -> Fields("nombre_item");
			$valor_referencial_item = $RecordSet -> Fields("valor_referencial_item");
			$unidad_item = $RecordSet -> Fields("unidad_item");
			$observacion_item = $RecordSet -> Fields("observacion_item");
			$agendable = $RecordSet -> Fields("agendable");

			$temp = new Item ($id_recurso, $nombre_item, $valor_referencial_item, $unidad_item, $observacion_item, $agendable, $id_item);

			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getItem($id_item)
	{
		global $conn;
		$query = expandir("GET_ITEM",
		"id_item", $id_item
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$id_item = $RecordSet -> Fields("id_item");
		$id_recurso = $RecordSet -> Fields("id_recurso");
		$nombre_item = $RecordSet -> Fields("nombre_item");
		$valor_referencial_item = $RecordSet -> Fields("valor_referencial_item");
		$unidad_item = $RecordSet -> Fields("unidad_item");
		$observacion_item = $RecordSet -> Fields("observacion_item");
		$agendable = $RecordSet -> Fields("agendable");

		$temp = new Item ($id_recurso, $nombre_item, $valor_referencial_item, $unidad_item, $observacion_item, $agendable, $id_item);
		return $temp;
	}


	function &guardarItem($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_ITEM",
		"nombre_item", $objeto->nombre_item,
		"valor_referencial_item", $objeto->valor_referencial_item,
		"unidad_item", $objeto->unidad_item,
		"observacion_item", $objeto->observacion_item,
		"id_recurso", $objeto->id_recurso,
		"agendable", $objeto->agendable);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarItem($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_ITEM",
		"id_recurso", $objeto->id_recurso,
		"nombre_item", $objeto->nombre_item,
		"valor_referencial_item", $objeto->valor_referencial_item,
		"unidad_item", $objeto->unidad_item,
		"observacion_item", $objeto->observacion_item,
		"id_item", $objeto->id_item,
		"agendable", $objeto->agendable);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarItem($id_item){
		global $conn;
		$query = expandir("ELIMINAR_ITEM",
		"id_item", $id_item
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarItemPorRecurso($id_recurso){
		global $conn;
		$query = expandir("ELIMINAR_ITEM_POR_RECURSO",
		"id_recurso", $id_recurso
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA COTIZACION
	//------------------------------------------------------------------------------

	function &getCantidadCotizacion($filtro)
	{
		$where = "";

		if ($filtro["id_cliente"] != 0){$where .= "id_cliente = " . $filtro["id_cliente"] . " AND "; }
		if ($filtro["descripcion"] != ""){$where .= "descripcion_solicitud LIKE '%" . $filtro["descripcion"] . "%' AND ";}


		if ($where != "") $where = "WHERE " . $where;	//Adjunta la palabra WHERE al comienzo del string
		$where = substr($where, 0, -5);					//Remueve el ultimo 'AND' agregado


		global $conn;
		$query = expandir("GET_CANTIDAD_COTIZACION",
		"where" , $where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		return $RecordSet -> Fields("cont");
	}



	function &getListadoCotizacion($filtro)
	{
		$where = "";

		if ($filtro["id_cliente"] != 0){$where .= "id_cliente = " . $filtro["id_cliente"] . " AND "; }
		if ($filtro["descripcion"] != ""){$where .= "descripcion_solicitud LIKE '%" . $filtro["descripcion"] . "%' AND ";}


		//$where .= " estado_solicitud != 0";
		if ($filtro['estado'] != "-1")
		$where .= " estado_cotizacion = ".$filtro['estado'];
		else
		$where .= " estado_cotizacion != 0";

		if ($where != "") $where = "WHERE " . $where;	//Adjunta la palabra WHERE al comienzo del string
		//$where = substr($where, 0, -5);					//Remueve el ultimo 'AND' agregado


		//Agrega el filtro de ORDER BY
		$where .= " ORDER BY " . $filtro["order_by"];

		//Delimita el nro de resultados a entregar por pantalla
		if ($filtro["res_por_pag"] != 0) $where .= " LIMIT " . $filtro["valor_ini"] . " , " . $filtro["res_por_pag"];


		global $conn;
		$query = expandir("GET_LISTADO_COTIZACION",
		"where", $where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_cotizacion = $RecordSet -> Fields("id_cotizacion");
			$id_ot = $RecordSet -> Fields("id_ot");
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$id_vendedor = $RecordSet -> Fields("id_vendedor");
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$descripcion_gral_cotizacion = $RecordSet -> Fields("descripcion_gral_cotizacion");
			$fecha_creacion_cotizacion = $RecordSet -> Fields("fecha_creacion_cotizacion");
			$fecha_modificacion_cotizacion = $RecordSet -> Fields("fecha_modificacion_cotizacion");
			$fecha_envio_cotizacion = $RecordSet -> Fields("fecha_envio_cotizacion");
			$fecha_activacion_cotizacion = $RecordSet -> Fields("fecha_activacion_cotizacion");
			$fecha_cancelacion_cotizacion = $RecordSet -> Fields("fecha_cancelacion_cotizacion");
			$fecha_rechazo_cotizacion = $RecordSet -> Fields("fecha_rechazo_cotizacion");
			$contenido_anexo_cotizacion = $RecordSet -> Fields("contenido_anexo_cotizacion");
			$observacion_cotizacion = $RecordSet -> Fields("observacion_cotizacion");
			$estado_cotizacion = $RecordSet -> Fields("estado_cotizacion");
			$dias_validez = $RecordSet -> Fields("dias_validez");
			$dias_condicion_pago = $RecordSet -> Fields("dias_condicion_pago");
			$margen_utilidad = $RecordSet -> Fields("margen_utilidad");
			$gastos_generales = $RecordSet -> Fields("gastos_generales");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$referencia = $RecordSet -> Fields("referencia");

			$temp = new Cotizacion ($id_ot, $id_cliente, $id_vendedor, $id_usuario, $descripcion_gral_cotizacion, $fecha_creacion_cotizacion, $fecha_modificacion_cotizacion, $fecha_envio_cotizacion, $fecha_activacion_cotizacion, $fecha_cancelacion_cotizacion, $fecha_rechazo_cotizacion, $contenido_anexo_cotizacion, $observacion_cotizacion, $estado_cotizacion, $dias_validez, $dias_condicion_pago, $margen_utilidad, $gastos_generales, $id_empresa, $referencia, $id_cotizacion);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}



	function &getCotizacion($id_cotizacion)
	{
		global $conn;
		$query = expandir("GET_COTIZACION",
		"id_cotizacion", $id_cotizacion
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}


		$id_cotizacion = $RecordSet -> Fields("id_cotizacion");
		$id_ot = $RecordSet -> Fields("id_ot");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$id_vendedor = $RecordSet -> Fields("id_vendedor");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$descripcion_gral_cotizacion = $RecordSet -> Fields("descripcion_gral_cotizacion");
		$fecha_creacion_cotizacion = $RecordSet -> Fields("fecha_creacion_cotizacion");
		$fecha_modificacion_cotizacion = $RecordSet -> Fields("fecha_modificacion_cotizacion");
		$fecha_envio_cotizacion = $RecordSet -> Fields("fecha_envio_cotizacion");
		$fecha_activacion_cotizacion = $RecordSet -> Fields("fecha_activacion_cotizacion");
		$fecha_cancelacion_cotizacion = $RecordSet -> Fields("fecha_cancelacion_cotizacion");
		$fecha_rechazo_cotizacion = $RecordSet -> Fields("fecha_rechazo_cotizacion");
		$contenido_anexo_cotizacion = $RecordSet -> Fields("contenido_anexo_cotizacion");
		$observacion_cotizacion = $RecordSet -> Fields("observacion_cotizacion");
		$estado_cotizacion = $RecordSet -> Fields("estado_cotizacion");
		$dias_validez = $RecordSet -> Fields("dias_validez");
		$dias_condicion_pago = $RecordSet -> Fields("dias_condicion_pago");
		$margen_utilidad = $RecordSet -> Fields("margen_utilidad");
		$gastos_generales = $RecordSet -> Fields("gastos_generales");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$referencia = $RecordSet -> Fields("referencia");

		$temp = new Cotizacion ($id_ot, $id_cliente, $id_vendedor, $id_usuario, $descripcion_gral_cotizacion, $fecha_creacion_cotizacion, $fecha_modificacion_cotizacion, $fecha_envio_cotizacion, $fecha_activacion_cotizacion, $fecha_cancelacion_cotizacion, $fecha_rechazo_cotizacion, $contenido_anexo_cotizacion, $observacion_cotizacion, $estado_cotizacion, $dias_validez, $dias_condicion_pago, $margen_utilidad, $gastos_generales, $id_empresa, $referencia, $id_cotizacion);

		return $temp;
	}
function &get_Cotizacion_por_Solicitud($id_ot)
	{
		global $conn;
		$query = expandir("GET_COTIZACION_POR_SOLICITUD",
		"id_ot", $id_ot
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}


		$id_cotizacion = $RecordSet -> Fields("id_cotizacion");
		$id_ot = $RecordSet -> Fields("id_ot");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$id_vendedor = $RecordSet -> Fields("id_vendedor");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$descripcion_gral_cotizacion = $RecordSet -> Fields("descripcion_gral_cotizacion");
		$fecha_creacion_cotizacion = $RecordSet -> Fields("fecha_creacion_cotizacion");
		$fecha_modificacion_cotizacion = $RecordSet -> Fields("fecha_modificacion_cotizacion");
		$fecha_envio_cotizacion = $RecordSet -> Fields("fecha_envio_cotizacion");
		$fecha_activacion_cotizacion = $RecordSet -> Fields("fecha_activacion_cotizacion");
		$fecha_cancelacion_cotizacion = $RecordSet -> Fields("fecha_cancelacion_cotizacion");
		$fecha_rechazo_cotizacion = $RecordSet -> Fields("fecha_rechazo_cotizacion");
		$contenido_anexo_cotizacion = $RecordSet -> Fields("contenido_anexo_cotizacion");
		$observacion_cotizacion = $RecordSet -> Fields("observacion_cotizacion");
		$estado_cotizacion = $RecordSet -> Fields("estado_cotizacion");
		$dias_validez = $RecordSet -> Fields("dias_validez");
		$dias_condicion_pago = $RecordSet -> Fields("dias_condicion_pago");
		$margen_utilidad = $RecordSet -> Fields("margen_utilidad");
		$gastos_generales = $RecordSet -> Fields("gastos_generales");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$referencia = $RecordSet -> Fields("referencia");

		$temp = new Cotizacion ($id_ot, $id_cliente, $id_vendedor, $id_usuario, $descripcion_gral_cotizacion, $fecha_creacion_cotizacion, $fecha_modificacion_cotizacion, $fecha_envio_cotizacion, $fecha_activacion_cotizacion, $fecha_cancelacion_cotizacion, $fecha_rechazo_cotizacion, $contenido_anexo_cotizacion, $observacion_cotizacion, $estado_cotizacion, $dias_validez, $dias_condicion_pago, $margen_utilidad, $gastos_generales, $id_empresa, $referencia, $id_cotizacion);

		return $temp;
	}



	function &guardarCotizacion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;


		$query = expandir("GUARDAR_COTIZACION",
		"id_cliente", $objeto->id_cliente,
		"id_vendedor", $objeto->id_vendedor,
		"id_usuario", $objeto->id_usuario,
		"descripcion_gral_cotizacion", $objeto->descripcion_gral_cotizacion,
		"fecha_creacion_cotizacion", $objeto->fecha_creacion_cotizacion,
		"fecha_modificacion_cotizacion", $objeto->fecha_modificacion_cotizacion,
		"fecha_envio_cotizacion", $objeto->fecha_envio_cotizacion,
		"fecha_activacion_cotizacion", $objeto->fecha_activacion_cotizacion,
		"fecha_cancelacion_cotizacion", $objeto->fecha_cancelacion_cotizacion,
		"fecha_rechazo_cotizacion", $objeto->fecha_rechazo_cotizacion,
		"contenido_anexo_cotizacion", $objeto->contenido_anexo_cotizacion,
		"observacion_cotizacion", $objeto->observacion_cotizacion,
		"estado_cotizacion", $objeto->estado_cotizacion,
		"dias_validez", $objeto->dias_validez,
		"dias_condicion_pago", $objeto->dias_condicion_pago,
		"margen_utilidad", $objeto->margen_utilidad,
		"gastos_generales", $objeto->gastos_generales,
		"id_empresa", $objeto->id_empresa,
		"referencia", $objeto->referencia,
		"id_ot", $objeto->id_ot);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}


	function &actualizarCotizacion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;


		$query = expandir("ACTUALIZAR_COTIZACION",
		"id_ot", $objeto->id_ot,
		"id_cliente", $objeto->id_cliente,
		"id_vendedor", $objeto->id_vendedor,
		"id_usuario", $objeto->id_usuario,
		"descripcion_gral_cotizacion", $objeto->descripcion_gral_cotizacion,
		"fecha_creacion_cotizacion", $objeto->fecha_creacion_cotizacion,
		"fecha_modificacion_cotizacion", $objeto->fecha_modificacion_cotizacion,
		"fecha_envio_cotizacion", $objeto->fecha_envio_cotizacion,
		"fecha_activacion_cotizacion", $objeto->fecha_activacion_cotizacion,
		"fecha_cancelacion_cotizacion", $objeto->fecha_cancelacion_cotizacion,
		"fecha_rechazo_cotizacion", $objeto->fecha_rechazo_cotizacion,
		"contenido_anexo_cotizacion", $objeto->contenido_anexo_cotizacion,
		"observacion_cotizacion", $objeto->observacion_cotizacion,
		"estado_cotizacion", $objeto->estado_cotizacion,
		"dias_validez", $objeto->dias_validez,
		"dias_condicion_pago", $objeto->dias_condicion_pago,
		"margen_utilidad", $objeto->margen_utilidad,
		"gastos_generales", $objeto->gastos_generales,
		"id_empresa", $objeto->id_empresa,
		"referencia", $objeto->referencia,		
		"id_cotizacion", $objeto->id_cotizacion);
		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCotizacion($id_cotizacion){
		global $conn;
		$query = expandir("ELIMINAR_COTIZACION",
		"id_cotizacion", $id_cotizacion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA DETALLE_COTIZACION
	//------------------------------------------------------------------------------

	function &getListadoDetalle_cotizacion($filtro)
	{
		global $conn;
		$where ="";
		if($filtro){
			if(is_array($filtro)){
				if($filtro['id_cotizacion']){

					$where .= " id_cotizacion = ".$filtro['id_cotizacion'];
				}
			}else{
					$where .= " id_cotizacion = ".$filtro;
			}
		}
		if ($where != "") $where = "WHERE " . $where;
		
		$query = expandir("GET_LISTADO_DETALLE_COTIZACION",
		"where", $where
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;


		while (!$RecordSet -> EOF) {
			$id_detalle_cotizacion = $RecordSet -> Fields("id_detalle_cotizacion");
			$id_servicio = $RecordSet -> Fields("id_servicio");
			$id_cotizacion = $RecordSet -> Fields("id_cotizacion");
			$fecha_creacion_detalle_cotizacion = $RecordSet -> Fields("fecha_creacion_detalle_cotizacion");
			$fecha_envio_detalle_cotizacion = $RecordSet -> Fields("fecha_envio_detalle_cotizacion");
			$marginacion_detalle_cotizacion = $RecordSet -> Fields("marginacion_detalle_cotizacion");
			$total_detalle_cotizacion = $RecordSet -> Fields("total_detalle_cotizacion");
			$descripcion_detalle_cotizacion = $RecordSet -> Fields("descripcion_detalle_cotizacion");
			$cantidad = $RecordSet -> Fields("cantidad");
			$utilidad_por_detalle_cotizacion =$RecordSet -> Fields("utilidad_porcentaje");
			$utilidad_pes_detalle_cotizacion =$RecordSet -> Fields("utilidad_pesos");
			
			$temp = new Detalle_cotizacion($id_servicio, $id_cotizacion, $fecha_creacion_detalle_cotizacion, $fecha_envio_detalle_cotizacion, $marginacion_detalle_cotizacion, $total_detalle_cotizacion, $descripcion_detalle_cotizacion, $cantidad, $utilidad_por_detalle_cotizacion, $utilidad_pes_detalle_cotizacion, $id_detalle_cotizacion);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getDetalle_cotizacion($id_detalle_cotizacion)
	{
		global $conn;
		$query = expandir("GET_DETALLE_COTIZACION",
		"id_detalle_cotizacion", $id_detalle_cotizacion
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_detalle_cotizacion = $RecordSet -> Fields("id_detalle_cotizacion");
		$id_servicio = $RecordSet -> Fields("id_servicio");
		$id_cotizacion = $RecordSet -> Fields("id_cotizacion");
		$fecha_creacion_detalle_cotizacion = $RecordSet -> Fields("fecha_creacion_detalle_cotizacion");
		$fecha_envio_detalle_cotizacion = $RecordSet -> Fields("fecha_envio_detalle_cotizacion");
		$marginacion_detalle_cotizacion = $RecordSet -> Fields("marginacion_detalle_cotizacion");
		$total_detalle_cotizacion = $RecordSet -> Fields("total_detalle_cotizacion");
		$descripcion_detalle_cotizacion = $RecordSet -> Fields("descripcion_detalle_cotizacion");
		$cantidad = $RecordSet -> Fields("cantidad");
		$utilidad_por_detalle_cotizacion =$RecordSet -> Fields("utilidad_porcentaje");
		$utilidad_pes_detalle_cotizacion =$RecordSet -> Fields("utilidad_pesos");
			
		$temp = new Detalle_cotizacion ($id_servicio, $id_cotizacion, $fecha_creacion_detalle_cotizacion, $fecha_envio_detalle_cotizacion, $marginacion_detalle_cotizacion, $total_detalle_cotizacion, $descripcion_detalle_cotizacion, $cantidad, $utilidad_por_detalle_cotizacion, $utilidad_pes_detalle_cotizacion, $id_detalle_cotizacion);
		return $temp;
	}


	function &guardarDetalle_cotizacion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_DETALLE_COTIZACION",
		"id_cotizacion", $objeto->id_cotizacion,
		"fecha_creacion_detalle_cotizacion", $objeto->fecha_creacion_detalle_cotizacion,
		"fecha_envio_detalle_cotizacion", $objeto->fecha_envio_detalle_cotizacion,
		"marginacion_detalle_cotizacion", $objeto->marginacion_detalle_cotizacion,
		"total_detalle_cotizacion", $objeto->total_detalle_cotizacion,
		"descripcion_detalle_cotizacion", $objeto->descripcion_detalle_cotizacion,
		"cantidad", $objeto->cantidad,
		"id_servicio", $objeto->id_servicio,
		"utilidad_porcentaje",$objeto->utilidad_por_detalle_cotizacion,
		"utilidad_pesos",$objeto->utilidad_pes_detalle_cotizacion);
		//debug($objeto);
		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();

	}

	function &actualizarDetalle_cotizacion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_DETALLE_COTIZACION",
		"id_servicio", $objeto->id_servicio,
		"id_cotizacion", $objeto->id_cotizacion,
		"fecha_creacion_detalle_cotizacion", $objeto->fecha_creacion_detalle_cotizacion,
		"fecha_envio_detalle_cotizacion", $objeto->fecha_envio_detalle_cotizacion,
		"marginacion_detalle_cotizacion", $objeto->marginacion_detalle_cotizacion,
		"total_detalle_cotizacion", $objeto->total_detalle_cotizacion,
		"descripcion_detalle_cotizacion", $objeto->descripcion_detalle_cotizacion,
		"cantidad", $objeto->cantidad,
		"utilidad_porcentaje",$objeto->utilidad_por_detalle_cotizacion,
		"utilidad_pesos",$objeto->utilidad_pes_detalle_cotizacion,
		"id_detalle_cotizacion", $objeto->id_detalle_cotizacion);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarDetalle_cotizacion($id_detalle_cotizacion){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_COTIZACION",
		"id_detalle_cotizacion", $id_detalle_cotizacion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}// END CLASE

	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA CIUDAD
	//------------------------------------------------------------------------------

	/*
	function &getListadoCiudad($id)
	{

		if ($id == 0){
			$where = "";
		}else{
			$where = "WHERE id_region = '$id'";
		}

		global $conn;
		$query = expandir("GET_LISTADO_CIUDAD",
		"where", $where
		);

			$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_ciudad = $RecordSet -> Fields("id_ciudad");
			$id_region = $RecordSet -> Fields("id_region");
			$nombre_ciudad = $RecordSet -> Fields("nombre_ciudad");
			$codigo_ciudad = $RecordSet -> Fields("codigo_ciudad");

			$temp = new Ciudad ($id_region, $nombre_ciudad, $codigo_ciudad, $id_ciudad);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getCiudad($id_ciudad)
	{
		global $conn;
		$query = expandir("GET_CIUDAD",
		"id_ciudad", $id_ciudad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_ciudad = $RecordSet -> Fields("id_ciudad");
		$id_region = $RecordSet -> Fields("id_region");
		$nombre_ciudad = $RecordSet -> Fields("nombre_ciudad");
		$codigo_ciudad = $RecordSet -> Fields("codigo_ciudad");


		$temp = new Ciudad ($id_region, $nombre_ciudad, $codigo_ciudad, $id_ciudad);
		return $temp;
	}


	function &guardarCiudad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CIUDAD",
		"nombre_ciudad", $objeto->nombre_ciudad,
		"codigo_ciudad", $objeto->codigo_ciudad,
		"id_region", $objeto->id_region);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarCiudad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CIUDAD",
		"id_region", $objeto->id_region,
		"nombre_ciudad", $objeto->nombre_ciudad,
		"codigo_ciudad", $objeto->codigo_ciudad,
		"id_ciudad", $objeto->id_ciudad);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCiudad($id_ciudad){
		global $conn;
		$query = expandir("ELIMINAR_CIUDAD",
		"id_ciudad", $id_ciudad
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}
	*/

	/*
	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA REGION
	//------------------------------------------------------------------------------

	function &getListadoRegion()
	{
		global $conn;
		$query = expandir("GET_LISTADO_REGION");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_region = $RecordSet -> Fields("id_region");
			$numero_region = $RecordSet -> Fields("numero_region");
			$nombre_region = $RecordSet -> Fields("nombre_region");

			$temp = new Region ($numero_region, $nombre_region, $id_region);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getRegion($id_region)
	{
		global $conn;
		$query = expandir("GET_REGION",
		"id_region", $id_region
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_region = $RecordSet -> Fields("id_region");
		$numero_region = $RecordSet -> Fields("numero_region");
		$nombre_region = $RecordSet -> Fields("nombre_region");


		$temp = new Region ($numero_region, $nombre_region, $id_region);
		return $temp;
	}


	function &guardarRegion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_REGION",
		"nombre_region", $objeto->nombre_region,
		"numero_region", $objeto->numero_region);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarRegion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_REGION",
		"numero_region", $objeto->numero_region,
		"nombre_region", $objeto->nombre_region,
		"id_region", $objeto->id_region);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarRegion($id_region){
		global $conn;
		$query = expandir("ELIMINAR_REGION",
		"id_region", $id_region
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}
	*/


	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA FACTURA
	//------------------------------------------------------------------------------


	function &getListadoFactura()
	{
		global $conn;
		$query = expandir("GET_LISTADO_FACTURA");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_factura = $RecordSet -> Fields("id_factura");
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$nro_factura = $RecordSet -> Fields("nro_factura");
			$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
			$fecha_emision = $RecordSet -> Fields("fecha_emision");
			$dias_vencimiento = $RecordSet -> Fields("dias_vencimiento");
			$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
			$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
			$estado = $RecordSet -> Fields("estado");
			$total = $RecordSet -> Fields("total");
			$saldo = $RecordSet -> Fields("saldo");
			$observacion = $RecordSet -> Fields("observacion");

			$temp = new Factura ($id_cliente, $nro_factura, $fecha_digitacion, $fecha_emision, $dias_vencimiento, $fecha_anulacion, $fecha_cancelacion, $estado, $total, $saldo, $observacion, $id_factura);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getFactura($id_factura)
	{
		global $conn;
		$query = expandir("GET_FACTURA",
		"id_factura", $id_factura
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_factura = $RecordSet -> Fields("id_factura");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$nro_factura = $RecordSet -> Fields("nro_factura");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$fecha_emision = $RecordSet -> Fields("fecha_emision");
		$dias_vencimiento = $RecordSet -> Fields("dias_vencimiento");
		$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
		$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
		$estado = $RecordSet -> Fields("estado");
		$total = $RecordSet -> Fields("total");
		$saldo = $RecordSet -> Fields("saldo");
		$observacion = $RecordSet -> Fields("observacion");

		$temp = new Factura ($id_cliente, $nro_factura, $fecha_digitacion, $fecha_emision, $dias_vencimiento, $fecha_anulacion, $fecha_cancelacion, $estado, $total, $saldo, $observacion, $id_factura);

		return $temp;
	}


	function &guardarFactura($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_FACTURA",
		"nro_factura", $objeto->nro_factura,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"fecha_emision", $objeto->fecha_emision,
		"dias_vencimiento", $objeto->dias_vencimiento,
		"fecha_anulacion", $objeto->fecha_anulacion,
		"fecha_cancelacion", $objeto->fecha_cancelacion,
		"estado", $objeto->estado,
		"total", $objeto->total,
		"saldo", $objeto->saldo,
		"id_cliente", $objeto->id_cliente,
		"observacion", $objeto->observacion
		);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();

	}

	function &actualizarFactura($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_FACTURA",
		"id_cliente", $objeto->id_cliente,
		"nro_factura", $objeto->nro_factura,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"fecha_emision", $objeto->fecha_emision,
		"dias_vencimiento", $objeto->dias_vencimiento,
		"fecha_anulacion", $objeto->fecha_anulacion,
		"fecha_cancelacion", $objeto->fecha_cancelacion,
		"estado", $objeto->estado,
		"total", $objeto->total,
		"saldo", $objeto->saldo,
		"id_factura", $objeto->id_factura,
		"observacion", $objeto->observacion
		);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarFactura($id_factura){
		global $conn;
		$query = expandir("ELIMINAR_FACTURA",
		"id_factura", $id_factura
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	/*
	Descripcin: Metodo que retorna el ltimo nmero de solicitud de cotizacion
	Agregado por: Mauricio Marchant
	Fecha: 05/02/2004
	Hora: 17:14
	*/
	function &get_ultimaFactura(){
		global $conn;
		$query = expandir("GET_ULTIMA_FACTURA");
		$conn -> debug = CONN_DEBUG;
		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		
		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_factura = $RecordSet -> Fields("id_factura");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$nro_factura = $RecordSet -> Fields("nro_factura");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$fecha_emision = $RecordSet -> Fields("fecha_emision");
		$dias_vencimiento = $RecordSet -> Fields("dias_vencimiento");
		$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
		$fecha_cancelacion = $RecordSet -> Fields("fecha_cancelacion");
		$estado = $RecordSet -> Fields("estado");
		$total = $RecordSet -> Fields("total");
		$saldo = $RecordSet -> Fields("saldo");


		$temp = new Factura ($id_cliente, $nro_factura, $fecha_digitacion, $fecha_emision, $dias_vencimiento, $fecha_anulacion, $fecha_cancelacion, $estado, $total, $saldo, $id_factura);
		return $temp;
	}



	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA DETALLE FACTURA
	//------------------------------------------------------------------------------

	function &getListadoDetalle_factura($id_factura)
	{
		global $conn;
		$query = expandir("GET_LISTADO_DETALLE_FACTURA",
		"id_factura", $id_factura
		);
		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_detalle_factura = $RecordSet -> Fields("id_detalle_factura");
			$id_factura = $RecordSet -> Fields("id_factura");
			$id_ot = $RecordSet -> Fields("id_ot");
			$id_servicio = $RecordSet -> Fields("id_servicio");
			$descripcion_servicio = $RecordSet -> Fields("descripcion_servicio");
			$total = $RecordSet -> Fields("total");
			$estado = $RecordSet -> Fields("estado");
			$cantidad = $RecordSet -> Fields("cantidad");
			$temp = new Detalle_factura ($id_factura, $id_ot, $id_servicio, $descripcion_servicio, $total, $estado, $cantidad, $id_detalle_factura);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getDetalle_factura($id_detalle_factura)
	{
		global $conn;
		$query = expandir("GET_DETALLE_FACTURA",
		"id_detalle_factura", $id_detalle_factura
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_detalle_factura = $RecordSet -> Fields("id_detalle_factura");
		$id_factura = $RecordSet -> Fields("id_factura");
		$id_ot = $RecordSet -> Fields("id_ot");
		$id_servicio = $RecordSet -> Fields("id_servicio");
		$descripcion_servicio = $RecordSet -> Fields("descripcion_servicio");
		$total = $RecordSet -> Fields("total");
		$estado = $RecordSet -> Fields("estado");
		$cantidad = $RecordSet -> Fields("cantidad");
		$temp = new Detalle_factura ($id_factura, $id_ot, $id_servicio, $descripcion_servicio, $total, $estado, $cantidad, $id_detalle_factura);
		return $temp;
	}


	function &guardarDetalle_factura($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_DETALLE_FACTURA",
		"id_ot", $objeto->id_ot,
		"id_servicio", $objeto->id_servicio,
		"descripcion_servicio", $objeto->descripcion_servicio,
		"total", $objeto->total,
		"estado", $objeto->estado,
		"cantidad", $objeto->cantidad,
		"id_factura", $objeto->id_factura);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarDetalle_factura($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_DETALLE_FACTURA",
		"id_factura", $objeto->id_factura,
		"id_ot", $objeto->id_ot,
		"id_servicio", $objeto->id_servicio,
		"descripcion_servicio", $objeto->descripcion_servicio,
		"total", $objeto->total,
		"estado", $objeto->estado,
		"cantidad", $objeto->cantidad,
		"id_detalle_factura", $objeto->id_detalle_factura);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarDetalle_factura($id_detalle_factura){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_FACTURA",
		"id_detalle_factura", $id_detalle_factura
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}



	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA EMPLEADO
	//------------------------------------------------------------------------------

	function &getListadoEmpleado($id_cargo)
	{
		if ($id_cargo == 0) {
			$where = "";
		} else {
			$where = "WHERE id_cargo_empleado = $id_cargo";
		}



		global $conn;
		$query = expandir("GET_LISTADO_EMPLEADO",
		"where", $where
		);


		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_empleado = $RecordSet -> Fields("id_empleado");
			$id_cargo_empleado = $RecordSet -> Fields("id_cargo_empleado");
			$rut_empleado = $RecordSet -> Fields("rut_empleado");
			$nombre_empleado = $RecordSet -> Fields("nombre_empleado");
			$apellido_empleado = $RecordSet -> Fields("apellido_empleado");
			$direccion_empleado = $RecordSet -> Fields("direccion_empleado");
			$fono_empleado = $RecordSet -> Fields("fono_empleado");
			$movil_empleado = $RecordSet -> Fields("movil_empleado");
			$email_empleado = $RecordSet -> Fields("email_empleado");

			$temp = new Empleado ($id_cargo_empleado, $rut_empleado, $nombre_empleado, $apellido_empleado, $direccion_empleado, $fono_empleado, $movil_empleado, $email_empleado, $id_empleado);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getListadoEmpleadoDisponible($id_cargo, $fi, $ft)
	{
		if ($id_cargo == 0) {
			$where = "";
		} else {
			$where = "AND id_cargo_empleado = $id_cargo";
		}


		global $conn;
		$query = expandir("GET_LISTADO_EMPLEADO_DISPONIBLE",
		"fi", $fi,
		"ft", $ft,
		"where", $where
		);


		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_empleado = $RecordSet -> Fields("id_empleado");
			$id_cargo_empleado = $RecordSet -> Fields("id_cargo_empleado");
			$rut_empleado = $RecordSet -> Fields("rut_empleado");
			$nombre_empleado = $RecordSet -> Fields("nombre_empleado");
			$apellido_empleado = $RecordSet -> Fields("apellido_empleado");
			$direccion_empleado = $RecordSet -> Fields("direccion_empleado");
			$fono_empleado = $RecordSet -> Fields("fono_empleado");
			$movil_empleado = $RecordSet -> Fields("movil_empleado");
			$email_empleado = $RecordSet -> Fields("email_empleado");

			$temp = new Empleado ($id_cargo_empleado, $rut_empleado, $nombre_empleado, $apellido_empleado, $direccion_empleado, $fono_empleado, $movil_empleado, $email_empleado, $id_empleado);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getEmpleado($id_empleado)
	{
		global $conn;
		$query = expandir("GET_EMPLEADO",
		"id_empleado", $id_empleado
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_empleado = $RecordSet -> Fields("id_empleado");
		$id_cargo_empleado = $RecordSet -> Fields("id_cargo_empleado");
		$rut_empleado = $RecordSet -> Fields("rut_empleado");
		$nombre_empleado = $RecordSet -> Fields("nombre_empleado");
		$apellido_empleado = $RecordSet -> Fields("apellido_empleado");
		$direccion_empleado = $RecordSet -> Fields("direccion_empleado");
		$fono_empleado = $RecordSet -> Fields("fono_empleado");
		$movil_empleado = $RecordSet -> Fields("movil_empleado");
		$email_empleado = $RecordSet -> Fields("email_empleado");


		$temp = new Empleado ($id_cargo_empleado, $rut_empleado, $nombre_empleado, $apellido_empleado, $direccion_empleado, $fono_empleado, $movil_empleado, $email_empleado, $id_empleado);
		return $temp;
	}


	function &guardarEmpleado($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_EMPLEADO",
		"rut_empleado", $objeto->rut_empleado,
		"nombre_empleado", $objeto->nombre_empleado,
		"apellido_empleado", $objeto->apellido_empleado,
		"direccion_empleado", $objeto->direccion_empleado,
		"fono_empleado", $objeto->fono_empleado,
		"movil_empleado", $objeto->movil_empleado,
		"email_empleado", $objeto->email_empleado,
		"id_cargo_empleado", $objeto->id_cargo_empleado);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarEmpleado($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_EMPLEADO",
		"id_cargo_empleado", $objeto->id_cargo_empleado,
		"rut_empleado", $objeto->rut_empleado,
		"nombre_empleado", $objeto->nombre_empleado,
		"apellido_empleado", $objeto->apellido_empleado,
		"direccion_empleado", $objeto->direccion_empleado,
		"fono_empleado", $objeto->fono_empleado,
		"movil_empleado", $objeto->movil_empleado,
		"email_empleado", $objeto->email_empleado,
		"id_empleado", $objeto->id_empleado);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarEmpleado($id_empleado){
		global $conn;
		$query = expandir("ELIMINAR_EMPLEADO",
		"id_empleado", $id_empleado
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA CARGO EMPLEADO
	//------------------------------------------------------------------------------

	function &getListadoCargo_empleado($filtro,$extra)
	{
		global $conn;
		
		
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_LISTADO_CARGO_EMPLEADO",
		"where",$where
		);		
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_cargo_empleado = $RecordSet -> Fields("id_cargo_empleado");
			$nombre_cargo = $RecordSet -> Fields("nombre_cargo");
			$tipo = $RecordSet -> Fields("tipo");

			$temp = new Cargo_empleado ($nombre_cargo, $tipo, $id_cargo_empleado);
			
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}
		
		return $vector;
	}


	function &getCargo_empleado($id_cargo_empleado)
	{
		global $conn;
		$query = expandir("GET_CARGO_EMPLEADO",
		"id_cargo_empleado", $id_cargo_empleado
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_cargo_empleado = $RecordSet -> Fields("id_cargo_empleado");
		$nombre_cargo = $RecordSet -> Fields("nombre_cargo");
		$tipo = $RecordSet -> Fields("tipo");


		$temp = new Cargo_empleado ($nombre_cargo, $tipo, $id_cargo_empleado);
		
		return $temp;
	}


	function &guardarCargo_empleado($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CARGO_EMPLEADO",
		"nombre_cargo", $objeto->nombre_cargo, "tipo", $objeto->tipo);
	
		//debug($query);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}

	function &actualizarCargo_empleado($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CARGO_EMPLEADO",
		"nombre_cargo", $objeto->nombre_cargo,
		"tipo", $objeto->tipo,
		"id_cargo_empleado", $objeto->id_cargo_empleado);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarCargo_empleado($id_cargo_empleado){
		global $conn;
		$query = expandir("ELIMINAR_CARGO_EMPLEADO",
		"id_cargo_empleado", $id_cargo_empleado
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}



	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA RESERVA
	//------------------------------------------------------------------------------

	function &getListadoReservas($id_recurso, $fecha_reserva)
	{
		global $conn;

		$fi = substr($fecha_reserva, 0, 8) . "0000";
		$ft = substr($fecha_reserva, 0, 8) . "2359";

		//debug($fi);
		//debug($ft);

		$query = expandir("GET_LISTADO_RESERVAS",
		"id_recurso" , $id_recurso,
		"fecha_inicio" , $fi,
		"fecha_termino" , $ft

		);

		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$cont = 0;
		
		while (!$RecordSet -> EOF) {
			$id_reserva = $RecordSet -> Fields("id_reserva");
			$id_recurso = $RecordSet -> Fields("id_recurso");
			$tipo_recurso = $RecordSet -> Fields("tipo_recurso");
			$id_ot = $RecordSet -> Fields("id_ot");
			$fecha_ingreso = $RecordSet -> Fields("fecha_ingreso");
			$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
			$fecha_termino = $RecordSet -> Fields("fecha_termino");
			$estado = $RecordSet -> Fields("estado");

			$temp = new Reservas ($id_recurso, $tipo_recurso, $id_ot, $fecha_ingreso, $fecha_inicio, $fecha_termino, $estado, $id_reserva);
			
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}
		
		return $vector;
	}


	function &getListadoReservasPorOT($id_ot)
	{
		global $conn;

		$query = expandir("GET_LISTADO_RESERVAS_POR_OT",
		"id_ot" , $id_ot
		);

		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_reserva = $RecordSet -> Fields("id_reserva");
			$id_recurso = $RecordSet -> Fields("id_recurso");
			$tipo_recurso = $RecordSet -> Fields("tipo_recurso");
			$id_ot = $RecordSet -> Fields("id_ot");
			$fecha_ingreso = $RecordSet -> Fields("fecha_ingreso");
			$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
			$fecha_termino = $RecordSet -> Fields("fecha_termino");
			$estado = $RecordSet -> Fields("estado");

			$temp = new Reservas ($id_recurso, $tipo_recurso, $id_ot, $fecha_ingreso, $fecha_inicio, $fecha_termino, $estado, $id_reserva);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getReservas($id_reserva)
	{
		global $conn;
		$query = expandir("GET_RESERVAS",
		"id_reserva", $id_reserva
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet -> RecordCount() == 0) {
			return false;
			exit;
		}

		$id_reserva = $RecordSet -> Fields("id_reserva");
		$id_recurso = $RecordSet -> Fields("id_recurso");
		$tipo_recurso = $RecordSet -> Fields("tipo_recurso");
		$id_ot = $RecordSet -> Fields("id_ot");
		$fecha_ingreso = $RecordSet -> Fields("fecha_ingreso");
		$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
		$fecha_termino = $RecordSet -> Fields("fecha_termino");
		$estado = $RecordSet -> Fields("estado");

		$temp = new Reservas ($id_recurso, $tipo_recurso, $id_ot, $fecha_ingreso, $fecha_inicio, $fecha_termino, $estado, $id_reserva);
		return $temp;
	}


	function &guardarReservas($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_RESERVAS",
		"tipo_recurso", $objeto->tipo_recurso,
		"id_ot", $objeto->id_ot,
		"fecha_ingreso", $objeto->fecha_ingreso,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"estado", $objeto->estado,
		"id_recurso", $objeto->id_recurso);


		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}

	function &actualizarReservas($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_RESERVAS",
		"id_recurso", $objeto->id_recurso,
		"tipo_recurso", $objeto->tipo_recurso,
		"id_ot", $objeto->id_ot,
		"fecha_ingreso", $objeto->fecha_ingreso,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"estado", $objeto->estado,
		"id_reserva", $objeto->id_reserva);

		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarReservas($id_reserva){
		global $conn;
		$query = expandir("ELIMINAR_RESERVAS",
		"id_reserva", $id_reserva
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA OT
	//------------------------------------------------------------------------------

	function &getCantidadOT($filtro)
	{
		$where = "";

		if ($filtro["id_cliente"] != 0){$where .= "id_cliente = " . $filtro["id_cliente"] . " AND "; }
		if ($filtro["descripcion"] != ""){$where .= "descripcion_solicitud LIKE '%" . $filtro["descripcion"] . "%' AND ";}


		if ($where != "") $where = "WHERE " . $where;	//Adjunta la palabra WHERE al comienzo del string
		$where = substr($where, 0, -5);					//Remueve el ultimo 'AND' agregado


		global $conn;
		$query = expandir("GET_CANTIDAD_OT",
		"where" , $where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		return $RecordSet -> Fields("cont");
	}


	function &getListadoOrden_trabajo($filtro)
	{

		$where = "";

		if ($filtro["id_cliente"] != 0){$where .= "id_cliente = " . $filtro["id_cliente"] . " AND "; }
		if ($filtro["descripcion"] != ""){$where .= "descripcion_ot LIKE '%" . $filtro["descripcion"] . "%' AND ";}



		if (isset($filtro['estado']) && $filtro['estado'] != "-1")
		$where .= "( estado = ".$filtro['estado'] . ")";
		else
		$where .= " estado != 0";



		if ($where != "") $where = "WHERE " . $where;	//Adjunta la palabra WHERE al comienzo del string


		//Agrega el filtro de ORDER BY
		//$where .= " ORDER BY " . $filtro["order_by"];

		//Delimita el nro de resultados a entregar por pantalla
		if ($filtro["res_por_pag"] != 0) $where .= " LIMIT " . $filtro["valor_ini"] . " , " . $filtro["res_por_pag"];



		//		$where = substr($where, 0, -5);					//Remueve el ultimo 'AND' agregado


		global $conn;
		$query = expandir("GET_LISTADO_ORDEN_TRABAJO",
		"where", $where);


		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;


		while (!$RecordSet -> EOF) {
			$id_ot = $RecordSet -> Fields("id_ot");
			$id_detalle_cotizacion = $RecordSet -> Fields("id_detalle_cotizacion");
			$id_cliente = $RecordSet -> Fields("id_cliente");
			$descripcion_ot = $RecordSet -> Fields("descripcion_ot");
			$fecha_activacion = $RecordSet -> Fields("fecha_activacion");
			$fecha_finalizacion = $RecordSet -> Fields("fecha_finalizacion");
			$estado = $RecordSet -> Fields("estado");
			$observacion = $RecordSet -> Fields("observacion");

			$temp = new Orden_trabajo ($id_detalle_cotizacion, $id_cliente, $descripcion_ot, $fecha_activacion, $fecha_finalizacion, $estado, $observacion, $id_ot);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getOrden_trabajo($id_ot)
	{
		global $conn;
		$query = expandir("GET_ORDEN_TRABAJO",
		"id_ot", $id_ot
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_ot = $RecordSet -> Fields("id_ot");
		$id_detalle_cotizacion = $RecordSet -> Fields("id_detalle_cotizacion");
		$id_cliente = $RecordSet -> Fields("id_cliente");
		$descripcion_ot = $RecordSet -> Fields("descripcion_ot");
		$fecha_activacion = $RecordSet -> Fields("fecha_activacion");
		$fecha_finalizacion = $RecordSet -> Fields("fecha_finalizacion");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");


		$temp = new Orden_trabajo ($id_detalle_cotizacion, $id_cliente, $descripcion_ot, $fecha_activacion, $fecha_finalizacion, $estado, $observacion, $id_ot);
		return $temp;
	}


	function &guardarOrden_trabajo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_ORDEN_TRABAJO",
		"id_cliente", $objeto->id_cliente,
		"descripcion_ot", $objeto->descripcion_ot,
		"fecha_activacion", $objeto->fecha_activacion,
		"fecha_finalizacion", $objeto->fecha_finalizacion,
		"estado", $objeto->estado,
		"observacion", $objeto->observacion,
		"id_detalle_cotizacion", $objeto->id_detalle_cotizacion);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}

	function &actualizarOrden_trabajo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_ORDEN_TRABAJO",
		"id_detalle_cotizacion", $objeto->id_detalle_cotizacion,
		"id_cliente", $objeto->id_cliente,
		"descripcion_ot", $objeto->descripcion_ot,
		"fecha_activacion", $objeto->fecha_activacion,
		"fecha_finalizacion", $objeto->fecha_finalizacion,
		"estado", $objeto->estado,
		"observacion", $objeto->observacion,
		"id_ot", $objeto->id_ot);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarOrden_trabajo($id_ot){
		global $conn;
		$query = expandir("ELIMINAR_ORDEN_TRABAJO",
		"id_ot", $id_ot
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}





	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA ACTIVIDAD OT
	//------------------------------------------------------------------------------

	function &getListadoOt_actividad($id_ot)
	{
		global $conn;
		$query = expandir("GET_LISTADO_OT_ACTIVIDAD",
		"id_ot", 	$id_ot
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_ot_actividad = $RecordSet -> Fields("id_ot_actividad");
			$id_orden_trabajo = $RecordSet -> Fields("id_orden_trabajo");
			$hh_real = $RecordSet -> Fields("hh_real");
			$observacion_act = $RecordSet -> Fields("observacion_act");
			$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
			$fecha_termino = $RecordSet -> Fields("fecha_termino");
			$estado = $RecordSet -> Fields("estado");
			$fecha_aviso = $RecordSet -> Fields("fecha_aviso");
			$hh_estimadas = $RecordSet -> Fields("hh_estimadas");
			$id_responsable = $RecordSet -> Fields("id_responsable");
			$lugar = $RecordSet -> Fields("lugar");
			$id_tipo_actividad = $RecordSet -> Fields("id_tipo_actividad");
			$id_actividad = $RecordSet -> Fields("id_actividad");
			$id_bodega = $RecordSet -> Fields("id_bodega");
			$id_componente = $RecordSet -> Fields("id_componente");
			$actualiza_stock = $RecordSet -> Fields("actualiza_stock");
			
						
			$temp = new Ot_actividad ($id_orden_trabajo, $hh_real, $observacion_act, $fecha_inicio, $fecha_termino, $estado, $fecha_aviso, $hh_estimadas, $id_responsable, $lugar, $id_tipo_actividad, $id_actividad, $id_bodega, $id_componente, $actualiza_stock, $id_ot_actividad);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getListadoOt_actividad_toma($filtro,$extra)
	{
		global $conn;
		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}

		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_LISTADO_OT_ACTIVIDAD_TOMA",
		"where",$where
		);		
	
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_ot_actividad = $RecordSet -> Fields("id_ot_actividad");
			$id_orden_trabajo = $RecordSet -> Fields("id_orden_trabajo");
			$hh_real = $RecordSet -> Fields("hh_real");
			$observacion_act = $RecordSet -> Fields("observacion_act");
			$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
			$fecha_termino = $RecordSet -> Fields("fecha_termino");
			$estado = $RecordSet -> Fields("estado");
			$fecha_aviso = $RecordSet -> Fields("fecha_aviso");
			$hh_estimadas = $RecordSet -> Fields("hh_estimadas");
			$id_responsable = $RecordSet -> Fields("id_responsable");
			$lugar = $RecordSet -> Fields("lugar");
			$id_tipo_actividad = $RecordSet -> Fields("id_tipo_actividad");
			$id_actividad = $RecordSet -> Fields("id_actividad");
			$id_bodega = $RecordSet -> Fields("id_bodega");
			$id_componente = $RecordSet -> Fields("id_componente");
			$actualiza_stock = $RecordSet -> Fields("actualiza_stock");
			
						
			$temp = new Ot_actividad ($id_orden_trabajo, $hh_real, $observacion_act, $fecha_inicio, $fecha_termino, $estado, $fecha_aviso, $hh_estimadas, $id_responsable, $lugar, $id_tipo_actividad, $id_actividad, $id_bodega, $id_componente, $actualiza_stock, $id_ot_actividad);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getOt_actividad($id_ot_actividad)
	{
		global $conn;
		$query = expandir("GET_OT_ACTIVIDAD",
		"id_ot_actividad", $id_ot_actividad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_ot_actividad = $RecordSet -> Fields("id_ot_actividad");
		$id_orden_trabajo = $RecordSet -> Fields("id_orden_trabajo");
		$hh_real = $RecordSet -> Fields("hh_real");
		$observacion_act = $RecordSet -> Fields("observacion_act");
		$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
		$fecha_termino = $RecordSet -> Fields("fecha_termino");
		$estado = $RecordSet -> Fields("estado");
		$fecha_aviso = $RecordSet -> Fields("fecha_aviso");
		$hh_estimadas = $RecordSet -> Fields("hh_estimadas");
		$id_responsable = $RecordSet -> Fields("id_responsable");
		$lugar = $RecordSet -> Fields("lugar");
		$id_tipo_actividad = $RecordSet -> Fields("id_tipo_actividad");
		$id_actividad = $RecordSet -> Fields("id_actividad");
		$id_bodega = $RecordSet -> Fields("id_bodega");
		$id_componente = $RecordSet -> Fields("id_componente");
		$actualiza_stock = $RecordSet -> Fields("actualiza_stock");
		
						
		$temp = new Ot_actividad ($id_orden_trabajo, $hh_real, $observacion_act, $fecha_inicio, $fecha_termino, $estado, $fecha_aviso, $hh_estimadas, $id_responsable, $lugar, $id_tipo_actividad, $id_actividad, $id_bodega, $id_componente, $actualiza_stock, $id_ot_actividad);

		return $temp;
	}


	function &guardarOt_actividad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_OT_ACTIVIDAD",
		"hh_real", $objeto->hh_real,
		"observacion_act", $objeto->observacion_act,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"estado", $objeto->estado,
		"fecha_aviso", $objeto->fecha_aviso,
		"hh_estimadas", $objeto->hh_estimadas,
		"id_responsable", $objeto->id_responsable,
		"lugar", $objeto->lugar,
		"id_tipo_actividad", $objeto->id_tipo_actividad,
		"id_actividad", $objeto->id_actividad,
		"id_bodega",	$objeto->id_bodega,
		"id_componente", $objeto->id_componente,
		"actualiza_stock", $objeto->actualiza_stock,
		"id_orden_trabajo", $objeto->id_orden_trabajo);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return $conn->Insert_Id();
	}

	function &actualizarOt_actividad($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_OT_ACTIVIDAD",
		"id_orden_trabajo", $objeto->id_orden_trabajo,
		"hh_real", $objeto->hh_real,
		"observacion_act", $objeto->observacion_act,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"estado", $objeto->estado,
		"fecha_aviso", $objeto->fecha_aviso,
		"hh_estimadas", $objeto->hh_estimadas,
		"id_responsable", $objeto->id_responsable,
		"lugar", $objeto->lugar,
		"id_tipo_actividad", $objeto->id_tipo_actividad,
		"id_actividad", $objeto->id_actividad,
		"id_bodega",	$objeto->id_bodega,
		"id_componente", $objeto->id_componente,
		"actualiza_stock", $objeto->actualiza_stock,
		"id_ot_actividad", $objeto->id_ot_actividad);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarOt_actividad($id_ot_actividad){
		global $conn;
		$query = expandir("ELIMINAR_OT_ACTIVIDAD",
		"id_ot_actividad", $id_ot_actividad
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}



	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA ACTIVIDAD ITEM OT
	//------------------------------------------------------------------------------

	function &getListadoOt_actividad_item($id_actividad)
	{
		global $conn;
		$query = expandir("GET_LISTADO_OT_ACTIVIDAD_ITEM",
		"id_actividad", $id_actividad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_actividad_item = $RecordSet -> Fields("id_actividad_item");
			$id_actividad = $RecordSet -> Fields("id_actividad");
			$id_item = $RecordSet -> Fields("id_item");
			$valor_real_act_item = $RecordSet -> Fields("valor_real_act_item");
			$cantidad_act_item = $RecordSet -> Fields("cantidad_act_item");
			$observacion_act_item = $RecordSet -> Fields("observacion_act_item");
			$estado = $RecordSet -> Fields("estado");
			$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
			$fecha_termino = $RecordSet -> Fields("fecha_termino");

			$temp = new Ot_actividad_item ($id_actividad, $id_item, $valor_real_act_item, $cantidad_act_item, $observacion_act_item, $estado, $fecha_inicio, $fecha_termino, $id_actividad_item);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getOt_actividad_item($id_actividad_item)
	{
		global $conn;
		$query = expandir("GET_OT_ACTIVIDAD_ITEM",
		"id_actividad_item", $id_actividad_item
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_actividad_item = $RecordSet -> Fields("id_actividad_item");
		$id_actividad = $RecordSet -> Fields("id_actividad");
		$id_item = $RecordSet -> Fields("id_item");
		$valor_real_act_item = $RecordSet -> Fields("valor_real_act_item");
		$cantidad_act_item = $RecordSet -> Fields("cantidad_act_item");
		$observacion_act_item = $RecordSet -> Fields("observacion_act_item");
		$estado = $RecordSet -> Fields("estado");
		$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
		$fecha_termino = $RecordSet -> Fields("fecha_termino");


		$temp = new Ot_actividad_item ($id_actividad, $id_item, $valor_real_act_item, $cantidad_act_item, $observacion_act_item, $estado, $fecha_inicio, $fecha_termino, $id_actividad_item);
		return $temp;
	}


	function &guardarOt_actividad_item($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_OT_ACTIVIDAD_ITEM",
		"id_item", $objeto->id_item,
		"valor_real_act_item", $objeto->valor_real_act_item,
		"cantidad_act_item", $objeto->cantidad_act_item,
		"observacion_act_item", $objeto->observacion_act_item,
		"estado", $objeto->estado,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"id_actividad", $objeto->id_actividad);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarOt_actividad_item($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_OT_ACTIVIDAD_ITEM",
		"id_actividad", $objeto->id_actividad,
		"id_item", $objeto->id_item,
		"valor_real_act_item", $objeto->valor_real_act_item,
		"cantidad_act_item", $objeto->cantidad_act_item,
		"observacion_act_item", $objeto->observacion_act_item,
		"estado", $objeto->estado,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"id_actividad_item", $objeto->id_actividad_item);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarOt_actividad_item($id_actividad_item){
		global $conn;
		$query = expandir("ELIMINAR_OT_ACTIVIDAD_ITEM",
		"id_actividad_item", $id_actividad_item
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}


	//------------------------------------------------------------------------------
	// FUNCIONES FACHADA TRAMO
	//------------------------------------------------------------------------------

	function &getListadoTramo()
	{
		global $conn;
		$query = expandir("GET_LISTADO_TRAMO");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_tramo = $RecordSet -> Fields("id_tramo");
			$desde_tramo = $RecordSet -> Fields("desde_tramo");
			$hasta_tramo = $RecordSet -> Fields("hasta_tramo");
			$observacion_tramo = $RecordSet -> Fields("observacion_tramo");
			$estado_tramo = $RecordSet -> Fields("estado_tramo");

			$temp = new Tramo ($desde_tramo, $hasta_tramo, $observacion_tramo, $estado_tramo, $id_tramo);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getTramo($id_tramo)
	{
		global $conn;
		$query = expandir("GET_TRAMO",
		"id_tramo", $id_tramo
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_tramo = $RecordSet -> Fields("id_tramo");
		$desde_tramo = $RecordSet -> Fields("desde_tramo");
		$hasta_tramo = $RecordSet -> Fields("hasta_tramo");
		$observacion_tramo = $RecordSet -> Fields("observacion_tramo");
		$estado_tramo = $RecordSet -> Fields("estado_tramo");


		$temp = new Tramo ($desde_tramo, $hasta_tramo, $observacion_tramo, $estado_tramo, $id_tramo);
		return $temp;
	}


	function &guardarTramo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_TRAMO",
		"hasta_tramo", $objeto->hasta_tramo,
		"observacion_tramo", $objeto->observacion_tramo,
		"estado_tramo", $objeto->estado_tramo,
		"desde_tramo", $objeto->desde_tramo);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarTramo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_TRAMO",
		"desde_tramo", $objeto->desde_tramo,
		"hasta_tramo", $objeto->hasta_tramo,
		"observacion_tramo", $objeto->observacion_tramo,
		"estado_tramo", $objeto->estado_tramo,
		"id_tramo", $objeto->id_tramo);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarTramo($id_tramo){
		global $conn;
		$query = expandir("ELIMINAR_TRAMO",
		"id_tramo", $id_tramo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}


	//------------------------------------------------------------------------------
	// FUNCIONES FACHADA APROBADOR
	//------------------------------------------------------------------------------

	function &getListadoAprobador()
	{
		global $conn;
		$query = expandir("GET_LISTADO_APROBADOR");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_aprobador = $RecordSet -> Fields("id_aprobador");
			$id_usuario = $RecordSet -> Fields("id_usuario");

			$temp = new Aprobador ($id_usuario, $id_aprobador);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &existeAprobador($id_usuario)
	{
		global $conn;
		$query = expandir("EXISTE_APROBADOR",
		"id_usuario", $id_usuario
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_aprobador = $RecordSet -> Fields("id_aprobador");
		$id_usuario = $RecordSet -> Fields("id_usuario");


		$temp = new Aprobador ($id_usuario, $id_aprobador);
		return $temp;
	}

	function &getAprobador($id_aprobador)
	{
		global $conn;
		$query = expandir("GET_APROBADOR",
		"id_aprobador", $id_aprobador
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_aprobador = $RecordSet -> Fields("id_aprobador");
		$id_usuario = $RecordSet -> Fields("id_usuario");


		$temp = new Aprobador ($id_usuario, $id_aprobador);
		return $temp;
	}


	function &guardarAprobador($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_APROBADOR",
		"id_usuario", $objeto->id_usuario);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarAprobador($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_APROBADOR",
		"id_usuario", $objeto->id_usuario,
		"id_aprobador", $objeto->id_aprobador);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarAprobador($id_aprobador){
		global $conn;
		$query = expandir("ELIMINAR_APROBADOR",
		"id_aprobador", $id_aprobador
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

	//------------------------------------------------------------------------------
	//FUNCIONES FACHADA APROBADO_POR_TRAMO
	//------------------------------------------------------------------------------

	function &getListadoAprobado_por_tramo($id_tramo=0)
	{
		global $conn;
		if ($id_tramo !=0){
			$query = expandir("GET_LISTADO_APROBADO_POR_TRAMO",
			"id_tramo", $id_tramo
			);
		}
		else
		$query = expandir("GET_LISTADO_APROBADO_POR_TRAMO_TODOS");

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_aprobado_por_tramo = $RecordSet -> Fields("id_aprobado_por_tramo");
			$id_aprobador = $RecordSet -> Fields("id_aprobador");
			$id_tramo = $RecordSet -> Fields("id_tramo");

			$temp = new Aprobado_por_tramo ($id_aprobador, $id_tramo, $id_aprobado_por_tramo);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getAprobado_por_tramo($id_aprobado_por_tramo)
	{
		global $conn;
		$query = expandir("GET_APROBADO_POR_TRAMO",
		"id_aprobado_por_tramo", $id_aprobado_por_tramo
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_aprobado_por_tramo = $RecordSet -> Fields("id_aprobado_por_tramo");
		$id_aprobador = $RecordSet -> Fields("id_aprobador");
		$id_tramo = $RecordSet -> Fields("id_tramo");


		$temp = new Aprobado_por_tramo ($id_aprobador, $id_tramo, $id_aprobado_por_tramo);
		return $temp;
	}


	function &guardarAprobado_por_tramo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_APROBADO_POR_TRAMO",
		"id_tramo", $objeto->id_tramo,
		"id_aprobador", $objeto->id_aprobador);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarAprobado_por_tramo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_APROBADO_POR_TRAMO",
		"id_aprobador", $objeto->id_aprobador,
		"id_tramo", $objeto->id_tramo,
		"id_aprobado_por_tramo", $objeto->id_aprobado_por_tramo);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarAprobado_por_tramo($id_aprobado_por_tramo){
		global $conn;
		$query = expandir("ELIMINAR_APROBADO_POR_TRAMO",
		"id_aprobado_por_tramo", $id_aprobado_por_tramo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA RECURSOS AGENDADOS
	//------------------------------------------------------------------------------

	function &getListadoRecursos_agendados($id_actividad_item)
	{
		global $conn;
		$query = expandir("GET_LISTADO_RECURSOS_AGENDADOS",
		"id_actividad_item", $id_actividad_item
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_recurso_agendado = $RecordSet -> Fields("id_recurso_agendado");
			$id_actividad_item = $RecordSet -> Fields("id_actividad_item");
			$id_reserva = $RecordSet -> Fields("id_reserva");
			$estado = $RecordSet -> Fields("estado");
			$observacion = $RecordSet -> Fields("observacion");

			$temp = new Recursos_agendados ($id_actividad_item, $id_reserva, $estado, $observacion, $id_recurso_agendado);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getRecursos_agendados($id_recurso_agendado)
	{
		global $conn;
		$query = expandir("GET_RECURSOS_AGENDADOS",
		"id_recurso_agendado", $id_recurso_agendado
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_recurso_agendado = $RecordSet -> Fields("id_recurso_agendado");
		$id_actividad_item = $RecordSet -> Fields("id_actividad_item");
		$id_reserva = $RecordSet -> Fields("id_reserva");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");


		$temp = new Recursos_agendados ($id_actividad_item, $id_reserva, $estado, $observacion, $id_recurso_agendado);
		return $temp;
	}


	function &guardarRecursos_agendados($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_RECURSOS_AGENDADOS",
		"id_reserva", $objeto->id_reserva,
		"estado", $objeto->estado,
		"observacion", $objeto->observacion,
		"id_actividad_item", $objeto->id_actividad_item);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarRecursos_agendados($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_RECURSOS_AGENDADOS",
		"id_actividad_item", $objeto->id_actividad_item,
		"id_reserva", $objeto->id_reserva,
		"estado", $objeto->estado,
		"observacion", $objeto->observacion,
		"id_recurso_agendado", $objeto->id_recurso_agendado);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarRecursos_agendados($id_recurso_agendado){
		global $conn;
		$query = expandir("ELIMINAR_RECURSOS_AGENDADOS",
		"id_recurso_agendado", $id_recurso_agendado
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}



	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA ACTIVIDAD OT REAL
	//------------------------------------------------------------------------------

	function &getListadoOt_actividad_real($id_ot)
	{
		global $conn;
		$query = expandir("GET_LISTADO_OT_ACTIVIDAD_REAL",
		"id_ot", $id_ot
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_actividad = $RecordSet -> Fields("id_actividad");
			$id_orden_trabajo = $RecordSet -> Fields("id_orden_trabajo");
			$nombre_act = $RecordSet -> Fields("nombre_act");
			$observacion_act = $RecordSet -> Fields("observacion_act");
			$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
			$fecha_termino = $RecordSet -> Fields("fecha_termino");
			$estado = $RecordSet -> Fields("estado");

			$temp = new Ot_actividad_real ($id_orden_trabajo, $nombre_act, $observacion_act, $fecha_inicio, $fecha_termino, $estado, $id_actividad);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getOt_actividad_real($id_actividad)
	{
		global $conn;
		$query = expandir("GET_OT_ACTIVIDAD_REAL",
		"id_actividad", $id_actividad
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_actividad = $RecordSet -> Fields("id_actividad");
		$id_orden_trabajo = $RecordSet -> Fields("id_orden_trabajo");
		$nombre_act = $RecordSet -> Fields("nombre_act");
		$observacion_act = $RecordSet -> Fields("observacion_act");
		$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
		$fecha_termino = $RecordSet -> Fields("fecha_termino");
		$estado = $RecordSet -> Fields("estado");


		$temp = new Ot_actividad_real ($id_orden_trabajo, $nombre_act, $observacion_act, $fecha_inicio, $fecha_termino, $estado, $id_actividad);
		return $temp;
	}


	function &guardarOt_actividad_real($objeto){
		
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_OT_ACTIVIDAD_REAL",
		"nombre_act", $objeto->nombre_act,
		"observacion_act", $objeto->observacion_act,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"estado", $objeto->estado,
		"id_orden_trabajo", $objeto->id_orden_trabajo);

		//debug($query);
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarOt_actividad_real($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_OT_ACTIVIDAD_REAL",
		"id_orden_trabajo", $objeto->id_orden_trabajo,
		"nombre_act", $objeto->nombre_act,
		"observacion_act", $objeto->observacion_act,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"estado", $objeto->estado,
		"id_actividad", $objeto->id_actividad);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarOt_actividad_real($id_actividad){
		global $conn;
		$query = expandir("ELIMINAR_OT_ACTIVIDAD_REAL",
		"id_actividad", $id_actividad
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}




	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA ACTIVIDAD ITEM OT
	//------------------------------------------------------------------------------


	function &getListadoOt_actividad_item_real($id_actividad)
	{
		global $conn;
		$query = expandir("GET_LISTADO_OT_ACTIVIDAD_ITEM_REAL",
		"id_actividad", $id_actividad
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_actividad_item = $RecordSet -> Fields("id_actividad_item");
			$id_actividad = $RecordSet -> Fields("id_actividad");
			$id_item = $RecordSet -> Fields("id_item");
			$valor_real_act_item = $RecordSet -> Fields("valor_real_act_item");
			$cantidad_act_item = $RecordSet -> Fields("cantidad_act_item");
			$observacion_act_item = $RecordSet -> Fields("observacion_act_item");
			$estado = $RecordSet -> Fields("estado");
			$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
			$fecha_termino = $RecordSet -> Fields("fecha_termino");

			$temp = new Ot_actividad_item_real ($id_actividad, $id_item, $valor_real_act_item, $cantidad_act_item, $observacion_act_item, $estado, $fecha_inicio, $fecha_termino, $id_actividad_item);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getOt_actividad_item_real($id_actividad_item)
	{
		global $conn;
		$query = expandir("GET_OT_ACTIVIDAD_ITEM_REAL",
		"id_actividad_item", $id_actividad_item
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_actividad_item = $RecordSet -> Fields("id_actividad_item");
		$id_actividad = $RecordSet -> Fields("id_actividad");
		$id_item = $RecordSet -> Fields("id_item");
		$valor_real_act_item = $RecordSet -> Fields("valor_real_act_item");
		$cantidad_act_item = $RecordSet -> Fields("cantidad_act_item");
		$observacion_act_item = $RecordSet -> Fields("observacion_act_item");
		$estado = $RecordSet -> Fields("estado");
		$fecha_inicio = $RecordSet -> Fields("fecha_inicio");
		$fecha_termino = $RecordSet -> Fields("fecha_termino");


		$temp = new Ot_actividad_item_real ($id_actividad, $id_item, $valor_real_act_item, $cantidad_act_item, $observacion_act_item, $estado, $fecha_inicio, $fecha_termino, $id_actividad_item);
		return $temp;
	}


	function &guardarOt_actividad_item_real($objeto){
		
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_OT_ACTIVIDAD_ITEM_REAL",
		"id_item", $objeto->id_item,
		"valor_real_act_item", $objeto->valor_real_act_item,
		"cantidad_act_item", $objeto->cantidad_act_item,
		"observacion_act_item", $objeto->observacion_act_item,
		"estado", $objeto->estado,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"id_actividad", $objeto->id_actividad);

		//debug($query);
		$RecordSet = &$conn -> Execute($query);

		return $conn->Insert_Id();
	}

	function &actualizarOt_actividad_item_real($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_OT_ACTIVIDAD_ITEM_REAL",
		"id_actividad", $objeto->id_actividad,
		"id_item", $objeto->id_item,
		"valor_real_act_item", $objeto->valor_real_act_item,
		"cantidad_act_item", $objeto->cantidad_act_item,
		"observacion_act_item", $objeto->observacion_act_item,
		"estado", $objeto->estado,
		"fecha_inicio", $objeto->fecha_inicio,
		"fecha_termino", $objeto->fecha_termino,
		"id_actividad_item", $objeto->id_actividad_item);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarOt_actividad_item_real($id_actividad_item){
		global $conn;
		$query = expandir("ELIMINAR_OT_ACTIVIDAD_ITEM_REAL",
		"id_actividad_item", $id_actividad_item
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}


	//------------------------------------------------------------------------------
	//FUNCIONES FACHADA TIPO_EQUIPO
	//------------------------------------------------------------------------------

	function &getListadoTipo_equipo()
	{
		global $conn;
		$query = expandir("GET_LISTADO_TIPO_EQUIPO");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_tipo_equipo = $RecordSet -> Fields("id_tipo_equipo");
			$nombre_tipo_equipo = $RecordSet -> Fields("nombre_tipo_equipo");
			$descripcion_tipo_equipo = $RecordSet -> Fields("descripcion_tipo_equipo");

			$temp = new Tipo_equipo ($nombre_tipo_equipo, $descripcion_tipo_equipo, $id_tipo_equipo);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getTipo_equipo($id_tipo_equipo)
	{
		global $conn;
		$query = expandir("GET_TIPO_EQUIPO",
		"id_tipo_equipo", $id_tipo_equipo
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_tipo_equipo = $RecordSet -> Fields("id_tipo_equipo");
		$nombre_tipo_equipo = $RecordSet -> Fields("nombre_tipo_equipo");
		$descripcion_tipo_equipo = $RecordSet -> Fields("descripcion_tipo_equipo");


		$temp = new Tipo_equipo ($nombre_tipo_equipo, $descripcion_tipo_equipo, $id_tipo_equipo);
		return $temp;
	}


	function &guardarTipo_equipo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_TIPO_EQUIPO",
		"descripcion_tipo_equipo", $objeto->descripcion_tipo_equipo,
		"nombre_tipo_equipo", $objeto->nombre_tipo_equipo);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarTipo_equipo($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_TIPO_EQUIPO",
		"nombre_tipo_equipo", $objeto->nombre_tipo_equipo,
		"descripcion_tipo_equipo", $objeto->descripcion_tipo_equipo,
		"id_tipo_equipo", $objeto->id_tipo_equipo);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarTipo_equipo($id_tipo_equipo){
		global $conn;
		$query = expandir("ELIMINAR_TIPO_EQUIPO",
		"id_tipo_equipo", $id_tipo_equipo
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}




	//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA EXTRAS COTIZACION
	//------------------------------------------------------------------------------

	function &getListadoExtras_cotizacion()
	{
		global $conn;
		$query = expandir("GET_LISTADO_EXTRAS_COTIZACION");
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_extra_cotizacion = $RecordSet -> Fields("id_extra_cotizacion");
			$id_servicio = $RecordSet -> Fields("id_servicio");
			$incluye1 = $RecordSet -> Fields("incluye1");
			$incluye2 = $RecordSet -> Fields("incluye2");
			$incluye3 = $RecordSet -> Fields("incluye3");
			$otro_incluye = $RecordSet -> Fields("otro_incluye");
			$no_incluye1 = $RecordSet -> Fields("no_incluye1");
			$no_incluye2 = $RecordSet -> Fields("no_incluye2");
			$no_incluye3 = $RecordSet -> Fields("no_incluye3");
			$otro_no_incluye = $RecordSet -> Fields("otro_no_incluye");
			$observacion_servicio = $RecordSet -> Fields("observacion_servicio");
			$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
			$extra1 = $RecordSet -> Fields("extra1");
			$extra2 = $RecordSet -> Fields("extra2");

			$temp = new Extras_cotizacion ($id_servicio, $incluye1, $incluye2, $incluye3, $otro_incluye, $no_incluye1, $no_incluye2, $no_incluye3, $otro_no_incluye, $observacion_servicio, $fecha_modificacion, $extra1, $extra2, $id_extra_cotizacion);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getExtras_cotizacion($id_servicio)
	{
		global $conn;
		$query = expandir("GET_EXTRAS_COTIZACION",
		"id_servicio", $id_servicio
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}

		$id_extra_cotizacion = $RecordSet -> Fields("id_extra_cotizacion");
		$id_servicio = $RecordSet -> Fields("id_servicio");
		$incluye1 = $RecordSet -> Fields("incluye1");
		$incluye2 = $RecordSet -> Fields("incluye2");
		$incluye3 = $RecordSet -> Fields("incluye3");
		$otro_incluye = $RecordSet -> Fields("otro_incluye");
		$no_incluye1 = $RecordSet -> Fields("no_incluye1");
		$no_incluye2 = $RecordSet -> Fields("no_incluye2");
		$no_incluye3 = $RecordSet -> Fields("no_incluye3");
		$otro_no_incluye = $RecordSet -> Fields("otro_no_incluye");
		$observacion_servicio = $RecordSet -> Fields("observacion_servicio");
		$fecha_modificacion = $RecordSet -> Fields("fecha_modificacion");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");


		$temp = new Extras_cotizacion ($id_servicio, $incluye1, $incluye2, $incluye3, $otro_incluye, $no_incluye1, $no_incluye2, $no_incluye3, $otro_no_incluye, $observacion_servicio, $fecha_modificacion, $extra1, $extra2, $id_extra_cotizacion);
		return $temp;
	}


	function &guardarExtras_cotizacion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_EXTRAS_COTIZACION",
		"incluye1", $objeto->incluye1,
		"incluye2", $objeto->incluye2,
		"incluye3", $objeto->incluye3,
		"otro_incluye", $objeto->otro_incluye,
		"no_incluye1", $objeto->no_incluye1,
		"no_incluye2", $objeto->no_incluye2,
		"no_incluye3", $objeto->no_incluye3,
		"otro_no_incluye", $objeto->otro_no_incluye,
		"observacion_servicio", $objeto->observacion_servicio,
		"fecha_modificacion", $objeto->fecha_modificacion,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"id_servicio", $objeto->id_servicio);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &actualizarExtras_cotizacion($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_EXTRAS_COTIZACION",
		"id_servicio", $objeto->id_servicio,
		"incluye1", $objeto->incluye1,
		"incluye2", $objeto->incluye2,
		"incluye3", $objeto->incluye3,
		"otro_incluye", $objeto->otro_incluye,
		"no_incluye1", $objeto->no_incluye1,
		"no_incluye2", $objeto->no_incluye2,
		"no_incluye3", $objeto->no_incluye3,
		"otro_no_incluye", $objeto->otro_no_incluye,
		"observacion_servicio", $objeto->observacion_servicio,
		"fecha_modificacion", $objeto->fecha_modificacion,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"id_extra_cotizacion", $objeto->id_extra_cotizacion);

		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet){
			return false;
			exit;
		}
		return true;
	}

	function &eliminarExtras_cotizacion($id_extra_cotizacion){
		global $conn;
		$query = expandir("ELIMINAR_EXTRAS_COTIZACION",
		"id_extra_cotizacion", $id_extra_cotizacion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if (!$RecordSet) {
			return false;
			exit;
		}
		return true;
	}

}//Fin Clase Fachada

?>