<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Columna{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_columna;
	var $id_tipo_material;
	var $id_tabla_precio;
	var $observacion;
	var $estado;
	var $extra1;
	var $extra2;
	var $nombre_tipo_material;
	
	//CONSTRUCTOR
	function Columna ($id_tipo_material, $id_tabla_precio, $observacion, $estado, $extra1, $extra2, $id_columna=0)
	{
		$this->id_columna = $id_columna;
		$this->id_tipo_material = $id_tipo_material;
		$this->id_tabla_precio = $id_tabla_precio;
		$this->observacion = $observacion;
		$this->estado = $estado;
		$this->extra1 = $extra1;
		$this->extra2 = $extra2;
		
		$tipo_material = new Tipo_material();
		$tipo_material = Tipo_material_getTipo_material($id_tipo_material);
		//debug($tipo_material);
		$this->nombre_tipo_material = $tipo_material->descripcion;
		
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_columna(){
		return ($this->id_columna);
	}
	
	function get_id_tipo_material(){
		return ($this->id_tipo_material);
	}
	
	function get_nombre_tipo_material(){
		return ($this->nombre_tipo_material);
	}
	
	function get_id_tabla_precio(){
		return ($this->id_tabla_precio);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_extra1(){
		return ($this->extra1);
	}
	
	function get_extra2(){
		return ($this->extra2);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_columna($id_columna){
		$this->id_columna = $id_columna;
	}
	
	function set_id_tipo_materia($id_tipo_material){
		$this->id_tipo_materia = $id_tipo_material;
	}
	
	function set_id_tabla_precio($id_tabla_precio){
		$this->id_tabla_precio = $id_tabla_precio;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Columna_getListadoColumna($id=0){
		return Columna_Fachada::getListadoColumna($id);
	}
	
	function Columna_getColumna($id_columna){
		return Columna_Fachada::getColumna($id_columna);
	}
	
	function Columna_guardarColumna($objeto){
		return Columna_Fachada::guardarColumna($objeto);
	}
	
	function Columna_actualizarColumna($objeto){
		return Columna_Fachada::actualizarColumna($objeto);
	}
	
	function Columna_actualizaridColumna($id_antiguo, $id_nuevo){
		return Columna_Fachada::actualizaridColumna($id_antiguo, $id_nuevo);
	}
	
	function Columna_eliminarColumnas($id_columna){
		return Columna_Fachada::eliminarColumnas($id_columna);
	}
	
	
	
	
	
?>
