<?


//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Cont_cuota {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_cuota;
	private $id_banco;
	private $id_cliente_proveedor;
	private $id_documento;
	private $tipo_documento;
	private $numero_cuota;
	private $valor;
	private $fecha;
	private $numero_cheque;
	private $estado;
	private $observacion;
	private $extra1;
	private $extra2;
	private $extra3;

	//CONSTRUCTOR
	public function __construct($Cont_cuota_BD) {
		if ($Cont_cuota_BD) {
			$this->id_cuota = $Cont_cuota_BD->get_id_cuota();
			$this->id_banco = $Cont_cuota_BD->get_id_banco();
			$this->id_cliente_proveedor = $Cont_cuota_BD->get_id_cliente_proveedor();
			$this->id_documento = $Cont_cuota_BD->get_id_documento();
			$this->tipo_documento = $Cont_cuota_BD->get_tipo_documento();
			$this->numero_cuota = $Cont_cuota_BD->get_numero_cuota();
			$this->valor = $Cont_cuota_BD->get_valor();
			$this->fecha = $Cont_cuota_BD->get_fecha();
			$this->numero_cheque = $Cont_cuota_BD->get_numero_cheque();
			$this->estado = $Cont_cuota_BD->get_estado();
			$this->observacion = $Cont_cuota_BD->get_observacion();
			$this->extra1 = $Cont_cuota_BD->get_extra1();
			$this->extra2 = $Cont_cuota_BD->get_extra2();
			$this->extra3 = $Cont_cuota_BD->get_extra3();
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------

	public function get_id_cuota() {
		return ($this->id_cuota);
	}

	public function get_id_banco() {
		return ($this->id_banco);
	}

	public function get_id_cliente_proveedor() {
		return ($this->id_cliente_proveedor);
	}

	public function get_id_documento() {
		return ($this->id_documento);
	}

	public function get_tipo_documento() {
		return ($this->tipo_documento);
	}

	public function get_numero_cuota() {
		return ($this->numero_cuota);
	}

	public function get_valor() {
		return ($this->valor);
	}

	public function get_fecha() {
		return ($this->fecha);
	}

	public function get_numero_cheque() {
		return ($this->numero_cheque);
	}

	public function get_estado() {
		return ($this->estado);
	}

	public function get_observacion() {
		return ($this->observacion);
	}

	public function get_extra1() {
		return ($this->extra1);
	}

	public function get_extra2() {
		return ($this->extra2);
	}

	public function get_extra3() {
		return ($this->extra3);
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_cuota($id_cuota) {
		$this->id_cuota = $id_cuota;
	}

	public function set_id_banco($id_banco) {
		$this->id_banco = $id_banco;
	}

	public function set_id_cliente_proveedor($id_cliente_proveedor) {
		$this->id_cliente_proveedor = $id_cliente_proveedor;
	}

	public function set_id_documento($id_documento) {
		$this->id_documento = $id_documento;
	}

	public function set_tipo_documento($tipo_documento) {
		$this->tipo_documento = $tipo_documento;
	}

	public function set_numero_cuota($numero_cuota) {
		$this->numero_cuota = $numero_cuota;
	}

	public function set_valor($valor) {
		$this->valor = $valor;
	}

	public function set_fecha($fecha) {
		$this->fecha = $fecha;
	}

	public function set_numero_cheque($numero_cheque) {
		$this->numero_cheque = $numero_cheque;
	}

	public function set_estado($estado) {
		$this->estado = $estado;
	}

	public function set_observacion($observacion) {
		$this->observacion = $observacion;
	}

	public function set_extra1($extra1) {
		$this->extra1 = $extra1;
	}

	public function set_extra2($extra2) {
		$this->extra2 = $extra2;
	}

	public function set_extra3($extra3) {
		$this->extra3 = $extra3;
	}

}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------
?>
