<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Detalle_documento_compra{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_detalle_documento_compra;
	private $id_documento_compra;
	private $cod_producto;
	private $descripcion_producto;
	private $cantidad;
	private $unidad;
	private $exento;
	private $valor_impuesto;
	private $porcentaje_descuento;
	private $monto_descuento;
	private $precio_neto_unitario;
	private $total_neto;
	private $iva;
	private $total;
	private $id_item_gasto;
	private $id_centro_costo;
	private $id_impuesto;
	
	private $info;

	
	//CONSTRUCTOR
	public function __construct ($Detalle_documento_compra_BD)
	{
		if ($Detalle_documento_compra_BD){
			$this->id_detalle_documento_compra = $Detalle_documento_compra_BD->get_id_detalle_documento_compra();
			$this->id_documento_compra = $Detalle_documento_compra_BD->get_id_documento_compra();
			$this->cod_producto = $Detalle_documento_compra_BD->get_cod_producto();
			$this->descripcion_producto = $Detalle_documento_compra_BD->get_descripcion_producto();
			$this->cantidad = $Detalle_documento_compra_BD->get_cantidad();
			$this->unidad = $Detalle_documento_compra_BD->get_unidad();
			$this->exento = $Detalle_documento_compra_BD->get_exento();
			$this->valor_impuesto = $Detalle_documento_compra_BD->get_valor_impuesto();
			$this->porcentaje_descuento = $Detalle_documento_compra_BD->get_porcentaje_descuento();
			$this->monto_descuento = $Detalle_documento_compra_BD->get_monto_descuento();
			$this->precio_neto_unitario = $Detalle_documento_compra_BD->get_precio_neto_unitario();
			$this->total_neto = $Detalle_documento_compra_BD->get_total_neto();
			$this->iva = $Detalle_documento_compra_BD->get_iva();
			$this->total = $Detalle_documento_compra_BD->get_total();
			$this->id_item_gasto = $Detalle_documento_compra_BD->get_id_item_gasto();
			$this->id_centro_costo = $Detalle_documento_compra_BD->get_id_centro_costo();
			$this->id_impuesto = $Detalle_documento_compra_BD->get_id_impuesto();
			
			$this->info = to_string($this);
			
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_info(){
		return ($this->info);
	}
	
	
	public function get_id_detalle_documento_compra(){
		return ($this->id_detalle_documento_compra);
	}

	public function get_id_documento_compra(){
		return ($this->id_documento_compra);
	}

	public function get_cod_producto(){
		return ($this->cod_producto);
	}

	public function get_descripcion_producto(){
		return ($this->descripcion_producto);
	}

	public function get_cantidad(){
		return ($this->cantidad);
	}

	public function get_unidad(){
		return ($this->unidad);
	}

	public function get_exento(){
		return ($this->exento);
	}

	public function get_valor_impuesto(){
		return ($this->valor_impuesto);
	}

	public function get_porcentaje_descuento(){
		return ($this->porcentaje_descuento);
	}

	public function get_monto_descuento(){
		return ($this->monto_descuento);
	}

	public function get_precio_neto_unitario(){
		return ($this->precio_neto_unitario);
	}

	public function get_total_neto(){
		return ($this->total_neto);
	}

	public function get_iva(){
		return ($this->iva);
	}

	public function get_total(){
		return ($this->total);
	}

	public function get_id_item_gasto(){
		return ($this->id_item_gasto);
	}

	public function get_id_centro_costo(){
		return ($this->id_centro_costo);
	}

	public function get_id_impuesto(){
		return ($this->id_impuesto);
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_detalle_documento_compra($id_detalle_documento_compra){
		$this->id_detalle_documento_compra = $id_detalle_documento_compra;
	}

	public function set_id_documento_compra($id_documento_compra){
		$this->id_documento_compra = $id_documento_compra;
	}

	public function set_cod_producto($cod_producto){
		$this->cod_producto = $cod_producto;
	}

	public function set_descripcion_producto($descripcion_producto){
		$this->descripcion_producto = $descripcion_producto;
	}

	public function set_cantidad($cantidad){
		$this->cantidad = $cantidad;
	}

	public function set_unidad($unidad){
		$this->unidad = $unidad;
	}

	public function set_exento($exento){
		$this->exento = $exento;
	}

	public function set_valor_impuesto($valor_impuesto){
		$this->valor_impuesto = $valor_impuesto;
	}

	public function set_porcentaje_descuento($porcentaje_descuento){
		$this->porcentaje_descuento = $porcentaje_descuento;
	}

	public function set_monto_descuento($monto_descuento){
		$this->monto_descuento = $monto_descuento;
	}

	public function set_precio_neto_unitario($precio_neto_unitario){
		$this->precio_neto_unitario = $precio_neto_unitario;
	}

	public function set_total_neto($total_neto){
		$this->total_neto = $total_neto;
	}

	public function set_iva($iva){
		$this->iva = $iva;
	}

	public function set_total($total){
		$this->total = $total;
	}

	public function set_id_item_gasto($id_item_gasto){
		$this->id_item_gasto = $id_item_gasto;
	}

	public function set_id_centro_costo($id_centro_costo){
		$this->id_centro_costo = $id_centro_costo;
	}

	public function set_id_impuesto($id_impuesto){
		$this->id_impuesto = $id_impuesto;
	}



}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
