<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Detalle_recepcion{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_detalle_recepcion;
	var $id_recepcion;
	var $id_detalle_orden_compra;
	var $cantidad;
	var $extra1;
	var $extra2;
	
	var $id_producto;
	var $nombre_producto;
	var $precio;
	var $codigo_barra;
	//CONSTRUCTOR
	function Detalle_recepcion ($id_recepcion, $id_detalle_orden_compra, $cantidad, $extra1, $extra2, $id_detalle_recepcion=0)
	{
		$this->id_detalle_recepcion = $id_detalle_recepcion;
		$this->id_recepcion = $id_recepcion;
		$this->id_detalle_orden_compra = $id_detalle_orden_compra;
		$this->cantidad = $cantidad;
		$this->extra1 = $extra1;
		$this->extra2 = $extra2;
		
//		$detalle_orden_compra = new Detalle_orden_compra();
		$detalle_orden_compra = Detalle_orden_compra_getDetalle_orden_compra($id_detalle_orden_compra);
		if ($detalle_orden_compra){
			$this->id_producto		= $detalle_orden_compra->id_producto;
			$this->nombre_producto	= $detalle_orden_compra->descripcion;
			$this->precio = $detalle_orden_compra->precio_unitario;
			$this->codigo_barra = $detalle_orden_compra->codigo_barra;
			$this->descuento_porc = $detalle_orden_compra->descuento_porc;
			$clog_Recepcion = new Controlador_Logico_Recepcion();
			$recepcion = $clog_Recepcion->getRecepcion($id_recepcion);
			if ($recepcion)
			{
				$this->stock_actual = $this->get_stock_actual($recepcion->id_bodega, $this->id_producto);
//				$inv = Inventario_getProductoInventario($recepcion->id_bodega, $this->id_producto);
//				if ($inv)
//					$this->stock_actual = $inv->get_stock_actual();
//				else
//					$this->stock_actual = 0;
			}
		}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------
	function get_stock_actual($id_bodega, $id_producto)
	{
		$reporte = new Reporte();
		$filtro["id_producto"] = $id_producto;
		$filtro["id_bodega"] = $id_bodega;
		$res = $reporte->get_stock_actual($filtro);	
		return $res[0]["stock_actual"];
	}

	function get_codigo_barra_small(){
		$reporte = new Reporte();
		$filtro["id_producto"] = $this->id_producto;
		$res = $reporte->get_codigo_barra_small($filtro);	
		return $res[0]["codigo_barra_small"];
	}


	function get_movimiento_inventario(){
		$recepcion = Recepcion_getRecepcion($this->id_recepcion);
		$clog_Movimiento_inventario= new Controlador_Logico_Movimiento_inventario();
		$mov = $clog_Movimiento_inventario->getMovimiento_inventario_por_tipo(4,$this->id_recepcion, $recepcion->id_bodega, $this->id_producto);			
		return $mov;
	}
	
	function eliminar_movimiento_inventario(){
		$recepcion = Recepcion_getRecepcion($this->id_recepcion);
		$clog_Movimiento_inventario= new Controlador_Logico_Movimiento_inventario();
		$mov = $clog_Movimiento_inventario->getMovimiento_inventario_por_tipo(4,$this->id_recepcion, $recepcion->id_bodega, $this->id_producto);			
		if ($mov) $clog_Movimiento_inventario->eliminarMovimiento_inventario($mov->get_id_movimiento_inventario());
	}
	
	function get_id_detalle_recepcion(){
		return ($this->id_detalle_recepcion);
	}
	
	function get_id_recepcion(){
		return ($this->id_recepcion);
	}
	
	function get_id_detalle_orden_compra(){
		return ($this->id_detalle_orden_compra);
	}
	
	function get_cantidad(){
		return ($this->cantidad);
	}
	
	function get_extra1(){
		return ($this->extra1);
	}
	
	function get_extra2(){
		return ($this->extra2);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_detalle_recepcion($id_detalle_recepcion){
		$this->id_detalle_recepcion = $id_detalle_recepcion;
	}
	
	function set_id_recepcion($id_recepcion){
		$this->id_recepcion = $id_recepcion;
	}
	
	function set_id_detalle_orden_compra($id_detalle_orden_compra){
		$this->id_detalle_orden_compra = $id_detalle_orden_compra;
	}
	
	function set_cantidad($cantidad){
		$this->cantidad = $cantidad;
	}
	
	function set_extra1($extra1){
		$this->extra1 = $extra1;
	}
	
	function set_extra2($extra2){
		$this->extra2 = $extra2;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Detalle_recepcion_getListadoDetalle_recepcion($id=0){
		return Detalle_recepcion_Fachada::getListadoDetalle_recepcion($id);
	}
	
	function Detalle_recepcion_getDetalle_recepcion($id_detalle_recepcion){
		return Detalle_recepcion_Fachada::getDetalle_recepcion($id_detalle_recepcion);
	}
	
	function Detalle_recepcion_guardarDetalle_recepcion($objeto){
		return Detalle_recepcion_Fachada::guardarDetalle_recepcion($objeto);
	}
	
	function Detalle_recepcion_actualizarDetalle_recepcion($objeto){
		return Detalle_recepcion_Fachada::actualizarDetalle_recepcion($objeto);
	}
	
	function Detalle_recepcion_eliminarDetalle_recepcion($id_detalle_recepcion){
		return Detalle_recepcion_Fachada::eliminarDetalle_recepcion($id_detalle_recepcion);
	}
	
	
	
?>
