<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

class Devolucion_productos{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $id_devolucion;
	private $nro_devolucion;
	private $id_vale_venta;
	private $nro_documento;
	private $tipo_documento;
	private $fecha;
	private $motivo;
	private $estado;
	private $monto_diferencia;
	private $id_sucursal;
	private $ex3;
	private $ex4;
	private $ex5;
	private $ex6;

	var $nombre_estado;
	var $nombre_sucursal;
	
	//CONSTRUCTOR
	public function __construct ($Devolucion_productos_BD)
	{
	if ($Devolucion_productos_BD){
		$this->id_devolucion = $Devolucion_productos_BD->get_id_devolucion();
		$this->nro_devolucion = $Devolucion_productos_BD->get_nro_devolucion();
		$this->id_vale_venta = $Devolucion_productos_BD->get_id_vale_venta();
		$this->nro_documento = $Devolucion_productos_BD->get_nro_documento();
		$this->tipo_documento = $Devolucion_productos_BD->get_tipo_documento();
		$this->fecha = $Devolucion_productos_BD->get_fecha();
		$this->motivo = $Devolucion_productos_BD->get_motivo();
		$this->estado = $Devolucion_productos_BD->get_estado();
		$this->monto_diferencia = $Devolucion_productos_BD->get_monto_diferencia();
		$this->id_sucursal = $Devolucion_productos_BD->get_id_sucursal();
		$this->ex3 = $Devolucion_productos_BD->get_ex3();
		$this->ex4 = $Devolucion_productos_BD->get_ex4();
		$this->ex5 = $Devolucion_productos_BD->get_ex5();
		$this->ex6 = $Devolucion_productos_BD->get_ex6();
		
		switch ($this->estado) {
			case 0:	$this->nombre_estado = "Digitado";			break;
			case 1:	$this->nombre_estado = "Finalizado";		break;
		}

		$this->nombre_sucursal = $this->get_nombre_sucursal();
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_nombre_documento(){
		$doc = new Documento();
		$doc = Documento_getDocumento($this->tipo_documento);
		if ($doc) return $doc->nombre;
		return "-";
	} 

	function get_nombre_sucursal(){
		$suc = new Sucursal();
		$suc = Sucursal_getSucursal($this->id_sucursal);
		if ($suc) return $suc->descripcion;
		return "-";
	} 

	
	function get_nombre_estado(){
		return $this->nombre_estado;
	} 

//------------------------------------------------------------------------------

	public function get_id_devolucion(){
		return ($this->id_devolucion);
	}
	
	public function get_nro_devolucion(){
		return ($this->nro_devolucion);
	}
	
	public function get_id_vale_venta(){
		return ($this->id_vale_venta);
	}
	
	public function get_nro_documento(){
		return ($this->nro_documento);
	}
	
	public function get_tipo_documento(){
		return ($this->tipo_documento);
	}
	
	public function get_fecha(){
		return ($this->fecha);
	}
	
	public function get_motivo(){
		return ($this->motivo);
	}
	
	public function get_estado(){
		return ($this->estado);
	}
	
	public function get_monto_diferencia(){
		return ($this->monto_diferencia);
	}
	
	public function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	public function get_ex3(){
		return ($this->ex3);
	}
	
	public function get_ex4(){
		return ($this->ex4);
	}
	
	public function get_ex5(){
		return ($this->ex5);
	}
	
	public function get_ex6(){
		return ($this->ex6);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	public function set_id_devolucion($id_devolucion){
		$this->id_devolucion = $id_devolucion;
	}
	
	public function set_nro_devolucion($nro_devolucion){
		$this->nro_devolucion = $nro_devolucion;
	}
	
	public function set_id_vale_venta($id_vale_venta){
		$this->id_vale_venta = $id_vale_venta;
	}
	
	public function set_nro_documento($nro_documento){
		$this->nro_documento = $nro_documento;
	}
	
	public function set_tipo_documento($tipo_documento){
		$this->tipo_documento = $tipo_documento;
	}
	
	public function set_fecha($fecha){
		$this->fecha = $fecha;
	}
	
	public function set_motivo($motivo){
		$this->motivo = $motivo;
	}
	
	public function set_estado($estado){
		$this->estado = $estado;
	}
	
	public function set_monto_diferencia($monto_diferencia){
		$this->monto_diferencia = $monto_diferencia;
	}
	
	public function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	public function set_ex3($ex3){
		$this->ex3 = $ex3;
	}
	
	public function set_ex4($ex4){
		$this->ex4 = $ex4;
	}
	
	public function set_ex5($ex5){
		$this->ex5 = $ex5;
	}
	
	public function set_ex6($ex6){
		$this->ex6 = $ex6;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
