<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Empresa{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_empresa;
	var $rut;
	var $nombre;
	var $razon_social;
	var $giro;
	var $direccion;
	var $region;
	var $ciudad;
	var $pais;
	var $telefono;
	var $movil;
	var $fax;
	var $email;
	var $web;
	var $fecha_ingreso;
	var $estado;
	var $observacion;
	var $tipo_empresa;
	var $nombre_ciudad;

	//CONSTRUCTOR
	function Empresa ($rut, $nombre, $razon_social, $giro, $direccion, $region, $id_ciudad, $pais, $telefono, $movil, $fax, $email, $web, $fecha_ingreso, $estado, $observacion, $tipo_empresa, $id_empresa=0)
	{
		$this->id_empresa = $id_empresa;
		$this->rut = $rut;
		$this->nombre = $nombre;
		$this->razon_social = $razon_social;
		$this->giro = $giro;
		$this->direccion = $direccion;
		$this->region = $region;
		$this->ciudad = $id_ciudad;
		$this->pais = $pais;
		$this->telefono = $telefono;
		$this->movil = $movil;
		$this->fax = $fax;
		$this->email = $email;
		$this->web = $web;
		$this->fecha_ingreso = $fecha_ingreso;
		$this->estado = $estado;
		$this->observacion = $observacion;
		$this->tipo_empresa = $tipo_empresa;

		if($id_ciudad){
			$ciudad = Ciudad_getCiudad($id_ciudad);
			if ($ciudad) 
				$this->nombre_ciudad = $ciudad->get_nombre_ciudad(); 
		}
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_empresa(){
		return ($this->id_empresa);
	}
	
	function get_rut(){
		return ($this->rut);
	}
	
	function get_nombre(){
		return ($this->nombre);
	}
	
	function get_razon_social(){
		return ($this->razon_social);
	}
	
	function get_giro(){
		return ($this->giro);
	}
	
	function get_direccion(){
		return ($this->direccion);
	}
	
	function get_region(){
		return ($this->region);
	}
	
	function get_ciudad(){
		return ($this->ciudad);
	}
	
	function get_pais(){
		return ($this->pais);
	}
	
	function get_telefono(){
		return ($this->telefono);
	}
	
	function get_movil(){
		return ($this->movil);
	}
	
	function get_fax(){
		return ($this->fax);
	}
	
	function get_email(){
		return ($this->email);
	}
	
	function get_web(){
		return ($this->web);
	}
	
	function get_fecha_ingreso(){
		return ($this->fecha_ingreso);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_tipo_empresa(){
		return ($this->tipo_empresa);
	}
	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_empresa($id_empresa){
		$this->id_empresa = $id_empresa;
	}
	
	function set_rut($rut){
		$this->rut = $rut;
	}
	
	function set_nombre($nombre){
		$this->nombre = $nombre;
	}
	
	function set_razon_social($razon_social){
		$this->razon_social = $razon_social;
	}
	
	function set_giro($giro){
		$this->giro = $giro;
	}
	
	function set_direccion($direccion){
		$this->direccion = $direccion;
	}
	
	function set_region($region){
		$this->region = $region;
	}
	
	function set_ciudad($ciudad){
		$this->ciudad = $ciudad;
	}
	
	function set_pais($pais){
		$this->pais = $pais;
	}
	
	function set_telefono($telefono){
		$this->telefono = $telefono;
	}
	
	function set_movil($movil){
		$this->movil = $movil;
	}
	
	function set_fax($fax){
		$this->fax = $fax;
	}
	
	function set_email($email){
		$this->email = $email;
	}
	
	function set_web($web){
		$this->web = $web;
	}
	
	function set_fecha_ingreso($fecha_ingreso){
		$this->fecha_ingreso = $fecha_ingreso;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_tipo_empresa($tipo_empresa){
		$this->tipo_empresa = $tipo_empresa;
	}
	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Empresa_getListadoCliente(){
		return Empresa_Fachada::getListadoEmpresa(1);
	}
	
	function Empresa_getListadoProveedor(){
		return Empresa_Fachada::getListadoEmpresa(1);
	}
	
	function Empresa_getListadoProveedor_filtro($filtro,$extra){
		return Empresa_Fachada::getListadoEmpresa_filtro($filtro,$extra);
	}

	function Empresa_getListadoEmpresa($id=1){
		return Empresa_Fachada::getListadoEmpresa($id);
	}
	
	function Empresa_getEmpresa($id_empresa){
		return Empresa_Fachada::getEmpresa($id_empresa);
	}
	
	function Empresa_guardarEmpresa($objeto){
		return Empresa_Fachada::guardarEmpresa($objeto);
	}
	
	function Empresa_actualizarEmpresa($objeto){
		return Empresa_Fachada::actualizarEmpresa($objeto);
	}
	
	function Empresa_eliminarEmpresa($id_empresa){
		return Empresa_Fachada::eliminarEmpresa($id_empresa);
	}
	
	
	
?>
