<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------

class Guia_despacho{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_guia_despacho;
	var $id_sucursal;
	var $id_cliente_proveedor;
	var $fecha_documento;
	var $fecha_anulacion;
	var $fecha_recepcion_completa;
	var $fecha_ultima_modificacion;
	var $fecha_digitacion;
	var $atencion;
	var $subtotal;
	var $total_dcto;
	var $total_neto;
	var $total_exento;
	var $total_bruto;
	var $iva;
	var $estado;
	var $numero_referencia;
	var $id_usuario;
	var $observacion;
	var $nombre_sucursal;
	var $direccion_sucursal;
	var $nombre_cliente;
	var $fono_cliente;
	var $fax_proveedor;
	var $nombre_estado;
	var $nombre_comprador;
	var $nombre_numero_referencia;
	var $nro_guia;
	var $tipo;
	var $nombre_tipo; 
	var $clase;
	var $destino_traslado;
	var $comuna_destino;
	var $tipo_traslado;
	var $rut_trasnporte;
	var $patente_camion;
	var $facturar_a;
	var $pago_cliente;
	var $condicion_venta;
	var $id_venta;
	var $archivo;
	var $codigo_integracion;
	var $id_vendedor;
	var $link_pdf;
	var $clave_encriptacion;
	var $glosa1;
	var $glosa2;
	var $monto_venta;

	//CONSTRUCTOR
	function Guia_despacho ($id_sucursal, $id_cliente_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $numero_referencia, $id_usuario, $observacion, $nro_guia, $tipo, $clase, $destino_traslado, $comuna_destino, $tipo_traslado, $rut_trasnporte, $patente_camion, $facturar_a, $pago_cliente, $condicion_venta, $id_venta, $archivo, $id_vendedor, $glosa1, $glosa2, $id_guia_despacho=0)
	{
		$this->id_guia_despacho = $id_guia_despacho;
		$this->id_sucursal = $id_sucursal;
		$this->id_cliente_proveedor = $id_cliente_proveedor;
		$this->fecha_documento = $fecha_documento;
		$this->fecha_anulacion = $fecha_anulacion;
		$this->fecha_recepcion_completa = $fecha_recepcion_completa;
		$this->fecha_ultima_modificacion = $fecha_ultima_modificacion;
		$this->fecha_digitacion = $fecha_digitacion;
		$this->atencion = $atencion;
		$this->subtotal = $subtotal;
		$this->total_dcto = $total_dcto;
		$this->total_neto = $total_neto;
		$this->total_exento = $total_exento;
		$this->total_bruto = $total_bruto;
		$this->iva = $iva;
		$this->estado = $estado;
		$this->numero_referencia = $numero_referencia;
		$this->id_usuario = $id_usuario;
		$this->observacion = $observacion;
		$this->nro_guia = $nro_guia;
		$this->tipo = $tipo;
		$this->clase = $clase;
		$this->destino_traslado = $destino_traslado;
		$this->comuna_destino = $comuna_destino;
		$this->tipo_traslado = $tipo_traslado;
		$this->rut_trasnporte = $rut_trasnporte;
		$this->patente_camion = $patente_camion;
		$this->facturar_a = $facturar_a;
		$this->pago_cliente = $pago_cliente;
		$this->condicion_venta = $condicion_venta;
		$this->id_venta = $id_venta;
		$this->archivo = $archivo;
		$this->id_vendedor = $id_vendedor;
		$this->glosa1 = $glosa1;
		$this->glosa2 = $glosa2;
		

		$clog_vendedor = new Controlador_Logico_Vendedor();
		$vendedor = new Vendedor();		
		$vendedor = $clog_vendedor->getVendedor($this->id_vendedor);

		if ($vendedor)
		{
			$this->codigo_vendedor = $vendedor->get_codigo();
			$this->nombre_vendedor = $vendedor->get_nombre() . " " . $vendedor->get_apellido();
		}
		else
		{
			$this->codigo_vendedor = "99";
			$this->nombre_vendedor = "Vendedor no definido";
		}

		
		if ($this->id_guia_despacho)
			$this->monto = getMontoGuia_despacho($this->id_guia_despacho);
		else
			$this->monto = 0;

		if ($this->id_guia_despacho)
			$this->costo_guia = getCostoGuia_despacho($this->id_guia_despacho);
		else
			$this->costo_guia = 0;

		$this->saldo = $this->monto-$this->pago_cliente;
		if ($tipo == 1)
			$this->nombre_tipo = "Manual";
		if ($tipo == 0)
			$this->nombre_tipo = "Electrnica";

		if ($clase == 1)
			$this->nombre_clase = "Vale venta";

		if ($clase == 2)
			$this->nombre_clase = "Orden Compra";

		if ($clase == 3)
			$this->nombre_clase = "Bono";

		if ($clase == 4)
			$this->nombre_clase = "Sobre";

		$sucursal = new Sucursal();
		$sucursal = Sucursal_getSucursal($id_sucursal);
		if ($sucursal){
			$this->nombre_sucursal = $sucursal->get_descripcion();
			$this->direccion_sucursal = $sucursal->get_direccion();
			$this->codigo_integracion = $sucursal->get_codigo_integracion();
		
		}

		if ($this->facturar_a == 2)	// CLIENTE
		{
			$clog_Cliente_particular = new Controlador_Logico_Cliente_particular();
			$cliente_particular = $clog_Cliente_particular->getCliente_particular($this->id_cliente_proveedor); 

			if ($cliente_particular)
			{
				$this->nombre_cliente = $cliente_particular->get_nombre_completo();
				$this->direccion_cliente = $cliente_particular->get_direccion();
				$this->giro_cliente = $cliente_particular->get_giro();
				$this->rut_cliente = $cliente_particular->get_rut();
				$this->comuna_cliente = $cliente_particular->get_id_comuna();
				$this->ciudad_cliente = $cliente_particular->get_id_ciudad();
				$this->fono_cliente = $cliente_particular->get_fono_casa() . " - ". $cliente_particular->get_fono_trabajo();
	//			$this->fax_proveedor = $cliente_particular->get_fax();
				$this->nombre_cliente_empresa = $cliente_particular->get_nombre_cliente_empresa();
			}
		}

		if ($this->facturar_a == 1)	//EMPRESA
		{	
			$clog_cliente_proveedor = new Controlador_Logico_Cliente_proveedor();	
			$cliente_proveedor = $clog_cliente_proveedor->getCliente_proveedor($this->id_cliente_proveedor);

			if ($cliente_proveedor)
			{
				$this->nombre_cliente = $cliente_proveedor->get_razon_social();
				$this->direccion_cliente = $cliente_proveedor->get_direccion();
				$this->giro_cliente = $cliente_proveedor->get_giro();
				$this->rut_cliente = $cliente_proveedor->get_rut();
				$this->comuna_cliente = $cliente_proveedor->id_comuna;
				$this->ciudad_cliente = $cliente_proveedor->id_ciudad;
				$this->fono_cliente = $cliente_proveedor->get_telefono();
				$this->fax_proveedor = $cliente_proveedor->get_fax();	
				$this->nombre_cliente_empresa = $cliente_proveedor->razon_social;
				
			}
		}


		if ($this->clase == 1)  // VALE VENTA
		{
			$filtro_vale_venta["id_vale_venta"] = $this->numero_referencia;
			$listado_vale_venta = Vale_venta_getListadoVale_venta($filtro_vale_venta, $extra_vale_venta);
			if ($listado_vale_venta)
			{
				$this->fecha_docto_referencia = $listado_vale_venta[0]->fecha_emision;
				$this->monto_docto_referencia = $listado_vale_venta[0]->valor_neto;
			}
		}
		
		if ($this->clase == 2)  //ORDEN DE COMPRA
		{
			$filtro_vale_venta["orden_compra"] = $this->numero_referencia;
			$filtro_vale_venta["id_empresa"] = $this->id_cliente_proveedor;
			$listado_vale_venta = Vale_venta_getListadoVale_venta($filtro_vale_venta, $extra_vale_venta);
			if ($listado_vale_venta)
			{
				$this->fecha_docto_referencia = $listado_vale_venta[0]->fecha_orden_compra;
				$this->monto_docto_referencia = $listado_vale_venta[0]->monto_orden_compra;
			}
		}

		if ($this->clase == 3)  //BONO
		{
			$filtro_vale_venta["nro_bono"] = $this->numero_referencia;
//			$filtro_vale_venta["id_empresa"] = $this->id_cliente_proveedor;
			$listado_vale_venta = Vale_venta_getListadoVale_venta($filtro_vale_venta, $extra_vale_venta);
			if ($listado_vale_venta)
			{
				$this->fecha_docto_referencia = $listado_vale_venta[0]->fecha_bono;
				$this->monto_docto_referencia = $listado_vale_venta[0]->monto_bono;
				$this->nombre_salud = $listado_vale_venta[0]->nombre_salud;
				
			}
		}


		if ($this->condicion_venta == 1)
			$this->nombre_condicion_venta = "CONTADO";

		if ($this->condicion_venta == 2)
			$this->nombre_condicion_venta = "CREDITO30";

		if ($estado == 0) $this->nombre_estado = "DIGITADA";
		if ($estado == 1) $this->nombre_estado = "FINALIZADA";
		if ($estado == 2) $this->nombre_estado = "GUA ELECTRNICA";
		if ($estado == 3) $this->nombre_estado = "INCOMPLETA";
		if ($estado == 4) $this->nombre_estado = "COMPLETA";
		if ($estado == 5) $this->nombre_estado = "DESPACHADA";
		if ($estado == 6) $this->nombre_estado = "CANCELADA";
		if ($estado == 7) $this->nombre_estado = "ABONADA";
		if ($estado == 8) $this->nombre_estado = "FACTURADA";
		if ($estado == 9) $this->nombre_estado = "ANULADA";


		$usuario = new Usuario();
		$usuario = Usuario_getUsuario($id_usuario);
		if ($usuario){
			$this->nombre_comprador = $usuario->nombre . " " . $usuario->apellido;
		}
		
		$forma_pago = new Forma_pago();
		$forma_pago = Forma_pago_getForma_pago($numero_referencia);
		if ($forma_pago){
			$this->nombre_numero_referencia = $forma_pago->descripcion;
		}
		
		$clog_Ventas = new Controlador_Logico_Ventas();
		$venta = $clog_Ventas->getVentas($this->id_venta);

		if ($venta)
		{
			$this->numero_venta = $venta->numero_venta;
			$this->monto_venta = $venta->total+$venta->iva;
		}

		$this->monto_armazones = Guia_despacho_Monto_ArmazonesGuia_despacho($this->id_guia_despacho);
		$this->monto_cristales = Guia_despacho_Monto_CristalesGuia_despacho($this->id_guia_despacho);

		// LINK PDF


		$nro_random = rand(1,999999);
		$clog_Parametros = new Controlador_Logico_Parametros();
		$filtro_parametros["codigo"] = "KEY_ENCRIPTAR";
		$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
		if ($listado_parametros)
		{
			$key_encriptar = $listado_parametros[0]->value;
			$clog_Parametros = new Controlador_Logico_Parametros();
			$filtro_parametros["codigo"] = "LINKPDF";
			$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
			if ($listado_parametros)
			{
				$link_pdf = $listado_parametros[0]->value;
				$filtro_parametros["codigo"] = "IDEMPRESA";
				$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
				if ($listado_parametros)
				{
					$id_empresa = $listado_parametros[0]->value;
					$filtro_parametros["codigo"] = "RUTEMISORDTE";
					$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
					if ($listado_parametros)
					{
						$rut_empresa =$listado_parametros[0]->value; 
						$dte = "XGDVA".$this->nro_guia."52pdfV".$id_empresa."".$rut_empresa."".$nro_random;
						$dte_encriptado = rc4($key_encriptar, $dte);
						$this->link_pdf = $link_pdf.$dte_encriptado;
					}
				}
			}
		}

	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_guia_despacho(){
		return ($this->id_guia_despacho);
	}
	
	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	function get_id_cliente_proveedor(){
		return ($this->id_cliente_proveedor);
	}
	
	function get_fecha_documento(){
		return ($this->fecha_documento);
	}
	
	function get_fecha_anulacion(){
		return ($this->fecha_anulacion);
	}
	
	function get_fecha_recepcion_completa(){
		return ($this->fecha_recepcion_completa);
	}
	
	function get_fecha_ultima_modificacion(){
		return ($this->fecha_ultima_modificacion);
	}
	
	function get_fecha_digitacion(){
		return ($this->fecha_digitacion);
	}
	
	function get_atencion(){
		return ($this->atencion);
	}
	
	function get_subtotal(){
		return ($this->subtotal);
	}
	
	function get_total_dcto(){
		return ($this->total_dcto);
	}
	
	function get_total_neto(){
		return ($this->total_neto);
	}
	
	function get_total_exento(){
		return ($this->total_exento);
	}
	
	function get_total_bruto(){
		return ($this->total_bruto);
	}
	
	function get_iva(){
		return ($this->iva);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_numero_referencia(){
		return ($this->numero_referencia);
	}
	
	function get_id_usuario(){
		return ($this->id_usuario);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_nro_guia(){
		return ($this->nro_guia);
	}
	
	function get_tipo(){
		return ($this->tipo);
	}

	function get_clase(){
		return ($this->clase);
	}

	function get_destino_traslado(){
		return ($this->destino_traslado);
	}

	function get_comuna_destino(){
		return ($this->comuna_destino);
	}

	function get_tipo_traslado(){
		return ($this->tipo_traslado);
	}

	function get_rut_trasnporte(){
		return ($this->rut_trasnporte);
	}

	function get_patente_camion(){
		return ($this->patente_camion);
	}

	function get_facturar_a(){
		return ($this->facturar_a);
	}

	function get_pago_cliente(){
		return ($this->pago_cliente);
	}

	function get_condicion_venta(){
		return ($this->condicion_venta);
	}

	function get_id_venta(){
		return ($this->id_venta);
	}

	function get_archivo(){
		return ($this->archivo);
	}

	function get_id_vendedor(){
		return ($this->id_vendedor);
	}

	function get_glosa1(){
		return ($this->glosa1);
	}

	function get_glosa2(){
		return ($this->glosa2);
	}



//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_guia_despacho($id_guia_despacho){
		$this->id_guia_despacho = $id_guia_despacho;
	}
	
	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	function set_id_cliente_proveedor($id_cliente_proveedor){
		$this->id_cliente_proveedor = $id_cliente_proveedor;
	}
	
	function set_fecha_documento($fecha_documento){
		$this->fecha_documento = $fecha_documento;
	}
	
	function set_fecha_anulacion($fecha_anulacion){
		$this->fecha_anulacion = $fecha_anulacion;
	}
	
	function set_fecha_recepcion_completa($fecha_recepcion_completa){
		$this->fecha_recepcion_completa = $fecha_recepcion_completa;
	}
	
	function set_fecha_ultima_modificacion($fecha_ultima_modificacion){
		$this->fecha_ultima_modificacion = $fecha_ultima_modificacion;
	}
	
	function set_fecha_digitacion($fecha_digitacion){
		$this->fecha_digitacion = $fecha_digitacion;
	}
	
	function set_atencion($atencion){
		$this->atencion = $atencion;
	}
	
	function set_subtotal($subtotal){
		$this->subtotal = $subtotal;
	}
	
	function set_total_dcto($total_dcto){
		$this->total_dcto = $total_dcto;
	}
	
	function set_total_neto($total_neto){
		$this->total_neto = $total_neto;
	}
	
	function set_total_exento($total_exento){
		$this->total_exento = $total_exento;
	}
	
	function set_total_bruto($total_bruto){
		$this->total_bruto = $total_bruto;
	}
	
	function set_iva($iva){
		$this->iva = $iva;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_numero_referencia($numero_referencia){
		$this->numero_referencia = $numero_referencia;
	}
	
	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_nro_guia($nro_guia){
		$this->nro_guia = $nro_guia;
	}
	
	function set_tipo($tipo){
		$this->tipo = $tipo;
	}
	
	function set_clase($clase){
		$this->clase = $clase;
	}
	
	function set_destino_traslado($destino_traslado){
		$this->destino_traslado = $destino_traslado;
	}

	function set_comuna_destino($comuna_destino){
		$this->comuna_destino = $comuna_destino;
	}

	function set_tipo_traslado($tipo_traslado){
		$this->tipo_traslado = $tipo_traslado;
	}

	function set_rut_trasnporte($rut_trasnporte){
		$this->rut_trasnporte = $rut_trasnporte;
	}

	function set_patente_camion($patente_camion){
		$this->patente_camion = $patente_camion;
	}

	function set_facturar_a($facturar_a){
		$this->facturar_a = $facturar_a;
	}
	
	function set_pago_cliente($pago_cliente){
		$this->pago_cliente = $pago_cliente;
	}

	function set_condicion_venta($condicion_venta){
		$this->condicion_venta = $condicion_venta;
	}

	function set_id_venta($id_venta){
		$this->id_venta = $id_venta;
	}

	function set_archivo($archivo){
		$this->archivo = $archivo;
	}


	function set_id_vendedor($id_vendedor){
		$this->id_vendedor = $id_vendedor;
	}

	function set_glosa1($glosa1){
		$this->glosa1 = $glosa1;
	}

	function set_glosa2($glosa2){
		$this->glosa2 = $glosa2;
	}

	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Guia_despacho_getListadoGuia_despacho($id=0){
		return Guia_despacho_Fachada::getListadoGuia_despacho($id, "");
	}
	
	function Guia_despacho_getCantidadGuia_despacho($filtro){
		return Guia_despacho_Fachada::getCantidadGuia_despacho($filtro);
	}
	
	function Guia_despacho_getListadoGuia_despacho_filtro($filtro, $extra){
		return Guia_despacho_Fachada::getListadoGuia_despacho_filtro($filtro, $extra);
	}
	
	function Guia_despacho_getListadoGuia_despacho_enviadas($filtro, $extra){
		
		$id_guia_despacho = $filtro["oc.id_guia_despacho"];
		
		$extra["where"] = "
		AND oc.id_guia_despacho LIKE '$id_guia_despacho' 
		AND (oc.estado = '2' OR oc.estado = '3') 
		";
				
		return Guia_despacho_Fachada::getListadoGuia_despacho_filtro("", $extra);
	}
	
	function Guia_despacho_getlistadoGuia_despacho_pendientes($id){
		return Guia_despacho_Fachada::getListadoGuia_despacho($id, 2);
	}
	
	function Guia_despacho_getGuia_despacho($id_guia_despacho){
		return Guia_despacho_Fachada::getGuia_despacho($id_guia_despacho);
	}
	
	function Guia_despacho_guardarGuia_despacho($objeto){
		return Guia_despacho_Fachada::guardarGuia_despacho($objeto);
	}
	
	function Guia_despacho_actualizarGuia_despacho($objeto){
		return Guia_despacho_Fachada::actualizarGuia_despacho($objeto);
	}
	
	function Guia_despacho_eliminarGuia_despacho($id_guia_despacho){
		return Guia_despacho_Fachada::eliminarGuia_despacho($id_guia_despacho);
	}
	
	function Guia_despacho_getpago_clienteGuia_despacho($id=0){
		return Guia_despacho_Fachada::getpago_clienteGuia_despacho($id, "");
	}
	
	function getMontoGuia_despacho($id=0){
		return Guia_despacho_Fachada::getMontoGuia_despacho($id, "");
	}
	
	function getCostoGuia_despacho($id=0){
		return Guia_despacho_Fachada::getCostoGuia_despacho($id, "");
	}


	function Guia_despacho_Monto_ArmazonesGuia_despacho($id){
		return Guia_despacho_Fachada::Monto_ArmazonesGuia_despacho($id);
	}

	function Guia_despacho_Monto_CristalesGuia_despacho($id){
		return Guia_despacho_Fachada::Monto_CristalesGuia_despacho($id);
	}

?>
