<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------
if (!class_exists('Orden_compra_clientes')){
$extra_var = null;
	// ================= Atributos Extras Provenientes de otras tablas
	// $extra_var["nombre_var"] = "tabla_externa | atributo | id_interno | id_externo";
	$extra_var["nombre_comprador"] = "contacto | nombre_contacto | id_contacto | id_contacto";
	$extra_var["razon_social"] = "cont_cliente_proveedor | razon_social | id_cliente_proveedor | id_cliente_proveedor";
	$extra_var["nombre_empresa"] = "cont_cliente_proveedor | nombre | id_cliente_proveedor | id_cliente_proveedor";
	$extra_var["rut_empresa"] = "cont_cliente_proveedor | rut | id_cliente_proveedor | id_cliente_proveedor";
	$extra_var["nombre_sucursal"] = "sucursal | descripcion | id_sucursal | id_sucursal";
	$extra_var["nombre_usuario"] = "usuario | nombre | id_usuario | id_usuario";
	$extra_var["apellido_usuario"] = "usuario | apellido | id_usuario | id_usuario";
	$extra_var["nombre_cond_venta"] = "cond_venta | descripcion | id_cond_venta | id_forma_pago";
	

	// ================= Atributos Extras Provenientes de otras tablas
	$MAPEOS["ORDEN_COMPRA_CLIENTES"] = $extra_var;
	
class Orden_compra_clientes{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_orden_compra_cliente;
	var $tipo_occ;
	var $numero;
	var $fecha;
	var $monto;
	var $estado;
	var $id_cliente_proveedor;
	var $id_venta;
	var $id_guia_despacho;
	var $id_contacto;
	var $nombre_comprador;
	var $monto_utilizado;
	var $id_usuario;
	var $id_sucursal;
	var $fecha_digitacion;
	var $nombre_empresa;
	var $razon_social;
	var $rut_empresa;
	var $nombre_sucursal;
	var $nombre_usuario;
	var $apellido_usuario;
	var $saldo;
	var $archivo;
	var $id_cond_venta;
	var $nombre_cond_venta;
	// ================= Atributos Extras Provenientes de otras tablas
	// HERE
	// ================= Atributos Extras Provenientes de otras tablas
	
	//CONSTRUCTOR
	function Orden_compra_clientes($Orden_compra_clientes_arr)
	{
	if ($Orden_compra_clientes_arr){
		$this->id_orden_compra_cliente = $Orden_compra_clientes_arr["id_orden_compra_cliente"];
		$this->tipo_occ = $Orden_compra_clientes_arr["tipo_occ"];
		$this->numero = $Orden_compra_clientes_arr["numero"];
		$this->fecha = $Orden_compra_clientes_arr["fecha"];
		$this->monto = $Orden_compra_clientes_arr["monto"];
		$this->estado = $Orden_compra_clientes_arr["estado"];
		$this->id_cliente_proveedor = $Orden_compra_clientes_arr["id_cliente_proveedor"];
		$this->id_venta = $Orden_compra_clientes_arr["id_venta"];
		$this->id_guia_despacho = $Orden_compra_clientes_arr["id_guia_despacho"];
		$this->id_contacto = $Orden_compra_clientes_arr["id_contacto"];
		$this->nombre_comprador = $Orden_compra_clientes_arr["nombre_comprador"];
		$this->monto_utilizado = $Orden_compra_clientes_arr["monto_utilizado"];
		$this->monto_disponible = $this->monto-$this->monto_utilizado;
		$this->id_usuario = $Orden_compra_clientes_arr["id_usuario"];
		$this->id_sucursal = $Orden_compra_clientes_arr["id_sucursal"];
		$this->fecha_digitacion = $Orden_compra_clientes_arr["fecha_digitacion"];
		$this->nombre_empresa = $Orden_compra_clientes_arr["nombre_empresa"];
		$this->razon_social = $Orden_compra_clientes_arr["razon_social"];
		$this->rut_empresa = $Orden_compra_clientes_arr["rut_empresa"];
		$this->nombre_sucursal = $Orden_compra_clientes_arr["nombre_sucursal"];
		$this->archivo = $Orden_compra_clientes_arr["archivo"];
		$this->id_cond_venta = $Orden_compra_clientes_arr["id_cond_venta"];
		$this->nombre_cond_venta = $Orden_compra_clientes_arr["nombre_cond_venta"];
		
		$this->nombre_completo_usuario = $Orden_compra_clientes_arr["nombre_usuario"]." ".$Orden_compra_clientes_arr["apellido_usuario"] ;
		
		$this->saldo = $this->monto-$this->monto_utilizado;
		$vale_venta = Vale_venta_getVale_venta($this->tipo_occ);
		if ($vale_venta)
		{

			$this->nombre_empresa = $vale_venta->nombre_empresa;
			$id_guia_despacho = $vale_venta->seleccionado;
			$this->nro_guia_despacho = $vale_venta->id_guia_despacho;
			if($id_guia_despacho)
			{
				$guia_despacho = Guia_despacho_getGuia_despacho($id_guia_despacho);
				if ($guia_despacho)
				{
					$id_venta = $guia_despacho->id_venta;
					if ($id_venta)
					{
						$clog_Ventas = new Controlador_Logico_Ventas();	
						$ventas = $clog_Ventas->getVentas($id_venta);
						if ($ventas)
							$this->nro_factura = $ventas->numero_venta;
					}
				}
			}
		}

		if ($this->estado == 1)
			$this->nombre_estado = "Digitada";
		
		if ($this->estado == 2)
			$this->nombre_estado = "Facturada";

		if ($this->estado == 3)
			$this->nombre_estado = "Gua Generada";

		if ($this->estado == 4)
			$this->nombre_estado = "Sin saldo";

		if ($this->estado == 9)
			$this->nombre_estado = "Anulada";

		switch ($this->tipo_occ)
		{
			case "1": $this->nombre_tipo_occ = "Calzada";$this->subcarpeta="calzada";break;
			case "2": $this->nombre_tipo_occ = "Abierta";$this->subcarpeta="abierta";break;
			case "3": $this->nombre_tipo_occ = "Carta autorizacin abierta";$this->subcarpeta="carta_calzada";break;
			case "4": $this->nombre_tipo_occ = "Carta autorizacin calzada";$this->subcarpeta="carta_abierta";break;
		}
		
	//Atributos Extras Provenientes de otras tablas
	// HERE
	//Atributos Extras Provenientes de otras tablas
	}
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------
	function  display(){
		$permisos 	= "123456789012345678901234567";
	//$permisos 	= "";
	$formato	= "";
	$titulo		= "Detalles";
	return (mostrar_detalles_objeto($this, $permisos, $formato, $nombres, $titulo));
	}
	
	
	function get_id_orden_compra_cliente(){
		return ($this->id_orden_compra_cliente);
	}
	
	function get_tipo_occ(){
		return ($this->tipo_occ);
	}
	
	function get_numero(){
		return ($this->numero);
	}
	
	function get_fecha(){
		return ($this->fecha);
	}
	
	function get_monto(){
		return ($this->monto);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_id_cliente_proveedor(){
		return ($this->id_cliente_proveedor);
	}
	
	function get_id_venta(){
		return ($this->id_venta);
	}
	
	function get_id_guia_despacho(){
		return ($this->id_guia_despacho);
	}
	
	function get_id_contacto(){
		return ($this->id_contacto);
	}

	function get_monto_utilizado(){
		return ($this->monto_utilizado);
	}
	
	function get_id_usuario(){
		return ($this->id_usuario);
	}

	function get_id_sucursal(){
		return ($this->id_sucursal);
	}
	
	function get_fecha_digitacion(){
		return ($this->fecha_digitacion);
	}

	function get_archivo(){
		return ($this->archivo);
	}

	function get_id_cond_venta(){
		return ($this->id_cond_venta);
	}

	

//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_orden_compra_cliente($id_orden_compra_cliente){
		$this->id_orden_compra_cliente = $id_orden_compra_cliente;
	}
	
	function set_tipo_occ($tipo_occ){
		$this->tipo_occ = $tipo_occ;
	}
	
	function set_numero($numero){
		$this->numero = $numero;
	}
	
	function set_fecha($fecha){
		$this->fecha = $fecha;
	}
	
	function set_monto($monto){
		$this->monto = $monto;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_id_cliente_proveedor($id_cliente_proveedor){
		$this->id_cliente_proveedor = $id_cliente_proveedor;
	}
	
	function set_id_venta($id_venta){
		$this->id_venta = $id_venta;
	}
	
	function set_id_guia_despacho($id_guia_despacho){
		$this->id_guia_despacho = $id_guia_despacho;
	}
	
	function set_id_contacto($id_contacto){
		$this->id_contacto = $id_contacto;
	}
	
	function set_monto_utilizado($monto_utilizado){
		$this->monto_utilizado = $monto_utilizado;
	}

	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}

	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}

	function set_fecha_digitacion($fecha_digitacion){
		$this->fecha_digitacion = $fecha_digitacion;
	}

	function set_archivo($archivo){
		$this->archivo = $archivo;
	}

	function set_id_cond_venta($id_cond_venta){
		$this->id_cond_venta = $id_cond_venta;
	}


	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

?>
