<?

//------------------------------------------------------------------------------
	//	CLASE
//------------------------------------------------------------------------------
$extra_var = null;
	// ================= Atributos Extras Provenientes de otras tablas
	 $extra_var["id_sucursal"] = "vale_venta | id_sucursal | id_vale_venta | id_vale_venta";
	// ================= Atributos Extras Provenientes de otras tablas
	$MAPEOS["PAGO"] = $extra_var;

class Pago{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_pago;
	var $monto;
	var $fecha;
	var $id_tipo_comprobante;
	var $id_vale_venta;
	var $observacion;
	var $medio_pago;
	// MSK 1208
	var $nro_documento;
	var $tipo_documento;
	var $estado_pago;
	var $fecha_anulacion;
	var $id_usuario;
	var $nombre_tipo_comprobante;
	var $nombre_medio_pago;
	var $nombre_sucursal;
	var $nombre_vendedor;
	var $id_sucursal;
	var $id_usuario_anulacion;
	var $fecha_corta;
	var $fecha_anulacion_corta;
	var $comentario;
	var $bloqueado;
	var $nombre_usuario;
	var $id_venta;
	var $nombre_estado_pago;
	var $nombre_paciente;
	var $rut_paciente;
		var $nombre_empresa;

	//CONSTRUCTOR
	function Pago ($monto, $fecha, $id_tipo_comprobante, $id_vale_venta, $observacion, $medio_pago, $nro_documento, $tipo_documento, $estado_pago, $fecha_anulacion, $id_usuario, $id_sucursal, $id_usuario_anulacion, $fecha_corta, $comentario, $bloqueado, $id_venta, $id_pago=0)
	{
		$this->id_pago = $id_pago;
		$this->monto = $monto;
		$this->fecha = $fecha;
		$this->id_tipo_comprobante = $id_tipo_comprobante;
		$this->id_vale_venta = $id_vale_venta;
		$this->observacion = $observacion;
		$this->medio_pago = $medio_pago;
		$this->nro_documento = $nro_documento;
		$this->tipo_documento = $tipo_documento;
		$this->estado_pago = $estado_pago;
		$this->fecha_anulacion = $fecha_anulacion;
		$this->id_usuario = $id_usuario;
		$this->id_sucursal = $id_sucursal;
		$this->id_usuario_anulacion = $id_usuario_anulacion;
		$this->fecha_corta = $fecha_corta;
		$this->comentario = $comentario;
		$this->bloqueado = $bloqueado;
		$this->nombre_usuario = $nombre_usuario;
		$this->id_venta = $id_venta;
	
		if ($this->estado_pago == 0)
			$this->nombre_estado_pago = "OK";
		
		if ($this->estado_pago == 1)
			$this->nombre_estado_pago = "NULO";


		$this->fecha_anulacion_corta = substr($fecha_anulacion,0,8);
		$usuario = Usuario_getUsuario($this->id_usuario);
		if ($usuario)
			$this->nombre_usuario = $usuario->nombre. " ". $usuario->apellido;


		$forma_pago = Forma_pago_getForma_pago($medio_pago);
		if ($forma_pago)
			$this->nombre_medio_pago = $forma_pago->descripcion;

		$vv = Vale_venta_getVale_venta($id_vale_venta);
		if ($vv)
		{

			$this->nombre_vendedor = $vv->nombre_vendedor;
			$this->nombre_corto_vendedor = $vv->nombre_corto_vendedor;
			$id_vendedor = $vv->id_vendedor;
			$this->nombre_estado_pago_vale_venta = $vv->nombre_estado_pago;
			$this->fecha_vale_venta = $vv->fecha_emision;
			$this->nombre_paciente = $vv->nombre_paciente;
			$this->rut_paciente = $vv->rut_paciente;
			$this->nombre_empresa = $vv->nombre_empresa;

			$this->rut_empresa = $vv->rut_empresa;
			$this->nombre_cliente = $vv->nombre_cliente;
			$this->rut_cliente = $vv->rut_cliente;
		}


		$sucursal = Sucursal_getSucursal($this->id_sucursal);
		if ($sucursal)
			$this->nombre_sucursal = $sucursal->descripcion;
		if ($this->tipo_documento == 1)
			$this->nombre_tipo_documento = "Boleta manual";

		if ($this->tipo_documento == 7)
		{
			$this->nombre_tipo_documento = "Boleta Electrnica";
			if ($this->nro_documento <> 0)
			{
				$clog_Ventas = new Controlador_Logico_Ventas();
				$filtro_ventas["tipo"] = 7;
				$filtro_ventas["numero_venta"] = $this->nro_documento;
				$listado_ventas = $clog_Ventas->getListadoVentas($filtro_ventas, $extra_ventas);
				if ($listado_ventas)
					$this->link_pdf = $listado_ventas[0]->link_pdf;
			}
		}

		if ($this->tipo_documento == 2)
			$this->nombre_tipo_documento = "Gua Despacho";

		if ($this->tipo_documento == 4)
			$this->nombre_tipo_documento = "Comprobante pago";

		if ($this->tipo_documento == 5)
			$this->nombre_tipo_documento = "Comprobante de egreso";

		if ($this->tipo_documento == 8)
			$this->nombre_tipo_documento = "Boleta de reemplazo";

		$tipo_comprobante = Tipos_comprobantes_getTipos_comprobantes($this->id_tipo_comprobante);
		if ($tipo_comprobante)
			$this->nombre_tipo_comprobante = $tipo_comprobante->descripcion;

//		$monto_bonos = Vale_venta_Monto_BonosVale_venta($this->id_vale_venta);
//		$monto_oc = Vale_venta_Monto_OCVale_venta($this->id_vale_venta);
//		$monto_pagado = $this->monto+$monto_bonos+$monto_oc;

		// Calcular comisin vendedor si pago no es nulo
//		$clog_Comisiones_porcentajes = new Controlador_Logico_Comisiones_porcentajes();
//		$monto_pagado = round($this->monto/1.19);
//		if ($this->estado_pago <> 1)
//		{
//			$filtro["id_vale_venta"] = $this->id_vale_venta;
////			$extra["order"] = "f.prioridad ASC";
//			$listado_detalle_vale_venta = Detalle_vale_venta_getListadoDetalle_vale_venta($filtro,$extra);
//			foreach ($listado_detalle_vale_venta as $detalle_vale_venta)
//			{
//				$filtro_comisiones_porcentajes["id_vendedor"] = $id_vendedor;
//				$filtro_comisiones_porcentajes["id_familia"] = $detalle_vale_venta->id_familia;
//				$listado_comisiones_porcentajes = $clog_Comisiones_porcentajes->getListadoComisiones_porcentajes($filtro_comisiones_porcentajes, $extra_comisiones_porcentajes);
//				if ($listado_comisiones_porcentajes)
//				{
//					$porcentaje_comision = $listado_comisiones_porcentajes[0]->porcentaje;
//
//				}
//				else
//					$porcentaje_comision = 0;
//
//
//				$monto_comision = 0;
//				$monto_item = $detalle_vale_venta->cantidad*$detalle_vale_venta->total-round($detalle_vale_venta->total*$detalle_vale_venta->descuento/100);
//
//				if ($monto_pagado >= $monto_item)
//				{
//					$monto_comision = round($porcentaje_comision/100*$monto_item);
//					$suma_comision = $suma_comision + $monto_comision;
//					$monto_pagado = $monto_pagado - $monto_item;
//				}
//				else
//				{
//					$monto_comision = round($porcentaje_comision/100*$monto_pagado);
//					$suma_comision = $suma_comision + $monto_comision;
//					$monto_pagado = 0;
//				}
//			}
//		}

		


		$this->comision_vendedor = $suma_comision;

	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_pago(){
		return ($this->id_pago);
	}
	
	function get_monto(){
		return ($this->monto);
	}
	
	function get_monto_neto(){
		return round($this->monto/1.19);
	}

	function get_fecha(){
		return ($this->fecha);
	}
	
	function get_id_tipo_comprobante(){
		return ($this->id_tipo_comprobante);
	}
	
	function get_id_vale_venta(){
		return ($this->id_vale_venta);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_medio_pago(){
		return ($this->medio_pago);
	}
	
	function get_nro_documento(){
		return ($this->nro_documento);
	}
	
	function get_tipo_documento(){
		return ($this->tipo_documento);
	}

	function get_estado_pago(){
		return ($this->estado_pago);
	}
	function get_fecha_anulacion(){
		return ($this->fecha_anulacion);
	}

	function get_id_usuario(){
		return ($this->id_usuario);
	}

	function get_id_sucursal(){
		return ($this->id_sucursal);
	}

	function get_id_usuario_anulacion(){
		return ($this->id_usuario_anulacion);
	}
	

	function get_fecha_corta(){
		return ($this->fecha_corta);
	}

	function get_comentario(){
		return ($this->comentario);
	}


	function get_bloqueado(){
		return ($this->bloqueado);
	}

	function get_id_venta(){
		return ($this->id_venta);
	}

	
	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_pago($id_pago){
		$this->id_pago = $id_pago;
	}
	
	function set_monto($monto){
		$this->monto = $monto;
	}
	
	function set_fecha($fecha){
		$this->fecha = $fecha;
	}
	
	function set_id_tipo_comprobante($id_tipo_comprobante){
		$this->id_tipo_comprobante = $id_tipo_comprobante;
	}
	
	function set_id_vale_venta($id_vale_venta){
		$this->id_vale_venta = $id_vale_venta;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_medio_pago($medio_pago){
		$this->medio_pago = $medio_pago;
	}
	
	function set_nro_documento($nro_documento){
		$this->nro_documento = $nro_documento;
	}
	
	function set_tipo_documento($tipo_documento){
		$this->tipo_documento = $tipo_documento;
	}
	

	function set_estado_pago($estado_pago){
		$this->estado_pago = $estado_pago;
	}
	
	function set_fecha_anulacion($fecha_anulacion){
		$this->fecha_anulacion = $fecha_anulacion;
	}

	function set_id_usuario($id_usuario){
		$this->id_usuario = $id_usuario;
	}

	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}

	function set_id_usuario_anulacion($id_usuario_anulacion){
		$this->id_usuario_anulacion = $id_usuario_anulacion;
	}

	function set_fecha_corta($fecha_corta){
		$this->fecha_corta = $fecha_corta;
	}
	
	function set_comentario($comentario){
		$this->comentario = $comentario;
	}
	
	function set_bloqueado($bloqueado){
		$this->bloqueado = $bloqueado;
	}

	function set_id_venta($id_venta){
		$this->id_venta = $id_venta;
	}

	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Pago_getListadoPago($filtro,$extra){
		return Pago_Fachada::getListadoPago($filtro,$extra);
	}
	
	function Pago_getListadoPago_suma($filtro,$extra){
		return Pago_Fachada::getListadoPago_suma($filtro,$extra);
	}

	function Pago_getPago($id_pago){
		return Pago_Fachada::getPago($id_pago);
	}
	
	function Pago_guardarPago($objeto){
		return Pago_Fachada::guardarPago($objeto);
	}
	
	function Pago_actualizarPago($objeto){
		return Pago_Fachada::actualizarPago($objeto);
	}
	
	function Pago_eliminarPago($id_pago){
		return Pago_Fachada::eliminarPago($id_pago);
	}
	
	function Pago_getCantidadPago($filtro){
		return Pago_Fachada::getCantidadPago($filtro);
	}
	

	function Pago_getComisionVendedor($filtro){
		return Pago_Fachada::getComisionVendedor($filtro);
	}

?>
