<?

//------------------------------------------------------------------------------
//	CLASE LOGICA
//------------------------------------------------------------------------------

class Presupuesto_por_item_gasto{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $id_presupuesto_por_item_gasto;
	private $id_presupuesto_por_centro_costo;
	private $id_item_gasto;
	private $ene_pre;
	private $ene_real;
	private $feb_pre;
	private $feb_real;
	private $mar_pre;
	private $mar_real;
	private $abr_pre;
	private $abr_real;
	private $may_pre;
	private $may_real;
	private $jun_pre;
	private $jun_real;
	private $jul_pre;
	private $jul_real;
	private $ago_pre;
	private $ago_real;
	private $sep_pre;
	private $sep_real;
	private $oct_pre;
	private $oct_real;
	private $nov_pre;
	private $nov_real;
	private $dic_pre;
	private $dic_real;
	private $sum_valor_presupuestado;
	private $sum_valor_real;
	private $extra1;
	private $extra2;
	private $extra3;
	private $extra4;
	private $extra5;
	private $extra6;
	
	
	
	private $nombre_item_gasto;

	//CONSTRUCTOR
	public function __construct ($Presupuesto_por_item_gasto_BD)
	{
		if ($Presupuesto_por_item_gasto_BD){
			$this->id_presupuesto_por_item_gasto = $Presupuesto_por_item_gasto_BD->get_id_presupuesto_por_item_gasto();
			$this->id_presupuesto_por_centro_costo = $Presupuesto_por_item_gasto_BD->get_id_presupuesto_por_centro_costo();
			$this->id_item_gasto = $Presupuesto_por_item_gasto_BD->get_id_item_gasto();
			$this->ene_pre = $Presupuesto_por_item_gasto_BD->get_ene_pre();
			$this->ene_real = $Presupuesto_por_item_gasto_BD->get_ene_real();
			$this->feb_pre = $Presupuesto_por_item_gasto_BD->get_feb_pre();
			$this->feb_real = $Presupuesto_por_item_gasto_BD->get_feb_real();
			$this->mar_pre = $Presupuesto_por_item_gasto_BD->get_mar_pre();
			$this->mar_real = $Presupuesto_por_item_gasto_BD->get_mar_real();
			$this->abr_pre = $Presupuesto_por_item_gasto_BD->get_abr_pre();
			$this->abr_real = $Presupuesto_por_item_gasto_BD->get_abr_real();
			$this->may_pre = $Presupuesto_por_item_gasto_BD->get_may_pre();
			$this->may_real = $Presupuesto_por_item_gasto_BD->get_may_real();
			$this->jun_pre = $Presupuesto_por_item_gasto_BD->get_jun_pre();
			$this->jun_real = $Presupuesto_por_item_gasto_BD->get_jun_real();
			$this->jul_pre = $Presupuesto_por_item_gasto_BD->get_jul_pre();
			$this->jul_real = $Presupuesto_por_item_gasto_BD->get_jul_real();
			$this->ago_pre = $Presupuesto_por_item_gasto_BD->get_ago_pre();
			$this->ago_real = $Presupuesto_por_item_gasto_BD->get_ago_real();
			$this->sep_pre = $Presupuesto_por_item_gasto_BD->get_sep_pre();
			$this->sep_real = $Presupuesto_por_item_gasto_BD->get_sep_real();
			$this->oct_pre = $Presupuesto_por_item_gasto_BD->get_oct_pre();
			$this->oct_real = $Presupuesto_por_item_gasto_BD->get_oct_real();
			$this->nov_pre = $Presupuesto_por_item_gasto_BD->get_nov_pre();
			$this->nov_real = $Presupuesto_por_item_gasto_BD->get_nov_real();
			$this->dic_pre = $Presupuesto_por_item_gasto_BD->get_dic_pre();
			$this->dic_real = $Presupuesto_por_item_gasto_BD->get_dic_real();
			
			//$this->sum_valor_presupuestado = $Presupuesto_por_item_gasto_BD->get_sum_valor_presupuestado();
			$this->sum_valor_presupuestado = $this->ene_pre + $this->feb_pre + $this->mar_pre + $this->abr_pre + $this->may_pre + $this->jun_pre + $this->jul_pre + $this->ago_pre + $this->sep_pre + $this->oct_pre  + $this->nov_pre + $this->dic_pre;
			$this->sum_valor_real = $this->ene_real + $this->feb_real + $this->mar_real + $this->abr_real + $this->may_real + $this->jun_real + $this->jul_real + $this->ago_real + $this->sep_real + $this->oct_real  + $this->nov_real + $this->dic_real;
			
			$this->extra1 = $Presupuesto_por_item_gasto_BD->get_extra1();
			$this->extra2 = $Presupuesto_por_item_gasto_BD->get_extra2();
			$this->extra3 = $Presupuesto_por_item_gasto_BD->get_extra3();
			$this->extra4 = $Presupuesto_por_item_gasto_BD->get_extra4();
			$this->extra5 = $Presupuesto_por_item_gasto_BD->get_extra5();
			$this->extra6 = $Presupuesto_por_item_gasto_BD->get_extra6();
			
		 	$item_gasto = Cuenta_getCuenta($this->id_item_gasto);
		 	if ($item_gasto){
		 		$this->nombre_item_gasto = $item_gasto->get_nombre();
		 	}
		}
	}

	//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
	//------------------------------------------------------------------------------
	public function get_nombre_item_gasto(){
		return ($this->nombre_item_gasto);
	}
	
	public function get_id_presupuesto_por_item_gasto(){
		return ($this->id_presupuesto_por_item_gasto);
	}

	public function get_id_presupuesto_por_centro_costo(){
		return ($this->id_presupuesto_por_centro_costo);
	}

	public function get_id_item_gasto(){
		return ($this->id_item_gasto);
	}

	public function get_ene_pre(){
		return ($this->ene_pre);
	}

	public function get_ene_real(){
		return ($this->ene_real);
	}

	public function get_feb_pre(){
		return ($this->feb_pre);
	}

	public function get_feb_real(){
		return ($this->feb_real);
	}

	public function get_mar_pre(){
		return ($this->mar_pre);
	}

	public function get_mar_real(){
		return ($this->mar_real);
	}

	public function get_abr_pre(){
		return ($this->abr_pre);
	}

	public function get_abr_real(){
		return ($this->abr_real);
	}

	public function get_may_pre(){
		return ($this->may_pre);
	}

	public function get_may_real(){
		return ($this->may_real);
	}

	public function get_jun_pre(){
		return ($this->jun_pre);
	}

	public function get_jun_real(){
		return ($this->jun_real);
	}

	public function get_jul_pre(){
		return ($this->jul_pre);
	}

	public function get_jul_real(){
		return ($this->jul_real);
	}

	public function get_ago_pre(){
		return ($this->ago_pre);
	}

	public function get_ago_real(){
		return ($this->ago_real);
	}

	public function get_sep_pre(){
		return ($this->sep_pre);
	}

	public function get_sep_real(){
		return ($this->sep_real);
	}

	public function get_oct_pre(){
		return ($this->oct_pre);
	}

	public function get_oct_real(){
		return ($this->oct_real);
	}

	public function get_nov_pre(){
		return ($this->nov_pre);
	}

	public function get_nov_real(){
		return ($this->nov_real);
	}

	public function get_dic_pre(){
		return ($this->dic_pre);
	}

	public function get_dic_real(){
		return ($this->dic_real);
	}

	public function get_sum_valor_presupuestado(){
		return ($this->sum_valor_presupuestado);
	}

	public function get_sum_valor_real(){
		return ($this->sum_valor_real);
	}

	public function get_extra1(){
		return ($this->extra1);
	}

	public function get_extra2(){
		return ($this->extra2);
	}

	public function get_extra3(){
		return ($this->extra3);
	}

	public function get_extra4(){
		return ($this->extra4);
	}

	public function get_extra5(){
		return ($this->extra5);
	}

	public function get_extra6(){
		return ($this->extra6);
	}


	//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
	//------------------------------------------------------------------------------

	public function set_id_presupuesto_por_item_gasto($id_presupuesto_por_item_gasto){
		$this->id_presupuesto_por_item_gasto = $id_presupuesto_por_item_gasto;
	}

	public function set_id_presupuesto_por_centro_costo($id_presupuesto_por_centro_costo){
		$this->id_presupuesto_por_centro_costo = $id_presupuesto_por_centro_costo;
	}

	public function set_id_item_gasto($id_item_gasto){
		$this->id_item_gasto = $id_item_gasto;
	}

	public function set_ene_pre($ene_pre){
		$this->ene_pre = $ene_pre;
	}

	public function set_ene_real($ene_real){
		$this->ene_real = $ene_real;
	}

	public function set_feb_pre($feb_pre){
		$this->feb_pre = $feb_pre;
	}

	public function set_feb_real($feb_real){
		$this->feb_real = $feb_real;
	}

	public function set_mar_pre($mar_pre){
		$this->mar_pre = $mar_pre;
	}

	public function set_mar_real($mar_real){
		$this->mar_real = $mar_real;
	}

	public function set_abr_pre($abr_pre){
		$this->abr_pre = $abr_pre;
	}

	public function set_abr_real($abr_real){
		$this->abr_real = $abr_real;
	}

	public function set_may_pre($may_pre){
		$this->may_pre = $may_pre;
	}

	public function set_may_real($may_real){
		$this->may_real = $may_real;
	}

	public function set_jun_pre($jun_pre){
		$this->jun_pre = $jun_pre;
	}

	public function set_jun_real($jun_real){
		$this->jun_real = $jun_real;
	}

	public function set_jul_pre($jul_pre){
		$this->jul_pre = $jul_pre;
	}

	public function set_jul_real($jul_real){
		$this->jul_real = $jul_real;
	}

	public function set_ago_pre($ago_pre){
		$this->ago_pre = $ago_pre;
	}

	public function set_ago_real($ago_real){
		$this->ago_real = $ago_real;
	}

	public function set_sep_pre($sep_pre){
		$this->sep_pre = $sep_pre;
	}

	public function set_sep_real($sep_real){
		$this->sep_real = $sep_real;
	}

	public function set_oct_pre($oct_pre){
		$this->oct_pre = $oct_pre;
	}

	public function set_oct_real($oct_real){
		$this->oct_real = $oct_real;
	}

	public function set_nov_pre($nov_pre){
		$this->nov_pre = $nov_pre;
	}

	public function set_nov_real($nov_real){
		$this->nov_real = $nov_real;
	}

	public function set_dic_pre($dic_pre){
		$this->dic_pre = $dic_pre;
	}

	public function set_dic_real($dic_real){
		$this->dic_real = $dic_real;
	}

	public function set_sum_valor_presupuestado($sum_valor_presupuestado){
		$this->sum_valor_presupuestado = $sum_valor_presupuestado;
	}

	public function set_sum_valor_real($sum_valor_real){
		$this->sum_valor_real = $sum_valor_real;
	}

	public function set_extra1($extra1){
		$this->extra1 = $extra1;
	}

	public function set_extra2($extra2){
		$this->extra2 = $extra2;
	}

	public function set_extra3($extra3){
		$this->extra3 = $extra3;
	}

	public function set_extra4($extra4){
		$this->extra4 = $extra4;
	}

	public function set_extra5($extra5){
		$this->extra5 = $extra5;
	}

	public function set_extra6($extra6){
		$this->extra6 = $extra6;
	}



}
//------------------------------------------------------------------------------
//	FIN CLASE
//------------------------------------------------------------------------------

?>
