<?

//------------------------------------------------------------------------------
	//	CLASE LOGICA
//------------------------------------------------------------------------------

$extra_var = null;
	// ================= Atributos Extras Provenientes de otras tablas
	// $extra_var["nombre_var"] = "tabla_externa | atributo | id_interno | id_externo";
	$extra_var["nombre_familia"] 		= "familia|descripcion|id_familia";
	$extra_var["permitir_mas_descuento"] 		= "familia|permitir_mas_descuento|id_familia";
	$extra_var["nombre_subfamilia"] 	= "subfamilia|descripcion|id_subfamilia";
	$extra_var["es_cristal"] 		= "subfamilia|es_cristal|id_subfamilia";
	$extra_var["extra1"] 			= "subfamilia|extra1|id_subfamilia";
	$extra_var["requiere_ot"] 		= "subfamilia|requiere_ot|id_subfamilia";
	$extra_var["codigo_unidad"] 		= "unidad|codigo_unidad|id_unidad";
	// ================= Atributos Extras Provenientes de otras tablas
	$MAPEOS["PRODUCTO"] = $extra_var;
	
class Producto{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_producto;
	var $codigo_antiguo;
	var $codigo_barra;
	var $id_familia;
	var $id_subfamilia;
	var $descripcion;
	var $id_unidad;
	var $etiqueta;
	var $estado;
	var $observacion;
	var $precio;
	var $precio2;
	var $precio3;
	var $cristal;
	var $extra3;
	var $descuento;
	var $descuento2;
	var $descuento3;
	var $id_proveedor;
	var $precio_particular;
	var $descuento_particular;
	var $precio_distribuidor;
	var $descuento_distribuidor;
	var $ult_fecha_recepcion;
	var $ex6;
	var $nombre_familia;
	var $nombre_subfamilia;
	var $codigo_unidad;
	var $nombre_proveedor;
	var $requiere_ot;
	var $extra1;
	var $nombre_precio_distribuidor;
	var $permitir_mas_descuento;
	var $vigente;
	var $ultimo_precio_compra;
	var $nro_orden_compra;
	var $tracking;
	// ================= Atributos Extras Provenientes de otras tablas
	// HERE
	// ================= Atributos Extras Provenientes de otras tablas
	
	//CONSTRUCTOR
	function Producto($Producto_arr)
	{
		if ($Producto_arr){
			$this->id_producto = $Producto_arr["id_producto"];
			$this->codigo_antiguo = $Producto_arr["codigo_antiguo"];
			$this->codigo_barra = $Producto_arr["codigo_barra"];
			$this->id_familia = $Producto_arr["id_familia"];
			$this->id_subfamilia = $Producto_arr["id_subfamilia"];
			$this->descripcion = strtoupper($Producto_arr["descripcion"]);
			$this->id_unidad = $Producto_arr["id_unidad"];
			$this->etiqueta = $Producto_arr["etiqueta"];
			$this->estado = $Producto_arr["estado"];
			$this->observacion = $Producto_arr["observacion"];
			$this->precio = $Producto_arr["precio"];
			$this->precio_bruto = round($Producto_arr["precio"]*1.19);
			$this->precio2 = $Producto_arr["precio2"];
			$this->precio2_bruto = round($Producto_arr["precio2"]*1.19);
			$this->precio3 = $Producto_arr["precio3"];
			$this->precio3_bruto = round($Producto_arr["precio3"]*1.19);
			$this->cristal = $Producto_arr["cristal"];
			$this->extra3 = $Producto_arr["extra3"];
			$this->extra1 = $Producto_arr["extra1"];
			$this->descuento = $Producto_arr["descuento"];
			$this->descuento2 = $Producto_arr["descuento2"];
			$this->descuento3 = $Producto_arr["descuento3"];
			$this->id_proveedor = $Producto_arr["id_proveedor"];
			$this->precio_particular = $Producto_arr["precio_particular"];
			$this->precio_particular_bruto = round($Producto_arr["precio_particular"]*1.19);
			$this->descuento_particular = $Producto_arr["descuento_particular"];
			$this->precio_distribuidor = $Producto_arr["precio_distribuidor"];
			$this->precio_distribuidor_bruto = round($Producto_arr["precio_distribuidor"]*1.19);
			$this->descuento_distribuidor = $Producto_arr["descuento_distribuidor"];
			$this->ult_fecha_recepcion = $Producto_arr["ult_fecha_recepcion"];
			$this->ex6 = $Producto_arr["ex6"];
			$this->vigente = $Producto_arr["vigente"];
			$this->ultimo_precio_compra = $Producto_arr["ultimo_precio_compra"];
			$this->nro_orden_compra = $Producto_arr["nro_orden_compra"];
			$this->tracking = $Producto_arr["tracking"];

			
			$this->permitir_mas_descuento = $Producto_arr["permitir_mas_descuento"];
			
			//Atributos Extras Provenientes de otras tablas
			$this->nombre_familia 		= $Producto_arr["nombre_familia"];
			$this->nombre_subfamilia 	= $Producto_arr["nombre_subfamilia"];
			$this->codigo_unidad 		= $Producto_arr["codigo_unidad"];
			$this->nombre_proveedor 	= $Producto_arr["nombre_proveedor"];
			$this->cristal 			= $Producto_arr["es_cristal"];
			$this->requiere_ot		= $Producto_arr["requiere_ot"];

			//Atributos Extras Provenientes de otras tablas
			if ($this->vigente == 0)
				$this->nombre_vigente="S";

			if ($this->vigente == 1)
				$this->nombre_vigente="No";

			if ($this->tracking == 1)
				$this->nombre_tracking="S";

			if ($this->tracking == 0)
				$this->nombre_tracking="No";

		}
	}
	

	function get_ultimas_compras($id_bodega, $fecha1, $fecha2){
		$filtro["id_bodega"] = $id_bodega;
		$filtro["fecha1"] = convertirFecha_fechabd($fecha1);
		$filtro["fecha2"] = convertirFecha_fechabd($fecha2);
		$filtro["id_producto"] = $this->id_producto;
		
		$reporte = new Reporte();
		$res = $reporte->get_cantidad_compras_producto($filtro);		
		return $res[0]["TOTAL"]|0;
	}
	
	function get_monto_ultimas_compras($id_bodega, $fecha1, $fecha2){
		$filtro["id_bodega"] = $id_bodega;
		$filtro["fecha1"] = convertirFecha_fechabd($fecha1);
		$filtro["fecha2"] = convertirFecha_fechabd($fecha2);
		$filtro["id_producto"] = $this->id_producto;
		
		$reporte = new Reporte();
		$res = $reporte->get_monto_compras_producto($filtro);		
		return $res[0]["MONTO"]|0;
	}

	function get_ultimas_ventas($id_bodega, $fecha1, $fecha2){
		
		$filtro["id_bodega"] = $id_bodega;
		$filtro["fecha1"] = convertirFecha_fechabd($fecha1);
		$filtro["fecha2"] = convertirFecha_fechabd($fecha2);
		$filtro["id_producto"] = $this->id_producto;
		$reporte = new Reporte();
		$res = $reporte->get_cantidad_ventas_producto($filtro);		

		return $res[0]["TOTAL"]|0;
	}
	
	function get_monto_ultimas_ventas($id_bodega, $fecha1, $fecha2){
		
		$filtro["id_bodega"] = $id_bodega;
		$filtro["fecha1"] = convertirFecha_fechabd($fecha1);
		$filtro["fecha2"] = convertirFecha_fechabd($fecha2);
		$filtro["id_producto"] = $this->id_producto;
		$reporte = new Reporte();
		$res = $reporte->get_monto_ventas_producto($filtro);		

		return $res[0]["TOTAL"]|0;
	}
	function get_stock($id_bodega){
			$inv = $this->get_producto_inventario($id_bodega);
			if ($inv){return  $inv->get_stock_actual();}			
			return  0;
	}

	function get_producto_inventario($id_bodega){
			if (!$id_bodega){
				session_start();
				$id_sucursal = $_SESSION["id_sucursal"];
				$sucursal = Sucursal_getSucursal($id_sucursal);
				if ($sucursal)
					$id_bodega = $sucursal->get_id_bodega_ventas();
				else
					$id_bodega = 5;
			}
			return $inv = Inventario_getProductoInventario($id_bodega, $this->id_producto);
	}


	
	function validar_codigo_barra(){
		if (!$this->codigo_barra){
			$this->codigo_barra = makebarcode($this->id_subfamilia.$this->id_producto);
		}
		
		$this->codigo_barra = Producto_validarCodigoBarra($this->codigo_barra);
	}
	
	function get_precio_costo($id_bodega=0){
		
			if (!$id_bodega){
				session_start();
				$id_sucursal = $_SESSION["id_sucursal"];
				$sucursal = Sucursal_getSucursal($id_sucursal);
				if ($sucursal)
					$id_bodega = $sucursal->get_id_bodega_ventas();
				else
					$id_bodega = 5;
			}
			
			
			$inv = Inventario_getProductoInventario($id_bodega, $this->id_producto);
			if ($inv){
				return  $inv->get_ultimo_precio_compra();
			}			
			return  0;
	}

	function get_precio_venta($id_bodega=0){
		
			if (!$id_bodega){
				session_start();
				$id_sucursal = $_SESSION["id_sucursal"];
				$sucursal = Sucursal_getSucursal($id_sucursal);
				$id_bodega = $sucursal->get_id_bodega_ventas();
			}
			
			
			$inv = Inventario_getProductoInventario($id_bodega, $this->id_producto);

			if ($inv){
				return  $inv->get_precio_venta();
			}			
			return  round(round($this->precio_bruto),0);
	}
	
	function get_precio_venta2($id_bodega=0){
		
			if (!$id_bodega){
				session_start();
				$id_sucursal = $_SESSION["id_sucursal"];
				$sucursal = Sucursal_getSucursal($id_sucursal);
				$id_bodega = $sucursal->get_id_bodega_ventas();
			}
			
			
			$inv = Inventario_getProductoInventario($id_bodega, $this->id_producto);
			if ($inv){
				return  $inv->get_precio_venta2();
			}			
			return  round(round($this->precio2_bruto),0);
	}

	function get_precio_venta3($id_bodega=0){
		
			if (!$id_bodega){
				session_start();
				$id_sucursal = $_SESSION["id_sucursal"];
				$sucursal = Sucursal_getSucursal($id_sucursal);
				$id_bodega = $sucursal->get_id_bodega_ventas();
			}
			
			
			$inv = Inventario_getProductoInventario($id_bodega, $this->id_producto);
			if ($inv){
				return  $inv->get_precio_venta3();
			}			
			return  round(round($this->precio3_bruto),0);
	}

	function get_precio_venta_particular($id_bodega=0){
		
			if (!$id_bodega){
				session_start();
				$id_sucursal = $_SESSION["id_sucursal"];
				$sucursal = Sucursal_getSucursal($id_sucursal);
				if ($sucursal)
					$id_bodega = $sucursal->get_id_bodega_ventas();
			}
			
			
			$inv = Inventario_getProductoInventario($id_bodega, $this->id_producto);
			if ($inv){
				return  $inv->get_precio_venta_particular();
			}			
			return  round(round($this->precio_particular_bruto),0);
	}

	function get_precio_venta_distribuidor($id_bodega=0){
		
			if (!$id_bodega){
				session_start();
				$id_sucursal = $_SESSION["id_sucursal"];
				$sucursal = Sucursal_getSucursal($id_sucursal);
				$id_bodega = $sucursal->get_id_bodega_ventas();
			}
			
			
			$inv = Inventario_getProductoInventario($id_bodega, $this->id_producto);
			if ($inv){
				return  $inv->get_precio_venta_distribuidor();
			}			
			return  round(round($this->precio_distribuidor_bruto),0);
	}

	function get_nombre_proveedor(){
		$proveedor = Empresa_getEmpresa($this->id_proveedor);
		if ($proveedor) return $proveedor->get_nombre();
		return "Sin Definir";
	}


//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_id_producto(){
		return ($this->id_producto);
	}
	
	function get_codigo_antiguo(){
		return ($this->codigo_antiguo);
	}
	
	function get_codigo_barra(){
		return ($this->codigo_barra);
	}
	
	function get_id_familia(){
		return ($this->id_familia);
	}
	
	function get_id_subfamilia(){
		return ($this->id_subfamilia);
	}
	
	function get_descripcion(){
		return ($this->descripcion);
	}
	
	function get_id_unidad(){
		return ($this->id_unidad);
	}
	
	function get_etiqueta(){
		return ($this->etiqueta);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_precio(){
		return (round($this->precio));
	}
	
	function get_precio2(){
		return (round($this->precio2));
	}

	function get_precio3(){
		return (round($this->precio3));
	}

	function get_cristal(){
		return ($this->cristal);
	}
	
	function get_extra3(){
		return ($this->extra3);
	}
	
	function get_descuento(){
		return ($this->descuento);
	}
	
	function get_descuento2(){
		return ($this->descuento2);
	}

	function get_descuento3(){
		return ($this->descuento3);
	}

	function get_id_proveedor(){
		return ($this->id_proveedor);
	}
	
	function get_precio_particular(){
		return (round($this->precio_particular));
	}
	
	function get_descuento_particular(){
		$clog_Oferta = new Controlador_Logico_Oferta();
		$filtro_oferta["id_producto"] = $this->id_producto;
		$filtro_oferta["id_sucursal"] = $_SESSION["id_sucursal"];
		$hoy = substr(hoy(),0,8);
		$extra_oferta["sql"] = " and fecha_inicio <= '" . $hoy . "' and fecha_termino >= '" . $hoy . "'";
		$listado_oferta = $clog_Oferta->getListadoOferta($filtro_oferta, $extra_oferta);

		if ($listado_oferta)
			return ($listado_oferta[0]->get_descuento());		
		else
			return ($this->descuento_particular);
	}
	
	function get_precio_distribuidor(){
		return (round($this->precio_distribuidor));
	}
	
	function get_descuento_distribuidor(){
		return ($this->descuento_distribuidor);
	}
	
	function get_ult_fecha_recepcion(){
		return ($this->ult_fecha_recepcion);
	}
	
	function get_ex6(){
		return ($this->ex6);
	}
	
	function get_vigente(){
		return ($this->vigente);
	}

	function get_ultimo_precio_compra(){
		return ($this->ultimo_precio_compra);
	}

	function get_nro_orden_compra(){
		return ($this->nro_orden_compra);
	}

	
	function get_tracking(){
		return ($this->tracking);
	}

	
//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_producto($id_producto){
		$this->id_producto = $id_producto;
	}
	
	function set_codigo_antiguo($codigo_antiguo){
		$this->codigo_antiguo = $codigo_antiguo;
	}
	
	function set_codigo_barra($codigo_barra){
		$this->codigo_barra = $codigo_barra;
	}
	
	function set_id_familia($id_familia){
		$this->id_familia = $id_familia;
	}
	
	function set_id_subfamilia($id_subfamilia){
		$this->id_subfamilia = $id_subfamilia;
	}
	
	function set_descripcion($descripcion){
		$this->descripcion = $descripcion;
	}
	
	function set_id_unidad($id_unidad){
		$this->id_unidad = $id_unidad;
	}
	
	function set_etiqueta($etiqueta){
		$this->etiqueta = $etiqueta;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_precio($precio){
		$this->precio = $precio;
	}
	
	function set_precio2($precio2){
		$this->precio2 = $precio2;
	}

	function set_precio3($precio3){
		$this->precio3 = $precio3;
	}

	function set_cristal($cristal){
		$this->cristal = $cristal;
	}
	
	function set_extra3($extra3){
		$this->extra3 = $extra3;
	}
	
	function set_descuento($descuento){
		$this->descuento = $descuento;
	}
	
	function set_descuento2($descuento2){
		$this->descuento2 = $descuento2;
	}

	function set_descuento3($descuento3){
		$this->descuento3 = $descuento3;
	}

	function set_id_proveedor($id_proveedor){
		$this->id_proveedor = $id_proveedor;
	}
	
	function set_precio_particular($precio_particular){
		$this->precio_particular = $precio_particular;
	}
	
	function set_descuento_particular($descuento_particular){
		$this->descuento_particular = $descuento_particular;
	}
	
	function set_precio_distribuidor($precio_distribuidor){
		$this->precio_distribuidor = $precio_distribuidor;
	}
	
	function set_descuento_distribuidor($descuento_distribuidor){
		$this->descuento_distribuidor = $descuento_distribuidor;
	}
	
	function set_ult_fecha_recepcion($ult_fecha_recepcion){
		$this->ult_fecha_recepcion = $ult_fecha_recepcion;
	}
	
	function set_ex6($ex6){
		$this->ex6 = $ex6;
	}
	
	function set_vigente($vigente){
		$this->vigente = $vigente;
	}

	
	function set_ultimo_precio_compra($ultimo_precio_compra){
		$this->ultimo_precio_compra = $ultimo_precio_compra;
	}

	function set_nro_orden_compra($nro_orden_compra){
		$this->nro_orden_compra = $nro_orden_compra;
	}

	function set_tracking($tracking){
		$this->tracking = $tracking;
	}

	
	
	
	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

	function Producto_getListadoProducto($filtro, $extra){		
		$clog_producto = new Controlador_Logico_Producto();
		return $clog_producto->getListadoProducto($filtro, $extra);
	}
	
	function Producto_getProducto($id_producto, $campo="id"){
		$clog_producto = new Controlador_Logico_Producto();		
		return $clog_producto->getProducto($id_producto, $campo);
	}
	
	function Producto_getProductoCristalLaboratorio($descripcion, $id_subfamilia = 0){
		if ($id_subfamilia != 0) $filtro["id_subfamilia"] = $id_subfamilia;
		$filtro["descripcion"] = $descripcion;
		$listado_productos = Producto_getListadoProducto($filtro);
		
		return ($listado_productos[0]);
//		return Producto_Fachada::getProducto($id_producto, $campo);
	}
	
	
	
	function Producto_validarCodigoBarra($cb){
		$producto = Producto_getProducto($cb, "cb");
		if ($producto){
			$cb = makebarcode($cb+1);
			return Producto_validarCodigoBarra($cb);
		}else{
			return $cb;
		}
	}
	
	function Producto_guardarProducto($objeto){
		if (!$objeto->codigo_barra){$objeto->codigo_barra = $objeto->id_subfamilia.$objeto->id_producto;}
		$objeto->codigo_barra = Producto_validarCodigoBarra($objeto->codigo_barra);
		$clog_producto = new Controlador_Logico_Producto();
		return $clog_producto->guardarProducto($objeto);
	}
	
	function Producto_actualizarProducto($objeto){
		$clog_producto = new Controlador_Logico_Producto();
		return $clog_producto->actualizarProducto($objeto);
	}
	
	function Producto_eliminarProducto($id_producto){
		$clog_producto = new Controlador_Logico_Producto();
		return $clog_producto->eliminarProducto($id_producto);
	}
	
	function Producto_get_cantidadProducto($filtro){
		$clog_producto = new Controlador_Logico_Producto();
		return $clog_producto->getCantidadProducto($filtro);
	}


?>
