<?

//------------------------------------------------------------------------------
//	CLASE
//------------------------------------------------------------------------------

class Sobre{
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	var $id_sobre;
	var $nro_sobre;
	var $id_sucursal;
	var $id_orden_trabajo;
	var $id_vale_venta;
	var $id_doctor;
	var $id_detalle_vale_venta;
	var $id_cliente;
	var $fecha_creacion;
	var $orden_compra;
	var $id_tratamiento;
	var $armazon_lejos;
	var $armazon_cerca;
	var $valor_add;
	var $id_tipo_cristal_lejos;
	var $id_tipo_cristal_cerca;
	var $dp_lejos;
	var $dp_cerca;
	var $lejos_od_esfera;
	var $lejos_od_cilindro;
	var $lejos_od_eje;
	var $lejos_oi_esfera;
	var $lejos_oi_cilindro;
	var $lejos_oi_eje;
	var $cerca_od_esfera;
	var $cerca_od_cilindro;
	var $cerca_od_eje;
	var $cerca_oi_esfera;
	var $cerca_oi_cilindro;
	var $cerca_oi_eje;
	var $observacion;
	var $estado;
	var $obs_lejos;
	var $fecha_finaliza;
	var $obs_cerca;	
	var $nombre_paciente;
	var $fono_paciente;
	var $id_tecnico_finaliza;
	var $fecha_envio_laboratorio;
	var $id_envia_laboratorio;

	var $nombre_doctor;
	var $nombre_estado;

	
	//--> MSK 0409
	var $total_venta;
	var $pagos_venta;
	var $saldo_venta;
	var $estado_cuenta;
	var $nombre_estado_deudor;
	var $nombre_sucursal;

	//CONSTRUCTOR

	function Sobre ($id_orden_trabajo, $id_doctor, $id_detalle_vale_venta, $id_cliente, $fecha_creacion, $orden_compra, $id_tratamiento, $armazon_lejos, $armazon_cerca, $valor_add, $id_tipo_cristal_lejos, $id_tipo_cristal_cerca, $dp_lejos, $dp_cerca, $lejos_od_esfera, $lejos_od_cilindro, $lejos_od_eje, $lejos_oi_esfera, $lejos_oi_cilindro, $lejos_oi_eje, $cerca_od_esfera, $cerca_od_cilindro, $cerca_od_eje, $cerca_oi_esfera, $cerca_oi_cilindro, $cerca_oi_eje, $observacion, $estado, $id_vale_venta, $nro_sobre, $nombre_paciente, $fono_paciente, $id_sucursal, $obs_lejos, $obs_cerca, $fecha_finaliza, $id_tecnico_finaliza, $fecha_envio_laboratorio, $id_envia_laboratorio, $id_sobre=0)
	{
		$this->id_sobre = $id_sobre;
		$this->id_orden_trabajo = $id_orden_trabajo;
		$this->id_doctor = $id_doctor;
		$this->id_detalle_vale_venta = $id_detalle_vale_venta;
		$this->id_cliente = $id_cliente;
		$this->fecha_creacion = $fecha_creacion;
		$this->orden_compra = $orden_compra;
		$this->id_tratamiento = $id_tratamiento;
		$this->armazon_lejos = $armazon_lejos;
		$this->armazon_cerca = $armazon_cerca;
		$this->valor_add = $valor_add;
		$this->id_tipo_cristal_lejos = $id_tipo_cristal_lejos;
		$this->id_tipo_cristal_cerca = $id_tipo_cristal_cerca;
		$this->dp_lejos = $dp_lejos;
		$this->dp_cerca = $dp_cerca;
		$this->lejos_od_esfera = $lejos_od_esfera;
		$this->lejos_od_cilindro = $lejos_od_cilindro;
		$this->lejos_od_eje = $lejos_od_eje;
		$this->lejos_oi_esfera = $lejos_oi_esfera;
		$this->lejos_oi_cilindro = $lejos_oi_cilindro;
		$this->lejos_oi_eje = $lejos_oi_eje;
		$this->cerca_od_esfera = $cerca_od_esfera;
		$this->cerca_od_cilindro = $cerca_od_cilindro;
		$this->cerca_od_eje = $cerca_od_eje;
		$this->cerca_oi_esfera = $cerca_oi_esfera;
		$this->cerca_oi_cilindro = $cerca_oi_cilindro;
		$this->cerca_oi_eje = $cerca_oi_eje;
		$this->observacion = $observacion;
		$this->estado = $estado;
		$this->obs_lejos = $obs_lejos;
		$this->obs_cerca = $obs_cerca;
		$this->id_vale_venta = $id_vale_venta;
		$this->fecha_finaliza = $fecha_finaliza;
		$this->id_tecnico_finaliza = $id_tecnico_finaliza;
		$this->fecha_envio_laboratorio = $fecha_envio_laboratorio;
		$this->id_envia_laboratorio = $id_envia_laboratorio;
		

		$this->nro_sobre = $nro_sobre;		
		$this->nombre_paciente = $nombre_paciente;
		$this->fono_paciente = $fono_paciente;
		$this->id_sucursal = $id_sucursal;
		
		if (!$this->fecha_creacion) $this->fecha_creacion = hoy();
		
		if ($id_doctor){
			$doctor = new Doctor();
			$doctor = Doctor_getDoctor($id_doctor);
			if ($doctor){
				$this->nombre_doctor = $doctor->nombre . " " . $doctor->apellido;	
			}
		}
		

		switch ($this->estado) {
			case 0: $this->nombre_estado = "Pendiente";			break;
			case 1: $this->nombre_estado = "Laboratorio";		break;
			case 2: $this->nombre_estado = "Listo para entregar";		break;
			case 3: $this->nombre_estado = "Entregado";			break;
			case 4: $this->nombre_estado = "Espera de Material";		break;
			
			default:	$this->nombre_estado = "Pendiente";	break;
		}
		
		if (($id_sucursal == 0) and ($id_sobre != 0)){
			$vale_venta = new Vale_venta();
			$vale_venta = Vale_venta_getVale_venta($this->id_vale_venta);
			$this->id_sucursal = $vale_venta->id_sucursal;
			Sobre_actualizarSobre($this);
		}


		$vale_venta = new Vale_venta();
		$vale_venta = Vale_venta_getVale_venta($this->id_vale_venta);
		$this->qbli  = $vale_venta->qbli;

		if($vale_venta->valor_neto - $vale_venta->abono_total - $vale_venta->monto_bono - $vale_venta->monto_orden_compra > 0)
		   $this->nombre_estado_deudor = "Saldo pendiente";
		else
		   $this->nombre_estado_deudor = "Pagado";

		$this->nombre_empresa = $vale_venta->nombre_empresa;
		$this->id_cliente_proveedor = $vale_venta->id_empresa;
		$this->nombre_cliente = $vale_venta->nombre_cliente;
		$this->total_venta = $vale_venta->valor_neto;
		$this->pagos_venta = $vale_venta->abono_total;
		$this->saldo_venta = $vale_venta->valor_neto - $vale_venta->abono_total - $vale_venta->monto_bono - $vale_venta->monto_orden_compra;
		$this->estado_cuenta = " Monto Vale: ".money_php($vale_venta->valor_neto). "<br>".
                                       " Pagos: ".money_php($vale_venta->abono_total)."<br>".
				       " Saldo: ".money_php($this->saldo_venta);

		$this->nro_bono = $vale_venta->nro_bono;
		$this->orden_compra = $vale_venta->orden_compra;

		$sucursal = Sucursal_getSucursal($id_sucursal);
		$this->nombre_sucursal = $sucursal->descripcion;

		if ($this->id_tecnico_finaliza)
		{
			$tecnico = Usuario_getUsuario($this->id_tecnico_finaliza);
			if ($tecnico)
				$this->nombre_finaliza = $tecnico->nombre. " " . $tecnico->apellido;
		}

//		if ($this->id_tecnico_finaliza)
//		{
//			$clog_Tecnico = new Controlador_Logico_Tecnico();
//			$tecnico = $clog_Tecnico->getTecnico($this->id_tecnico_finaliza);
//			if ($tecnico)
//				$this->nombre_tecnico_finaliza = $tecnico->get_nombre();
//		}

		if ($this->id_tecnico_finaliza)
		{
			$entrega = Usuario_getUsuario($this->id_tecnico_finaliza);
			if ($entrega)
				$this->nombre_tecnico_finaliza = $entrega->get_nombre()." " .$entrega->get_apellido();
		}
		$cotizacion = Cotizacion_getCotizacion($vale_venta->id_cotizacion);

		if ($cotizacion)
		{
			$material_lejos			= Tipo_material_getTipo_material($cotizacion->tipo_material_lejos);
			if ($material_lejos)
				$this->tipo_cristal_lejos = $material_lejos->descripcion;

			$material_cerca			= Tipo_material_getTipo_material($cotizacion->tipo_material_cerca);
			if ($material_cerca)
				$this->tipo_cristal_cerca = $material_cerca->descripcion;
		}

		if ($this->id_envia_laboratorio)
		{
			$responsable = Usuario_getUsuario($this->id_envia_laboratorio);
			if ($responsable)
			{
				$this->nombre_responsable = $responsable->nombre." ".$responsable->apellido;
			}
		}

	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES GET PARA OBTENER ATRIBUTOS
//------------------------------------------------------------------------------

	function get_listado_cristales(){
		$arr = null;
		$filtro["id_vale_venta"] = $this->id_vale_venta;
		$listado_detalles = Detalle_vale_venta_getListadoDetalle_vale_venta($filtro);
		foreach ($listado_detalles as $dvv) {
			if ($dvv->cristal) $arr[] = $dvv;
		}
		return $arr;
	}

	function get_nombre_cristales(){

		$listado_cristales = $this->get_listado_cristales();
		if (!$listado_cristales){
			return "-";
		}else{
			foreach ($listado_cristales as $cristal) {
				$txt .= "-" . $cristal->get_nombre_producto() . "<br>";
			}
			return $txt;
		}
			
		return "-";
	}

	function get_nombre_sucursal(){
		$sucursal = Sucursal_getSucursal($this->id_sucursal);
		if ($sucursal) return ($sucursal->get_descripcion());
		return "Casa Matriz";
	}
	
	function get_nombre_bodega(){
		$sucursal = Sucursal_getSucursal($this->id_sucursal);
		return ($sucursal->get_nombre_bodega_cristales());
	}
	
	function get_id_sobre(){
		return ($this->id_sobre);
	}
	
	function get_id_orden_trabajo(){
		return ($this->id_orden_trabajo);
	}
	
	function get_id_doctor(){
		return ($this->id_doctor);
	}
	
	function get_id_detalle_vale_venta(){
		return ($this->id_detalle_vale_venta);
	}
	
	function get_id_cliente(){
		return ($this->id_cliente);
	}
	
	function get_fecha_creacion(){
		return ($this->fecha_creacion);
	}
	
	function get_orden_compra(){
		return ($this->orden_compra);
	}
	
	function get_id_tratamiento(){
		return ($this->id_tratamiento);
	}
	
	function get_armazon_lejos(){
		return ($this->armazon_lejos);
	}
	
	function get_armazon_cerca(){
		return ($this->armazon_cerca);
	}
	
	function get_valor_add(){
		return ($this->valor_add);
	}
	
	function get_id_tipo_cristal_lejos(){
		return ($this->id_tipo_cristal_lejos);
	}
	
	function get_id_tipo_cristal_cerca(){
		return ($this->id_tipo_cristal_cerca);
	}
	
	function get_dp_lejos(){
		return ($this->dp_lejos);
	}
	
	function get_dp_cerca(){
		return ($this->dp_cerca);
	}
	
	function get_lejos_od_esfera(){
		return ($this->lejos_od_esfera);
	}
	
	function get_lejos_od_cilindro(){
		return ($this->lejos_od_cilindro);
	}
	
	function get_lejos_od_eje(){
		return ($this->lejos_od_eje);
	}
	
	function get_lejos_oi_esfera(){
		return ($this->lejos_oi_esfera);
	}
	
	function get_lejos_oi_cilindro(){
		return ($this->lejos_oi_cilindro);
	}
	
	function get_lejos_oi_eje(){
		return ($this->lejos_oi_eje);
	}
	
	function get_cerca_od_esfera(){
		return ($this->cerca_od_esfera);
	}
	
	function get_cerca_od_cilindro(){
		return ($this->cerca_od_cilindro);
	}
	
	function get_cerca_od_eje(){
		return ($this->cerca_od_eje);
	}
	
	function get_cerca_oi_esfera(){
		return ($this->cerca_oi_esfera);
	}
	
	function get_cerca_oi_cilindro(){
		return ($this->cerca_oi_cilindro);
	}
	
	function get_cerca_oi_eje(){
		return ($this->cerca_oi_eje);
	}
	
	function get_observacion(){
		return ($this->observacion);
	}
	
	function get_estado(){
		return ($this->estado);
	}
	
	function get_id_vale_venta(){
		return ($this->id_vale_venta);
	}
	
	function get_nro_sobre(){
		return ($this->nro_sobre);
	}
	
	function get_nombre_paciente(){
		return ($this->nombre_paciente);
	}
	
	function get_fono_paciente(){
		return ($this->fono_paciente);
	}
	
	function get_id_sucursal(){
		return ($this->id_sucursal);
	}

	function get_obs_lejos(){
		return ($this->obs_lejos);
	}

	function get_obs_cerca(){
		return ($this->obs_cerca);
	}
	
	function get_fecha_finaliza(){
		return ($this->fecha_finaliza);
	}

	
	function get_id_tecnico_finaliza(){
		return ($this->id_tecnico_finaliza);
	}
	
	function get_fecha_envio_laboratorio(){
		return ($this->fecha_envio_laboratorio);
	}
	
	function get_id_envia_laboratorio(){
		return ($this->id_envia_laboratorio);
	}


//------------------------------------------------------------------------------
	//	FUNCIONES SET PARA SETEAR ATRIBUTOS
//------------------------------------------------------------------------------

	function set_id_sobre($id_sobre){
		$this->id_sobre = $id_sobre;
	}
	
	function set_id_orden_trabajo($id_orden_trabajo){
		$this->id_orden_trabajo = $id_orden_trabajo;
	}
	
	function set_id_doctor($id_doctor){
		$this->id_doctor = $id_doctor;
	}
	
	function set_id_detalle_vale_venta($id_detalle_vale_venta){
		$this->id_detalle_vale_venta = $id_detalle_vale_venta;
	}
	
	function set_id_cliente($id_cliente){
		$this->id_cliente = $id_cliente;
	}
	
	function set_fecha_creacion($fecha_creacion){
		$this->fecha_creacion = $fecha_creacion;
	}
	
	function set_orden_compra($orden_compra){
		$this->orden_compra = $orden_compra;
	}
	
	function set_id_tratamiento($id_tratamiento){
		$this->id_tratamiento = $id_tratamiento;
	}
	
	function set_armazon_lejos($armazon_lejos){
		$this->armazon_lejos = $armazon_lejos;
	}
	
	function set_armazon_cerca($armazon_cerca){
		$this->armazon_cerca = $armazon_cerca;
	}
	
	function set_valor_add($valor_add){
		$this->valor_add = $valor_add;
	}
	
	function set_id_tipo_cristal_lejos($id_tipo_cristal_lejos){
		$this->id_tipo_cristal_lejos = $id_tipo_cristal_lejos;
	}
	
	function set_id_tipo_cristal_cerca($id_tipo_cristal_cerca){
		$this->id_tipo_cristal_cerca = $id_tipo_cristal_cerca;
	}
	
	function set_dp_lejos($dp_lejos){
		$this->dp_lejos = $dp_lejos;
	}
	
	function set_dp_cerca($dp_cerca){
		$this->dp_cerca = $dp_cerca;
	}
	
	function set_lejos_od_esfera($lejos_od_esfera){
		$this->lejos_od_esfera = $lejos_od_esfera;
	}
	
	function set_lejos_od_cilindro($lejos_od_cilindro){
		$this->lejos_od_cilindro = $lejos_od_cilindro;
	}
	
	function set_lejos_od_eje($lejos_od_eje){
		$this->lejos_od_eje = $lejos_od_eje;
	}
	
	function set_lejos_oi_esfera($lejos_oi_esfera){
		$this->lejos_oi_esfera = $lejos_oi_esfera;
	}
	
	function set_lejos_oi_cilindro($lejos_oi_cilindro){
		$this->lejos_oi_cilindro = $lejos_oi_cilindro;
	}
	
	function set_lejos_oi_eje($lejos_oi_eje){
		$this->lejos_oi_eje = $lejos_oi_eje;
	}
	
	function set_cerca_od_esfera($cerca_od_esfera){
		$this->cerca_od_esfera = $cerca_od_esfera;
	}
	
	function set_cerca_od_cilindro($cerca_od_cilindro){
		$this->cerca_od_cilindro = $cerca_od_cilindro;
	}
	
	function set_cerca_od_eje($cerca_od_eje){
		$this->cerca_od_eje = $cerca_od_eje;
	}
	
	function set_cerca_oi_esfera($cerca_oi_esfera){
		$this->cerca_oi_esfera = $cerca_oi_esfera;
	}
	
	function set_cerca_oi_cilindro($cerca_oi_cilindro){
		$this->cerca_oi_cilindro = $cerca_oi_cilindro;
	}
	
	function set_cerca_oi_eje($cerca_oi_eje){
		$this->cerca_oi_eje = $cerca_oi_eje;
	}
	
	function set_observacion($observacion){
		$this->observacion = $observacion;
	}
	
	function set_estado($estado){
		$this->estado = $estado;
	}
	
	function set_id_vale_venta($id_vale_venta){
		$this->id_vale_venta = $id_vale_venta;
	}
	
	function set_nro_sobre($nro_sobre){
		$this->nro_sobre = $nro_sobre;
	}
	
	function set_nombre_paciente($nombre_paciente){
		$this->nombre_paciente = $nombre_paciente;
	}
	
	function set_fono_paciente($fono_paciente){
		$this->fono_paciente = $fono_paciente;
	}
	

	function set_id_sucursal($id_sucursal){
		$this->id_sucursal = $id_sucursal;
	}
	
	function set_obs_lejos($obs_lejos){
		$this->obs_lejos = $obs_lejos;
	}
	
	function set_obs_cerca($obs_cerca){
		$this->obs_cerca = $obs_cerca;
	}

	function set_fecha_finaliza($fecha_finaliza){
		$this->fecha_finaliza = $fecha_finaliza;
	}

	function set_id_tecnico_finaliza($id_tecnico_finaliza){
		$this->id_tecnico_finaliza = $id_tecnico_finaliza;
	}

	function set_fecha_envio_laboratorio($fecha_envio_laboratorio){
		$this->fecha_envio_laboratorio = $fecha_envio_laboratorio;
	}

	function set_id_envia_laboratorio($id_envia_laboratorio){
		$this->id_envia_laboratorio = $id_envia_laboratorio;
	}






	}
//------------------------------------------------------------------------------
	//	FIN CLASE
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
	//	FUNCIONES AUXILIARES
//------------------------------------------------------------------------------

	function Sobre_getListadoSobre($filtro,$extra){
		return Sobre_Fachada::getListadoSobre($filtro,$extra);
	}
	
	function Sobre_getListadoSobreReporte($filtro,$extra){
		return Sobre_Fachada::getListadoSobreReporte($filtro,$extra);
	}
	
	function Sobre_getListadoLibroReceta($filtro,$extra){
		$extra["query"] = "GET_LISTADO_LIBRO_RECETA";
		if ($filtro["sobre.id_sucursal"] == 0) $filtro["sobre.id_sucursal"] = "%";
		return Sobre_Fachada::getListadoSobre($filtro,$extra);
	}
	
	function Sobre_getCantidad($filtro){
		return Sobre_Fachada::getCantidad($filtro);
	}
	
	function Sobre_getSobre($id_sobre){
		return Sobre_Fachada::getSobre($id_sobre);
	}
	
	function Sobre_getSobreCotizacion($id_vale_venta){
		$filtro["id_vale_venta"] = $id_vale_venta;
		$sobre = Sobre_getListadoSobre($filtro);
		return $sobre[0];
	}
	
	function Sobre_getSobreVale_Venta($id_vale_venta){
		$filtro["id_vale_venta"] = $id_vale_venta;
		$sobre = Sobre_getListadoSobre($filtro);
		return $sobre[0];
	}
	
	function Sobre_getSobreNro($nro_sobre){
		$filtro["nro_sobre"] = $nro_sobre;
		$sobre = Sobre_getListadoSobre($filtro);
		return $sobre[0];
	}
	
	function Sobre_guardarSobre($objeto){
		return Sobre_Fachada::guardarSobre($objeto);
	}
	
	function Sobre_actualizarSobre($objeto){
		return Sobre_Fachada::actualizarSobre($objeto);
	}
	
	function Sobre_eliminarSobre($id_sobre){
		return Sobre_Fachada::eliminarSobre($id_sobre);
	}
	
	
	
	
	
?>
