<?

//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Boleta_venta {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Boleta_venta;

	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Boleta_venta = new controlador_bd_Boleta_venta;
	}

	// DESTRUCTOR
	public function __destruct()
	{

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getUltimo_Correlativo($filtro,$extra){
		return $this->controlador_bd_Boleta_venta->getUltimo_Correlativo($filtro,$extra);
	}
	
	
	function getCantidadBoleta_venta($filtro){
		return $this->controlador_bd_Boleta_venta->getCantidadBoleta_venta_BD($filtro);
	}

	function getListadoBoleta_venta($filtro,$extra){
		$listado_Boleta_venta_bd = $this->controlador_bd_Boleta_venta->getListadoBoleta_venta_BD($filtro,$extra);
		$Boleta_venta_bd = new Boleta_venta_bd();
		foreach ($listado_Boleta_venta_bd as $Boleta_venta_bd){
			$listado_Boleta_venta[] = new Boleta_venta($Boleta_venta_bd);
		}
		return $listado_Boleta_venta;
	}

	function getBoleta_venta($id_boleta_venta){
		$Boleta_venta_bd = $this->controlador_bd_Boleta_venta->getBoleta_venta_BD($id_boleta_venta);
		if ($Boleta_venta_bd)
		return (new Boleta_venta($Boleta_venta_bd));
		else
		return null;
	}

	function guardarBoleta_venta(Boleta_venta $Boleta_venta){
		$id_boleta_venta = $Boleta_venta->get_id_boleta_venta();
		$id_profesional = $Boleta_venta->get_id_profesional();
		$id_contribuyente = $Boleta_venta->get_id_contribuyente();
		$correlativo = $Boleta_venta->get_correlativo();
		$id_empresa = $Boleta_venta->get_id_empresa();
		$id_comprobante = $Boleta_venta->get_id_comprobante();
		$id_centro_costo = $Boleta_venta->get_id_centro_costo();
		$id_item_gasto = $Boleta_venta->get_id_item_gasto();
		$numero_boleta_desde_venta = $Boleta_venta->get_numero_boleta_desde_venta();
		$numero_boleta_hasta_venta = $Boleta_venta->get_numero_boleta_hasta_venta();
		$fecha_creacion = $Boleta_venta->get_fecha_creacion();
		$fecha_emision = $Boleta_venta->get_fecha_emision();
		$fecha_proceso = $Boleta_venta->get_fecha_proceso();
		$total_neto = $Boleta_venta->get_total_neto();
		$impuesto = $Boleta_venta->get_impuesto();
		$total_bruto = $Boleta_venta->get_total_bruto();
		$id_sucursal = $Boleta_venta->get_id_sucursal();
		$Boleta_venta_bd = new Boleta_venta_BD ($id_profesional, $id_contribuyente, $correlativo, $id_empresa, $id_comprobante, $id_centro_costo, $id_item_gasto, $numero_boleta_desde_venta, $numero_boleta_hasta_venta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $id_sucursal, $id_boleta_venta);
		return $this->controlador_bd_Boleta_venta->guardarBoleta_venta_BD($Boleta_venta_bd);
	}

	function actualizarBoleta_venta(Boleta_venta $Boleta_venta){
		$id_boleta_venta = $Boleta_venta->get_id_boleta_venta();
		$id_profesional = $Boleta_venta->get_id_profesional();
		$id_contribuyente = $Boleta_venta->get_id_contribuyente();
		$correlativo = $Boleta_venta->get_correlativo();
		$id_empresa = $Boleta_venta->get_id_empresa();
		$id_comprobante = $Boleta_venta->get_id_comprobante();
		$id_centro_costo = $Boleta_venta->get_id_centro_costo();
		$id_item_gasto = $Boleta_venta->get_id_item_gasto();
		$numero_boleta_desde_venta = $Boleta_venta->get_numero_boleta_desde_venta();
		$numero_boleta_hasta_venta = $Boleta_venta->get_numero_boleta_hasta_venta();
		$fecha_creacion = $Boleta_venta->get_fecha_creacion();
		$fecha_emision = $Boleta_venta->get_fecha_emision();
		$fecha_proceso = $Boleta_venta->get_fecha_proceso();
		$total_neto = $Boleta_venta->get_total_neto();
		$impuesto = $Boleta_venta->get_impuesto();
		$total_bruto = $Boleta_venta->get_total_bruto();
		$id_sucursal = $Boleta_venta->get_id_sucursal();
		$Boleta_venta_bd = new Boleta_venta_BD ($id_profesional, $id_contribuyente, $correlativo, $id_empresa, $id_comprobante, $id_centro_costo, $id_item_gasto, $numero_boleta_desde_venta, $numero_boleta_hasta_venta, $fecha_creacion, $fecha_emision, $fecha_proceso, $total_neto, $impuesto, $total_bruto, $id_sucursal, $id_boleta_venta);
		return $this->controlador_bd_Boleta_venta->actualizarBoleta_venta_BD($Boleta_venta_bd);
	}

	function eliminarBoleta_venta($id_boleta_venta){
		return $this->controlador_bd_Boleta_venta->eliminarBoleta_venta_BD($id_boleta_venta);
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
