<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Cont_cliente_proveedor {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadCont_cliente_proveedor($filtro){
		$cbd = new controlador_bd_Cont_cliente_proveedor();
		return $cbd->getCantidadCont_cliente_proveedor_BD($filtro);
	}
	
	function getListadoCont_cliente_proveedor($filtro,$extra){
		$cbd = new controlador_bd_Cont_cliente_proveedor();
		$listado_Cont_cliente_proveedor_arr = $cbd->getListadoCont_cliente_proveedor_BD($filtro,$extra);
	foreach ($listado_Cont_cliente_proveedor_arr as $Cont_cliente_proveedor_arr){
		$listado_Cont_cliente_proveedor[] = new Cont_cliente_proveedor($Cont_cliente_proveedor_arr);
	}
	return $listado_Cont_cliente_proveedor;
	}
	
	function getCont_cliente_proveedor($id_cliente_proveedor){
		$cbd = new controlador_bd_Cont_cliente_proveedor();
		$filtro["id_cliente_proveedor"] = $id_cliente_proveedor;
		$listado_Cont_cliente_proveedor_arr = $cbd->getListadoCont_cliente_proveedor_BD($filtro,$extra);
		if ($listado_Cont_cliente_proveedor_arr) return new Cont_cliente_proveedor($listado_Cont_cliente_proveedor_arr[0]);
		return null;
	}
	
	function guardarCont_cliente_proveedor($Cont_cliente_proveedor){
		$cbd = new controlador_bd_Cont_cliente_proveedor();
		$id_cliente_proveedor = $Cont_cliente_proveedor->get_id_cliente_proveedor();
		$id_empresa = $Cont_cliente_proveedor->get_id_empresa();
		$id_ciudad = $Cont_cliente_proveedor->get_id_ciudad();
		$tipo_cliente_proveedor = $Cont_cliente_proveedor->get_tipo_cliente_proveedor();
		$tipo_natural_empresa = $Cont_cliente_proveedor->get_tipo_natural_empresa();
		$rut = $Cont_cliente_proveedor->get_rut();
		$nombre = $Cont_cliente_proveedor->get_nombre();
		$razon_social = $Cont_cliente_proveedor->get_razon_social();
		$giro = $Cont_cliente_proveedor->get_giro();
		$direccion = $Cont_cliente_proveedor->get_direccion();
		$telefono = $Cont_cliente_proveedor->get_telefono();
		$organismo_salud = $Cont_cliente_proveedor->get_organismo_salud();
		$movil = $Cont_cliente_proveedor->get_movil();
		$exportado = $Cont_cliente_proveedor->get_exportado();
		$facturar_a = $Cont_cliente_proveedor->get_facturar_a();
		$email = $Cont_cliente_proveedor->get_email();
		$fecha_ingreso = $Cont_cliente_proveedor->get_fecha_ingreso();
		$monto_credito = $Cont_cliente_proveedor->get_monto_credito();
		$estado = $Cont_cliente_proveedor->get_estado();
		$observacion = $Cont_cliente_proveedor->get_observacion();
		$condicion_venta = $Cont_cliente_proveedor->get_condicion_venta();
		$req_orden_compra = $Cont_cliente_proveedor->get_req_orden_compra();
		$observacion_economica = $Cont_cliente_proveedor->get_observacion_economica();
		$rut_rep_legal = $Cont_cliente_proveedor->get_rut_rep_legal();
		$nombre_rep_legal = $Cont_cliente_proveedor->get_nombre_rep_legal();
		$tipo_lista_precio = $Cont_cliente_proveedor->get_tipo_lista_precio();
		$trazabilidad = $Cont_cliente_proveedor->get_trazabilidad();
		$nombre_doc_referencia_traking = $Cont_cliente_proveedor->get_nombre_doc_referencia_traking();
		$id_comuna = $Cont_cliente_proveedor->get_id_comuna();
		
		
		$Cont_cliente_proveedor_bd = new Cont_cliente_proveedor_BD ($id_empresa, $id_ciudad, $tipo_cliente_proveedor, $tipo_natural_empresa, $rut, $nombre, $razon_social, $giro, $direccion, $telefono, $organismo_salud, $movil, $exportado, $facturar_a, $email, $fecha_ingreso, $monto_credito, $estado, $observacion, $condicion_venta, $req_orden_compra, $observacion_economica, $rut_rep_legal, $nombre_rep_legal, $tipo_lista_precio, $trazabilidad, $nombre_doc_referencia_traking, $id_comuna, $id_cliente_proveedor);
		return $cbd->guardarCont_cliente_proveedor_BD($Cont_cliente_proveedor_bd);
	}
	
	function actualizarCont_cliente_proveedor($Cont_cliente_proveedor){
		$cbd = new controlador_bd_Cont_cliente_proveedor();
		$id_cliente_proveedor = $Cont_cliente_proveedor->get_id_cliente_proveedor();
		$id_empresa = $Cont_cliente_proveedor->get_id_empresa();
		$id_ciudad = $Cont_cliente_proveedor->get_id_ciudad();
		$tipo_cliente_proveedor = $Cont_cliente_proveedor->get_tipo_cliente_proveedor();
		$tipo_natural_empresa = $Cont_cliente_proveedor->get_tipo_natural_empresa();
		$rut = $Cont_cliente_proveedor->get_rut();
		$nombre = $Cont_cliente_proveedor->get_nombre();
		$razon_social = $Cont_cliente_proveedor->get_razon_social();
		$giro = $Cont_cliente_proveedor->get_giro();
		$direccion = $Cont_cliente_proveedor->get_direccion();
		$telefono = $Cont_cliente_proveedor->get_telefono();
		$organismo_salud = $Cont_cliente_proveedor->get_organismo_salud();
		$movil = $Cont_cliente_proveedor->get_movil();
		$exportado = $Cont_cliente_proveedor->get_exportado();
		$facturar_a = $Cont_cliente_proveedor->get_facturar_a();
		$email = $Cont_cliente_proveedor->get_email();
		$fecha_ingreso = $Cont_cliente_proveedor->get_fecha_ingreso();
		$monto_credito = $Cont_cliente_proveedor->get_monto_credito();
		$estado = $Cont_cliente_proveedor->get_estado();
		$observacion = $Cont_cliente_proveedor->get_observacion();
		$condicion_venta = $Cont_cliente_proveedor->get_condicion_venta();
		$req_orden_compra = $Cont_cliente_proveedor->get_req_orden_compra();
		$observacion_economica = $Cont_cliente_proveedor->get_observacion_economica();
		$rut_rep_legal = $Cont_cliente_proveedor->get_rut_rep_legal();
		$nombre_rep_legal = $Cont_cliente_proveedor->get_nombre_rep_legal();
		$tipo_lista_precio = $Cont_cliente_proveedor->get_tipo_lista_precio();
		$trazabilidad = $Cont_cliente_proveedor->get_trazabilidad();
		$nombre_doc_referencia_traking = $Cont_cliente_proveedor->get_nombre_doc_referencia_traking();
		$id_comuna = $Cont_cliente_proveedor->get_id_comuna();

		
		$Cont_cliente_proveedor_bd = new Cont_cliente_proveedor_BD ($id_empresa, $id_ciudad, $tipo_cliente_proveedor, $tipo_natural_empresa, $rut, $nombre, $razon_social, $giro, $direccion, $telefono, $organismo_salud, $movil, $exportado, $facturar_a, $email, $fecha_ingreso, $monto_credito, $estado, $observacion, $condicion_venta, $req_orden_compra, $observacion_economica, $rut_rep_legal, $nombre_rep_legal, $tipo_lista_precio, $trazabilidad, $nombre_doc_referencia_traking, $id_comuna, $id_cliente_proveedor);
		return $cbd->actualizarCont_cliente_proveedor_BD($Cont_cliente_proveedor_bd);
	}
	
	function eliminarCont_cliente_proveedor($id_cliente_proveedor){
		$cbd = new controlador_bd_Cont_cliente_proveedor();
		return $cbd->eliminarCont_cliente_proveedor_BD($id_cliente_proveedor);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
