<?

//------------------------------------------------------------------------------
//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Documento {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION

	private $controlador_bd_Documento;

	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Documento = new controlador_bd_Documento;
	}

	// DESTRUCTOR
	public function __destruct()
	{

	}

	//------------------------------------------------------------------------------
	//	FUNCIONES
	//------------------------------------------------------------------------------

	function getCantidadDocumento($filtro){
		return $this->controlador_bd_Documento->getCantidadDocumento_BD($filtro);
	}

	function getListadoDocumento($filtro,$extra){
		$listado_Documento_bd = $this->controlador_bd_Documento->getListadoDocumento_BD($filtro,$extra);
		$Documento_bd = new Documento_bd();
		foreach ($listado_Documento_bd as $Documento_bd){
			$listado_Documento[] = new Documento($Documento_bd);
		}
		return $listado_Documento;
	}

	function getDocumento($id_documento){
		$Documento_bd = $this->controlador_bd_Documento->getDocumento_BD($id_documento);
		if ($Documento_bd)
		return (new Documento($Documento_bd));
		else
		return null;
	}

	function guardarDocumento(Documento $Documento){
		$id_documento = $Documento->get_id_documento();
		$id_usuario = $Documento->get_id_usuario();
		$id_detalle_orden_produccion = $Documento->get_id_detalle_orden_produccion();
		$fecha_creacion = $Documento->get_fecha_creacion();
		$codigo = $Documento->get_codigo();
		$revision = $Documento->get_revision();
		$version = $Documento->get_version();
		$nombre = $Documento->get_nombre();
		$descripcion = $Documento->get_descripcion();
		$archivo = $Documento->get_archivo();
		$tipo = $Documento->get_tipo();
		$extra3 = $Documento->get_extra3();
		$extra4 = $Documento->get_extra4();
		$Documento_bd = new Documento_BD ($id_usuario, $id_detalle_orden_produccion, $fecha_creacion, $codigo, $revision, $version, $nombre, $descripcion, $archivo, $tipo, $extra3, $extra4, $id_documento);
		return $this->controlador_bd_Documento->guardarDocumento_BD($Documento_bd);
	}

	function actualizarDocumento(Documento $Documento){
		$id_documento = $Documento->get_id_documento();
		$id_usuario = $Documento->get_id_usuario();
		$id_detalle_orden_produccion = $Documento->get_id_detalle_orden_produccion();
		$fecha_creacion = $Documento->get_fecha_creacion();
		$codigo = $Documento->get_codigo();
		$revision = $Documento->get_revision();
		$version = $Documento->get_version();
		$nombre = $Documento->get_nombre();
		$descripcion = $Documento->get_descripcion();
		$archivo = $Documento->get_archivo();
		$tipo = $Documento->get_tipo();
		$extra3 = $Documento->get_extra3();
		$extra4 = $Documento->get_extra4();
		$Documento_bd = new Documento_BD ($id_usuario, $id_detalle_orden_produccion, $fecha_creacion, $codigo, $revision, $version, $nombre, $descripcion, $archivo, $tipo, $extra3, $extra4, $id_documento);
		return $this->controlador_bd_Documento->actualizarDocumento_BD($Documento_bd);
	}

	function eliminarDocumento($id_documento){
		return $this->controlador_bd_Documento->eliminarDocumento_BD($id_documento);
	}
}
//------------------------------------------------------------------------------
//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
