<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Libro_venta {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Libro_venta;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Libro_venta = new controlador_bd_Libro_venta;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadLibro_venta($filtro){
		return $this->controlador_bd_Libro_venta->getCantidadLibro_venta_BD($filtro);
	}
	
	function getListadoLibro_venta($filtro,$extra){
		$listado_Libro_venta_bd = $this->controlador_bd_Libro_venta->getListadoLibro_venta_BD($filtro,$extra);
		$Libro_venta_bd = new Libro_venta_bd();
	foreach ($listado_Libro_venta_bd as $Libro_venta_bd){
		$listado_Libro_venta[] = new Libro_venta($Libro_venta_bd);
	}
	return $listado_Libro_venta;
	}
	
	function getLibro_venta($id_documento){
		$Libro_venta_bd = $this->controlador_bd_Libro_venta->getLibro_venta_BD($id_documento);
		if ($Libro_venta_bd)
		return (new Libro_venta($Libro_venta_bd));
		else
		return null;
	}
	
	function guardarLibro_venta(Libro_venta $Libro_venta){
		$id_documento = $Libro_venta->get_id_documento();
		$id_cliente = $Libro_venta->get_id_cliente();
		$nombre_cliente = $Libro_venta->get_nombre_cliente();
		$rut_cliente = $Libro_venta->get_rut_cliente();
		$tipo_documento = $Libro_venta->get_tipo_documento();
		$numero_documento = $Libro_venta->get_numero_documento();
		$desde_numero_boleta = $Libro_venta->get_desde_numero_boleta();
		$hasta_numero_boleta = $Libro_venta->get_hasta_numero_boleta();
		$correlativo = $Libro_venta->get_correlativo();
		$folio = $Libro_venta->get_folio();
		$fecha_documento = $Libro_venta->get_fecha_documento();
		$exento = $Libro_venta->get_exento();
		$total_neto = $Libro_venta->get_total_neto();
		$total_iva = $Libro_venta->get_total_iva();
		$total_bruto = $Libro_venta->get_total_bruto();
		$Libro_venta_bd = new Libro_venta_BD ($id_cliente, $nombre_cliente, $rut_cliente, $tipo_documento, $numero_documento, $desde_numero_boleta, $hasta_numero_boleta, $correlativo, $folio, $fecha_documento, $exento, $total_neto, $total_iva, $total_bruto, $id_documento);
		return $this->controlador_bd_Libro_venta->guardarLibro_venta_BD($Libro_venta_bd);
	}
	
	function actualizarLibro_venta(Libro_venta $Libro_venta){
		$id_documento = $Libro_venta->get_id_documento();
		$id_cliente = $Libro_venta->get_id_cliente();
		$nombre_cliente = $Libro_venta->get_nombre_cliente();
		$rut_cliente = $Libro_venta->get_rut_cliente();
		$tipo_documento = $Libro_venta->get_tipo_documento();
		$numero_documento = $Libro_venta->get_numero_documento();
		$desde_numero_boleta = $Libro_venta->get_desde_numero_boleta();
		$hasta_numero_boleta = $Libro_venta->get_hasta_numero_boleta();
		$correlativo = $Libro_venta->get_correlativo();
		$folio = $Libro_venta->get_folio();
		$fecha_documento = $Libro_venta->get_fecha_documento();
		$exento = $Libro_venta->get_exento();
		$total_neto = $Libro_venta->get_total_neto();
		$total_iva = $Libro_venta->get_total_iva();
		$total_bruto = $Libro_venta->get_total_bruto();
		$Libro_venta_bd = new Libro_venta_BD ($id_cliente, $nombre_cliente, $rut_cliente, $tipo_documento, $numero_documento, $desde_numero_boleta, $hasta_numero_boleta, $correlativo, $folio, $fecha_documento, $exento, $total_neto, $total_iva, $total_bruto, $id_documento);
		return $this->controlador_bd_Libro_venta->actualizarLibro_venta_BD($Libro_venta_bd);
	}
	
	function eliminarLibro_venta($id_documento){
		return $this->controlador_bd_Libro_venta->eliminarLibro_venta_BD($id_documento);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
