<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Producto {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadProducto($filtro){
		$cbd = new controlador_bd_Producto();
		return $cbd->getCantidadProducto_BD($filtro);
	}
	

	function getListadoProducto($filtro,$extra){
		$cbd = new controlador_bd_Producto();
		$listado_Producto_arr = $cbd->getListadoProducto_BD($filtro,$extra);
	foreach ($listado_Producto_arr as $Producto_arr){
		$listado_Producto[] = new Producto($Producto_arr);
	}
	return $listado_Producto;
	}
	
	function getProducto($id_producto, $campo){
		if ($campo == "id"){$filtro["id_producto"] = $id_producto;}
		if ($campo == "cb"){$filtro["codigo_barra"] = $id_producto;}
		if (!$campo){$filtro["id_producto"] = $id_producto;}

		$cbd = new controlador_bd_Producto();
		$listado_Producto_arr = $cbd->getListadoProducto_BD($filtro,$extra);
		if ($listado_Producto_arr) return new Producto($listado_Producto_arr[0]);
		return null;
	}
	
	function guardarProducto($Producto){
		$cbd = new controlador_bd_Producto();
		$id_producto = $Producto->get_id_producto();
		$codigo_antiguo = $Producto->get_codigo_antiguo();
		$codigo_barra = $Producto->get_codigo_barra();
		$id_familia = $Producto->get_id_familia();
		$id_subfamilia = $Producto->get_id_subfamilia();
		$descripcion = $Producto->get_descripcion();
		$id_unidad = $Producto->get_id_unidad();
		$etiqueta = $Producto->get_etiqueta();
		$estado = $Producto->get_estado();
		$observacion = $Producto->get_observacion();
		$precio = $Producto->get_precio();
		$precio2 = $Producto->get_precio2();
		$precio3 = $Producto->get_precio3();
		$cristal = $Producto->get_cristal();
		$extra3 = $Producto->get_extra3();
		$descuento = $Producto->get_descuento();
		$descuento2 = $Producto->get_descuento2();
		$descuento3 = $Producto->get_descuento3();
		$id_proveedor = $Producto->get_id_proveedor();
		$precio_particular = $Producto->get_precio_particular();
		$descuento_particular = $Producto->get_descuento_particular();
		$precio_distribuidor = $Producto->get_precio_distribuidor();
		$descuento_distribuidor = $Producto->get_descuento_distribuidor();
		$ult_fecha_recepcion = $Producto->get_ult_fecha_recepcion();
		$ex6 = $Producto->get_ex6();
		$vigente = $Producto->get_vigente();
		$ultimo_precio_compra = $Producto->get_ultimo_precio_compra();
		$nro_orden_compra = $Producto->get_nro_orden_compra();
		$tracking = $Producto->get_tracking();
		
		
		
		$Producto_bd = new Producto_BD ($codigo_antiguo, $codigo_barra, $id_familia, $id_subfamilia, $descripcion, $id_unidad, $etiqueta, $estado, $observacion, $precio, $cristal, $extra3, $descuento, $id_proveedor, $precio_particular, $descuento_particular, $precio_distribuidor, $descuento_distribuidor, $ult_fecha_recepcion, $ex6, $precio2, $descuento2, $vigente, $ultimo_precio_compra, $nro_orden_compra, $tracking, $precio3, $descuento3, $id_producto);
		return $cbd->guardarProducto_BD($Producto_bd);
	}
	
	function actualizarProducto($Producto){
		$cbd = new controlador_bd_Producto();
		$id_producto = $Producto->get_id_producto();
		$codigo_antiguo = $Producto->get_codigo_antiguo();
		$codigo_barra = $Producto->get_codigo_barra();
		$id_familia = $Producto->get_id_familia();
		$id_subfamilia = $Producto->get_id_subfamilia();
		$descripcion = $Producto->get_descripcion();
		$id_unidad = $Producto->get_id_unidad();
		$etiqueta = $Producto->get_etiqueta();
		$estado = $Producto->get_estado();
		$observacion = $Producto->get_observacion();
		$precio = $Producto->get_precio();
		$precio2 = $Producto->get_precio2();
		$precio3 = $Producto->get_precio3();	
		$cristal = $Producto->get_cristal();
		$extra3 = $Producto->get_extra3();
		$descuento = $Producto->get_descuento();
		$descuento2 = $Producto->get_descuento2();
		$descuento3 = $Producto->get_descuento3();
		$id_proveedor = $Producto->get_id_proveedor();
		$precio_particular = $Producto->get_precio_particular();
		$descuento_particular = $Producto->get_descuento_particular();
		$precio_distribuidor = $Producto->get_precio_distribuidor();
		$descuento_distribuidor = $Producto->get_descuento_distribuidor();
		$ult_fecha_recepcion = $Producto->get_ult_fecha_recepcion();
		$ex6 = $Producto->get_ex6();
		$vigente = $Producto->get_vigente();
		$ultimo_precio_compra = $Producto->get_ultimo_precio_compra();
		$nro_orden_compra = $Producto->get_nro_orden_compra();
		$tracking = $Producto->get_tracking();

		$Producto_bd = new Producto_BD ($codigo_antiguo, $codigo_barra, $id_familia, $id_subfamilia, $descripcion, $id_unidad, $etiqueta, $estado, $observacion, $precio, $cristal, $extra3, $descuento, $id_proveedor, $precio_particular, $descuento_particular, $precio_distribuidor, $descuento_distribuidor, $ult_fecha_recepcion, $ex6, $precio2, $descuento2, $vigente, $ultimo_precio_compra, $nro_orden_compra, $tracking, $precio3, $descuento3, $id_producto);
		return $cbd->actualizarProducto_BD($Producto_bd);
	}
	
	function eliminarProducto($id_producto){
		$cbd = new controlador_bd_Producto();
		return $cbd->eliminarProducto_BD($id_producto);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
