<?

//------------------------------------------------------------------------------
	//	CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------

class Controlador_Logico_Reserva_laboratorio {
	//ES UN CONTENEDOR DE ATRIBUTOS SETEADOS EN TIEMPO DE EJECUCION
	
	private $controlador_bd_Reserva_laboratorio;
	
	//CONSTRUCTOR
	public function __construct ()
	{
		$this->controlador_bd_Reserva_laboratorio = new controlador_bd_Reserva_laboratorio;
	}
	
	// DESTRUCTOR
	public function __destruct()
	{
		
	}
	
//------------------------------------------------------------------------------
	//	FUNCIONES
//------------------------------------------------------------------------------

	function getCantidadReserva_laboratorio($filtro){
		return $this->controlador_bd_Reserva_laboratorio->getCantidadReserva_laboratorio_BD($filtro);
	}
	
	function getListadoReserva_laboratorio($filtro,$extra){
		$listado_Reserva_laboratorio_bd = $this->controlador_bd_Reserva_laboratorio->getListadoReserva_laboratorio_BD($filtro,$extra);
		$Reserva_laboratorio_bd = new Reserva_laboratorio_bd();
	foreach ($listado_Reserva_laboratorio_bd as $Reserva_laboratorio_bd){
		$listado_Reserva_laboratorio[] = new Reserva_laboratorio($Reserva_laboratorio_bd);
	}
	return $listado_Reserva_laboratorio;
	}
	
	function getReserva_laboratorio($id_reserva){
		$Reserva_laboratorio_bd = $this->controlador_bd_Reserva_laboratorio->getReserva_laboratorio_BD($id_reserva);
		if ($Reserva_laboratorio_bd)
		return (new Reserva_laboratorio($Reserva_laboratorio_bd));
		else
		return null;
	}
	
	function getReserva_laboratorio_NroSobre($nro_sobre){
		
		$filtro["nro_sobre"] = $nro_sobre;
		$listado = $this->getListadoReserva_laboratorio($filtro);
		return  $listado[0];
	}
	
	function guardarReserva_laboratorio(Reserva_laboratorio $Reserva_laboratorio){
		$id_reserva = $Reserva_laboratorio->get_id_reserva();
		$id_tecnico = $Reserva_laboratorio->get_id_tecnico();
		$fecha_creacion = $Reserva_laboratorio->get_fecha_creacion();
		$id_usuario = $Reserva_laboratorio->get_id_usuario();
		$fecha = $Reserva_laboratorio->get_fecha();
		$hora_inicio = $Reserva_laboratorio->get_hora_inicio();
		$hora_termino = $Reserva_laboratorio->get_hora_termino();
		$nro_sobre = $Reserva_laboratorio->get_nro_sobre();
		$nombre_paciente = $Reserva_laboratorio->get_nombre_paciente();
		$estado = $Reserva_laboratorio->get_estado();
		$observacion = $Reserva_laboratorio->get_observacion();
		$id_sucursal = $Reserva_laboratorio->get_id_sucursal();
		$id_maquina = $Reserva_laboratorio->get_id_maquina();
		$id_vale_venta = $Reserva_laboratorio->get_id_vale_venta();
		$ex4 = $Reserva_laboratorio->get_ex4();
		$ex5 = $Reserva_laboratorio->get_ex5();
		$ex6 = $Reserva_laboratorio->get_ex6();
		$ex7 = $Reserva_laboratorio->get_ex7();
		$ex8 = $Reserva_laboratorio->get_ex8();
		$Reserva_laboratorio_bd = new Reserva_laboratorio_BD ($id_tecnico, $fecha_creacion, $id_usuario, $fecha, $hora_inicio, $hora_termino, $nro_sobre, $nombre_paciente, $estado, $observacion, $id_sucursal, $id_maquina, $id_vale_venta, $ex4, $ex5, $ex6, $ex7, $ex8, $id_reserva);
		return $this->controlador_bd_Reserva_laboratorio->guardarReserva_laboratorio_BD($Reserva_laboratorio_bd);
	}
	
	function actualizarReserva_laboratorio(Reserva_laboratorio $Reserva_laboratorio){
		$id_reserva = $Reserva_laboratorio->get_id_reserva();
		$id_tecnico = $Reserva_laboratorio->get_id_tecnico();
		$fecha_creacion = $Reserva_laboratorio->get_fecha_creacion();
		$id_usuario = $Reserva_laboratorio->get_id_usuario();
		$fecha = $Reserva_laboratorio->get_fecha();
		$hora_inicio = $Reserva_laboratorio->get_hora_inicio();
		$hora_termino = $Reserva_laboratorio->get_hora_termino();
		$nro_sobre = $Reserva_laboratorio->get_nro_sobre();
		$nombre_paciente = $Reserva_laboratorio->get_nombre_paciente();
		$estado = $Reserva_laboratorio->get_estado();
		$observacion = $Reserva_laboratorio->get_observacion();
		$id_sucursal = $Reserva_laboratorio->get_id_sucursal();
		$id_maquina = $Reserva_laboratorio->get_id_maquina();
		$id_vale_venta = $Reserva_laboratorio->get_id_vale_venta();
		$ex4 = $Reserva_laboratorio->get_ex4();
		$ex5 = $Reserva_laboratorio->get_ex5();
		$ex6 = $Reserva_laboratorio->get_ex6();
		$ex7 = $Reserva_laboratorio->get_ex7();
		$ex8 = $Reserva_laboratorio->get_ex8();
		$Reserva_laboratorio_bd = new Reserva_laboratorio_BD ($id_tecnico, $fecha_creacion, $id_usuario, $fecha, $hora_inicio, $hora_termino, $nro_sobre, $nombre_paciente, $estado, $observacion, $id_sucursal, $id_maquina, $id_vale_venta, $ex4, $ex5, $ex6, $ex7, $ex8, $id_reserva);
		return $this->controlador_bd_Reserva_laboratorio->actualizarReserva_laboratorio_BD($Reserva_laboratorio_bd);
	}
	
	function eliminarReserva_laboratorio($id_reserva){
		return $this->controlador_bd_Reserva_laboratorio->eliminarReserva_laboratorio_BD($id_reserva);
	}
	}
//------------------------------------------------------------------------------
	//	FIN CLASE CONTROLADOR_LOGICO
//------------------------------------------------------------------------------
?>
