<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Bitacora_Fachada {

function &getListadoBitacora($filtro,$extra)

	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= "ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	if ($extra["limit"]){
		$where .= "LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_BITACORA",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_bitacora = $RecordSet -> Fields("id_bitacora");
		$id_sobre = $RecordSet -> Fields("id_sobre");
		$fecha_ingreso = $RecordSet -> Fields("fecha_ingreso");
		$id_responsable = $RecordSet -> Fields("id_responsable");
		$observacion = $RecordSet -> Fields("observacion");
		$estado = $RecordSet -> Fields("estado");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");
		
		$temp = new Bitacora ($id_sobre, $fecha_ingreso, $id_responsable, $observacion, $estado, $extra1, $extra2, $extra3, $extra4, $id_bitacora);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getBitacora($id_bitacora)
	{
		global $conn;
		$query = expandir("GET_BITACORA",
		"id_bitacora", $id_bitacora
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_bitacora = $RecordSet -> Fields("id_bitacora");
	$id_sobre = $RecordSet -> Fields("id_sobre");
	$fecha_ingreso = $RecordSet -> Fields("fecha_ingreso");
	$id_responsable = $RecordSet -> Fields("id_responsable");
	$observacion = $RecordSet -> Fields("observacion");
	$estado = $RecordSet -> Fields("estado");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	$extra4 = $RecordSet -> Fields("extra4");
	
	
	$temp = new Bitacora ($id_sobre, $fecha_ingreso, $id_responsable, $observacion, $estado, $extra1, $extra2, $extra3, $extra4, $id_bitacora);
	return $temp;
	}
	
	
	function &guardarBitacora($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_BITACORA",
		"fecha_ingreso", $objeto->fecha_ingreso,
		"id_responsable", $objeto->id_responsable,
		"observacion", $objeto->observacion,
		"estado", $objeto->estado,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"extra4", $objeto->extra4,
		"id_sobre", $objeto->id_sobre);
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
		
		
	}
	
	function &actualizarBitacora($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_BITACORA",
		"id_sobre", $objeto->id_sobre,
		"fecha_ingreso", $objeto->fecha_ingreso,
		"id_responsable", $objeto->id_responsable,
		"observacion", $objeto->observacion,
		"estado", $objeto->estado,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"extra4", $objeto->extra4,
		"id_bitacora", $objeto->id_bitacora);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarBitacora($id_bitacora){
		global $conn;
		$query = expandir("ELIMINAR_BITACORA",
		"id_bitacora", $id_bitacora
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
