<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Bitacora_tracking_BD_Fachada {

function &getListadoBitacora_tracking_BD($filtro,$extra)
	{
		validar_tabla_db("Bitacora_tracking");
		$extra_var = get_extra_var("BITACORA_TRACKING");
		$query = make_query("bitacora_tracking", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarBitacora_tracking_BD($objeto){
		validar_tabla_db("Bitacora_tracking");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_BITACORA_TRACKING_BD",
		"estado", $objeto->get_estado(),
		"id_detalle_orden_produccion", $objeto->get_id_detalle_orden_produccion(),
		"id_usuario", $objeto->get_id_usuario(),
		"id_orden_produccion", $objeto->get_id_orden_produccion(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"fecha", $objeto->get_fecha());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarBitacora_tracking_BD(Bitacora_tracking_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_BITACORA_TRACKING_BD",
		"fecha", $objeto->get_fecha(),
		"estado", $objeto->get_estado(),
		"id_detalle_orden_produccion", $objeto->get_id_detalle_orden_produccion(),
		"id_usuario", $objeto->get_id_usuario(),
		"id_orden_produccion", $objeto->get_id_orden_produccion(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"id_bitacora", $objeto->get_id_bitacora());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarBitacora_tracking_BD($id_bitacora){
		global $conn;
		$query = expandir("ELIMINAR_BITACORA_TRACKING_BD",
		"id_bitacora", $id_bitacora
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadBitacora_tracking_BD($filtro){
		validar_tabla_db("Bitacora_tracking");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_BITACORA_TRACKING_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
