<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Conpas_BD_Fachada {

function &getListadoConpas_BD($filtro,$extra)
	{
//		validar_tabla_db("Conpas");
		$extra_var = get_extra_var("CONPAS");
		$query = make_query("conpas", $filtro, $extra, $extra_var);
		debug($query);
		$vector = exec_query_flex($query);
		return $vector;
	}
	
	function &guardarConpas_BD($objeto){
		validar_tabla_db("Conpas");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONPAS_BD",
		"LINEA", $objeto->get_LINEA(),
		"FECHA", $objeto->get_FECHA(),
		"GLOSA", $objeto->get_GLOSA(),
		"TIP_COMP", $objeto->get_TIP_COMP(),
		"CUENTA", $objeto->get_CUENTA(),
		"DEBE", $objeto->get_DEBE(),
		"HABER", $objeto->get_HABER(),
		"TIP_ANAL", $objeto->get_TIP_ANAL(),
		"CTA_ITEM", $objeto->get_CTA_ITEM(),
		"TIP_DOCU", $objeto->get_TIP_DOCU(),
		"TIP_TABLA", $objeto->get_TIP_TABLA(),
		"NUM_DOCU", $objeto->get_NUM_DOCU(),
		"VENCTO", $objeto->get_VENCTO(),
		"TIP_GLOSA", $objeto->get_TIP_GLOSA(),
		"DIG_VER", $objeto->get_DIG_VER(),
		"ANO", $objeto->get_ANO(),
		"NUM_ADIC", $objeto->get_NUM_ADIC(),
		"COD_MON", $objeto->get_COD_MON(),
		"PARIDAD", $objeto->get_PARIDAD(),
		"BIMFOL", $objeto->get_BIMFOL(),
		"TIP_BIM", $objeto->get_TIP_BIM(),
		"CAMBIO", $objeto->get_CAMBIO(),
		"CB_TIPDOC", $objeto->get_CB_TIPDOC(),
		"CB_NUMDOC", $objeto->get_CB_NUMDOC(),
		"CB_CTACTE", $objeto->get_CB_CTACTE(),
		"CB_DIGVER", $objeto->get_CB_DIGVER(),
		"CB_FECHA", $objeto->get_CB_FECHA(),
		"GLOSA_AD", $objeto->get_GLOSA_AD(),
		"ANO_MOV", $objeto->get_ANO_MOV(),
		"CENTRO", $objeto->get_CENTRO(),
		"AF_FLUJO", $objeto->get_AF_FLUJO(),
		"NUMERO", $objeto->get_NUMERO());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarConpas_BD(Conpas_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONPAS_BD",
		"NUMERO", $objeto->get_NUMERO(),
		"LINEA", $objeto->get_LINEA(),
		"FECHA", $objeto->get_FECHA(),
		"GLOSA", $objeto->get_GLOSA(),
		"TIP_COMP", $objeto->get_TIP_COMP(),
		"CUENTA", $objeto->get_CUENTA(),
		"DEBE", $objeto->get_DEBE(),
		"HABER", $objeto->get_HABER(),
		"TIP_ANAL", $objeto->get_TIP_ANAL(),
		"CTA_ITEM", $objeto->get_CTA_ITEM(),
		"TIP_DOCU", $objeto->get_TIP_DOCU(),
		"TIP_TABLA", $objeto->get_TIP_TABLA(),
		"NUM_DOCU", $objeto->get_NUM_DOCU(),
		"VENCTO", $objeto->get_VENCTO(),
		"TIP_GLOSA", $objeto->get_TIP_GLOSA(),
		"DIG_VER", $objeto->get_DIG_VER(),
		"ANO", $objeto->get_ANO(),
		"NUM_ADIC", $objeto->get_NUM_ADIC(),
		"COD_MON", $objeto->get_COD_MON(),
		"PARIDAD", $objeto->get_PARIDAD(),
		"BIMFOL", $objeto->get_BIMFOL(),
		"TIP_BIM", $objeto->get_TIP_BIM(),
		"CAMBIO", $objeto->get_CAMBIO(),
		"CB_TIPDOC", $objeto->get_CB_TIPDOC(),
		"CB_NUMDOC", $objeto->get_CB_NUMDOC(),
		"CB_CTACTE", $objeto->get_CB_CTACTE(),
		"CB_DIGVER", $objeto->get_CB_DIGVER(),
		"CB_FECHA", $objeto->get_CB_FECHA(),
		"GLOSA_AD", $objeto->get_GLOSA_AD(),
		"ANO_MOV", $objeto->get_ANO_MOV(),
		"CENTRO", $objeto->get_CENTRO(),
		"AF_FLUJO", $objeto->get_AF_FLUJO(),
		"RECORD_NUMBER", $objeto->get_RECORD_NUMBER());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarConpas_BD($RECORD_NUMBER){
		global $conn;
		$query = expandir("ELIMINAR_CONPAS_BD",
		"RECORD_NUMBER", $RECORD_NUMBER
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadConpas_BD($filtro){
		validar_tabla_db("Conpas");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONPAS_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
