<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_cartola_bancaria_BD_Fachada {

function &getListadoCont_cartola_bancaria_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_CARTOLA_BANCARIA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_cartola_bancaria = $RecordSet -> Fields("id_cartola_bancaria");
		$numero_cartola = $RecordSet -> Fields("numero_cartola");
		$numero_cuenta = $RecordSet -> Fields("numero_cuenta");
		$periodo_inicio = $RecordSet -> Fields("periodo_inicio");
		$periodo_final = $RecordSet -> Fields("periodo_final");
		$nombre_ejecutivo = $RecordSet -> Fields("nombre_ejecutivo");
		$telefono_ejecutivo = $RecordSet -> Fields("telefono_ejecutivo");
		$saldo_inicial = $RecordSet -> Fields("saldo_inicial");
		$saldo_final = $RecordSet -> Fields("saldo_final");
		$monto_sobregiro = $RecordSet -> Fields("monto_sobregiro");
		$sobregiro_utilizado = $RecordSet -> Fields("sobregiro_utilizado");
		$vencimiento_sobregiro = $RecordSet -> Fields("vencimiento_sobregiro");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$id_banco = $RecordSet -> Fields("id_banco");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_cartola_bancaria_BD ($numero_cartola, $numero_cuenta, $periodo_inicio, $periodo_final, $nombre_ejecutivo, $telefono_ejecutivo, $saldo_inicial, $saldo_final, $monto_sobregiro, $sobregiro_utilizado, $vencimiento_sobregiro, $id_empresa, $id_banco, $extra3, $id_cartola_bancaria);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_cartola_bancaria_BD($id_cartola_bancaria)
	{
		global $conn;
		$query = expandir("GET_CONT_CARTOLA_BANCARIA_BD",
		"id_cartola_bancaria", $id_cartola_bancaria
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_cartola_bancaria = $RecordSet -> Fields("id_cartola_bancaria");
	$numero_cartola = $RecordSet -> Fields("numero_cartola");
	$numero_cuenta = $RecordSet -> Fields("numero_cuenta");
	$periodo_inicio = $RecordSet -> Fields("periodo_inicio");
	$periodo_final = $RecordSet -> Fields("periodo_final");
	$nombre_ejecutivo = $RecordSet -> Fields("nombre_ejecutivo");
	$telefono_ejecutivo = $RecordSet -> Fields("telefono_ejecutivo");
	$saldo_inicial = $RecordSet -> Fields("saldo_inicial");
	$saldo_final = $RecordSet -> Fields("saldo_final");
	$monto_sobregiro = $RecordSet -> Fields("monto_sobregiro");
	$sobregiro_utilizado = $RecordSet -> Fields("sobregiro_utilizado");
	$vencimiento_sobregiro = $RecordSet -> Fields("vencimiento_sobregiro");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$id_banco = $RecordSet -> Fields("id_banco");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_cartola_bancaria_BD ($numero_cartola, $numero_cuenta, $periodo_inicio, $periodo_final, $nombre_ejecutivo, $telefono_ejecutivo, $saldo_inicial, $saldo_final, $monto_sobregiro, $sobregiro_utilizado, $vencimiento_sobregiro, $id_empresa, $id_banco, $extra3, $id_cartola_bancaria);
	return $temp;
	}
	
	
	function &guardarCont_cartola_bancaria_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_CARTOLA_BANCARIA_BD",
		"numero_cuenta", $objeto->get_numero_cuenta(),
		"periodo_inicio", $objeto->get_periodo_inicio(),
		"periodo_final", $objeto->get_periodo_final(),
		"nombre_ejecutivo", $objeto->get_nombre_ejecutivo(),
		"telefono_ejecutivo", $objeto->get_telefono_ejecutivo(),
		"saldo_inicial", $objeto->get_saldo_inicial(),
		"saldo_final", $objeto->get_saldo_final(),
		"monto_sobregiro", $objeto->get_monto_sobregiro(),
		"sobregiro_utilizado", $objeto->get_sobregiro_utilizado(),
		"vencimiento_sobregiro", $objeto->get_vencimiento_sobregiro(),
		"id_empresa", $objeto->get_id_empresa(),
		"id_banco", $objeto->get_id_banco(),
		"extra3", $objeto->get_extra3(),
		"numero_cartola", $objeto->get_numero_cartola());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_cartola_bancaria_BD(Cont_cartola_bancaria_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_CARTOLA_BANCARIA_BD",
		"numero_cartola", $objeto->get_numero_cartola(),
		"numero_cuenta", $objeto->get_numero_cuenta(),
		"periodo_inicio", $objeto->get_periodo_inicio(),
		"periodo_final", $objeto->get_periodo_final(),
		"nombre_ejecutivo", $objeto->get_nombre_ejecutivo(),
		"telefono_ejecutivo", $objeto->get_telefono_ejecutivo(),
		"saldo_inicial", $objeto->get_saldo_inicial(),
		"saldo_final", $objeto->get_saldo_final(),
		"monto_sobregiro", $objeto->get_monto_sobregiro(),
		"sobregiro_utilizado", $objeto->get_sobregiro_utilizado(),
		"vencimiento_sobregiro", $objeto->get_vencimiento_sobregiro(),
		"id_empresa", $objeto->get_id_empresa(),
		"id_banco", $objeto->get_id_banco(),
		"extra3", $objeto->get_extra3(),
		"id_cartola_bancaria", $objeto->get_id_cartola_bancaria());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_cartola_bancaria_BD($id_cartola_bancaria){
		global $conn;
		$query = expandir("ELIMINAR_CONT_CARTOLA_BANCARIA_BD",
		"id_cartola_bancaria", $id_cartola_bancaria
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_cartola_bancaria_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_CARTOLA_BANCARIA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
