<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_centralizacion_BD_Fachada {

function &getListadoCont_centralizacion_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_CENTRALIZACION_BD",
	"where",$where
	);
	
	//debug($query);
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_cont_centralizacion = $RecordSet -> Fields("id_cont_centralizacion");
		$id_comprobante_contable = $RecordSet -> Fields("id_comprobante_contable");
		$id_tipo_centralizacion = $RecordSet -> Fields("id_tipo_centralizacion");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$descripcion = $RecordSet -> Fields("descripcion");
		$fecha_centralizacion = $RecordSet -> Fields("fecha_centralizacion");
		$mes_proceso = $RecordSet -> Fields("mes_proceso");
		$ano_proceso = $RecordSet -> Fields("ano_proceso");
		$estado = $RecordSet -> Fields("estado");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");
		
		$temp = new Cont_centralizacion_BD ($id_comprobante_contable, $id_tipo_centralizacion, $id_usuario, $descripcion, $fecha_centralizacion, $mes_proceso, $ano_proceso, $estado, $id_empresa, $id_sucursal, $extra3, $extra4, $id_cont_centralizacion);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_centralizacion_BD($id_cont_centralizacion)
	{
		global $conn;
		$query = expandir("GET_CONT_CENTRALIZACION_BD",
		"id_cont_centralizacion", $id_cont_centralizacion
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_cont_centralizacion = $RecordSet -> Fields("id_cont_centralizacion");
	$id_comprobante_contable = $RecordSet -> Fields("id_comprobante_contable");
	$id_tipo_centralizacion = $RecordSet -> Fields("id_tipo_centralizacion");
	$id_usuario = $RecordSet -> Fields("id_usuario");
	$descripcion = $RecordSet -> Fields("descripcion");
	$fecha_centralizacion = $RecordSet -> Fields("fecha_centralizacion");
	$mes_proceso = $RecordSet -> Fields("mes_proceso");
	$ano_proceso = $RecordSet -> Fields("ano_proceso");
	$estado = $RecordSet -> Fields("estado");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$extra3 = $RecordSet -> Fields("extra3");
	$extra4 = $RecordSet -> Fields("extra4");
	
	
	$temp = new Cont_centralizacion_BD ($id_comprobante_contable, $id_tipo_centralizacion, $id_usuario, $descripcion, $fecha_centralizacion, $mes_proceso, $ano_proceso, $estado, $id_empresa, $id_sucursal, $extra3, $extra4, $id_cont_centralizacion);
	return $temp;
	}
	
	
	function &guardarCont_centralizacion_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_CENTRALIZACION_BD",
		"id_tipo_centralizacion", $objeto->get_id_tipo_centralizacion(),
		"id_usuario", $objeto->get_id_usuario(),
		"descripcion", $objeto->get_descripcion(),
		"fecha_centralizacion", $objeto->get_fecha_centralizacion(),
		"mes_proceso", $objeto->get_mes_proceso(),
		"ano_proceso", $objeto->get_ano_proceso(),
		"estado", $objeto->get_estado(),
		"id_empresa", $objeto->get_id_empresa(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"id_comprobante_contable", $objeto->get_id_comprobante_contable());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_centralizacion_BD(Cont_centralizacion_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_CENTRALIZACION_BD",
		"id_comprobante_contable", $objeto->get_id_comprobante_contable(),
		"id_tipo_centralizacion", $objeto->get_id_tipo_centralizacion(),
		"id_usuario", $objeto->get_id_usuario(),
		"descripcion", $objeto->get_descripcion(),
		"fecha_centralizacion", $objeto->get_fecha_centralizacion(),
		"mes_proceso", $objeto->get_mes_proceso(),
		"ano_proceso", $objeto->get_ano_proceso(),
		"estado", $objeto->get_estado(),
		"id_empresa", $objeto->get_id_empresa(),
		"id_sucursal", $objeto->get_id_sucursal(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"id_cont_centralizacion", $objeto->get_id_cont_centralizacion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_centralizacion_BD($id_cont_centralizacion){
		global $conn;
		$query = expandir("ELIMINAR_CONT_CENTRALIZACION_BD",
		"id_cont_centralizacion", $id_cont_centralizacion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_centralizacion_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_CENTRALIZACION_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
