<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_chequera_BD_Fachada {

function &getListadoCont_chequera_BD($filtro,$extra)
	{
		$extra_var = get_extra_var("CONT_CHEQUERA");
		$query = make_query("cont_chequera", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
	
		return $vector;
	}
function &getListadoCont_chequera_BD2($filtro,$extra)
	{
		$extra_var = get_extra_var("CONT_CHEQUERA");
		
		$query = "SELECT * FROM cont_chequera ch,cont_banco b,cont_cta_cte cta WHERE ch.id_banco=b.id_cont_banco and ch.id_cont_cta_cte=cta.id_cont_cta_cte $filtro";
		
		
		$vector = exec_query($query);
	
		return $vector;
	}
	
	function &guardarCont_chequera_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_CHEQUERA_BD",
		"num_chequera", $objeto->get_num_chequera(),
		"id_banco", $objeto->get_id_banco(),
		"id_cont_cta_cte", $objeto->get_id_cont_cta_cte(),
		"intervalo_inicial", $objeto->get_intervalo_inicial(),
		"intervalo_final", $objeto->get_intervalo_final(),
		"fecha_ingreso", $objeto->get_fecha_ingreso(),
		"serie", $objeto->get_serie());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_chequera_BD(Cont_chequera_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_CHEQUERA_BD",
		"serie", $objeto->get_serie(),
		"num_chequera", $objeto->get_num_chequera(),
		"id_banco", $objeto->get_id_banco(),
		"id_cont_cta_cte", $objeto->get_id_cont_cta_cte(),
		"intervalo_inicial", $objeto->get_intervalo_inicial(),
		"intervalo_final", $objeto->get_intervalo_final(),
		"fecha_ingreso", $objeto->get_fecha_ingreso(),
		"id_cont_chequera", $objeto->get_id_cont_chequera());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_chequera_BD($id_cont_chequera){
		global $conn;
		$query = expandir("ELIMINAR_CONT_CHEQUERA_BD",
		"id_cont_chequera", $id_cont_chequera
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_chequera_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_CHEQUERA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
