<?


//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_detalle_comprobante_temporal_BD_Fachada {

	function & borrarTablaBD(){
		global $conn;
		
		$query = expandir("BORRAR_TABLA_BD");
		//debug($query);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function & getListadoCont_detalle_comprobante_temporal_BD($filtro, $extra) {
		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}

		if ($extra["group"]) {
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]) {
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]) {
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]) {
			if ($extra["desde"]) {
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			} else {
				$where .= " LIMIT ".$extra["limit"];
			}
		} else {
			if ($extra["desde"]) {
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]) {
			$where .= $extra["sql"];
		}
		if ($extra["new_sql"]) {
			$query = $extra["new_sql"];
		} else {
			$query = expandir("GET_LISTADO_CONT_DETALLE_COMPROBANTE_TEMPORAL_BD", "where", $where);
		}

		//debug($query);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet->EOF) {
			$id_detalle_comprobante = $RecordSet->Fields("id_detalle_comprobante");
			$id_comprobante = $RecordSet->Fields("id_comprobante");
			$id_cuenta = $RecordSet->Fields("id_cuenta");
			$id_tipo_documento = $RecordSet->Fields("id_tipo_documento");
			$id_documento = $RecordSet->Fields("id_documento");
			$rut = $RecordSet->Fields("rut");
			$descripcion = $RecordSet->Fields("descripcion");
			$debe = $RecordSet->Fields("debe");
			$haber = $RecordSet->Fields("haber");
			$estado = $RecordSet->Fields("estado");
			$tipo_comprobante = $RecordSet->Fields("tipo_comprobante");
			$id_cliente_proveedor = $RecordSet->Fields("id_cliente_proveedor");
			$id_centro_costo = $RecordSet->Fields("id_centro_costo");
			$id_detalle_comprobante_pago = $RecordSet->Fields("id_detalle_comprobante_pago");
			$extra3 = $RecordSet->Fields("extra3");
			$extra4 = $RecordSet->Fields("extra4");
			$extra5 = $RecordSet->Fields("extra5");

			$temp = new Cont_detalle_comprobante_temporal_BD($id_comprobante, $id_cuenta, $id_tipo_documento, $id_documento, $rut, $descripcion, $debe, $haber, $estado, $tipo_comprobante, $id_cliente_proveedor, $id_centro_costo, $id_detalle_comprobante_pago, $extra3, $extra4, $extra5, $id_detalle_comprobante);
			$vector[$cont ++] = $temp;
			$RecordSet->MoveNext();
		}

		return $vector;
	}

	function & getCont_detalle_comprobante_temporal_BD($id_detalle_comprobante) {
		global $conn;
		$query = expandir("GET_CONT_DETALLE_COMPROBANTE_TEMPORAL_BD", "id_detalle_comprobante", $id_detalle_comprobante);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_detalle_comprobante = $RecordSet->Fields("id_detalle_comprobante");
		$id_comprobante = $RecordSet->Fields("id_comprobante");
		$id_cuenta = $RecordSet->Fields("id_cuenta");
		$id_tipo_documento = $RecordSet->Fields("id_tipo_documento");
		$id_documento = $RecordSet->Fields("id_documento");
		$rut = $RecordSet->Fields("rut");
		$descripcion = $RecordSet->Fields("descripcion");
		$debe = $RecordSet->Fields("debe");
		$haber = $RecordSet->Fields("haber");
		$estado = $RecordSet->Fields("estado");
		$tipo_comprobante = $RecordSet->Fields("tipo_comprobante");
		$id_cliente_proveedor = $RecordSet->Fields("id_cliente_proveedor");
		$id_centro_costo = $RecordSet->Fields("id_centro_costo");
		$id_detalle_comprobante_pago = $RecordSet->Fields("id_detalle_comprobante_pago");
		$extra3 = $RecordSet->Fields("extra3");
		$extra4 = $RecordSet->Fields("extra4");
		$extra5 = $RecordSet->Fields("extra5");

		$temp = new Cont_detalle_comprobante_temporal_BD($id_comprobante, $id_cuenta, $id_tipo_documento, $id_documento, $rut, $descripcion, $debe, $haber, $estado, $tipo_comprobante, $id_cliente_proveedor, $id_centro_costo, $id_detalle_comprobante_pago, $extra3, $extra4, $extra5, $id_detalle_comprobante);
		return $temp;
	}

	function & guardarCont_detalle_comprobante_temporal_BD($objeto) {
		global $conn;
		$conn->debug = CONN_DEBUG;

		$query = expandir("GUARDAR_CONT_DETALLE_COMPROBANTE_TEMPORAL_BD", "id_cuenta", $objeto->get_id_cuenta(), "id_tipo_documento", $objeto->get_id_tipo_documento(), "id_documento", $objeto->get_id_documento(), "rut", $objeto->get_rut(), "descripcion", $objeto->get_descripcion(), "debe", $objeto->get_debe(), "haber", $objeto->get_haber(), "estado", $objeto->get_estado(), "tipo_comprobante", $objeto->get_tipo_comprobante(), "id_cliente_proveedor", $objeto->get_id_cliente_proveedor(), "id_centro_costo", $objeto->get_id_centro_costo(), "id_detalle_comprobante_pago", $objeto->get_id_detalle_comprobante_pago(), "extra3", $objeto->get_extra3(), "extra4", $objeto->get_extra4(), "extra5", $objeto->get_extra5(), "id_comprobante", $objeto->get_id_comprobante());

		$RecordSet = & $conn->Execute($query);
		return $conn->Insert_Id();
	}

	function & actualizarCont_detalle_comprobante_temporal_BD(Cont_detalle_comprobante_temporal_BD $objeto) {
		global $conn;
		$conn->debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_CONT_DETALLE_COMPROBANTE_TEMPORAL_BD", "id_comprobante", $objeto->get_id_comprobante(), "id_cuenta", $objeto->get_id_cuenta(), "id_tipo_documento", $objeto->get_id_tipo_documento(), "id_documento", $objeto->get_id_documento(), "rut", $objeto->get_rut(), "descripcion", $objeto->get_descripcion(), "debe", $objeto->get_debe(), "haber", $objeto->get_haber(), "estado", $objeto->get_estado(), "tipo_comprobante", $objeto->get_tipo_comprobante(), "id_cliente_proveedor", $objeto->get_id_cliente_proveedor(), "id_centro_costo", $objeto->get_id_centro_costo(), "id_detalle_comprobante_pago", $objeto->get_id_detalle_comprobante_pago(), "extra3", $objeto->get_extra3(), "extra4", $objeto->get_extra4(), "extra5", $objeto->get_extra5(), "id_detalle_comprobante", $objeto->get_id_detalle_comprobante());

		$RecordSet = & $conn->Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function & eliminarCont_detalle_comprobante_temporal_BD($id_detalle_comprobante) {
		global $conn;
		$query = expandir("ELIMINAR_CONT_DETALLE_COMPROBANTE_TEMPORAL_BD", "id_detalle_comprobante", $id_detalle_comprobante);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function & cantidadCont_detalle_comprobante_temporal_BD($filtro) {
		global $conn;

		if (!$filtro) {
			$where = "";
		} else {
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item) {
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro) - 1)
					$where .= " AND ";
				$count ++;
			}
		}

		$query = expandir("GET_CANTIDAD_CONT_DETALLE_COMPROBANTE_TEMPORAL_BD", "where", $where);

		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}


	function getHistoricoDebeHaberPorCuenta_DT_BD($id_cuenta,$id_empresa,$mes_proceso,$ao_proceso){
		global $conn;
		
		$query = expandir("GET_HISTORICO_DEBE_HABER_POR_CUENTA_DT_BD", "id_cuenta", $id_cuenta, "id_empresa", $id_empresa, "mes_proceso", $mes_proceso, "ao_proceso", $ao_proceso);
		//debug($query);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);
	
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		
		$resultado[0] = $RecordSet->fields["DEBE"];
		$resultado[1] = $RecordSet->fields["HABER"];
		//debug($RecordSet);
		return $resultado;
	}
	
	function getTotalesDebeHaber_BD(){
		global $conn;

		$query = expandir("GET_TOTALES_DEBE_HABER_BD");
		//debug($query);
		$conn->debug = CONN_DEBUG;
		$RecordSet = & $conn->Execute($query);
	
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		
		$resultado[0] = $RecordSet->fields["DEBE"];
		$resultado[1] = $RecordSet->fields["HABER"];
		//debug($RecordSet);
		return $resultado;		
	}
} //Fin Clase
?>