<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_detalle_tipo_centralizacion_BD_Fachada {

function &getListadoCont_detalle_tipo_centralizacion_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_DETALLE_TIPO_CENTRALIZACION_BD",
	"where",$where
	);
	
	//debug($query);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_detalle_tipo_centralizacion = $RecordSet -> Fields("id_detalle_tipo_centralizacion");
		$id_tipo_centralizacion = $RecordSet -> Fields("id_tipo_centralizacion");
		$tipo_comprobante_control = $RecordSet -> Fields("tipo_comprobante_control");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_detalle_tipo_centralizacion_BD ($id_tipo_centralizacion, $tipo_comprobante_control, $extra1, $extra2, $extra3, $id_detalle_tipo_centralizacion);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_detalle_tipo_centralizacion_BD($id_detalle_tipo_centralizacion)
	{
		global $conn;
		$query = expandir("GET_CONT_DETALLE_TIPO_CENTRALIZACION_BD",
		"id_detalle_tipo_centralizacion", $id_detalle_tipo_centralizacion
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_detalle_tipo_centralizacion = $RecordSet -> Fields("id_detalle_tipo_centralizacion");
	$id_tipo_centralizacion = $RecordSet -> Fields("id_tipo_centralizacion");
	$tipo_comprobante_control = $RecordSet -> Fields("tipo_comprobante_control");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_detalle_tipo_centralizacion_BD ($id_tipo_centralizacion, $tipo_comprobante_control, $extra1, $extra2, $extra3, $id_detalle_tipo_centralizacion);
	return $temp;
	}
	
	
	function &guardarCont_detalle_tipo_centralizacion_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_DETALLE_TIPO_CENTRALIZACION_BD",
		"tipo_comprobante_control", $objeto->get_tipo_comprobante_control(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_tipo_centralizacion", $objeto->get_id_tipo_centralizacion());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_detalle_tipo_centralizacion_BD(Cont_detalle_tipo_centralizacion_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_DETALLE_TIPO_CENTRALIZACION_BD",
		"id_tipo_centralizacion", $objeto->get_id_tipo_centralizacion(),
		"tipo_comprobante_control", $objeto->get_tipo_comprobante_control(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_detalle_tipo_centralizacion", $objeto->get_id_detalle_tipo_centralizacion());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_detalle_tipo_centralizacion_BD($id_detalle_tipo_centralizacion){
		global $conn;
		$query = expandir("ELIMINAR_CONT_DETALLE_TIPO_CENTRALIZACION_BD",
		"id_detalle_tipo_centralizacion", $id_detalle_tipo_centralizacion
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_detalle_tipo_centralizacion_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_DETALLE_TIPO_CENTRALIZACION_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
