<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class ContEmpresa_Fachada {

function &getListadoContEmpresa($filtro,$extra)

	{
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"];
	}
	if ($extra["limit"]){
		$where .= " LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_CONT_EMPRESA",
	"where",	$where
	);


	//debug($query);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$id_contador = $RecordSet -> Fields("id_contador");
		$id_ciudad = $RecordSet -> Fields("id_ciudad");
		$id_plan_cuenta = $RecordSet -> Fields("id_plan_cuenta");
		$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
		$id_parametro = $RecordSet -> Fields("id_parametro");
		$rut = $RecordSet -> Fields("rut");
		$nombre = $RecordSet -> Fields("nombre");
		$razon_social = $RecordSet -> Fields("razon_social");
		$codigo_act_economica = $RecordSet -> Fields("codigo_act_economica");
		$giro = $RecordSet -> Fields("giro");
		$direccion = $RecordSet -> Fields("direccion");
		$telefono = $RecordSet -> Fields("telefono");
		$fax = $RecordSet -> Fields("fax");
		$website = $RecordSet -> Fields("website");
		$email = $RecordSet -> Fields("email");
		$mutual = $RecordSet -> Fields("mutual");
		$ccaf = $RecordSet -> Fields("ccaf");
		$formato_plan_cuenta = $RecordSet -> Fields("formato_plan_cuenta");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new ContEmpresa ($id_contador, $id_ciudad, $id_plan_cuenta, $id_centro_costo, $id_parametro, $rut, $nombre, $razon_social, $codigo_act_economica, $giro, $direccion, $telefono, $fax, $website, $email, $mutual, $ccaf, $formato_plan_cuenta, $extra2, $extra3, $id_empresa);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getContEmpresa($id_empresa)
	{
		global $conn;
		$query = expandir("GET_CONT_EMPRESA",
		"id_empresa", $id_empresa
		);

		//debug($query);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$id_contador = $RecordSet -> Fields("id_contador");
	$id_ciudad = $RecordSet -> Fields("id_ciudad");
	$id_plan_cuenta = $RecordSet -> Fields("id_plan_cuenta");
	$id_centro_costo = $RecordSet -> Fields("id_centro_costo");
	$id_parametro = $RecordSet -> Fields("id_parametro");
	$rut = $RecordSet -> Fields("rut");
	$nombre = $RecordSet -> Fields("nombre");
	$razon_social = $RecordSet -> Fields("razon_social");
	$codigo_act_economica = $RecordSet -> Fields("codigo_act_economica");
	$giro = $RecordSet -> Fields("giro");
	$direccion = $RecordSet -> Fields("direccion");
	$telefono = $RecordSet -> Fields("telefono");
	$fax = $RecordSet -> Fields("fax");
	$website = $RecordSet -> Fields("website");
	$email = $RecordSet -> Fields("email");
	$mutual = $RecordSet -> Fields("mutual");
	$ccaf = $RecordSet -> Fields("ccaf");
	$formato_plan_cuenta = $RecordSet -> Fields("formato_plan_cuenta");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new ContEmpresa ($id_contador, $id_ciudad, $id_plan_cuenta, $id_centro_costo, $id_parametro, $rut, $nombre, $razon_social, $codigo_act_economica, $giro, $direccion, $telefono, $fax, $website, $email, $mutual, $ccaf, $formato_plan_cuenta, $extra2, $extra3, $id_empresa);
	return $temp;
	}
	
	
	function &guardarContEmpresa($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_EMPRESA",
		"id_ciudad", $objeto->id_ciudad,
		"id_plan_cuenta", $objeto->id_plan_cuenta,
		"id_centro_costo", $objeto->id_centro_costo,
		"id_parametro", $objeto->id_parametro,
		"rut", $objeto->rut,
		"nombre", $objeto->nombre,
		"razon_social", $objeto->razon_social,
		"codigo_act_economica", $objeto->codigo_act_economica,
		"giro", $objeto->giro,
		"direccion", $objeto->direccion,
		"telefono", $objeto->telefono,
		"fax", $objeto->fax,
		"website", $objeto->website,
		"email", $objeto->email,
		"mutual", $objeto->mutual,
		"ccaf", $objeto->ccaf,
		"formato_plan_cuenta", $objeto->formato_plan_cuenta,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_contador", $objeto->id_contador);
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
		
		
	}
	
	function &actualizarContEmpresa($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_EMPRESA",
		"id_contador", $objeto->id_contador,
		"id_ciudad", $objeto->id_ciudad,
		"id_plan_cuenta", $objeto->id_plan_cuenta,
		"id_centro_costo", $objeto->id_centro_costo,
		"rut", $objeto->rut,
		"id_parametro", $objeto->id_parametro,
		"nombre", $objeto->nombre,
		"razon_social", $objeto->razon_social,
		"codigo_act_economica", $objeto->codigo_act_economica,
		"giro", $objeto->giro,
		"direccion", $objeto->direccion,
		"telefono", $objeto->telefono,
		"fax", $objeto->fax,
		"website", $objeto->website,
		"email", $objeto->email,
		"mutual", $objeto->mutual,
		"ccaf", $objeto->ccaf,
		"formato_plan_cuenta", $objeto->formato_plan_cuenta,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_empresa", $objeto->id_empresa);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarContEmpresa($id_empresa){
		global $conn;
		$query = expandir("ELIMINAR_CONT_EMPRESA",
		"id_empresa", $id_empresa
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
