<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_observacion_comercial_BD_Fachada {

function &getListadoCont_observacion_comercial_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_OBSERVACION_COMERCIAL_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_observaciones_comerciales = $RecordSet -> Fields("id_observaciones_comerciales");
		$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
		$observacion_bloqueo = $RecordSet -> Fields("observacion_bloqueo");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");
		$extra5 = $RecordSet -> Fields("extra5");
		$extra6 = $RecordSet -> Fields("extra6");
		
		$temp = new Cont_observacion_comercial_BD ($id_cliente_proveedor, $observacion_bloqueo, $extra1, $extra2, $extra3, $extra4, $extra5, $extra6, $id_observaciones_comerciales);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_observacion_comercial_BD($id_observaciones_comerciales)
	{
		global $conn;
		$query = expandir("GET_CONT_OBSERVACION_COMERCIAL_BD",
		"id_observaciones_comerciales", $id_observaciones_comerciales
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_observaciones_comerciales = $RecordSet -> Fields("id_observaciones_comerciales");
	$id_cliente_proveedor = $RecordSet -> Fields("id_cliente_proveedor");
	$observacion_bloqueo = $RecordSet -> Fields("observacion_bloqueo");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	$extra4 = $RecordSet -> Fields("extra4");
	$extra5 = $RecordSet -> Fields("extra5");
	$extra6 = $RecordSet -> Fields("extra6");
	
	
	$temp = new Cont_observacion_comercial_BD ($id_cliente_proveedor, $observacion_bloqueo, $extra1, $extra2, $extra3, $extra4, $extra5, $extra6, $id_observaciones_comerciales);
	return $temp;
	}
	
	
	function &guardarCont_observacion_comercial_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_OBSERVACION_COMERCIAL_BD",
		"observacion_bloqueo", $objeto->get_observacion_bloqueo(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"extra5", $objeto->get_extra5(),
		"extra6", $objeto->get_extra6(),
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_observacion_comercial_BD(Cont_observacion_comercial_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_OBSERVACION_COMERCIAL_BD",
		"id_cliente_proveedor", $objeto->get_id_cliente_proveedor(),
		"observacion_bloqueo", $objeto->get_observacion_bloqueo(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"extra5", $objeto->get_extra5(),
		"extra6", $objeto->get_extra6(),
		"id_observaciones_comerciales", $objeto->get_id_observaciones_comerciales());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_observacion_comercial_BD($id_observaciones_comerciales){
		global $conn;
		$query = expandir("ELIMINAR_CONT_OBSERVACION_COMERCIAL_BD",
		"id_observaciones_comerciales", $id_observaciones_comerciales
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_observacion_comercial_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_OBSERVACION_COMERCIAL_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
