<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_presupuesto_BD_Fachada {

function &getListadoCont_presupuesto_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_PRESUPUESTO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_presupuesto = $RecordSet -> Fields("id_presupuesto");
		$descripcion = $RecordSet -> Fields("descripcion");
		$estado = $RecordSet -> Fields("estado");
		$ano = $RecordSet -> Fields("ano");
		$fecha_cierre = $RecordSet -> Fields("fecha_cierre");
		$fecha_apertura = $RecordSet -> Fields("fecha_apertura");
		$total_presupuestado = $RecordSet -> Fields("total_presupuestado");
		$total_real = $RecordSet -> Fields("total_real");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		
		$temp = new Cont_presupuesto_BD ($descripcion, $estado, $ano, $fecha_cierre, $fecha_apertura, $total_presupuestado, $total_real, $extra1, $extra2, $extra3, $id_presupuesto);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_presupuesto_BD($id_presupuesto)
	{
		global $conn;
		$query = expandir("GET_CONT_PRESUPUESTO_BD",
		"id_presupuesto", $id_presupuesto
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_presupuesto = $RecordSet -> Fields("id_presupuesto");
	$descripcion = $RecordSet -> Fields("descripcion");
	$estado = $RecordSet -> Fields("estado");
	$ano = $RecordSet -> Fields("ano");
	$fecha_cierre = $RecordSet -> Fields("fecha_cierre");
	$fecha_apertura = $RecordSet -> Fields("fecha_apertura");
	$total_presupuestado = $RecordSet -> Fields("total_presupuestado");
	$total_real = $RecordSet -> Fields("total_real");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	
	
	$temp = new Cont_presupuesto_BD ($descripcion, $estado, $ano, $fecha_cierre, $fecha_apertura, $total_presupuestado, $total_real, $extra1, $extra2, $extra3, $id_presupuesto);
	return $temp;
	}
	
	
	function &guardarCont_presupuesto_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_PRESUPUESTO_BD",
		"estado", $objeto->get_estado(),
		"ano", $objeto->get_ano(),
		"fecha_cierre", $objeto->get_fecha_cierre(),
		"fecha_apertura", $objeto->get_fecha_apertura(),
		"total_presupuestado", $objeto->get_total_presupuestado(),
		"total_real", $objeto->get_total_real(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"descripcion", $objeto->get_descripcion());
		
		//debug($query);
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_presupuesto_BD(Cont_presupuesto_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_PRESUPUESTO_BD",
		"descripcion", $objeto->get_descripcion(),
		"estado", $objeto->get_estado(),
		"ano", $objeto->get_ano(),
		"fecha_cierre", $objeto->get_fecha_cierre(),
		"fecha_apertura", $objeto->get_fecha_apertura(),
		"total_presupuestado", $objeto->get_total_presupuestado(),
		"total_real", $objeto->get_total_real(),
		"extra1", $objeto->get_extra1(),
		"extra2", $objeto->get_extra2(),
		"extra3", $objeto->get_extra3(),
		"id_presupuesto", $objeto->get_id_presupuesto());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_presupuesto_BD($id_presupuesto){
		global $conn;
		$query = expandir("ELIMINAR_CONT_PRESUPUESTO_BD",
		"id_presupuesto", $id_presupuesto
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_presupuesto_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_PRESUPUESTO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
