<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Cont_sucursal_BD_Fachada {

function &getListadoCont_sucursal_BD($filtro,$extra)
{
	global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["group"]){
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["order"]){
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	if ($extra["sort"]){
		$where .= " ".$extra["sort"]." ";
	}
	if ($extra["limit"]){
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
	}else{
	$where .= " LIMIT ".$extra["limit"];
	}
	}else{
	if ($extra["desde"]){
		$where .= " LIMIT ".$extra["desde"].",0";
	}
	}
	if ($extra["sql"]){
		$where .= $extra["sql"];
	}
	
	$query = expandir("GET_LISTADO_CONT_SUCURSAL_BD",
	"where",$where
	);
	
	//debug($query);
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$rut = $RecordSet -> Fields("rut");
		$descripcion = $RecordSet -> Fields("descripcion");
		$direccion = $RecordSet -> Fields("direccion");
		$ciudad = $RecordSet -> Fields("ciudad");
		$telefono = $RecordSet -> Fields("telefono");
		$fax = $RecordSet -> Fields("fax");
		$responsable = $RecordSet -> Fields("responsable");
		$email = $RecordSet -> Fields("email");
		$estado = $RecordSet -> Fields("estado");
		$observacion = $RecordSet -> Fields("observacion");
		$id_bodega_ventas =  $RecordSet -> Fields("id_bodega_ventas");
		$id_bodega_cristales =  $RecordSet -> Fields("id_bodega_cristales");
		$ex3 =  $RecordSet -> Fields("ex3");
		$ex4 =  $RecordSet -> Fields("ex4");
		$ex5 =  $RecordSet -> Fields("ex5");
		$ex6 =  $RecordSet -> Fields("ex6");
		
		$temp = new Cont_sucursal_BD ($id_empresa, $rut, $descripcion, $direccion, $ciudad, $telefono, $fax, $responsable, $email, $estado, $observacion, $id_bodega_ventas, $id_bodega_cristales, $ex3, $ex4, $ex5, $ex6, $id_sucursal);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getCont_sucursal_BD($id_sucursal)
	{
		global $conn;
		$query = expandir("GET_CONT_SUCURSAL_BD",
		"id_sucursal", $id_sucursal
		);
		

		//debug($query);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$rut = $RecordSet -> Fields("rut");
	$descripcion = $RecordSet -> Fields("descripcion");
	$direccion = $RecordSet -> Fields("direccion");
	$ciudad = $RecordSet -> Fields("ciudad");
	$telefono = $RecordSet -> Fields("telefono");
	$fax = $RecordSet -> Fields("fax");
	$responsable = $RecordSet -> Fields("responsable");
	$email = $RecordSet -> Fields("email");
	$estado = $RecordSet -> Fields("estado");
	$observacion = $RecordSet -> Fields("observacion");
	$id_bodega_ventas =  $RecordSet -> Fields("id_bodega_ventas");
	$id_bodega_cristales =  $RecordSet -> Fields("id_bodega_cristales");
	$ex3 =  $RecordSet -> Fields("ex3");
	$ex4 =  $RecordSet -> Fields("ex4");
	$ex5 =  $RecordSet -> Fields("ex5");
	$ex6 =  $RecordSet -> Fields("ex6");
		
	
	
	$temp = new Cont_sucursal_BD ($id_empresa, $rut, $descripcion, $direccion, $ciudad, $telefono, $fax, $responsable, $email, $estado, $observacion, $id_bodega_ventas, $id_bodega_cristales, $ex3, $ex4, $ex5, $ex6, $id_sucursal);
	return $temp;
	}
	
	
	function &guardarCont_sucursal_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_CONT_SUCURSAL_BD",
		"rut", $objeto->get_rut(),
		"descripcion", $objeto->get_descripcion(),
		"direccion", $objeto->get_direccion(),
		"ciudad", $objeto->get_ciudad(),
		"telefono", $objeto->get_telefono(),
		"fax", $objeto->get_fax(),
		"responsable", $objeto->get_responsable(),
		"email", $objeto->get_email(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"id_bodega_ventas", $objeto->get_observacion(),
		"id_bodega_cristales", $objeto->get_observacion(),
		"ex3", $objeto->get_observacion(),
		"ex4", $objeto->get_observacion(),
		"ex5", $objeto->get_observacion(),
		"ex6", $objeto->get_observacion(),
		"id_empresa", $objeto->get_id_empresa());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarCont_sucursal_BD(Cont_sucursal_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_CONT_SUCURSAL_BD",
		"id_empresa", $objeto->get_id_empresa(),
		"rut", $objeto->get_rut(),
		"descripcion", $objeto->get_descripcion(),
		"direccion", $objeto->get_direccion(),
		"ciudad", $objeto->get_ciudad(),
		"telefono", $objeto->get_telefono(),
		"fax", $objeto->get_fax(),
		"responsable", $objeto->get_responsable(),
		"email", $objeto->get_email(),
		"estado", $objeto->get_estado(),
		"observacion", $objeto->get_observacion(),
		"id_bodega_ventas", $objeto->get_observacion(),
		"id_bodega_cristales", $objeto->get_observacion(),
		"ex3", $objeto->get_observacion(),
		"ex4", $objeto->get_observacion(),
		"ex5", $objeto->get_observacion(),
		"ex6", $objeto->get_observacion(),
		"id_sucursal", $objeto->get_id_sucursal());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarCont_sucursal_BD($id_sucursal){
		global $conn;
		$query = expandir("ELIMINAR_CONT_SUCURSAL_BD",
		"id_sucursal", $id_sucursal
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadCont_sucursal_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_CONT_SUCURSAL_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
