<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Detalle_orden_compra_cliente_BD_Fachada {

function &getListadoDetalle_orden_compra_cliente_BD($filtro,$extra)
	{
		validar_tabla_db("Detalle_orden_compra_cliente");
		$extra_var = get_extra_var("DETALLE_ORDEN_COMPRA_CLIENTE");
		$query = make_query("detalle_orden_compra_cliente", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarDetalle_orden_compra_cliente_BD($objeto){
		validar_tabla_db("Detalle_orden_compra_cliente");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DETALLE_ORDEN_COMPRA_CLIENTE_BD",
		"id_producto", $objeto->get_id_producto(),
		"cantidad", $objeto->get_cantidad(),
		"precio_unitario", $objeto->get_precio_unitario(),
		"exento", $objeto->get_exento(),
		"descuento_porc", $objeto->get_descuento_porc(),
		"descuento_monto", $objeto->get_descuento_monto(),
		"total", $objeto->get_total(),
		"estado", $objeto->get_estado(),
		"saldo_recepcion", $objeto->get_saldo_recepcion(),
		"descripcion", $objeto->get_descripcion(),
		"precio_venta", $objeto->get_precio_venta(),
		"codigo_interno", $objeto->get_codigo_interno(),
		"id_orden_compra", $objeto->get_id_orden_compra());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDetalle_orden_compra_cliente_BD(Detalle_orden_compra_cliente_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DETALLE_ORDEN_COMPRA_CLIENTE_BD",
		"id_orden_compra", $objeto->get_id_orden_compra(),
		"id_producto", $objeto->get_id_producto(),
		"cantidad", $objeto->get_cantidad(),
		"precio_unitario", $objeto->get_precio_unitario(),
		"exento", $objeto->get_exento(),
		"descuento_porc", $objeto->get_descuento_porc(),
		"descuento_monto", $objeto->get_descuento_monto(),
		"total", $objeto->get_total(),
		"estado", $objeto->get_estado(),
		"saldo_recepcion", $objeto->get_saldo_recepcion(),
		"descripcion", $objeto->get_descripcion(),
		"precio_venta", $objeto->get_precio_venta(),
		"codigo_interno", $objeto->get_codigo_interno(),
		"id_detalle_orden_compra", $objeto->get_id_detalle_orden_compra());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDetalle_orden_compra_cliente_BD($id_detalle_orden_compra){
		global $conn;
		$query = expandir("ELIMINAR_DETALLE_ORDEN_COMPRA_CLIENTE_BD",
		"id_detalle_orden_compra", $id_detalle_orden_compra
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDetalle_orden_compra_cliente_BD($filtro){
		validar_tabla_db("Detalle_orden_compra_cliente");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DETALLE_ORDEN_COMPRA_CLIENTE_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
