<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Doctor_Fachada {

function &getListadoDoctor($filtro,$extra)

	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	
	
	}
	
	if ($extra["order"]){
		$where .= "ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	if ($extra["limit"]){
		$where .= "LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_DOCTOR",
	"where",	$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_doctor = $RecordSet -> Fields("id_doctor");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido = $RecordSet -> Fields("apellido");
		$especialidad = $RecordSet -> Fields("especialidad");
		$fono = $RecordSet -> Fields("fono");
		$direccion = $RecordSet -> Fields("direccion");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");
		$extra5 = $RecordSet -> Fields("extra5");
		$extra6 = $RecordSet -> Fields("extra6");
		
		$temp = new Doctor ($nombre, $apellido, $especialidad, $fono, $direccion, $extra1, $extra2, $extra3, $extra4, $extra5, $extra6, $id_doctor);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getDoctor($id_doctor)
	{
		global $conn;
		$query = expandir("GET_DOCTOR",
		"id_doctor", $id_doctor
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_doctor = $RecordSet -> Fields("id_doctor");
	$nombre = $RecordSet -> Fields("nombre");
	$apellido = $RecordSet -> Fields("apellido");
	$especialidad = $RecordSet -> Fields("especialidad");
	$fono = $RecordSet -> Fields("fono");
	$direccion = $RecordSet -> Fields("direccion");
	$extra1 = $RecordSet -> Fields("extra1");
	$extra2 = $RecordSet -> Fields("extra2");
	$extra3 = $RecordSet -> Fields("extra3");
	$extra4 = $RecordSet -> Fields("extra4");
	$extra5 = $RecordSet -> Fields("extra5");
	$extra6 = $RecordSet -> Fields("extra6");
	
	
	$temp = new Doctor ($nombre, $apellido, $especialidad, $fono, $direccion, $extra1, $extra2, $extra3, $extra4, $extra5, $extra6, $id_doctor);
	return $temp;
	}
	
	
	function &guardarDoctor($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DOCTOR",
		"apellido", $objeto->apellido,
		"especialidad", $objeto->especialidad,
		"fono", $objeto->fono,
		"direccion", $objeto->direccion,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"extra4", $objeto->extra4,
		"extra5", $objeto->extra5,
		"extra6", $objeto->extra6,
		"nombre", $objeto->nombre);
		
		$RecordSet = &$conn -> Execute($query);
		if (!$RecordSet) {
			return false;
			exit;
		}
		return $conn->Insert_Id();
	
	
	}
	
	function &actualizarDoctor($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DOCTOR",
		"nombre", $objeto->nombre,
		"apellido", $objeto->apellido,
		"especialidad", $objeto->especialidad,
		"fono", $objeto->fono,
		"direccion", $objeto->direccion,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"extra4", $objeto->extra4,
		"extra5", $objeto->extra5,
		"extra6", $objeto->extra6,
		"id_doctor", $objeto->id_doctor);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDoctor($id_doctor){
		global $conn;
		$query = expandir("ELIMINAR_DOCTOR",
		"id_doctor", $id_doctor
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
