<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Documento_BD_Fachada {

	function &getListadoDocumento_BD($filtro,$extra)
	{
		global $conn;


		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		if ($extra["group"]){
			$where .= " GROUP BY ".$extra["group"]." ";
		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"]." ";
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"]." ";
		}
		if ($extra["limit"]){
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
			}else{
				$where .= " LIMIT ".$extra["limit"];
			}
		}else{
			if ($extra["desde"]){
				$where .= " LIMIT ".$extra["desde"].",0";
			}
		}
		if ($extra["sql"]){
			$where .= $extra["sql"];
		}

		$query = expandir("GET_LISTADO_DOCUMENTO_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_documento = $RecordSet -> Fields("id_documento");
			$id_usuario = $RecordSet -> Fields("id_usuario");
			$id_detalle_orden_produccion = $RecordSet -> Fields("id_detalle_orden_produccion");
			$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
			$codigo = $RecordSet -> Fields("codigo");
			$revision = $RecordSet -> Fields("revision");
			$version = $RecordSet -> Fields("version");
			$nombre = $RecordSet -> Fields("nombre");
			$descripcion = $RecordSet -> Fields("descripcion");
			$archivo = $RecordSet -> Fields("archivo");
			$tipo = $RecordSet -> Fields("tipo");
			$extra3 = $RecordSet -> Fields("extra3");
			$extra4 = $RecordSet -> Fields("extra4");

			if ($id_documento != 1){
				$temp = new Documento_BD ($id_usuario, $id_detalle_orden_produccion, $fecha_creacion, $codigo, $revision, $version, $nombre, $descripcion, $archivo, $tipo, $extra3, $extra4, $id_documento);
			
				$vector[$cont++] = $temp;
				
			}
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getDocumento_BD($id_documento)
	{
		global $conn;
		$query = expandir("GET_DOCUMENTO_BD",
		"id_documento", $id_documento
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_documento = $RecordSet -> Fields("id_documento");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$id_detalle_orden_produccion = $RecordSet -> Fields("id_detalle_orden_produccion");
		$fecha_creacion = $RecordSet -> Fields("fecha_creacion");
		$codigo = $RecordSet -> Fields("codigo");
		$revision = $RecordSet -> Fields("revision");
		$version = $RecordSet -> Fields("version");
		$nombre = $RecordSet -> Fields("nombre");
		$descripcion = $RecordSet -> Fields("descripcion");
		$archivo = $RecordSet -> Fields("archivo");
		$tipo = $RecordSet -> Fields("tipo");
		$extra3 = $RecordSet -> Fields("extra3");
		$extra4 = $RecordSet -> Fields("extra4");


		$temp = new Documento_BD ($id_usuario, $id_detalle_orden_produccion, $fecha_creacion, $codigo, $revision, $version, $nombre, $descripcion, $archivo, $tipo, $extra3, $extra4, $id_documento);
		return $temp;
	}


	function &guardarDocumento_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("GUARDAR_DOCUMENTO_BD",
		"id_detalle_orden_produccion", $objeto->get_id_detalle_orden_produccion(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"codigo", $objeto->get_codigo(),
		"revision", $objeto->get_revision(),
		"version", $objeto->get_version(),
		"nombre", $objeto->get_nombre(),
		"descripcion", $objeto->get_descripcion(),
		"archivo", $objeto->get_archivo(),
		"tipo", $objeto->get_tipo(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"id_usuario", $objeto->get_id_usuario());

		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}

	function &actualizarDocumento_BD(Documento_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_DOCUMENTO_BD",
		"id_usuario", $objeto->get_id_usuario(),
		"id_detalle_orden_produccion", $objeto->get_id_detalle_orden_produccion(),
		"fecha_creacion", $objeto->get_fecha_creacion(),
		"codigo", $objeto->get_codigo(),
		"revision", $objeto->get_revision(),
		"version", $objeto->get_version(),
		"nombre", $objeto->get_nombre(),
		"descripcion", $objeto->get_descripcion(),
		"archivo", $objeto->get_archivo(),
		"tipo", $objeto->get_tipo(),
		"extra3", $objeto->get_extra3(),
		"extra4", $objeto->get_extra4(),
		"id_documento", $objeto->get_id_documento());

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarDocumento_BD($id_documento){
		global $conn;
		$query = expandir("ELIMINAR_DOCUMENTO_BD",
		"id_documento", $id_documento
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &cantidadDocumento_BD($filtro){
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}
		}

		$query = expandir("GET_CANTIDAD_DOCUMENTO_BD",
		"where",$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		return ($RecordSet->fields["CANTIDAD"]);
	}

}//Fin Clase
?>
