<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Documentos_referencia_BD_Fachada {

function &getListadoDocumentos_referencia_BD($filtro,$extra)
	{
		validar_tabla_db("Documentos_referencia");
		$extra_var = get_extra_var("DOCUMENTOS_REFERENCIA");
		$query = make_query("documentos_referencia", $filtro, $extra, $extra_var);
		$vector = exec_query($query);
		return $vector;
	}
	
	function &guardarDocumentos_referencia_BD($objeto){
		validar_tabla_db("Documentos_referencia");
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_DOCUMENTOS_REFERENCIA_BD",
		"TpoDocRef", $objeto->get_TpoDocRef(),
		"FolioRef", $objeto->get_FolioRef(),
		"FchRef", $objeto->get_FchRef(),
		"CodRef", $objeto->get_CodRef(),
		"RazonRef", $objeto->get_RazonRef(),
		"RUTEmisor", $objeto->get_RUTEmisor(),
		"TipoDTE", $objeto->get_TipoDTE(),
		"Folio", $objeto->get_Folio(),
		"codigo_dte", $objeto->get_codigo_dte(),
		"codigo_dte_ref", $objeto->get_codigo_dte_ref(),
		"monto_ref", $objeto->get_monto_ref(),
		"id_venta", $objeto->get_id_venta());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarDocumentos_referencia_BD(Documentos_referencia_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_DOCUMENTOS_REFERENCIA_BD",
		"id_venta", $objeto->get_id_venta(),
		"TpoDocRef", $objeto->get_TpoDocRef(),
		"FolioRef", $objeto->get_FolioRef(),
		"FchRef", $objeto->get_FchRef(),
		"CodRef", $objeto->get_CodRef(),
		"RazonRef", $objeto->get_RazonRef(),
		"RUTEmisor", $objeto->get_RUTEmisor(),
		"TipoDTE", $objeto->get_TipoDTE(),
		"Folio", $objeto->get_Folio(),
		"codigo_dte", $objeto->get_codigo_dte(),
		"codigo_dte_ref", $objeto->get_codigo_dte_ref(),
		"monto_ref", $objeto->get_monto_ref(),
		"id_documento_referencia", $objeto->get_id_documento_referencia());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarDocumentos_referencia_BD($id_documento_referencia){
		global $conn;
		$query = expandir("ELIMINAR_DOCUMENTOS_REFERENCIA_BD",
		"id_documento_referencia", $id_documento_referencia
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadDocumentos_referencia_BD($filtro){
		validar_tabla_db("Documentos_referencia");
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_DOCUMENTOS_REFERENCIA_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
