<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Movimiento_inventario_BD_Fachada {

function &getListadoMovimiento_inventario_BD($filtro,$extra)
	{
		global $conn;
		

	if (!$filtro)
	{
		$where = "";
	}
	else
	{
		$where = "WHERE ";
		$count = 0;
		foreach ($filtro as $key => $item)
		{
			$where .= "$key LIKE '$item'";
			if ($count < sizeof($filtro)-1)
			$where .= " AND ";
			$count++;
		}
	}
	
	if ($extra["rango_fecha"])
	{
		$where .= $extra["rango_fecha"];
	}

	if ($extra["group"])
	{
		$where .= " GROUP BY ".$extra["group"]." ";
	}
	
	if ($extra["sql"])
	{
		$where .= $extra["sql"];
	}
	

	if ($extra["order"])
	{
		$where .= " ORDER BY ".$extra["order"]." ";
	}
	
	if ($extra["sort"])
	{
		$where .= " ".$extra["sort"]." ";
	}
	
	if ($extra["limit"])
	{
		if ($extra["desde"])
		{
			$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
		}else
		{
			$where .= " LIMIT ".$extra["limit"];
		}
	}
	else
	{
		if ($extra["desde"])
		{
			$where .= " LIMIT ".$extra["desde"].",0";
		}
	}


	if ($extra["query"])
	{
		$where = str_replace("WHERE", "", $where);
		$query = expandir($extra["query"],
		"where",$where
		);
	}
	else
	{
		$query = expandir("GET_LISTADO_MOVIMIENTO_INVENTARIO_BD",
		"where",$where
		);
	}
	
	

	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
//debug($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_movimiento_inventario = $RecordSet -> Fields("id_movimiento_inventario");
		$id_producto = $RecordSet -> Fields("id_producto");
		$id_bodega = $RecordSet -> Fields("id_bodega");
		$id_inventario = $RecordSet -> Fields("id_inventario");
		$id_tipo_movimiento = $RecordSet -> Fields("id_tipo_movimiento");
		$nro_documento = $RecordSet -> Fields("nro_documento");
		$fecha = $RecordSet -> Fields("fecha");
		$descripcion = $RecordSet -> Fields("descripcion");
		$entrada = $RecordSet -> Fields("entrada");
		$salida = $RecordSet -> Fields("salida");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$ex1 = $RecordSet -> Fields("ex1");
		$ex2 = $RecordSet -> Fields("ex2");
		$ex3 = $RecordSet -> Fields("ex3");
		$ex4 = $RecordSet -> Fields("ex4");
		$ex5 = $RecordSet -> Fields("ex5");
		
		$temp = new Movimiento_inventario_BD ($id_producto, $id_bodega, $id_inventario, $id_tipo_movimiento, $nro_documento, $fecha, $descripcion, $entrada, $salida, $id_usuario, $ex1, $ex2, $ex3, $ex4, $ex5, $id_movimiento_inventario);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getMovimiento_inventario_BD($id_movimiento_inventario)
	{
		global $conn;
		$query = expandir("GET_MOVIMIENTO_INVENTARIO_BD",
		"id_movimiento_inventario", $id_movimiento_inventario
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_movimiento_inventario = $RecordSet -> Fields("id_movimiento_inventario");
	$id_producto = $RecordSet -> Fields("id_producto");
	$id_bodega = $RecordSet -> Fields("id_bodega");
	$id_inventario = $RecordSet -> Fields("id_inventario");
	$id_tipo_movimiento = $RecordSet -> Fields("id_tipo_movimiento");
	$nro_documento = $RecordSet -> Fields("nro_documento");
	$fecha = $RecordSet -> Fields("fecha");
	$descripcion = $RecordSet -> Fields("descripcion");
	$entrada = $RecordSet -> Fields("entrada");
	$salida = $RecordSet -> Fields("salida");
	$id_usuario = $RecordSet -> Fields("id_usuario");
	$ex1 = $RecordSet -> Fields("ex1");
	$ex2 = $RecordSet -> Fields("ex2");
	$ex3 = $RecordSet -> Fields("ex3");
	$ex4 = $RecordSet -> Fields("ex4");
	$ex5 = $RecordSet -> Fields("ex5");
	
	
	$temp = new Movimiento_inventario_BD ($id_producto, $id_bodega, $id_inventario, $id_tipo_movimiento, $nro_documento, $fecha, $descripcion, $entrada, $salida, $id_usuario, $ex1, $ex2, $ex3, $ex4, $ex5, $id_movimiento_inventario);
	return $temp;
	}
	
	
	function &guardarMovimiento_inventario_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_MOVIMIENTO_INVENTARIO_BD",
		"id_bodega", $objeto->get_id_bodega(),
		"id_inventario", $objeto->get_id_inventario(),
		"id_tipo_movimiento", $objeto->get_id_tipo_movimiento(),
		"nro_documento", $objeto->get_nro_documento(),
		"fecha", $objeto->get_fecha(),
		"descripcion", $objeto->get_descripcion(),
		"entrada", $objeto->get_entrada(),
		"salida", $objeto->get_salida(),
		"id_usuario", $objeto->get_id_usuario(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"id_producto", $objeto->get_id_producto());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarMovimiento_inventario_BD(Movimiento_inventario_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_MOVIMIENTO_INVENTARIO_BD",
		"id_producto", $objeto->get_id_producto(),
		"id_bodega", $objeto->get_id_bodega(),
		"id_inventario", $objeto->get_id_inventario(),
		"id_tipo_movimiento", $objeto->get_id_tipo_movimiento(),
		"nro_documento", $objeto->get_nro_documento(),
		"fecha", $objeto->get_fecha(),
		"descripcion", $objeto->get_descripcion(),
		"entrada", $objeto->get_entrada(),
		"salida", $objeto->get_salida(),
		"id_usuario", $objeto->get_id_usuario(),
		"ex1", $objeto->get_ex1(),
		"ex2", $objeto->get_ex2(),
		"ex3", $objeto->get_ex3(),
		"ex4", $objeto->get_ex4(),
		"ex5", $objeto->get_ex5(),
		"id_movimiento_inventario", $objeto->get_id_movimiento_inventario());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarMovimiento_inventario_BD($id_movimiento_inventario){
		global $conn;
		$query = expandir("ELIMINAR_MOVIMIENTO_INVENTARIO_BD",
		"id_movimiento_inventario", $id_movimiento_inventario
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &cantidadMovimiento_inventario_BD($filtro){
		global $conn;
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	$query = expandir("GET_CANTIDAD_MOVIMIENTO_INVENTARIO_BD",
	"where",$where
	);
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	return ($RecordSet->fields["CANTIDAD"]);
	}
	
	}//Fin Clase
?>
