<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Orden_compra_Fachada {
	
	function &getCantidadOrden_compra($filtro){
			global $conn;

			if (!$filtro){
				$where = "";
			}else{
				$where = "AND ";
				$count = 0;
				foreach ($filtro as $key => $item)
				{
					$where .= "$key LIKE '$item'";
					if ($count < sizeof($filtro)-1)
						$where .= " AND ";
					$count++;
				}
			}

			$query = expandir("GET_CANTIDAD_ORDEN_COMPRA",
			"where",$where
			);

			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);

			if ($RecordSet->_numOfRows == 0) {
				return false;
				exit;
			}
			
			return ($RecordSet->fields["CANTIDAD"]);	
		}
	
		
	function &getListadoOrden_compra_filtro($filtro,$extra)
		{
			global $conn;
		
		
			if (!$filtro){
				$where = "";
			}else{
				$where = "AND ";
				$count = 0;
				foreach ($filtro as $key => $item)
				{
					$where .= "$key LIKE '$item'";
					if ($count < sizeof($filtro)-1)
					$where .= " AND ";
					$count++;
				}
			}
			
			if ($extra["where"]){
				$where = $extra["where"];
			}
		
			if ($extra["rango_fecha"]){
				$where .= $extra["rango_fecha"];
			}


			if ($extra["sql"]){
				$where .= $extra["sql"];
			}

			if ($extra["group"]){
				$where .= " GROUP BY ".$extra["group"]." ";
			}

			if ($extra["order"]){
				$where .= " ORDER BY ".$extra["order"]." ";
			}
			if ($extra["sort"]){
				$where .= " ".$extra["sort"]." ";
			}
			if (($extra["limit"])){
				if ($extra["desde"]){
					$where .= " LIMIT ".$extra["desde"].",".$extra["limit"];
				}else{
					$where .= " LIMIT ".$extra["limit"];
				}
			}else{
				if ($extra["desde"]){
					$where .= " LIMIT ".$extra["desde"].",0";
				}			
			}
	
			$query = expandir("GET_LISTADO_ORDEN_COMPRA_FILTRO",
			"where",$where
			);
		
			//debug($query);
			
			$conn -> debug = CONN_DEBUG;
			$RecordSet = &$conn -> Execute($query);
		
			if ($RecordSet->_numOfRows == 0) {		
				return false;
				exit;
			}
			
			$cont = 0;
		
			while (!$RecordSet -> EOF) {
				$id_orden_compra = $RecordSet -> Fields("id_orden_compra");
				$id_sucursal = $RecordSet -> Fields("id_sucursal");
				$id_proveedor = $RecordSet -> Fields("id_proveedor");
				$fecha_documento = $RecordSet -> Fields("fecha_documento");
				$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
				$fecha_recepcion_completa = $RecordSet -> Fields("fecha_recepcion_completa");
				$fecha_ultima_modificacion = $RecordSet -> Fields("fecha_ultima_modificacion");
				$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
				$atencion = $RecordSet -> Fields("atencion");
				$subtotal = $RecordSet -> Fields("subtotal");
				$total_dcto = $RecordSet -> Fields("total_dcto");
				$total_neto = $RecordSet -> Fields("total_neto");
				$total_exento = $RecordSet -> Fields("total_exento");
				$total_bruto = $RecordSet -> Fields("total_bruto");
				$iva = $RecordSet -> Fields("iva");
				$estado = $RecordSet -> Fields("estado");
				$condicion_pago = $RecordSet -> Fields("condicion_pago");
				$id_usuario = $RecordSet -> Fields("id_usuario");
				$observacion = $RecordSet -> Fields("observacion");
				$producto_terminado = $RecordSet -> Fields("producto_terminado");
				$tipo = $RecordSet -> Fields("tipo");
				
				
				$temp = new Orden_compra ($id_sucursal, $id_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $condicion_pago, $id_usuario, $observacion, $producto_terminado, $tipo, $id_orden_compra);
				$vector[$cont++] = $temp;
				$RecordSet -> MoveNext();
			}
			
			return $vector;
		}
	
	
		
function &getListadoOrden_compra($id, $estado, $exclusive)
	{
		global $conn;
		
	if ($id == 0)	{$where = "";}
	else			{$where = "WHERE id_orden_compra = '$id'";}
	
	
	
	if ($estado){
		if ($where == "")	$where = "WHERE ";
		else 				$where .= " AND ";
		
		if ($exclusive){
			$where .= "estado = '$estado'";
		}else{
			$where .= "estado >= '$estado'";
		}
		
		
	}
	
	
	
	$query = expandir("GET_LISTADO_ORDEN_COMPRA",
	"where",	$where
	);
	
	
	
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_orden_compra = $RecordSet -> Fields("id_orden_compra");
		$id_sucursal = $RecordSet -> Fields("id_sucursal");
		$id_proveedor = $RecordSet -> Fields("id_proveedor");
		$fecha_documento = $RecordSet -> Fields("fecha_documento");
		$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
		$fecha_recepcion_completa = $RecordSet -> Fields("fecha_recepcion_completa");
		$fecha_ultima_modificacion = $RecordSet -> Fields("fecha_ultima_modificacion");
		$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
		$atencion = $RecordSet -> Fields("atencion");
		$subtotal = $RecordSet -> Fields("subtotal");
		$total_dcto = $RecordSet -> Fields("total_dcto");
		$total_neto = $RecordSet -> Fields("total_neto");
		$total_exento = $RecordSet -> Fields("total_exento");
		$total_bruto = $RecordSet -> Fields("total_bruto");
		$iva = $RecordSet -> Fields("iva");
		$estado = $RecordSet -> Fields("estado");
		$condicion_pago = $RecordSet -> Fields("condicion_pago");
		$id_usuario = $RecordSet -> Fields("id_usuario");
		$observacion = $RecordSet -> Fields("observacion");
		$producto_terminado = $RecordSet -> Fields("producto_terminado");
		$tipo = $RecordSet -> Fields("tipo");
		
		$temp = new Orden_compra ($id_sucursal, $id_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $condicion_pago, $id_usuario, $observacion, $producto_terminado, $tipo, $id_orden_compra);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getOrden_compra($id_orden_compra)
	{
		global $conn;
		$query = expandir("GET_ORDEN_COMPRA",
		"id_orden_compra", $id_orden_compra
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_orden_compra = $RecordSet -> Fields("id_orden_compra");
	$id_sucursal = $RecordSet -> Fields("id_sucursal");
	$id_proveedor = $RecordSet -> Fields("id_proveedor");
	$fecha_documento = $RecordSet -> Fields("fecha_documento");
	$fecha_anulacion = $RecordSet -> Fields("fecha_anulacion");
	$fecha_recepcion_completa = $RecordSet -> Fields("fecha_recepcion_completa");
	$fecha_ultima_modificacion = $RecordSet -> Fields("fecha_ultima_modificacion");
	$fecha_digitacion = $RecordSet -> Fields("fecha_digitacion");
	$atencion = $RecordSet -> Fields("atencion");
	$subtotal = $RecordSet -> Fields("subtotal");
	$total_dcto = $RecordSet -> Fields("total_dcto");
	$total_neto = $RecordSet -> Fields("total_neto");
	$total_exento = $RecordSet -> Fields("total_exento");
	$total_bruto = $RecordSet -> Fields("total_bruto");
	$iva = $RecordSet -> Fields("iva");
	$estado = $RecordSet -> Fields("estado");
	$condicion_pago = $RecordSet -> Fields("condicion_pago");
	$id_usuario = $RecordSet -> Fields("id_usuario");
	$observacion = $RecordSet -> Fields("observacion");
	$producto_terminado = $RecordSet -> Fields("producto_terminado");
	$tipo = $RecordSet -> Fields("tipo");
	

	$temp = new Orden_compra ($id_sucursal, $id_proveedor, $fecha_documento, $fecha_anulacion, $fecha_recepcion_completa, $fecha_ultima_modificacion, $fecha_digitacion, $atencion, $subtotal, $total_dcto, $total_neto, $total_exento, $total_bruto, $iva, $estado, $condicion_pago, $id_usuario, $observacion, $producto_terminado, $tipo, $id_orden_compra);
	return $temp;
	}
	
	
	function &guardarOrden_compra($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_ORDEN_COMPRA",
		"id_proveedor", $objeto->id_proveedor,
		"fecha_documento", $objeto->fecha_documento,
		"fecha_anulacion", $objeto->fecha_anulacion,
		"fecha_recepcion_completa", $objeto->fecha_recepcion_completa,
		"fecha_ultima_modificacion", $objeto->fecha_ultima_modificacion,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"atencion", $objeto->atencion,
		"subtotal", $objeto->subtotal,
		"total_dcto", $objeto->total_dcto,
		"total_neto", $objeto->total_neto,
		"total_exento", $objeto->total_exento,
		"total_bruto", $objeto->total_bruto,
		"iva", $objeto->iva,
		"estado", $objeto->estado,
		"condicion_pago", $objeto->condicion_pago,
		"id_usuario", $objeto->id_usuario,
		"observacion", $objeto->observacion,
		"producto_terminado", $objeto->producto_terminado,
		"tipo", $objeto->tipo,
		"id_sucursal", $objeto->id_sucursal);
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	
	
	}
	
	function &actualizarOrden_compra($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_ORDEN_COMPRA",
		"id_sucursal", $objeto->id_sucursal,
		"id_proveedor", $objeto->id_proveedor,
		"fecha_documento", $objeto->fecha_documento,
		"fecha_anulacion", $objeto->fecha_anulacion,
		"fecha_recepcion_completa", $objeto->fecha_recepcion_completa,
		"fecha_ultima_modificacion", $objeto->fecha_ultima_modificacion,
		"fecha_digitacion", $objeto->fecha_digitacion,
		"atencion", $objeto->atencion,
		"subtotal", $objeto->subtotal,
		"total_dcto", $objeto->total_dcto,
		"total_neto", $objeto->total_neto,
		"total_exento", $objeto->total_exento,
		"total_bruto", $objeto->total_bruto,
		"iva", $objeto->iva,
		"estado", $objeto->estado,
		"condicion_pago", $objeto->condicion_pago,
		"id_usuario", $objeto->id_usuario,
		"observacion", $objeto->observacion,
		"producto_terminado", $objeto->producto_terminado,
		"tipo", $objeto->tipo,
		"id_orden_compra", $objeto->id_orden_compra);
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarOrden_compra($id_orden_compra){
		global $conn;
		$query = expandir("ELIMINAR_ORDEN_COMPRA",
		"id_orden_compra", $id_orden_compra
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	function &getSaldoOrden_compra($id_orden_compra){
		global $conn;
		$query = expandir("GET_SALDO_ORDEN_COMPRA",
		"id_orden_compra", $id_orden_compra
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
		$saldo = $RecordSet -> Fields("saldo");
		return $saldo;
		
	}
	
	}//Fin Clase
?>
