<?

//------------------------------------------------------------------------------
	//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Parametro_BD_Fachada {

function &getListadoParametro_BD($filtro,$extra)
	{
		global $conn;
		
		
	if (!$filtro){
		$where = "";
	}else{
	$where = "WHERE ";
	$count = 0;
	foreach ($filtro as $key => $item)
	{
		$where .= "$key LIKE '$item'";
		if ($count < sizeof($filtro)-1)
		$where .= " AND ";
		$count++;
	}
	}
	
	if ($extra["order"]){
		$where .= "ORDER BY ".$extra["order"];
	}
	if ($extra["sort"]){
		$where .= $extra["sort"];
	}
	if ($extra["limit"]){
		$where .= "LIMIT ".$extra["limit"];
	}
	
	$query = expandir("GET_LISTADO_PARAMETRO_BD",
	"where",	$where
	);
//	debug($query);
	$conn -> debug = CONN_DEBUG;
	$RecordSet = &$conn -> Execute($query);
	
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$cont = 0;
	
	while (!$RecordSet -> EOF) {
		$id_parametro = $RecordSet -> Fields("id_parametro");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$iva = $RecordSet -> Fields("iva");
		
		$temp = new Parametro_BD ($id_empresa, $iva, $id_parametro);
		$vector[$cont++] = $temp;
		$RecordSet -> MoveNext();
	}
	
	return $vector;
	}
	
	
	function &getParametro_BD($id_parametro)
	{
		global $conn;
		$query = expandir("GET_PARAMETRO_BD",
		"id_parametro", $id_parametro
		);
		
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	
	$id_parametro = $RecordSet -> Fields("id_parametro");
	$id_empresa = $RecordSet -> Fields("id_empresa");
	$iva = $RecordSet -> Fields("iva");
	
	
	$temp = new Parametro_BD ($id_empresa, $iva, $id_parametro);
	return $temp;
	}
	
	
	function &guardarParametro_BD($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("GUARDAR_PARAMETRO_BD",
		"iva", $objeto->get_iva(),
		"id_empresa", $objeto->get_id_empresa());
		
		$RecordSet = &$conn -> Execute($query);
		return $conn->Insert_Id();
	}
	
	function &actualizarParametro_BD(Parametro_BD $objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
		
		$query = expandir("ACTUALIZAR_PARAMETRO_BD",
		"id_empresa", $objeto->get_id_empresa(),
		"iva", $objeto->get_iva(),
		"id_parametro", $objeto->get_id_parametro());
		
		$RecordSet = &$conn -> Execute($query);
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	function &eliminarParametro_BD($id_parametro){
		global $conn;
		$query = expandir("ELIMINAR_PARAMETRO_BD",
		"id_parametro", $id_parametro
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);
		
	if ($RecordSet->_numOfRows == 0) {
		return false;
		exit;
	}
	return true;
	}
	
	
	}//Fin Clase
?>
