<?

//------------------------------------------------------------------------------
//	FUNCIONES FACHADA
//------------------------------------------------------------------------------

class Representante_legal_Fachada {

	function &getListadoRepresentante_legal($filtro,$extra)

	{
		global $conn;

		if (!$filtro){
			$where = "";
		}else{
			$where = "WHERE ";
			$count = 0;
			foreach ($filtro as $key => $item)
			{
				$where .= "$key LIKE '$item'";
				if ($count < sizeof($filtro)-1)
				$where .= " AND ";
				$count++;
			}


		}

		if ($extra["order"]){
			$where .= " ORDER BY ".$extra["order"];
		}
		if ($extra["sort"]){
			$where .= " ".$extra["sort"];
		}
		if ($extra["limit"]){
			$where .= " LIMIT ".$extra["limit"];
		}

		$query = expandir("GET_LISTADO_REPRESENTANTE_LEGAL",
		"where",	$where
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);


		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$cont = 0;

		while (!$RecordSet -> EOF) {
			$id_representante_legal = $RecordSet -> Fields("id_representante_legal");
			$id_empresa = $RecordSet -> Fields("id_empresa");
			$nombre = $RecordSet -> Fields("nombre");
			$apellido = $RecordSet -> Fields("apellido");
			$rut = $RecordSet -> Fields("rut");
			$extra1 = $RecordSet -> Fields("extra1");
			$extra2 = $RecordSet -> Fields("extra2");
			$extra3 = $RecordSet -> Fields("extra3");

			$temp = new Representante_legal ($id_empresa, $nombre, $apellido, $rut, $extra1, $extra2, $extra3, $id_representante_legal);
			$vector[$cont++] = $temp;
			$RecordSet -> MoveNext();
		}

		return $vector;
	}


	function &getRepresentante_legal($id_representante_legal)
	{
		global $conn;
		$query = expandir("GET_REPRESENTANTE_LEGAL",
		"id_representante_legal", $id_representante_legal
		);

		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}

		$id_representante_legal = $RecordSet -> Fields("id_representante_legal");
		$id_empresa = $RecordSet -> Fields("id_empresa");
		$nombre = $RecordSet -> Fields("nombre");
		$apellido = $RecordSet -> Fields("apellido");
		$rut = $RecordSet -> Fields("rut");
		$extra1 = $RecordSet -> Fields("extra1");
		$extra2 = $RecordSet -> Fields("extra2");
		$extra3 = $RecordSet -> Fields("extra3");


		$temp = new Representante_legal ($id_empresa, $nombre, $apellido, $rut, $extra1, $extra2, $extra3, $id_representante_legal);
		return $temp;
	}


	function &guardarRepresentante_legal($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;
			
		$query = expandir("GUARDAR_REPRESENTANTE_LEGAL",
		"nombre", $objeto->nombre,
		"apellido", $objeto->apellido,
		"rut", $objeto->rut,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_empresa", $objeto->id_empresa);

		$RecordSet = &$conn -> Execute($query);

		return $conn->Insert_Id();
	}

	function &actualizarRepresentante_legal($objeto){
		global $conn;
		$conn -> debug = CONN_DEBUG;

		$query = expandir("ACTUALIZAR_REPRESENTANTE_LEGAL",
		"id_empresa", $objeto->id_empresa,
		"nombre", $objeto->nombre,
		"apellido", $objeto->apellido,
		"rut", $objeto->rut,
		"extra1", $objeto->extra1,
		"extra2", $objeto->extra2,
		"extra3", $objeto->extra3,
		"id_representante_legal", $objeto->id_representante_legal);

		$RecordSet = &$conn -> Execute($query);
		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}

	function &eliminarRepresentante_legal($id_representante_legal){
		global $conn;
		$query = expandir("ELIMINAR_REPRESENTANTE_LEGAL",
		"id_representante_legal", $id_representante_legal
		);
		$conn -> debug = CONN_DEBUG;
		$RecordSet = &$conn -> Execute($query);

		if ($RecordSet->_numOfRows == 0) {
			return false;
			exit;
		}
		return true;
	}


}//Fin Clase
?>
