<?
//Funciones Smarty
function format_rut_sm($param){
	$rut = $param["rut"];
	//debug($rut);
	if (strlen($rut) > 6 ){
		$rut = number_format($rut, 0, ',', '.').substr($rut,-2,2);
		if (strlen($rut) < 12)
			$rut = "0".$rut;
		echo $rut;
	}else{
		echo "- -";
	}
}

function format_fecha_sin_hora($params){

	$val = $params["fecha"];
	
	if (substr_count($val, "/") != 0){
		return $val;
	}
	
	$val =  str_replace("-", "", $val);

	if (!trim($val)) return "-";
	
	//debug($val);
	if ($val == "hoy") {
		$val = hoy();
	}
	
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	//var_dump($mes, $ao, $hor, $min);
	
	if ($hor){
		$hora = "(".$hor.":".$min.")";
	}
	
	
	echo "$dia/$mes/$ao";
}

function format_fecha_extendida($params){
	$val = $params["fecha"];
	//debug($val);
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	//var_dump($mes, $ao, $hor, $min);
	
	if ($hor){
		$hora = "(".$hor.":".$min.")";
	}
	
	switch ($mes)
	{
		case "01": $mes = "Enero";break;
		case "02": $mes = "Febrero";break;
		case "03": $mes = "Marzo";break;
		case "04": $mes = "Abril";break;
		case "05": $mes = "Mayo";break;
		case "06": $mes = "Junio";break;
		case "07": $mes = "Julio";break;
		case "08": $mes = "Agosto";break;
		case "09": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}
	
	echo "$dia de $mes de $ao";
}

function get_nombre_mes($param)
{
	$numero_mes = $param["mes"];
	switch ($numero_mes){
		case "01" : echo ("Enero"); break;
		case "02" : echo ("Febrero"); break;
		case "03" : echo ("Marzo"); break;
		case "04" : echo ("Abril"); break;
		case "05" : echo ("Mayo"); break;
		case "06" : echo ("Junio"); break;
		case "07" : echo ("Julio"); break;
		case "08" : echo ("Agosto"); break;
		case "09" : echo ("Septiembre"); break;
		case "10" : echo ("Octubre"); break;
		case "11" : echo ("Noviembre"); break;
		case "12" : echo ("Diciembre"); break;
	}
}


function boton($param){
	$path_to_images = "imagenes/";
	
	$tipo 				= $param["tipo"];
	$acceso_restringido	= $param["r"];
	$url				= $param["url"];
	
	switch ($tipo){
		case 'mod': $src = $path_to_images . "iconos/editar16.gif";	
					$tooltip = "Modificar el Elemento";	
					break;
					
		case 'del': $src = $path_to_images . "iconos/eliminar16.gif";	
					$tooltip = "Eliminar el Elemento";	
					$onclick = "onclick=\"return confirm('Esta seguro que desea eliminar el elemento?');\"";
					break;
	}
		
	
	
	$tooltip = "onmouseover=\"return overlib('Eliminar el Elemento');\" onmouseout=\"nd();\"";
	
	if (($acceso_restringido)&&(!$_SESSION["permisos_usuario"]["adm"])){
		$b = "&nbsp;";
	}else{
		$b = "<img src=$src border=0>";
		if ($url) $b = "<a href='$url' $tooltip $onclick >$b</a>";
	}
	
	return $b;
	
}


function printer_friendly($param){
	
	$url = $param["url"];
	$url = "javascript:PrintThisPage();";
	
	$tabla = "
	<table align=right border=0>
	<tr>
	<td align=right><img src='imagenes/imprimir.gif'></td>
	<td style=\"font-size:xx-small; \">
	<a href=$url>[ IMPRIMIR ESTA PAGINA ]</a>
	</td>
	</tr>
	</table>
	
	";
	 
	echo $tabla;
}


function mostrar_detalles($param){
	$obj 			= $param["obj"];
	$visibilidad 	= $param["vis"];
	$formato	 	= $param["format"];
	$debug_cont		= checkARRAY($param, "debug", "");
	$titulo			= checkARRAY($param, "titulo", "");
	$tabla = mostrar_detalles_objeto($obj,$visibilidad,$formato,"",$titulo,$debug_cont);
	echo $tabla;
}

function calendario($params){
	$name 		= $params["name"];
	$name2		= $params["name2"];
	$form_name 	= $params["form_name"];
	$value		= $params["value"];
	$fecha		= $params["fecha"];
	$tipo		= $params["tipo"];

	$fecha		= convertirFechaBD_fecha($fecha);

	if (!$form_name) 	$form_name = "form1";
	if (!$tipo) 		$tipo = 0;
	
	if ($fecha == "hoy") $fecha = convertirFechaBD_fecha(hoy());
	
	if ($tipo == 0){
		echo "
		<input name='$name' value='$fecha' size='12'>
		<a href='javascript:void(0)' onclick='if(self.gfPop)gfPop.fPopCalendar(document.$form_name.$name);return false;' HIDEFOCUS>
		<img name='popcal' align='absmiddle' src='imagenes/calbtn.gif' width='34' height='22' border='0' alt=''>&nbsp;
		</a>
		";
	}

	if ($tipo == 1){
		echo "
		<input name='$name' value='$fecha' size='12' onfocus='this.blur()' >
		<a href='javascript:void(0)' onclick='if(self.gfPop)gfPop.fAntes(document.$form_name.$name);return false;' HIDEFOCUS>
		<img name='popcal' align='absmiddle' src='imagenes/calbtn.gif' width='34' height='22' border='0' alt=''>
		</a>
		";
	}

	if ($tipo == 2){
		echo "
		<input name='$name' value='$fecha' size='12' onfocus='this.blur()' >
		<a href='javascript:void(0)' onclick='if(self.gfPop)gfPop.fDespues(document.$form_name.$name);return false;' HIDEFOCUS>
		<img name='popcal' align='absmiddle' src='imagenes/calbtn.gif' width='34' height='22' border='0' alt=''>
		</a>
		";
	}
	
	if ($tipo == "3a"){
		echo "
		<input name='$name' value='$fecha' size='12' onfocus='this.blur()' >
		<a href='javascript:void(0)' onclick='if(self.gfPop)gfPop.fStartPop(document.$form_name.$name,document.$form_name.$name2);return false;' HIDEFOCUS>
		<img name='popcal' align='absmiddle' src='imagenes/calbtn.gif' width='34' height='22' border='0' alt=''>
		</a>
		";
	}
	
	if ($tipo == "3b"){
		echo "
		<input name='$name' value='$fecha' size='12' onfocus='this.blur()' >
		<a href='javascript:void(0)' onclick='if(self.gfPop)gfPop.fEndPop(document.$form_name.$name2,document.$form_name.$name);return false;' HIDEFOCUS>
		<img name='popcal' align='absmiddle' src='imagenes/calbtn.gif' width='34' height='22' border='0' alt=''>
		</a>
		";
	}
	
	
}

function bg_lista($params){
		
		$color	= $params["color"];
		if (!$color) $color = "FEDFA2";
		
		echo "onMouseOver=\"style.backgroundColor='#" . $color . "';\" onMouseOut=\"style.backgroundColor='';\"";
}

function combobox($params){
		$arr	= $params["arr"];
		$name	= $params["name"];
		$onchange = $params["onchange"];
		$id 	= $params["id"];
		$first	= $params["first"];
		$last	= $params["last"];
		$linked = $params["linked"];
		$prefix = $params["prefix"];

		if (!is_array($arr)){
			$arr =  explode("|", $arr);
			
			foreach ($arr as $key => $item){
				$temp["id"] = $key;
				$temp["name"] = $item;
				$aux[] = $temp;
			}
			$arr = $aux;
		}
		
		if ($prefix == null) $prefix = "";
		
		//Select para el Array
		if ($name == null) $name = "arr";
		
		$pos = strpos($first, "|");
		if (!$pos){			
			$first_name = $first;
			$first_id 	= 0;	
		}else{
			$first_name = substr($first,0,$pos);
			$first_id 	= substr($first,$pos+1);	
		}
		
		$pos = strpos($last, "|");
		if (!$pos){			
			$last_name = $last;
			$last_id 	= 0;	
		}else{
			$last_name = substr($last,0,$pos);
			$last_id 	= substr($last,$pos+1);	
		}
				
		if ($linked == 1) $onchange = $prefix . "actualizar_arr2();";
		if ($linked == 2) $onchange = $prefix . "actualizar_arr3();";
		
//		debug($first);
//		debug($pos);		
//		debug($first_name);
//		debug($first_id);
//		debug($name);
//		debug($linked);
//		debug($onchange);
		
		echo "<select name=$name onChange=\"$onchange\">";
		
		if ($first){echo "<option value=" . $first_id . ">" . $first_name . "</option>";}
		
		if ($arr){
			foreach ($arr as $item){
				$selected = "";
				if ($item["id"] == $id){$selected = " selected ";}
				$opt = "<option " . $selected . " value='" . $item["id"] . "'>" . $item["name"] . "</option>";
				echo $opt;
			}	
		}else{
			$from =  $params["from"];
			$to 	=  $params["to"];
			$step 	=  $params["step"];
			
			if ($step == null) $step = 1;
			
			for ($i=$from; $i<=$to; $i=$i+$step){
				$selected = "";
				if ($i == $id){$selected = " selected ";}
				$opt = "<option " . $selected . " value='$i'>$i</option>";
				echo $opt;
			}			
		}

		if ($last){echo "<option value=" . $last_id . ">" . $last_name . "</option>";}

		
		echo "</select>";
}


function msgbox($params){	
	
	$msg	= $params["msg"];
	$link 	= $params["link"];
	$url 	= $params["url"];
	$extra	= $params["extra"];
	
	echo "
	<p><table class=\"tabla_mensaje\" align=\"center\">
	<tr><td align=center>
		$msg 
	</td></tr>
	
	<tr><td align=center>
		<a href='$url' $extra><div style='background-color: #FFCC66;'>$link</div></a>
	</td></tr>
	</table>
	<br>

	";
}

/**
 * @return void
 * @param $params $url=direccion de retorno
 * @desc Despliega un boton volver en pantalla
*/
function volver($params){	
	
	
	$url 	= checkARRAY($params, "url", "javascript:history.back(1)");
	$extra	= $params["extra"];
	$class	= $params["class"];
	$text	= $params["text"];
	echo "<a href='$url' $extra class='$class'><img src=\"imagenes/botones/volver.gif\" border=0></a>";
}



function format_numero($params){
	
	
	$number = $params["nro"];	
	$decimals = "0";
	$decpoint= ".";
	$thousandsep=".";	
	
	return number_format($number, $decimals, $decpoint, $thousandsep);
}

function money($params){
	
	$number = $params["nro"];	
	$decimals = "0";
	$decpoint= ".";
	$thousandsep=".";	
	
	return "$" . number_format($number, $decimals, $decpoint, $thousandsep);
}

function formatFecha($params){

	if (substr_count($fecha, "/") != 0){
		return $fecha;
	}

	$val = $params["fecha"];
	//debug($val);
	if ($val == "hoy") {
		$val = hoy();
	}
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	//var_dump($mes, $ao, $hor, $min);
	
	if ($hor){
		$hora = "(".$hor.":".$min.")";
	}
	
	
	echo "$dia/$mes/$ao $hora";
}

function format_fecha($params){

	$val = $params["fecha"];

	if (substr_count($val, "/") != 0){
		return $val;
	}

	
	//debug($val);
	if ($val == "hoy") {
		$val = hoy();
	}
	
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	//var_dump($mes,$ao, $hor, $min);
	
	if ($hor){
		$hora = "(".$hor.":".$min.")";
	}
	
	
	echo "$dia/$mes/$ao $hora";
}

function format_fecha_corta($params){
	$val = $params["fecha"];
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	echo "$ao$mes$dia";
}

function rellenar_numero($params){
	$nro 	= $params["nro"];
	$cant 	= $params["cant"];
	$prefix	= $params["prefix"];
	
	if (!$cant) $cant = 8;
	
	return $prefix . sprintf("%0" .$cant . "d",$nro);

	
}

function obtener_fecha_proceso(){

	//debug($_SESSION);
	$id_empresa = $_SESSION["id_empresa_seleccionada"];
	$id_empresa = 3;
	$id_sucursal = $_SESSION["id_sucursal"];
	
	$clog_sucursal = new Controlador_Logico_Cont_sucursal();
	
	$mes = $_SESSION["mes_proceso"];
	$ao = $_SESSION["ao_proceso"];

	$empresa  = ContEmpresa_getContEmpresa($id_empresa);
	//debug($empresa);
	$sucursal = $clog_sucursal->getCont_sucursal($id_sucursal);
	//debug($id_sucursal);
	//if ($empresa && $sucursal){
	if ($empresa){
	switch ($mes)
	{
		case "01": $mes = "Enero";break;
		case "02": $mes = "Febrero";break;
		case "03": $mes = "Marzo";break;
		case "04": $mes = "Abril";break;
		case "05": $mes = "Mayo";break;
		case "06": $mes = "Junio";break;
		case "07": $mes = "Julio";break;
		case "08": $mes = "Agosto";break;
		case "09": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}	
	
	//echo "<strong>".$empresa->nombre."/".$sucursal->get_descripcion()."/$mes/$ao</strong>";
	echo "<strong>".$empresa->nombre."/"."/$mes/$ao</strong>";
	}
}


function permiso($params){
	
	$html 		= $params["html"];
	$seguridad  = $params["seguridad"];

	
	//if (get_permiso($seguridad)){
		echo $html;
	//}
}

function up_first($param){
	
	$val = $param["string"];
	$val = strtolower($val);
	$val = ucwords($val);
	
	echo ($val);
}

function format_rut_2($param){
	$rut = $param["rut"];
	//debug($rut);
	if (strlen($rut) > 6 ){
		$rut = number_format($rut, 0, ',', '.').substr($rut,-2,2);
		if (strlen($rut) < 12)
			$rut = "0".$rut;
		echo $rut;
	}else{
		echo "- -";
	}
}


function linked_combobox_script($params){
		//debug($params);
		
		$arr1	= $params["arr1"];
		$arr2	= $params["arr2"];
		$arr3	= $params["arr3"];
		
		$name1	= $params["name1"];
		$name2	= $params["name2"];
		$name3	= $params["name3"];
		
		$prefix = $params["prefix"];
		
		//debug($arr1);
		//debug($arr2);
		//debug($arr3);
		
		//var_dump($name1, $name2, $name3);
		
		if ($prefix == null) $prefix = "";
		if ($name1 == null) $name1 = "arr1";
		if ($name2 == null) $name2 = "arr2";
		if ($name3 == null) $name3 = "arr3";
		
		
		//var_dump($name1, $name2, $name3);
		//-------------------------------------------------------------------------------------
		//	Creacion de String para el array 1
		//-------------------------------------------------------------------------------------
		
		foreach ($arr1 as $item){
			$str1_id 	.= $item["id"] . "|";
			$str1_name 	.= $item["name"] . "|";
		}
				
		$str1_id 		= substr($str1_id, 0, -1);
		$str1_name 		= substr($str1_name, 0, -1);
		
		
		//-------------------------------------------------------------------------------------
		//	Creacion de String para el array 2
		//-------------------------------------------------------------------------------------
		
		foreach ($arr2 as $item){
			$str2_id 		.= $item["id"] . "|";
			$str2_id_padre 	.= $item["id_padre"] . "|";
			$str2_name 		.= $item["name"] . "|";
		}
				
		$str2_id 		= substr($str2_id, 0, -1);
		$str2_id_padre	= substr($str2_id_padre, 0, -1);
		$str2_name 		= substr($str2_name, 0, -1);
		
		
		
		//-------------------------------------------------------------------------------------
		//	Creacion de String para el array 3
		//-------------------------------------------------------------------------------------
		
		foreach ($arr3 as $item){
			$str3_id 		.= $item["id"] . "|";
			$str3_id_padre 	.= $item["id_padre"] . "|";
			$str3_name 		.= $item["name"] . "|";
		}
				
		$str3_id 		= substr($str3_id, 0, -1);
		$str3_id_padre	= substr($str3_id_padre, 0, -1);
		$str3_name 		= substr($str3_name, 0, -1);
							
		?>
		
		<script language="JavaScript">
		
		
		
		function agregarOption(texto, value, object){

			var defaultSelected = false;
		  	var selected = false;
		  
			var optionName = new Option(texto, value, defaultSelected, selected);
		    var length = object.length;
		    object.options[length] = optionName;
		}
		
					
			
			
			//Variables para el array 1
			var <?echo $prefix; ?>str1_id = "<? echo $str1_id; ?>";
			var <?echo $prefix; ?>arr1_id = <?echo $prefix; ?>str1_id.split("|");
			
			
			//Variables para el array 2
			var <?echo $prefix; ?>str2_id = "<? echo $str2_id; ?>";
			var <?echo $prefix; ?>arr2_id = <?echo $prefix; ?>str2_id.split("|");
			
			var <?echo $prefix; ?>str2_id_padre = "<? echo $str2_id_padre; ?>";
			var <?echo $prefix; ?>arr2_id_padre = <?echo $prefix; ?>str2_id_padre.split("|");
			
			var <?echo $prefix; ?>str2_name = "<? echo $str2_name; ?>";
			var <?echo $prefix; ?>arr2_name = <?echo $prefix; ?>str2_name.split("|");
			
			
			//Variables para el array 3
			var <?echo $prefix; ?>str3_id = "<? echo $str3_id; ?>";
			var <?echo $prefix; ?>arr3_id = <?echo $prefix; ?>str3_id.split("|");
			
			var <?echo $prefix; ?>str3_id_padre = "<? echo $str3_id_padre; ?>";
			var <?echo $prefix; ?>arr3_id_padre = <?echo $prefix; ?>str3_id_padre.split("|");
			
			var <?echo $prefix; ?>str3_name = "<? echo $str3_name; ?>";
			var <?echo $prefix; ?>arr3_name = <?echo $prefix; ?>str3_name.split("|");	

			<?
			
			echo "
			function " . $prefix . "actualizar_arr2(){		";
			
			?>

			
			<?
			echo "
			select_1	= document.form1." . $name1 . "
			select_2	= document.form1." . $name2 . "		
			";

			if ($arr3){
				echo "
				select_3	= document.form1." . $name3 . "
				select_3.options.length = 0;
				agregarOption(\"Seleccione un Item\", 0, select_3);
				";
			}
			?>

			select_2.options.length = 0;
			agregarOption("Seleccione un Item", 0, select_2);
				
		  
			val = select_1.options[select_1.selectedIndex].value;
			

			if (val != 0){		
		  		for (i=0; i<<?echo $prefix; ?>arr2_id.length; i++){	
		  			
		  			if (<?echo $prefix; ?>arr2_id_padre[i] == val){
		  				agregarOption( <?echo $prefix; ?>arr2_name[i],  <?echo $prefix; ?>arr2_id[i], select_2);
		  			}			
				}
			}

		};
		
		<?
			if ($arr3){
				echo "
					function " . $prefix . "actualizar_arr3() {
		  			
					select_1	= document.form1." . $name1 . "
					select_2	= document.form1." . $name2 . "
					select_3	= document.form1." . $name3 . "
				
									
					select_3.options.length = 0;
					agregarOption(\"Seleccione un Item\", 0, select_3);
				  
					val = select_2.options[select_2.selectedIndex].value;
					
					if (val != 0){		
						for (i=0; i<".$prefix."arr3_id.length; i++){		  			
				  			if (".$prefix."arr3_id_padre[i] == val){
				  				agregarOption( ".$prefix."arr3_name[i],  ".$prefix."arr3_id[i], select_3);
				  			}			
						}
					}										
				}
				";
			}
	
			echo "</script>";
	}
?>
<?
/**
 * @return void
 * @param $params
 * @desc Despliega en mensaje en pantalla
*/


//Fin Funciones Smarty
?>
