<?php


//Funciones Smarty

function format_array_combobox($arr, $id, $name1, $id_padre, $conector, $name2, $fin){
		$array_tmp = null;
		foreach ($arr as $item){
			$temp["id"] 		= $item->$id;
			$temp["name"] 		= $item->$name1 . $conector . $item->$name2 . $fin;
			$temp["id_padre"] 	= $item->$id_padre; 
			$array_tmp[] = $temp;			
		}
		
		return $array_tmp;
	}
	
	function format_array_combobox2($arr, $id, $name1, $id_padre, $conector, $name2, $name3, $fin){
	$array_tmp = null;
	
	$name1_mod = "get_".$name1;
	$name2_mod = "get_".$name2;
	$name3_mod = "get_".$name3;

	$id_mod = "get_".$id;
	
	$id_padre_mod = "get_".$id_padre;
	
	//debug($id_mod);
		
	foreach ($arr as $item){

		$temp["id"] 		= $item->$id_mod();
		if ($name3)
			$temp["name"] 		= $item->$name1_mod() . $conector . $item->$name2_mod(). $fin . " ". $item->$name3_mod();
		else
		if ($name2)
			$temp["name"] 		= $item->$name1_mod() . $conector . $item->$name2_mod() . $fin ;
		else
			$temp["name"] 		= $item->$name1_mod();
		if ($id_padre)
			$temp["id_padre"] 	= $item->$id_padre_mod();
		$array_tmp[] = $temp;
	}

	return $array_tmp;
}


function msgbox($params){	
	
	$msg	= $params["msg"];
	$link 	= $params["link"];
	$url 	= $params["url"];
	$extra	= $params["extra"];
	
	echo "
	<br><p><table class=\"tabla_mensaje\" align=\"center\">
	<tr><td align=center>
		$msg 
	</td></tr>
	
	<tr><td align=center>
		<a href='$url' $extra>$link</a>
	</td></tr>
	</table>
	<br><br>
	";
}

function format_numero($params){
	
	
	$number = $params["nro"];	
	$decimals = "0";
	$decpoint= ".";
	$thousandsep=".";	
	
	return number_format($number, $decimals, $decpoint, $thousandsep);
}

function formatFecha($params){
	$val = $params["fecha"];
	//debug($val);
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	//var_dump($mes, $ao, $hor, $min);
	
	if ($hor){
		$hora = "(".$hor.":".$min.")";
	}
	
	
	echo "$dia-$mes-$ao $hora";
}

//Fin Funciones Smarty

function convertirFecha_fechabd($fecha){
$fecha = explode("/",$fecha);
	return $fecha[2].$fecha[1].$fecha[0];
}

function convertirFechaBD_fecha($fecha){
	return substr($fecha, 6, 2)."/".substr($fecha, 4, 2)."/".substr($fecha, 0, 4);
}

function miniFecha($val){
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	$hor = substr($val, 8, 2);
	$min = substr($val, 10, 2);
	
	if ($hor){
	return $dia."-".$mes."-".$ao. " (".$hor.":".$min.")";
	}
	
	
	return $dia."-".$mes."-".$ao;
}

function expandirFecha($val){
	
	$dia = substr($val, 6, 2);
	$mes = substr($val, 4, 2);
	$ao = substr($val, 0, 4);
	
	$fecha = getdate(mktime (0,0,0,$mes,$dia,$ao));
	$wdia = $fecha['wday']; 
	
	// Da de la Semana
	switch ($wdia){
		case "1": $tdia = "Lunes";break;
		case "2": $tdia = "Martes";break;
		case "3": $tdia = "Mi&eacute;rcoles";break;
		case "4": $tdia = "Jueves";break;
		case "5": $tdia = "Viernes";break;
		case "6": $tdia = "S&aacute;bado";break;
		case "0": $tdia = "Domingo";break;
	}
	
	// Mes
	switch ($mes){
		case "01": $mes = "Enero";break;
		case "02": $mes = "Febrero";break;
		case "03": $mes = "Marzo";break;
		case "04": $mes = "Abril";break;
		case "05": $mes = "Mayo";break;
		case "06": $mes = "Junio";break;
		case "07": $mes = "Julio";break;
		case "08": $mes = "Agosto";break;		
		case "09": $mes = "Septiembre";break;
		case "10": $mes = "Octubre";break;
		case "11": $mes = "Noviembre";break;
		case "12": $mes = "Diciembre";break;
	}	
	return $tdia.", ".$dia." de ".$mes." de ".$ao;
}
/*** Agregado por Macphisto ***/

function enviarMail($to, $subject, $msg){
	$headers = "From: ITEK Chile <soporte@itekchile.com>\r\n";
	mail($to, $subject, $msg, $headers);
}

function hoy()
{
	return date("YmdHi", mktime(date("H"),date("i"),0,date("m"),date("d"),date("Y")));
}

function & format_money($val) { return number_format($val, 0, ',', ' '); }
function & format_rut($val)   { return number_format($val, 0, ',', '.'); }



function debug($var){
	echo "<pre>"; var_dump($var); echo "</pre>";	
	return 1;
}

function eliminar_pos_arreglo($arreglo,$pos_eliminar){
	for ($i=0,$j=0;$i<sizeof($arreglo);$i++,$j++){
		if($i == $pos_eliminar)
			$i++;
		if ($i<sizeof($arreglo)){
			$arreglo_new[$j] = $arreglo[$i];
		}
	}
	return $arreglo_new;
}



function checkPOST($campo, $msg, $tipo=""){
	if (isset($_POST[$campo])){	
		if ($tipo == "num") {			
		    if (is_numeric($_POST[$campo])) {
		        return trim($_POST[$campo]);
		    }else{
				return 0;
			}
			
		}	
		return trim($_POST[$campo]);
	}else{			
		return $msg;
	}
			
}

function checkGET($campo, $msg, $tipo=""){
	if (isset($_GET[$campo])){
		if ($tipo == "num") {			
		    if (is_numeric($_GET[$campo])) {
		        return trim($_GET[$campo]);
		    }else{
				return 0;
			}
			
		}
		return trim($_GET[$campo]);
	}else{			
		return $msg;
	}
			
}

function msg($m, $t = ""){
		echo "<p><li>$t: $m<br>";
}
	
	
function expandir($str)
{
        global $queries;

        $texto = $queries[$str];

        $numargs = func_num_args();
        for($i=1;$i<$numargs;){
                $patron = "%" . func_get_arg($i++) . "%";
                $reemplazo = func_get_arg($i++);

                $texto = str_replace($patron, $reemplazo, $texto);
        }
        return $texto;
}

function getStrError($errno)
{
	switch ($errno) {
	case E_ALL:
		return "E_ALL";		
	case E_ERROR:
		return "E_ERROR";
	case E_WARNING:
		return "E_WARNING";
	case E_PARSE:
		return "E_PARSE";
	case E_NOTICE:
		return "E_NOTICE";
	case E_CORE_ERROR:
		return "E_CORE_ERROR";
	case E_CORE_WARNING:
		return "E_CORE_WARNING";
	case E_COMPILE_ERROR:
		return "E_COMPILE_ERROR";
	case E_COMPILE_WARNING:
		return "E_COMPILE_WARNING";
	case E_USER_ERROR:
		return "E_USER_ERROR";
	case E_USER_WARNING:
		return "E_USER_WARNING";
	case E_USER_NOTICE:
		return "E_USER_NOTICE";
	default:
		return "unknown";
	}
}

function myErrorHandler ($errno, $errstr, $errfile, $errline)
{
	if (!error_reporting()) return;

	$str = getStrError($errno);

	global $ADOLogger;
	if (isset($ADOLogger))
		$ADOLogger->logHTML("<b>$str</b>: <span style='color:red;'>$errstr</span> (on $errfile:$errline)");

}

set_error_handler("myErrorHandler");

?>
