<?

$old = getcwd();
$new = "../../";
chdir($new);

include_once("validate_session.php");
$url = "../../admin_session.php?i=modulos/comprobantes/";

$operacion = checkGET("op","");
//debug($_POST);
$id_sucursal_seleccionada = $_SESSION["id_sucursal_seleccionada"];
$id_empresa_seleccionada  = $_SESSION["id_empresa_seleccionada"];
$mes_proceso = $_SESSION["mes_proceso"];
$ano_proceso = $_SESSION["ao_proceso"];

$clog_Cont_comprobante = new Controlador_Logico_Cont_comprobante();

switch ($operacion){
	//-------------------------------------------------- Guarda un Cont_comprobante en la DB
	case "add":

	//debug($_POST);

	$id_comprobante 			= checkPOST("id_comprobante", "");
	$tipo_comprobante 			= checkPOST("tipo_comprobante", "");
	$descripcion 				= checkPOST("descripcion", "");
	$numero_comprobante 		= checkPOST("numero_comprobante","");
	$_SESSION['ultimo_numero']	=$numero_comprobante;
	$_SESSION['ultimo_guardado']=$numero_comprobante;	
	$fecha_creacion 			= convertirFecha_fechabd(checkPOST("fecha_creacion",""));
	$estado 					= 1;
	$guardar_mas 				= checkPOST("guardar_mas","");

	$cont_comprobante_nuevo = new Cont_comprobante();
	$cont_comprobante_nuevo->set_id_comprobante($id_comprobante);
	$cont_comprobante_nuevo->set_tipo_comprobante($tipo_comprobante);
	$cont_comprobante_nuevo->set_id_empresa($id_empresa_seleccionada);
	$cont_comprobante_nuevo->set_descripcion($descripcion);
	$cont_comprobante_nuevo->set_fecha_creacion($fecha_creacion);
	$cont_comprobante_nuevo->set_fecha_modificacion($fecha_modificacion);
	$cont_comprobante_nuevo->set_fecha_proceso($ano_proceso.$mes_proceso);
	$cont_comprobante_nuevo->set_estado($estado);
	$cont_comprobante_nuevo->set_id_centro_costo($id_centro_costo);
	//$cont_comprobante_nuevo->set_estado_antiguo($estado_antiguo);
	$cont_comprobante_nuevo->set_ano_proceso($ano_proceso);
	$cont_comprobante_nuevo->set_mes_proceso($mes_proceso);
	$cont_comprobante_nuevo->set_id_sucursal($id_sucursal_seleccionada);
	//$cont_comprobante_nuevo->set_estado_antiguo(0);
	
	$filtro_existe_comprobante["ano_proceso"] = $ano_proceso;
	$filtro_existe_comprobante["numero"] = $numero_comprobante;
	$extra_existe_comprobante["sql"] = "AND (tipo_comprobante LIKE '1' or tipo_comprobante LIKE '2' or tipo_comprobante LIKE '3')";
	$listado_comprobante_existe = $clog_Cont_comprobante->getListadoCont_comprobante($filtro_existe_comprobante,$extra_existe_comprobante);
	$existe = $listado_comprobante_existe[0];

	if ($numero_comprobante == "" || $existe){
		$filtro_ultimo_numero["tipo_comprobante"] = $tipo_comprobante;
		$filtro_ultimo_numero["ano_proceso"] = $ano_proceso;
		$filtro_ultimo_numero["id_empresa"] = $id_empresa_seleccionada;
		//$filtro_ultimo_numero["tipo_comprobante"] = "1' or tipo_comprobante LIKE '2' or tipo_comprobante LIKE '3";
		$extra_ultimo_numero["sql"] = "AND (tipo_comprobante LIKE '1' or tipo_comprobante LIKE '2' or tipo_comprobante LIKE '3')";
		$ultimo_numero = $clog_Cont_comprobante->getUltimo_NumeroCont_comprobante($filtro_ultimo_numero,$extra_ultimo_numero);
		$cont_comprobante_nuevo->set_numero($ultimo_numero + 1);
	}
	else
		$cont_comprobante_nuevo->set_numero($numero_comprobante);
		
		
	$id_cont_comprobante_nuevo = $clog_Cont_comprobante->guardarCont_comprobante($cont_comprobante_nuevo);

	//$url .= "mantenedor_cont_comprobante";
	
	$url .= "mantenedor_cont_detalle_comprobante&id_comprobante=$id_cont_comprobante_nuevo&tipo=nuevo";
	header("Location: $url");
	break;


	//-------------------------------------------------- Anula un Cont_comprobante en la DB
	case "anu":
	//debug($_GET);

	$id_comprobante = checkGET("id_comprobante", 0, "num");
	$cont_comprobante = $clog_Cont_comprobante->getCont_comprobante($id_comprobante);
	$cont_comprobante->set_estado(0);
	$cont_comprobante->set_fecha_anulacion(hoy());
	$tipo_comprobante = $cont_comprobante->get_tipo_comprobante();
	$clog_Cont_comprobante->actualizarCont_comprobante($cont_comprobante);
	
	if ($tipo_comprobante == "4" || $tipo_comprobante == "5")
		$url .= "mantenedor_comprobante_control";
	else
		$url .= "mantenedor_cont_comprobante";
	
	
	
	header("Location: $url");
	break;

	//-------------------------------------------------- Elmina un Cont_comprobante en la DB
	case "del":
	//debug($_GET);

	$id_comprobante = checkGET("id_comprobante", 0, "num");
	$cont_comprobante = $clog_Cont_comprobante->getCont_comprobante($id_comprobante);
	$clog_Cont_comprobante->eliminarCont_comprobante($id_comprobante);
	$url .= "mantenedor_cont_comprobante";
	
	header("Location: $url");
	break;

	//-------------------------------------------------- Modifica un Cont_comprobante en la DB
	case "mod":

	//debug($_POST);
	$tipo_comprobante 	  = checkPOST("tipo_comprobante", "");
	$id_comprobante		  = checkPOST("id_comprobante", 0);
	$cont_comprobante_mod = $clog_Cont_comprobante->getCont_comprobante($id_comprobante);

	$numero_comprobante   = checkPOST("numero_comprobante");
	
	$cont_comprobante_mod->set_id_comprobante(checkPOST("id_comprobante", ""));
	if ($tipo_comprobante)
		$cont_comprobante_mod->set_tipo_comprobante(checkPOST("tipo_comprobante", ""));
	else
		$tipo_comprobante = $cont_comprobante_mod->get_tipo_comprobante();
		
	$cont_comprobante_mod->set_numero($numero_comprobante);
	$cont_comprobante_mod->set_descripcion(checkPOST("descripcion", ""));
	$cont_comprobante_mod->set_fecha_creacion(convertirFecha_fechabd(checkPOST("fecha_creacion","")));
	$cont_comprobante_mod->set_fecha_modificacion(hoy());
	
	$filtro_existe_comprobante["ano_proceso"] = $ano_proceso;
//	$filtro_existe_comprobante["numero"] = $numero_comprobante;
	$extra_existe_comprobante["sql"] = "AND (tipo_comprobante LIKE '1' or tipo_comprobante LIKE '2' or tipo_comprobante LIKE '3')";
	$listado_comprobante_existe = $clog_Cont_comprobante->getListadoCont_comprobante($filtro_existe_comprobante,$extra_existe_comprobante);
	$existe = $listado_comprobante_existe[0];	
	
//	if (!$existe)
//		$cont_comprobante_mod->set_numero($numero_comprobante);
	//$cont_comprobante_mod->set_fecha_proceso(checkPOST("fecha_proceso", ""));
	//$cont_comprobante_mod->set_estado(checkPOST("estado", ""));
	//$cont_comprobante_mod->set_id_centro_costo(checkPOST("id_centro_costo", ""));
	//$cont_comprobante_mod->set_estado_antiguo(checkPOST("extra1", ""));
	//$cont_comprobante_mod->set_ano_proceso(checkPOST("ano_proceso", ""));
	//$cont_comprobante_mod->set_mes_proceso(checkPOST("mes_proceso", ""));
//	debug($cont_comprobante_mod);
	$clog_Cont_comprobante->actualizarCont_comprobante($cont_comprobante_mod);
	//$debug($tipo_comprobante);
	//$url .= "mantenedor_cont_comprobante";
	if ($tipo_comprobante == "4" || $tipo_comprobante == "5")
		$url .= "mantenedor_detalle_comprobante_control&id_comprobante=$id_comprobante&op=mod";
	else
		$url .= "mantenedor_cont_detalle_comprobante&id_comprobante=$id_comprobante&op=mod";
	
	header("Location: $url");

	break;
	
	//--------------------------------------------------
	case "est":
	
	$id_comprobante = checkPOST("id_comprobante","");
	$estado 		= checkPOST("estado","");
	$comprobante = new Cont_comprobante();
	$comprobante = $clog_Cont_comprobante->getCont_comprobante($id_comprobante);
	$clog_Cont_detalle_comprobante = new Controlador_Logico_Cont_detalle_comprobante();
	$clog_Cliente_proveedor = new Controlador_Logico_Cliente_proveedor();
	$comprobante->set_estado($estado);
	$clog_Cont_comprobante->actualizarCont_comprobante($comprobante);
	
	
	if ($estado == "2"){
		
		$filtro_listado_detalle_comprobantes["id_comprobante"] = $id_comprobante;
		$listado_detalle_comprobante = $clog_Cont_detalle_comprobante->getListadoCont_detalle_comprobante($filtro_listado_detalle_comprobantes,$extra);
		
		$detalle = new Cont_detalle_comprobante();
		foreach ($listado_detalle_comprobante as $detalle){
			if ($detalle->get_estado() != 1 || $detalle->get_editado() == 1){
				$cuenta = Cuenta_getCuenta($detalle->get_id_cuenta());
				//debug($cuenta);
				if ($cuenta->get_cliente()){
					$numero_documento = $detalle->get_numero_documento();
					$rut = $detalle->get_rut();
					

					$filtro_cliente_proveedor["rut"] = $rut;
					$cliente_proveedor = $clog_Cliente_proveedor->getListadoCliente_proveedor($filtro_cliente_proveedor,$extra_cliente_proveedor);
					$cliente = $cliente_proveedor[0];
					
					$filtro_listado_documento["numero_documento"] = $numero_documento;
					$filtro_listado_documento["id_proveedor"] = $cliente->get_id_cliente_proveedor();
					$filtro_listado_documento["tipo_documento"] = $detalle->get_id_tipo_documento();
					
					$listado_documentos = Documento_venta_getListadoDocumento_venta($filtro_listado_documento,$extra_listado_documento);
					$documento = new Documento_venta();
					$documento = $listado_documentos[0];
					
					if ($detalle->get_editado() == 1){
						$haber_antes_de_editar = $detalle->get_haber_editado();
						$documento->set_total_saldos($documento->get_total_saldos() + $haber_antes_de_editar);
						$detalle->set_haber_editado();
						$detalle->set_editado();

					}
					
					$nuevo_saldo = $documento->get_total_saldos() - $detalle->get_haber();
					
					
					
					$documento->set_total_saldos($nuevo_saldo);
					$documento->set_total_pagos($documento->get_total_bruto() - $nuevo_saldo);
					if ($nuevo_saldo == 0){
						$documento->set_estado_venta(2);
						$documento->set_fecha_cancelacion($comprobante->get_fecha_creacion());
					}
					else
						$documento->set_estado_venta(1);

					$detalle->set_estado(1);	
										
					$clog_Cont_detalle_comprobante->actualizarCont_detalle_comprobante($detalle);
					Documento_venta_actualizarDocumento_venta($documento);
				}	
				
				if ($cuenta->get_proveedor()){
					$numero_documento = $detalle->get_numero_documento();
					$rut = $detalle->get_rut();
					

					$filtro_cliente_proveedor["rut"] = $rut;
					$cliente_proveedor = $clog_Cliente_proveedor->getListadoCliente_proveedor($filtro_cliente_proveedor,$extra_cliente_proveedor);
					$cliente = $cliente_proveedor[0];
					
					$filtro_listado_documento["numero_documento"] = $numero_documento;
					$filtro_listado_documento["id_proveedor"] = $cliente->get_id_cliente_proveedor();
					$filtro_listado_documento["tipo_documento"] = $detalle->get_id_tipo_documento();
					
					$listado_documentos = Documento_compra_getListadoDocumento_compra($filtro_listado_documento,$extra_listado_documento);
					$documento = new Documento_compra();
					$documento = $listado_documentos[0];
					
					
					
					if ($detalle->get_editado() == 1){
						
						$debe_antes_de_editar = $detalle->get_debe_editado();
						$documento->set_total_saldos($documento->get_total_saldos() + $debe_antes_de_editar);
						$detalle->set_debe_editado();
						$detalle->set_editado();

					}
					
					$nuevo_saldo = $documento->get_total_saldos() - $detalle->get_debe();
					
					
					
					$documento->set_total_saldos($nuevo_saldo);
					$documento->set_total_pagos($documento->get_total_bruto() - $nuevo_saldo);
					if ($nuevo_saldo == 0){
						$documento->set_estado_compra(2);
						$documento->set_fecha_cancelacion($comprobante->get_fecha_creacion());
					}
					else
						$documento->set_estado_compra(1);

					$detalle->set_estado(1);	
										
					$clog_Cont_detalle_comprobante->actualizarCont_detalle_comprobante($detalle);
					Documento_compra_actualizarDocumento_compra($documento);
				}	
			}
		}
	}
	
	$url .= "mantenedor_cont_detalle_comprobante&id_comprobante=$id_comprobante";
	
	header("Location: $url");
	break;
}

?>
