<?
include_once ("validate_session.php");

$mes_proceso = $_SESSION["mes_proceso"];
$ao_proceso = $_SESSION["ao_proceso"];

$desde_year = checkPOST("Desde_Year", $ao_proceso);
$desde_month = checkPOST("Desde_Month", $mes_proceso);

$hasta_year = checkPOST("Hasta_Year", $ao_proceso);
$hasta_month = checkPOST("Hasta_Month", $mes_proceso);

$fecha_inicio = $desde_year.$desde_month;
$fecha_fin = $hasta_year.$hasta_month;

$id_empresa = $_SESSION["id_empresa_seleccionada"];
$empresa = Empresa_getEmpresa($id_empresa);

$filtro_documento_compra["id_empresa"] = $id_empresa;

$extra_documento_compra["sql_especial"] = " cont_documento_compra.fecha_proceso Between '$fecha_inicio' AND '$fecha_fin'";
$extra_documento_compra["ORDER"] = "fecha_documento";

$listado_documento_compra = Documento_compra_getListadoDocumento_compra($filtro_documento_compra, $extra_documento_compra);

$filtro_documento_venta["id_empresa"] = $id_empresa;
$extra_documento_venta["sql_especial"] = " AND cont_documento_venta.tipo_documento = 1 AND cont_documento_venta.fecha_proceso BETWEEN '$fecha_inicio' AND '$fecha_fin'";
$extra_documento_venta["ORDER"] = "fecha_documento";
$listado_documento_venta = Documento_venta_getListadoDocumento_venta($filtro_documento_venta, $extra_documento_venta);

$key_venta = 0;
$key_compra = 0;
if ($listado_documento_compra)
	$tamao_compra = count($listado_documento_compra);
else
	$tamao_compra = 0;
if ($listado_documento_venta)	
	$tamao_venta = count($listado_documento_venta);
else
	$tamao_venta = 0;

for ($i = 0; $i < $tamao_compra + $tamao_venta; $i ++) 
{
	$documento_compra = $listado_documento_compra[$key_compra];
	$documento_venta = $listado_documento_venta[$key_venta];

	if ($documento_compra)
		$fecha_compra = $documento_compra->get_fecha_documento();
	else
		$fecha_compra = 9999999999;
	if ($documento_venta) {
		$fecha_venta = $documento_venta->get_fecha_documento();
		
	}else
		$fecha_venta = 99999999999;
	
	
	
	if ($fecha_compra < $fecha_venta) {
		if ($documento_compra) {
			
			$listado[$i]["id_documento"] = $documento_compra->get_id_documento_compra();
			$listado[$i]["numero"] = $documento_compra->get_numero_documento();
			$listado[$i]["tipo_documento"] = $documento_compra->get_tipo_documento();
			$listado[$i]["fecha"] = $documento_compra->get_fecha_documento();
			$listado[$i]["nombre"] = $documento_compra->get_nombre_proveedor();
			$listado[$i]["total_exento"] = $documento_compra->get_total_exento();
			$listado[$i]["total_impuesto"] = $documento_compra->get_total_impuesto();
			$listado[$i]["total_iva"] = $documento_compra->get_total_iva();
			$listado[$i]["total_neto"] = $documento_compra->get_total_neto();
			$listado[$i]["total_bruto"] = $documento_compra->get_total_bruto();
			$listado[$i]["total_saldos"] = $documento_compra->get_total_saldos();
			$key_compra ++;
			
			switch ($documento_compra->get_tipo_documento()){
				case "1":
					$listado[$i]["tipo_doc"] = "FC";
					$total_compra_exento += $documento_compra->get_total_exento();
					$total_compra_impuesto += $documento_compra->get_total_impuesto();
					$total_compra_iva += $documento_compra->get_total_iva();
					$total_compra_neto += $documento_compra->get_total_neto();
					$total_compra_bruto += $documento_compra->get_total_bruto();
					$total_compra_saldos += $documento_compra->get_total_saldos();					
				break;
				case "10":
					$listado[$i]["tipo_doc"] = "FCE";
					$total_compra_exento += $documento_compra->get_total_exento();
					$total_compra_impuesto += $documento_compra->get_total_impuesto();
					$total_compra_iva += $documento_compra->get_total_iva();
					$total_compra_neto += $documento_compra->get_total_neto();
					$total_compra_bruto += $documento_compra->get_total_bruto();
					$total_compra_saldos += $documento_compra->get_total_saldos();					
				break;
				case "11":
					$listado[$i]["tipo_doc"] = "FCA";
					$total_compra_exento += $documento_compra->get_total_exento();
					$total_compra_impuesto += $documento_compra->get_total_impuesto();
					$total_compra_iva += $documento_compra->get_total_iva();
					$total_compra_neto += $documento_compra->get_total_neto();
					$total_compra_bruto += $documento_compra->get_total_bruto();
					$total_compra_saldos += $documento_compra->get_total_saldos();					
				break;				
				case "2":
					$listado[$i]["tipo_doc"] = "NCC";
					$total_compra_exento -= $documento_compra->get_total_exento();
					$total_compra_impuesto -= $documento_compra->get_total_impuesto();
					$total_compra_iva -= $documento_compra->get_total_iva();
					$total_compra_neto -= $documento_compra->get_total_neto();
					$total_compra_bruto -= $documento_compra->get_total_bruto();
					$total_compra_saldos -= $documento_compra->get_total_saldos();					
				break;
				case "3":
					$listado[$i]["tipo_doc"] = "NDC";
					$total_compra_exento += $documento_compra->get_total_exento();
					$total_compra_impuesto += $documento_compra->get_total_impuesto();
					$total_compra_iva += $documento_compra->get_total_iva();
					$total_compra_neto += $documento_compra->get_total_neto();
					$total_compra_bruto += $documento_compra->get_total_bruto();
					$total_compra_saldos += $documento_compra->get_total_saldos();					
				break;								
			}
			

		}
	} else {
		if ($fecha_compra == $fecha_venta) {
			if ($documento_compra) {

				$listado[$i]["id_documento"] = $documento_compra->get_id_documento_compra();
				$listado[$i]["numero"] = $documento_compra->get_numero_documento();
				$listado[$i]["tipo_documento"] = $documento_compra->get_tipo_documento();
				$listado[$i]["fecha"] = $documento_compra->get_fecha_documento();
				$listado[$i]["nombre"] = $documento_compra->get_nombre_proveedor();
				$listado[$i]["total_exento"] = $documento_compra->get_total_exento();
				$listado[$i]["total_impuesto"] = $documento_compra->get_total_impuesto();
				$listado[$i]["total_iva"] = $documento_compra->get_total_iva();
				$listado[$i]["total_neto"] = $documento_compra->get_total_neto();
				$listado[$i]["total_bruto"] = $documento_compra->get_total_bruto();
				$listado[$i]["total_saldos"] = $documento_compra->get_total_saldos();
				$key_compra ++;

			switch ($documento_compra->get_tipo_documento()){
				case "1":
					$listado[$i]["tipo_doc"] = "FC";
					$total_compra_exento += $documento_compra->get_total_exento();
					$total_compra_impuesto += $documento_compra->get_total_impuesto();
					$total_compra_iva += $documento_compra->get_total_iva();
					$total_compra_neto += $documento_compra->get_total_neto();
					$total_compra_bruto += $documento_compra->get_total_bruto();
					$total_compra_saldos += $documento_compra->get_total_saldos();					
				break;
				case "2":
					$listado[$i]["tipo_doc"] = "NCC";
					$total_compra_exento -= $documento_compra->get_total_exento();
					$total_compra_impuesto -= $documento_compra->get_total_impuesto();
					$total_compra_iva -= $documento_compra->get_total_iva();
					$total_compra_neto -= $documento_compra->get_total_neto();
					$total_compra_bruto -= $documento_compra->get_total_bruto();
					$total_compra_saldos -= $documento_compra->get_total_saldos();					
				break;
				case "3":
					$listado[$i]["tipo_doc"] = "NDC";
					$total_compra_exento += $documento_compra->get_total_exento();
					$total_compra_impuesto += $documento_compra->get_total_impuesto();
					$total_compra_iva += $documento_compra->get_total_iva();
					$total_compra_neto += $documento_compra->get_total_neto();
					$total_compra_bruto += $documento_compra->get_total_bruto();
					$total_compra_saldos += $documento_compra->get_total_saldos();					
				break;								
			}
			}
			if ($documento_venta) {

				$listado[$i]["id_documento"] = $documento_venta->get_id_documento_venta();
				$listado[$i]["numero"] = $documento_venta->get_numero_documento();
				$listado[$i]["tipo_documento"] = $documento_venta->get_tipo_documento();
				$listado[$i]["fecha"] = $documento_venta->get_fecha_documento();
				$listado[$i]["nombre"] = $documento_venta->get_nombre_proveedor();
				$listado[$i]["total_exento"] = $documento_venta->get_total_exento();
				$listado[$i]["total_impuesto"] = $documento_venta->get_total_impuesto();
				$listado[$i]["total_iva"] = $documento_venta->get_total_iva();
				$listado[$i]["total_neto"] = $documento_venta->get_total_neto();
				$listado[$i]["total_bruto"] = $documento_venta->get_total_bruto();
				$listado[$i]["total_saldos"] = $documento_venta->get_total_saldos();
				$key_venta ++;

				switch ($documento_venta->get_tipo_documento()){
					case "1":
						$listado[$i]["tipo_doc"] = "FV";
						$total_venta_exento += $documento_venta->get_total_exento();
						$total_venta_impuesto += $documento_venta->get_total_impuesto();
						$total_venta_iva += $documento_venta->get_total_iva();
						$total_venta_neto += $documento_venta->get_total_neto();
						$total_venta_bruto += $documento_venta->get_total_bruto();
						$total_venta_saldos += $documento_venta->get_total_saldos();						
					break;
					case "2":
						$listado[$i]["tipo_doc"] = "NCV";
						$total_venta_exento -= $documento_venta->get_total_exento();
						$total_venta_impuesto -= $documento_venta->get_total_impuesto();
						$total_venta_iva -= $documento_venta->get_total_iva();
						$total_venta_neto -= $documento_venta->get_total_neto();
						$total_venta_bruto -= $documento_venta->get_total_bruto();
						$total_venta_saldos -= $documento_venta->get_total_saldos();						
					break;
					case "3":
						$listado[$i]["tipo_doc"] = "NDV";
						$total_venta_exento += $documento_venta->get_total_exento();
						$total_venta_impuesto += $documento_venta->get_total_impuesto();
						$total_venta_iva += $documento_venta->get_total_iva();
						$total_venta_neto += $documento_venta->get_total_neto();
						$total_venta_bruto += $documento_venta->get_total_bruto();
						$total_venta_saldos += $documento_venta->get_total_saldos();						
					break;										

				}

			}
		} else {
			if ($documento_venta) {
				
				$listado[$i]["id_documento"] = $documento_venta->get_id_documento_venta();
				$listado[$i]["numero"] = $documento_venta->get_numero_documento();
				$listado[$i]["tipo_documento"] = $documento_venta->get_tipo_documento();
				$listado[$i]["fecha"] = $documento_venta->get_fecha_documento();
				$listado[$i]["nombre"] = $documento_venta->get_nombre_proveedor();
				$listado[$i]["total_exento"] = $documento_venta->get_total_exento();
				$listado[$i]["total_impuesto"] = $documento_venta->get_total_impuesto();
				$listado[$i]["total_iva"] = $documento_venta->get_total_iva();
				$listado[$i]["total_neto"] = $documento_venta->get_total_neto();
				$listado[$i]["total_bruto"] = $documento_venta->get_total_bruto();
				$listado[$i]["total_saldos"] = $documento_venta->get_total_saldos();
				$key_venta ++;
				
				switch ($documento_venta->get_tipo_documento()){
					case "1":
						$listado[$i]["tipo_doc"] = "FV";
						$total_venta_exento += $documento_venta->get_total_exento();
						$total_venta_impuesto += $documento_venta->get_total_impuesto();
						$total_venta_iva += $documento_venta->get_total_iva();
						$total_venta_neto += $documento_venta->get_total_neto();
						$total_venta_bruto += $documento_venta->get_total_bruto();
						$total_venta_saldos += $documento_venta->get_total_saldos();						
					break;
					case "2":
						$listado[$i]["tipo_doc"] = "NCV";
						$total_venta_exento -= $documento_venta->get_total_exento();
						$total_venta_impuesto -= $documento_venta->get_total_impuesto();
						$total_venta_iva -= $documento_venta->get_total_iva();
						$total_venta_neto -= $documento_venta->get_total_neto();
						$total_venta_bruto -= $documento_venta->get_total_bruto();
						$total_venta_saldos -= $documento_venta->get_total_saldos();						
					break;
					case "3":
						$listado[$i]["tipo_doc"] = "NDV";
						$total_venta_exento += $documento_venta->get_total_exento();
						$total_venta_impuesto += $documento_venta->get_total_impuesto();
						$total_venta_iva += $documento_venta->get_total_iva();
						$total_venta_neto += $documento_venta->get_total_neto();
						$total_venta_bruto += $documento_venta->get_total_bruto();
						$total_venta_saldos += $documento_venta->get_total_saldos();						
					break;										

				}
			}
		}
	}
}

function get_ultimo_dia($mes, $ao) {
	switch ($mes) {
		case "01" :
			return $ao."0201";
			break;
		case "02" :
			return $ao."0301";
			break;
		case "03" :
			return $ao."0401";
			break;
		case "04" :
			return $ao."0501";
			break;
		case "05" :
			return $ao."0601";
			break;
		case "06" :
			return $ao."0701";
			break;
		case "07" :
			return $ao."0801";
			break;
		case "08" :
			return $ao."0901";
			break;
		case "09" :
			return $ao."1001";
			break;
		case "10" :
			return $ao."1201";
			break;
		case "11" :
			return $ao."1201";
			break;
		case "12" :
			return ($ao +1)."0101";
			break;
	}
}
$fecha_inicio = $desde_year.$desde_month."01";
$fecha_fin = $hasta_year.$hasta_month."01";

include_once ("facturas_por_mes.dibujar");
?>