<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once("validate_session.php");

$id_comprobante_pago = checkGET("idcmp","");
$id_empresa = $_SESSION["id_empresa_seleccionada"];

$empresa = ContEmpresa_getContEmpresa($id_empresa);

$clog_comprobante_pago = new Controlador_Logico_Cont_comprobante_pago();
$clog_detalle_comprobante_pago = new Controlador_Logico_Cont_detalle_comprobante_pago();
$clog_Cliente_proveedor = new Controlador_Logico_Cliente_proveedor();
$clog_cheque = new Controlador_Logico_Cont_cheque();

$comprobante_pago = new Cont_comprobante_pago();
$comprobante_pago = $clog_comprobante_pago->getCont_comprobante_pago($id_comprobante_pago);
$cliente_proveedor = $clog_Cliente_proveedor->getCliente_proveedor($comprobante_pago->get_id_cliente_proveedor());

$filtro_detalle_comprobante["id_comprobante_pago"] = $id_comprobante_pago;
$listado_detalle_comprobante = $clog_detalle_comprobante_pago->getListadoCont_detalle_comprobante_pago($filtro_detalle_comprobante);

$filtro_listado_cheque["id_comprobante_pago"] = $id_comprobante_pago;
$listado_cheques = $clog_cheque->getListadoCont_cheque($filtro_listado_cheque);

$titulo = "COMPROBANTE DE PAGO";

class PDF_BCI extends PDFTable {

	function Header() {
		

		parent :: Header();
		$this->setXY(100, 10);
		//$this->Image(''.$this->conf_empresa_logo_reporte, 5, 4, 15);
		$this->SetFont('Arial', 'B', 12);
		$this->Cell();
	//	$this->Cell(169, 10, 'ADDCORP', 0, 0, "C");
		$this->Line(5, 20, 287, 20);
		$this->ln(18);
	}

	function Footer() {
		
		parent :: Footer();
		$this->SetLeftMargin(0);
		$this->SetY(-12);
		//$this->Line(25, 250, 195, 250); 	
		$this->SetFont('Arial', 'B', 8);
		//$this->MultiCell(240, 3, 'ADDCORP S.A', 0, 'C');
		$this->SetFont('Arial', '', 6);
		//$this->MultiCell(240, 3, 'Servicios - Asesoras - Capacitacin', 0, 'C');
		//$this->MultiCell(240, 3, 'Antonino Toro #1125. Fono 449 072 - 449 200. Fax 449 200. Antofagasta', 0, 'C');
		//$this->MultiCell(240);
		$this->SetFont('Arial', '', 6);
		$this->MultiCell(0, 3, $this->conf_empresa_pie_1, 0, 'C');
		$this->MultiCell(0, 3, $this->conf_empresa_pie_2, 0, 'C');
				
		//$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
	}
} //fin clase

//Creacin del objeto de la clase heredada


$pdf = new PDF_BCI("L","mm","A4",$conf_empresa_logo_reporte,$conf_empresa_pie_1,$conf_empresa_pie_2);
$pdf->AddPage();
$pdf->SetFont('Times', 'U', 12);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('MEGACONT');
$pdf->SetAutoPageBreak(true, 40);
//$pdf->SetMargins(2, 40, 2);

$pdf->setXY(0, 5);
//$pdf->Cell(0, 0, "N ".$comprobante->get_numero(), 0, 1, 'R');
$pdf->setXY(0, 10);
$pdf->Cell(0, 0, $titulo, 0, 1, 'C');
$pdf->setXY(0, 14);
//$pdf->Cell(0, 0, $fecha_proceso, 0, 1, 'C');
$pdf->setXY(0, 20);
$pdf->SetFont('Times', '', 11);

switch ($cliente_proveedor->get_tipo_cliente_proveedor()){
	case "1": $nombre_tipo = "Cliente";break;
	case "2": $nombre_tipo = "Proveedor";break;
	case "3": $nombre_tipo = "Emisor";break;
}

$rut = format_rut_php($cliente_proveedor->get_rut());
$fecha_cp = convertirFechaBD_fecha($comprobante_pago->get_fecha_abono());

$tabla_datos_cliente_proveedor ="
<table border=1 width=280 align=center>
	<tr>
		<td width=20>{$nombre_tipo}</td><td>{$cliente_proveedor->get_nombre()}</td>
		<td width=20>Fecha</td><td>{$fecha_cp}</td>
	</tr>
	<tr>
		<td>Razn Social</td><td width=120>{$cliente_proveedor->get_razon_social()}</td>
		<td width=20>RUT</td><td>{$rut}</td>
	</tr>
	<tr>
		<td width=20>Glosa</td><td colspan=3>{$comprobante_pago->get_glosa()}</td>
	</tr>
			
</table>	
";
	
$pdf->ln(2);
$pdf->htmltable($tabla_datos_cliente_proveedor);

$tabla_contenido = "
<table  border=1 width=280 align=center>
	<tr>
		<td align=center>N Doc</td>
		<td align=center>Fecha de Emisin</td>
		<td align=center>Total Exento</td>
		<td align=center>Total Neto</td>
		<td align=center>Total IVA</td>
		<td align=center>Total Bruto</td>
		<td align=center>Saldo	</td>
		<td align=center>A Pagar</td>
	</tr>
";


foreach ($listado_detalle_comprobante as $documento){
	$fecha_emision = convertirFechaBD_fecha($documento->get_fecha_documento());
	
	//$total_exento = money_php($documento->get_exento());
	$total_exento  = money_php($documento->get_total_exento());
	$total_neto   = money_php($documento->get_total_neto());
	$total_iva    = money_php($documento->get_total_iva());
	$total_bruto  = money_php($documento->get_total_bruto());
	$total_saldos = money_php($documento->get_total_saldos());
	$valor		  = money_php($documento->get_valor());
	
	$tabla_contenido .="
	<tr>
		<td align=center>{$documento->get_numero_documento()}</td>
		<td align=center>{$fecha_emision}</td>
		<td align=right>{$total_exento}</td>
		<td align=right>{$total_neto}</td>
		<td align=right>{$total_iva}</td>
		<td align=right>{$total_bruto}</td>
		<td align=right>{$total_saldos}</td>
		<td align=right>{$valor}</td>	
	</tr>
";
}

$total_abono = money_php($comprobante_pago->get_abono());
$tabla_contenido .="
	<tr>
		<td colspan=7 align=right>Total</td>
		<td align=right>{$total_abono}</td>
	</tr>
</table>
";
$pdf->ln();
$pdf->htmltable($tabla_contenido);

$tabla_forma_pago ="
<table border=1 width=280 align=center>
	<tr>
		<td width=20>Forma de Pago</td>
		<td>
		{$comprobante_pago->get_forma_pago()}
		</td>
	</tr>
</table>
";
$pdf->ln();
$pdf->htmltable($tabla_forma_pago);

if ($comprobante_pago->get_forma_pago() == "Cheque"){
$tabla_cheques ="
<table border=1 width=280 align=center>
	<tr>
		<td width=30>N Cheque</td>
		<td width=30>Monto</td>
		<td width=30>Fecha Cheque</td>
		<td width=115>Banco</td>	
	</tr>
";
foreach ($listado_cheques as $cheque){
	$monto_cheque = money_php($cheque->get_monto());
	$fecha_cheque = convertirFechaBD_fecha($cheque->get_fecha_cobro());
	
	$tabla_cheques .="
	<tr>
		<td>{$cheque->get_numero()}</td>
		<td>{$monto_cheque}</td>		
		<td>{$fecha_cheque}</td>
		<td>{$cheque->get_nombre_banco()}</td>			
	</tr>
	";
}
$tabla_cheques .="</table>";	
}
$pdf->ln();
$pdf->htmltable($tabla_cheques);

$tabla_firma ="
	<table border='0' width='50' align='right'>
	<tr>
		<td  width='100%' colspan=2 align='center'>Datos Receptor</td>
		
	</tr>
	<tr>
		<td  width='20%'>Nombre</td>
		<td class='td_datos_listado' width='80%' border='0010'></td>
	</tr>
	<tr>
		<td  width='20%'>Rut</td>
		<td class='td_datos_listado' width='80%' border='0010'></td>
	</tr>
	<tr>
		<td  width='20%'>Firma</td>
		<td class='td_datos_listado' width='80%' border='0010'></td>
	</tr>					
	</table>";
	
$pdf->ln();
$pdf->ln();
$pdf->htmltable($tabla_firma);

$nombre_archivo = $empresa->get_nombre() . " - comprobante_pago "  . $ao_proceso ."-". $mes_proceso . ".pdf";
$path_archivo	= "modulos/reportes/pdf/";
mkdir($path_archivo);

//$pdf->Output($path_archivo . $nombre_archivo);
$pdf->Output($path_archivo . $nombre_archivo, I);

return("nombre_archivo=$nombre_archivo");   
?>