<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

include_once ("validate_session.php");
include_once ("variables_globales.inc");

// CAPTURA DE DATOS
$id_comprobante = checkGET("idcmp", "");
$fin = checkGET("f", false);
$inicio = checkGET("i", false);
$f = explode("/", convertirFechaBD_fecha($fin));
$i = explode("/", convertirFechaBD_fecha($inicio));
$ao_proceso_fin = $f[2];
$mes_proceso_fin = $f[1];
$dia_proceso_fin = $f[0];

$ao_proceso_ini = $i[2];
$mes_proceso_ini = $i[1];
$dia_proceso_ini = $i[0];

$titulo = "ESTADO RESULTADO DESDE EL $dia_proceso_ini/$mes_proceso_ini/$ao_proceso_ini HASTA EL $dia_proceso_fin/$mes_proceso_fin/$ao_proceso_fin";

$dia_proceso += 1;
if ($dia_proceso > 31) {
	$mes_proceso += 1;
	$dia_proceso = 01;
	if ($mes_proceso > 12) {
		$ao_proceso += 1;
		$mes_proceso = 01;
	}
}

$id_empresa = $_SESSION["id_empresa_seleccionada"];
$empresa = ContEmpresa_getContEmpresa($id_empresa);

$clog_cc = new Controlador_Logico_Cont_comprobante();
$clog_dc = new Controlador_Logico_Cont_detalle_comprobante();
$clog_parametro = new Controlador_Logico_Cmn_parametro();
$clog_estado_resultado = new Controlador_Logico_Cont_estado_resultado();



class PDF_BCI extends PDFTable {

	function Header() {

		parent :: Header();
		$this->setXY(100, 10);
		$this->Image(''.$this->conf_empresa_logo_reporte, 5, 4, 15);
		$this->SetFont('Arial', 'B', 12);
		$this->Cell();
	//	$this->Cell(169, 10, 'ADDCORP', 0, 0, "C");
		$this->Line(5, 20, 294, 20);
		$this->ln(18);
	}

	function Footer() {

		parent :: Footer();
		$this->SetLeftMargin(25);
		$this->SetY(-12);
		//$this->Line(25, 250, 195, 250); 	
		$this->SetFont('Arial', 'B', 8);
		//$this->MultiCell(240, 3, 'ADDCORP S.A', 0, 'C');
		$this->SetFont('Arial', '', 6);
		//$this->MultiCell(240, 3, 'Servicios - Asesoras - Capacitacin', 0, 'C');
		//$this->MultiCell(240, 3, 'Antonino Toro #1125. Fono 449 072 - 449 200. Fax 449 200. Antofagasta', 0, 'C');
		//$this->MultiCell(240);
		$this->SetFont('Arial', '', 6);
		$this->MultiCell(240, 3, $this->conf_empresa_pie_1, 0, 'C');
		$this->MultiCell(240, 3, $this->conf_empresa_pie_2, 0, 'C');

		//$this->Cell(0,5,'Pgina '.$this->PageNo().'/{nb}',0,0,'R'); 
	}
} //fin clase

//Creacin del objeto de la clase heredada

$pdf = new PDF_BCI("L", "mm", "A4", $conf_empresa_logo_reporte, $conf_empresa_pie_1, $conf_empresa_pie_2);
$pdf->AddPage();
$pdf->SetFont('Times', 'U', 10);
$pdf->SetTitle($titulo);
$pdf->SetAuthor('ITEKCHILE');

$pdf->SetRightMargin(2);
$pdf->SetLeftMargin(15);
$pdf->SetAutoPageBreak(true, 200);

$pdf->setXY(0, 5);
//$pdf->Cell(0, 0, "N ".$comprobante->get_numero(), 0, 1, 'R');
$pdf->setXY(0, 10);
$pdf->Cell(0, 0, $titulo, 0, 1, 'C');
$pdf->setXY(0, 14);
//$pdf->Cell(0, 0, $fecha_proceso, 0, 1, 'C');
$pdf->setXY(0, 20);
$pdf->SetFont('Times', '', 7);

$array_menos[2] = "x";
$array_menos[3] = "x";
$array_menos[7] = "x";
$array_menos[8] = "x";
$array_menos[9] = "x";
$array_menos[10] = "x";
$array_menos[12] = "x";
$array_menos[14] = "x";

for ($i=1;$i<16;$i++){
	$ubicacion = $i;
	$filtro_cuenta["imp"] = 1;
	$filtro_cuenta["cc"] = $i;
	$filtro_cuenta["id_plan_cuenta"] = $empresa->get_id_plan_cuenta();
	$listado_cuenta = Cuenta_getListadoCuenta($filtro_cuenta);
	
	
	foreach ($listado_cuenta as $cuenta) {
	
		$id_cuenta = $cuenta->get_id_cuenta();
		$codigo = $cuenta->get_codigo();
	
		$extra_detalle["new_sql"] = "Select dc.id_detalle_comprobante, dc.id_comprobante, dc.id_detalle_comprobante_pago, dc.id_cuenta, dc.id_cliente_proveedor, dc.id_tipo_documento, dc.id_documento, dc.rut,dc.descripcion, Sum(dc.debe) AS debe, Sum(dc.haber) AS haber, dc.estado, dc.tipo_comprobante, dc.id_centro_costo From cont_detalle_comprobante AS dc , cont_comprobante AS cc Where dc.id_cuenta = '$id_cuenta' AND cc.id_empresa = '$id_empresa' AND cc.id_comprobante = dc.id_comprobante AND cc.fecha_creacion Between '$inicio' AND '$fin'  AND (cc.tipo_comprobante = '1' OR cc.tipo_comprobante = '2' OR cc.tipo_comprobante = '3' OR cc.tipo_comprobante = '4') AND cc.estado NOT LIKE '0' Group By dc.id_cuenta";
	
		$detalle_comprobante = $clog_dc->getListadoCont_detalle_comprobante(null, $extra_detalle);
	
		$detalle_comprobante = $detalle_comprobante[0];
	
		if ($detalle_comprobante) {
			if ($array_menos[$i] == "x"){
				$estado_resultado[$i] += $detalle_comprobante->get_debe();
			}
			else{
				$estado_resultado[$i] += $detalle_comprobante->get_haber();
			}
		}
	}	
}

$margen_explotacion    		= $estado_resultado[1] - abs($estado_resultado[2]);
$resultado_operacional 		= $margen_explotacion - abs($estado_resultado[3]);
$resultado_no_operacional 	= abs($resultado_operacional + $estado_resultado[4] + $estado_resultado[5] + $estado_resultado[6] - $estado_resultado[7] - $estado_resultado[8] - abs($estado_resultado[9]) - abs($estado_resultado[10]) + abs($estado_resultado[11]));
$resultado_antes_impuesto_renta = abs($resultado_no_operacional - $resultado_operacional);

$utilidad_perdida_liquida   = abs($resultado_antes_impuesto_renta - $estado_resultado[12] - $estado_resultado[13] - $estado_resultado[14]);
$utilidad_perdida_ejercicio =  $utilidad_perdida_liquida + $estado_resultado[15];

$tabla_encabezado ="" .
		"<table width=130 border=1 align=center>" .
		"	<tr>" .
		"		<td width=100>Ingresos de explotacin</td>" .
		"		<td width=30>".money_php($estado_resultado[1])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Costos de explotacin (menos)</td>" .
		"		<td>".money_php(abs($estado_resultado[2]))."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>MARGEN DE EXPLOTACION</td>" .
		"		<td>".money_php($margen_explotacion)."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td colspan=2></td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Gastos de Administracin y Ventas (menos)</td>" .
		"		<td>".money_php(abs($estado_resultado[3]))."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>RESULTADO OPERACIONAL</td>" .
		"		<td>".money_php($resultado_operacional)."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td colspan=2></td>" .
		"	</tr>" .		
		"	<tr>" .
		"		<td>Ingresos financieros</td>" .
		"		<td>".money_php($estado_resultado[4])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Utilidad inversin empresas relacionadas</td>" .
		"		<td>".money_php($estado_resultado[5])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Otros ingresos fuera de la explotacin</td>" .
		"		<td>".money_php($estado_resultado[6])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td colspan=2></td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Prdida inversin empresas relacionadas (menos)</td>" .
		"		<td>".money_php($estado_resultado[7])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Amortizacin menor valor de inversiones (menos)</td>" .
		"		<td>".money_php($estado_resultado[8])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Gastos financieros (menos)</td>" .
		"		<td>".money_php($estado_resultado[9])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Otros egresos fuera de la explotacin (menos)</td>" .
		"		<td>".money_php($estado_resultado[10])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Correcin monetaria</td>" .
		"		<td>".money_php($estado_resultado[11])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>RESULTADO NO OPERACIONAL</td>" .
		"		<td>".money_php($resultado_no_operacional)."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td colspan=2></td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Resultado antes del impuesto a la renta</td>" .
		"		<td>".money_php($resultado_antes_impuesto_renta)."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Impuesto a la renta (menos)</td>" .
		"		<td>".money_php($estado_resultado[12])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Utilidad (prdida) consolidada</td>" .
		"		<td>".money_php($estado_resultado[13])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>Inters minoritario</td>" .
		"		<td>".money_php($estado_resultado[14])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td colspan=2></td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td>UTILIDAD (PRDIDA) LQUIDA</td>" .
		"		<td>".money_php($utilidad_perdida_liquida)."</td>" .
		"	</tr>" .			
		"	<tr>" .
		"		<td>Amortizacin mayor valor de inversiones</td>" .
		"		<td>".money_php($estado_resultado[15])."</td>" .
		"	</tr>" .
		"	<tr>" .
		"		<td colspan=2></td>" .
		"	</tr>" .		
		"	<tr>" .
		"		<td>UTILIDAD (PRDIDA) DEL EJERCICIO</td>" .
		"		<td>".money_php($utilidad_perdida_ejercicio)."</td>" .
		"	</tr>" .					
		"</table>";
		
		
		
		
		
		
		
			
			

$pdf->ln(4);
$pdf->htmltable($tabla_encabezado);

$pdf->SetFillColor(234, 234, 234);

$pdf->SetFont('Times', 'B', 8);

$pdf->ln();

$nombre_archivo = $empresa->get_nombre()." - estado ".$dia_proceso."-".$mes_proceso."-".$ao_proceso.".pdf";
$path_archivo = "modulos/reportes/pdf/libro_venta/";
mkdir($path_archivo);

//$pdf->Output($path_archivo . $nombre_archivo);
$pdf->Output($path_archivo.$nombre_archivo, I);

return ("nombre_archivo=$nombre_archivo");
?>