<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

require_once 'Spreadsheet/Excel/Writer.php';	

include_once("validate_session.php");

$clog_libro_compra= new Controlador_Logico_Libro_compra();
$f = checkGET("f",false);

if ($f){
	$f = explode(".",$f);
	$ao_proceso = $f[0];
	$mes_proceso = $f[1];
}
else{
	if (($_SESSION["mes_proceso"])  && $_SESSION["ao_proceso"])
	{
		$mes_proceso = $_SESSION["mes_proceso"];
		$ao_proceso = $_SESSION["ao_proceso"];
	}else{
		$mes_proceso = substr(hoy(),4,2);
		$ao_proceso = substr(hoy(),0,4);
	}	
}

//$mes = enviar_nombre_mes($mes_proceso);	
$mes = $mes_proceso;	
$fecha_proceso = $mes." ".$ao_proceso;

$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$empresa = Empresa_getEmpresa($id_empresa_seleccionada);
$total_facturas_recibidas = 0;
$filtro_documento_compra["extra_libro_compra"] = "AND cont_documento_compra.ano_proceso = '$ao_proceso' AND cont_documento_compra.mes_proceso = '$mes_proceso' AND cont_documento_compra.id_empresa = '$id_empresa_seleccionada' ORDER BY cont_documento_compra.correlativo";
//debug($filtro_documento_compra);
$listado_libro_compra = $clog_libro_compra->getListadoLibro_compra($filtro_documento_compra);
foreach ($listado_libro_compra as $item){
	//debug($documento);
	switch ($item->get_tipo_documento()){
		case "1":
			$total_exento += $item->get_total_exento();
			$total_iva += $item->get_total_iva();
			$total_neto += $item->get_total_neto();
			$total_bruto += $item->get_total_bruto();
			$total_facturas++; 
			break;
		case "10" :
			$total_impuesto += $item->get_total_impuesto();					
			$total_exento += $item->get_total_exento();
			$total_iva += $item->get_total_iva();
			$total_neto += $item->get_total_neto();
			$total_bruto += $item->get_total_bruto();
			$total_facturas ++;
			break;
		case "11" :
			$total_impuesto += $item->get_total_impuesto();					
			$total_exento += $item->get_total_exento();
			$total_iva += $item->get_total_iva();
			$total_neto += $item->get_total_neto();
			$total_bruto += $item->get_total_bruto();
			$total_facturas ++;
			break;						
		case "6":
			$total_exento -= $item->get_total_exento();
			$total_iva -= $item->get_total_iva();
			$total_neto -= $item->get_total_neto();
			$total_bruto -= $item->get_total_bruto();
			break;
		case "7":
			$total_exento += $item->get_total_exento();
			$total_iva += $item->get_total_iva();
			$total_neto += $item->get_total_neto();
			$total_bruto += $item->get_total_bruto();
			break;
		case "0":
			$total_bruto += $item->get_total_bruto();
			break;
	}
}

$titulo = "Libro de Compras ".convertir_fecha_proceso($mes_proceso,$ao_proceso);

$workbook = new Spreadsheet_Excel_Writer();
$nombre_archivo=str_replace(" ","_","libro_compras");
$nombre_archivo=substr($nombre_archivo,0,25); 
$workbook->send("$nombre_archivo.xls");

// **************** Seteo de formatos ************************
$formato_titulo_grande=& $workbook->addFormat();
$formato_titulo_grande->setSize (14);
$formato_titulo_grande->setBold (1);
$formato_titulo_grande->setFgColor("blue");
$formato_titulo_grande->setColor ("white");
$formato_titulo =& $workbook->addFormat();
$formato_titulo->setBold (1);
$formato_titulo->setFgColor("blue");
$formato_titulo->setColor ("white");

// ***************** NOMBRE DE LA HOJA *************************
$worksheet =& $workbook->addWorksheet("$nombre_archivo");
//Registrar ttulo principal
$titulo_principal = "LIBRO DE COMPRAS: ".$fecha_proceso;
$worksheet->writeString ($count_row, 0, $titulo_principal,$formato_titulo_grande);

// ******************** ENCABEZADOS DE COLUMNAS ************************
	$col = 1;
	$fila = 2;
	$worksheet->writeString($fila, $col++, "CORR",$formato_titulo);
	$worksheet->writeString($fila, $col++, "TD",$formato_titulo);
	$worksheet->writeString($fila, $col++, "N Doc",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Fecha",$formato_titulo);
	$worksheet->writeString($fila, $col++, "Proveedor",$formato_titulo);
	$worksheet->writeString($fila, $col++, "RUT",$formato_titulo);
	$worksheet->writeString($fila, $col++, "EXENTO",$formato_titulo);
	$worksheet->writeString($fila, $col++, "NETO",$formato_titulo);
	$worksheet->writeString($fila, $col++, "IVA",$formato_titulo);
	$worksheet->writeString($fila, $col++, "BRUTO",$formato_titulo);




$i = 1;
foreach ($listado_libro_compra as $item){
	$fila++;
	$col = 1;
	//$worksheet->writeString($fila, $col++, $item->get_correlativo(),$formato);
	$worksheet->writeString($fila, $col++, $i++,$formato);
	$worksheet->writeString($fila, $col++, $item->get_nombre_tipo_documento(),$formato);
	$worksheet->writeString($fila, $col++, $item->get_numero_documento(),$formato);
	$worksheet->writeString($fila, $col++, convertirFechaBD_fecha($item->get_fecha_documento()),$formato);
	$worksheet->writeString($fila, $col++, $item->get_nombre_proveedor(),$formato);
	$worksheet->writeString($fila, $col++, format_rut_php($item->get_rut_proveedor()),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_exento()),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_neto()),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_iva()),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_bruto()),$formato);
}


//$pdf->ln(5);

$fila += 3;
$col = 6;
$worksheet->writeString($fila, $col++, "Nro. Facturas",$formato_titulo);
$worksheet->writeString($fila++, $col, $total_facturas,$formato);

$col = 6;
$worksheet->writeString($fila, $col++, "Totales",$formato_titulo);
$worksheet->writeString($fila, $col++, money_php($total_exento),$formato);
$worksheet->writeString($fila, $col++, money_php($total_neto),$formato);
$worksheet->writeString($fila, $col++, money_php($total_iva),$formato);
$worksheet->writeString($fila, $col++, money_php($total_bruto),$formato);


$workbook->close(); 
return("nombre_archivo=$nombre_archivo");   
?>