<?
$old = getcwd();
$new = "../../../";
chdir($new);

header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);

require_once 'Spreadsheet/Excel/Writer.php';	

include_once("validate_session.php");

$clog_libro_venta = new Controlador_Logico_Libro_venta();

if ($f){
	$f = explode(".",$f);
	$ao_proceso = $f[0];
	$mes_proceso = $f[1];
}
else{
	if (($_SESSION["mes_proceso"])  && $_SESSION["ao_proceso"])
	{
		$mes_proceso = $_SESSION["mes_proceso"];
		$ao_proceso = $_SESSION["ao_proceso"];
	}else{
		$mes_proceso = substr(hoy(),4,2);
		$ao_proceso = substr(hoy(),0,4);
	}	
}

$mes = $mes_proceso;	
$fecha_proceso = $mes." ".$ao_proceso;

$id_empresa_seleccionada = $_SESSION["id_empresa_seleccionada"];
$empresa = ContEmpresa_getContEmpresa($id_empresa_seleccionada);
$total_facturas_recibidas = 0;
		$filtro_documento_venta["union_1_sql"] = "WHERE cont_boleta_venta.fecha_proceso LIKE '$ao_proceso$mes_proceso%' AND cont_boleta_venta.id_contribuyente = '$id_empresa_seleccionada'";
		$filtro_documento_venta["union_2_sql"] = "AND cont_documento_venta.ano_proceso = '$ao_proceso' AND cont_documento_venta.mes_proceso = '$mes_proceso' AND cont_documento_venta.id_empresa = '$id_empresa_seleccionada' ORDER BY cont_documento_venta.numero_documento DESC";
$listado_libro_venta = $clog_libro_venta->getListadoLibro_venta($filtro_documento_venta);

foreach ($listado_libro_venta as $documento){
	//debug($documento);
	switch ($documento->get_tipo_documento()){
		case "1":
		$total_exento += $documento->get_exento();
		$total_iva += $documento->get_total_iva();
		$total_neto += $documento->get_total_neto();
		$total_bruto += $documento->get_total_bruto();
		$total_facturas++; 
		break;
		case "2":
		$total_exento -= $documento->get_exento();
		$total_iva -= $documento->get_total_iva();
		$total_neto -= $documento->get_total_neto();
		$total_bruto -= $documento->get_total_bruto();
		break;
		case "3":
		$total_exento += $documento->get_exento();
		$total_iva += $documento->get_total_iva();
		$total_neto += $documento->get_total_neto();
		$total_bruto += $documento->get_total_bruto();
		break;
		case "":
		$total_bruto += $documento->get_total_bruto();
		break;
	}
}

$titulo = "Libro de Ventas ".convertir_fecha_proceso($mes_proceso,$ao_proceso);

$workbook = new Spreadsheet_Excel_Writer();
$nombre_archivo=str_replace(" ","_","libro_ventas");
$nombre_archivo=substr($nombre_archivo,0,25); 
$workbook->send("$nombre_archivo.xls");

// **************** Seteo de formatos ************************
$formato_titulo_grande=& $workbook->addFormat();
$formato_titulo_grande->setSize (14);
$formato_titulo_grande->setBold (1);
$formato_titulo_grande->setFgColor("blue");
$formato_titulo_grande->setColor ("white");
$formato_titulo =& $workbook->addFormat();
$formato_titulo->setBold (1);
$formato_titulo->setFgColor("blue");
$formato_titulo->setColor ("white");

// ***************** NOMBRE DE LA HOJA *************************
$worksheet =& $workbook->addWorksheet("$nombre_archivo");
//Registrar ttulo principal
$titulo_principal = "LIBRO DE VENTAS: ".$fecha_proceso;
$worksheet->writeString ($count_row, 0, $titulo_principal,$formato_titulo_grande);

// ******************** ENCABEZADOS DE COLUMNAS ************************
$col = 1;
$fila = 2;
//$worksheet->writeString($fila, $col++, "CORR",$formato_titulo);
$worksheet->writeString($fila, $col++, "TD",$formato_titulo);
$worksheet->writeString($fila, $col++, "N Doc",$formato_titulo);
$worksheet->writeString($fila, $col++, "Fecha",$formato_titulo);
$worksheet->writeString($fila, $col++, "Cliente",$formato_titulo);
$worksheet->writeString($fila, $col++, "RUT",$formato_titulo);
$worksheet->writeString($fila, $col++, "VENTA",$formato_titulo);
//$worksheet->writeString($fila, $col++, "NETO",$formato_titulo);
$worksheet->writeString($fila, $col++, "IVA",$formato_titulo);
$worksheet->writeString($fila, $col++, "BRUTO",$formato_titulo);

$i = 1;


foreach ($listado_libro_venta as $item){
	$fila++;
	$col = 1;
	
	$worksheet->writeString($fila, $col++, $item->get_nombre_tipo_documento(),$formato);

/*
	if ($item->get_desde_numero_boleta() != "0")
		$worksheet->writeString($fila, $col++, $item->get_desde_numero_boleta()."/".$item->get_hasta_numero_boleta(),$formato);
		//$pdf->Cell(25,$alto, $item->get_desde_numero_boleta()."/".$item->get_hasta_numero_boleta() ,1,0,'C',1);
	else
		$worksheet->writeString($fila, $col++, "",$formato);
*/
	$worksheet->writeString($fila, $col++, $item->get_numero_documento(),$formato);
	$worksheet->writeString($fila, $col++, convertirFechaBD_fecha($item->get_fecha_documento()),$formato);
	$worksheet->writeString($fila, $col++, $item->get_nombre_cliente(),$formato);
	$worksheet->writeString($fila, $col++, $item->get_rut_cliente(),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_neto()),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_iva()),$formato);
	$worksheet->writeString($fila, $col++, money_php($item->get_total_bruto()),$formato);
	
}

$fila += 3;
$col = 5;
$worksheet->writeString($fila, $col++, "Nro. Facturas",$formato_titulo);
$worksheet->writeString($fila++, $col, $total_facturas,$formato);
$col = 5;
$worksheet->writeString($fila, $col++, "Totales",$formato_titulo);
//$fila++;
$worksheet->writeString($fila, $col++, money_php($total_neto),$formato);
$worksheet->writeString($fila, $col++, money_php($total_iva),$formato);
$worksheet->writeString($fila, $col++, money_php($total_bruto),$formato);


$workbook->close(); 

return("nombre_archivo=$nombre_archivo");   
?>