<?php
	include_once("validate_session.php");
	
	$year 	= checkGET("year", date("Y"));
	$month	= checkGET("month", date("m"));
	$day 	= checkGET("curday", 1);
	$type 	= checkGET("type", "month");

	$month = sprintf("%02s", $month);
	
	$clog_cobranzas = new Controlador_Logico_Cont_cobranza();
	
	$url_visitas = "";
	
	$filtro_listado_visita["fecha_visita"] = $year.$month."%";
	$extra_listado_visita["query"] = "GET_LISTADO_VISITA_HOJA_RUTA";
	
	$filtro["fecha_cobro"] = $year.$month."%";
	$extra["order"] = "hora_inicio";
	$extra["sort"] = "ASC";
	$listado_cobranza = $clog_cobranzas->getListadoCont_cobranza($filtro, $extra);
	
	$listado_visita = formatear_arreglo_eventos($listado_cobranza, "get_id()", "get_hora_inicio()", "get_hora_termino()", "nombre_cliente", $url_visitas, "get_observacion()", "get_fecha_cobro()");
	
	$c = new Calendario($year, $month, $day, $type);
	$c->fecha = hoy();
	$c->hora_inicio= "05:00:00";
	$c->hora_termino = "23:00:00";
	$c->type = $type;
	$c->url_base 	= "admin_session.php?i=modulos/ventas/revisar_agenda";
	
	$c->listado_eventos = $listado_visita;
	$c->display_calendario();	
	
	
	function formatear_arreglo_eventos($arr, $id="id", $hi="hora_inicio", $ht="hora_termino", $desc="descripcion", $url="", $text, $fecha_visita="fecha_visita"){	
		
		foreach ($arr as $item){
			
			
			$item->set_fecha_cobro(convertirFechaBD_fecha($item->get_fecha_cobro()));
			
			$fecha_arr = explode("/", $item->get_fecha_cobro());
			$fecha = mktime(1,0,0,$fecha_arr[1],$fecha_arr[0],$fecha_arr[2]);

			$eventos_diarios = $listado_eventos[$fecha];
			
			$evento["id"] 			= $item->get_id_cobranza();
			$evento["hora_inicio"] 	= $item->get_hora_inicio();
			$evento["hora_termino"] = $item->get_hora_termino();
			$evento["descripcion"] 	= $item->get_nombre_cliente();
			$evento["texto"]	 	= $item->get_observacion();
			$evento["url"] 			= $url . $item->get_id_cobranza();
			
			$eventos_diarios[] = $evento;
			//debug($eventos_diarios);
			
			$listado_eventos[$fecha] = $eventos_diarios;
		}
		
		return $listado_eventos;
	}
?>
