<?php	
	include_once("fachada/fachada.inc");
	include_once("variables_globales.inc");
	require_once("smarty.php");

	session_start();
	$clog_Sesiones = new Controlador_Logico_Sesiones();	
	$clog_Parametros = new Controlador_Logico_Parametros();
	$filtro_parametros["codigo"] = "ESTADO_DEFONTANA";
	$listado_parametros = $clog_Parametros->getListadoParametros($filtro_parametros, $extra_parametros);
	if ($listado_parametros)
	{
		if ($listado_parametros[0]->value == 1)
		{

			$filtro_sesiones["estado"]  = "1" ;
			$listado_sesiones = $clog_Sesiones->getListadoSesiones($filtro_sesiones, $extra_sesiones);
			if (!$listado_sesiones)
			{
				$id_sesion = conectar_defontana();

				if ($id_sesion <> 0) // Conexin Exitosa
				{
					$sesiones = new Sesiones();
					$sesiones->set_id_usuario($_SESSION["usuario"]->id_usuario);
					$sesiones->set_fecha(hoy());
					$sesiones->set_estado(1);
					$sesiones->set_id_sesion_defontana($id_sesion);
					$sesiones->set_fecha_desactiva($fecha_desactiva);
					$sesiones->set_id_usuario_desactiva($id_usuario_desactiva);
					$sesiones->set_ex3($ex3);
									
					$id_sesion_nuevo = $clog_Sesiones->guardarSesiones($sesiones);
					
				}
			}
			else
			{
				$sesion_activa = $listado_sesiones[0];
				cargar_sesion_defontana($sesion_activa->id_sesion_defontana);
				$ok = probar_conexion_defontana();
				if (!$ok)
				{			// DESACTIVAR SESION ACTUAL Y SOLICITAR NUEVA
					$sesion_activa->set_id_usuario_desactiva($_SESSION["usuario"]->id_usuario);
					$sesion_activa->set_fecha_desactiva(hoy());
					$sesion_activa->set_estado(0);
					$clog_Sesiones->actualizarSesiones($sesion_activa);

					$id_sesion = conectar_defontana();
					if ($id_sesion <> 0) // Conexin Exitosa
					{
						$sesiones = new Sesiones();
						$sesiones->set_id_usuario($_SESSION["usuario"]->id_usuario);
						$sesiones->set_fecha(hoy());
						$sesiones->set_estado(1);
						$sesiones->set_id_sesion_defontana($id_sesion);
						$sesiones->set_fecha_desactiva($fecha_desactiva);
						$sesiones->set_id_usuario_desactiva($id_usuario_desactiva);
						$sesiones->set_ex3($ex3);
						$id_sesion_nuevo = $clog_Sesiones->guardarSesiones($sesiones);				
					}

				}

			}
			
		}
	}
	

?>